// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'ngCordova','ionicLazyLoad','ionic-native-transitions','chart.js','starter.route', 'starter.controllers', 'starter.services', 'starter.filters', 'starter.directives', 'starter.global', 'templates'])
  .config(['$ionicConfigProvider', '$httpProvider', '$ionicNativeTransitionsProvider', 'ChartJsProvider', function ($ionicConfigProvider,$httpProvider,$ionicNativeTransitionsProvider,ChartJsProvider) {
    $ionicConfigProvider.platform.ios.tabs.style('standard');
    $ionicConfigProvider.platform.ios.tabs.position('bottom');
    $ionicConfigProvider.platform.android.tabs.style('standard');
    $ionicConfigProvider.platform.android.tabs.position('bottom');

    $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
    $ionicConfigProvider.platform.android.navBar.alignTitle('center');
    $ionicConfigProvider.spinner.icon('ios');

    $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
    $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

    $ionicConfigProvider.platform.ios.views.transition('ios');
    $ionicConfigProvider.platform.android.views.transition('android');

    $ionicConfigProvider.platform.ios.views.maxCache(5);
    $ionicConfigProvider.platform.android.views.maxCache(5);
    //设置请求超时时间
    $httpProvider.defaults.timeout = 10000;
    // false 默认所有的滚动使用native，会比js的滚动快很多，并且很平滑 ; 安卓使用,ios不使用
    $ionicConfigProvider.scrolling.jsScrolling(!ionic.Platform.isAndroid());

    //使用原生的页面跳转，解决卡顿问题
    function setAndroidTrans(){
      $ionicNativeTransitionsProvider.setDefaultOptions({
        duration: 250, // in milliseconds (ms), default 400,
        slowdownfactor: 10, // overlap views (higher number is more) or no overlap (1), default 4
        iosdelay: -1, // ms to wait for the iOS webview to update before animation kicks in, default -1
        androiddelay: -1, // same as above but for Android, default -1
        winphonedelay: -1, // same as above but for Windows Phone, default -1,
        fixedPixelsTop: 0, // the number of pixels of your fixed header, default 0 (iOS and Android)
        fixedPixelsBottom: 0, // the number of pixels of your fixed footer (f.i. a tab bar), default 0 (iOS and Android)
        //triggerTransitionEvent: '$ionicView.afterEnter', // internal ionic-native-transitions option
        backInOppositeDirection: false // Takes over default back transition and state back transition to use the opposite direction transition to go back
      });
      $ionicNativeTransitionsProvider.setDefaultTransition({
        type: 'slide',
        direction: 'left'
      });
      $ionicNativeTransitionsProvider.setDefaultBackTransition({
        type: 'slide',
        direction: 'right'
      });
      $ionicNativeTransitionsProvider.enable(true); // Enable plugin and disable ionic transitions
    }
    if(ionic.Platform.isAndroid()){
      // setAndroidTrans();
      $ionicNativeTransitionsProvider.enable(false);
    }else{
      $ionicNativeTransitionsProvider.enable(false);
    }
    ChartJsProvider.setOptions({chartColors: ['#FF5252', '#FF8A80'],responsive: false}); // Configure all charts
    ChartJsProvider.setOptions('line', {showLines: true}); // Configure all line charts
  }])
  .run(['$ionicPlatform', '$rootScope', '$ionicActionSheet', '$timeout', '$ionicPopup', '$ionicLoading', '$location', '$ionicHistory', '$cordovaToast', '$state', '$cordovaDevice', '$cordovaAppVersion', '$http', '$filter', 'Global', 'SystemUtils', 'SystemSetServ', 'PortalServ', function ($ionicPlatform, $rootScope, $ionicActionSheet, $timeout, $ionicPopup, $ionicLoading, $location, $ionicHistory, $cordovaToast,$state,$cordovaDevice,$cordovaAppVersion,$http,$filter,Global,SystemUtils,SystemSetServ,PortalServ) {
    var goLoginPage = function (url,params,isLogin) {
      if(isLogin && !Global.User.token){
        $state.go('login', {url: url, stateParams: JSON.stringify(params)});
      }else{
        $state.go(url,params);
      }
    };
    //页面统一跳转
    var goDirect = function(){
      if(to){ //来自于带to参数的微信页面跳转
        if(params){
          goLoginPage(to,{params:decodeURI(params)},isLogin);
        }else if(args){
          goLoginPage(to,JSON.parse(decodeURI(args)),isLogin);
        }else if(wxCode){
          $state.go(to, {ids: mpPayIds, code: wxCode});
        }else{
          goLoginPage(to,{},isLogin);
        }
        if(!Global.User.token && !Global.User.Address.supplyArea){
          //调用微信的获取地理位置接口
          wxUtil.getLocation(function(res){
            if(res){
              var location = res.latitude + ',' + res.longitude;
              Global.https.get("/wechat/getTencentLocation", {coordType:'1',location:location}, function (result) {
                var ret = result.data;
                Global.User.Address.adress = ret.result.address;
                Global.User.Address.province = ret.result.address_component.province;
                Global.User.Address.city = ret.result.address_component.city;
                Global.User.Address.cityCode = ret.result.ad_info.adcode;
                Global.User.Address.district = ret.result.address_component.district;
                //查询该地市的供货区域
                Global.https.get('/supplyArea', {city: Global.User.Address.city}, function (ret) {
                  if (ret.code == '0') {
                    Global.User.Address.supplyArea = ret.data[0].code.trim();
                    Global.User.Address.supplyAreaDescr = ret.data[0].descr.trim();
                  }
                }, undefined, false);
              },undefined,false);
            }
          });
        }
      }else{//来自于APP或微信的默认启动
        // 默认10秒后跳至首页
        var task = setTimeout(function () {
          $state.go('tab.first');
          if (navigator.splashscreen) {
            navigator.splashscreen.hide();
          }
        }, 10000);
        //启动页面跳转
        var goStoreStartPage = function(){
          //判断是否设置了启动页
          var wqblbStoreStartPage,wqblbStoreStartPageVersion;
          if(localStorage.wqblbStoreStartPage){
            wqblbStoreStartPage = JSON.parse(localStorage.wqblbStoreStartPage);
          }
          if(localStorage.wqblbStoreStartPageVersion){
            wqblbStoreStartPageVersion = JSON.parse(localStorage.wqblbStoreStartPageVersion);
          }
          SystemSetServ.getStoreStartPage(wqblbStoreStartPageVersion || '1.0.0',Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '').success(function(ret){
            clearTimeout(task); // 清掉默认的定时跳转
            if(ret.code === 0 && ret.data && ret.data.displayType == '3'){//新版本系统介绍
              localStorage.wqblbStoreStartPageVersion = JSON.stringify(ret.data.version);
              $state.go('tab.adNavigation');
            }else if(ret.code === 0 && ret.data && ((!wqblbStoreStartPage || wqblbStoreStartPage.pk != ret.data.pk || (wqblbStoreStartPage.pk == ret.data.pk && ret.data.displayType == '2')) && ret.data.expiredDate>= $filter('date')(new Date(),'yyyy-MM-dd hh:mm:ss'))){
              localStorage.wqblbStoreStartPage = JSON.stringify(ret.data);
              $state.go('tab.adNavigation');
            }else{
              $state.go('tab.first');
              if (navigator.splashscreen) {
                navigator.splashscreen.hide();
              }
            }
          }).error(function(err){
            clearTimeout(task); // 清掉默认的定时跳转
            $state.go('tab.first');
            if (navigator.splashscreen) {
              navigator.splashscreen.hide();
            }
          });
        };
        $ionicPlatform.ready(function ($rootScope) {
          if(!Global.User.token && !Global.User.Address.supplyArea){
            //获取该手机的地理位置信息通过gps定位
            if(!window.cordova && navigator.userAgent.toLowerCase().match(/MicroMessenger/i)=="micromessenger"){
              //调用微信的获取地理位置接口
              wxUtil.getLocation(function(res){
                if(res){
                  var location = res.latitude + ',' + res.longitude;
                  Global.https.get("/wechat/getTencentLocation", {coordType:'1',location:location}, function (result) {
                    var ret = result.data;
                    Global.User.Address.adress = ret.result.address;
                    Global.User.Address.province = ret.result.address_component.province;
                    Global.User.Address.city = ret.result.address_component.city;
                    Global.User.Address.cityCode = ret.result.ad_info.adcode;
                    Global.User.Address.district = ret.result.address_component.district;
                    //查询该地市的供货区域
                    Global.https.get('/supplyArea', {city: Global.User.Address.city}, function (ret) {
                      if (ret.code == '0') {
                        Global.User.Address.supplyArea = ret.data[0].code.trim();
                        Global.User.Address.supplyAreaDescr = ret.data[0].descr.trim();
                      }
                      goStoreStartPage();
                    }, function(err){
                      goStoreStartPage();
                    }, false);
                  },function(err){
                    goStoreStartPage();
                  },false);
                }else{
                  goStoreStartPage();
                }
              },function(err){
                goStoreStartPage();
              });
            }else{
              SystemUtils.getCurrentPosition(function (position) {
                Global.User.Address.adress = position.coords.address;
                Global.User.Address.province = position.coords.province;
                Global.User.Address.city = position.coords.city;
                Global.User.Address.cityCode = position.coords.cityCode;
                Global.User.Address.district = position.coords.district;
                //查询该地市的供货区域
                Global.https.get('/supplyArea', {city: Global.User.Address.city}, function (ret) {
                  if (ret.code == '0') {
                    Global.User.Address.supplyArea = ret.data[0].code.trim();
                    Global.User.Address.supplyAreaDescr = ret.data[0].descr.trim();
                  }
                  goStoreStartPage();
                }, function(err){
                  goStoreStartPage();
                }, false);
              },function(err){
                goStoreStartPage();
              });
            }
          }else{
            goStoreStartPage();
          }
        });
      }
    };
    var systemId = Global.request.getParameter('systemId'),from = Global.request.getParameter('from'),to = Global.request.getParameter('to'),params = Global.request.getParameter('params'),args = Global.request.getParameter('args'),isLogin =  Global.request.getParameter('isLogin'),canRefreshToken = true;
    var wxCode = Global.request.getParameter('code');
    var mpPayIds = Global.request.getParameter('ids');
    if(systemId == '4'){//来自于门店的绑定页面
      Global.User.openId =  Global.request.getParameter('openId');
      $state.go('storeLogin');
    }else{//来自于普通用户的访问页面
      if(!window.cordova){//是否来自于APP登录
        if(navigator.userAgent.toLowerCase().match(/MicroMessenger/i)=="micromessenger"){//是否来自于微信公众号登录
          canRefreshToken = true;
          Global.Server.version = "weixin";
          //注册微信的js sdk
          Global.https.get(Global.Server.baseUrl + '/weixin/mp/jsSign?url=' + encodeURIComponent(Global.request.getUrl()), {}, function (ret) {
            if (ret.code === 0) {
              wxUtil.config({appId: ret.data.appId,timestamp: ret.data.timestamp,nonceStr: ret.data.nonceStr,signature: ret.data.signature,jsApiList: ret.data.jsApiList});
            }
          }, undefined, false);
        }else{
          canRefreshToken = true;
          Global.Server.version = "webapp";
        }
      }
      //来自于业务员的登陆
      if(from){
        Global.User.from = from;
        if (from.indexOf("_") > -1 && from.split("_").length == 2) {
          Global.User.fromType = 3;
          localStorage.wqblbToken = strEnc(from.split("_")[0],Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
          localStorage.wqblbRefreshToken = strEnc(from.split("_")[1],Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
        } else {
          from = strDec(from,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
          Global.User.fromType = from.substring(64,65);
          Global.User.fromLoginSalesManBySupplier = from.substring(65,66);
          localStorage.wqblbToken = strEnc(from.substring(0,32),Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
          localStorage.wqblbRefreshToken = strEnc(from.substring(32,64),Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
          Global.Server.version = "wqblbSalesman";
        }
        canRefreshToken = true;
      }

      //获取前次登陆的供货区域
      if(localStorage.wqblbSpAreaCode){
        Global.User.Address.supplyArea = localStorage.wqblbSpAreaCode;
      }
      //重新刷新token
      if(localStorage.wqblbToken && localStorage.wqblbToken !== ''&& localStorage.wqblbRefreshToken && localStorage.wqblbRefreshToken !== '' && canRefreshToken){
        var token = strDec(localStorage.wqblbToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3),refreshToken = strDec(localStorage.wqblbRefreshToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
        var device = '';
        if(window.cordova && window.cordova.plugins && window.cordova.plugins.device){
          device = JSON.stringify({
            model:$cordovaDevice.getModel(),
            cordova:$cordovaDevice.getCordova(),
            uuid:$cordovaDevice.getUUID(),
            version:$cordovaDevice.getVersion(),
            platform:$cordovaDevice.getPlatform()
          });
        }
        $http({
          url:Global.Server.url+'/token',
          method:'GET',
          params:{accessToken:token,refreshToken:refreshToken,grantType:'refreshToken',device:device},
          headers:{'Content-Type':'application/json;charset=utf-8','Accept':'application/json'}
        }).success(function(ret){
          if(ret.code === 0){
            Global.User.userName = ret.data.id;
            Global.User.token = ret.data.token.accessToken;
            Global.User.from = ret.data.token.extInfos.crtOrderMan || '';
            Global.User.Store = ret.data.store;
            localStorage.wqblbToken = strEnc(ret.data.token.accessToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
            localStorage.wqblbRefreshToken = strEnc(ret.data.token.refreshToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
            Global.User.Address.supplyArea = localStorage.wqblbSpAreaCode = Global.User.Store.spAreaCode&&Global.User.Store.spAreaCode.trim();
            PortalServ.getStoreBrandGrades();//获取登录用户的所有品牌等级
          }else{
            Global.User.token = "";
            localStorage.wqblbToken = "";
            localStorage.wqblbRefreshToken = "";
          }
          goDirect();
        }).error(function(err){
          goDirect();
        });
      }else{
        goDirect();
      }
    }
    $ionicPlatform.ready(function ($rootScope,$scope) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      /*
      if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        cordova.plugins.Keyboard.disableScroll(true);
      }
      */
      if (window.StatusBar) {
        // org.apache.cordova.statusbar required
        StatusBar.overlaysWebView(true);
        StatusBar.styleDefault();
      }
      if(window.MobileAccessibility){
        window.MobileAccessibility.usePreferredTextZoom(false);
      }
      if (window.cordova){
        //断网监听
        document.addEventListener("offline", function(){
          Global.Server.isOnline = false;
          $state.go('tab.offline');
        }, false);
        //联网监听
        document.addEventListener("online", function(){
          Global.Server.isOnline = true;
        }, false);
        if (navigator.connection.type == window.Connection.NONE) {
          $state.go('tab.offline');
          if (navigator.splashscreen) {
            navigator.splashscreen.hide();
          }
        }
        //获取版本号信息
        $cordovaAppVersion.getVersionNumber().then(function (version) {
          Global.Server.version = version;
        });
        //如果是android手机，网络状态为wifi下，则检测更新
        if (navigator.connection.type != window.Connection.NONE) {
          if (ionic.Platform.isAndroid()) {
            SystemSetServ.versionCheckUpdate();
            document.addEventListener("menubutton", onHardwareMenuKeyDown, false);
          }else if(ionic.Platform.isIOS()){
            SystemSetServ.versionCheckUpdateIOS();
          }
        }

        //注册极光推送
        var onDeviceReady = function() {
          //console.log("JPushPlugin:Device ready!");
          initiateUI();
        };
        var initiateUI = function() {
          try {
            window.plugins.jPushPlugin.init();
            window.setTimeout(getRegistrationID, 2000);
            if (!ionic.Platform.isAndroid()) {
              window.plugins.jPushPlugin.setDebugModeFromIos();
              window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
              window.plugins.jPushPlugin.setBadge(0);
            } else {
              window.plugins.jPushPlugin.setDebugMode(true);
              window.plugins.jPushPlugin.setStatisticsOpen(true);
            }
          } catch (exception) {
            //console.log(exception);
          }
        };
        //获取registrationID
        var getRegistrationID = function() {
          setTagsWithAlias();
          window.plugins.jPushPlugin.getRegistrationID(onGetRegistrationID);
        };
        var onGetRegistrationID = function(data) {
          try {
            if (data.length === 0) {
              var t1 = window.setTimeout(getRegistrationID, 2000);
            }
            //alert("JPushPlugin:registrationID is "+data);
          } catch (exception) {
            //console.log(exception);
          }
        };
        //设置标签、别名
        var setTagsWithAlias = function(){
          if(Global.User.token){
            var tags = [],alias = '';
            if(Global.User.Store.grade){
              tags.push(Global.User.Store.grade.trim());
            }
            if(Global.User.Store.spAreaCode){
              tags.push(Global.User.Store.spAreaCode.trim());
            }
            alias = Global.User.Store.code.trim();
            window.plugins.jPushPlugin.setTagsWithAlias(tags,alias);
          }
        };
        var onTagsWithAlias = function(event) {
          try {
            var result = "onTagsWithAlias:result code:" + event.resultCode + " tags:" + event.tags + "alias:" + event.alias;
            //alert(result);
          } catch (exception) {
            //console.log(exception)
          }
        };
        var goLoginPage = function(href,isLogin){
          var arr = href.split("?"),url = arr[0],params = Global.request.getParams(href),args = "";
          if(JSON.stringify(params) == "{}"){
            if(arr && arr.length == 2){
              params = arr[1];
            }else{
              params = "";
            }
          }else{
            args = params;
          }
          if(Global.User.token){//登录
            if(args){
              $state.go(url,args);
            }else{
              if(params){
                $state.go(url,{params:params});
              }else{
                $state.go(url);
              }
            }
          }else{//未登录
            if(isLogin == "true"){
              if(args){
                $state.go('login',{url:url,stateParams:JSON.stringify(args)});
              }else{
                if(params){
                  $state.go('login',{url:url,stateParams:params});
                }else {
                  $state.go('login', {url: url});
                }
              }
            }else{
              if(args){
                $state.go(url,args);
              }else{
                if(params){
                  $state.go(url,{params:params});
                }else {
                  $state.go(url);
                }
              }
            }
          }
        };
        //打开通知栏通知
        var onOpenNotification = function(event) {
          try {
            var alertContent,href,isLogin = "false";
            if (ionic.Platform.isAndroid()) {
              alertContent = event.alert;
              href = event.extras.url;
              isLogin = event.extras.isLogin;
            } else {
              alertContent = event.aps.alert;
              href = event.url;
              isLogin = event.isLogin;
            }
            if(href){
              if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
                goLoginPage(href,isLogin);
              }else{
                cordova.ThemeableBrowser.open(href, '_blank', {
                  toolbar: {
                    height: 44,
                    color: '#ff6600'
                  },
                  title: {
                    color: '#ffffff',
                    showPageTitle: true
                  },
                  closeButton: {
                    wwwImage: 'img/del@3x.png',
                    wwwImagePressed: 'img/del_02@3x.png',
                    wwwImageDensity: 3
                  },
                  backButtonCanClose: true
                });
              }
            }
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
            window.plugins.jPushPlugin.resetBadge();
            window.plugins.jPushPlugin.setBadge(0);
          } catch (exception) {
            //console.log("JPushPlugin:onOpenNotification" + exception);
          }
        };
        //接收通知栏通知
        var onReceiveNotification = function(event) {
          try {
            var alertContent;
            if (ionic.Platform.isAndroid()) {
              alertContent = event.alert;
            } else {
              alertContent = event.aps.alert;
            }
            //alert(alertContent);
          } catch (exception) {
            //console.log(exception)
          }
        };
        //接收自定义消息
        var onReceiveMessage = function(event) {
          try {
            var message;
            if (ionic.Platform.isAndroid()) {
              message = event.message;
            } else {
              message = event.content;
            }
            //alert(message);
          } catch (exception) {
            //console.log("JPushPlugin:onReceiveMessage-->" + exception);
          }
        };
        document.addEventListener("deviceready", onDeviceReady, false);
        document.addEventListener("jpush.setTagsWithAlias", onTagsWithAlias, false);
        document.addEventListener("jpush.openNotification", onOpenNotification, false);
        document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
        document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);
      }
    });
    //双击退出
    $ionicPlatform.registerBackButtonAction(function (e) {
      //判断处于哪个页面时双击退出
      if ($location.path() == '/tab/first' || $location.path() == '/errorPage' || $location.path() == '/adNavigation') {
        if ($rootScope.backButtonPressedOnceToExit) {
          ionic.Platform.exitApp();
        } else {
          $rootScope.backButtonPressedOnceToExit = true;
          $cordovaToast.showShortBottom('再按一次退出系统');
          setTimeout(function () {
            $rootScope.backButtonPressedOnceToExit = false;
          }, 2000);
        }
      }else if($location.path()=='/tab/portal'||$location.path()=='/tab/item'||$location.path()=='/tab/order'||$location.path()=='/tab/my'){
        $ionicHistory.clearHistory();
        $state.go('tab.first');
      }else if ($ionicHistory.backView()) {
          Global.utils.goBack();
      } else {
        $rootScope.backButtonPressedOnceToExit = true;
        $cordovaToast.showShortBottom('再按一次退出系统');
        setTimeout(function () {
          $rootScope.backButtonPressedOnceToExit = false;
        }, 2000);
      }
      e.preventDefault();
      return false;
    }, 101);
    // 菜单键
    function onHardwareMenuKeyDown() {
      $ionicActionSheet.show({
        titleText: '检查更新',
        destructiveText: '检查更新',
        buttons: [
          {text: '关于'}
        ],
        cancelText: '取消',
        cancel: function () {
          // add cancel code..
        },
        destructiveButtonClicked: function () {
          //检查更新
          SystemSetServ.versionCheckUpdate();
        },
        buttonClicked: function (index) {

        }
      });
    }
  }]);

var AppControllers = angular.module('starter.controllers',[]);
AppControllers
  .controller('OfflineCtrl',['$scope', '$state', '$ionicHistory', 'Global', function($scope,$state,$ionicHistory,Global) {
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.fromType == '2'?true:false;

    $scope.reloadPage = function () {
      if(Global.Server.isOnline || navigator.connection.type != window.Connection.NONE){
        Global.Server.isOnline = true;
        if($scope.isFromLoginSalesMan){
          $state.go('tab.portal');
        }else{
          $state.go('tab.first');
        }
        $ionicHistory.clearHistory();
        $ionicHistory.clearCache();
      }
    };
  }])
  .controller('AdNavigationCtrl',['$scope', '$state', '$rootScope', '$ionicHistory', '$ionicViewSwitcher', '$ionicPlatform', 'Global', 'SystemSetServ', function($scope, $state,$rootScope,$ionicHistory,$ionicViewSwitcher,$ionicPlatform,Global,SystemSetServ){
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.fromType == '2'?true:false;
    //判断是否设置了启动页

    var wqblbStoreStartPageVersion;
    if(localStorage.wqblbStoreStartPageVersion){
      wqblbStoreStartPageVersion = JSON.parse(localStorage.wqblbStoreStartPageVersion);
    }
    SystemSetServ.getStoreStartPage(wqblbStoreStartPageVersion || '1.0.0',Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '').success(function (ret) {
      if(ret.code == '0'){
        $scope.storeStartPage = ret.data;
      }
    }).error(function(err){
      if($scope.isFromLoginSalesMan){
        $state.go('tab.portal');
      }else{
        $state.go('tab.first');
      }
      $ionicPlatform.ready(function ($rootScope) {
        if(navigator.splashscreen){
          navigator.splashscreen.hide();
        }
      });
    });
    //跳转至目标页
    $scope.goPortal = function(){
      event.stopPropagation();
      if($scope.isFromLoginSalesMan){
        $state.go('tab.portal');
      }else{
        $state.go('tab.first');
      }
      $rootScope.$broadcast('noticeShowInformationImg');
      $ionicHistory.clearCache();
      $ionicHistory.clearHistory();
    };
    //点击图片链接跳转
    $scope.goStoreStartPageDetailHref = function(href){
      if(href){
        if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
          var arr = href.split("?"),params = Global.request.getParams(href);
          if(JSON.stringify(params) == "{}"){
            if(arr && arr.length == 2){
              params = arr[1];
            }
            if(params){
              $state.go(arr[0],{params:params});
            }else{
              $state.go(arr[0]);
            }
          }else{
            $state.go(arr[0],params);
          }
        }else{
          if(window.cordova){
            cordova.ThemeableBrowser.open(href, '_blank', {
              toolbar: {
                height: 44,
                color: '#ff6600'
              },
              title: {
                color: '#ffffff',
                showPageTitle: true
              },
              closeButton: {
                wwwImage: 'img/del@3x.png',
                wwwImagePressed: 'img/del_02@3x.png',
                wwwImageDensity: 3
              },
              backButtonCanClose: true
            });
          }else{
            window.open(href);
          }
        }
      }
    };
    //第一张图片加载完成时隐藏启动画面
    $scope.loadImg = function(index){
      if(index === 0){
        $ionicPlatform.ready(function ($rootScope) {
          if(navigator.splashscreen){
            navigator.splashscreen.hide();
          }
        });
      }
    };
  }])
  .controller('TabCtrl',['$scope', '$state', 'Global', 'OrderServ', '$rootScope', 'MyCouponsServ', 'InformationServ', '$ionicViewSwitcher', '$cordovaBarcodeScanner', 'SystemUtils', function($scope, $state,Global,OrderServ,$rootScope,MyCouponsServ,InformationServ,$ionicViewSwitcher,$cordovaBarcodeScanner,SystemUtils){
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.fromType == '2'?true:false;
    $scope.isFromLoginSalesManBySupplier = Global.User.fromType=='2'?true:false;
    //初始化库存提醒阀值
    $rootScope.stockWarn = 20;
    OrderServ.getItemStockWarnValue().success(function(ret){
      if(ret.code === 0){
        $rootScope.stockWarn = ret.data;
      }
    });

    //统计购物车数量
    getShoppingCount();
    $rootScope.$on('updateShoppingCount',function(){
      getShoppingCount();
    });
    function getShoppingCount(){
      //获取报货单数量
      if(Global.User.token && Global.User.token !== ''){
        OrderServ.getShoppingCartCount().success(function(ret){
          if(ret.code == '0'){
            $scope.shoppingCount = ret.data;
          }
        });
      }else{
        $scope.shoppingCount = 0;
      }
    }

    //显示公告宣传图
    $scope.showInformationImg = false;
    $rootScope.$on('noticeShowInformationImg',function(){
      $scope.myCouponAmount = '';
      $scope.informationImgUrl = '';
      $scope.informationId = '';
      //弹出卡券发放通知
      if(Global.User.token !== '') {
        MyCouponsServ.getMyCouponSummary().success(function (ret) {
          if (ret.code === 0 && ret.data && ret.data.total > 0 && (!localStorage.wqblbStoreMyCouponLastDate || localStorage.wqblbStoreMyCouponLastDate < ret.data.lastDate)) {
            $scope.showInformationImg = true;
            $scope.myCouponAmount = ret.data.amount;
            localStorage.wqblbStoreMyCouponLastDate = ret.data.lastDate;
          }else{
            //弹出霸屏广告通知
            InformationServ.getInformationImgUrl().success(function(ret){
              if(ret.code === 0 && ret.data && ret.data.fullScreenImgApp && (!localStorage.wqblbStoreInformationLastDate || localStorage.wqblbStoreInformationLastDate < ret.data.confirmDate)){
                $scope.showInformationImg = true;
                $scope.informationImgUrl = ret.data.fullScreenImgApp;
                $scope.informationId = ret.data.number.trim();
                localStorage.wqblbStoreInformationLastDate = ret.data.confirmDate;
              }
            });
          }
        });
      }else{
        //弹出霸屏广告通知
        InformationServ.getInformationImgUrl().success(function(ret){
          if(ret.code === 0 && ret.data && (!localStorage.wqblbStoreInformationLastDate || localStorage.wqblbStoreInformationLastDate < ret.data.confirmDate)){
            $scope.showInformationImg = true;
            $scope.informationImgUrl = ret.data.fullScreenImgApp;
            $scope.informationId = ret.data.number.trim();
            localStorage.wqblbStoreInformationLastDate = ret.data.confirmDate;
          }
        });
      }
    });
    $scope.hideInformationImg = function(){
      $scope.showInformationImg = false;
    };
    //跳转至我的卡券
    $scope.goMyCoupons = function(){
      $scope.hideInformationImg();
      $state.go('myCoupons');
      $ionicViewSwitcher.nextDirection("forward");
    };
    //跳转至系统公告
    $scope.goInformationDetail = function(informationId){
      $scope.hideInformationImg();
      $state.go('informationDetail',{id:informationId});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //转换成App能够识别的跳转地址
    $scope.goLoginPage = function (url,params,isLogin) {
      if(isLogin && !Global.User.token){
        $state.go('login', {url: url, stateParams: JSON.stringify(params)});
      }else{
        $state.go(url,params);
      }
    };
    $scope.changeToAppUrl = function (href) {
      if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
        if(href.indexOf('SI') >= 0){ //订单条码
          $scope.scanSalesInvoice(href);
        }else{ // 商品条码
          $scope.scanBarcode(href);
        }
      }else{
        SystemUtils.changeWeixinUrl(href).success(function (ret) {
          if(ret.code === 0 && ret.data){
            var parameters = Global.request.getParams(ret.data.url);
            if(parameters.to) { //来自于带to参数的微信页面跳转
              if (parameters.params) {
                $scope.goLoginPage(parameters.to, {params: decodeURI(parameters.params)}, parameters.isLogin);
              } else if (parameters.args) {
                $scope.goLoginPage(parameters.to, JSON.parse(decodeURI(parameters.args)), parameters.isLogin);
              } else {
                $scope.goLoginPage(parameters.to, {}, parameters.isLogin);
              }
            }
          }
        });
      }
    };
    //扫码
    $scope.goScan = function () {
      event.stopPropagation();
      if(!window.cordova) {//是否来自于APP端
        wxUtil.scanQRCode(function(res){
          if(res && res.resultStr && res.resultStr.length > 0){
            $scope.changeToAppUrl(res.resultStr.substring(res.resultStr.indexOf(',')+1));
          }
        });
      }else{
        $cordovaBarcodeScanner.scan({
          preferFrontCamera : false, // iOS and Android
          showFlipCameraButton : true, // iOS and Android
          showTorchButton : true, // iOS and Android
          torchOn: false, // Android, launch with the torch switched on (if available)
          saveHistory: true, // Android, save scan history (default false)
          prompt : "请将条码置于取景框内扫描。", // Android
          resultDisplayDuration: 0, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
          //formats : "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
          orientation : "portrait", // Android only (portrait|landscape), default unset so it rotates with the device
          disableAnimations : true, // iOS
          disableSuccessBeep: false // iOS
        }).then(function(imageData) {
          if(imageData && imageData.text && imageData.text.length > 0){
            $scope.changeToAppUrl(imageData.text);
          }
        }, function(error) {
          Global.popup.showToast(error);
        });
      }
    };

    //扫商品条码
    $scope.scanBarcode = function (searchKey) {
        $state.go('tab-search-results',{searchKey:searchKey});
        $ionicViewSwitcher.nextDirection("forward");

    };
    //扫卡券条码
    $scope.scanCoupon = function (cdKey) {
      if(Global.User.token && Global.User.token !== ''){
        $state.go('myCoupons',{cdKey:cdKey});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $state.go('login',{url:"myCoupons",stateParams:{cdKey:cdKey}});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //扫供应商条码
    $scope.scanSupplier = function (splCode) {
      $state.go('tab-search-results', {params: JSON.stringify({"splCode": splCode})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //扫订单条码
    $scope.scanSalesInvoice = function (sino) {
      if(Global.User.token && Global.User.token !== '') {
        $state.go('salesInvoiceDetail', {siNo: sino});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $state.go('login',{url:"salesInvoiceDetail",stateParams:{"siNo":sino}});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
  }]);





/**
 * DES加密/解密
 * @Copyright Copyright (c) 2006
 * @author Guapo
 * @see DESCore
 */

/*
 * encrypt the string to string made up of hex
 * return the encrypted string
 */
function strEnc(data,firstKey,secondKey,thirdKey){

  var leng = data.length;
  var encData = "";
  var firstKeyBt,secondKeyBt,thirdKeyBt,firstLength,secondLength,thirdLength;
  if(firstKey !== null && firstKey !== ""){
    firstKeyBt = getKeyBytes(firstKey);
    firstLength = firstKeyBt.length;
  }
  if(secondKey !== null && secondKey !== ""){
    secondKeyBt = getKeyBytes(secondKey);
    secondLength = secondKeyBt.length;
  }
  if(thirdKey !== null && thirdKey !== ""){
    thirdKeyBt = getKeyBytes(thirdKey);
    thirdLength = thirdKeyBt.length;
  }
  var tempBt,x,y, z,encByte,tempByte;
  if(leng > 0){
    if(leng < 4){
      var bt = strToBt(data);
      if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== "" && thirdKey !== null && thirdKey !== ""){
        tempBt = bt;
        for(x = 0;x < firstLength ;x ++){
          tempBt = enc(tempBt,firstKeyBt[x]);
        }
        for(y = 0;y < secondLength ;y ++){
          tempBt = enc(tempBt,secondKeyBt[y]);
        }
        for(z = 0;z < thirdLength ;z ++){
          tempBt = enc(tempBt,thirdKeyBt[z]);
        }
        encByte = tempBt;
      }else{
        if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== ""){
          tempBt = bt;
          for(x = 0;x < firstLength ;x ++){
            tempBt = enc(tempBt,firstKeyBt[x]);
          }
          for(y = 0;y < secondLength ;y ++){
            tempBt = enc(tempBt,secondKeyBt[y]);
          }
          encByte = tempBt;
        }else{
          if(firstKey !== null && firstKey !== ""){
            x = 0;
            tempBt = bt;
            for(x = 0;x < firstLength ;x ++){
              tempBt = enc(tempBt,firstKeyBt[x]);
            }
            encByte = tempBt;
          }
        }
      }
      encData = bt64ToHex(encByte);
    }else{
      var iterator = parseInt(leng/4);
      var remainder = leng%4;
      var i=0;
      for(i = 0;i < iterator;i++){
        var tempData = data.substring(i*4+0,i*4+4);
        tempByte = strToBt(tempData);
        if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== "" && thirdKey !== null && thirdKey !== ""){
          tempBt = tempByte;
          for(x = 0;x < firstLength ;x ++){
            tempBt = enc(tempBt,firstKeyBt[x]);
          }
          for(y = 0;y < secondLength ;y ++){
            tempBt = enc(tempBt,secondKeyBt[y]);
          }
          for(z = 0;z < thirdLength ;z ++){
            tempBt = enc(tempBt,thirdKeyBt[z]);
          }
          encByte = tempBt;
        }else{
          if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== ""){
            tempBt = tempByte;
            for(x = 0;x < firstLength ;x ++){
              tempBt = enc(tempBt,firstKeyBt[x]);
            }
            for(y = 0;y < secondLength ;y ++){
              tempBt = enc(tempBt,secondKeyBt[y]);
            }
            encByte = tempBt;
          }else{
            if(firstKey !== null && firstKey !== ""){
              tempBt = tempByte;
              for(x = 0;x < firstLength ;x ++){
                tempBt = enc(tempBt,firstKeyBt[x]);
              }
              encByte = tempBt;
            }
          }
        }
        encData += bt64ToHex(encByte);
      }
      if(remainder > 0){
        var remainderData = data.substring(iterator*4+0,leng);
        tempByte = strToBt(remainderData);
        if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== "" && thirdKey !== null && thirdKey !== ""){
          tempBt = tempByte;
          for(x = 0;x < firstLength ;x ++){
            tempBt = enc(tempBt,firstKeyBt[x]);
          }
          for(y = 0;y < secondLength ;y ++){
            tempBt = enc(tempBt,secondKeyBt[y]);
          }
          for(z = 0;z < thirdLength ;z ++){
            tempBt = enc(tempBt,thirdKeyBt[z]);
          }
          encByte = tempBt;
        }else{
          if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== ""){
            tempBt = tempByte;
            for(x = 0;x < firstLength ;x ++){
              tempBt = enc(tempBt,firstKeyBt[x]);
            }
            for(y = 0;y < secondLength ;y ++){
              tempBt = enc(tempBt,secondKeyBt[y]);
            }
            encByte = tempBt;
          }else{
            if(firstKey !== null && firstKey !== ""){
              tempBt = tempByte;
              for(x = 0;x < firstLength ;x ++){
                tempBt = enc(tempBt,firstKeyBt[x]);
              }
              encByte = tempBt;
            }
          }
        }
        encData += bt64ToHex(encByte);
      }
    }
  }
  return encData;
}

/*
 * decrypt the encrypted string to the original string
 *
 * return  the original string
 */
function strDec(data,firstKey,secondKey,thirdKey){
  var leng = data.length;
  var decStr = "";
  var firstKeyBt,secondKeyBt,thirdKeyBt,firstLength,secondLength,thirdLength;
  if(firstKey !== null && firstKey !== ""){
    firstKeyBt = getKeyBytes(firstKey);
    firstLength = firstKeyBt.length;
  }
  if(secondKey !== null && secondKey !== ""){
    secondKeyBt = getKeyBytes(secondKey);
    secondLength = secondKeyBt.length;
  }
  if(thirdKey !== null && thirdKey !== ""){
    thirdKeyBt = getKeyBytes(thirdKey);
    thirdLength = thirdKeyBt.length;
  }

  var iterator = parseInt(leng/16);
  var i=0;
  for(i = 0;i < iterator;i++){
    var tempData = data.substring(i*16+0,i*16+16);
    var strByte = hexToBt64(tempData);
    var intByte = new Array(64);
    var j = 0;
    for(j = 0;j < 64; j++){
      intByte[j] = parseInt(strByte.substring(j,j+1));
    }
    var decByte,tempBt,x,y,z;
    if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== "" && thirdKey !== null && thirdKey !== ""){
      tempBt = intByte;
      for(x = thirdLength - 1;x >= 0;x --){
        tempBt = dec(tempBt,thirdKeyBt[x]);
      }
      for(y = secondLength - 1;y >= 0;y --){
        tempBt = dec(tempBt,secondKeyBt[y]);
      }
      for(z = firstLength - 1;z >= 0 ;z --){
        tempBt = dec(tempBt,firstKeyBt[z]);
      }
      decByte = tempBt;
    }else{
      if(firstKey !== null && firstKey !== "" && secondKey !== null && secondKey !== ""){
        tempBt = intByte;
        for(x = secondLength - 1;x >= 0 ;x --){
          tempBt = dec(tempBt,secondKeyBt[x]);
        }
        for(y = firstLength - 1;y >= 0 ;y --){
          tempBt = dec(tempBt,firstKeyBt[y]);
        }
        decByte = tempBt;
      }else{
        if(firstKey !== null && firstKey !== ""){
          tempBt = intByte;
          for(x = firstLength - 1;x >= 0 ;x --){
            tempBt = dec(tempBt,firstKeyBt[x]);
          }
          decByte = tempBt;
        }
      }
    }
    decStr += byteToString(decByte);
  }
  return decStr;
}
/*
 * chang the string into the bit array
 *
 * return bit array(it's length % 64 = 0)
 */
function getKeyBytes(key){
  var keyBytes = [];
  var leng = key.length;
  var iterator = parseInt(leng/4);
  var remainder = leng%4;
  var i = 0;
  for(i = 0;i < iterator; i ++){
    keyBytes[i] = strToBt(key.substring(i*4+0,i*4+4));
  }
  if(remainder > 0){
    keyBytes[i] = strToBt(key.substring(i*4+0,leng));
  }
  return keyBytes;
}

/*
 * chang the string(it's length <= 4) into the bit array
 *
 * return bit array(it's length = 64)
 */
function strToBt(str){
  var leng = str.length;
  var bt = new Array(64);
  var i=0,j=0,p=0,q= 0,k= 0,pow= 1,m=0;
  if(leng < 4){
    for(i = 0;i<leng;i++){
      k = str.charCodeAt(i);
      for(j=0;j<16;j++){
        pow=1;
        m=0;
        for(m=15;m>j;m--){
          pow *= 2;
        }
        bt[16*i+j]=parseInt(k/pow)%2;
      }
    }
    for(p = leng;p<4;p++){
      k = 0;
      for(q=0;q<16;q++){
        pow=1;
        m=0;
        for(m=15;m>q;m--){
          pow *= 2;
        }
        bt[16*p+q]=parseInt(k/pow)%2;
      }
    }
  }else{
    for(i = 0;i<4;i++){
      k = str.charCodeAt(i);
      for(j=0;j<16;j++){
        pow=1;
        for(m=15;m>j;m--){
          pow *= 2;
        }
        bt[16*i+j]=parseInt(k/pow)%2;
      }
    }
  }
  return bt;
}

/*
 * chang the bit(it's length = 4) into the hex
 *
 * return hex
 */
function bt4ToHex(binary) {
  var hex;
  switch (binary) {
    case "0000" : hex = "0"; break;
    case "0001" : hex = "1"; break;
    case "0010" : hex = "2"; break;
    case "0011" : hex = "3"; break;
    case "0100" : hex = "4"; break;
    case "0101" : hex = "5"; break;
    case "0110" : hex = "6"; break;
    case "0111" : hex = "7"; break;
    case "1000" : hex = "8"; break;
    case "1001" : hex = "9"; break;
    case "1010" : hex = "A"; break;
    case "1011" : hex = "B"; break;
    case "1100" : hex = "C"; break;
    case "1101" : hex = "D"; break;
    case "1110" : hex = "E"; break;
    case "1111" : hex = "F"; break;
  }
  return hex;
}

/*
 * chang the hex into the bit(it's length = 4)
 *
 * return the bit(it's length = 4)
 */
function hexToBt4(hex) {
  var binary;
  switch (hex) {
    case "0" : binary = "0000"; break;
    case "1" : binary = "0001"; break;
    case "2" : binary = "0010"; break;
    case "3" : binary = "0011"; break;
    case "4" : binary = "0100"; break;
    case "5" : binary = "0101"; break;
    case "6" : binary = "0110"; break;
    case "7" : binary = "0111"; break;
    case "8" : binary = "1000"; break;
    case "9" : binary = "1001"; break;
    case "A" : binary = "1010"; break;
    case "B" : binary = "1011"; break;
    case "C" : binary = "1100"; break;
    case "D" : binary = "1101"; break;
    case "E" : binary = "1110"; break;
    case "F" : binary = "1111"; break;
  }
  return binary;
}

/*
 * chang the bit(it's length = 64) into the string
 *
 * return string
 */
function byteToString(byteData){
  var str="";
  for(i = 0;i<4;i++){
    var count=0;
    for(j=0;j<16;j++){
      var pow=1;
      for(m=15;m>j;m--){
        pow*=2;
      }
      count+=byteData[16*i+j]*pow;
    }
    if(count !== 0){
      str+=String.fromCharCode(count);
    }
  }
  return str;
}

function bt64ToHex(byteData){
  var hex = "";
  for(i = 0;i<16;i++){
    var bt = "";
    for(j=0;j<4;j++){
      bt += byteData[i*4+j];
    }
    hex+=bt4ToHex(bt);
  }
  return hex;
}

function hexToBt64(hex){
  var binary = "";
  for(i = 0;i<16;i++){
    binary+=hexToBt4(hex.substring(i,i+1));
  }
  return binary;
}

/*
 * the 64 bit des core arithmetic
 */

function enc(dataByte,keyByte){
  var keys = generateKeys(keyByte);
  var ipByte   = initPermute(dataByte);
  var ipLeft   = new Array(32);
  var ipRight  = new Array(32);
  var tempLeft = new Array(32);
  var i = 0,j = 0,k = 0,m = 0, n = 0;
  for(k = 0;k < 32;k ++){
    ipLeft[k] = ipByte[k];
    ipRight[k] = ipByte[32+k];
  }
  for(i = 0;i < 16;i ++){
    for(j = 0;j < 32;j ++){
      tempLeft[j] = ipLeft[j];
      ipLeft[j] = ipRight[j];
    }
    var key = new Array(48);
    for(m = 0;m < 48;m ++){
      key[m] = keys[i][m];
    }
    var  tempRight = xor(pPermute(sBoxPermute(xor(expandPermute(ipRight),key))), tempLeft);
    for(n = 0;n < 32;n ++){
      ipRight[n] = tempRight[n];
    }

  }


  var finalData =new Array(64);
  for(i = 0;i < 32;i ++){
    finalData[i] = ipRight[i];
    finalData[32+i] = ipLeft[i];
  }
  return finallyPermute(finalData);
}

function dec(dataByte,keyByte){
  var keys = generateKeys(keyByte);
  var ipByte   = initPermute(dataByte);
  var ipLeft   = new Array(32);
  var ipRight  = new Array(32);
  var tempLeft = new Array(32);
  var i = 0,j = 0,k = 0,m = 0, n = 0;
  for(k = 0;k < 32;k ++){
    ipLeft[k] = ipByte[k];
    ipRight[k] = ipByte[32+k];
  }
  for(i = 15;i >= 0;i --){
    for(j = 0;j < 32;j ++){
      tempLeft[j] = ipLeft[j];
      ipLeft[j] = ipRight[j];
    }
    var key = new Array(48);
    for(m = 0;m < 48;m ++){
      key[m] = keys[i][m];
    }

    var  tempRight = xor(pPermute(sBoxPermute(xor(expandPermute(ipRight),key))), tempLeft);
    for(n = 0;n < 32;n ++){
      ipRight[n] = tempRight[n];
    }
  }


  var finalData =new Array(64);
  for(i = 0;i < 32;i ++){
    finalData[i] = ipRight[i];
    finalData[32+i] = ipLeft[i];
  }
  return finallyPermute(finalData);
}

function initPermute(originalData){
  var ipByte = new Array(64);
  for (i = 0, m = 1, n = 0; i < 4; i++, m += 2, n += 2) {
    for (j = 7, k = 0; j >= 0; j--, k++) {
      ipByte[i * 8 + k] = originalData[j * 8 + m];
      ipByte[i * 8 + k + 32] = originalData[j * 8 + n];
    }
  }
  return ipByte;
}

function expandPermute(rightData){
  var epByte = new Array(48);
  for (i = 0; i < 8; i++) {
    if (i === 0) {
      epByte[i * 6 + 0] = rightData[31];
    } else {
      epByte[i * 6 + 0] = rightData[i * 4 - 1];
    }
    epByte[i * 6 + 1] = rightData[i * 4 + 0];
    epByte[i * 6 + 2] = rightData[i * 4 + 1];
    epByte[i * 6 + 3] = rightData[i * 4 + 2];
    epByte[i * 6 + 4] = rightData[i * 4 + 3];
    if (i == 7) {
      epByte[i * 6 + 5] = rightData[0];
    } else {
      epByte[i * 6 + 5] = rightData[i * 4 + 4];
    }
  }
  return epByte;
}

function xor(byteOne,byteTwo){
  var xorByte = new Array(byteOne.length);
  for(i = 0;i < byteOne.length; i ++){
    xorByte[i] = byteOne[i] ^ byteTwo[i];
  }
  return xorByte;
}

function sBoxPermute(expandByte){

  var sBoxByte = new Array(32);
  var binary = "";
  var s1 = [
    [14, 4, 13, 1, 2, 15, 11, 8, 3, 10, 6, 12, 5, 9, 0, 7],
    [0, 15, 7, 4, 14, 2, 13, 1, 10, 6, 12, 11, 9, 5, 3, 8],
    [4, 1, 14, 8, 13, 6, 2, 11, 15, 12, 9, 7, 3, 10, 5, 0],
    [15, 12, 8, 2, 4, 9, 1, 7, 5, 11, 3, 14, 10, 0, 6, 13 ]];

  /* Table - s2 */
  var s2 = [
    [15, 1, 8, 14, 6, 11, 3, 4, 9, 7, 2, 13, 12, 0, 5, 10],
    [3, 13, 4, 7, 15, 2, 8, 14, 12, 0, 1, 10, 6, 9, 11, 5],
    [0, 14, 7, 11, 10, 4, 13, 1, 5, 8, 12, 6, 9, 3, 2, 15],
    [13, 8, 10, 1, 3, 15, 4, 2, 11, 6, 7, 12, 0, 5, 14, 9 ]];

  /* Table - s3 */
  var s3= [
    [10, 0, 9, 14, 6, 3, 15, 5, 1, 13, 12, 7, 11, 4, 2, 8],
    [13, 7, 0, 9, 3, 4, 6, 10, 2, 8, 5, 14, 12, 11, 15, 1],
    [13, 6, 4, 9, 8, 15, 3, 0, 11, 1, 2, 12, 5, 10, 14, 7],
    [1, 10, 13, 0, 6, 9, 8, 7, 4, 15, 14, 3, 11, 5, 2, 12 ]];
  /* Table - s4 */
  var s4 = [
    [7, 13, 14, 3, 0, 6, 9, 10, 1, 2, 8, 5, 11, 12, 4, 15],
    [13, 8, 11, 5, 6, 15, 0, 3, 4, 7, 2, 12, 1, 10, 14, 9],
    [10, 6, 9, 0, 12, 11, 7, 13, 15, 1, 3, 14, 5, 2, 8, 4],
    [3, 15, 0, 6, 10, 1, 13, 8, 9, 4, 5, 11, 12, 7, 2, 14 ]];

  /* Table - s5 */
  var s5 = [
    [2, 12, 4, 1, 7, 10, 11, 6, 8, 5, 3, 15, 13, 0, 14, 9],
    [14, 11, 2, 12, 4, 7, 13, 1, 5, 0, 15, 10, 3, 9, 8, 6],
    [4, 2, 1, 11, 10, 13, 7, 8, 15, 9, 12, 5, 6, 3, 0, 14],
    [11, 8, 12, 7, 1, 14, 2, 13, 6, 15, 0, 9, 10, 4, 5, 3 ]];

  /* Table - s6 */
  var s6 = [
    [12, 1, 10, 15, 9, 2, 6, 8, 0, 13, 3, 4, 14, 7, 5, 11],
    [10, 15, 4, 2, 7, 12, 9, 5, 6, 1, 13, 14, 0, 11, 3, 8],
    [9, 14, 15, 5, 2, 8, 12, 3, 7, 0, 4, 10, 1, 13, 11, 6],
    [4, 3, 2, 12, 9, 5, 15, 10, 11, 14, 1, 7, 6, 0, 8, 13 ]];

  /* Table - s7 */
  var s7 = [
    [4, 11, 2, 14, 15, 0, 8, 13, 3, 12, 9, 7, 5, 10, 6, 1],
    [13, 0, 11, 7, 4, 9, 1, 10, 14, 3, 5, 12, 2, 15, 8, 6],
    [1, 4, 11, 13, 12, 3, 7, 14, 10, 15, 6, 8, 0, 5, 9, 2],
    [6, 11, 13, 8, 1, 4, 10, 7, 9, 5, 0, 15, 14, 2, 3, 12]];

  /* Table - s8 */
  var s8 = [
    [13, 2, 8, 4, 6, 15, 11, 1, 10, 9, 3, 14, 5, 0, 12, 7],
    [1, 15, 13, 8, 10, 3, 7, 4, 12, 5, 6, 11, 0, 14, 9, 2],
    [7, 11, 4, 1, 9, 12, 14, 2, 0, 6, 10, 13, 15, 3, 5, 8],
    [2, 1, 14, 7, 4, 10, 8, 13, 15, 12, 9, 0, 3, 5, 6, 11]];

  for(m=0;m<8;m++){
    var i=0,j=0;
    i = expandByte[m*6+0]*2+expandByte[m*6+5];
    j = expandByte[m * 6 + 1] * 2 * 2 * 2+ expandByte[m * 6 + 2] * 2* 2+ expandByte[m * 6 + 3] * 2+ expandByte[m * 6 + 4];
    switch (m) {
      case 0 :
        binary = getBoxBinary(s1[i][j]);
        break;
      case 1 :
        binary = getBoxBinary(s2[i][j]);
        break;
      case 2 :
        binary = getBoxBinary(s3[i][j]);
        break;
      case 3 :
        binary = getBoxBinary(s4[i][j]);
        break;
      case 4 :
        binary = getBoxBinary(s5[i][j]);
        break;
      case 5 :
        binary = getBoxBinary(s6[i][j]);
        break;
      case 6 :
        binary = getBoxBinary(s7[i][j]);
        break;
      case 7 :
        binary = getBoxBinary(s8[i][j]);
        break;
    }
    sBoxByte[m*4+0] = parseInt(binary.substring(0,1));
    sBoxByte[m*4+1] = parseInt(binary.substring(1,2));
    sBoxByte[m*4+2] = parseInt(binary.substring(2,3));
    sBoxByte[m*4+3] = parseInt(binary.substring(3,4));
  }
  return sBoxByte;
}

function pPermute(sBoxByte){
  var pBoxPermute = new Array(32);
  pBoxPermute[ 0] = sBoxByte[15];
  pBoxPermute[ 1] = sBoxByte[ 6];
  pBoxPermute[ 2] = sBoxByte[19];
  pBoxPermute[ 3] = sBoxByte[20];
  pBoxPermute[ 4] = sBoxByte[28];
  pBoxPermute[ 5] = sBoxByte[11];
  pBoxPermute[ 6] = sBoxByte[27];
  pBoxPermute[ 7] = sBoxByte[16];
  pBoxPermute[ 8] = sBoxByte[ 0];
  pBoxPermute[ 9] = sBoxByte[14];
  pBoxPermute[10] = sBoxByte[22];
  pBoxPermute[11] = sBoxByte[25];
  pBoxPermute[12] = sBoxByte[ 4];
  pBoxPermute[13] = sBoxByte[17];
  pBoxPermute[14] = sBoxByte[30];
  pBoxPermute[15] = sBoxByte[ 9];
  pBoxPermute[16] = sBoxByte[ 1];
  pBoxPermute[17] = sBoxByte[ 7];
  pBoxPermute[18] = sBoxByte[23];
  pBoxPermute[19] = sBoxByte[13];
  pBoxPermute[20] = sBoxByte[31];
  pBoxPermute[21] = sBoxByte[26];
  pBoxPermute[22] = sBoxByte[ 2];
  pBoxPermute[23] = sBoxByte[ 8];
  pBoxPermute[24] = sBoxByte[18];
  pBoxPermute[25] = sBoxByte[12];
  pBoxPermute[26] = sBoxByte[29];
  pBoxPermute[27] = sBoxByte[ 5];
  pBoxPermute[28] = sBoxByte[21];
  pBoxPermute[29] = sBoxByte[10];
  pBoxPermute[30] = sBoxByte[ 3];
  pBoxPermute[31] = sBoxByte[24];
  return pBoxPermute;
}

function finallyPermute(endByte){
  var fpByte = new Array(64);
  fpByte[ 0] = endByte[39];
  fpByte[ 1] = endByte[ 7];
  fpByte[ 2] = endByte[47];
  fpByte[ 3] = endByte[15];
  fpByte[ 4] = endByte[55];
  fpByte[ 5] = endByte[23];
  fpByte[ 6] = endByte[63];
  fpByte[ 7] = endByte[31];
  fpByte[ 8] = endByte[38];
  fpByte[ 9] = endByte[ 6];
  fpByte[10] = endByte[46];
  fpByte[11] = endByte[14];
  fpByte[12] = endByte[54];
  fpByte[13] = endByte[22];
  fpByte[14] = endByte[62];
  fpByte[15] = endByte[30];
  fpByte[16] = endByte[37];
  fpByte[17] = endByte[ 5];
  fpByte[18] = endByte[45];
  fpByte[19] = endByte[13];
  fpByte[20] = endByte[53];
  fpByte[21] = endByte[21];
  fpByte[22] = endByte[61];
  fpByte[23] = endByte[29];
  fpByte[24] = endByte[36];
  fpByte[25] = endByte[ 4];
  fpByte[26] = endByte[44];
  fpByte[27] = endByte[12];
  fpByte[28] = endByte[52];
  fpByte[29] = endByte[20];
  fpByte[30] = endByte[60];
  fpByte[31] = endByte[28];
  fpByte[32] = endByte[35];
  fpByte[33] = endByte[ 3];
  fpByte[34] = endByte[43];
  fpByte[35] = endByte[11];
  fpByte[36] = endByte[51];
  fpByte[37] = endByte[19];
  fpByte[38] = endByte[59];
  fpByte[39] = endByte[27];
  fpByte[40] = endByte[34];
  fpByte[41] = endByte[ 2];
  fpByte[42] = endByte[42];
  fpByte[43] = endByte[10];
  fpByte[44] = endByte[50];
  fpByte[45] = endByte[18];
  fpByte[46] = endByte[58];
  fpByte[47] = endByte[26];
  fpByte[48] = endByte[33];
  fpByte[49] = endByte[ 1];
  fpByte[50] = endByte[41];
  fpByte[51] = endByte[ 9];
  fpByte[52] = endByte[49];
  fpByte[53] = endByte[17];
  fpByte[54] = endByte[57];
  fpByte[55] = endByte[25];
  fpByte[56] = endByte[32];
  fpByte[57] = endByte[ 0];
  fpByte[58] = endByte[40];
  fpByte[59] = endByte[ 8];
  fpByte[60] = endByte[48];
  fpByte[61] = endByte[16];
  fpByte[62] = endByte[56];
  fpByte[63] = endByte[24];
  return fpByte;
}

function getBoxBinary(i) {
  var binary = "";
  switch (i) {
    case 0 :binary = "0000";break;
    case 1 :binary = "0001";break;
    case 2 :binary = "0010";break;
    case 3 :binary = "0011";break;
    case 4 :binary = "0100";break;
    case 5 :binary = "0101";break;
    case 6 :binary = "0110";break;
    case 7 :binary = "0111";break;
    case 8 :binary = "1000";break;
    case 9 :binary = "1001";break;
    case 10 :binary = "1010";break;
    case 11 :binary = "1011";break;
    case 12 :binary = "1100";break;
    case 13 :binary = "1101";break;
    case 14 :binary = "1110";break;
    case 15 :binary = "1111";break;
  }
  return binary;
}
/*
 * generate 16 keys for xor
 *
 */
function generateKeys(keyByte){
  var key   = new Array(56);
  var keys = [];

  keys[ 0] = [];
  keys[ 1] = [];
  keys[ 2] = [];
  keys[ 3] = [];
  keys[ 4] = [];
  keys[ 5] = [];
  keys[ 6] = [];
  keys[ 7] = [];
  keys[ 8] = [];
  keys[ 9] = [];
  keys[10] = [];
  keys[11] = [];
  keys[12] = [];
  keys[13] = [];
  keys[14] = [];
  keys[15] = [];
  var loop = [1,1,2,2,2,2,2,2,1,2,2,2,2,2,2,1];

  for(i=0;i<7;i++){
    for(j=0,k=7;j<8;j++,k--){
      key[i*8+j]=keyByte[8*k+i];
    }
  }

  var i = 0;
  for(i = 0;i < 16;i ++){
    var tempLeft=0;
    var tempRight=0;
    for(j = 0; j < loop[i];j ++){
      tempLeft = key[0];
      tempRight = key[28];
      for(k = 0;k < 27 ;k ++){
        key[k] = key[k+1];
        key[28+k] = key[29+k];
      }
      key[27]=tempLeft;
      key[55]=tempRight;
    }
    var tempKey = new Array(48);
    tempKey[ 0] = key[13];
    tempKey[ 1] = key[16];
    tempKey[ 2] = key[10];
    tempKey[ 3] = key[23];
    tempKey[ 4] = key[ 0];
    tempKey[ 5] = key[ 4];
    tempKey[ 6] = key[ 2];
    tempKey[ 7] = key[27];
    tempKey[ 8] = key[14];
    tempKey[ 9] = key[ 5];
    tempKey[10] = key[20];
    tempKey[11] = key[ 9];
    tempKey[12] = key[22];
    tempKey[13] = key[18];
    tempKey[14] = key[11];
    tempKey[15] = key[ 3];
    tempKey[16] = key[25];
    tempKey[17] = key[ 7];
    tempKey[18] = key[15];
    tempKey[19] = key[ 6];
    tempKey[20] = key[26];
    tempKey[21] = key[19];
    tempKey[22] = key[12];
    tempKey[23] = key[ 1];
    tempKey[24] = key[40];
    tempKey[25] = key[51];
    tempKey[26] = key[30];
    tempKey[27] = key[36];
    tempKey[28] = key[46];
    tempKey[29] = key[54];
    tempKey[30] = key[29];
    tempKey[31] = key[39];
    tempKey[32] = key[50];
    tempKey[33] = key[44];
    tempKey[34] = key[32];
    tempKey[35] = key[47];
    tempKey[36] = key[43];
    tempKey[37] = key[48];
    tempKey[38] = key[38];
    tempKey[39] = key[55];
    tempKey[40] = key[33];
    tempKey[41] = key[52];
    tempKey[42] = key[45];
    tempKey[43] = key[41];
    tempKey[44] = key[49];
    tempKey[45] = key[35];
    tempKey[46] = key[28];
    tempKey[47] = key[31];
    switch(i){
      case 0: for(m=0;m < 48 ;m++){ keys[ 0][m] = tempKey[m]; } break;
      case 1: for(m=0;m < 48 ;m++){ keys[ 1][m] = tempKey[m]; } break;
      case 2: for(m=0;m < 48 ;m++){ keys[ 2][m] = tempKey[m]; } break;
      case 3: for(m=0;m < 48 ;m++){ keys[ 3][m] = tempKey[m]; } break;
      case 4: for(m=0;m < 48 ;m++){ keys[ 4][m] = tempKey[m]; } break;
      case 5: for(m=0;m < 48 ;m++){ keys[ 5][m] = tempKey[m]; } break;
      case 6: for(m=0;m < 48 ;m++){ keys[ 6][m] = tempKey[m]; } break;
      case 7: for(m=0;m < 48 ;m++){ keys[ 7][m] = tempKey[m]; } break;
      case 8: for(m=0;m < 48 ;m++){ keys[ 8][m] = tempKey[m]; } break;
      case 9: for(m=0;m < 48 ;m++){ keys[ 9][m] = tempKey[m]; } break;
      case 10: for(m=0;m < 48 ;m++){ keys[10][m] = tempKey[m]; } break;
      case 11: for(m=0;m < 48 ;m++){ keys[11][m] = tempKey[m]; } break;
      case 12: for(m=0;m < 48 ;m++){ keys[12][m] = tempKey[m]; } break;
      case 13: for(m=0;m < 48 ;m++){ keys[13][m] = tempKey[m]; } break;
      case 14: for(m=0;m < 48 ;m++){ keys[14][m] = tempKey[m]; } break;
      case 15: for(m=0;m < 48 ;m++){ keys[15][m] = tempKey[m]; } break;
    }
  }
  return keys;
}
//end-------------------------------------------------------------------------------------------------------------
/*
 function test() {

 var msg = "abcdefgh";
 var bt = strToBt(msg);

 var key = "12345678";
 var keyB = strToBt(key);

 var encByte = enc(bt,keyB);

 var enchex  = bt64ToHex(encByte);
 endata.value=enchex;

 var encStr = hexToBt64(enchex);
 alert("encStr="+encStr);
 var eByte = new Array();
 for(m=0;m<encStr.length;m++){
 eByte[m] = parseInt(encStr.substring(m,m+1));
 }
 var decbyte= dec(eByte,keyB)
 var decmsg= byteToString(decbyte);
 alert("decbyte="+decbyte);
 alert("decmsg="+decmsg);
 }*/

var AppDirectives = angular.module('starter.directives', []);
AppDirectives
  .directive('hideTabs', ['$rootScope', function ($rootScope) {
    return {
      restrict: 'A',
      link: function (scope, element, attributes) {
        scope.$on('$ionicView.beforeEnter', function () {
          scope.$watch(attributes.hideTabs, function (value) {
            $rootScope.hideTabs = value;
          });
        });
        scope.$on('$ionicView.beforeLeave', function () {
          $rootScope.hideTabs = false;
        });
      }
    };
  }])
  .directive('imageonload', function () {
    return {
      restrict: 'A',
      link: function (scope, element, attrs) {
        element.bind('load', function () {
          scope.$apply(attrs.imageonload);
        }).bind('error', function () {
          scope.$apply(attrs.imageonload);
        });
      }
    };
  })
  .directive('showBrandgrade', ['$rootScope', 'Global', function ($rootScope, Global) {
    return {
      restrict: 'A',
      template: '<div class="div-brand" ng-click="showBrandLevel()"><img ng-src="img/icon/crown{{crownValue}}.png" ng-if="crownValue>0"><img ng-src="img/icon/masonry{{masonryValue}}.png" ng-if="masonryValue>0"><img ng-src="img/icon/gold{{goldValue}}.png" ng-if="goldValue>0"><span ng-if="moneyValue>0">+{{moneyValue}}</span></div>',
      link: function (scope, element, attrs) {
        if (Global.User.token && $rootScope.storeBrandGrades && attrs.showBrandgrade) {
          var curStoreBrandGrade = {};
          angular.forEach($rootScope.storeBrandGrades, function (storeBrandGrade) {
            if (storeBrandGrade.brandCode == attrs.showBrandgrade) {
              curStoreBrandGrade = storeBrandGrade;
              return;
            }
          });
          if (curStoreBrandGrade.gradeSplit) {
            var values = curStoreBrandGrade.gradeSplit.split(',');
            scope.crownValue = values[0];
            scope.masonryValue = values[1];
            scope.goldValue = values[2];
            scope.moneyValue = values[3];
            scope.showBrandLevel = function () {
              Global.popup.showToast('品牌等级：' + curStoreBrandGrade.grade);
            };
          }
        }
      }
    };
  }])
  .directive('comImageBox', function () {
    return {
      restrict: 'E',
      template: '<div class="LightBox" style="display:none;" ng-click="hideComImageBox()"><div class="ImgViewer"><img src="{{comImageBoxUrl}}"></div></div>',
      transclude: false,
      templateNamespace: 'html',
      scope: false,
      link: function (scope, element, attrs, controller) {
        //图片大小
        var elWidth, elHeight;
        //元素大小
        var outWidth, outHeight;
        // 当前操作模式 pinch:缩放 swipe:滑动
        var mode = '';
        // 双指触摸点的距离 (缩放模式)
        var distance = 0;
        var initialDistance = 0;
        // 图片缩放参数
        var scale = 1;
        var relativeScale = 1;
        var initialScale = 1;
        var maxScale = parseInt(attrs.maxScale, 10);
        if (isNaN(maxScale) || maxScale <= 1) {
          maxScale = 20;
        }
        // position of the upper left corner of the element
        var positionX = 0;
        var positionY = 0;
        var initialPositionX = 0;
        var initialPositionY = 0;
        // central origin (缩放模式)
        var originX = 0;
        var originY = 0;
        // start coordinate and amount of movement （滑动模式）
        var startX = 0;
        var startY = 0;
        var moveX = 0;
        var moveY = 0;
        outWidth = $(".LightBox").width();
        outHeight = $(".LightBox").height();
        scope.comImageBoxUrl = "";
        scope.isShowComImageBox = false;
        //显示图片
        scope.showComImageBox = function (imageName) {
          scope.comImageBoxUrl = imageName;
          scope.isShowComImageBox = true;
          $(".LightBox").show(150, function () {
            $(".LightBox .ImgViewer img").each(function () {
              $(this).css({
                width: "100%"
              });
              elWidth = $(this).width();
              elHeight = $(this).height();
              //居中
              $(this).css({
                marginLeft: elWidth / 2 * (-1),
                marginTop: elHeight / 2 * (-1)
              });
            });
          });
          //每次点击放大图片之后需要绑定事件
          element.find("img").unbind('touchstart').on('touchstart', touchstartHandler);
          element.find("img").unbind('touchmove').on('touchmove', touchmoveHandler);
          element.find("img").unbind('touchend').on('touchend', touchendHandler);
        };
        //隐藏图片
        scope.hideComImageBox = function () {
          scope.isShowComImageBox = false;
          $(".LightBox").hide(200);
          mode = '';
          distance = 0;
          initialDistance = 0;
          scale = 1;
          relativeScale = 1;
          initialScale = 1;
          maxScale = parseInt(attrs.maxScale, 10);
          if (isNaN(maxScale) || maxScale <= 1) {
            maxScale = 20;
          }
          positionX = 0;
          positionY = 0;
          initialPositionX = 0;
          initialPositionY = 0;
          originX = 0;
          originY = 0;
          startX = 0;
          startY = 0;
          moveX = 0;
          moveY = 0;
          transformElement();
        };

        function touchstartHandler(evt) {
          var touches = evt.originalEvent ? evt.originalEvent.touches : evt.touches;
          startX = touches[0].clientX;
          startY = touches[0].clientY;
          initialPositionX = positionX;
          initialPositionY = positionY;
          moveX = 0;
          moveY = 0;
        }

        /**
         * @param {object} 手指移动
         */
        function touchmoveHandler(evt) {
          var touches = evt.originalEvent ? evt.originalEvent.touches : evt.touches;
          var leftX = positionX - elWidth * scale / 2 + outWidth / 2;
          var rightX = outWidth - (leftX + elWidth * scale);
          var topY = positionY - elHeight * scale / 2 + outHeight / 2;
          var bottomY = outHeight - (topY + elHeight * scale);
          if (mode === '') {
            if (touches.length === 1) {
              mode = 'swipe';
            } else if (touches.length === 2) {
              mode = 'pinch';
              initialScale = scale;
              initialDistance = getDistance(touches);
              originX = touches[0].clientX -
                parseInt((touches[0].clientX - touches[1].clientX) / 2, 10) -
                element.find("img")[0].offsetLeft - initialPositionX;
              originY = touches[0].clientY -
                parseInt((touches[0].clientY - touches[1].clientY) / 2, 10) -
                element.find("img")[0].offsetTop - initialPositionY;
            }
          }
          if (mode === 'swipe') {
            //移动
            evt.preventDefault();
            moveX = touches[0].clientX - startX;
            moveY = touches[0].clientY - startY;
            positionX = initialPositionX + moveX;
            positionY = initialPositionY + moveY;
            transformElement();
            //左右有空余，左右间距相同，禁止上下滑动
            if (leftX > 0 && rightX > 0) {
              positionX = 0;
              transformElement();
            }
            //上下都有空余，禁止左右滑动
            if (topY > 0 && bottomY > 0) {
              positionY = 0;
              transformElement();
            }
          } else if (mode === 'pinch') {
            //缩放
            evt.preventDefault();
            distance = getDistance(touches);
            relativeScale = distance / initialDistance;
            scale = relativeScale * initialScale;
            positionX = originX * (1 - relativeScale) + initialPositionX + moveX;
            positionY = originY * (1 - relativeScale) + initialPositionY + moveY;
            transformElement();
            positionX = 0;
            positionY = 0;
            transformElement();
          }
        }

        /**
         * @param {object} 点击结束
         */
        function touchendHandler(evt) {
          var touches = evt.originalEvent ? evt.originalEvent.touches : evt.touches;
          if (mode === '' || touches.length > 0) {
            return;
          }
          //缩放比例小于原比例
          if (scale < 1) {
            scale = 1;
            positionX = 0;
            positionY = 0;
          } else if (scale > maxScale) {
            //缩放比例过大
            scale = maxScale;
            relativeScale = scale / initialScale;
            positionX = originX * (1 - relativeScale) + initialPositionX + moveX;
            positionY = originY * (1 - relativeScale) + initialPositionY + moveY;
          }
          //} else {
          //    //
          //    if (positionX > 0) {
          //        positionX = 0;
          //    } else if (positionX < elWidth * (1 - scale)) {
          //        positionX = elWidth * (1 - scale);
          //    }
          //    if (positionY > 0) {
          //        positionY = 0;
          //    } else if (positionY < elHeight * (1 - scale)) {
          //        positionY = elHeight * (1 - scale);
          //    }
          //}

          var leftX = positionX - elWidth * scale / 2 + outWidth / 2;
          var rightX = outWidth - (leftX + elWidth * scale);
          var topY = positionY - elHeight * scale / 2 + outHeight / 2;
          var bottomY = outHeight - (topY + elHeight * scale);
          if (leftX > 0 && rightX < 0) {
            //leftX=0;
            positionX = elWidth * scale / 2 - outWidth / 2;
            transformElement();
          } else if (leftX < 0 && rightX > 0) {
            //rightX=0;
            positionX = outWidth / 2 - elWidth * scale / 2;
            transformElement();
          }
          if (topY < 0 && bottomY > 0) {
            positionY = outHeight / 2 - elHeight * scale / 2;
            transformElement();
          } else if (topY > 0 && bottomY < 0) {
            positionY = elHeight * scale / 2 - outHeight / 2;
            transformElement();
          }
          leftX = positionX - elWidth * scale / 2 + outWidth / 2;
          rightX = outWidth - (leftX + elWidth * scale);
          topY = positionY - elHeight * scale / 2 + outHeight / 2;
          bottomY = outHeight - (topY + elHeight * scale);
          if (topY > 0 && bottomY > 0) {
            //让上下边距相同，只允许左右滑动
            positionY = 0;
            transformElement();
          }
          if (leftX > 0 && rightX > 0) {
            positionX = 0;
            transformElement();
          }
          leftX = positionX - elWidth * scale / 2 + outWidth / 2;
          rightX = outWidth - (leftX + elWidth * scale);
          topY = positionY - elHeight * scale / 2 + outHeight / 2;
          bottomY = outHeight - (topY + elHeight * scale);
          transformElement(0.1);
          mode = '';
        }

        /**
         * @param {Array} 双指touch位置
         * @return {number}
         */
        function getDistance(touches) {
          var d = Math.sqrt(Math.pow(touches[0].clientX - touches[1].clientX, 2) +
            Math.pow(touches[0].clientY - touches[1].clientY, 2));
          return parseInt(d, 10);
        }

        /**
         * @param {number} 动画时间
         */
        function transformElement(duration) {
          var transition = duration ? 'all cubic-bezier(0,0,.5,1) ' + duration + 's' : '';
          var matrixArray = [scale, 0, 0, scale, positionX, positionY];
          var matrix = 'matrix(' + matrixArray.join(',') + ')';
          element.find("img").css({
            '-webkit-transition': transition,
            transition: transition,
            '-webkit-transform': matrix + ' translate3d(0,0,0)',
            transform: matrix
          });
        }
      }
    };
  });


var AppFilters = angular.module('starter.filters', []);
AppFilters.filter('HideNumber', function () {
  return function (input) {
    var out = '';
    if(input){
      out = input.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
    }
    return out;
  };
});

/**
 * 统一封装angularjs的公共方法组件
 * create by liuxiaobin 2016-02-15
 */
angular.module('starter.global', []).factory('Global', ['$q', '$http', '$ionicLoading', '$ionicPopup', '$cordovaToast', '$compile', '$rootScope', '$timeout', '$ionicHistory', function($q, $http,$ionicLoading,$ionicPopup,$cordovaToast,$compile,$rootScope,$timeout,$ionicHistory) {
  //服务器信息
  var Server = {
    key:{
      key1:"wqblb",
      key2:"app",
      key3:"1.0.0"
    },
    // baseUrl:"http://api2test.wqblb.com",
    // url:"http://api2test.wqblb.com/v0.4",
    baseUrl:"https://api2.wqblb.com",
    url:"https://api2.wqblb.com/v0.4",
    wxUrl:"https://weixin.wqblb.com/storewww/redirect.html",
    wxPayUrl: "https://api2test.wqblb.com/v0.4",
    version:""
  };
  //登陆账户信息
  var User = {
    openId:"",
    userName:"",
    password:"",
    token:"",
    mobile:"",
    loginDate:"",
    from:'',
    fromType:'',
    cashierId:'',
    Store:{},
    Address:{
      province:"",
      city:"",
      cityCode:"",
      district:"",
      supplyArea:"",
      supplyAreaDescr:""
    }
  };
  //http请求
  var https = {
    ajax:function(method,url,param,data,success,fail,isAuth,isLoading){
	    if(isLoading === undefined){
        isLoading = true;
      }
      if(url.indexOf("https://") < 0 && url.indexOf("http://") < 0){
        url = Server.url + url;
      }
      var opts = {
        url:url,
        method:method,
        params:param,
        data:data
      };
      if(isAuth){
        angular.extend(opts,{headers: {'Content-Type':'application/json;charset=utf-8','Accept':'application/json','Authorization':"MAC id=\""+User.token+"\"",'Wqblb-Version':Server.version}});
      }else{
        angular.extend(opts,{headers:{'Content-Type':'application/json;charset=utf-8','Accept':'application/json','Wqblb-Version':Server.version}});
      }
      if(isLoading) $ionicLoading.show({template: '处理中...'});
      var deferred = $q.defer(), promise = deferred.promise;
      $http(opts).success(function(data,status,headers,config,statusText){
        if (data.code == 100010) { // 特殊情况提醒，如春节
          popup.alert(data.message);
        } else {
          if(success)  success(data,status,headers,config,statusText);
          deferred.resolve(data);
        }
        if(isLoading) $ionicLoading.hide();
      }).error(function(data,status,headers,config,statusText){
        if(isLoading) $ionicLoading.hide();
        if(status === 0 || status === 408){//网络连接失败或网络连接超时
          popup.showToast('网络连接失败！');
          return;
        }
        if (fail) fail(data,status,headers,config,statusText);
        deferred.reject(data);
      });
      promise.success = function (fn) {
        promise.then(fn);
        return promise;
      };
      promise.error = function (fn) {
        promise.then(null, fn);
        return promise;
      };
      return promise;
    },
    get:function(url,param,success,fail,isLoading){
      return https.ajax("GET",url,param,{},success,fail,false,isLoading);
    },
    post:function(url,data,success,fail,isLoading){
      return https.ajax("POST",url,{},data,success,fail,false,isLoading);
    },
    authGet:function(url,param,success,fail,isLoading){
      return https.ajax("GET",url,param,{},success,fail,true,isLoading);
    },
    authPost:function(url,data,success,fail,isLoading){
      return https.ajax("POST",url,{},data,success,fail,true,isLoading);
    },
    put:function(url,data,success,fail,isLoading){
      return https.ajax("PUT",url,{},data,success,fail,false,isLoading);
    },
    authPut:function(url,data,success,fail,isLoading){
      return https.ajax("PUT",url,{},data,success,fail,true,isLoading);
    },
    delete:function(url,data,success,fail,isLoading){
      return https.ajax("DELETE",url,{},data,success,fail,true,isLoading);
    }
  };

  //js提示信息框
  var tipsInfo = {
    megTmp:"<div class='nspop_megcontainer myactive'><div class='main'><div class='textContent'>{{content}}</div></div></div>",
    megs:[],
    compileTmp:function(options){
      var tem = $compile(options.template)(options.scope);
      if(options.appendTo){
        options.appendTo.append(tem);
      }
      return tem;
    },
    createMeg:function(content,options){
      options = angular.extend({
        bottom:window.screen.availHeight/2-25, //距离下边距离
        scope: $rootScope.$new(), //创建一个继承自根的作用域
        timeout: 2000  //多少秒后自动隐藏
      }, options);
      options.scope.content = content; //消息文本
      var megPromise = $q.when(tipsInfo.compileTmp({template: tipsInfo.megTmp, scope: options.scope, appendTo: angular.element(document.body)}));
      megPromise.then(function (result) {
        tipsInfo.megs.push(result);
        result.css("bottom", options.bottom + "px");
        $timeout(function () {
          result.remove(); //移除消息展示
          options.scope.$destroy();  //摧毁作用域
        },options.timeout);
      });
    },
    showMessage:function(content,options){
      //移除已存在的消息展示
      angular.forEach(tipsInfo.megs, function (item,index) {
        item.remove();
      });
      tipsInfo.createMeg(content,options);
    }
  };

  //提示框
  var popup = {
    show:function(options,yesFun,closeFun){
      var opt = {
        title:"窗口信息",
        buttons:[
          {
            text: '取消',
            type: 'button-default',
            onTap: function(e) {
              closeFun(e);
            }
          },
          {
            text: '确定',
            type: 'button-positive',
            onTap: function(e) {
              yesFun(e);
            }
          }
        ]
      };
      angular.extend(opt,options);
      return $ionicPopup.show(opt);
    },
    alert:function(content,callback){
      $ionicPopup.alert({
        title: '温馨提示',
        template: content,
        okText:"是"
      }).then(function(res){
        if(callback) callback();
      });
    },
    confirm:function(content,yesFn,noFn){
      $ionicPopup.confirm({
        title: '确认信息',
        template: content,
        okText:"确认",
        cancelText:"取消"
      }).then(function(res){
        if(res){
          if(yesFn){
            yesFn();
          }
        }else {
          if(noFn){
            noFn();
          }
        }
      });
    },
    //position:center,bottom,top;time:short,long
    showToast:function(content,position,time){
      if(window.cordova && window.cordova.plugins && window.cordova.plugins.toast){//原生提示信息框
        $cordovaToast.hide();
        position = position || 'center';
        time = time || 'short';
        if(position == 'center'){
          if(time=='short') $cordovaToast.showShortCenter(content); else $cordovaToast.showLongCenter(content);
        }else if(position == 'bottom'){
          if(time=='short') $cordovaToast.showShortBottom(content); else $cordovaToast.showLongBottom(content);
        }else if(position=='top'){
          if(time=='short') $cordovaToast.showShortTop(content); else $cordovaToast.showLongTop(content);
        }
      }else{//js提示信息框
        var options = {};
        if(time == 'short'){
          options.timeout = 2000;
        }else if(time == 'long'){
          options.timeout = 4000;
        }
        tipsInfo.showMessage(content,options);
      }
    }
  };

  var UUID = {
    createUUID:function(){
      var s = [];
      var hexDigits = "0123456789abcdef";
      for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
      }
      s[14] = "4"; // bits 12-15 of the time_hi_and_version field to 0010
      s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1); // bits 6-7 of the clock_seq_hi_and_reserved to 01
      s[8] = s[13] = s[18] = s[23] = "-";
      var uuid = s.join("");
      return uuid;
    }
  };

  var request = {
    getParameter:function(param){
      param = param + '=';
      var query = window.location.search;
      var iLen = param.length;
      var iStart = query.indexOf(param);
      if (iStart == -1)
        return "";
      iStart += iLen;
      var iEnd = query.indexOf("&", iStart);
      if (iEnd == -1)
        return query.substring(iStart);
      return query.substring(iStart, iEnd);
    },
    getUrl:function(){
      var url = window.location.href;
      var iEnd = url.indexOf("#");
      if (iEnd == -1)
        return url;
      return url.substring(0,iEnd);
    },
    //把url的参数部分转化成json对象
    getParams:function(url){
      var reg_url = /^[^\?]+\?([\w\W]+)$/,reg_para = /([^&=]+)=([\w\W]*?)(&|$|#)/g,arr_url = reg_url.exec(url),ret = {};
      if (arr_url && arr_url[1]) {
        var str_para = arr_url[1], result;
        while ((result = reg_para.exec(str_para)) !== null) {
          ret[result[1]] = result[2];
        }
      }
      return ret;
    }
  };

  //通用工具类
  var utils = {
    goBack: function (count) {
      if(count === undefined){
        count = -1;
      }
      if(ionic.Platform.isAndroid()){
        $rootScope.$ionicGoBack(count);
      }else{
        $ionicHistory.goBack(count);
      }
    }
  };

  //返回调用
  return {
    https:https,
    popup:popup,
    User:User,
    Server:Server,
    UUID:UUID,
    request:request,
    utils:utils
  };
}]);

var AppRoutes = angular.module('starter.route',[]);
AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function($stateProvider, $urlRouterProvider) {

      // Ionic uses AngularUI Router which uses the concept of states
      // Learn more here: https://github.com/angular-ui/ui-router
      // Set up the various states which the app can be in.
      // Each state's controller can be found in controllers.js
      $stateProvider

      // setup an abstract state for the tabs directive
      .state('tab', {
        url: '/tab',
        abstract: true,
        templateUrl: 'templates/tabs.html',
        controller:'TabCtrl'
      })
      //断网页面
      .state('tab.offline', {
        url: '/offline',
        nativeTransitions: null,
        views: {
          'tab-first': {
            templateUrl: 'templates/offline.html',
            controller: "OfflineCtrl"
          }
        }
      })
      //宣传导航
      .state('tab.adNavigation', {
        url: '/adNavigation',
        nativeTransitions: null,
        views: {
          'tab-first': {
            templateUrl: 'templates/adNavigation.html',
            controller: 'AdNavigationCtrl'
          }
        }
      })
      .state('tab.first', {
        url: '/first',
        nativeTransitions: null,
        views: {
          'tab-first': {
            templateUrl: 'store/portal/tab-portal.html',
            controller:"PortalCtrl"
          }
        }
      })
      //首页
      //   .state('tab.first', {
      //     url: '/first',
      //     nativeTransitions: null,
      //     views: {
      //       'tab-first': {
      //         templateUrl: 'store/portal/tab-main.html',
      //         controller:"MainCtrl"
      //       }
      //     }
      //   })
      //首页
      // .state('tab.first', {
      //   url: '/first',
      //   nativeTransitions: null,
      //   views: {
      //     'tab-first': {
      //       templateUrl: 'store/portal/tab-first.html',
      //       controller:"FirstCtrl"
      //     }
      //   }
      // })
      //商城
      .state('tab.portal', {
        url: '/portal',
        nativeTransitions: null,
        views: {
          'tab-portal': {
            templateUrl: 'store/portal/tab-portal.html',
            controller:"PortalCtrl"
          }
        }
      })
      //商城首页
      .state('shopHome', {
        url: '/shopHome',
        nativeTransitions: null,
        templateUrl: 'store/portal/tab-portal.html',
        controller:"PortalCtrl"
      })
      //分类
      .state('tab.item', {
        url: '/item',
        nativeTransitions: null,
        views: {
          'tab-item': {
            //templateUrl: 'store/item/tab-item.html',
            //controller:"ItemCtrl"
            templateUrl: 'store/item/tab-typeItem.html',
            controller:"TypeItemCtrl"
          }
        }
      })
      //扫码
      .state('tab.qrCode', {
        url: '/qrCode',
        nativeTransitions: null,
        views: {
          'tab-qrCode': {
            templateUrl: 'store/item/tab-qrCode.html',
            controller:"QrCodeCtrl"
          }
        }
      })
      //报货单
      .state('tab.order', {
        url: '/order',
        nativeTransitions: null,
        views: {
          'tab-order': {
            templateUrl: 'store/order/tab-order.html',
            controller:"OrderCtrl",
            resolve: {
              refreshShoppingCount:['$rootScope', function($rootScope){
                $rootScope.$broadcast('updateShoppingCount');
              }]
            }
          }
        }
      })
      //我的
      .state('tab.my', {
        url: '/my',
        nativeTransitions: null,
        views: {
          'tab-my': {
            templateUrl: 'store/my/tab-my.html',
            controller:"MyCtrl"
          }
        }
      });
      // if none of the above states are matched, use this as the fallback
      //$urlRouterProvider.otherwise('/tab/portal');
  }]);

var AppServices = angular.module('starter.services', []);
//系统工具类
AppServices
  .factory('SystemUtils', ['$q', '$http', 'Global', '$interval', function ($q, $http, Global, $interval) {
    var MQTT = {
      isConnect: false,
      connectInterval: undefined,
      config: {
        url: "tcp://192.168.168.117",
        port: 1883,
        clientId: "wqblbApp",
        username:"wqblb-admin",
        password:"wqblb-admin",
        keepAlive: 60,
        willTopicConfig: {
          qos: 0,
          retain: false,
          topic: "topic",
          payload: "wqblbApp message"
        }
      },
      subscribeTopics: [],
      connect: function (success, error, connectLost) {
        if (!MQTT.isConnect && Global.User.Store && Global.User.Store.code && Global.User.token) {
          cordova.plugins.CordovaMqTTPlugin.connect({
            url: MQTT.config.url,
            port: MQTT.config.port,
            clientId: Global.User.Store.code || MQTT.config.clientId,
            connectionTimeout: MQTT.config.connectionTimeout,
            username: Global.User.Store.code || MQTT.config.username,
            password: Global.User.token || MQTT.config.password,
            keepAlive: MQTT.config.keepAlive,
            willTopicConfig: MQTT.config.willTopicConfig,
            success: function (s) {
              console.log("connect success:" + JSON.stringify(s));
              MQTT.isConnect = true;
              if (!MQTT.connectInterval) {
                MQTT.connectInterval = $interval(function () {
                  if (!MQTT.isConnect) { // 连接掉线后进行重连
                    MQTT.connect(function (s1) {
                      if (MQTT.subscribeTopics.length > 0) {
                        angular.forEach(MQTT.subscribeTopics, function (subscribeTopic) {
                          MQTT.subscribe(subscribeTopic.topic, subscribeTopic.callBack);
                        });
                      }
                    });
                  }
                }, 10000); // 每隔10秒执行一下心跳检测
              }
              if (success) {
                success(s);
              }
            },
            error: function (e) {
              console.log("connect error:" + JSON.stringify(e));
              MQTT.isConnect = false;
              if (error) {
                error(e);
              }
            },
            onConnectionLost: function (cl) {
              console.log("onConnectionLost: disconnect");
              MQTT.isConnect = false;
              if (connectLost) {
                connectLost(cl);
              }
            }
          });
        }
      },
      disconnect: function (success, error) {
        if (MQTT.isConnect) {
          cordova.plugins.CordovaMqTTPlugin.disconnect({
            success: function (s) {
              console.log("disconnect success: " + JSON.stringify(s));
              MQTT.isConnect = false;
              if (MQTT.connectInterval) {
                $interval.cancel(MQTT.connectInterval);
              }
              if (success) {
                success(s);
              }
            },
            error: function (e) {
              console.log("disconnect error: " + JSON.stringify(e));
              if (error) {
                error(e);
              }
            }
          });
        }
      },
      subscribe: function (topic, callBack) {
        cordova.plugins.CordovaMqTTPlugin.subscribe({
          topic: topic,
          qos: 2,
          success: function (s) {
            console.log("subscribe success:" + JSON.stringify(s));
            if (!MQTT.hasSubscribeTopic(topic)) {
              MQTT.subscribeTopics.push({topic: topic, callBack: callBack});
            }
          },
          error: function (e) {
            console.log("subscribe error:" + JSON.stringify(e));
          }
        });
        cordova.plugins.CordovaMqTTPlugin.listen(topic, function (payload, params) {
          console.log("listen payload:" + payload);
          callBack(payload);
        });
      },
      publish: function (topic, payload) {
        cordova.plugins.CordovaMqTTPlugin.publish({
          topic: topic,
          payload: payload,
          qos: 0,
          retain: false,
          success: function (s) {
            console.log("publish success:" + JSON.stringify(s));
          },
          error: function (e) {
            console.log("publish error:" + JSON.stringify(e));
          }
        });
      },
      // 判断是否已订阅该频道
      hasSubscribeTopic: function (topic) {
        if (MQTT.subscribeTopics.length > 0) {
          angular.forEach(MQTT.subscribeTopics, function (subscribeTopic) {
            if (subscribeTopic.topic == topic) {
              return true;
            }
          });
        }
        return false;
      },
      // 接收消息
      receiveMessage: function (topic, callBack) {
        if (!MQTT.isConnect) {
          MQTT.connect(function (s) {
            MQTT.subscribe(topic, callBack);
          });
        } else {
          MQTT.subscribe(topic, callBack);
        }
      },
      // 发送消息
      sendMessage: function (topic, payload) {
        if (!MQTT.isConnect) {
          MQTT.connect(function (s) {
            MQTT.publish(topic, payload);
          });
        } else {
          MQTT.publish(topic, payload);
        }
      },
      // 调用本地通知
      localNotification: function (title, text, options) {
        var opts = {title: title, text: text};
        if (options) {
          angular.extend(opts, options);
        }
        cordova.plugins.notification.local.schedule(opts);
      }
    };
    return {
      //获取地理位置信息
      getCurrentPosition: function (successFun, failFun, locationMode) {
        if (ionic.Platform.isAndroid()) {//调用腾讯地图定位
          navigator.geolocation.getTencentCurrentPosition(function (position) {
            successFun(position);
          }, function (err) {
            if (err.status.cell !== 1) {
              Global.popup.alert('系统检测到您手机或应用程序的位置权限被禁用！');
            } else if (err.status.gps !== 1 && err.status.gps !== 3 && err.status.wifi !== 1) {
              Global.popup.alert('系统检测到您手机的gps及wifi功能未开启！');
            } else if (err.status.gps !== 1 && err.status.gps !== 3) {
              Global.popup.alert('系统检测到您手机的gps功能未开启！');
            } else if (err.status.wifi !== 1) {
              Global.popup.alert('系统检测到您手机的wifi功能未开启！');
            } else {
              Global.popup.alert('定位失败，请在空旷的地方重新定位！');
            }
            failFun(err);
          }, {
            "locationMode": locationMode || "BATTERY_SAVING",
            "requestLevel": "REQUEST_LEVEL_ADMIN_AREA",
            "allowCache": false,
            "allowDirection": false,
            "timeout": 15000
          });
        } else {
          if (navigator.geolocation) { // 使用h5定位
            navigator.geolocation.getCurrentPosition(function (position) {
              var latlng = position.coords.latitude + ',' + position.coords.longitude;
              Global.https.get("http://apis.map.qq.com/ws/geocoder/v1/?coord_type=1&key=YPMBZ-JMQCJ-QRBFN-KHASL-UMKNE-6XFBJ&location=" + latlng, {}, function (location) {
                successFun({
                  coords: {
                    latitude: location.result.location.lat,
                    longitude: location.result.location.lng,
                    address: location.result.address,
                    province: location.result.address_component.province,
                    city: location.result.address_component.city,
                    cityCode: location.result.ad_info.adcode,
                    district: location.result.address_component.district,
                    street: location.result.address_component.street
                  }
                });
              }, undefined, false);
            }, function (err) {
              failFun(err);
            }, {
              timeout: 15000,
              enableHighAccuracy: true,
              maximumAge: 0
            });
          } else { // 使用腾讯地图定位
            var geolocation = new qq.maps.Geolocation("YPMBZ-JMQCJ-QRBFN-KHASL-UMKNE-6XFBJ", "wqblbApp");
            if (geolocation) {
              geolocation.getLocation(function (position) {
                successFun({
                  coords: {
                    latitude: position.lat,
                    longitude: position.lng,
                    address: position.addr,
                    province: position.province,
                    city: position.city,
                    cityCode: position.adcode,
                    district: position.district,
                    street: position.street
                  }
                });
              }, function (err) {
                failFun(err);
              }, {
                timeout: 15000,
                failTipFlag: true
              });
            }
          }
        }
      },
      //微信地址转换成App地址
      changeWeixinUrl: function (href) {
        return Global.https.get('/shortURL/getURL', {shortURL: href}, undefined, undefined, false);
      },
      // 消息推送
      MQTT: MQTT
    };
  }]);

angular.module('templates', []).run(['$templateCache', function($templateCache) {$templateCache.put('index.html','<!DOCTYPE html>\n<html>\n<head>\n  <meta charset="utf-8">\n  <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">\n  <meta name="format-detection" content="telephone=no">\n  <title>\u96C6\u914D\u5546\u57CE</title>\n\n  <link href="lib/ionic/css/ionic.min.css" rel="stylesheet">\n  <link href="lib/ionic/css/animate.css" rel="stylesheet">\n\n  <link href="svg/tab/wqblbiconfont/iconfont.css" rel="stylesheet">\n  <link href="svg/tab/cainiaoiconfont/iconfont.css" rel="stylesheet">\n  <link href="svg/tab/alibabaiconfont/iconfont.css" rel="stylesheet">\n  <!-- build:css dist_css/styles.css -->\n  <!-- inject:css -->\n  <link rel="stylesheet" href="dist/dist_css/styles.css">\n  <!-- endinject -->\n  <!-- endbuild -->\n\n  <!-- IF using Sass (run gulp sass first), then uncomment below and remove the CSS includes above\n  <link href="css/ionic.app.css" rel="stylesheet">\n  -->\n\n  <script src="lib/jquery-3.4.1.min.js"></script>\n  <!-- \u5FAE\u4FE1\u7AEF\u9700\u8981\u52A0\u5165\u8BE5 script -->\n  <!--<script src="https://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>-->\n  <script src="lib/jweixin-1.4.0.js"></script>\n  <!-- ionic/angularjs js -->\n  <script src="lib/ionic/js/ionic.bundle.min.js"></script>\n  <script src="lib/ionic-image-lazy-load/ionic-image-lazy-load.js"></script>\n  <script src="lib/ionic-native-transitions/dist/ionic-native-transitions.min.js"></script>\n\n  <script src="lib/chart.js/dist/Chart.min.js"></script>\n  <script src="lib/angular-chart.js/dist/angular-chart.min.js"></script>\n  <script src="lib/geolocation.min.js"></script>\n\n\n  <!-- cordova script (this will be a 404 during development) -->\n  <script src="lib/ngCordova/dist/ng-cordova.min.js"></script>\n  <script src="cordova.js"></script>\n\n  <!-- your app\'s js -->\n  <!-- build:js dist_js/app.js -->\n  <!-- inject:js -->\n  <script src="dist/dist_js/app.js"></script>\n  <!-- endinject -->\n  <!-- endbuild -->\n</head>\n<body ng-app="starter">\n<!--\n  The nav bar that will be updated as we navigate between views.\n\n<ion-nav-bar class="bar-stable">\n  <ion-nav-back-button></ion-nav-back-button>\n</ion-nav-bar>\n-->\n<!--\n  The views will be rendered in the <ion-nav-view> directive below\n  Templates are in the /templates folder (but you could also\n  have templates inline in this html file if you\'d like).\n-->\n<ion-nav-view></ion-nav-view>\n<ng-include src="\'templates/common.html\'"></ng-include>\n</body>\n</html>\n');
$templateCache.put('redirect.html','<!DOCTYPE html>\n<html>\n  <head>\n    <meta charset="utf-8">\n    <meta http-equiv="expires" content="0">\n    <meta http-equiv="pragma" content="no-cache">\n    <meta http-equiv="Cache-Control" content="no-cache">\n    <meta http-equiv="Cache" content="no-cache">\n    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">\n    <meta name="format-detection" content="telephone=no">\n    <title></title>\n    <script type="text/javascript">\n      function getParameter(param) {\n        param = param + \'=\';\n        var query = window.location.search;\n        var iLen = param.length;\n        var iStart = query.indexOf(param);\n        if (iStart == -1){\n          return "";\n        }\n        iStart += iLen;\n        var iEnd = query.indexOf("&", iStart);\n        if (iEnd == -1){\n          return query.substring(iStart);\n        }\n        return query.substring(iStart, iEnd);\n      }\n      var shareLinkUrl = getParameter("shareLinkUrl");\n      if (shareLinkUrl) { //\u63D0\u4F9B\u6574\u4E2A\u5206\u4EAB\u94FE\u63A5\u7684\u8DF3\u8F6C\n        window.location.href = decodeURIComponent(shareLinkUrl);\n      }\n    </script>\n  </head>\n  <body>\n  </body>\n</html>\n');
$templateCache.put('templates/adNavigation.html','<ion-view title="\u96C6\u914D\u5546\u57CE" hide-nav-bar="true" hide-tabs="true">\n  <ion-slide-box auto-play="true" slide-interval="2000" show-pager="true" ng-if="storeStartPage && storeStartPage.storeStartPageDetailList" style="height: 100%;">\n    <ion-slide ng-repeat="(index,detail) in storeStartPage.storeStartPageDetailList">\n      <div class="box" style="height: 100%;">\n        <img ng-src="{{detail.imgUrl}}" ng-click="goStoreStartPageDetailHref(detail.href)" imageonload="loadImg(index)">\n        <div style="text-align: center;width: 100%;position: absolute;bottom: 48px;z-index: 99;" ng-if="index == storeStartPage.storeStartPageDetailList.length-1">\n          <div class="button-welcome" ng-click="goPortal()" style="float: inherit;margin:0 auto;">\u8FDB\u5165\u5546\u57CE</div>\n        </div>\n      </div>\n    </ion-slide>\n  </ion-slide-box>\n</ion-view>\n');
$templateCache.put('templates/common.html','<!-- \u4FEE\u6539\u5546\u54C1\u6570\u91CF -->\n<script id="shoppingCar-view.html" type="text/ng-template">\n  <div class="row" style="padding: 0px;">\n    <div class="col col-25">\n      <button class="button icon ion-minus button-clear" ng-click="lessQty()" style="height: 30px;min-height:30px;line-height: 30px;"></button>\n    </div>\n    <div class="col col-50">\n      <input id="shoppingCarQty" type="number" onkeypress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" ng-model="shoppingCartQtyModel.shoppingCarQty" style="text-align: center;height: 36px;width:100%;border-style:solid;border-width:1px;" autofocus="true" ng-blur="blurQty()">\n    </div>\n    <div class="col col-25">\n      <button class="button icon ion-plus button-clear" ng-click="addQty()" style="height: 30px;min-height:30px;line-height: 30px;"></button>\n    </div>\n  </div>\n  <div class="row" style="font-size: small;color: red;margin-top: 5px" ng-show="errorFlag">\n    {{errorTip}}\n  </div>\n</script>\n<!-- \u5230\u8D27\u901A\u77E5\u7A97\u53E3 -->\n<script id="arrivalNotice-view.html" type="text/ng-template">\n  <div class="row" style="font-size: small;color: red;">\n    <div class="col text-center" style="color: #FF6600;">\u60A8\u6240\u5728\u5730\u533A\u6682\u65F6\u65E0\u8D27\uFF0C\u975E\u5E38\u62B1\u6B49\uFF0C\u8BF7\u52FE\u9009\u5230\u8D27\u901A\u77E5\u65B9\u5F0F\uFF01</div>\n  </div>\n  <div class="row" style="padding: 0px;">\n    <div class="col">\n      <ion-radio ng-value="1" ng-model="arrivalNotice.type" name="arrivalNoticeType">\u77ED\u4FE1\u901A\u77E5</ion-radio>\n      <ion-radio ng-value="2" ng-model="arrivalNotice.type" name="arrivalNoticeType" ng-if="hasWxUserId">\u5FAE\u4FE1\u901A\u77E5</ion-radio>\n    </div>\n  </div>\n</script>\n<script id="changeItemSupplier-view.html" type="text/ng-template">\n  <ion-modal-view>\n    <ion-header-bar class="item-input-inset headerBar" style="border-bottom: 0px;">\n      <a class="button icon-back02" ng-click="selectCancel()" style="color: white"></a>\n      <h1 class="title">\u540C\u6B3E\u5546\u54C1\u6BD4\u4EF7\u6392\u540D</h1>\n      <!--<a class="button" ng-click="selectConfirm()">\u786E\u5B9A</a>-->\n    </ion-header-bar>\n    <div class="bar-subheader">\n      <div class="item" ng-if="allOnSalesSplItem" style="background-color: #EEEEEE;text-align: center;">\n        \u672C\u5546\u54C1\u6709<span style="color: red;font-weight: bold;">{{allOnSalesSplItem.length}}\u5BB6</span>\u4F9B\u5E94\u5546\u63D0\u4F9B\n      </div>\n    </div>\n    <ion-content lazy-scroll class="has-subheader" overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;margin-top: 7px;background-color: #F6F6F6;">\n      <!--\n      <div ng-if="allOnSalesSplItem.length < 2" style="width: 100%;height:100%;text-align: center;padding-top: 40%">\n        <img src="img/empty.png" style="width: 160px;height: 160px">\n        <div class="row" style="padding:0;text-align: center;">\n          <div class="col" style="padding: 0;font-size: 14px;color: #999999;">\n            <span >\u6CA1\u6709\u540C\u6B3E\u5546\u54C1......</span>\n          </div>\n        </div>\n      </div>\n      -->\n      <div class="list">\n        <div class="item sr-item" ng-repeat="item in allOnSalesSplItem track by $index" >\n          <div show-brandgrade="{{item.brandCode}}"></div>\n          <div class="div-cuxiao" ng-if="item.isProm==1 && item.promTopQty >0">\n            <img src="img/cuxiao.png">\n            <div class="cuxiao1">{{item.promTopQty}}{{item.uomDescr}}</div>\n          </div>\n          <div class="row noMarginPadding" >\n            <div class="col col-33">\n              <a class="tab-item griditem new-tab-item" style="position: relative;">\n                <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n                <img class="icon bigtabicon" image-lazy-src="{{selectChangeItem.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n                <div class="realtime-stock-count">\n                  <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                  <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                </div>\n                <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n              </a>\n            </div>\n            <div class="col col-67">\n              <div>\n                <p class="sr-descr">{{item.descr}}</p>\n                <p class="sr-spldescr"><i class="paiming{{item.rank<5?item.rank:\'\'}}">{{item.rank}}</i>{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</p>\n                <p><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}<span class="sr-fanxian" ng-if="item.cashBack && item.cashBack > 0">\u8FD4\xA5{{item.cashBack}}</span></span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n                <p>\n                  <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                  <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                  <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                  <!--<span class="canret" ng-click="goRetRemark(item.retRemark)">\u9000\u6362\u8BF4\u660E</span>-->\n                </p>\n              </div>\n              <div class="row sr-row">\n                <div class="col col-60 noMarginPadding" >\n                  <div class="row noMarginPadding">\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                    <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                      <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="true">\n                    </div>\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                  </div>\n                </div>\n                <div class="col col-40 sr-col">\n                  <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                  <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </ion-content>\n  </ion-modal-view>\n</script>\n');
$templateCache.put('templates/offline.html','<ion-view title="\u7F51\u7EDC\u5F02\u5E38"  hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <h1 class="title">\u4FBF\u5229\u5B9D\u6E29\u99A8\u63D0\u9192</h1>\n  </ion-header-bar>\n  <ion-content class="no-header">\n    <div class="row">\n      <div class="col text-center"><img src="img/offline.png" style="width: 50%;height: auto;margin-top:35%;"></div>\n    </div>\n    <div class="row">\n      <div class="col text-center" style="padding: 5% 10% 10% 10%;">\u7F51\u7EDC\u5F02\u5E38\uFF0C\u5EFA\u8BAE\u68C0\u67E5\u7F51\u7EDC\u8BBE\u7F6E</div>\n    </div>\n    <div class="row">\n      <div class="col text-center">\n        <div class="button-welcome" ng-click="reloadPage()" style="float: inherit;margin:0 auto;">\u91CD\u65B0\u52A0\u8F7D</div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('templates/tabs.html','<!--\nCreate tabs with an icon and label, using the tabs-positive style.\nEach tab\'s child <ion-nav-view> directive will have its own\nnavigation history that also transitions its views in and out.\n-->\n\n<!-- \u95E8\u5E97\u767B\u9646\u83DC\u5355-->\n<ion-tabs class="tabs-icon-top tabs-color-active-positive" ng-class="{\'tabs-item-hide\': $root.hideTabs}" ng-if="!isFromLoginSalesMan">\n  <!-- portal Tab -->\n  <ion-tab title="\u9996\u9875" icon-off="alibabaiconfont icon icon-shouye" icon-on="alibabaiconfont icon icon-shouyefill" href="#/tab/first">\n    <ion-nav-view name="tab-first"></ion-nav-view>\n  </ion-tab>\n  <!-- item Tab -->\n  <ion-tab title="\u5206\u7C7B" icon-off="alibabaiconfont icon icon-sousuoleimu" icon-on="alibabaiconfont icon icon-sousuoleimufill" href="#/tab/item">\n    <ion-nav-view name="tab-item"></ion-nav-view>\n  </ion-tab>\n  <!-- qrcode Tab -->\n  <ion-tab title="\u626B\u4E00\u626B" icon-off="alibabaiconfont icon icon-scan" icon-on="alibabaiconfont icon icon-saoma" href="#/tab/qrCode" ng-click="goScan()">\n    <ion-nav-view name="tab-qrCode"></ion-nav-view>\n  </ion-tab>\n  <!-- order Tab -->\n  <ion-tab title="\u62A5\u8D27\u5355" icon-off="alibabaiconfont icon icon-gouwuche" icon-on="alibabaiconfont icon icon-gouwuchefill" href="#/tab/order" badge="shoppingCount" badge-style="badge-assertive">\n    <ion-nav-view name="tab-order"></ion-nav-view>\n  </ion-tab>\n  <!-- Account Tab -->\n  <ion-tab title="\u6211\u7684" icon-off="alibabaiconfont icon icon-wode" icon-on="alibabaiconfont icon icon-wodefill" href="#/tab/my">\n    <ion-nav-view name="tab-my"></ion-nav-view>\n  </ion-tab>\n</ion-tabs>\n\n<!-- \u4E1A\u52A1\u5458\u767B\u9646\u83DC\u5355-->\n<ion-tabs class="tabs-icon-top tabs-color-active-positive" ng-class="{\'tabs-item-hide\': $root.hideTabs}" ng-if="isFromLoginSalesMan">\n  <!-- portal Tab -->\n  <ion-tab title="\u9996\u9875" icon-off="icon icon-homepagenormal" icon-on="icon icon-homepageselected" href="#/tab/portal">\n    <ion-nav-view name="tab-portal"></ion-nav-view>\n  </ion-tab>\n  <!-- item Tab -->\n  <ion-tab title="\u5206\u7C7B" icon-off="icon icon-categorynormal" icon-on="icon icon-categoryselected" href="#/tab/item">\n    <ion-nav-view name="tab-item"></ion-nav-view>\n  </ion-tab>\n  <!-- itemPromotion Tab -->\n  <ion-tab title="\u5730\u63A8" icon-off="icon icon-yewuyuanwode01" icon-on="icon icon-yewuyuanwode02" href="#/tab/itemPromotion">\n    <ion-nav-view name="tab-itemPromotion"></ion-nav-view>\n  </ion-tab>\n  <!-- order Tab -->\n  <ion-tab title="\u62A5\u8D27\u5355" icon-off="icon icon-shopnormal" icon-on="icon icon-shopselected" href="#/tab/order" badge="shoppingCount" badge-style="badge-assertive">\n    <ion-nav-view name="tab-order"></ion-nav-view>\n  </ion-tab>\n  <!-- Account Tab -->\n  <ion-tab title="\u6211\u7684" icon-off="icon icon-mynormal" icon-on="icon icon-myselected" href="#/tab/my" ng-if="!isFromLoginSalesManBySupplier">\n    <ion-nav-view name="tab-my"></ion-nav-view>\n  </ion-tab>\n</ion-tabs>\n<!-- \u767B\u5F55\u5F39\u51FA\u5361\u5238\u4FE1\u606F -->\n<div class="information-layer-bg {{showInformationImg?\'show\':\'\'}}"  ng-click="hideInformationImg()"></div>\n<div class="information-layer animated bounceInDown {{showInformationImg?\'show\':\'\'}}">\n  <div ng-if="myCouponAmount">\n    <div class="information-layer-text">{{myCouponAmount}}\u5143</div>\n    <img src="img/coupon.png" ng-click="goMyCoupons()">\n    <div class="text-center" style="padding-top: 30px;color: #c9c9c9;font-size: 36px;" ng-click="hideInformationImg()"><i class="icon ion-ios-close-outline"></i></div>\n  </div>\n  <div ng-if="informationImgUrl">\n    <img src="{{informationImgUrl}}" ng-click="goInformationDetail(informationId)">\n    <div class="text-center" style="padding-top: 30px;color: #c9c9c9;font-size: 36px;" ng-click="hideInformationImg()"><i class="icon ion-ios-close-outline"></i></div>\n  </div>\n</div>\n');
$templateCache.put('store/express/expressDetail.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5FEB\u9012\u5355\u95E8\u5E97\u6536\u4EF6</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="fasle" class="has-header" style="background:#e5e5e5;border: none;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="initDeliveryDetail(true)" spinner="ios"></ion-refresher>\n    <div class="item mykuai1" style="margin-top: 0px;">\n      <span class="icon icon-none mylefticon" style="width: 28px;"></span>\n      <span class="mytitle" style="left: 28px;">\u914D\u9001\u4FE1\u606F</span>\n    </div>\n    <div class="list"\n         style="margin-bottom: 0;background-color: #FFFFFF;border-top: 1px solid #eaeaea;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;">\n        <div class="col col-center">\n          <div style="color:#8c8b8a;">\u914D\u9001\u5355\u53F7: {{deliveryInfo.deliveryNo}}</div>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;">\n        <div class="col col-center">\n          <div style="color:#8c8b8a;">\u914D\u9001\u5458: {{deliveryInfo.deliveryMan}}</div>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;">\n        <div class="col col-center">\n          <div style="color:#8c8b8a;">\u914D\u9001\u5458\u7535\u8BDD: {{deliveryInfo.deliveryManMobile}}</div>\n        </div>\n      </div>\n    </div>\n    <div class="item mykuai" style="margin-top: 10px;">\n      <span class="icon icon-none mylefticon" style="width: 28px;"></span>\n      <span class="mytitle-noIcon" style="left: 28px;">\u5FEB\u9012\u5217\u8868</span>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="item sr-item" ng-repeat="order in deliveryInfo.orderList">\n        <div class="row" style="padding: 0 5px 0 5px;">\n          <div class="col col-75">\n            <p class="sr-order-submit-1">\u5FEB\u9012\u5355\u53F7\uFF1A{{order.orderNo}}</p>\n            <p class="sr-order-submit-1">\u5FEB\u9012\u516C\u53F8\uFF1A{{order.expressCompany}}</p>\n          </div>\n          <div class="col" style="display: flex;align-items: center;">\n            <div class="express-button" ng-click="storageDelivery(order)" ng-if="order.storageStatus == 0">\u6536\u4EF6</div>\n            <div class="express-signed-text" style="text-align: center;color: lightgray;font-size: 14px;margin-left: 0px;"\n                 ng-if="order.storageStatus != 0">\u3010{{order.storageStatusDescr}}\u3011\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer" style="padding: 0; margin: 0;">\n    <div class="row order1" style="padding:0;margin:0; color: #ffffff;" ng-if="fromTab == \'waitWarehouse\'">\n      <div class="col col-33 left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5171<span\n          style="font-size: 18px;color: #F05050;">{{deliveryInfo.orderList.length}}</span>\u4EF6</p>\n      </div>\n      <div class="col col-33 right" style="background: #9e9e9e;" ng-click="forceReceive()">\n        <p class="text-center" style="margin:5px;"><span style="font-size: 18px">\u5F3A\u5236\u6536\u8D27</span></p>\n      </div>\n      <div class="col col-33 right" style="background:#ff6600;" ng-click="completeReceive()">\n        <p class="text-center" style="margin:5px;"><span style="font-size: 18px">\u5168\u90E8\u5B8C\u6210</span></p>\n      </div>\n    </div>\n    <div class="row order1" style="padding:0;margin:0; color: #ffffff;" ng-if="fromTab != \'waitWarehouse\'">\n      <div class="col" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5171<span\n          style="font-size: 18px;color: #F05050;">{{deliveryInfo.orderList.length}}</span>\u4EF6</p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/express/expressList.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset" style="padding: 0;">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">\n      <i class="icon ion-search placeholder-icon"></i>\n      <input type="search" placeholder="{{searchPlaceholder}}" ng-model="orders.searchKey" ng-keypress="doKeySearch(orders.searchKey)">\n    </div>\n    <a class="icon placeholder-icon alibabaiconfont icon-saoma5 button button-energized" ng-click="scanBarcode()"\n       style="color: white; width: 40px;" href="#"></a>\n  </ion-header-bar>\n  <div class="myordertab bar-subheader">\n    <ion-content overflow-scroll="true" style="overflow-y:hidden;overflow-x:auto; height: 44px;"\n                 delegate-handle="expressTabsScroll">\n      <div class="row noMarginPadding">\n        <div class="col col-25 {{tab==tmpTab.tabName?\'myordertabon\':\'myordertaboff\'}}"\n             ng-click="selectTab(tmpTab.tabName)" ng-repeat="tmpTab in tabs">{{tmpTab.tabTitle}}\n        </div>\n      </div>\n    </ion-content>\n  </div>\n  <div class="salesmanTabs2" ng-if="tab==\'historySearch\'">\n    <div class="tabs-striped tabs-top">\n      <ion-tabs class="tabs-top">\n        <ion-tab title="\u5168\u90E8" on-select="selectSubTab(\'historyAll\')"></ion-tab>\n        <ion-tab title="\u5DF2\u5165\u5E93" on-select="selectSubTab(\'historyInWarehouse\')"></ion-tab>\n        <ion-tab title="\u5DF2\u7B7E\u6536" on-select="selectSubTab(\'historySigned\')"></ion-tab>\n      </ion-tabs>\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" class="has-header has-subheader" style="background-color: #e5e5e5;margin-top: {{tab==\'historySearch\'?\'30px\': \'0px\'}};" delegate-handle="expressListScroll">\n    <ion-refresher pulling-text="\u5237\u65B0\u4E00\u4E0B" on-refresh="orders.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="!orders.hasdata">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u5FEB\u9012\u8BA2\u5355\u54E6\uFF01\n    </div>\n    <div ng-if="tab==\'waitWarehouse\'">\n      <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n        <div class="item sr-item" ng-repeat="order in orders.data">\n          <div class="row" style="padding: 0 5px 0 5px;">\n            <label class="checkbox" style="right: 0;left:0;width: 36px;">\n              <input type="checkbox" ng-model="order.checked" ng-change="selectOrder(order)" class="newCheckbox">\n            </label>\n            <div class="col col-60">\n              <p class="sr-order-submit-1">\u5FEB\u9012\u5355\u53F7\uFF1A{{order.deliveryNo}}</p>\n              <p class="express-signed-text" style="margin-left: -8px;color: lightgray;">\u3010{{order.storageStatusDescr}}\u3011</p>\n            </div>\n            <div class="col">\n              <div class="express-button" style="margin-top: 8px;margin-left: 0px;" ng-click="goExpressDetail(order)">\n                \u67E5\u770B\u5305\u88F9\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div ng-if="tab==\'inWarehouse\'">\n      <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n        <div class="item sr-item" ng-repeat="order in orders.data">\n          <div class="row" style="padding: 0 5px 0 5px;">\n            <div class="col col-67">\n              <p class="sr-order-submit-1">\u914D\u9001\u5355\u53F7\uFF1A{{order.deliveryNo}}</p>\n              <p class="sr-order-submit-1">\u5165\u5E93\u65F6\u95F4\uFF1A{{order.storageDate || \'\u65E0\'}}</p>\n            </div>\n            <div class="col">\n              <div class="express-signed-text" style="text-align: center;color: #ff6600;font-size: 14px;">\u3010{{order.storageStatusDescr}}\u3011</p>\n                <div class="express-button" style="margin-top: 0px;margin-left: 0px;" ng-click="goExpressDetail(order)">\n                  \u67E5\u770B\u5305\u88F9\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div ng-if="tab==\'inWay\'">\n      <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n        <div class="item sr-item" ng-repeat="order in orders.data">\n          <div class="row" style="padding: 0 5px 0 5px;">\n            <div class="col col-80">\n              <p class="sr-order-submit-1">\u914D\u9001\u5355\u53F7\uFF1A{{order.deliveryNo}}</p>\n            </div>\n            <div class="col">\n              <p class="express-signed-text" style="margin-left: -8px;color: lightgray;">\u3010\u5728\u9014\u3011</p>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div ng-if="tab==\'retentionDelivery\'">\n      <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n        <div class="item sr-item" ng-repeat="order in orders.data">\n          <div class="row" style="padding: 0 5px 0 5px;">\n            <div class="col col-67">\n              <p class="sr-order-submit-1">\u5FEB\u9012\u5355\u53F7\uFF1A{{order.orderNo}}</p>\n              <p class="sr-order-submit-1">\u5FEB\u9012\u516C\u53F8\uFF1A{{order.expressCompany}}</p>\n              <p class="sr-order-submit-1">\u53D6\u4EF6\u4EBA\u624B\u673A\u53F7\uFF1A{{order.receiverMobile}}</p>\n              <p class="sr-order-submit-1">\u6EDE\u7559\u65F6\u95F4\uFF1A{{order.storageDate}}</p>\n            </div>\n            <div class="col" style="justify-content: center;align-items: center;display: flex;">\n              <div class="express-signed-text" style="text-align: center;color: lightgray;font-size: 14px;">\u3010\u672A\u7B7E\u6536\u3011</p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div ng-if="tab==\'historySearch\'">\n      <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n        <div class="item sr-item" ng-repeat="order in orders.data">\n          <div class="row" style="padding: 0 5px 0 5px;">\n            <div class="col col-67">\n              <p class="sr-order-submit-1">\u5FEB\u9012\u5355\u53F7\uFF1A{{order.orderNo}}</p>\n              <p class="sr-order-submit-1">\u5FEB\u9012\u516C\u53F8\uFF1A{{order.expressCompany}}</p>\n              <p class="sr-order-submit-1">\u53D6\u4EF6\u4EBA\u624B\u673A\u53F7\uFF1A{{order.receiverMobile}}</p>\n              <p class="sr-order-submit-1">\u5165\u5E93\u65F6\u95F4\uFF1A{{order.storageDate}}</p>\n            </div>\n            <div class="col" style="justify-content: center;align-items: center;display: flex;">\n              <div class="express-signed-text" style="text-align: center;color: lightgray;font-size: 14px;">\u3010{{order.isReceive==0?\'\u5DF2\u5165\u5E93\': \'\u5DF2\u7B7E\u6536\'}}\u3011</p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!orders.moredata" on-infinite="orders.loadMore()" distance="10%"\n                         spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer" style="padding: 0; margin: 0;" ng-if="tab==\'waitWarehouse\'">\n    <div class="row order1" style="padding:0;margin:0; color: #ffffff;">\n      <div class="col" style="background:#ff6600;" ng-click="orderSumbit()">\n        <p class="text-center" style="margin:5px;"><span style="font-size: 18px">\u6574\u5355\u5165\u5E93</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/express/expressMain.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u4E91\u4ED3\u5FEB\u9012</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" style="background-color: #e5e5e5;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="reloadData(true)" spinner="ios"></ion-refresher>\n    <div style="background:#FFFFFF">\n      <div class="item mykuai1" style="margin-top: 0px;">\n        <span class="icon icon-none mylefticon"></span>\n        <span class="mytitle" style="left: 38px;">\u5FEB\u9012\u5355\u5B9E\u65F6\u7EDF\u8BA1</span>\n      </div>\n      <hr class="myhr1">\n      <div class="row mykuai2" style="height: auto; padding:10px 0;">\n        <div class="col col-25 noMarginPadding" style="border-right: 1px solid #c0c0c0;">\n          <a class="tab-item" href="#" ng-click="goTodayPreWarehouse()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{currentData.todayCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u4ECA\u65E5\u5165\u5E93</p>\n          </a>\n        </div>\n        <div class="col col-25 noMarginPadding" style="border-right: 1px solid #c0c0c0;">\n          <a class="tab-item" ng-click="goTodayInWay()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{currentData.currentCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u5728\u9014</p>\n          </a>\n        </div>\n        <div class="col col-25 noMarginPadding" style="border-right: 1px solid #c0c0c0;">\n          <a class="tab-item" href="#" ng-click="goTodayInWarehouse()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{currentData.storageCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u5728\u5E93</p>\n          </a>\n        </div>\n        <div class="col col-25 noMarginPadding">\n          <a class="tab-item" href="#" ng-click="goTodaySigned()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{currentData.signCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u5DF2\u7B7E\u6536</p>\n          </a>\n        </div>\n      </div>\n    </div>\n    <div style="background:#FFFFFF">\n      <div class="item mykuai1">\n        <span class="icon icon-none mylefticon"></span>\n        <span class="mytitle" style="left: 38px;">\u5FEB\u9012\u5355\u5386\u53F2\u7EDF\u8BA1</span>\n      </div>\n      <hr class="myhr1">\n      <div class="row mykuai2" style="height: auto; padding:10px 0;">\n        <div class="col col-50 noMarginPadding" style="border-right: 1px solid #c0c0c0;">\n          <a class="tab-item" style="max-width: none;" href="#">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{historyData.storageCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u5165\u5E93\u6570\u91CF</p>\n          </a>\n        </div>\n        <div class="col col-50 noMarginPadding">\n          <a class="tab-item" style="max-width: none;">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{historyData.signCount || 0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height:14px">\u7B7E\u6536\u6570\u91CF</p>\n          </a>\n        </div>\n      </div>\n    </div>\n    <div class="row">\n      <div class="col col-33">\n        <div class="button button-energized button-full" ng-click="goWaitWarehouse()">\u5FEB\u9012\u6536\u4EF6</div>\n      </div>\n      <div class="col col-33">\n        <div class="button button-assertive button-full" ng-click="goNoSignedList()">\u7528\u6237\u7B7E\u6536</div>\n      </div>\n      <div class="col col-33">\n        <div class="button button-balanced button-full" ng-click="goQuickWarehouse()">\u6781\u901F\u5165\u5E93</div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/express/expressSigned.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5FEB\u9012\u5355\u7528\u6237\u7B7E\u6536</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="fasle" class="has-header" style="background:#e5e5e5;border: none;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="initExpressDetail(true)" spinner="ios"></ion-refresher>\n    <div class="item mykuai1" style="margin-top: 0px;">\n      <span class="icon icon-none mylefticon" style="width: 28px;"></span>\n      <span class="mytitle" style="left: 28px;">\u5FEB\u9012\u5355\u4FE1\u606F</span>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-top: 1px solid #eaeaea;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u5FEB\u9012\u5355\u53F7: {{receiveOrderInfo.orderNo}}</p>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u5FEB\u9012\u516C\u53F8: {{receiveOrderInfo.expressCompany}}</p>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u6536\u4EF6\u4EBA\u59D3\u540D: {{receiveOrderInfo.receiverName}}</p>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u6536\u4EF6\u4EBA\u7535\u8BDD: {{receiveOrderInfo.receiverMobile}}</p>\n        </div>\n      </div>\n    </div>\n    <div class="row">\n      <div class="col">\n        <div class="button button-assertive button-full" ng-click="expressSigned()">\u7B7E\u6536</div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/express/expressSignedList.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset" style="padding: 0;">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">\n      <i class="icon ion-search placeholder-icon"></i>\n      <input type="search" placeholder="{{searchText}}" ng-model="orders.searchKey" ng-keypress="doKeySearch(orders.searchKey)">\n    </div>\n    <a class="icon placeholder-icon alibabaiconfont icon-saoma5 button button-energized" ng-click="scanBarcode()"\n       style="color: white; width: 40px;margin-left:4px;" href="#"></a>\n  </ion-header-bar>\n  <div class="myordertab bar-subheader">\n    <div class="col {{tab==\'noSignedList\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'noSignedList\')">\u672A\u7B7E\u6536\n    </div>\n    <div class="col {{tab==\'signedList\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'signedList\')">\u5DF2\u7B7E\u6536</div>\n  </div>\n  <ion-content overflow-scroll="false" style="background-color: #e5e5e5;" class="has-subheader" delegate-handle="signedTabsScroll">\n    <ion-refresher pulling-text="\u5237\u65B0\u4E00\u4E0B" on-refresh="orders.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="!orders.hasdata">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u5FEB\u9012\u8BA2\u5355\u54E6\uFF01\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;padding-top: 0; padding-bottom: 0px;">\n      <div class="item sr-item" ng-repeat="order in orders.data">\n        <div class="row" style="padding: 0 5px 0 5px;">\n          <div class="col col-67">\n            <p class="sr-order-submit-1">\u5FEB\u9012\u5355\u53F7\uFF1A{{order.orderNo}}</p>\n            <p class="sr-order-submit-1">\u5FEB\u9012\u516C\u53F8\uFF1A{{order.expressCompany}}</p>\n          </div>\n          <div style="display: flex;align-items: center; align-content: center;" ng-if="tab==\'noSignedList\'||order.isReceive==0">\n            <div class="express-button" ng-click="storageDelivery(order)">\u7B7E\u6536</div>\n            <div class="express-button" ng-click="deliveryDetail(order)">\u8BE6\u60C5</div>\n          </div>\n          <div style="display: flex;align-items: center; align-content: center;" ng-if="order.isReceive==1">\n            <div class="express-signed-text">\u3010{{tab==\'noSignedList\'||order.isReceive==0?\'\u672A\u7B7E\u6536\': \'\u5DF2\u7B7E\u6536\'}}\u3011</div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!orders.moredata" on-infinite="orders.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/apply-licence.html','<ion-view title="\u7533\u8BF7\u8D44\u8D28" cache-view="false">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title">\u7533\u8BF7\u8D44\u8D28</h1>\n    <button  class="button button-clear button-positive" style="color:#FFFFFF;" ng-click="goComplete()">\u5B8C\u6210</button>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false">\n    <div class="row">\u8D2D\u4E70\u8BE5\u5546\u54C1\u524D\uFF0C\u60A8\u9700\u8981\u7533\u8BF7\u4EE5\u4E0B\u8D44\u8D28\uFF1A</div>\n    <div class="list" ng-if="uploadImgUrl">\n      <div class="item noMarginPadding" ng-repeat="(index,detail) in uploadImgUrl">\n        <div class="row">{{(index+1)+":"+detail.licenceName}}</div>\n        <div class="row row-wrap row-wrap-old" ng-if="detail.pics.length == 0">\n          <div class="col">\n            <a class="tab-item griditem" href="#" style="max-width: inherit;">\n              <img class="icon bigtabicon" style="height: 180px !important;" ng-src="img/licence_{{detail.licence}}.jpg" ng-click="showBigImage(\'img/licence_{{detail.licence}}.jpg\')">\n              <p>\u793A\u4F8B\u6A21\u677F</p>\n            </a>\n          </div>\n        </div>\n        <div class="row row-wrap row-wrap-old" ng-if="detail.pics.length > 0">\n          <div class="col col-33" style="position: relative;" ng-repeat="(imgIndex,img) in detail.pics">\n            <div class="delicon" ng-click="deleteImg(detail.pics,imgIndex)"><i class="icon ion-ios-close"></i></div>\n            <a class="tab-item griditem" href="#" ng-click="showBigImage(img.imageUrl)">\n              <img class="icon bigtabicon" ng-src="{{img.imageUrl}}" >\n              <p>{{img.imageName}}</p>\n            </a>\n          </div>\n        </div>\n        <div class="row" ng-if="!isFromWx">\n          <div class="col text-center">\n            <button class="button icon-left ion-image" style="border-color:#DDD;" ng-click="uploadImgLocal(detail)">\u672C\u5730\u4E0A\u4F20</button>\n          </div>\n          <div class="col text-center">\n            <button class="button icon-left ion-crop" style="border-color:#DDD;" ng-click="uploadImgCamera(detail)">\u62CD\u7167\u4E0A\u4F20</button>\n          </div>\n        </div>\n        <div class="row" ng-if="isFromWx">\n          <div class="col text-center">\n            <button class="button icon-left ion-image" style="border-color:#DDD;" ng-click="wxUploadImgCameraAndLocal(detail)">\u62CD\u7167\u6216\u4ECE\u76F8\u518C\u4E0A\u4F20</button>\n          </div>\n        </div>\n        <div ng-if="!isNew">\n          <button class="button button-full button-balanced" ng-click="goComplete(detail)" style="margin: 10px 0px 0px 0px !important;" ng-if="!detail.status">\u63D0\u4EA4\u7533\u8BF7</button>\n          <button class="button button-full button-balanced" ng-click="goComplete(detail)" style="margin: 10px 0px 0px 0px !important;" ng-if="detail.status == \'1\' || detail.status == \'3\' || detail.status == \'4\'">{{detail.statusName+\'\uFF0C\u53EF\u91CD\u65B0\u63D0\u4EA4\u7533\u8BF7\'}}</button>\n          <button class="button button-full button-balanced" style="margin: 10px 0px 0px 0px !important;background-color: silver;" ng-if="detail.status && detail.status == \'2\'">{{detail.statusName}}</button>\n        </div>\n      </div>\n    </div>\n    <button class="button button-full button-balanced" ng-click="goComplete()" style="margin-top: 10px !important;" ng-if="isNew">\u63D0\u4EA4\u7533\u8BF7</button>\n  </ion-content>\n</ion-view>\n\n<!-- \u70B9\u51FB\u663E\u793A\u5927\u56FE-->\n<div ng-if="isBigImage" style="background-color:#000000;position: fixed;top: 0;left: 0;z-index: 10; width: 100%;height: 100%;" ng-click="hideBigImage()">\n  <ion-slide-box style="position: absolute;top: 15%;left:5%;z-index: 10;display: block;width: 90%;height: 70%; box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);">\n    <ion-slide>\n      <div class="box" style="height: 100%;"><img ng-src="{{curImageUrl}}" style="height: auto;"></div>\n    </ion-slide>\n  </ion-slide-box>\n</div>\n');
$templateCache.put('store/item/costChart.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5E73\u53F0\u5546\u54C1\u4EF7\u683C\u8D70\u52BF\u56FE</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" scrollbar-y="auto" class="has-header">\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n      <ion-slide-box on-slide-changed="itemModel.slideHasChanged($index)" auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" pager-click="itemModel.pageClick(index)" active-slide="itemModel.activeIndex"  ng-if="itemModel.items">\n        <ion-slide ng-repeat="item in itemModel.items.imgUrl track by $index"  ng-click="showBigImage()">\n          <div class="box" style="text-align: center;"><img ng-src="{{item}}" style="width:160px;"></div>\n        </ion-slide>\n      </ion-slide-box>\n      <div class="item" style="border: none; padding: 0;margin: 0;text-align: center;overflow: hidden;text-overflow: ellipsis;">\n        <div style="font-size: 16px !important;color: #666666 !important; line-height: 20px;white-space: normal;">{{itemModel.items.descr}}</div>\n        <div style="font-size: 12px !important;color: #999999;">\u6761\u5F62\u7801\uFF1A{{itemModel.items.barcode}}</div>\n      </div>\n    </div>\n    <div class="spl-count" style="margin-top: 10px;">\n      \u6700\u8FD17\u5929\u5E73\u53F0\u5546\u54C1\u4EF7\u683C\u8D70\u52BF\n    </div>\n    <canvas class="chart chart-line" chart-data="chart.data" chart-labels="chart.labels" chart-dataset-override="chart.dataset" style="margin-top: 20px;width: 100%;"></canvas>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/goods-detail.html','<ion-view hide-tabs="true" class="animated fadeIn">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title titlestyle">\u5546\u54C1\u8BE6\u60C5</h1>\n  </ion-header-bar>\n  <ion-content class="has-header has-footer" scroll="true">\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n      <div style="position: relative;">\n        <div style="position:absolute;margin: 0 25%;top: 0px;" show-brandgrade="{{itemModel.items.brandCode}}"\n             ng-if="itemModel.items.brandCode"></div>\n        <label class="badgeqty" ng-show="itemModel.items.qty>0" style="margin: 0 25%;">{{itemModel.items.qty}}</label>\n        <ion-slide-box on-slide-changed="itemModel.slideHasChanged(index)" auto-play="true" does-continue="true"\n                       slide-interval="2000" show-pager="true" pager-click="itemModel.pageClick(index)"\n                       active-slide="itemModel.activeIndex" ng-if="itemModel.items">\n          <ion-slide ng-repeat="item in itemModel.items.imgUrl track by $index" ng-click="showComImageBox(item)">\n            <div class="box" style="text-align: center;"><img ng-src="{{item}}" style="width:160px;"></div>\n          </ion-slide>\n        </ion-slide-box>\n        <img ng-src="{{\'img/sale\'+itemModel.items.libType+\'.png\'}}" ng-if="itemModel.items.libType != \'1\'"\n             style="position: absolute;right:25%;bottom: 0px;width: 25px;height: auto;">\n      </div>\n      <div class="item"\n           style="border: none; padding: 0;margin: 0;text-align: center;overflow: hidden;text-overflow: ellipsis;">\n        <div\n          style="width:50%;text-align: center;font-size: 12px;background-color: #c0c0c0;color: #FFFFFF;margin: 0 25%;"\n          ng-hide="emptyToken">\n          <span ng-if="itemModel.items.realtimeStockCount<itemModel.items.itemSize">\u5DF2\u552E\u7F44</span>\n          <span\n            ng-if="(itemModel.items.realtimeStockCount>=itemModel.items.itemSize)&&(itemModel.items.realtimeStockCount<$root.stockWarn*itemModel.items.itemSize)">\u4EC5\u5269{{itemModel.items.realtimeStockCount+itemModel.items.uomDescr}}</span>\n        </div>\n        <div\n          style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #666666 !important; line-height: 20px;white-space: normal;">\n          {{itemModel.items.descr}}\n        </div>\n      </div>\n      <div class="row" style="margin:0;padding:0; border-bottom: 1px solid #E5E5E5;">\n        <div class="col col-25"\n             style=" margin-left: 0;padding-left: 0;font-family: PingFang-SC-Regular;font-size: 16px !important;color: #333333 !important; line-height: 56px; ">\n          \u8BA2\u8D2D\u6570\u91CF\n        </div>\n        <div class="col col-40" style="display: block;">\n          <div class="row noMarginPadding" style="padding-top: 13px">\n            <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',itemModel.items)">-</div>\n            <div class="sr-div" ng-click="updateShoppingCarQty(itemModel.items)">\n              <input class="sr-item-qtyinput" ng-model="itemModel.items.qty1" type="number" disabled="true">\n            </div>\n            <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',itemModel.items)">+</div>\n          </div>\n        </div>\n        <div class="col col-34" style="text-align: right;display: block;padding-top: 20px;position: relative;">\n          <span ng-if="itemModel.items.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n          <!--<span ng-if="itemModel.items.delivType==\'1\'" style="font-size: 10px;  color:#999999;">-->\n            <!--{{\'\u6210\u4EA4\'+itemModel.items.dealCount+itemModel.items.uomDescr}}-->\n          <!--</span>-->\n          <span ng-if="itemModel.items.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\n            \u5546\u5BB6\u914D\u9001\n          </span>\n          <button ng-if="itemModel.items.cost" ng-click="goItemCostTipOff()"\n                  class="button button-assertive ion-android-warning"\n                  style="line-height: 20px;min-height: 20px;font-size: 12px;padding:0 4px;position: absolute;right: 0;bottom: 4px;">\n            \u4EF7\u683C\u4E3E\u62A5\n          </button>\n        </div>\n      </div>\n      <div class="row" style="margin:0;padding:0; border-bottom: 1px solid #E5E5E5;">\n        <div\n          style="margin-left: 0;padding-left: 0;font-family: PingFang-SC-Regular;font-size: 16px !important;color: #333333 !important; line-height: 64px; ">\n          \u552E\u4EF7\n        </div>\n        <div ng-hide="emptyToken"\n             style="margin-left: 8px;;padding-left: 0;font-family: PingFang-SC-Regular;font-size: 30px !important;color: #B12704 !important; line-height: 64px;">\n          \xA5{{itemModel.items.cost}}/{{itemModel.items.uomDescr}}<span class="sr-fanxian"\n                                                                      ng-if="itemModel.items.cashBack && itemModel.items.cashBack>0">\u8FD4\xA5{{itemModel.items.cashBack}}</span>\n          <i class="alibabaiconfont icon-zhexiantu-xianxing" style="color: #FE1211;" ng-click="goCostChart()"></i>\n        </div>\n        <div\n          style="margin-left: 8px;;padding-left: 0;font-family: PingFang-SC-Regular;font-size: 30px !important;color: #B12704 !important; line-height: 64px; ">\n          <p ng-show="emptyToken">\n            <button class="button button-small button-positive button-clear"\n                    style="min-height: 18px !important;line-height:18px !important;font-size: 16px;margin-top: 22px;"\n                    ng-click="goLoginPage()">\u767B\u5F55\n            </button>\n            <span style="font-size: 14px"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span></p>\n        </div>\n        <div style="position: absolute; right:26px; width: 88px;margin-top: 25px;">\n          <div style="height: 16px;margin-top: -5px;">\n            <span class="canret"\n                  style="float:right; display: block;font-size: 10px !important;height: 12px;line-height:14px;text-align: center;border-radius: 3px;"\n                  ng-click="goRetRemark(itemModel.items.retRemark)">{{itemModel.items.canRetDescr}}</span>\n          </div>\n          <span class="nocanret"\n                style="float:right; display: block;font-size: 10px !important;width: 40px;height: 12px;line-height:14px;text-align: center;border-radius: 3px;background-color: #5ec152;"\n                ng-if="itemModel.items.licence&&itemModel.items.licence!=\'0\'">\u7279\u8BB8</span>\n          <span class="sr-cuxiao" ng-if="itemModel.items.isProm == \'1\' || itemModel.items.libType != \'1\'"\n                style="float:right;display: block;font-size: 10px !important;width: 40px;height: 12px;line-height:14px;text-align: center;border-radius: 3px;">{{isPromDescr || \'\u4FC3\u9500\'}}</span>\n        </div>\n      </div>\n      <div\n        style="margin:0;padding:0; border-bottom: 1px solid #E5E5E5;font-family: PingFang-SC-Regular;font-size: 12px !important;color:#999999;">\n        <div style="position: absolute;right: 16px;margin-top: 20px"\n             ng-if="itemModel.items.isProm==1 && itemModel.items.promTopQty>0">\n          <img src="img/cuxiao-big.png" style="width: 72px;height: 65px">\n          <div class="cuxiao2">\n            {{itemModel.items.promTopQty}}{{itemModel.items.uomDescr}}\n          </div>\n        </div>\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u8D77\u8BA2\u91CF\n          </div>\n          <div class="col col-80">{{itemModel.items.itemSize}}{{itemModel.items.uomDescr}}</div>\n        </div>\n        <div class="row" style="padding:0" ng-show="itemModel.items.isProm ==\'1\'&&itemModel.items.promTopQty !=\'0\'">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u9650\u8BA2\u91CF\n          </div>\n          <div class="col col-80">{{itemModel.items.promTopQty}}{{itemModel.items.uomDescr}}</div>\n        </div>\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u89C4\u683C\n          </div>\n          <div class="col col-80">{{itemModel.items.sizeDesc}}</div>\n        </div>\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u54C1\u724C\n          </div>\n          <div class="col col-80">{{itemModel.items.brandDescr}}</div>\n        </div>\n      </div>\n      <div\n        style="margin:0;padding:0; border-bottom: 1px solid #E5E5E5;font-family: PingFang-SC-Regular;font-size: 12px !important;color:#999999;">\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u6761\u5F62\u7801\n          </div>\n          <div class="col col-80">{{itemModel.items.barcode}}</div>\n        </div>\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u4F9B\u5E94\u5546\n          </div>\n          <div class="col col-80">\n            <a href="#" ng-click="showSupplierInfo(itemModel.items.splCode)" ng-if="!emptyToken">{{itemModel.items.splAbbDescr?itemModel.items.splAbbDescr:itemModel.items.splCodeDescr}}</a>\n            <a href="#" style="margin-left: 10px; text-decoration: none; color: #ff6600;"\n               ng-click="supplierFavorite(true)" ng-if="!emptyToken&&isSupplierFavorite==false"><i\n              class="icon icon-xingxingnormal" style="font-size: 14px!important;"></i>\u672A\u6536\u85CF</a>\n            <a href="#" style="margin-left: 10px; text-decoration: none; color: #ff6600;"\n               ng-click="supplierFavorite(false)" ng-if="!emptyToken&&isSupplierFavorite==true"><i\n              class="icon icon-xingxingselecetd" style="font-size: 14px!important;"></i>\u5DF2\u6536\u85CF</a>\n            <div ng-if="emptyToken">\n              <button\n                style="min-height: 12px !important;line-height:12px !important;font-size: 12px;margin-top: 2px;padding:0px 6px 0px 0px;"\n                class="button button-small button-positive button-clear" ng-click="goLoginPage()">\u767B\u5F55\n              </button>\n              <span>\u67E5\u770B\u4F9B\u5E94\u5546</span></div>\n          </div>\n        </div>\n        <div class="row" style="padding:0">\n          <div class="col col-20" style="margin-left: 0;padding-left: 0">\n            \u914D\u9001\u65B9\u5F0F\n          </div>\n          <div class="col col-80">\n            <div ng-if="!emptyToken"><span ng-if="itemModel.items.delivType==\'1\'">\u7531\u4FBF\u5229\u5B9D\u5E73\u53F0\u914D\u9001</span><span\n              ng-if="itemModel.items.delivType==\'2\'">\u7531{{itemModel.items.splCodeDescr}}\u914D\u9001</span></div>\n            <div ng-if="emptyToken"><span ng-if="itemModel.items.delivType==\'1\'">\u7531\u4FBF\u5229\u5B9D\u5E73\u53F0\u914D\u9001</span><span\n              ng-if="itemModel.items.delivType==\'2\'">\u7531\u5546\u5BB6\u914D\u9001</span></div>\n          </div>\n        </div>\n      </div>\n      <div ng-if="itemModel.items.remark">\n        <div class="row"\n             style="font-family: PingFang-SC-Regular;font-size: 16px !important;color:#999999;margin: 10px 0 10px 0;padding: 0;">\n          \u5546\u54C1\u4FE1\u606F\n        </div>\n        <div class="row item item-text-wrap"\n             style="font-family: PingFang-SC-Regular;font-size: 12px !important;color:#666666;padding: 0;margin: 0 0 10px 0; border: none;">\n          {{itemModel.items.remark}}\n        </div>\n      </div>\n      <div ng-if="itemModel.items.splRemark">\n        <div class="row"\n             style="font-family: PingFang-SC-Regular;font-size: 16px !important;color:#999999;margin: 10px 0 10px 0;padding: 0;">\n          \u5546\u5BB6\u63CF\u8FF0\n        </div>\n        <div class="row item item-text-wrap"\n             style="font-family: PingFang-SC-Regular;font-size: 12px !important;color:#666666;padding: 0;margin: 0 0 10px 0; border: none;">\n          {{itemModel.items.splRemark}}\n        </div>\n      </div>\n      <div class="row noMarginPadding" style="flex-direction: column;"\n           ng-if="itemModel.items.itemDetailPics && itemModel.items.itemDetailPics.length > 0">\n        <img ng-repeat="itemDetailPic in itemModel.items.itemDetailPics" ng-src="{{itemDetailPic}}">\n      </div>\n      <div class="row noMarginPadding" style="flex-direction: column;"\n           ng-if="itemModel.items.itemDetailPics && itemModel.items.itemDetailPics.length == 0">\n        <img src="img/detail_img_1.png">\n        <img src="img/detail_img_2.png">\n        <img src="img/detail_img.png">\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar-stable" style="padding: 0;">\n    <div class="row" style="padding: 0;margin: 0;">\n      <div class="col col-66" style="padding: 0;">\n        <div class="row" style="padding: 0;margin: 0;">\n          <div class="col" style="padding: 0;" ng-if="!isFromLoginSalesManBySupplier">\n            <a class="tab-item" href="#/tab/portal">\n              <i class="icon icon-homepagenormal"></i>\n              <p class="tabbarfont">\u9996\u9875</p>\n            </a>\n          </div>\n          <div class="col" style="padding: 0;" ng-if="!isFromLoginSalesManBySupplier">\n            <a class="tab-item" href="#/tab/item">\n              <i class="icon icon-categorynormal"></i>\n              <p class="tabbarfont">\u5206\u7C7B</p>\n            </a>\n          </div>\n          <div class="col" style="padding: 0;">\n            <a class="tab-item" ng-click="itemFavorite(itemModel.items)">\n              <i\n                ng-class="{true: \'icon icon-xingxingnormal\', false: \'icon icon-xingxingselecetd favoritecolor\'}[isInFavorites.isAdd == 0]"></i>\n              <p class="tabbarfont">{{isInFavorites.isAdd == 0 ? "\u6536\u85CF":"\u5DF2\u6536\u85CF"}}</p>\n            </a>\n          </div>\n          <div class="col" style="padding: 0;" ng-controller="TabCtrl">\n            <a class="tab-item has-badge" href="#/tab/order">\n              <i class="icon icon-shopnormal"></i>\n              <p class="tabbarfont">\u62A5\u8D27\u5355</p>\n              <i class="badge badge-assertive" ng-show="!emptyToken&&shoppingCount>0">{{shoppingCount}}</i>\n            </a>\n          </div>\n        </div>\n      </div>\n      <div class="col" style="margin: 0;padding: 0">\n        <button class="button button-full button-assertive"\n                style="margin-top: 0;margin-bottom: 0;min-height:44px;font-size: 18px;"\n                ng-click="addShoppingCart(itemModel.items)"\n                ng-if="itemModel.items.realtimeStockCount>=itemModel.items.itemSize">\u52A0\u5165\u62A5\u8D27\u5355\n        </button>\n        <button class="button button-full sr-button-notice"\n                style="margin-top: 0;margin-bottom: 0;min-height:44px;font-size: 18px;"\n                ng-click="addArrivalNotice(itemModel.items)"\n                ng-if="itemModel.items.realtimeStockCount<itemModel.items.itemSize">\u5230\u8D27\u901A\u77E5\n        </button>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n<com-image-box></com-image-box>\n<!-- \u70B9\u51FB\u663E\u793A\u5927\u56FE-->\n<div ng-if="isBigImage"\n     style="background: rgba(0,0,0,.7);position: fixed;top: 0;left: 0;z-index: 10; width: 100%;height: 100%;"\n     ng-click="hideBigImage()">\n  <ion-slide-box\n    style="position: absolute;top: 15%;left:5%;z-index: 10;display: block;width: 90%;height: 70%; box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);">\n    <ion-slide ng-repeat="item in itemModel.items.imgUrl track by $index">\n      <div class="box" style="height: auto;"><img ng-src="{{item}}"></div>\n    </ion-slide>\n  </ion-slide-box>\n</div>\n\n<!-- \u4EF7\u683C\u4E3E\u62A5\u7A97\u53E3 -->\n<script id="itemCostTipOff-view.html" type="text/ng-template">\n  <div class="row" style="font-size: small;color: red;">\n    <div class="col text-center" style="color: #FF6600;">\u6709\u60A8\u7684\u53CD\u9988\uFF0C\u6211\u4EEC\u5C06\u53D8\u5F97\u66F4\u597D\uFF01</div>\n  </div>\n  <div class="row" style="padding: 0px;">\n    <div class="col"><input type="number" ng-model="itemCostTipOff.tipOffCost" placeholder="\u5546\u54C1\u7684\u5E02\u573A\u4EF7\u683C" min="0"\n                            autofocus="true"></div>\n  </div>\n  <div class="row" style="padding: 0px;">\n    <div class="col"><input type="text" ng-model="itemCostTipOff.tipOffFrom" placeholder="\u5546\u54C1\u6765\u6E90\u7684\u5E73\u53F0\u6216\u6E20\u9053\u540D\u79F0"></div>\n  </div>\n</script>\n');
$templateCache.put('store/item/retRemark.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u9000\u6362\u8BF4\u660E</h1>\n  </ion-header-bar>\n  <ion-content id="aboutMe" scroll="true" overflow-scroll="true">\n    <div style="padding: 16px 16px;">\n      <div ng-bind-html="retRemarkContent"></div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/search-results.html','<ion-view hide-tabs="true" view-title="\u4FBF\u5229\u5B9D\u5546\u54C1\u641C\u7D22">\n  <ion-header-bar align-title="center" class="item-input-inset" ng-controller="HeaderCtrl" style="padding-left:0px;">\n    <a class="button icon-back02" ng-click="goBack()" style="background: transparent;color: #ff6600;text-align: center;padding: 0 2px 0 10px;"></a>\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <img  src="img/icon/search.png" class="searchimg">\n      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()" ng-model="condition.searchKey">\n    </div>\n    <a class="icon placeholder-icon icon-scanning" ng-click="scanBarcode()" style="color: #ff6600;"></a>\n  </ion-header-bar>\n  <div class="bar-subheader">\n    <div class="item item-button-right" ng-if="itemModel" style="background-color: #EEEEEE;">\n      \u4E3A\u60A8\u627E\u5230{{itemModel.records}}\u4E2A\u5546\u54C1\n      <div class="buttons" style="font-size: 16px;">\n        <a ng-click="openPopover($event)" style="text-decoration: none !important;color: black;color: #FF6600;padding-right:10px;">\u6392\u5E8F&nbsp;<i class="icon ion-ios-arrow-down"></i></a>\n        <a ng-click="filterItem.toggleFilter()" style="text-decoration: none !important;color: black;color: #FF6600;padding-left:10px;">\u7B5B\u9009&nbsp;<i class="icon ion-android-bar"></i></a>\n      </div>\n    </div>\n  </div>\n  <div class="slide-in-button"  ng-click="tabItem.toggleFilter()"><i class="icon ion-gear-b"></i>\u5206\u7C7B</div>\n  <ion-content lazy-scroll class="has-subheader" overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;margin-top: 7px;background-color: #F6F6F6;" delegate-handle="searchResultsScroll">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="list"  ng-if="itemModel">\n      <div class="item sr-item" ng-repeat="item in itemModel.items track by $index" >\n        <div show-brandgrade="{{item.brandCode}}"></div>\n        <div class="div-cuxiao" ng-if="item.isProm==1 && item.promTopQty >0">\n          <img src="img/cuxiao.png">\n          <div class="cuxiao1">{{item.promTopQty}}{{item.uomDescr}}</div>\n        </div>\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" style="position: relative;">\n              <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <div class="realtime-stock-count" ng-hide="emptyToken">\n                <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n              </div>\n              <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p class="sr-descr">{{item.descr}}</p>\n              <div ng-hide="emptyToken" class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n              <p ng-hide="emptyToken" class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n              <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}<span class="sr-fanxian" ng-if="item.cashBack && item.cashBack > 0">\u8FD4\xA5{{item.cashBack}}</span></span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p>\n                <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding">\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="true">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="vm.hasmoredata" on-infinite="vm.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n    <p ng-if="itemModel.items.length == 0" style="color: #ddd;padding-bottom: 10px;margin-top: -10px;margin-left: 16px;">\n      <span ng-if="filterItem.selectParams.delivTypeDescr || filterItem.selectParams.splCodeDescr">\u5F53\u524D\u7B5B\u9009\u6761\u4EF6<br/></span>\n      <span ng-if="filterItem.selectParams.delivTypeDescr" style="margin-left: 28px;">\u914D\u9001\u65B9\u5F0F\uFF1A{{filterItem.selectParams.delivTypeDescr}}<br/></span>\n      <span ng-if="filterItem.selectParams.brandCodeDescr" style="margin-left: 28px;">\u54C1\u724C\u540D\u79F0\uFF1A{{filterItem.selectParams.brandCodeDescr}}<br/></span>\n      <span ng-if="filterItem.selectParams.splCodeDescr" style="margin-left: 28px;">\u5546\u5BB6\u540D\u79F0\uFF1A{{filterItem.selectParams.splCodeDescr}}</span>\n    </p>\n    <p class="text-center" ng-if="!vm.hasmoredata" style="color: #ddd;padding-bottom: 5px;margin-top: -10px;">---   \u6CA1\u6709\u66F4\u591A\u5546\u54C1\u4E86   ---</p>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" >\n    <div class="row order1" >\n      <div class="col col-67 left order2" >\n        <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u6B3E\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6"  ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n<script id="filter-view.html" type="text/ng-template">\n  <ion-popover-view style="height:260px">\n    <ion-header-bar align-title="left" class="bar-stable">\n      <h1 class="title">\u6392\u5E8F</h1>\n    </ion-header-bar>\n    <ion-content>\n      <div class="item" ng-click="orderByType(\'\')" style="{{condition.orderByType==undefined||condition.orderByType==\'\'?\'color:#ff6600\':\'\'}}">\u7EFC\u5408\u6392\u5E8F<span class="item-note">></span></div>\n      <div class="item" ng-click="orderByType(\'DealCount\')" style="{{condition.orderByType==\'DealCount\'?\'color:#ff6600\':\'\'}}">\u9500\u91CF\u4ECE\u9AD8\u5230\u4F4E<span class="item-note">></span></div>\n      <div class="item" ng-click="toggleCostSort()" style="{{condition.orderByType==\'CostAsc\'||condition.orderByType==\'CostDesc\'?\'color:#ff6600\':\'\'}}">\u4EF7\u683C<span class="item-note">></span></div>\n      <!--<div class="item" ng-click="orderByType(\'CostAsc\')">\u4EF7\u683C<span class="item-note">></span></div>-->\n      <div class="item" ng-click="orderByType(\'OnSaleDate\')" style="{{condition.orderByType==\'OnSaleDate\'?\'color:#ff6600\':\'\'}}">\u4E0A\u67B6\u65F6\u95F4<span class="item-note">></span></div>\n    </ion-content>\n  </ion-popover-view>\n</script>\n\n<!-- \u5546\u54C1\u5206\u7C7B\u8FC7\u6EE4 -->\n<div class="left-filter-layer-bg {{tabItem.isShowFilter?\'show\':\'\'}}" ng-click="tabItem.toggleFilter()"></div>\n<div class="left-filter-layer {{tabItem.isShowFilter?\'show\':\'\'}}">\n  <ion-modal-view>\n    <ion-header-bar>\n      <h1 class="title">\u5546\u54C1\u5206\u7C7B\u8FC7\u6EE4</h1>\n    </ion-header-bar>\n    <ion-content  scroll="false" class="has-header" style="margin-top: 0px;background:#F6F6F6;border: none;bottom: 0px;">\n      <div class="row" style="position: absolute;top: 0;bottom: 0;left: 0;right: 0; ">\n        <div class="col-25 " style="max-width: 24%;position: absolute;left: 0;right: 0;;top: 0;bottom: 0;">\n          <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;">\n            <ion-list>\n              <ion-item ng-repeat="itemType1 in tabItem.itemTypeModel.itemTypeList" ng-click="tabItem.itemTypeModel.itemType1Click(itemType1.code)"  style="padding:0; ">\n                <p  class="fontfamily" ng-class="{\'type1isselected\': tabItem.itemTypeModel.currentItemType1 == itemType1.code.trim(), \'type1unselected\': tabItem.itemTypeModel.currentItemType1 != itemType1.code.trim()}">{{itemType1.descr}}</p>\n              </ion-item>\n            </ion-list>\n          </ion-content>\n        </div>\n        <div class="col-75" style="max-width: 71%;position: absolute;left: 27%;right:2%;top: 0;bottom: 0; ">\n          <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x: hidden;" delegate-handle="tabItemScroll">\n            <div ng-repeat="itemType1 in (filteredItems = (tabItem.itemTypeModel.itemTypeList | currentItemType1List:tabItem.itemTypeModel.currentItemType1))">\n              <div class="text-center" style="color: #999999;font-size: 12px;padding-top: 2px;border-bottom: 1px solid #ddd;" ng-click="tabItem.itemTypeModel.searchfromItemType1(itemType1.code)">\u67E5\u770B\u5168\u90E8{{itemType1.descr}}>></div>\n              <div ng-repeat="itemType2 in itemType1.children">\n                <div class="row" style="padding-left: 0;position: relative;"  ng-click="tabItem.itemTypeModel.searchfromItemType2(itemType1.code,itemType2.code)">\n                  <p style="margin-left: 0;" class="type2style">{{itemType2.descr}}</p>\n                  <span style="position: absolute;right:0px;color: #999999;font-size: 12px;">\u5168\u90E8>></span>\n                </div>\n                <div class="row row-wrap row-wrap-old" style="margin-left: 0px; margin-right: 10px; margin-bottom: 15px; background-color: #FFFFFF;">\n                  <div class="col col-33" style="padding: 5px;" ng-repeat="itemType3 in (itemType2.children)"  ng-click="tabItem.itemTypeModel.searchfromtype(\'\',\'\',itemType3.code.trim())">\n                    <div ng-class="item" style="border: none;margin: 0; padding: 0;height: 82px;">\n                      <div class="row" style="padding-top: 4px; text-align: center"><img ng-src="{{itemType3.imageUrl}}" class="icon ion-thumbsup type2imagestyle"></div>\n                      <div class="row" style="width: 100%;padding: 0;">\n                        <p class="type3style {{tabItem.itemTypeModel.currentItemType3 == itemType3.code.trim()?\'selectType3style\':\'\'}}">{{itemType3.descr}}<p>\n                      </div>\n                    </div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </ion-content>\n        </div>\n      </div>\n    </ion-content>\n  </ion-modal-view>\n</div>\n\n<!-- \u7B5B\u9009\u8FC7\u6EE4\u6761\u4EF6-->\n<div class="right-filter-layer-bg {{filterItem.isShowFilter?\'show\':\'\'}}" ng-click="filterItem.toggleFilter()"></div>\n<div class="right-filter-layer {{filterItem.isShowFilter?\'show\':\'\'}}">\n  <div class="filter-layer-title">\n    <div class="left"><button class="blb-button blb-button-clear" ng-click="filterItem.clearFilter()">\u6E05\u9664</button></div>\n    <div class="tit">\u7B5B\u9009</div>\n    <div class="right"><button class="blb-button blb-button-positive" ng-click="filterItem.confirmSelected()">\u786E\u5B9A</button></div>\n  </div>\n  <div class="filter-layer-content">\n    <div class="type-list">\n      <div class="nav"><span class="span">\u914D\u9001\u65B9\u5F0F</span></div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'1\'?\'selected\':\'\'}}" ng-click="filterItem.selectedDelivType(\'1\')"><a class="span">\u4FBF\u5229\u5B9D\u914D\u9001</a></div>\n        </div>\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'2\'?\'selected\':\'\'}}" ng-click="filterItem.selectedDelivType(\'2\')"><a class="span">\u5546\u5BB6\u914D\u9001</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="filterItem.brandFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u54C1\u724C\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #656565;" ng-click="filterItem.showAllBrand()" ng-if="filterItem.brandFacet.length > 10">\n          \u5168\u90E8&nbsp;&nbsp;<i class="icon {{filterItem.showBrandCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="brand in filterItem.brandFacet | limitTo:filterItem.showBrandCount" ng-click="filterItem.selectedBrandCode(brand)">\n          <div class="type-descr {{condition.brandCode == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}<label style="color: red;">({{brand.count}})</label></a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list">\n      <div class="nav"><span class="span">\u5546\u5BB6\u540D\u79F0</span></div>\n      <div class="bar item-input-inset">\n        <label class="item-input-wrapper">\n          <i class="icon ion-ios-search placeholder-icon"></i>\n          <input type="search" placeholder="\u8BF7\u8F93\u5165\u5546\u5BB6\u540D\u79F0" ng-model="filterItem.params.descr">\n        </label>\n        <button class="button" style="color: #ff6600;" ng-click="filterItem.searchData()">\u641C\u7D22</button>\n      </div>\n      <div style="position: relative;height: 480px;">\n        <ion-content delegate-handle="filterItemScroll" overflow-scroll="false" scrollbar-y="false" style="top:0px;bottom:0px;">\n          <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="filterItem.doRefresh()" spinner="ios"></ion-refresher>\n          <ion-list ng-if="filterItem.data">\n            <div class="list" ng-if="filterItem.data">\n              <div class="item" ng-click="filterItem.selectedSplCode(supplier)" ng-repeat="supplier in filterItem.data" style="background-color: {{condition.splCode==supplier.code?\'#ff6600\':\'\'}}">\n                {{supplier.descr}}\n              </div>\n            </div>\n          </ion-list>\n          <ion-infinite-scroll ng-if="!emptyToken && !filterItem.moredata" on-infinite="filterItem.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n        </ion-content>\n      </div>\n    </div>\n  </div>\n</div>\n');
$templateCache.put('store/item/search-typeItem-results.html','<ion-view hide-tabs="true" view-title="\u4FBF\u5229\u5B9D\u5546\u54C1\u641C\u7D22">\n  <ion-header-bar align-title="center" class="item-input-inset" ng-controller="HeaderCtrl" style="padding-left:0px;">\n    <a class="button icon-back02" ng-click="goBack()"\n       style="background: transparent;color: #ff6600;text-align: center;padding: 0 2px 0 10px;"></a>\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <img src="img/icon/search.png" class="searchimg">\n      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()" ng-model="condition.searchKey">\n    </div>\n    <a class="icon placeholder-icon icon-scanning" ng-click="scanBarcode()" style="color: #ff6600;"></a>\n  </ion-header-bar>\n  <div class="bar-subheader typeItemResult-bar" style="position: absolute;width: 100%;z-index: 1;">\n    <div class="row">\n      <div class="col text-center {{condition.orderByType==\'DealCount\'?\'triangle-div-selected\':\'\'}}"\n           style="position: relative;" ng-click="orderByType(\'DealCount\')">\u9500\u91CF\n        <div class="triangle-div">\n          <div class="triangle-up"></div>\n          <div class="triangle-down {{condition.orderByType==\'DealCount\'?\'triangle-sort-down\':\'\'}}"></div>\n        </div>\n      </div>\n      <div\n        class="col text-center {{condition.orderByType==\'CostDesc\'||condition.orderByType==\'CostAsc\'?\'triangle-div-selected\':\'\'}}"\n        style="position: relative;" ng-click="orderByType(condition.orderByType==\'CostDesc\'?\'CostAsc\':\'CostDesc\')">\u4EF7\u683C\n        <div class="triangle-div">\n          <div class="triangle-up {{condition.orderByType==\'CostAsc\'?\'triangle-sort-up\':\'\'}}"></div>\n          <div class="triangle-down {{condition.orderByType==\'CostDesc\'?\'triangle-sort-down\':\'\'}}"></div>\n        </div>\n      </div>\n      <div class="col text-center {{condition.orderByType==\'OnSaleDate\'?\'triangle-div-selected\':\'\'}}"\n           style="position: relative;" ng-click="orderByType(\'OnSaleDate\')">\u4E0A\u67B6\u65F6\u95F4\n        <div class="triangle-div">\n          <div class="triangle-up"></div>\n          <div class="triangle-down {{condition.orderByType==\'OnSaleDate\'?\'triangle-sort-down\':\'\'}}"></div>\n        </div>\n      </div>\n      <div class="col text-center" ng-click="filterItem.toggleFilter()">\u7B5B\u9009&nbsp;<i class="icon ion-android-bar"></i>\n      </div>\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" scroll="false" class="has-subheader typeItemResults-content">\n    <div style="display: flex;flex-direction: column;height: 100%;">\n      <div class="typeItemResults-header">\n        <div class="item sr-item" style="padding: 0px 5px 0px 0px;background-color: #f3f3f3;"\n             ng-click="goSupplierInfoPage()" ng-if="isSearchSpl">\n          <div class="row noMarginPadding">\n            <div class="col col-33" style="padding: 5px 10px;">\n              <a class="tab-item griditem" style="max-width: 100px;">\n                <img class="icon bigtabicon" ng-src="{{supplierBannerLogo.logo}}">\n              </a>\n            </div>\n            <div class="col col-67 spl-info">\n              <div class="spl-name">{{supplierDetail.abbDescr?supplierDetail.abbDescr:supplierDetail.descr}}</div>\n              <div class="spl-card" ng-if="!emptyToken">\u8425\u4E1A\u6267\u7167\uFF1A{{supplierDetail.businessNo}}</div>\n              <div ng-if="!emptyToken">\n                <i class="icon ion-person"></i>\n                <span>{{supplierDetail.contact}}</span>\n                <a href="{{supplierDetail.mobile1 ==\'\' ? \'#\': \'tel:\'+supplierDetail.mobile1}}" ng-click="stopProp()">\n                  <i class="icon ion-ios-telephone"></i>\n                  <span>{{supplierDetail.mobile1 ==\'\' ? \'\u6682\u65E0\u7535\u8BDD\' :supplierDetail.mobile1}}</span>\n                </a>\n              </div>\n              <div ng-if="emptyToken"><a class="sr-nologin"\n                                         style="min-height: 14px !important;line-height:14px !important;font-size: 14px;margin-top: 2px;padding:0px 6px 0px 0px; margin-left: 0px;"\n                                         ng-click="goLoginPage()">\u767B\u5F55</a><span>\u67E5\u770B\u4F9B\u5E94\u5546</span></div>\n            </div>\n          </div>\n        </div>\n        <div class="typeItemBrandDiv" ng-if="filterItem.brandFacet.length > 0">\n          <div class="row row-wrap row-wrap-new noMarginPadding typeItemBrand-row">\n            <div class="col type-col type-col-div1"\n                 ng-repeat="brand in filterItem.brandFacet | limitTo:filterItem.showMainBrandCount"\n                 ng-click="filterItem.selectedMainBrandCode($index,brand)">\n              <div class="type-descr type-descr-div {{condition.brandCode == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}</a>\n              </div>\n            </div>\n            <div class="col type-col type-col-div1" ng-if="filterItem.brandFacet.length > filterItem.showMainBrandCount"\n                 ng-click="filterItem.showMainAllBrand()">\n              <div class="type-descr type-descr-div" style="border: none;"><a class="span" style="color: #ff6600;">\u66F4\u591A<i\n                class="icon ion-chevron-down"></i></a></div>\n            </div>\n          </div>\n          <div class="row row-wrap row-wrap-new noMarginPadding" ng-if="filterItem.showMainBrandCount > 3">\n            <div class="col type-col type-col-div1" ng-click="filterItem.showMainAllBrand()">\n              <div class="type-descr type-descr-div" style="border: none;"><a class="span" style="color: #ff6600;">\u6536\u8D77<i\n                class="icon ion-chevron-up"></i></a></div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class="typeItemResults-body" style="position: relative; flex: 1 1 auto; ">\n        <ion-content lazy-scroll overflow-scroll="true"\n                     style="overflow-y:auto;overflow-x:hidden;background-color: #F6F6F6;"\n                     delegate-handle="searchTypeItemResultsScroll">\n          <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n          <div class="list" ng-if="itemModel">\n            <div class="item sr-item" ng-repeat="item in itemModel.items track by $index">\n              <div show-brandgrade="{{item.brandCode}}"></div>\n              <div class="row noMarginPadding">\n                <div class="col col-33"\n                     ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n                  <a class="tab-item griditem new-tab-item" style="position: relative;">\n                    <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n                    <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios"\n                         image-lazy-distance-from-bottom-to-load="300">\n                    <div class="realtime-stock-count" ng-hide="emptyToken">\n                      <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                      <span\n                        ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                    </div>\n                    <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'"\n                         style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n                  </a>\n                </div>\n                <div class="col col-67">\n                  <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n                    <p class="sr-descr">{{item.descr}}</p>\n                    <div ng-hide="emptyToken" class="sr-spldescr-div" ng-click="changeItemSupplier(item)"\n                         ng-if="item.delivType==\'1\'"></div>\n                    <p ng-hide="emptyToken" class="sr-spldescr"><img src="img/rank.png"\n                                                                     ng-if="item.delivType==\'1\'"><span\n                      class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span\n                      class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n                    <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}<span\n                      class="sr-fanxian" ng-if="item.cashBack && item.cashBack > 0">\u8FD4\xA5{{item.cashBack}}</span></span>\n                      <span\n                        class="nocanret"\n                        style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;"\n                        ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao"\n                                                                               style="line-height: 14px;height: 14px;margin-top: 5px;"\n                                                                               ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span>\n                    </p>\n                    <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span\n                      class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span>\n                      <span class="nocanret"\n                            style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;"\n                            ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao"\n                                                                                   style="line-height: 14px;height: 14px;margin-top: 5px;"\n                                                                                   ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span>\n                    </p>\n                    <p>\n                      <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                      <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                      <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                      <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n                    </p>\n                  </div>\n\n                  <div class="row sr-row">\n                    <div class="col col-60 noMarginPadding">\n                      <div class="row noMarginPadding">\n                        <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                        <div class="sr-div">\n                          <input class="sr-item-qtyinput" ng-model="item.qty1" type="number" readonly="readonly"\n                                 ng-click="updateShoppingCarQty(item)">\n                        </div>\n                        <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                      </div>\n                    </div>\n                    <div class="col col-40 sr-col">\n                      <div class="sr-add" ng-click="addShoppingCart(item)"\n                           ng-if="item.realtimeStockCount>=item.itemSize">\n                        \u52A0\u5165\u62A5\u8D27\u5355\n                      </div>\n                      <div class="sr-notice" ng-click="addArrivalNotice(item)"\n                           ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5\n                      </div>\n                    </div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n          <ion-infinite-scroll ng-if="vm.hasmoredata" on-infinite="vm.loadMore()" distance="10%"\n                               spinner="ios"></ion-infinite-scroll>\n          <p ng-if="itemModel.items.length == 0"\n             style="color: #ddd;padding-bottom: 10px;margin-top: -10px;margin-left: 16px;">\n          <span\n            ng-if="filterItem.selectParams.delivTypeDescr || filterItem.selectParams.splCodeDescr">\u5F53\u524D\u7B5B\u9009\u6761\u4EF6<br/></span>\n            <span ng-if="filterItem.selectParams.delivTypeDescr" style="margin-left: 28px;">\u914D\u9001\u65B9\u5F0F\uFF1A{{filterItem.selectParams.delivTypeDescr}}<br/></span>\n            <span ng-if="filterItem.selectParams.itemType3Descr" style="margin-left: 28px;">\u5546\u54C1\u7C7B\u522B\uFF1A{{filterItem.selectParams.itemType3Descr}}<br/></span>\n            <span ng-if="filterItem.selectParams.brandCodeDescr" style="margin-left: 28px;">\u54C1\u724C\u540D\u79F0\uFF1A{{filterItem.selectParams.brandCodeDescr}}<br/></span>\n            <span ng-if="filterItem.selectParams.splCodeDescr" style="margin-left: 28px;">\u5546\u5BB6\u540D\u79F0\uFF1A{{filterItem.selectParams.splCodeDescr}}</span>\n          </p>\n          <p class="text-center" ng-if="!vm.hasmoredata" style="color: #ddd;padding-bottom: 5px;margin-top: -10px;">---\n            \u6CA1\u6709\u66F4\u591A\u5546\u54C1\u4E86 ---</p>\n        </ion-content>\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding">\n    <div class="row order1">\n      <div class="col col-67 left order2">\n        <p class="text-center order3">\u5171<span class="order4">{{qty}}</span>\u6B3E\u5546\u54C1<span\n          class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6" ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6" ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8" ng-if="qty===0 && currentOrder != \'1\'"><span\n          class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n<!-- \u7B5B\u9009\u8FC7\u6EE4\u6761\u4EF6-->\n<div class="right-filter-layer-bg {{filterItem.isShowFilter?\'show\':\'\'}}" ng-click="filterItem.toggleFilter()"></div>\n<div class="right-filter-layer {{filterItem.isShowFilter?\'show\':\'\'}}">\n  <div class="filter-layer-title">\n    <div class="tit">\u9AD8\u7EA7\u7B5B\u9009</div>\n  </div>\n  <div class="filter-layer-content">\n    <div class="type-list">\n      <div class="nav"><span class="span">\u914D\u9001\u65B9\u5F0F</span></div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'1\'?\'selected\':\'\'}}"\n               ng-click="filterItem.selectedDelivType(\'1\')"><a class="span">\u4FBF\u5229\u5B9D\u914D\u9001</a></div>\n        </div>\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'2\'?\'selected\':\'\'}}"\n               ng-click="filterItem.selectedDelivType(\'2\')"><a class="span">\u5546\u5BB6\u914D\u9001</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="filterItem.itemType3Facet.length > 0">\n      <div class="nav">\n        <span class="span">\u5546\u54C1\u7C7B\u522B</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;"\n              ng-click="filterItem.showAllItemType3()" ng-if="filterItem.itemType3Facet.length >10">\n          {{filterItem.showItemType3Count == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i\n          class="icon {{filterItem.showItemType3Count == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col"\n             ng-repeat="itemType3 in filterItem.itemType3Facet | limitTo:filterItem.showItemType3Count"\n             ng-click="filterItem.selectedItemType3(itemType3)">\n          <div class="type-descr {{condition.itemType3 == itemType3.id?\'selected\':\'\'}}"><a class="span">{{itemType3.name}}</a>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="filterItem.brandFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u54C1\u724C\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;" ng-click="filterItem.showAllBrand()"\n              ng-if="filterItem.brandFacet.length >10">\n          {{filterItem.showBrandCount == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i\n          class="icon {{filterItem.showBrandCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="brand in filterItem.brandFacet | limitTo:filterItem.showBrandCount"\n             ng-click="filterItem.selectedBrandCode(brand)">\n          <div class="type-descr {{condition.brandCode == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}</a>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="!emptyToken && filterItem.supplierFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u5546\u5BB6\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;"\n              ng-click="filterItem.showAllSupplier()" ng-if="filterItem.supplierFacet.length >10">\n          {{filterItem.showSplCount == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i\n          class="icon {{filterItem.showSplCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="supplier in filterItem.supplierFacet | limitTo:filterItem.showSplCount"\n             ng-click="filterItem.selectedSplCode(supplier)">\n          <div class="type-descr {{condition.splCode == supplier.id?\'selected\':\'\'}}"><a\n            class="span">{{supplier.name}}</a></div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class="filter-layer-footer">\n    <div class="row row-wrap row-wrap-new noMarginPadding">\n      <div class="col col-50 noMarginPadding">\n        <button class="button button-full button-stable" style="margin: 0px;" ng-click="filterItem.clearFilter()">\u91CD\u7F6E\n        </button>\n      </div>\n      <div class="col col-50 noMarginPadding">\n        <button class="button button-full button-assertive" style="margin: 0px;"\n                ng-click="filterItem.confirmSelected()">\u786E\u5B9A\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n');
$templateCache.put('store/item/search.html','<ion-view hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset" style="padding-left:0px;">\n    <a class="button icon-back02" ng-click="goBack()" style="background: transparent;color: #ff6600;text-align: center;padding: 0 2px 0 10px;"></a>\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <img  src="img/icon/search.png" class="searchimg">\n      <input id="searchinput" type="text" ng-model="condition.searchKey" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" style="background: white" autofocus="true">\n    </div>\n    <button class="button button-clear" style="color:#ff6600 " ng-click="returntosearch(condition.searchKey)">\u641C\u7D22</button>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true">\n    <div class="item">\n      <p style="line-height: 24px">\n        <img src="img/fire.png" style="width: 18px;height: 18px;vertical-align: middle;margin-top: -5px;"><span style="font-size: 14px;line-height: 26px;">\u70ED\u95E8\u641C\u7D22</span>\n      </p>\n      <div class="row row-wrap" ng-if="hotSearchKeysModel.hotSearchKeys" style="padding:0">\n        <div class="col col-33" ng-repeat="hotSearchKey in hotSearchKeysModel.hotSearchKeys">\n          <div style="padding: 5px;white-space:nowrap;overflow: hidden;text-overflow: ellipsis;text-align: center;border: 1px solid #E5E5E5;border-radius: 5px" ng-click="hotSearchKeyClick(hotSearchKey.name)">\n              <a  style="color: #666;font-size: 12px;">{{hotSearchKey.name}}</a>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="item" ng-if="searchKey&&searchKey.length!==0" style="border-bottom: none">\n      <p style="line-height: 24px">\n        <img src="img/searchHistory.png" style="width: 16px;height: 16px;vertical-align: middle;margin-top: -5px;margin-right: 2px"><span style="font-size: 14px;line-height: 26px;">\u5386\u53F2\u641C\u7D22</span>\n      </p>\n      <div class="row row-wrap" style="padding:0">\n        <div class="col col-33" ng-repeat="data in  searchKey">\n          <div style="padding: 5px;white-space:nowrap;overflow: hidden;text-overflow: ellipsis;text-align: center;border: 1px solid #E5E5E5;border-radius: 5px" ng-click="returntosearch(data)">\n            <a  style="color: #666;font-size: 12px;">{{data}}</a>\n          </div>\n        </div>\n      </div>\n      <div style="padding:0 5px">\n        <div class="serachbutton" ng-click="deleteSearchKey()">\n          \u6E05\u7A7A\u641C\u7D22\u5386\u53F2\n        </div>\n      </div>\n\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/supplier-arrivalNotice.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a class="button icon-back02" style="color: white" ng-click="goBack()"></a>\n    <h1 class="title" style="color: white">\u5546\u54C1\u65AD\u8D27\u8BB0\u5F55</h1>\n  </ion-header-bar>\n  <ion-content class="no-padding">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records === 0">\u6682\u672A\u627E\u5230\u76F8\u5173\u5546\u54C1\u65AD\u8D27\u8BB0\u5F55\u54E6\uFF01</div>\n    <div class="list">\n      <div class="item blb-list-item" ng-repeat="detail in vm.data">\n        <div class="row noMarginPadding">\n          <div class="col" style="position: relative;">\n            <span style="display: block;text-overflow: ellipsis;overflow: hidden;font-size: 14px;" class="blb-list-item-title">{{detail.itDescr}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <span style="font-size: 12px;color: #333333;">\u65AD\u8D27\u65F6\u95F4\uFF1A{{detail.crtDate}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <span style="font-size: 12px;color: #333333;">\u7EED\u8D27\u65F6\u95F4\uFF1A{{detail.crtDate==detail.lastUpdate?\'\u672A\u7EED\u8D27\':detail.lastUpdate}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <span style="font-size: 12px;color: #333333;">\u63D0\u4EA4\u7AD9\u70B9\uFF1A{{detail.storeCode}}</span>\n          </div>\n        </div>\n        <hr class="blb-list-item-hr">\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="vm.loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/supplier-detail.html','<ion-view  hide-tabs="true" class="animated fadeIn" view-title="\u4FBF\u5229\u5B9D\u4F9B\u5E94\u5546">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title titlestyle">\u4F9B\u5E94\u5546\u4FE1\u606F</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false">\n    <ion-slide-box auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" ng-if="supplierDetail.pics">\n      <ion-slide ng-repeat="pic in supplierDetail.pics track by $index"  ng-click="showBigImage()">\n        <div class="box" style="text-align: center;"><img ng-src="{{pic}}" style="width:160px;"/></div>\n      </ion-slide>\n    </ion-slide-box>\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n      <div  style="margin:0;padding:0; border-top: 1px solid #E5E5E5;border-bottom: 1px solid #E5E5E5;font-family: PingFang-SC-Regular;font-size: 14px !important;color:#999999;">\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u516C\u53F8\u540D\u79F0\uFF1A\n          </div>\n          <div class="col col-75" style="white-space: normal;">{{supplierDetail.descr}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u516C\u53F8\u7B80\u79F0\uFF1A\n          </div>\n          <div class="col col-75" style="white-space: normal;">{{supplierDetail.abbDescr}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u516C\u53F8\u5730\u5740\uFF1A\n          </div>\n          <div class="col col-75" style="white-space: normal;">{{supplierDetail.address}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u8425\u4E1A\u6267\u7167\uFF1A\n          </div>\n          <div class="col col-75">{{supplierDetail.businessNo}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u6CD5\u4EBA\u59D3\u540D\uFF1A\n          </div>\n          <div class="col col-75">{{supplierDetail.legalPersonName}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u8054  \u7CFB  \u4EBA\uFF1A\n          </div>\n          <div class="col col-75">{{supplierDetail.contact}}</div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u8054\u7CFB\u7535\u8BDD\uFF1A\n          </div>\n          <div class="col col-75"><a href="tel:{{supplierDetail.mobile1}}">{{supplierDetail.mobile1}}</a></div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u6240\u4F9B\u5546\u54C1\uFF1A\n          </div>\n          <div class="col col-75"><a href="#" ng-click="goSupplierItem()">\u67E5\u770B</a></div>\n        </div>\n        <div class="row" style="padding:10px 0px 0px 0px;">\n          <div class="col col-25" style="margin-left: 0;padding-left: 0">\n            \u6536\u85CF\u5546\u5BB6\uFF1A\n          </div>\n          <div class="col col-75">\n            <a href="#" ng-click="supplierFavorite(true)" ng-if="!supplierDetail.isFavorite">\n              <i class="icon icon-xingxingnormal" style="font-size: 14px!important;"></i>\u672A\u6536\u85CF\n            </a>\n            <a href="#" ng-click="supplierFavorite(false)" ng-if="supplierDetail.isFavorite">\n              <i class="icon icon-xingxingselecetd" style="font-size: 14px!important;"></i>\u5DF2\u6536\u85CF\n            </a>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="row" style="margin-top:20px;padding: 5px 20px;">\n      <div class="col col-50">\n        <a href="#" style="text-decoration: none;" ng-click="goItemSalesPage()">\u5728\u4F9B\u5546\u54C1\u54C1\u9879\u6570\uFF08{{supplierItemQtys}}\uFF09</a>\n      </div>\n      <div class="col col-50">\n        <a href="#" style="text-decoration: none;" ng-click="goItemCostTipOffPage()">\u88AB\u4E3E\u62A5\u5546\u54C1\u4EF7\u683C\u8BB0\u5F55</a>\n      </div>\n    </div>\n    <div class="row" style="padding: 5px 20px;">\n      <div class="col col-50">\n        <a href="#" style="text-decoration: none;" ng-click="goItemCutSalesPage()">\u5546\u54C1\u65AD\u8D27\u8BB0\u5F55</a>\n      </div>\n      <div class="col col-50">\n        <span style="color:#999999;">\u88AB{{supplierBeFavoritedQtys}}\u5BB6\u7AD9\u70B9\u5173\u6CE8</span>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n<!-- \u70B9\u51FB\u663E\u793A\u5927\u56FE-->\n<div ng-if="isBigImage" style="background-color:rgba(0,0,0,.7);position: fixed;top: 0;left: 0;z-index: 10; width: 100%;height: 100%;" ng-click="hideBigImage()">\n  <ion-slide-box style="position: absolute;top: 15%;left:5%;z-index: 10;display: block;width: 90%;height: 70%; box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);">\n    <ion-slide ng-repeat="pic in supplierDetail.pics track by $index">\n      <div class="box" style="height: auto;"><img ng-src="{{pic}}"></div>\n    </ion-slide>\n  </ion-slide-box>\n</div>\n');
$templateCache.put('store/item/supplier-info.html','<ion-view  hide-tabs="true" view-title="\u4FBF\u5229\u5B9D\u4F9B\u5E94\u5546">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" ng-if="!isFromLoginSalesManBySupplier"></a>\n    <h1 class="title" ng-bind="supplierDetail.abbDescr?supplierDetail.abbDescr:supplierDetail.descr"></h1>\n    <a ng-click="filterItem.toggleFilter()" class="button">\u7B5B\u9009</a>\n  </ion-header-bar>\n  <div class="bar bar-header item-input-inset">\n    <label class="item-input-wrapper">\n      <i class="icon ion-ios-search placeholder-icon"></i>\n      <input type="search" ng-model="vm.searchKey" placeholder="\u5546\u54C1\u6761\u7801/\u540D\u79F0">\n    </label>\n    <button class="button button-clear" ng-click="doRefresh()" style="line-height: 28px;">\u641C\u7D22</button>\n  </div>\n  <div class="slide-in-button"  ng-click="tabItem.toggleFilter()"><i class="icon ion-gear-b"></i>\u5206\u7C7B</div>\n  <ion-content lazy-scroll overflow-scroll="true" scrollbar-y="auto" class="has-header has-subheader" delegate-handle="supplierInfoScroll">\n    <ion-slide-box auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" ng-if="supplierBannerLogo.banner">\n      <ion-slide ng-click="goSupplierPage()">\n        <div class="box" style="text-align: center;"><img ng-src="{{supplierBannerLogo.banner}}"/></div>\n      </ion-slide>\n    </ion-slide-box>\n    <div class="item sr-item" ng-click="goSupplierPage()" ng-if="!supplierBannerLogo.banner">\n      <div class="row noMarginPadding">\n        <div class="col col-33">\n          <a class="tab-item griditem new-tab-item">\n            <img class="icon bigtabicon" ng-src="{{supplierBannerLogo.logo}}">\n          </a>\n        </div>\n        <div class="col col-67 spl-info">\n          <div class="spl-name">{{supplierDetail.abbDescr?supplierDetail.abbDescr:supplierDetail.descr}}</div>\n          <div class="spl-card" ng-if="!emptyToken">\u8425\u4E1A\u6267\u7167\uFF1A{{supplierDetail.businessNo}}</div>\n          <div ng-if="!emptyToken">\n            <i class="icon ion-person"></i>\n            <span>{{supplierDetail.contact}}</span>\n            <a href="{{supplierDetail.mobile1 ==\'\' ? \'#\': \'tel:\'+supplierDetail.mobile1}}" ng-click="stopProp()">\n              <i class="icon ion-ios-telephone"></i>\n              <span>{{supplierDetail.mobile1 ==\'\' ? \'\u6682\u65E0\u7535\u8BDD\' :supplierDetail.mobile1}}</span>\n            </a>\n          </div>\n          <div class="spl-card" ng-if="!emptyToken">\n            \u6536\u85CF\u5546\u5BB6\uFF1A\n            <a href="#" ng-click="supplierFavorite(true)" ng-if="!supplierDetail.isFavorite">\n              <i class="icon icon-xingxingnormal" style="font-size: 14px!important;"></i>\u672A\u6536\u85CF\n            </a>\n            <a href="#" ng-click="supplierFavorite(false)" ng-if="supplierDetail.isFavorite">\n              <i class="icon icon-xingxingselecetd" style="font-size: 14px!important;"></i>\u5DF2\u6536\u85CF\n            </a>\n          </div>\n          <div ng-if="emptyToken"><button style="min-height: 14px !important;line-height:14px !important;font-size: 14px;margin-top: 2px;padding:0px 6px 0px 0px;" class="button button-small button-positive button-clear"  ng-click="goLoginPage()">\u767B\u5F55</button><span>\u67E5\u770B\u4F9B\u5E94\u5546</span></div>\n        </div>\n      </div>\n    </div>\n    <div class="spl-count">\n      \u5171\u6709 {{vm.records}} \u79CD\u5546\u54C1\n    </div>\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <div class="list"  ng-if="vm.data">\n      <div class="item sr-item" ng-repeat="item in vm.data">\n        <div show-brandgrade="{{item.brandCode}}"></div>\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" style="position: relative;">\n              <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <div class="realtime-stock-count">\n                <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n              </div>\n              <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p style="font-size: 14px">{{item.descr}}</p>\n              <!--<div ng-hide="emptyToken" class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>-->\n              <!--<p ng-hide="emptyToken" class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>-->\n              <p ng-hide="emptyToken" class="sr-spldescr"><i class="paiming{{item.rank<5?item.rank:\'\'}}">{{item.rank}}</i>{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</p>\n              <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span>  <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p>\n                <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="getNextPage()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" >\n    <div class="row order1" >\n      <div class="col col-67 left order2" >\n        <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u79CD\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6"  ng-click="goToShoppingCart()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n<!-- \u5546\u5BB6\u5206\u7C7B\u8FC7\u6EE4 -->\n<div class="left-filter-layer-bg {{tabItem.isShowFilter?\'show\':\'\'}}" ng-click="tabItem.toggleFilter()"></div>\n<div class="left-filter-layer {{tabItem.isShowFilter?\'show\':\'\'}}" style="width: 30%;">\n  <ion-modal-view>\n    <ion-header-bar>\n      <h1 class="title">\u5546\u5BB6\u5206\u7C7B</h1>\n    </ion-header-bar>\n    <ion-content  scroll="false" class="has-header" style="margin-top: 0px;background:#F6F6F6;border: none;bottom: 0px;">\n      <div class="row" style="position: absolute;top: 0;bottom: 0;left: 0;right: 0; ">\n        <div class="col" style="position: absolute;left: 0;right: 0;;top: 0;bottom: 0;">\n          <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;">\n            <ion-list>\n              <ion-item ng-click="tabItem.itemAreaTypeModel.itemAreaTypeClick(\'\')"  style="padding:0; ">\n                <p class="fontfamily" ng-class="{\'type1isselected\': tabItem.itemAreaTypeModel.currentItemAreaTypeCode == \'\', \'type1unselected\': tabItem.itemAreaTypeModel.currentItemAreaTypeCode != \'\'}">\u5168\u90E8</p>\n              </ion-item>\n              <ion-item ng-repeat="itemAreaType in tabItem.itemAreaTypeModel.itemAreaTypeList" ng-click="tabItem.itemAreaTypeModel.itemAreaTypeClick(itemAreaType.code)"  style="padding:0; ">\n                <p  class="fontfamily" ng-class="{\'type1isselected\': tabItem.itemAreaTypeModel.currentItemAreaTypeCode == itemAreaType.code, \'type1unselected\': tabItem.itemAreaTypeModel.currentItemAreaTypeCode != itemAreaType.code}">{{itemAreaType.descr}}</p>\n              </ion-item>\n            </ion-list>\n          </ion-content>\n        </div>\n      </div>\n    </ion-content>\n  </ion-modal-view>\n</div>\n\n\n<!-- \u7B5B\u9009\u8FC7\u6EE4\u6761\u4EF6-->\n<div class="right-filter-layer-bg {{filterItem.isShowFilter?\'show\':\'\'}}" ng-click="filterItem.toggleFilter()"></div>\n<div class="right-filter-layer {{filterItem.isShowFilter?\'show\':\'\'}}">\n  <div class="filter-layer-title">\n    <div class="tit">\u7B5B\u9009</div>\n  </div>\n  <div class="filter-layer-content">\n    <div class="type-list">\n      <div class="nav"><span class="span">\u914D\u9001\u65B9\u5F0F</span></div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'1\'?\'selected\':\'\'}}" ng-click="filterItem.selectedDelivType(\'1\')"><a class="span">\u4FBF\u5229\u5B9D\u914D\u9001</a></div>\n        </div>\n        <div class="col type-col">\n          <div class="type-descr {{condition.delivType == \'2\'?\'selected\':\'\'}}" ng-click="filterItem.selectedDelivType(\'2\')"><a class="span">\u5546\u5BB6\u914D\u9001</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="filterItem.itemType3Facet.length > 0">\n      <div class="nav">\n        <span class="span">\u5546\u54C1\u7C7B\u522B</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;" ng-click="filterItem.showAllItemType3()" ng-if="filterItem.itemType3Facet.length >10">\n          {{filterItem.showItemType3Count == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i class="icon {{filterItem.showItemType3Count == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="itemType3 in filterItem.itemType3Facet | limitTo:filterItem.showItemType3Count" ng-click="filterItem.selectedItemType3(itemType3)">\n          <div class="type-descr {{vm.itemType3 == itemType3.id?\'selected\':\'\'}}"><a class="span">{{itemType3.name}}</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="filterItem.brandFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u54C1\u724C\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;" ng-click="filterItem.showAllBrand()" ng-if="filterItem.brandFacet.length >10">\n          {{filterItem.showBrandCount == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i class="icon {{filterItem.showBrandCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="brand in filterItem.brandFacet | limitTo:filterItem.showBrandCount" ng-click="filterItem.selectedBrandCode(brand)">\n          <div class="type-descr {{vm.brandCode == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}</a></div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class="filter-layer-footer">\n    <div class="row row-wrap row-wrap-new noMarginPadding">\n      <div class="col col-50 noMarginPadding"><button class="button button-full button-stable" style="margin: 0px;" ng-click="filterItem.clearFilter()">\u91CD\u7F6E</button></div>\n      <div class="col col-50 noMarginPadding"><button class="button button-full button-assertive" style="margin: 0px;" ng-click="filterItem.confirmSelected()">\u786E\u5B9A</button></div>\n    </div>\n  </div>\n</div>\n');
$templateCache.put('store/item/supplier-itemCostTipOff.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a class="button icon-back02" style="color: white" ng-click="goBack()"></a>\n    <h1 class="title" style="color: white">\u88AB\u4E3E\u62A5\u5546\u54C1\u4EF7\u683C\u8BB0\u5F55</h1>\n  </ion-header-bar>\n  <ion-content class="no-padding">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records === 0">\u6682\u672A\u627E\u5230\u76F8\u5173\u88AB\u4E3E\u62A5\u5546\u54C1\u4EF7\u683C\u8BB0\u5F55\u54E6\uFF01</div>\n    <div class="list">\n      <div class="item blb-list-item" ng-repeat="detail in vm.data">\n        <div class="row noMarginPadding">\n          <div class="col" style="position: relative;">\n            <span style="display: block;text-overflow: ellipsis;overflow: hidden;font-size: 14px;" class="blb-list-item-title">{{detail.itDescr}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col col-40">\n            <span style="font-size: 12px;color: #333333;">\u63D0\u4EA4\u7AD9\u70B9\uFF1A{{detail.storeCode}}</span>\n          </div>\n          <div class="col col-60">\n            <span style="font-size: 12px;color: #333333;">\u4E3E\u62A5\u65F6\u95F4\uFF1A{{detail.crtDate}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <span style="font-size: 12px;color: #333333;">\u4FE1\u606F\u6765\u6E90\uFF1A{{detail.tipOffFrom || \'\u672A\u586B\u5199\'}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <div style="font-size: 14px;color: #333333;float: left;width: 80px;">\u53CD\u9988\u60C5\u51B5\uFF1A</div><div style="font-size: 12px;color: #666666;white-space: normal;margin-left: 80px;">{{detail.remark || \'\u6682\u672A\u53CD\u9988\'}}</div>\n          </div>\n        </div>\n        <hr class="blb-list-item-hr">\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="vm.loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/tab-item.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset" ng-controller="HeaderCtrl">\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <img  src="img/icon/search.png" class="searchimg">\n      <input type="search" placeholder="\u8BF7\u8F93\u5165\u5546\u54C1\u54C1\u7C7B\u3001\u540D\u79F0" readonly ng-click="goSearch()">\n    </div>\n    <a class="icon placeholder-icon icon-scanning" ng-click="scanBarcode()" style="color: #ff6600;"></a>\n  </ion-header-bar>\n  <ion-content  scroll="false" class="has-header" style="margin-top: 0px;background:#F6F6F6;border: none;">\n    <div class="row" style="position: absolute;top: 0;bottom: 0;left: 0;right: 0; ">\n      <div class="col-25 " style="max-width: 24%;position: absolute;left: 0;right: 0;;top: 0;bottom: 0;">\n        <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;">\n          <ion-list>\n            <ion-item ng-repeat="itemType1 in itemTypeModel.itemTypeList" ng-click="itemType1Click(itemType1.code)"  style="padding:0; ">\n              <p  class="fontfamily" ng-class="{\'type1isselected\': currentItemType1 == itemType1.code.trim(), \'type1unselected\': currentItemType1 != itemType1.code.trim()}">{{itemType1.descr}}</p>\n            </ion-item>\n          </ion-list>\n        </ion-content>\n      </div>\n\n      <div class="col-75" style="max-width: 71%;position: absolute;left: 27%;right:2%;top: 0px;bottom: 0; ">\n        <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x: hidden;" delegate-handle="itemTypeScroll">\n          <div ng-repeat="itemType1 in (filteredItems = (itemTypeModel.itemTypeList | currentItemType1List:currentItemType1))">\n            <div class="text-center" style="color: #999999;font-size: 12px;padding-top: 2px;border-bottom: 1px solid #ddd;" ng-click="searchfromItemType1(itemType1.code)">\u67E5\u770B\u5168\u90E8{{itemType1.descr}}>></div>\n            <div ng-repeat="itemType2 in itemType1.children">\n              <div class="row" style="padding-left: 0;position: relative;" ng-click="searchfromItemType2(itemType1.code,itemType2.code)">\n                <p style="margin-left: 0;" class="type2style">{{itemType2.descr}}</p>\n                <span style="position: absolute;right:0px;color: #999999;font-size: 12px;">\u5168\u90E8>></span>\n              </div>\n              <div class="row row-wrap row-wrap-old" style="margin-left: 0px; margin-right: 10px; margin-bottom: 15px; background-color: #FFFFFF;">\n                <div class="col col-33" style="padding: 5px;" ng-repeat="itemType3 in (itemType2.children)"  ng-click="searchfromtype(\'\',\'\',itemType3.code.trim())">\n                  <div class="item" style="border: none;margin: 0; padding: 0;height: 82px;">\n                    <div class="row" style="padding-top: 4px; text-align: center"><img ng-src="{{itemType3.imageUrl}}" class="icon ion-thumbsup type2imagestyle"></div>\n                    <div class="row" style="width: 100%;padding: 0;">\n                      <p class="type3style">{{itemType3.descr}}<p>\n                    </div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ion-content>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/tab-qrCode.html','<ion-view view-title="\u626B\u4E00\u626B">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title">\u626B\u4E00\u626B</h1>\n  </ion-header-bar>\n  <ion-content scroll="false" class="has-header" style="background-color: #ffffff;">\n    <div class="row row-wrap row-wrap-old noMarginPadding">\n      <div class="col col-50 first-icon" ng-click="scanBarcode()">\n        <div class="tab-item griditem app-item">\n          <i class="alibabaiconfont icon icon-saoma1" style="font-size: 60px !important;height: auto;"></i>\n          <p class="portal-appname">\u5546\u54C1\u626B\u7801</p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="scanCoupon()">\n        <div class="tab-item griditem app-item">\n          <i class="alibabaiconfont icon icon-QRpay" style="font-size: 60px !important;height: auto;"></i>\n          <p class="portal-appname">\u5361\u5238\u626B\u7801</p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="scanSupplier()">\n        <div class="tab-item griditem app-item">\n          <i class="alibabaiconfont icon icon-saoma3" style="font-size: 60px !important;height: auto;"></i>\n          <p class="portal-appname">\u4F9B\u5E94\u5546\u626B\u7801</p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="scanSalesInvoice()">\n        <div class="tab-item griditem app-item">\n          <i class="alibabaiconfont icon icon-saoma2" style="font-size: 60px !important;height: auto;"></i>\n          <p class="portal-appname">\u8BA2\u5355\u626B\u7801</p>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/item/tab-typeItem.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset" ng-controller="HeaderCtrl">\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <img  src="img/icon/search.png" class="searchimg">\n      <input type="search" placeholder="\u8BF7\u8F93\u5165\u5546\u54C1\u54C1\u7C7B\u3001\u540D\u79F0" readonly ng-click="goSearch()">\n    </div>\n    <a class="icon placeholder-icon icon-scanning" ng-click="scanBarcode()" style="color: #ff6600;"></a>\n  </ion-header-bar>\n  <ion-content scroll="false" class="has-header" style="margin-top: 0px;background:#F6F6F6;border: none;">\n    <div class="col-25" style="max-width: 24%;position: absolute;left: 0;right: 1%;top: 0;bottom: 0;">\n      <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;" delegate-handle="typeItemScroll">\n        <div class="typeitemdiv" ng-repeat="itemType1 in itemTypeModel.itemTypeList">\n          <ion-item ng-class="{\'typeitem1 typeitem1selected\': currentItemType1.code == itemType1.code, \'typeitem1\': currentItemType1.code != itemType1.code}" ng-click="typeItem1Click(itemType1,$index)">\n            {{itemType1.descr}}<i class="icon ion-arrow-up-b typeitemicon" ng-if="itemType1.isDown"></i><i class="icon ion-arrow-down-b typeitemicon" ng-if="!itemType1.isDown"></i>\n          </ion-item>\n          <div ng-show="itemType1.isDown&&currentItemType1.code == itemType1.code">\n            <ion-item ng-class="{\'typeitem2 typeitem2selected\': currentItemType2.code == itemType2.code, \'typeitem2\': currentItemType2.code != itemType2.code}" ng-repeat="itemType2 in itemType1.children" ng-click="typeItem2Click(itemType2)">\n              {{itemType2.descr}}\n            </ion-item>\n          </div>\n        </div>\n      </ion-content>\n    </div>\n    <div class="col-75" style="max-width: 74%;position: absolute;left: 26%;right:1%;top: 0px;bottom: 0;">\n      <div class="typeitem3div" ng-if="currentItemType2.children">\n        <ion-content overflow-scroll="true" style="overflow-y:hidden;overflow-x:auto;" delegate-handle="typeItem3Scroll">\n          <p class="noMarginPadding text-left" style="white-space: nowrap;">\n            <span ng-class="{\'typeitem3 typeitem3selected\': currentItemType3.code == \'\', \'typeitem3\': currentItemType3.code != \'\'}" ng-click="typeItem3Click(\'\')">\u5168\u90E8</span>\n            <span ng-repeat="itemType3 in currentItemType2.children" ng-class="{\'typeitem3 typeitem3selected\': currentItemType3.code == itemType3.code, \'typeitem3\': currentItemType3.code != itemType3.code}" ng-click="typeItem3Click(itemType3)">{{itemType3.descr}}</span>\n            <span style="margin-right: 30px;"></span>\n          </p>\n        </ion-content>\n        <div class="typeitem3more"><button class="button button-energized" ng-click="vm.toggleFilter()">\u7B5B\u9009</button></div>\n      </div>\n      <div class="typeItemBrandDiv" ng-if="currentItemType3.code && vm.brandFacet.length > 0">\n        <div class="row row-wrap row-wrap-new noMarginPadding typeItemBrand-row">\n          <div class="col type-col type-col-div" ng-click="typeItemBrandClick(\'\')">\n            <div class="type-descr type-descr-div {{currentBrand.id == \'\'?\'selected\':\'\'}}"><a class="span">\u5168\u90E8</a></div>\n          </div>\n          <div class="col type-col type-col-div" ng-repeat="brand in vm.brandFacet | limitTo:vm.showMainBrandCount" ng-click="typeItemBrandClick($index,brand)">\n            <div class="type-descr type-descr-div {{currentBrand.id == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}</a></div>\n          </div>\n          <div class="col type-col type-col-div" ng-if="vm.brandFacet.length > vm.showMainBrandCount" ng-click="showAllBrand(\'down\')">\n            <div class="type-descr type-descr-div" style="border: none;"><a class="span" style="color: #ff6600;">\u66F4\u591A<i class="icon ion-chevron-down"></i></a></div>\n          </div>\n        </div>\n        <div class="row row-wrap row-wrap-new noMarginPadding" ng-if="vm.showMainBrandCount > 4">\n          <div class="col type-col type-col-div"  ng-click="showAllBrand(\'up\')">\n            <div class="type-descr type-descr-div" style="border: none;"><a class="span" style="color: #ff6600;">\u6536\u8D77<i class="icon ion-chevron-up"></i></a></div>\n          </div>\n        </div>\n      </div>\n      <div class="typeItemSearchScrollDiv">\n        <ion-content lazy-scroll overflow-scroll="true" class="typeItemSearchScroll" delegate-handle="typeItemSearchScroll">\n          <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n          <div class="list" ng-if="vm.data.length > 0" style="margin-bottom: 110px;padding-top: 0px;">\n            <div class="item sr-item typeitem-item" ng-repeat="item in vm.data">\n              <div show-brandgrade="{{item.brandCode}}"></div>\n              <div class="row noMarginPadding typeitem-item-row">\n                <div class="col col-25" style="position: relative;" ng-click="showBigImage(item.imgUrl)">\n                  <label class="typeitem-badgeqty" ng-show="!emptyToken && item.qty>0">{{item.qty}}</label>\n                  <div class="tab-item griditem typeitem-tab-item">\n                    <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n                    <div class="typeitem-realtime-stock-count" ng-hide="emptyToken">\n                      <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                      <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                    </div>\n                    <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'22px\':\'0px\'}};right:0;width: 25px;height: auto;">\n                  </div>\n                </div>\n                <div class="col col-75"  ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n                  <div class="sr-descr typeitem-item-div" style="white-space: normal;">{{item.descr}}</div>\n                  <div ng-hide="emptyToken" class="sr-spldescr-div typeitem-item-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n                  <div ng-hide="emptyToken" class="sr-spldescr typeitem-item-div"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></div>\n                  <div ng-hide="emptyToken" class="typeitem-item-div">\n                    <span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}<span class="sr-fanxian" ng-if="item.cashBack && item.cashBack > 0">\u8FD4\xA5{{item.cashBack}}</span></span>\n                    <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span>\n                    <div class="buy-size">\n                      {{item.sizeDesc}}\n                      <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n                      <span class="base-buy" ng-if="item.itemSize > 1" style="margin-right: 10px;">{{item.itemSize+item.uomDescr+\'\u8D77\u8BA2\'}}</span>\n                    </div>\n                  </div>\n                  <div ng-show="emptyToken" class="typeitem-item-div"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span></div>\n                </div>\n              </div>\n              <div class="row noMarginPadding">\n                <div class="col col-80 buy-size">\n                    <span ng-if="item.delivType==\'2\'" class="buy-sendtype">\u5546\u5BB6\u914D\u9001</span>\n                    <span ng-if="item.delivType==\'1\'" class="buy-sendtype">\u96C6\u914D</span>\n                    <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>-->\n                    <input class="buy-input" ng-model="item.qty1"  type="number" readonly="readonly" ng-click="updateShoppingCarQty(item)">\n                </div>\n                <div class="col col-20" style="padding: 3px 5px;">\n                  <div class="sr-add typeitem-button" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                  <div class="sr-notice typeitem-button" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n                </div>\n              </div>\n            </div>\n            <div ng-show="!vm.hasmoredata" style="text-align: center;font-size: 12px;color: #ddd;margin: 5px;">\n              <span>\u2014\u2014\u2014 \u672C\u7C7B\u4E0B\u5DF2\u7ECF\u6CA1\u6709\u66F4\u591A\u5546\u54C1\u4E86 \u2014\u2014\u2014</span>\n            </div>\n          </div>\n          <div ng-show="!vm.records" style="text-align: center;font-size: 12px;color: #ddd;margin-top: 40px;">\n            <span>\u6682\u672A\u627E\u5230\u60A8\u60F3\u8981\u7684\u5546\u54C1!</span>\n          </div>\n          <ion-infinite-scroll ng-if="vm.hasmoredata" on-infinite="vm.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n        </ion-content>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n<!-- \u7B5B\u9009\u8FC7\u6EE4\u6761\u4EF6-->\n<div class="right-filter-layer-bg {{vm.isShowFilter?\'show\':\'\'}}" ng-click="vm.toggleFilter()" style="bottom: 50px;height: auto;"></div>\n<div class="right-filter-layer {{vm.isShowFilter?\'show\':\'\'}}" style="bottom: 50px;height: auto;">\n  <div class="filter-layer-title">\n    <div class="tit">\u9AD8\u7EA7\u7B5B\u9009</div>\n  </div>\n  <div class="filter-layer-content">\n    <div class="type-list">\n      <div class="nav"><span class="span">\u914D\u9001\u65B9\u5F0F</span></div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col">\n          <div class="type-descr {{vm.condition.delivType == \'1\'?\'selected\':\'\'}}" ng-click="vm.selectedDelivType(\'1\')"><a class="span">\u4FBF\u5229\u5B9D\u914D\u9001</a></div>\n        </div>\n        <div class="col type-col">\n          <div class="type-descr {{vm.condition.delivType == \'2\'?\'selected\':\'\'}}" ng-click="vm.selectedDelivType(\'2\')"><a class="span">\u5546\u5BB6\u914D\u9001</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="currentItemType2.children">\n      <div class="nav">\n        <span class="span">\u5546\u54C1\u7C7B\u522B</span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="itemType3 in currentItemType2.children" ng-click="vm.selectedItemType3(itemType3)">\n          <div class="type-descr {{currentItemType3.code == itemType3.code?\'selected\':\'\'}}"><a class="span">{{itemType3.descr}}</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="vm.brandFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u54C1\u724C\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;" ng-click="vm.showAllBrand()" ng-if="vm.brandFacet.length >10">\n          {{vm.showBrandCount == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i class="icon {{vm.showBrandCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="brand in vm.brandFacet | limitTo:vm.showBrandCount" ng-click="vm.selectedBrandCode(brand)">\n          <div class="type-descr {{vm.condition.brandCode == brand.id?\'selected\':\'\'}}"><a class="span">{{brand.name}}</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="type-list" ng-if="!emptyToken && vm.supplierFacet.length > 0">\n      <div class="nav">\n        <span class="span">\u5546\u5BB6\u540D\u79F0</span>\n        <span style="float:right;margin: 2px 10px;font-size: 12px;color: #ff6600;" ng-click="vm.showAllSupplier()" ng-if="vm.supplierFacet.length >10">\n          {{vm.showSplCount == 10 ? \'\u66F4\u591A\':\'\u6536\u8D77\' }}&nbsp;&nbsp;<i class="icon {{vm.showSplCount == 10 ? \'ion-chevron-down\':\'ion-chevron-up\' }}"></i>\n        </span>\n      </div>\n      <div class="row row-wrap row-wrap-new" style="padding:0;">\n        <div class="col type-col" ng-repeat="supplier in vm.supplierFacet | limitTo:vm.showSplCount" ng-click="vm.selectedSplCode(supplier)">\n          <div class="type-descr {{vm.condition.splCode == supplier.id?\'selected\':\'\'}}"><a class="span">{{supplier.name}}</a></div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class="filter-layer-footer">\n    <div class="row row-wrap row-wrap-new noMarginPadding">\n      <div class="col col-50 noMarginPadding"><button class="button button-full button-stable" style="margin: 0px;" ng-click="vm.clearFilter()">\u91CD\u7F6E</button></div>\n      <div class="col col-50 noMarginPadding"><button class="button button-full button-assertive" style="margin: 0px;" ng-click="vm.confirmSelected()">\u786E\u5B9A</button></div>\n    </div>\n  </div>\n</div>\n<!-- \u70B9\u51FB\u663E\u793A\u5927\u56FE-->\n<div ng-if="isBigImage" style="background: rgba(0,0,0,.7);position: fixed;top: 0;left: 0;z-index: 10; width: 100%;height: 100%;" ng-click="hideBigImage()">\n  <ion-slide-box style="position: absolute;top: 15%;left:5%;z-index: 10;display: block;width: 90%;height: auto; box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);">\n    <ion-slide>\n      <div class="box" style="height: auto;"><img ng-src="{{curImageUrl}}"></div>\n    </ion-slide>\n  </ion-slide-box>\n</div>\n');
$templateCache.put('store/my/about.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5173\u4E8E\u6211\u4EEC</h1>\n  </ion-header-bar>\n  <ion-content id="aboutMe" scroll="true" overflow-scroll="true">\n    <div style="padding: 16px 16px;" class="rule-p1">\n      <p style="">\n        \u798F\u5EFA\u4FBF\u5229\u5B9D\u7535\u5B50\u5546\u52A1\u6709\u9650\u516C\u53F8\u6210\u7ACB\u4E8E2014\u5E749\u6708\uFF0C\u5176\u81EA\u4E3B\u7814\u53D1\u8FD0\u8425\u7684O2O\u7535\u5B50\u5546\u52A1\u5E73\u53F0----\u4FBF\u5229\u5B9D\uFF08www.wqblb.com)\u662F\u5FEB\u6D88\u54C1\u4ECE\u4F9B\u5E94\u94FE\u5230\u5546\u6237\u6D41\u901A\u8FC7\u7A0B\u4E2D\u7684\u4ED3\u50A8\u3001\n        \u7269\u6D41\u548C\u8425\u9500\u7684\u788E\u7247\u5316\u9700\u6C42\u5728\u7EBF\u4E0A\u8FDB\u884C\u4FE1\u606F\u5316\u68B3\u7406\uFF0C\u5728\u7EBF\u4E0B\u6807\u51C6\u5316\u670D\u52A1\u7684O2O\u6A21\u5F0F\u7535\u5B50\u5546\u52A1\u5E73\u53F0.\u5176\u6838\u5FC3\u662F\u628A\u5305\u62EC\u7ECF\u9500\u5546\u3001\u5206\u9500\u5546\u3001\u7269\u6D41\u5546\u3001\n        \u914D\u9001\u5546\u751A\u81F3\u5730\u63A8\u6267\u884C\u56E2\u961F\u7684\u804C\u80FD\u96C6\u4E2D\u5728\u5E73\u53F0\u4E0A\uFF0C\n        \u6253\u9020\u4E00\u4E2A\u5FEB\u6D88\u54C1\u5168\u4F9B\u5E94\u94FE\u6574\u5408\u670D\u52A1\u5E73\u53F0\u3002\n      </p>\n      <p>\n        \u4FBF\u5229\u5B9D\u4EE5\u79BB\u7EC8\u7AEF\u6D88\u8D39\u8005\u6700\u8FD1\u7684\u5546\u6237\u4F53\u4F5C\u4E3A\u4E92\u8054\u7F51\u5165\u53E3\uFF0C\u4EE5\u5951\u5408\u4E2D\u56FD\u56FD\u60C5\uFF0C\u6539\u53D8\u73B0\u6709\u7684\u4F4E\u6548\u5FEB\u6D88\u54C1\u4F20\u7EDF\u5546\u4E1A\u6A21\u5F0F\uFF0C\u5F00\u653E\u5E73\u53F0\u6536\u96C6\u5382\u5546\u3001\n        \u96F6\u552E\u7EC8\u7AEF\u7684\u4EA4\u6613\u884C\u4E3A\u6570\u636E\uFF0C\u901A\u8FC7\u6570\u636E\u5206\u6790\u4E3A\u4ED3\u50A8\u7269\u6D41\u3001\u7528\u6237\u7BA1\u7406\u4EE5\u53CA\u7CBE\u51C6\u8425\u9500\u505A\u5BFC\u822A\uFF0C\u6784\u5EFA\u4F9B\u5E94\u5546\u4E0E\u91C7\u8D2D\u5546\u5171\u4EAB\u7684\u5546\u52A1\u5E73\u53F0\u3002\n        \u4EE5\u4E91\u4ED3\u6258\u7BA1\u3001\u7269\u6D41\u914D\u9001\u548C\u5E02\u573A\u670D\u52A1\u4E09\u5927\u6A21\u5757\u4E3A\u4E3B\u4E1A\u52A1\uFF0C\u4E0A\u6E38\u4E3A\u5FEB\u6D88\u54C1\u4F9B\u5E94\u5546\u63D0\u4F9B\u4E13\u4E1A\u4ED3\u50A8\u6258\u7BA1\uFF0C\u7269\u6D41\u914D\u9001\uFF0C\u8D27\u6B3E\u4EE3\u6536\u7B49\u670D\u52A1\u3002\n        \u4E0B\u6E38\u4E3A\u4F17\u591A\u4E2D\u5C0F\u91C7\u8D2D\u5546\uFF0C\u5C24\u5176\u662F\u4FBF\u5229\u5E97\u6E20\u9053\u6574\u5408\u8D26\u6B3E\u4EE3\u6536\u3001\u7535\u8BDD\u7F34\u8D39\u3001\u7269\u4E1A\u4EE3\u6536\u3001\u751F\u6D3B\u7F34\u8D39\u3001\u5FEB\u9012\u3001\u673A\u7968\u52A8\u8F66\u7968\u9884\u8BA2\u7B49\u4E1A\u52A1\u3002\n        \u901A\u8FC7\u4E92\u8054\u7F51+\u5FEB\u6D88\u54C1\u6D41\u901A\u6A21\u5F0F\uFF0C\u6784\u5EFA\u667A\u80FD\u793E\u533A\u7EFC\u5408\u670D\u52A1\u5E73\u53F0\u3002\n      </p>\n      <p>\n        \u76EE\u524D\u4FBF\u5229\u5B9D\u5E73\u53F0\u5728\u552E\u7684SKU\uFF08\u5546\u54C1\uFF09\u5305\u62EC\u996E\u6599\u3001\u98DF\u54C1\u3001\u65E5\u5316\u3001\u7CAE\u6CB9\u3001\u6742\u8D27\u7B49\u54C1\u7C7B\u3002\u5546\u54C1\u7ECF\u8425\u54C1\u9879\u8D85\u4E24\u4E07\u79CD\uFF0C\u4E0A\u6E38\u5BF9\u63A5\u4F9B\u5E94\u5546600\u591A\u5BB6\uFF0C\n        \u4E0B\u6E38\u4FBF\u5229\u5E97\u7528\u6237\u8D44\u6E905400\u591A\u5BB6\u30022015\u5E74\u4FBF\u5229\u5B9D\u6A21\u5F0F\u76F8\u7EE7\u5728\u798F\u5DDE\u3001\u5B81\u5FB7\u3001\u53A6\u95E8\u5730\u533A\u63A8\u5E7F\u8FD0\u7528\uFF0C2016\u5E74\u4FBF\u5229\u5B9D\u6A21\u5F0F\u5C06\u5728\u5168\u56FD\u8303\u56F4\u5185\u5F00\u542F\u62DB\u5546\u52A0\u76DF\uFF0C\n        \u5EFA\u8BBE\u4EE5\u6D77\u5CE1\u897F\u5CB8\u4E3A\u4E2D\u5FC3\uFF0C\u5E03\u5C40\u5168\u56FD\u7684\u4E91\u4ED3\u96C6\u914D\u7F51\u7EDC\uFF0C\u4E0D\u65AD\u63D0\u5347\u5E73\u53F0\u529F\u80FD\u548C\u670D\u52A1\uFF0C\u529B\u6C42\u6253\u9020\u6D77\u5CE1\u897F\u5CB8\u5730\u533A\u6700\u5177\u5F71\u54CD\u529B\u7684\u667A\u6167\u793E\u533A\u7EFC\u5408\u670D\u52A1\u5E73\u53F0\u3002\n      </p>\n\n    </div>\n    <div style="padding: 16px 16px;">\n      <div class="row">\n        <div  style="width: 80px">\n          \u516C\u53F8\u5730\u5740\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          \u798F\u5DDE\u5E02\u9AD8\u65B0\u6280\u672F\u5F00\u53D1\u533A\u6D77\u897F\u56ED\u4E2D\u9752\u79D1\u7814\u5927\u53A6\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u5730&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\u5740\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          (\u798F\u5DDE\u914D\u9001\u70B9\uFF09\u798F\u5DDE\u5E02\u6D77\u5CE1\u6279\u53D1\u5E02\u573AA\u533A2\u680B3\u5C42\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u4F01\u4E1AQ Q&nbsp;&nbsp;\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          4006181800\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u5B98\u65B9\u7F51\u5740\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          www.wqblb.com\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u5BA2\u670D\u70ED\u7EBF\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          4006181800\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u4E1A\u52A1\u7535\u8BDD\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          0591-22212107\n        </div>\n      </div>\n      <div class="row about-jieshao">\n        <div  style="width: 80px">\n          \u6295\u8BC9\u7535\u8BDD\uFF1A\n        </div>\n        <div class="col noMarginPadding">\n          0591-22212507\n        </div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/accountMoney.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar ">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u6211\u7684\u8D26\u6237</h1>\n  </ion-header-bar>\n  <div class="bar-subheader">\n  <div style="margin: 0 0 16px 0 ;padding: 0;height: 68px">\n    <div class="row" style="margin: 0 ;padding-top: 0;height: 48px">\n      <div  class="col col-60" style="margin: 14px 0 17px 8px ;padding: 0;text-align:left">\n        <span class="nowNumtitle">\u8D26\u6237\u4F59\u989D  </span><br>\n        <span class="account-money">  {{vm.totalFund}}</span>\n      </div>\n      <div class="col col-30"  style="margin: 14px 11px 17px 16px ;padding: 0;text-align:right" ng-click="goRecharge()"  ng-if="false">\n          <span style="font-family: PingFang-SC-Regular;font-size: 16px;color: #ff6600" >\u8D26\u6237\u5145\u503C</span>\n      </div>\n    </div>\n    <div class="row" style="padding: 8px 30px;height: 48px" ng-if="false">\n      <div class="col col-33 account-ButtonDown" ng-click="setFilter(1)"  ng-style="vm.button1Style"\n         style="border: solid 1px #ff6600;text-align: center">\n        <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u6700\u8FD1\u4E09\u4E2A\u6708</span>\n      </div>\n      <div class="col col-33 account-ButtonUp" ng-click="setFilter(2)"  ng-style="vm.button2Style"\n         style="border: solid 1px #ff6600;border-left: transparent;text-align: center">\n        <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u6700\u8FD1\u534A\u5E74</span>\n      </div>\n      <div class="col col-33 account-ButtonUp" ng-click="setFilter(3)"  ng-style="vm.button3Style"\n         style="border: solid 1px #ff6600;border-left: transparent;text-align: center">\n        <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u5168\u90E8</span>\n      </div>\n    </div>\n  </div>\n  <div style="background-color: #e5e5e5;height: 23px">\n    <span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;margin-left: 12px;line-height: 23px">\u6700\u8FD13\u4E2A\u6708\u8D44\u91D1\u6D41\u6C34</span>\n  </div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false" class="has-subheader"  style="margin-top: 62px;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records === 0">\u6682\u672A\u627E\u5230\u76F8\u5173\u8D44\u91D1\u6D41\u6C34\u54E6\uFF01</div>\n    <ion-list >\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px">\n          <li class="icon icon-money {{(detail.trsFund<=0?\'contenticon-\':\'contenticon\')}}" ></li>\n          <span class="contenttitle">{{detail.bussiSubjectDescr}}</span>\n          <!--<span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;float: right">{{(detail.date| limitTo : 11 : 0)}}</span>-->\n          <span class="{{detail.trsFund<=0?\'contentvalue-\':\'contentvalue\'}}">{{detail.trsFund>0?\'+\'+detail.trsFund :detail.trsFund}}</span>\n          <p class="contentdetail">\n            \u4F59\u989D:{{detail.fund}} <span class="contentdetailright">{{detail.date}}</span>\n          </p>\n        </ion-item>\n      </div>\n    </ion-list>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/accountRecharge.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u8D26\u6237\u5FAE\u4FE1\u5145\u503C</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" >\n    <div class="item item-icon-left" style="padding-left: 48px;padding-top: 14px;height: 48px;border-bottom: hidden">\n      <li class="icon icon-money" style=" ;color: #5AA008 ;left: 8px;;text-align: center" ></li>\n      <span class="pingfang-sc-regular" style="font-size: 14px;color: #666666; ">\u8D26\u6237\u4F59\u989D</span>\n      <span class="pingfang-sc-regular" style="font-size: 16px;color: #EB4F38">\xA5{{vm.totalFund}}</span>\n      <div ng-click="gettotalFund()" class="ion-loop {{startSpinner?\'myspinner\':\'\'}}" style="line-height: normal;min-height: auto;color: #999999;font-size: 24px;margin: -4px 0px 0px 10px;display: inline-block;"></div>\n    </div>\n    <div  style="height: 29px;padding-left: 12px">\n      <span class="pingfang-sc-regular" style="font-size: 13px;color: #666666;line-height: 29px">\u9009\u62E9\u5145\u503C\u91D1\u989D</span>\n    </div>\n    <div style="padding: 4px 20px 0 20px" >\n      <div class="row pingfang-sc-regular" style="margin: 8px 0 10px 0;padding: 0;text-align: center">\n        <div class="col col-30" style="margin: 0 6px 0 0 ;padding: 0; ">\n          <button class="{{vm.money1==300?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(300)">\xA5300</button>\n        </div>\n        <div class="col col-30" style="margin: 0 3px 0 3px;padding: 0; ">\n          <button class="{{vm.money1==500?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(500)" >\xA5500</button>\n        </div>\n        <div class="col col-30" style="margin: 0 0 0 6px;padding: 0; ">\n          <button class="{{vm.money1==800?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(800)" >\xA5800</button>\n        </div>\n      </div>\n      <div class="row" style="margin: 0 0 10px 0;padding: 0;text-align: center">\n        <div class="col col-30" style="margin: 0 6px 0 0 ;padding: 0; ">\n          <button class="{{vm.money1==1000?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(1000)" >\xA51000</button>\n        </div>\n        <div class="col col-30" style="margin: 0 3px 0 3px;padding: 0; ">\n          <button class="{{vm.money1==2000?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(2000)" >\xA52000</button>\n        </div>\n        <div class="col col-30" style="margin: 0 0 0 6px;padding: 0; ">\n          <button class="{{vm.money1==3000?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(3000)" >\xA53000</button>\n        </div>\n      </div>\n      <div class="row" style="margin: 0;padding: 0;height: 48px;text-align: center">\n        <input type="number" min="0"  style="border: solid 1px #E5E5E5;width: 100%;height: 100%;text-align: center;" ng-focus="keyPress()"\n               placeholder="\u8BF7\u8F93\u5165\u81EA\u5B9A\u4E49\u91D1\u989D" ng-model="vm.money2">\n      </div>\n    </div>\n    <div style="margin: 20px 16px 0 16px;padding: 0;text-align: center;">\n      <button class="{{!(vm.money1||vm.money2) ?\'chongzhi\':\'accountRecharge-ButtonDown\'}} accountRecharge-button"  ng-click="recharge()"><span>\u5145\u503C</span></button>\n    </div>\n\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/accountUpdate.html','<ion-view  hide-tabs="true">\n  <ion-content class="no-header">\n    <div class="bar bar-header">\n      <a href="#/tab/my" class="button icon-back02" style="color: white"></a>\n      <h1 class="title" style="color: white">\u8D26\u6237\u7BA1\u7406</h1>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/awardRules.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5956\u52B1\u89C4\u5219</h1>\n  </ion-header-bar>\n  <ion-content id="awardRulesContent" overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;" style="color: #333333;">\n    <div style="padding: 16px 16px;">\n      <h3 class="ruleTitle" style="text-indent:0;border-left:3px solid #ff8b03;padding-left: 15px">\u6D3B\u52A8\u7B80\u4ECB</h3>\n      <p class="rule-p1">\u5373\u65E5\u8D77\uFF0C\u5206\u4EAB\u4FBF\u5229\u5B9D\u53EB\u8D27\u9886\u5238\u94FE\u63A5\u7ED9\u60A8\u7684\u670B\u53CB\uFF0C\u6BCF\u4E2A\u65B0\u7528\u6237\u6CE8\u518C\u4FBF\u5229\u5B9D\u53EB\u8D27\u540E\u7ACB\u900110\u5143\u4EE3\u91D1\u5238\uFF0C\u540C\u65F6\u60A8\u53EF\u4EE5\u83B7\u5F97\u4E00\u5F202\u5143\u4EE3\u91D1\u5238</p>\n      <h3 class="ruleTitle" style="text-indent:0;border-left:3px solid #ff8b03;padding-left: 15px">\u6D3B\u52A8\u8BF4\u660E</h3>\n      <p class="rule-p1">1.\u82E5\u60A8\u7684\u670B\u53CB\u8FD8\u672A\u6CE8\u518C\u8FC7\u4FBF\u5229\u5B9D\u53EB\u8D27\u7528\u6237\uFF0C\u5219\u901A\u8FC7\u60A8\u7684\u5206\u4EAB\u7684\u94FE\u63A5\u6CE8\u518C\u540E\u5373\u53EF\u5F97\u523010\u5143\u4EE3\u91D1\u5238\uFF1B\n      </p>\n      <p class="rule-p1">\n        2.\u6BCF\u4E2A\u60A8\u7684\u670B\u53CB\u901A\u8FC7\u60A8\u7684\u5206\u4EAB\u6CE8\u518C\u540E\uFF0C\u60A8\u90FD\u80FD\u83B7\u5F97\u4E00\u5F202\u5143\u4EE3\u91D1\u5238\uFF0C\u591A\u6CE8\u518C\u591A\u9001\uFF0C\u4E0A\u4E0D\u5C01\u9876\uFF1B\n      </p>\n\n      <p class="rule-p1">\n        3.\u60A8\u82E5\u83B7\u5F97\u4EE3\u91D1\u5238\uFF0C\u53EF\u5728\u4FBF\u5229\u5B9D\u53EB\u8D27>\u6211\u7684\u4F18\u60E0\u5238\u9875\u9762\u67E5\u770B\uFF1B\n      </p>\n      <p class="rule-p1">\n        4.\u62E5\u6709\u76F8\u540C\u624B\u673A\u53F7\u3001\u5FAE\u4FE1\u53F7\u7684\u7528\u6237\u89C6\u4E3A\u540C\u4E00\u7528\u6237\uFF08\u9002\u7528\u4E8E\u60A8\u53CA\u60A8\u7684\u670B\u53CB\uFF09;\n      </p>\n      <p class="rule-p1">\n        5.\u4E00\u7ECF\u53D1\u73B0\u4EFB\u4F55\u8FDD\u89C4\u5957\u53D6\u8FD4\u5229\u7684\u884C\u4E3A\uFF0C\u5C06\u4E0D\u4E88\u8FD4\u5229\uFF0C\u8FFD\u56DE\u76F8\u5173\u4F59\u989D\u6216\u8005\u5C01\u505C\u8D26\u53F7\uFF0C\u4E14\u4F9D\u6CD5\u8FFD\u7A76\u5176\u6CD5\u5F8B\u8D23\u4EFB\u3002\n      </p>\n\n      <p class="rule-p2"><br>\u798F\u5EFA\u4FBF\u5229\u5B9D\u7535\u5B50\u5546\u52A1\u6709\u9650\u516C\u53F8</p>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/browse.html','<ion-view  hide-tabs="true">\n  <ion-content class="no-header">\n    <div class="bar bar-header">\n      <a href="#/tab/my" class="button icon-back02" style="color: white"></a>\n      <h1 class="title" style="color: white">\u6D4F\u89C8\u8BB0\u5F55</h1>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/changeOrders.html','<ion-view hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">{{editFlag?\'\u4FEE\u6539\u8BA2\u5355\':\'\u8BA2\u5355\u8BE6\u60C5\'}}</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" style="overflow:auto;background-color: #e5e5e5">\n    <div class="list">\n      <div class="item sr-item"  ng-repeat="item in salesInvoiceModel.salesInvoiceDetailList">\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item new-tab-item" style="position: relative;">\n              <img class="icon bigtabicon" ng-src="{{item.item.imgUrl}}">\n              <div class="realtime-stock-count">\n                <span ng-if="item.item.realtimeStockCount<item.item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.item.realtimeStockCount>=item.item.itemSize)&&(item.item.realtimeStockCount<$root.stockWarn*item.item.itemSize)">\u4EC5\u5269{{item.item.realtimeStockCount+item.item.uomDescr}}</span>\n              </div>\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p class="sr-descr" >{{item.item.descr}}</p>\n              <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splCodeDescr}}</p>\n              <p><span class="sr-login">\xA5{{item.bcost|number:2}}/{{item.item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                 <span class="ordersum1">\xA5{{item.qty*(item.bcost-item.cashBack) | number:2}}</span>\n                 <span class="ordersum2">\u5C0F\u8BA1</span>\n              </p>\n              <p>\n                <!--\u6210\u4EA4{{item.item.dealCount}}{{item.item.uomDescr}}&nbsp&nbsp-->\n                <span class="canret"> {{item.item.canRet == "0"?"\u4E0D\u53EF\u9000":"\u53EF\u9000"}}</span>\n                <span class="sr-cuxiao">{{item.item.isProm == "1" || item.item.libType == "2"?"\u4FC3\u9500":""}}</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty"  type="number" disabled="disabled">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col" >\n                <div class="sr-add"  ng-click="deleteItem($index)">\u5220\u9664</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row" style="padding:0;margin:0; color: #ffffff;">\n      <div class="col  left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u8D2D\u4E70<span style="font-size: 18px;color: #F05050;">{{salesInvoiceModel.salesInvoiceDetailList.length}}</span>\u6B3E\u5546\u54C1<span style="font-size: 18px;color: #F05050;">\xA5{{sumCost| number:2}}</span></p>\n      </div>\n      <div class="col col-33 right" style="background:#000000;padding:5px 0" ng-if="editFlag && minOrderAmount>sumCost">\n        <p class="text-center" style="margin:5px 0;">\u8FD8\u5DEE<span style="color: red;">\xA5{{minOrderAmount-sumCost| number:2}}</span>\u8D77\u9001</p>\n      </div>\n      <div class="col col-33 right" style="background:#F15353" ng-if="editFlag && minOrderAmount<=sumCost">\n        <p class="text-center" style="margin:5px;" ng-click="commit()"><span style="font-size: 18px">\u53BB\u7ED3\u7B97</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n');
$templateCache.put('store/my/custcon.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1  class="title">\u95EE\u9898\u53CD\u9988</h1>\n    <a class="button ion-android-warning" ng-click="goCustconComplaint()" ng-if="!isFromLoginSalesMan">\u6295\u8BC9</a>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" scrollbar-y="false">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="!vm.hasdata">\u6682\u672A\u627E\u5230\u76F8\u5173\u53CD\u9988\u54E6\uFF01</div>\n    <div class="list">\n      <div class="item blb-list-item" ng-repeat="detail in vm.data">\n        <div class="row noMarginPadding">\n          <div class="col" style="position: relative;">\n            <span style="display: block;text-overflow: ellipsis;overflow: hidden;font-size: 14px;" class="blb-list-item-title">{{detail.typeDescr}} - {{detail.questionTypeDescr}}</span>\n          </div>\n          <div style="position: absolute;right: 20px;width: 60px;height: 50px;top:0px;background-image:url({{detail.status==\'0\'?\'img/statusRed.png\':(detail.status==\'3\'?\'img/statusBlue.png\':\'img/statusGray.png\')}});background-size: 100% 100%;z-index: 99;">\n            <div style="height: 30px;line-height:14px;font-size: 10px;color:{{detail.status==\'0\'?\'red\':(detail.status==\'3\'?\'#38adff\':\'gray\')}};margin: 10px 0px 0px 10px;transform:rotate(-25deg);white-space: normal;"><div class="text-center">{{detail.statusDescr}}</div></div>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col">\n            <div style="font-size: 14px;color: #333333;float: left;width: 80px;">\u53CD\u9988\u5185\u5BB9\uFF1A</div><div style="font-size: 12px;color: #666666;white-space: normal;margin-left: 80px;">{{detail.remark}}</div>\n          </div>\n        </div>\n        <div class="row noMarginPadding" ng-if="detail.status!=\'0\'">\n          <div class="col">\n            <div style="font-size: 14px;color: #333333;float: left;width: 80px;">\u89E3\u51B3\u65B9\u6848\uFF1A</div><div style="font-size: 12px;color: #666666;white-space: normal;margin-left: 80px;">{{detail.endRemark}}</div>\n          </div>\n        </div>\n        <div class="row noMarginPadding">\n          <div class="col col-40">\n            <span style="font-size: 12px;color: #333333;">\u53D7\u7406\u4EBA\uFF1A{{detail.conNameDescr || \'\u4FBF\u5229\u5B9D\'}}</span>\n          </div>\n          <div class="col col-60">\n            <span style="font-size: 12px;color: #333333;">\u53D7\u7406\u65F6\u95F4\uFF1A{{detail.conDate}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding" ng-if="detail.status!=\'0\'">\n          <div class="col col-40">\n            <span style="font-size: 12px;color: #333333;">\u5904\u7406\u4EBA\uFF1A{{detail.endNameDescr || \'\u4FBF\u5229\u5B9D\'}}</span>\n          </div>\n          <div class="col col-60">\n            <span style="font-size: 12px;color: #333333;">\u5904\u7406\u65F6\u95F4\uFF1A{{detail.endDate}}</span>\n          </div>\n        </div>\n        <div class="row noMarginPadding" ng-if="(detail.status==\'1\'||detail.status==\'2\') && !detail.serviceScore && !isFromLoginSalesMan">\n          <div class="col">\n            <div class="myorderbutton1" style="height: 22px;line-height: 22px;" ng-click="goCustconEvaluate(detail.pk)">\u53BB\u8BC4\u4EF7</div>\n          </div>\n        </div>\n        <div class="row noMarginPadding" ng-if="detail.serviceScore">\n          <div class="col">\n            <p style="height: 24px" >\n              <span style="font-weight: bold;">\u670D\u52A1\u8BC4\u5206</span>\n              <span class="icon  {{detail.serviceScore >= \'1\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important"></span>\n              <span class="icon  {{detail.serviceScore >= \'2\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important"></span>\n              <span class="icon  {{detail.serviceScore >= \'3\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important"></span>\n              <span class="icon  {{detail.serviceScore >= \'4\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important"></span>\n              <span class="icon  {{detail.serviceScore >= \'5\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important"></span>\n            </p>\n            <p style="font-size:12px;white-space: normal;">\n              {{detail.evaluateRemarks}}\n            </p>\n          </div>\n        </div>\n        <hr class="blb-list-item-hr">\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="vm.loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/custconComplaint.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u4FBF\u5229\u5B9D\u6295\u8BC9\u5E73\u53F0</h1>\n  </ion-header-bar>\n  <ion-content>\n    <div class="row">\n      <h4>\u6295\u8BC9\u610F\u89C1/\u5EFA\u8BAE\uFF1A</h4>\n    </div>\n    <div style="width: 100%;padding: 0 8px">\n      <textarea style="width: 100%;background-color: #EFF3F6;resize:none;padding: 10px" rows=5 ng-model="complaintParam.complaintRemarks" placeholder="\u5199\u4E0B\u60A8\u7684\u6295\u8BC9\u3001\u610F\u89C1\u6216\u5EFA\u8BAE\uFF0C\u4EE5\u4FBF\u6211\u4EEC\u66F4\u597D\u7684\u4E3A\u60A8\u670D\u52A1"></textarea>\n    </div>\n    <div style="padding: 0 8px">\n      <button class="button button-block button-balanced " style="background-color: #ff6600" ng-click="addComplaint()"> \u53D1\u8868\u6295\u8BC9\u610F\u89C1/\u5EFA\u8BAE </button>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/custconEvaluate.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u95EE\u9898\u53CD\u9988\u670D\u52A1\u6EE1\u610F\u5EA6\u8BC4\u4EF7</h1>\n  </ion-header-bar>\n  <ion-content>\n    <div class="row">\n      <h4>\u670D\u52A1\u8BC4\u5206\uFF1A</h4>\n    </div>\n    <div style="padding-top:2px">\n      <ionic-ratings ratingsobj=\'serviceRatingsObject\'></ionic-ratings>\n    </div>\n    <div class="row" ng-if="evaluateParam.serviceScoreDescr"><h6>{{evaluateParam.serviceScoreDescr}}</h6></div>\n    <div style="width: 100%;padding: 0 8px">\n      <textarea style="width: 100%;background-color: #EFF3F6;resize:none;padding: 10px" rows=5 ng-model="evaluateParam.evaluateRemarks" placeholder="\u5199\u4E0B\u4F60\u7684\u8BC4\u4EF7\uFF0C\u5BF9\u4ED6\u4EBA\u5E2E\u52A9\u5F88\u5927\u54E6"></textarea>\n    </div>\n    <div style="padding: 0 8px">\n      <button class="button button-block button-balanced " style="background-color: #ff6600" ng-click="addEvaluate()"> \u53D1\u8868\u8BC4\u4EF7 </button>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/favorites.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1  class="title" style="color: white">\u5E38\u7528\u6536\u85CF</h1>\n    <!--<button  class="button button-clear button-positive" ng-click="deleteAll()" style="color: white">\u6E05\u7A7A</button>-->\n  </ion-header-bar>\n  <div class="myordertab bar-subheader" >\n    <div class="col  {{tab==\'item\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'item\')">\u5546\u54C1</div>\n    <div class="col  {{tab==\'supplier\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'supplier\')">\u4F9B\u5E94\u5546</div>\n  </div>\n  <!-- \u5546\u54C1 -->\n  <div ng-if="tab==\'item\'">\n    <div class="salesmanTabs2">\n      <div class="tabs-striped tabs-top">\n        <ion-tabs class="tabs-top" delegate-handle="itemTabsSort">\n          <ion-tab title="\u6536\u85CF\u5546\u54C1" on-select="selectSubTab(\'favoriteItem\')"></ion-tab>\n          <ion-tab title="\u5E38\u8D2D\u5546\u54C1" on-select="selectSubTab(\'historyBuyItem\')"></ion-tab>\n        </ion-tabs>\n      </div>\n    </div>\n    <ion-content lazy-scroll  overflow-scroll="true" style="bottom: 49px;margin-top: 30px;" class="has-subheader" delegate-handle="itemDelegateHandle">\n      <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n      <div style="height: 42px;background-color: #EEEEEE;padding-left: 16px;text-align: center;" ng-if="vm.records>0">\n        <span style="font-size: 16px;color: #999999;line-height: 42px;" ng-if="subTab == \'favoriteItem\'">\n          {{vm.records>0?(\'\u603B\u5171\u6536\u85CF\'+vm.records +\'\u79CD\u5546\u54C1\'):\'\u6CA1\u6709\u6536\u85CF\u5546\u54C1\'}}\n        </span>\n        <span style="font-size: 16px;color: #999999;line-height: 42px;" ng-if="subTab == \'historyBuyItem\'">\n          {{vm.records>0?(\'\u603B\u5171\u5E38\u8D2D\'+vm.records +\'\u79CD\u5546\u54C1\'):\'\u6CA1\u6709\u5E38\u8D2D\u5546\u54C1\'}}\n        </span>\n      </div>\n      <div ng-if="vm.records===0" style="width: 100%;height:100%;text-align: center;padding-top: 40%">\n        <img src="img/empty.png" style="width: 160px;height: 160px">\n        <div class="row" style="padding:0;text-align: center;">\n          <div class="col" style="padding: 0;font-size: 14px;color: #999999;" ng-if="subTab == \'favoriteItem\'">\n            <span>\u6CA1\u6709\u6536\u85CF\u5546\u54C1......</span>\n          </div>\n          <div class="col" style="padding: 0;font-size: 14px;color: #999999;" ng-if="subTab == \'historyBuyItem\'">\n            <span>\u6CA1\u6709\u5E38\u8D2D\u5546\u54C1......</span>\n          </div>\n        </div>\n      </div>\n      <div class="list"  ng-if="vm.favorites">\n        <div class="item sr-item" ng-repeat="item in  vm.favorites" >\n          <div ng-if="item.rank == \'0\'" class="floatceng">\n            <img ng-src="img/notOnSales.png" style="width: 58px;height: 58px;position: absolute;top:0;left: 0;">\n          </div>\n          <div class="row noMarginPadding" style="z-index: 89">\n            <div show-brandgrade="{{item.brandCode}}"></div>\n            <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode.trim(),item.splCode,item.delivType)">\n              <a class="tab-item griditem new-tab-item" style="position: relative;">\n                <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n                <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n                <div class="realtime-stock-count">\n                  <span ng-if="item.rank != \'0\'&&item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                  <span ng-if="item.rank != \'0\'&&(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                </div>\n                <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n              </a>\n            </div>\n            <div class="col col-67">\n              <i ng-class="{false: \'icon icon-xingxingnormal\', true: \'icon icon-xingxingselecetd favoritecolor\'}[item.isClicked == undefined]" class="icon icon-xingxingselecetd" ng-click="deleteOne(item)" style="right: 21px;top: 17px;z-index: 99;position: absolute;width: 36px;height: 36px;text-align: center" ng-if="subTab==\'favoriteItem\'"></i>\n              <div ng-click="goGoodsDetailPage(item.itcode.trim(),item.splCode,item.delivType)">\n                <p style="font-size: 14px">{{item.descr}}</p>\n                <div class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n                <p class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n                <p>\n                  <span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span>\n                </p>\n                <p>\n                  <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                  <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                  <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                  <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n                </p>\n              </div>\n\n              <div class="row sr-row">\n                <div class="col col-60 noMarginPadding" >\n                  <div class="row noMarginPadding">\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                    <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                      <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                    </div>\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                  </div>\n                </div>\n                <div class="col col-40 sr-col">\n                  <div class="{{item.rank == \'0\'?\'sr-add1\':\'sr-add\'}}" ng-click="addShoppingCart(item)" ng-if="item.rank != \'0\'&&item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                  <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.rank !=\'0\'&&item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="vm.getNextPage()" spinner="ios"></ion-infinite-scroll>\n    </ion-content>\n    <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" ng-if="vm.records!=\'0\'">\n      <div class="row order1" >\n        <div class="col col-67 left order2" >\n          <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u79CD\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n        </div>\n        <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n          <p class="text-center order6"  ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n          <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n          <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n        </div>\n      </div>\n    </ion-footer-bar>\n  </div>\n  <!-- \u4F9B\u5E94\u5546 -->\n  <div ng-if="tab==\'supplier\'">\n    <div class="salesmanTabs2">\n      <div class="tabs-striped tabs-top">\n        <ion-tabs class="tabs-top" delegate-handle="supplierTabsSort">\n          <ion-tab title="\u6536\u85CF\u4F9B\u5E94\u5546" on-select="selectSubTab(\'favoriteSpl\')"></ion-tab>\n          <ion-tab title="\u5E38\u8D2D\u4F9B\u5E94\u5546" on-select="selectSubTab(\'historyBuySpl\')"></ion-tab>\n        </ion-tabs>\n      </div>\n    </div>\n    <ion-content lazy-scroll  overflow-scroll="true" style="bottom: 49px;margin-top: 30px;" class="has-subheader" delegate-handle="splDelegateHandle">\n      <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="splVm.doRefresh()" spinner="ios"></ion-refresher>\n      <div style="height: 42px;background-color: #EEEEEE;padding-left: 16px;text-align: center;" ng-if="splVm.records>0">\n        <span style="font-size: 16px;color: #999999;line-height: 42px;" ng-if="subTab == \'favoriteSpl\'">\n          {{splVm.records>0?(\'\u603B\u5171\u6536\u85CF\'+splVm.records +\'\u4E2A\u4F9B\u5E94\u5546\'):\'\u6CA1\u6709\u6536\u85CF\u4F9B\u5E94\u5546\'}}\n        </span>\n        <span style="font-size: 16px;color: #999999;line-height: 42px;" ng-if="subTab == \'historyBuySpl\'">\n          {{splVm.records>0?(\'\u603B\u5171\u5E38\u8D2D\'+splVm.records +\'\u4E2A\u4F9B\u5E94\u5546\'):\'\u6CA1\u6709\u5E38\u8D2D\u4F9B\u5E94\u5546\'}}\n        </span>\n      </div>\n      <div ng-if="splVm.records===0" style="width: 100%;height:100%;text-align: center;padding-top: 40%">\n        <img src="img/empty.png" style="width: 160px;height: 160px">\n        <div class="row" style="padding:0;text-align: center;">\n          <div class="col" style="padding: 0;font-size: 14px;color: #999999;" ng-if="subTab == \'favoriteSpl\'">\n            <span>\u6CA1\u6709\u6536\u85CF\u4F9B\u5E94\u5546......</span>\n          </div>\n          <div class="col" style="padding: 0;font-size: 14px;color: #999999;" ng-if="subTab == \'historyBuySpl\'">\n            <span>\u6CA1\u6709\u5E38\u8D2D\u4F9B\u5E94\u5546......</span>\n          </div>\n        </div>\n      </div>\n      <div class="list"  ng-if="splVm.favorites">\n        <div class="item sr-item" ng-repeat="item in  splVm.favorites" ng-click="goSupplierDetail(item.splCode)">\n          <div class="row noMarginPadding">\n            <!--\n            <div class="col">\n              <i ng-class="{false: \'icon icon-xingxingnormal\', true: \'icon icon-xingxingselecetd favoritecolor\'}[item.isClicked == undefined]" class="icon icon-xingxingselecetd" ng-click="cancelFavoritesSplById(item)" style="right: 21px;top: 12px;z-index: 99;position: absolute;width: 36px;height: 36px;text-align: center"></i>\n              <p style="font-weight:bold;font-size: 16px;">{{item.splName}}</p>\n              <p style="color:#bfbebe;">{{item.address}}</p>\n            </div>\n            -->\n            <div class="col col-33">\n                <a class="tab-item griditem" ng-if="item.logoFile">\n                  <img class="icon bigtabicon" image-lazy-src="{{item.logoFile}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n                </a>\n            </div>\n            <div class="col col-67 spl-info" style="padding-top: 25px;">\n              <i ng-class="{false: \'icon icon-xingxingnormal\', true: \'icon icon-xingxingselecetd favoritecolor\'}[item.isClicked == undefined]" class="icon icon-xingxingselecetd" ng-click="cancelFavoritesSplById(item)" style="right: 21px;top: 12px;z-index: 99;position: absolute;width: 36px;height: 36px;text-align: center" ng-if="subTab==\'favoriteSpl\'"></i>\n              <div class="spl-name">{{item.splAbbDescr?item.splAbbDescr:item.descr}}</div>\n              <div class="spl-card">\u8425\u4E1A\u6267\u7167\uFF1A{{item.businessNo}}</div>\n              <div>\n                <i class="icon ion-person"></i>\n                <span>{{item.contact}}</span>\n                <a href="{{item.mobile1 ==\'\' ? \'#\': \'tel:\'+item.mobile1}}" ng-click="stopProp()">\n                  <i class="icon ion-ios-telephone"></i>\n                  <span>{{item.mobile1 ==\'\' ? \'\u6682\u65E0\u7535\u8BDD\' :item.mobile1}}</span>\n                </a>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <ion-infinite-scroll ng-if="!splVm.moredata" distance="10%" on-infinite="splVm.getNextPage()" spinner="ios"></ion-infinite-scroll>\n    </ion-content>\n  </div>\n</ion-view>\n');
$templateCache.put('store/my/growthRule.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u6210\u957F\u503C\u89C4\u5219</h1>\n  </ion-header-bar>\n  <ion-content id="growthRuleContent" overflow-scroll="false">\n\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/growthValue.html','<ion-view  hide-tabs="true" cache-view="false">\n  <ion-header-bar  class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white" >\u6211\u7684\u4F1A\u5458\u7B49\u7EA7</h1>\n  </ion-header-bar>\n  <div class="bar-subheader">\n    <div class="list headshadow" style="height: 200px;">\n      <div class="row" style="margin: 0 ;padding: 0;height: 90px;line-height: 32px">\n        <div class="col col-50" style="margin: 0 ;padding: 0 0 0 16px" >\n          <span class="nowNumtitle">  \u5F53\u524D\u4F1A\u5458\u7B49\u7EA7</span>\n          <div>\n            <span class="account-money" style="font-size: 20px !important;">{{vm.data.gradeName}}</span>\n            <span class="nowNumtitle">{{vm.data.gradeOrdNum}}/{{vm.data.gradeOrdAmount}}</span>\n          </div>\n\n        </div>\n        <div  class="col col-50" style="margin: 0 ;padding: 0 16px 0 0 ;text-align:right">\n          <a style="color: red" ng-click="goGrowthRule()">\n            <img ng-src="img/integral/iconfont-wenhao.png" style="width: 12px;margin-bottom: -2px">\n            <span class="jifenguize">\u4F1A\u5458\u7B49\u7EA7\u89C4\u5219</span>\n          </a>\n        </div>\n      </div>\n      <div class="row" style="margin: 0 38px;padding: 0 ;height: 28px" id="growthValueRow">\n        <div class="yuanquan" style="width: {{vmStyle.circle}}px">\n          <span style="line-height:28px;color: #FFFFFF;font-size: 9px">{{vm.data.gradeRule[0].ordNum}}/{{vm.data.gradeRule[0].ordAmount}}</span>\n          <span class="huiyuanspan" style="color: #FD9700">{{vm.data.gradeRule[0].gradeName}}</span>\n        </div>\n        <div class="cent" style="width: {{vmStyle.bar}}px">\n          <div class="Bar" style="background:#F0F3F5">\n            <div style="width: {{vm.data.grade >= vm.data.gradeRule[1].grade ?\'100\':vm.data.percent*100}}%">\n            </div>\n          </div>\n        </div>\n        <div class="yuanquan" style="width: {{vmStyle.circle}}px;background-color: {{vm.data.grade >= vm.data.gradeRule[1].grade ?\'#ff6600\':\'#F0F3F5\'}}">\n          <span class="yuanquanspan1" style="color:{{vm.data.grade >= vm.data.gradeRule[1].grade ?\'#FFFFFF\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[1].ordNum}}/{{vm.data.gradeRule[1].ordAmount}}</span>\n          <span class="huiyuanspan" style="color:{{vm.data.grade >= vm.data.gradeRule[1].grade ?\'#FD9700\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[1].gradeName}}</span>\n        </div>\n        <div class="cent" style="width: {{vmStyle.bar}}px" >\n          <div class="Bar" style="background:#F0F3F5">\n            <div style="width: {{vm.data.grade >= vm.data.gradeRule[2].grade ?\'100\':(vm.data.grade >= vm.data.gradeRule[1].grade ? vm.data.percent*100:0)}}%">\n            </div>\n          </div>\n        </div>\n        <div class="yuanquan" style="width: {{vmStyle.circle}}px;background-color: {{vm.data.grade >= vm.data.gradeRule[2].grade ?\'#ff6600\':\'#F0F3F5\'}}">\n          <span class="yuanquanspan1" style="color:{{vm.data.grade >= vm.data.gradeRule[2].grade ?\'#FFFFFF\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[2].ordNum}}/{{vm.data.gradeRule[2].ordAmount}}</span>\n          <span class="huiyuanspan" style="color:{{vm.data.grade >= vm.data.gradeRule[2].grade ?\'#FD9700\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[2].gradeName}}</span>\n        </div>\n        <div class="cent" style="width: {{vmStyle.bar}}px" >\n          <div class="Bar" style="background:#F0F3F5">\n            <div style="width: {{vm.data.grade >= vm.data.gradeRule[3].grade ?\'100\':(vm.data.grade >= vm.data.gradeRule[2].grade ? vm.data.percent*100:0)}}%">\n            </div>\n          </div>\n        </div>\n        <div class="yuanquan" style="width: {{vmStyle.circle}}px;background-color: {{vm.data.grade >= vm.data.gradeRule[3].grade ?\'#ff6600\':\'#F0F3F5\'}}">\n          <span class="yuanquanspan2" style="color:{{vm.data.grade >= vm.data.gradeRule[3].grade ?\'#FFFFFF\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[3].ordNum}}/{{vm.data.gradeRule[3].ordAmount}}</span>\n          <span class="huiyuanspan" style="color:{{vm.data.grade >= vm.data.gradeRule[3].grade ?\'#FD9700\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[3].gradeName}}</span>\n        </div>\n        <div class="cent" style="width: {{vmStyle.bar}}px">\n          <div class="Bar" style="background:#F0F3F5">\n            <div style="width: {{vm.data.grade >= vm.data.gradeRule[4].grade ?\'100\':(vm.data.grade >= vm.data.gradeRule[3].grade ? vm.data.percent*100:0)}}%">\n            </div>\n          </div>\n        </div>\n        <div class="yuanquan" style="width: {{vmStyle.circle}}px;background-color: {{vm.data.grade >= vm.data.gradeRule[4].grade ?\'#ff6600\':\'#F0F3F5\'}}">\n          <span class="yuanquanspan2" style="color:{{vm.data.grade >= vm.data.gradeRule[4].grade ?\'#FFFFFF\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[4].ordNum}}/{{vm.data.gradeRule[4].ordAmount}}</span>\n          <span class="huiyuanspan" style="color:{{vm.data.grade >= vm.data.gradeRule[4].grade ?\'#FD9700\':\'#AAB8B8\'}} ">{{vm.data.gradeRule[4].gradeName}}</span>\n        </div>\n      </div>\n    </div>\n  </div>\n  <!--<ion-content overflow-scroll="false" scrollbar-y="false" class="has-subheader" style="margin-top: 90px;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <ion-list>\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px">\n          <li class="icon icon-wodechengzhangzhi {{(detail.tranGrowthValue<=0?\'contenticon-\':\'contenticon\')}}" ></li>\n          <span class="contenttitle">{{detail.operateName}}</span>\n          <span class="{{detail.tranGrowthValue<=0?\'contentvalue-\':\'contentvalue\'}}">\n            {{detail.tranGrowthValue>0?\'+\'+detail.tranGrowthValue :detail.tranGrowthValue}}\n          </span>\n          &lt;!&ndash;<span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;float: right">{{(detail.createDate| limitTo : 11 : 0)}}</span>&ndash;&gt;\n          <p class="contentdetail">\n            {{detail.operation!=1?detail.tranRemark:\'\'}}\n            <span class="contentdetailright">{{detail.tranDate}}</span>\n          </p>\n        </ion-item>\n      </div>\n    </ion-list>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>-->\n</ion-view>\n');
$templateCache.put('store/my/historyBuyItem.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1  class="title" style="color: white">\u5E38\u8D2D\u6E05\u5355</h1>\n  </ion-header-bar>\n  <ion-content lazy-scroll overflow-scroll="false" scrollbar-y="false">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records===0">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u5E38\u8D2D\u5546\u54C1\u54E6\uFF01<br/>\n      <button class="button button-positive" style="margin-top: 40%;" ng-click="goSearchResult()">\u53BB\u901B\u901B</button>\n    </div>\n    <div class="list"  ng-if="vm.data">\n      <div class="item sr-item" ng-repeat="item in vm.data">\n        <div show-brandgrade="{{item.brandCode}}"></div>\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" style="position: relative;">\n              <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <div class="realtime-stock-count">\n                <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n              </div>\n              <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p style="font-size: 14px">{{item.descr}}</p>\n              <div ng-hide="emptyToken" class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n              <p ng-hide="emptyToken" class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n              <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span>  <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p>\n                <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="getNextPage()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" >\n    <div class="row order1" >\n      <div class="col col-67 left order2" >\n        <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u79CD\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6"  ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/my/integral.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u6211\u7684\u79EF\u5206</h1>\n  </ion-header-bar>\n  <div class="bar-subheader">\n    <div class="list headshadow">\n      <div class="row" style="padding: 6px 12px 0 12px">\n        <div class="col col-50 nomarginpadding" >\n          <span class="nowNumtitle">  \u5F53\u524D\u79EF\u5206</span><br>\n          <span class="account-money">{{vm.totalCashIntegralTran}}</span>\n        </div>\n        <div  class="col col-50" style="margin: 0 ;padding: 5px 0 0 0 ;text-align:right" ng-click="goIntegralRule()">\n          <a style="color: red" ng-click="goGrowthRule()">\n            <img ng-src="img/integral/iconfont-wenhao.png" style="width: 12px;margin-bottom: -2px">\n            <span class="jifenguize">\u79EF\u5206\u89C4\u5219</span>\n          </a>\n        </div>\n      </div>\n      <div class="row noMarginPadding" ng-if="false">\n        <button style="width: 100%;margin: 8px 12px;padding: 0;border: none;background-color:#ff6600;height: 36px" ng-click="goIntegralConvert()">\n          <span style="color: white">\u79EF\u5206\u5151\u6362</span>\n        </button>\n      </div>\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false" class="has-subheader" style="margin-top: 40px;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <ion-list ng-if="vm.data">\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px">\n          <li class="icon icon-jifeng {{(detail.tranIntegral<=0?\'contenticon-\':\'contenticon\')}}" >\n          </li>\n          <span class="contenttitle">{{detail.operationName}}</span>\n          <span class="{{detail.tranIntegral<=0?\'contentvalue-\':\'contentvalue\'}}">{{detail.tranIntegral>0?\'+\'+detail.tranIntegral :detail.tranIntegral}}</span>\n          <!--<span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;float: right">{{(detail.createDate| limitTo : 11 : 0)}}</span>-->\n          <p class="contentdetail">\n            {{detail.tranRemark}}\n            <span class="contentdetailright">{{detail.tranDate}}</span>\n          </p>\n        </ion-item>\n      </div>\n      <!--<ion-item class="item-avatar" style="clear: left" ng-repeat="detail in vm.data">-->\n        <!--<img ng-src="img/integral/iconfont-jifengonggong-01.png">-->\n        <!--<h2>{{detail.operationRemark}}<label style="float: right">{{detail.createDate}}</label></h2>-->\n        <!--<p style="white-space: normal;height: 40px;overflow: hidden;text-overflow: ellipsis;">{{detail.content}}</p>-->\n      <!--</ion-item>-->\n    </ion-list>\n\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/integralConvert.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a  ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u79EF\u5206\u5151\u6362</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" >\n\n    <div class="item item-icon-left" style="padding-left: 48px;padding-top: 14px;height: 48px;border-bottom: hidden">\n      <li class="icon icon-jifeng" style=" ;color: #5AA008 ;left: 8px;;text-align: center" ></li>\n      <span class="pingfang-sc-regular" style="font-size: 14px;color: #666666; ">\u5F53\u524D\u79EF\u5206</span>\n      <span class="pingfang-sc-regular" style="font-size: 16px;color: #EB4F38">{{vm.integral}}</span>\n    </div>\n\n\n    <div  style="height: 29px;padding-left: 12px" >\n      <span class="pingfang-sc-regular" style="font-size: 13px;color: #666666;line-height: 29px">\u9009\u62E9\u5151\u6362\u91D1\u989D</span>\n    </div>\n    <div style="padding: 4px 20px 0 20px" >\n      <div class="row pingfang-sc-regular" style="margin: 8px 0 10px 0;padding: 0;text-align: center">\n        <div class="col col-30" style="margin: 0 6px 0 0 ;padding: 0; ">\n          <button class="{{vm.money1==10?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(10)">\xA510</button>\n        </div>\n        <div class="col col-30" style="margin: 0 3px 0 3px;padding: 0; ">\n          <button class="{{vm.money1==20?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(20)" >\xA520</button>\n        </div>\n        <div class="col col-30" style="margin: 0 0 0 6px;padding: 0; ">\n          <button class="{{vm.money1==30?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(30)" >\xA530</button>\n        </div>\n      </div>\n      <div class="row" style="margin: 0 0 10px 0;padding: 0;text-align: center">\n        <div class="col col-30" style="margin: 0 6px 0 0 ;padding: 0; ">\n          <button class="{{vm.money1==100?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(100)" >\xA5100</button>\n        </div>\n        <div class="col col-30" style="margin: 0 3px 0 3px;padding: 0; ">\n          <button class="{{vm.money1==200?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(200)" >\xA5200</button>\n        </div>\n        <div class="col col-30" style="margin: 0 0 0 6px;padding: 0; ">\n          <button class="{{vm.money1==300?\'accountRecharge-ButtonDown\':\'accountRecharge-ButtonUp\'}} accountRecharge-button"  ng-click="setMoney(300)" >\xA5300</button>\n        </div>\n      </div>\n      <div class="row" style="margin: 0;padding: 0;height: 48px;text-align: center">\n        <input type="number"  style="border: solid 1px #E5E5E5;width: 100%;height: 100%;text-align: center;" ng-keypress="keyPress()"\n               placeholder="\uFFE5\u8F93\u5165\u81EA\u5B9A\u4E49\u91D1\u989D" ng-model="vm.money2">\n      </div>\n    </div>\n    <div  style="margin: 20px 16px 0 16px;padding: 0;text-align: center;">\n      <button class="{{!(vm.money1||vm.money2) ?\'chongzhi\':\'accountRecharge-ButtonDown\'}} accountRecharge-button"  ng-click="convert($event)" ><span>{{vm.convertText}}</span></button>\n    </div>\n\n    <div style="margin: 10px 10px">\n      <h5>\u79EF\u5206\u5151\u6362\u548C\u8BF4\u660E</h5>\n      <p >A.\u79EF\u5206\u53EF\u5728\u4FBF\u5229\u5B9D\u5E73\u53F0\u5151\u6362\u53EF\u7528\u4E8E\u8BA2\u8D27\u7684\u7B49\u989D\u5728\u7EBF\u5145\u503C\u91D1\u989D\uFF0C\u79EF\u5206\u4E0E\u4EBA\u6C11\u5E01\u7684\u5151\u6362\u6BD4\u4F8B\u4E3A1000\uFF1A1\uFF0C\u4E14\u6BCF\u5151\u6362\u5355\u5143\u5FC5\u987B\u4E3A10\u5143\uFF0C\n        \u5E76\u4F9D\u6B64\u7C7B\u63A8\u3002\u79EF\u5206\u53EA\u53EF\u5355\u5411\u5151\u6362\uFF0C\u5373\u79EF\u5206\u53EF\u5151\u6362\u4E3A\u73B0\u91D1\uFF0C\u4F46\u73B0\u91D1\u4E0D\u53EF\u8D2D\u4E70\u79EF\u5206\u3002</p>\n      <p >B.\u5728\u529E\u7406\u9000\u6362\u8D27\u65F6\uFF0C\u4F1A\u6839\u636E\u60A8\u8D2D\u4E70\u65F6\u8D60\u9001\u7684\u79EF\u5206\u8FDB\u884C\u6263\u9664\u3002</p>\n      <p>C.\u5982\u60A8\u8FDD\u53CD\u4E0E\u4FBF\u5229\u5B9D\u7684\u76F8\u5173\u7EA6\u5B9A\uFF0C\u4FBF\u5229\u5B9D\u53EF\u4EE5\u6263\u9664\u76F8\u5E94\u7684\u79EF\u5206\u3002</p>\n    </div>\n  </ion-content>\n</ion-view>\n\n<script id="my-modal.html" type="text/ng-template">\n  <ion-modal-view >\n    <ion-header-bar  class="item-input-inset headerBar" >\n      <a  ng-click="goCancel2()" class="button icon-back02" style="color: white"></a>\n      <h1 class="title" style="color: white">\u5151\u6362\u5B8C\u6210</h1>\n    </ion-header-bar>\n    <ion-content>\n      <!--\u79EF\u5206\u5151\u6362\u6210\u529F\u7684\u4E24\u79CD\u4E0D\u540C\u6837\u5F0F-->\n      <div class="modalresult" ng-if="false">\n        <p><span class="ion-checkmark-circled" style="color: #36932F"></span> \u5DF2\u5B8C\u6210\u5151\u6362\uFF01</p>\n      </div>\n      <div ng-if="true">\n        <p class="ion-checkmark-circled" style="color: #36932F;font-size: 200px;height: 200px;line-height: 200px;text-align: center" ></p>\n        <p class="modalresult2"> \u5DF2\u5B8C\u6210\u5151\u6362\uFF01</p>\n      </div>\n      <div class="list" style="padding: 0 2px">\n        <div class=" modalItem" >\n          <p class="modaltext1">\u5151\u6362\u91D1\u989D\uFF1A<span class="modaltext2">{{vm.money1?vm.money1:vm.money2}}\u5143</span></p>\n        </div>\n        <div class=" modalItem">\n          <p class="modaltext1">\u82B1\u8D39\u79EF\u5206\uFF1A<span class="modaltext2">{{(vm.money1?vm.money1:vm.money2)*1000}}</span></p>\n        </div>\n        <div class=" modalItem">\n          <p class="modaltext1">\u5151\u6362\u65F6\u95F4\uFF1A<span class="modaltext3">{{vm.time}}</span></p>\n        </div>\n      </div>\n      <div class="row modalButtonDiv">\n        <div class="col modalButtonDiv1" >\n          <button class="modalButton" style="background-color: #F48300" ng-click="goCancel1()">\u67E5\u770B\u6D41\u6C34</button>\n        </div>\n        <div class="col modalButtonDiv2">\n          <button class="modalButton" style="background-color: #E55500" ng-click="goCancel2()">\u7EE7\u7EED\u5151\u6362</button>\n        </div>\n      </div>\n    </ion-content>\n  </ion-modal-view>\n</script>\n');
$templateCache.put('store/my/integralRule.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u79EF\u5206\u89C4\u5219</h1>\n  </ion-header-bar>\n  <ion-content id="integralRuleContent">\n    <div style="margin: 10px 10px">\n      <p>\u4F1A\u5458\u7EA7\u522B\u5171\u5206\u516D\u7EA7\uFF0C\u5177\u4F53\u4E3A\uFF1A\u6CE8\u518C\u4F1A\u5458\u3001\u666E\u901A\u4F1A\u5458\u3001\u94DC\u724C\u4F1A\u5458\u3001\u94F6\u724C\u4F1A\u5458\u3001\u91D1\u724C\u4F1A\u5458\u3001\u94BB\u77F3\u4F1A\u5458\uFF0C\u7EA7\u522B\u5347\u964D\u5747\u7531\u7CFB\u7EDF\u81EA\u52A8\u5B9E\u73B0\uFF0C\u65E0\u9700\u7533\u8BF7\u3002 </p>\n      <p>1.\u6CE8\u518C\u4F1A\u5458</p>\n      <p>\u7533\u8BF7\u6761\u4EF6\uFF1A\u4EFB\u4F55\u613F\u610F\u5230\u4FBF\u5229\u5B9D\u5546\u5E73\u53F0\u8BA2\u8D27\u7528\u6237\u5747\u53EF\u514D\u8D39\u6CE8\u518C\u3002</p>\n      <p>2.\u7EA7\u522B\u664B\u5347</p>\n      <p>\u4F1A\u5458\u7EA7\u522B\u7531\u6210\u957F\u503C\u51B3\u5B9A\uFF0C\u6210\u957F\u503C\u8D8A\u9AD8\u4F1A\u5458\u7B49\u7EA7\u8D8A\u9AD8\uFF0C\u4EAB\u53D7\u5230\u7684\u4F1A\u5458\u6743\u76CA\u8D8A\u5927\u3002</p>\n\n      <table border="1" align="center" width="100%">\n        <tbody><tr align="center">\n          <td>\u7B49\u7EA7</td>\n          <td>\u6240\u9700\u6210\u957F\u503C</td>\n          <td>\u6210\u957F\u503C\u83B7\u53D6\u901F\u5EA6\uFF08\u500D\u6570\uFF09</td>\n        </tr>\n        <tr align="center">\n          <td>\u6CE8\u518C\u4F1A\u5458</td>\n          <td>0</td>\n          <td>0</td>\n        </tr>\n        <tr align="center">\n          <td>\u666E\u901A\u4F1A\u5458</td>\n          <td>0</td>\n          <td>1</td>\n        </tr>\n        <tr align="center">\n          <td>\u94DC\u724C\u4F1A\u5458</td>\n          <td>20000</td>\n          <td>1.25</td>\n        </tr>\n        <tr align="center">\n          <td>\u94F6\u724C\u4F1A\u5458</td>\n          <td>60000</td>\n          <td>1.6</td>\n        </tr>\n        <tr align="center">\n          <td>\u91D1\u724C\u4F1A\u5458</td>\n          <td>200000</td>\n          <td>2</td>\n        </tr>\n        <tr align="center">\n          <td>\u94BB\u77F3\u4F1A\u5458</td>\n          <td>700000</td>\n          <td>2.5</td>\n        </tr>\n        </tbody></table>\n      <p>3.\u6700\u9AD8\u7EA7\u522B\u6743\u76CA\uFF08\u94BB\u77F3\u4F1A\u5458\uFF09</p>\n      <p>\uFF081\uFF09.\u6210\u4E3A\u4FBF\u5229\u5B9D\u54C1\u724C\u52A0\u76DF\u5E97\uFF0C\u514D\u6536\u52A0\u76DF\u4FDD\u8BC1\u91D1\u3002</p>\n      <p>\uFF082\uFF09.\u514D\u8D39\u8D60\u9001\u4EF7\u503C5000\u5143\u5E97\u5934\u62DB\u724C\u3002</p>\n      <p>\uFF083\uFF09.\u5168\u90E8\u914D\u7F6E\u4FBF\u5229\u5B9D\u6240\u6709\u589E\u503C\u4E1A\u52A1\u529F\u80FD\u53CA\u514D\u4EA4\u7EB3\u62BC\u91D1\u914D\u7F6E\u76F8\u5173\u8BBE\u5907\u548C\u7269\u4EF6\uFF1A\u5FEB\u9012\u6388\u6743\u724C\uFF0C\u94F6\u8054POS\u673A\uFF0C\u51B0\u7BB1\uFF0C\u724C\u5361\u6807\u7B7E\uFF0C\u5C0F\u7968\u6253\u5370\u7EB8\u7B49\u3002</p>\n      <p>\uFF084\uFF09.\u4EAB\u53D7\u4FBF\u5229\u5B9D\u63D0\u4F9B\u5382\u5BB6\u6D3B\u52A8\u3001\u5546\u54C1\u4FC3\u9500\u3001\u65B0\u54C1\u94FA\u8D27\u7B49\u8FD0\u8425\u652F\u6301\u3002</p>\n      <p>4.\u6210\u957F\u503C\u8BF4\u660E</p>\n      <p>\uFF081\uFF09.\u8EAB\u4EFD\u6709\u6548\u671F\u4E3A\u4E00\u5E74\uFF0C\u4E00\u5E74\u6709\u6548\u671F\u6EE1\u540E\uFF0C\u5728\u5982\u6B21\u5E74\u5EA6\u5185\u7D2F\u8BA1\u6210\u957F\u503C\u65E0\u6CD5\u5BF9\u5E94\u4E0A\u5E74\u5EA6\u4F1A\u5458\u7B49\u7EA7\uFF0C\u5C06\u6839\u636E\u4F1A\u5458\u5269\u4F59\u6210\u957F\u503C\u8C03\u6574\u4F1A\u5458\u7B49\u7EA7\u3002</p>\n      <p>\uFF082\uFF09.\u4F1A\u5458\u8D26\u53F7\u7981\u6B62\u8F6C\u501F\u6216\u8F6C\u8BA9\u4ED6\u4EBA\u4F7F\u7528\uFF0C\u4E14\u7531\u6B64\u4EA7\u751F\u540E\u679C\u4FBF\u5229\u5B9D\u6982\u4E0D\u8D1F\u8D23\u3002</p>\n      <p>\uFF083\uFF09.\u5982\u4FBF\u5229\u5B9D\u53D1\u73B0\u6709\u8FDD\u89C4\u64CD\u7EB5\u4F1A\u5458\u7EA7\u522B\uFF0C\u5219\u6709\u6743\u7ACB\u5373\u53D6\u6D88\u6B64\u4F1A\u5458\u8D26\u53F7\u7684\u76F8\u5E94\u7EA7\u522B\u8D44\u683C\u3002</p>\n      <p>5.\u79EF\u5206\u8BF4\u660E</p>\n      <p>\uFF081\uFF09.\u5404\u4E1A\u52A1\u6210\u957F\u503C\u4E0E\u79EF\u5206\u7684\u83B7\u5F97\u4E0E\u6263\u9664</p>\n      <table border="1" align="center" width="100%">\n        <tbody><tr align="center">\n          <td>\u4E1A\u52A1\u540D\u79F0</td>\n          <td>\u6210\u957F\u503C</td>\n          <td>\u79EF\u5206</td>\n        </tr>\n        <tr align="center">\n          <td>\u6BCF\u5929\u767B\u5F55\u7B7E\u5230</td>\n          <td>\u5B8C\u6210+100\uFF0C\u672A\u5B8C\u6210-100</td>\n          <td>0</td>\n        </tr>\n        <tr align="center">\n          <td>\u4E0B\u5355(\u5DF2\u5199\u8BC4\u4EF7\u7684\u5355)</td>\n          <td>+\u8BA2\u5355\u91D1\u989D</td>\n          <td>+\u8BA2\u5355\u91D1\u989D</td>\n        </tr>\n        <tr align="center">\n          <td>\u70B9\u5230\u8D27</td>\n          <td>+200</td>\n          <td>+100</td>\n        </tr>\n        <tr align="center">\n          <td>\u9000\u8D27</td>\n          <td>-\uFF08\u9000\u8D27\u91D1\u989D+\u65E0\u6545\u9000\u8D27\u91D1\u989D*3\uFF09</td>\n          <td>-\uFF08\u9000\u8D27\u91D1\u989D+\u65E0\u6545\u9000\u8D27\u91D1\u989D*3\uFF09</td>\n        </tr>\n        <tr align="center">\n          <td>\u5230\u8D27\u5DEE\u5F02</td>\n          <td>-\uFF08\u5DEE\u5F02\u91D1\u989D+\u65E0\u6545\u5DEE\u5F02\u91D1\u989D*3\uFF09</td>\n          <td>-\uFF08\u5DEE\u5F02\u91D1\u989D+\u65E0\u6545\u5DEE\u5F02\u91D1\u989D*3\uFF09</td>\n        </tr>\n        <tr align="center">\n          <td>\u6D3B\u52A8\u83B7\u8D60</td>\n          <td>\u6839\u636E\u5F53\u671F\u6D3B\u52A8\u516C\u544A\u6807\u51C6</td>\n          <td>\u6839\u636E\u5F53\u671F\u6D3B\u52A8\u516C\u544A\u6807\u51C6</td>\n        </tr>\n        </tbody></table>\n      <p>A.\u6BCF\u65E5\u7B7E\u5230\uFF1A\u4F1A\u5458\u6BCF\u65E5\u767B\u5F55\u4FBF\u5229\u5B9D\u5E73\u53F0\u5E76\u5B8C\u6210\u7B7E\u5230\uFF0C\u5219\u53EF\u83B7\u5F97+100\u6210\u957F\u503C\uFF0C\u4E0D\u79EF\u5206\uFF0C\u65E0\u767B\u5F55\u6216\u7B7E\u5230\uFF0C\u5219\u6309-100\u6263\u9664\u6210\u957F\u503C\uFF0C\u4E0D\u6263\u9664\u79EF\u5206\uFF1B</p>\n      <p>B.\u5DF2\u8BC4\u4EF7\u8BA2\u5355\uFF1A\u5728\u4FBF\u5229\u5B9D\u5E73\u53F0\u4E2D\u8BA2\u8D27\u540E\u5E76\u8BC4\u4EF7\uFF0C\u6839\u636E\u6BCF\u6B21\u8BA2\u8D27\u91D1\u989D\u5E73\u53F0\u7CFB\u7EDF\u4F1A\u5BF9\u5BA2\u6237\u7684\u79EF\u5206\u8FDB\u884C\u589E\u52A0\u5E76\u9010\u6B21\u7D2F\u79EF\u3002\u6CE8\uFF1A\u5728\u7EBF\u5145\u503C\uFF0C\u4E34\u671F\u5546\u54C1\uFF0C\u8D85\u4F4E\u7279\u4EF7\uFF0C\u7279\u4F8B\u5546\u54C1\u7B49\u5546\u54C1\u4E0D\u80FD\u83B7\u5F97\u79EF\u5206\uFF1B</p>\n      <p>C.\u5546\u54C1\u8BC4\u4EF7\uFF1A\u5BF9\u5DF2\u5B8C\u6210\u8BA2\u5355\u8FDB\u884C\u70B9\u6536\u5230\u8D27\uFF0C\u7ED9\u4E0E+100\u79EF\u5206\uFF0C+200\u6210\u957F\u503C\u5956\u52B1\uFF1B</p>\n      <p>D.\u5DEE\u5F02\u53CA\u9000\u8D27\uFF1A\u8BA2\u5355\u8FDB\u884C\u6216\u5B8C\u6210\u540E\uFF0C\u5982\u6709\u4EA7\u751F\u9000\u8D27\u6216\u5DEE\u5F02\u7684\uFF0C\u5219\u6263\u9664\u5BF9\u5E94\u7684\u9000\u8D27\u6216\u5DEE\u5F02\u5BF9\u5E94\u7684\u83B7\u5F97\u79EF\u5206\u4E0E\u6210\u957F\u503C\uFF0C\u65E0\u6545\u9000\u8D27\u6216\u5DEE\u5F02\u90E8\u5206\u63093\u500D\u6263\u9664\uFF1B</p>\n      <p>E.\u6D3B\u52A8\u8D60\u4E88\uFF1A\u5DF2\u6CE8\u518C\u4F1A\u5458\u53C2\u52A0\u4FBF\u5229\u5B9D\u5E73\u53F0\u53D1\u8D77\u6D3B\u52A8\uFF0C\u53EF\u83B7\u5F97\u4E0D\u540C\u65F6\u671F\u4E0D\u540C\u6D3B\u52A8\u7684\u6210\u957F\u503C\u4E0E\u4F1A\u5458\u79EF\u5206\u5956\u52B1\uFF0C\u5177\u4F53\u6839\u636E\u5F53\u671F\u6D3B\u52A8\u516C\u544A\u3002</p>\n      <p>\uFF082\uFF09.\u79EF\u5206\u7684\u4F7F\u7528\u53CA\u89C4\u5219</p>\n      <p>A.\u79EF\u5206\u53EF\u5728\u4FBF\u5229\u5B9D\u5E73\u53F0\u5151\u6362\u53EF\u7528\u4E8E\u8BA2\u8D27\u7684\u7B49\u989D\u5728\u7EBF\u5145\u503C\u91D1\u989D\uFF0C\u79EF\u5206\u4E0E\u4EBA\u6C11\u5E01\u7684\u5151\u6362\u6BD4\u4F8B\u4E3A1000\uFF1A1\uFF0C\u4E14\u6BCF\u5151\u6362\u5355\u5143\u5FC5\u987B\u4E3A10\u5143\uFF0C\u5E76\u4F9D\u6B64\u7C7B\u63A8\u3002\u79EF\u5206\u53EA\u53EF\u5355\u5411\u5151\u6362\uFF0C\u5373\u79EF\u5206\u53EF\u5151\u6362\u4E3A\u73B0\u91D1\uFF0C\u4F46\u73B0\u91D1\u4E0D\u53EF\u8D2D\u4E70\u79EF\u5206\u3002</p>\n      <p>B.\u5728\u529E\u7406\u9000\u6362\u8D27\u65F6\uFF0C\u4F1A\u6839\u636E\u60A8\u8D2D\u4E70\u65F6\u8D60\u9001\u7684\u79EF\u5206\u8FDB\u884C\u6263\u9664\u3002</p>\n      <p>C.\u5982\u60A8\u8FDD\u53CD\u4E0E\u4FBF\u5229\u5B9D\u7684\u76F8\u5173\u7EA6\u5B9A\uFF0C\u4FBF\u5229\u5B9D\u53EF\u4EE5\u6263\u9664\u76F8\u5E94\u7684\u79EF\u5206\u3002</p>\n      <p>\u6CE8\uFF1A\u65F6\u95F4\u8BA1\u7B97\u65B9\u6CD5\uFF1A\u6210\u529F\u63D0\u4EA4\u8BA2\u5355\u540E\u5411\u524D\u63A8\u7B9730\u5929\u4E3A\u4E00\u4E2A\u6708\uFF0C\u6210\u529F\u63D0\u4EA4\u8BA2\u5355\u540E\u5411\u524D\u63A8\u7B97365\u5929\u4E3A\u4E00\u5E74\uFF0C\u4E0D\u4EE5\u81EA\u7136\u6708\u548C\u81EA\u7136\u5E74\u8BA1\u7B97\u3002</p>\n      <p>\u79EF\u5206\u8D26\u6237\u6307\u5411\uFF1A\u4FBF\u5229\u5B9D\u6BCF\u4E2A\u7AD9\u70B9\u5BF9\u5E94\u4E00\u4E2A\u79EF\u5206\u8D26\u6237\uFF0C\u5355\u4F4D\u4E3A\uFF08\u5B9D\u8D1D\uFF09</p>\n      <p>\u672C\u79EF\u5206\u89C4\u5219\u7531\u4FBF\u5229\u5B9D\u5236\u5B9A\u5E76\u4F9D\u636E\u56FD\u5BB6\u76F8\u5173\u6CD5\u5F8B\u6CD5\u89C4\u53CA\u89C4\u7AE0\u5236\u5EA6\u4E88\u4EE5\u89E3\u91CA\u548C\u4FEE\u6539\uFF0C\u89C4\u5219\u4EE5\u7F51\u7AD9\u516C\u5E03\u4E3A\u51C6\u3002</p>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/itemPromotion.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" style="border-bottom: 0px;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1  class="title" style="color: white">\u5730\u63A8\u5546\u54C1</h1>\n  </ion-header-bar>\n  <ion-content  lazy-scroll overflow-scroll="false" scrollbar-y="false">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <div class="list"  ng-if="vm.data">\n      <div class="item sr-item" ng-repeat="item in vm.data">\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splcode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" style="position: relative;">\n              <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <div class="realtime-stock-count">\n                <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n              </div>\n              <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p style="font-size: 14px">{{item.descr}}</p>\n              <p ng-hide="emptyToken" class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splCodeDescr}}</p>\n              <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span>  <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p>\n                <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                <span class="canret" ng-click="goRetRemark(item.retRemark)">\u9000\u6362\u8BF4\u660E</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="sr-add" ng-click="addShoppingCart(item)">\u52A0\u5165\u62A5\u8D27\u5355</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="vm.hasmoredata" distance="10%" on-infinite="getNextPage()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding">\n    <div class="row order1" >\n      <div class="col col-67 left order2" >\n        <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u6B3E\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6"  ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/my/letter.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white;"></a>\n    <h1 class="title" style="color: white">\u6211\u7684\u6D88\u606F</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" has-bouncing="true">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <ion-list ng-if="vm.data.length>0">\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0" ng-click="goDetail(detail)">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px;">\n          <li class="icon icon-wodexiaoxi" style="left: 12px;width: 24px;color:{{detail.readStatus==0?\'#ff6600\':\'#999999\'}}">\n            <label class="badgeqty3" ng-if="false"></label>\n            <!--<img src="/img/xinxiaoxi.gif" ng-if="detail.readStatus==0"-->\n                 <!--style=" position: absolute;top:14px;right: -2px;z-index: 99;background-color: #FE1211;height: 20px;width: 20px;">-->\n          </li>\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px;color: #666666">{{detail.letterTitle}}</span>\n          <span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;float: right">{{(detail.sendDate| limitTo : 11 : 0)}}</span>\n          <p style=";font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;">\n            {{detail.letterText}}\n          </p>\n        </ion-item>\n      </div>\n\n      <!--<ion-item class="item-avatar" ng-repeat="detail in vm.data" ng-click="goDetail(detail)">-->\n        <!--<img ng-src="img/integral/iconfont-jifengonggong-01.png">-->\n        <!--<div class="row"><h5 class="col ">{{detail.letterTitle}}</h5><label class="col " style="float: right">{{(detail.sendDate| limitTo : 11 : 0)}}</label></div>-->\n        <!--<p style="white-space: normal;height: 40px;overflow: hidden;text-overflow: ellipsis;">-->\n          <!--{{detail.letterText}} </p>-->\n      <!--</ion-item>-->\n    </ion-list>\n    <div ng-hide="hasdata" style="width: 100%;height:100%;text-align: center;padding-top:40%;">\n      <img src="img/empty.png" style="width: 160px;height: 160px;">\n      <div class="row" style="padding:0;text-align: center;">\n        <div class="col" style="padding: 0;font-size: 13px;color: #999999;">\n          <span style="font-size: 20px;">\u6D88\u606F\u662F\u7A7A\u7684......</span>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/letterDetail.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u6D88\u606F\u8BE6\u60C5</h1>\n  </ion-header-bar>\n\n  <ion-content>\n\n      <div style="margin: 16px 16px 0 16px">\n        <span style="font-size: 16px;color: #666666;font-family: PingFangSC-Regular;text-align: left;">{{detail.letterTitle}}</span>\n        <span style="font-size: 12px;color: #999999;font-family: PingFangSC-Regular;text-align: right;float: right ">{{detail.sendDate}}</span>\n        <p style="margin: 8px 16px 0 16px;white-space: normal;overflow: hidden;text-overflow: ellipsis;font-family: PingFangSC-Regular;font-size: 12px;color: #999999" ng-bind-html="detail.letterText"></p>\n      </div>\n\n\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/login.html','<ion-view hide-tabs="true" view-title="\u96C6\u914D\u5546\u57CE\u767B\u5F55">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" style="color:white;"></a>\n    <h1 class="title" style="color:white ">\u96C6\u914D\u8BA2\u5355\u767B\u5F55</h1>\n  </ion-header-bar>\n  <ion-content class="padding" overflow-scroll="false">\n    <div class="row responsive-sm padding">\n      <div class="col">\n        <div class="row text-center">\n          <div class="col"><img class="icon" src="img/login.png"  style="width: 70px;height:70px;"></div>\n        </div>\n        <div class="list list-inset">\n          <div class="item item-input" style="border-left:none;border-right:none;border-top:none;border-bottom: 1px solid #ff6600 !important;margin-bottom: 1px;">\n            <span class="input-label">\u8D26\u53F7\uFF1A</span>\n            <input type="text" ng-model="user.userName" placeholder="\u624B\u673A\u53F7/\u4F1A\u5458\u53F7">\n          </div>\n          <div class="item item-input" style="border-left:none;border-right:none;border-top:none;border-bottom: 1px solid #ff6600 !important;">\n            <span class="input-label">\u5BC6\u7801\uFF1A</span>\n            <input type="{{isShowPassword?\'text\':\'password\'}}" ng-model="user.password" placeholder="\u5BC6\u7801">\n            <i class="icon placeholder-icon {{isShowPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showPassword()"></i>\n          </div>\n        </div>\n        <button class="button ion-unlocked button-block" ng-click="loginUser();" style="background-color: #F05050;color: #FFFFFF;"> \u767B\u5F55 </button>\n        <div class="row">\n          <div class="col text-left"> <a ng-click="goRegeditPage()" style="color: #555555;">\u624B\u673A\u5FEB\u901F\u6CE8\u518C</a></div>\n          <div class="col text-right"><a ng-click="gorResetPasswordPage()" style="color: #555555;">\u627E\u56DE\u5BC6\u7801</a></div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/myCoupons.html','<ion-view view-title="\u4FBF\u5229\u5B9D\u4F18\u60E0\u5238" hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar ">\n    <a class="button icon-back02" ng-click="goBack()"  style="color: white"></a>\n    <h1 class="title">\u6211\u7684\u5361\u5238</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" scrollbar-y="false">\n    <div class="noRecord" ng-if="!vm.couponsList || vm.couponsList.length===0">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u5361\u5238\u54E6\uFF01\n    </div>\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div ng-if="vm.couponsList && vm.couponsList.length > 0">\n      <div style="padding: 5px;text-align: left;color: #FE1211;font-size: 12px;">\n        *\u6CE8\u610F\u4E8B\u9879\uFF1A\u5E73\u53F0\u5361\u5238\u4E00\u7ECF\u4F7F\u7528\u5373\u523B\u5931\u6548\u3001\u4E0D\u8BBE\u627E\u96F6\uFF1B\u65E0\u6545\u9000\u8D27\u6216\u9650\u5B9A\u5546\u54C1\u9000\u8D27\u4E0D\u80FD\u4F7F\u7528\u5361\u5238\uFF0C\u5361\u5238\u4F1A\u81EA\u52A8\u9000\u56DE\u8D26\u6237\u3002\n      </div>\n      <div class="item" style="padding: 5px" ng-repeat="detail in vm.couponsList">\n        <div style="padding: 0;position: relative;width:100%;">\n          <div class="{{detail.storeHolderState==1 && detail.coupon.state != 8?(detail.coupon.color?detail.coupon.color:\'stamp01\')+\'_left\':\'stamp00_left\'}}"></div>\n          <div class="stamp {{detail.storeHolderState==1 && detail.coupon.state != 8?(detail.coupon.color?detail.coupon.color:\'stamp01\'):\'stamp00\'}}">\n            <div class="par"><p>{{detail.coupon.cname}}</p><sub class="sign">\xA5</sub><span>{{detail.coupon.amount}}</span><sub>{{detail.coupon.typeLabel}}</sub><sub ng-if="detail.coupon.type==\'2\'&&detail.coupon.limitConsumeCount-detail.coupon.consumeCount>=0">(\u5269\u4F59{{detail.coupon.limitConsumeCount-detail.coupon.consumeCount}})</sub><p style="font-size: 12px;">{{detail.coupon.splCodeLabel}}</p><p style="font-size: 10px;color:rgba(255, 255, 255, .8);line-height: 12px;">{{detail.coupon.conditionDescr}}</p></div>\n            <div class="copy"><img ng-src="{{!detail.coupon.logoUrl || detail.coupon.logoUrl==\'null\'?\'img/logo_max.png\': detail.coupon.logoUrl}}"><p style="font-size: 10px;line-height: 12px;margin: -10px 0px 5px 0px;">\u5E8F\u53F7\uFF1A{{detail.pk}}</p><p>{{detail.coupon.issueDate | limitTo:10}}<br>{{detail.consumeEndDate | limitTo:10}}</p><a href="#">{{detail.coupon.state ==8?\'\u5DF2\u5931\u6548\':(detail.storeHolderState==1?\'\u7ACB\u5373\u4F7F\u7528\':detail.storeHolderStateLabel)}}</a></div>\n            <i ng-click="useCoupon(detail)"></i>\n          </div>\n          <div class="{{detail.storeHolderState==1 && detail.coupon.state != 8?(detail.coupon.color?detail.coupon.color:\'stamp01\')+\'_right\':\'stamp00_right\'}}"></div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="vm.hasmoredata" on-infinite="vm.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" >\n    <div ng-click="receiveCoupon()" style="position: absolute; bottom: 0;width: 100%; height: auto; padding: 15px;border-top: 1px solid #e5e5e5; text-align: center;background: #fdfdfd;font-size: 18px">\n      <i class="icon ion-ios-plus-empty"></i>\n      \u5BA2\u6237\u5361\u5238\u6536\u53D6\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n<!-- \u8F93\u5165\u5361\u5238\u53F7 -->\n<script id="inputCoupon-view.html" type="text/ng-template">\n  <div class="row" style="padding: 0px;">\n    <div class="col text-center">\n      <input type="text" id="inputCoupon" onkeypress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" ng-model="modelView.cdkey" style="text-align: center;height: 36px;width:100%;border-style:solid;border-width:1px;" autofocus="true">\n    </div>\n  </div>\n  <div class="row" style="font-size: small;color: red;margin-top: 5px" ng-show="errorFlag">\n    {{errorTip}}\n  </div>\n</script>\n\n<!-- \u6839\u636E\u5361\u5238\u5151\u6362\u7801\u67E5\u8BE2\u5361\u5238\u8BE6\u7EC6\u4FE1\u606F -->\n<script id="coupon-modal.html" type="text/ng-template">\n  <ion-modal-view style="background:#e5e5e5;">\n    <ion-header-bar class="item-input-inset headerBar ">\n      <h1 class="title">\u5361\u5238\u4FE1\u606F</h1>\n    </ion-header-bar>\n    <ion-content>\n      <div class="item" style="padding: 5px" ng-if="modelView.data">\n        <div style="padding: 0;position: relative;width:100%;">\n          <div class="{{modelView.data.storeHolderState==1?\'stamp0\'+(modelView.data.coupon.type)+\'_left\':\'stamp00_left\'}}"></div>\n          <div class="stamp {{modelView.data.storeHolderState==1?\'stamp0\'+(modelView.data.coupon.type):\'stamp00\'}}">\n            <div class="par"><p>{{modelView.data.coupon.cname}}</p><sub class="sign">\xA5</sub><span>{{modelView.data.coupon.amount}}</span><sub>{{modelView.data.coupon.typeLabel}}</sub><p style="font-size: 12px;">{{modelView.data.coupon.splCodeLabel}}</p><p style="font-size: 10px;color:rgba(255, 255, 255, .8);line-height: 12px;">{{modelView.data.coupon.conditionDescr}}</p></div>\n            <div class="copy"><img src="img/logo_max.png"><p>{{modelView.data.coupon.issueDate | limitTo:10}}<br>{{modelView.data.consumeEndDate | limitTo:10}}</p></div>\n            <i></i>\n          </div>\n          <div class="{{modelView.data.storeHolderState==1?\'stamp0\'+(modelView.data.coupon.type)+\'_right\':\'stamp00_right\'}}"></div>\n        </div>\n      </div>\n      <div class="row">\n        <button class="button button-light col col-40" ng-click="goCancel()">\u4E0D\u6536\u53D6</button>\n        <div class="col col-20"></div>\n        <button class="button button-positive col col-40" ng-click="exchange()">\u786E\u5B9A\u6536\u53D6</button>\n      </div>\n    </ion-content>\n  </ion-modal-view>\n</script>\n');
$templateCache.put('store/my/myInvitation.html','<ion-view view-title="\u5206\u4EAB\u63A8\u8350" hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar ">\n    <a class="button icon-back02" ng-click="goBack()"  style="color: white"></a>\n    <h1 class="title">\u5206\u4EAB\u63A8\u8350</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;">\n    <!-- \u6D3B\u52A8\u8FDB\u884C\u4E2D-->\n    <div ng-if="isShowFlag && inviteGift.storeRecomCouponAmount">\n      <div style="position: relative;">\n        <div style="text-align: center">\n          <img style="width: 90%;position: relative;margin: 0" ng-src="{{inviteGift.storeRecomImgUrl}}">\n        </div>\n        <div style="margin-top: 2px;text-align: center">\n          <h3 style="font-size: 15px;margin: 0;color: #000;text-shadow: 0 0 2px #eee;line-height: 1.316;text-align: center;font-family: \'Microsoft YaHei UI\'">\n            <span>\u9080\u8BF7\u670B\u53CB\u5F00\u542F\u4FBF\u5229\u5B9D\u53EB\u8D27\uFF0C\u5F53TA\u6CE8\u518C\u65F6</span>\n            <div style="font-size: 24px">\u60A8\u5C06\u83B7\u5F97{{inviteGift.storeRecomCouponAmount}}\u5143\u5956\u52B1</div>\n          </h3>\n          <div style="padding: 10px 0;">\n            <a ng-click="goToRulesPage()" style="font-size: 12px;color: #999;line-height: 1.417">\u5956\u52B1\u89C4\u5219></a>\n          </div>\n        </div>\n      </div>\n      <div style="text-align: center">\n        <div style="width: 88%;margin-left: auto;margin-right: auto;margin-top: 10px">\n          <a href="#" ng-click="goShare()" style="background-color: #ff8b03;border-radius: 4px;height: 43px;line-height: 43px;color: #fff;font-size: 15px;text-align: center;text-decoration: none;display: block ">\n            \u5206\u4EAB\u7ED9\u670B\u53CB\n          </a>\n          <a ng-click="goToMyCoupons()" style="background: 0 0;color: #999;font-size: 12px;height: 43px;line-height: 43px;text-align: center;display: block">\n            \u5DF2\u6210\u529F\u63A8\u8350{{sharedParams.sharedCount}}\u4EBA,\u7D2F\u8BA1\u83B7\u5F97\u4F18\u60E0\u5238\xA5{{sharedParams.sharedMoney}}\u5143>\n          </a>\n          <div ng-click="showQrcode()">\n            <img src="img/qrcode.png" style="width: 24px;height: 24px;">\n            <a  style="background: 0 0;color: #999;font-size: 10px;text-align: center;display: block;line-height: 12px;height: 12px;">\u70B9\u51FB\u901A\u8FC7\u4E8C\u7EF4\u7801\u5206\u4EAB</a>\n          </div>\n        </div>\n      </div>\n    </div>\n\n    <!-- \u6D3B\u52A8\u5DF2\u7ECF\u7ED3\u675F-->\n    <div ng-if="isShowFlag && !inviteGift.storeRecomCouponAmount">\n      <!--\n      <div style="position: relative;">\n        <div style="text-align: center">\n          <img style="width: 100%;position: relative;margin-top: 40px" ng-src="img/invitation10.png">\n        </div>\n        <div style="width: 100%;position: absolute;top:0;right: 0;margin-top: 90%;text-align: center">\n          <h3 style="font-size: 15px;margin: 0;color: #000;text-shadow: 0 0 2px #eee;line-height: 1.316;text-align: center;font-family: \'Microsoft YaHei UI\'">\n            <span>\u4EB2\uFF0C\u60A8\u6765\u665A\u4E86\uFF0C\u4E0B\u6B21\u65E9\u70B9\u54E6</span>\n            <div style="font-size: 24px">\u656C\u8BF7\u671F\u5F85\u65B0\u7684\u4E00\u8F6E\u6D3B\u52A8</div>\n          </h3>\n        </div>\n      </div>\n      -->\n      <div style="text-align: center;">\n        <div style="text-align: center"  ng-click="showQrcode()">\n          <img style="width: 50%;height: 50%; position: relative;margin-top: 20%" ng-src="{{qrcodeUrl}}">\n        </div>\n        <div style="text-align: center;">\u626B\u4E00\u626B\u4E8C\u7EF4\u7801\uFF0C\u63A5\u53D7\u5206\u4EAB\u9080\u8BF7</div>\n      </div>\n      <div style="text-align: center;margin-top: 50%;">\n        <div style="width: 88%;margin-left: auto;margin-right: auto;margin-top: 10px">\n          <a href="#" ng-click="goShare()" style="background-color: #ff8b03;border-radius: 4px;height: 43px;line-height: 43px;color: #fff;font-size: 15px;text-align: center;text-decoration: none;display: block ">\n            \u5FAE\u4FE1\u5206\u4EAB\u7ED9\u670B\u53CB\n          </a>\n          <a ng-click="goToMyCoupons()" style="background: 0 0;color: #999;font-size: 12px;height: 43px;line-height: 43px;text-align: center;display: block">\n            \u5DF2\u6210\u529F\u63A8\u8350{{sharedParams.sharedCount}}\u4EBA,\u7D2F\u8BA1\u83B7\u5F97\u4F18\u60E0\u5238\xA5{{sharedParams.sharedMoney}}\u5143>\n          </a>\n          <!--\n          <div ng-click="showQrcode()">\n            <img src="img/qrcode.png" style="width: 24px;height: 24px;">\n            <a  style="background: 0 0;color: #999;font-size: 10px;text-align: center;display: block;line-height: 12px;height: 12px;">\u70B9\u51FB\u901A\u8FC7\u4E8C\u7EF4\u7801\u5206\u4EAB</a>\n          </div>\n          -->\n        </div>\n      </div>\n    </div>\n    <!-- \u5F15\u5BFC\u8FDB\u884C\u5206\u4EAB\u64CD\u4F5C-->\n    <div ng-show="isShowMask" style="position:fixed;top: 0;left: 0;width: 100%;height: 110%;z-index: 9;background: rgba(0,0,0,.6)" ng-click="hideMask()">\n      <div style="background: url(img/invitation.png) top right no-repeat;background-size:20rem auto;width: 100%;height: 100%"></div>\n    </div>\n    <!-- \u901A\u8FC7\u4E8C\u7EF4\u7801\u5206\u4EAB\u9080\u8BF7 -->\n    <div ng-show="isShowQrcode" style="position:fixed;top: 0;left: 0;width: 100%;height: 110%;z-index: 9;background: rgba(0,0,0,.7)" ng-click="hideQrcode()">\n      <div style="text-align: center">\n        <img style="width: 50%;height: 50%; position: relative;margin-top: 50%" ng-src="{{qrcodeUrl}}">\n      </div>\n      <div style="text-align: center;margin-top: 20px;color: #fff">\u626B\u4E00\u626B\u4E8C\u7EF4\u7801\uFF0C\u63A5\u53D7\u5206\u4EAB\u9080\u8BF7</div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/myOrders.html','<!--\nCreate tabs with an icon and label, using the tabs-positive style.\nEach tab\'s child <ion-nav-view> directive will have its own\nnavigation history that also transitions its views in and out.\n-->\n<ion-view  hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar" ng-if="!salesInvoiceSearch.isSalesInvoiceSearch">\n    <a ng-click="goBack()" class="button icon-back02" style="color: #9c9c9c"></a>\n    <h1 class="title" style="color: #333333">\u6211\u7684\u8BA2\u5355</h1>\n    <a class="button cainiaoiconfont icon-sousuo-xianxing"  style="margin-right:-2px;width: 48px;height: 48px;background: transparent;color: #333333 !important;" ng-click="salesInvoiceSearch.goSalesInvoiceSearch()" ng-if="tabcode!=4"></a>\n    <a class="button reportreturnicon" ng-click="reportReturn()" ng-if="tabcode==4">\n      <i class="icon ion-compose"></i>\n      <span ng-if="!isReportReturn">\u62A5\u5907\u9000\u8D27</span>\n      <span ng-if="isReportReturn">\u53D6\u6D88\u62A5\u5907\u9000\u8D27</span>\n    </a>\n  </ion-header-bar>\n  <ion-header-bar align-title="center" class="item-input-inset" style="padding-left:0px;" ng-if="salesInvoiceSearch.isSalesInvoiceSearch">\n    <a class="button icon-back02" ng-click="salesInvoiceSearch.cancelSalesInvoiceSearch()" style="background: transparent;color: #ff6600;text-align: center;padding: 0 5px 0 10px;"></a>\n    <div class="item-input-wrapper searchheaderbar" style="background: white">\n      <i class="icon icon-scanning" ng-click="salesInvoiceSearch.scanBarcode()"></i>\n      <input id="searchinput" type="text" ng-model="salesInvoiceSearch.salesInvoiceSearchKey" placeholder="\u5546\u54C1\u6761\u7801/\u540D\u79F0" style="background: white" autofocus="true">\n    </div>\n    <button class="button button-clear" style="color:#ff6600;line-height: 30px; " ng-click="salesInvoiceSearch.searchSalesInvoice()">\u641C\u7D22\u8BA2\u5355</button>\n  </ion-header-bar>\n  <div class="myordertab bar-subheader" >\n    <div class="col  {{tabs[0].selected?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'0\')">\n      \u6211\u7684\u8BA2\u5355\n    </div>\n    <div class="col  {{tabs[1].selected?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'1\')">\n      \u5F85\u6536\u8D27\n    </div>\n    <div class="col  {{tabs[2].selected?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'2\')">\n      \u5F85\u8BC4\u4EF7\n    </div>\n    <div class="col  {{tabs[3].selected?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'3\')">\n      \u5DF2\u8BC4\u4EF7\n    </div>\n    <div class="col  {{tabs[4].selected?\'myordertabon\':\'myordertaboff\'}}" ng-click="selectTab(\'4\')">\n      \u9000\u8D27\u5355\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false" style="background-color: #e5e5e5" class="has-subheader">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="doRefresh()"  spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.totalCount==0">\n        \u6682\u672A\u627E\u5230\u76F8\u5173\u8BB0\u5F55\u54E6\uFF01\n    </div>\n    <div class="list" style="margin: 0 5px 0 5px;padding: 0" id="aaa">\n      <div ng-repeat="(index,detail) in vm.data">\n\n        <!--\u6211\u7684\u8BA2\u5355-\u5DF2\u9884\u8BA2\u3001\u786E\u8BA4\u3001\u5206\u62E3\u3001\u914D\u9001\u3001\u5DF2\u5B8C\u6210\u4E94\u4E2A\u72B6\u6001-->\n        <div style="margin-top: 8px" class="myorderitem1" ng-if="(detail.status==1 || detail.status==2 || detail.status==3  || detail.status==4 || detail.status==6) && (tabcode!=2 && tabcode!=3 && tabcode!=4)">\n          <div style="padding: 10px;background-color: #eeeeee;color: #444;" ng-click="goSupplier(detail.splCode)">{{detail.type==\'3\'?detail.splCodeLabel:\'\u4FBF\u5229\u5B9D\u5E73\u53F0\u96C6\u914D\'}}<span style="float:right;" class="icon ion-ios-arrow-right"></span></div>\n          <div>\n            <div ng-click="goToSalesInvoiceDetail(detail.no)">\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="row noMarginPadding">\n                    <div class="col col-80 myordertext2" ng-if="detail.status==2">\u8BA2\u5355\u5DF2\u786E\u8BA4</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==3">\u8BA2\u5355\u5206\u62E3\u4E2D</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==4">\u8BA2\u5355\u914D\u9001\u4E2D</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==1 && detail.isSumPurch!=1">\u8BA2\u5355\u5DF2\u63D0\u4EA4</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==1 && detail.isSumPurch==1">\u8BA2\u5355\u5DF2\u786E\u8BA4</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==6">\u8BA2\u5355\u5DF2\u5B8C\u6210</div>\n                  </div>\n                  <hr class="myorderhr1" >\n                  <div >\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext15">\u8BA2\u5355\u7F16\u53F7</div>\n                    <div class="myordertext16">{{detail.no}}</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myordertext13" >{{detail.crtDate}}</div>\n                  <hr class="myorderhr1" >\n                  <div>\n                    <div class="myorderyuan2" ></div>\n                    <div class="myordertext14" ng-if="detail.status!=6">\u9884\u8BA1\u9001\u8FBE\u65F6\u95F4</div>\n                    <div class="myordertext7" ng-if="detail.status==6">\u9001\u8FBE\u65F6\u95F4</div>\n                    <div class="myordertext8" ng-if="detail.status!=6">{{detail.expectDate}}</div>\n                    <div class="myordertext8" ng-if="detail.status==6">{{detail.lastUpdate}}</div>\n                  </div>\n                </div>\n              </div>\n              <div ng-if="detail.salesInvoiceDetailList.length > 0">\n                <hr class="myorderhr1" >\n                <div class="row noMarginPadding">\n                  <div class="col noMarginPadding">\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext14">\u8BA2\u5355\u5546\u54C1</div>\n                    <div class="myordertext30">\n                      <div ng-repeat="item in detail.salesInvoiceDetailList">\n                        <i class="cainiaoiconfont icon-xiayiyeqianjinchakangengduo" style="font-size: 12px !important;"></i>{{item.item.descr}}\n                      </div>\n                    </div>\n                    <div class="myorderyuan2" ></div>\n                  </div>\n                </div>\n              </div>\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan1" ></div>\n                  <div class="myordertext23">\n                    <div>\u5546\u54C1\u603B\u989D(<span class="myordertext24">{{detail.detailCount}}\u79CD\u5546\u54C1</span>)</div>\n                    <div ng-if="detail.retAmount > 0">\u7F3A\u8D27\u91D1\u989D</div>\n                    <div ng-if="detail.couponAmount > 0">\u5361\u5238\u62B5\u7528</div>\n                    <div ng-if="detail.cashBack > 0">\u8FD4\u73B0</div>\n                    <div ng-if="detail.salesDeliveryFee > 0">\u8FD0\u8D39</div>\n                    <div class="myordertext26">\u5B9E\u4ED8\u6B3E(<span class="myordertext24">{{detail.payType==2?"\u5728\u7EBF\u652F\u4ED8":"\u8D27\u5230\u4ED8\u6B3E"}}</span>)</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan2" ></div>\n                  <div class="myordertext21">\n                    <div><span class="myordertext22">\xA5</span>{{detail.amount}}</div>\n                    <div ng-if="detail.retAmount > 0">-\xA5{{detail.retAmount}}</div>\n                    <div ng-if="detail.couponAmount > 0" ng-click="goShowSalesInvoiceCoupon(detail.no)" style="text-decoration: underline;">-\xA5{{detail.couponAmount}}</div>\n                    <div ng-if="detail.cashBack > 0">-\xA5{{detail.cashBack}}</div>\n                    <div ng-if="detail.salesDeliveryFee > 0">\xA5{{detail.salesDeliveryFee}}</div>\n                    <div class="myordertext25"><span>\xA5</span>{{parseFloat(detail.amount+detail.salesDeliveryFee-detail.retAmount-detail.couponAmount-detail.cashBack)}}</div>\n                  </div>\n                </div>\n              </div>\n            </div>\n\n            <hr class="myorderhr1" >\n            <div class="row noMarginPadding myorderbutton1-div" ng-if="(detail.status==1 && detail.isSumPurch !=1 && detail.type==\'2\') || (detail.status==1 && detail.type==\'3\')" >\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1 col" ng-click="changeOrders(detail.no)">\u4FEE\u6539\u8BA2\u5355</div>\n              <div class="myorderbutton1 col" ng-click="cancelSalesInvoice(detail.no,detail.payType)">\u53D6\u6D88\u8BA2\u5355</div>\n            </div>\n            <div class="row noMarginPadding myorderbutton1-div" ng-if="detail.status==6" >\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1 col" ng-click="applySalesReturn(detail.no)" ng-if="detail.type==\'2\' && detail.isRet == \'1\'">\u7533\u8BF7\u9000\u8D27</div>\n              <div class="myorderbutton1 col" ng-click="goToEvaluate(detail.no)" ng-if="!isFromLoginSalesMan && !detail.evaluateCount">\u6211\u8981\u8BC4\u4EF7</div>\n              <div class="myorderbutton1 col" ng-click="goToEvaluate(detail.no)" ng-if="!isFromLoginSalesMan && detail.evaluateCount==1">\u8FFD\u52A0\u8BC4\u4EF7</div>\n              <div class="myorderbutton1 col" ng-click="onceMoreOrder(detail.no)">\u518D\u6765\u4E00\u5355</div>\n            </div>\n          </div>\n        </div>\n\n        <!--\u6211\u7684\u8BA2\u5355-\u53D6\u6D88\u72B6\u6001-->\n        <div style="margin-top: 8px" class="myorderitem1" ng-if="detail.status==7">\n          <div style="padding: 10px;background-color: #eeeeee;color: #444;"  ng-click="goSupplier(detail.splCode)">{{detail.type==\'3\'?detail.splCodeLabel:\'\u4FBF\u5229\u5B9D\u5E73\u53F0\u96C6\u914D\'}}<span style="float:right;" class="icon ion-ios-arrow-right"></span></div>\n          <div>\n            <div ng-click="goToSalesInvoiceDetail(detail.no)">\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="row noMarginPadding">\n                    <div class="col col-80 myordertext2" >\u7528\u6237\u53D6\u6D88\u4E86\u8BA2\u5355</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myordertext13" >{{detail.crtDate}}</div>\n                </div>\n              </div>\n              <div ng-if="detail.salesInvoiceDetailList.length > 0">\n                <hr class="myorderhr1" >\n                <div class="row noMarginPadding">\n                  <div class="col noMarginPadding">\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext14">\u8BA2\u5355\u5546\u54C1</div>\n                    <div class="myordertext30">\n                      <div ng-repeat="item in detail.salesInvoiceDetailList">\n                        <i class="cainiaoiconfont icon-xiayiyeqianjinchakangengduo" style="font-size: 12px !important;"></i>{{item.item.descr}}\n                      </div>\n                    </div>\n                    <div class="myorderyuan2" ></div>\n                  </div>\n                </div>\n              </div>\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan1" ></div>\n                  <div class="myordertext9">\u5546\u54C1\u603B\u989D(<span class="myordertext10">{{detail.detailCount}}\u79CD\u5546\u54C1</span>)</div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan2" ></div>\n                  <div class="myordertext11"><span class="myordertext12">\xA5</span>{{detail.amount}}</div>\n                </div>\n              </div>\n            </div>\n\n            <hr class="myorderhr1" >\n            <div class="row noMarginPadding myorderbutton1-div">\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1" ng-click="onceMoreOrder(detail.no)">\u91CD\u65B0\u4E0B\u5355</div>\n            </div>\n          </div>\n        </div>\n\n        <!--\u5F85\u8BC4\u4EF7\uFF0C\u4EA4\u6613\u5DF2\u5B8C\u6210-->\n        <div style="margin-top: 8px" class="myorderitem1" ng-if="tabcode==2">\n          <div style="padding: 10px;background-color: #eeeeee;color: #444;"  ng-click="goSupplier(detail.splCode)">{{detail.type==\'3\'?detail.splCodeLabel:\'\u4FBF\u5229\u5B9D\u5E73\u53F0\u96C6\u914D\'}}<span style="float:right;" class="icon ion-ios-arrow-right"></span></div>\n          <div>\n            <div ng-click="goToSalesInvoiceDetail(detail.no)">\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="row noMarginPadding">\n                    <div class="col col-80 myordertext2" >\u4EA4\u6613\u5DF2\u5B8C\u6210</div>\n                  </div>\n                  <hr class="myorderhr1" >\n                  <div >\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext15">\u8BA2\u5355\u7F16\u53F7</div>\n                    <div class="myordertext16">{{detail.no}}</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myordertext13" >{{detail.crtDate}}</div>\n                  <hr class="myorderhr1" >\n                  <div>\n                    <div class="myorderyuan2" ></div>\n                    <div class="myordertext7" >\u9001\u8FBE\u65F6\u95F4</div>\n                    <div class="myordertext8" >{{detail.lastUpdate}}</div>\n                  </div>\n                </div>\n              </div>\n              <div ng-if="detail.salesInvoiceDetailList.length > 0">\n                <hr class="myorderhr1" >\n                <div class="row noMarginPadding">\n                  <div class="col noMarginPadding">\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext14">\u8BA2\u5355\u5546\u54C1</div>\n                    <div class="myordertext30">\n                      <div ng-repeat="item in detail.salesInvoiceDetailList">\n                        <i class="cainiaoiconfont icon-xiayiyeqianjinchakangengduo" style="font-size: 12px !important;"></i>{{item.item.descr}}\n                      </div>\n                    </div>\n                    <div class="myorderyuan2" ></div>\n                  </div>\n                </div>\n              </div>\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan1" ></div>\n                  <div class="myordertext23">\n                    <div>\u5546\u54C1\u603B\u989D(<span class="myordertext24">{{detail.detailCount}}\u79CD\u5546\u54C1</span>)</div>\n                    <div ng-if="detail.retAmount > 0">\u7F3A\u8D27\u91D1\u989D</div>\n                    <div ng-if="detail.couponAmount > 0">\u5361\u5238\u62B5\u7528</div>\n                    <div ng-if="detail.cashBack > 0">\u8FD4\u73B0</div>\n                    <div ng-if="detail.salesDeliveryFee > 0">\u8FD0\u8D39</div>\n                    <div class="myordertext26">\u5B9E\u4ED8\u6B3E(<span class="myordertext24">{{detail.payType==2?"\u5728\u7EBF\u652F\u4ED8":"\u8D27\u5230\u4ED8\u6B3E"}}</span>)</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan2" ></div>\n                  <div class="myordertext21">\n                    <div><span class="myordertext22">\xA5</span>{{detail.amount}}</div>\n                    <div ng-if="detail.retAmount > 0">-\xA5{{detail.retAmount}}</div>\n                    <div ng-if="detail.couponAmount > 0" ng-click="goShowSalesInvoiceCoupon(detail.no)" style="text-decoration: underline;">-\xA5{{detail.couponAmount}}</div>\n                    <div ng-if="detail.cashBack > 0">-\xA5{{detail.cashBack}}</div>\n                    <div ng-if="detail.salesDeliveryFee > 0">\xA5{{detail.salesDeliveryFee}}</div>\n                    <div class="myordertext25"><span>\xA5</span>{{parseFloat(detail.amount+detail.salesDeliveryFee-detail.retAmount-detail.couponAmount-detail.cashBack)}}</div>\n                  </div>\n                </div>\n              </div>\n            </div>\n\n            <hr class="myorderhr1" >\n            <div class="row noMarginPadding myorderbutton1-div">\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1 col" ng-click="onceMoreOrder(detail.no)">\u518D\u6765\u4E00\u5355</div>\n              <div class="myorderbutton1 col" ng-click="goToEvaluate(detail.no)"  ng-if="!isFromLoginSalesMan">\u6211\u8981\u8BC4\u4EF7</div>\n            </div>\n          </div>\n        </div>\n\n        <!--\u5DF2\u8BC4\u4EF7\uFF0C\u4EA4\u6613\u5DF2\u5B8C\u6210-->\n        <div style="margin-top: 8px" class="myorderitem1" ng-if="tabcode==3">\n          <div style="padding: 10px;background-color: #eeeeee;color: #444;"  ng-click="goSupplier(detail.splCode)">{{detail.type==\'3\'?detail.splCodeLabel:\'\u4FBF\u5229\u5B9D\u5E73\u53F0\u96C6\u914D\'}}<span style="float:right;" class="icon ion-ios-arrow-right"></span></div>\n          <div>\n            <div ng-click="goToSalesInvoiceDetail(detail.salesInvoice.no)">\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="row noMarginPadding">\n                    <div class="col col-80 myordertext2" >\u4EA4\u6613\u5DF2\u5B8C\u6210</div>\n                  </div>\n                  <hr class="myorderhr1" >\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myordertext13" ng-if="!status">{{detail.salesInvoice.crtDate}}</div>\n                  <hr class="myorderhr1" >\n                </div>\n              </div>\n              <div>\n                <div class="myorderyuan1" ></div>\n                <div class="myorderyuan2" ></div>\n                <div ng-repeat="(index2,itemEvaluate) in detail.evaluate">\n                  <div style=";padding-left:16px;{{index2==0? \'padding-top:16px;height: 40px\':\'height: 24px\'}}" >\n                    <!--<span style="font-size: 12px !important">\u914D\u9001\u8BC4\u5206</span>-->\n                    <!--<span class="icon  {{itemEvaluate.deliveryScore >= \'1\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"-->\n                          <!--style="font-size: 12px !important"></span>-->\n                    <!--<span class="icon  {{itemEvaluate.deliveryScore >= \'2\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"-->\n                          <!--style="font-size: 12px !important"></span>-->\n                    <!--<span class="icon  {{itemEvaluate.deliveryScore >= \'3\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"-->\n                          <!--style="font-size: 12px !important"></span>-->\n                    <!--<span class="icon  {{itemEvaluate.deliveryScore >= \'4\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"-->\n                          <!--style="font-size: 12px !important"></span>-->\n                    <!--<span class="icon  {{itemEvaluate.deliveryScore >= \'5\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"-->\n                          <!--style="font-size: 12px !important"></span>-->\n                    <!--<div class="myordertext18" style="width:50%;text-align: left;padding-left: 8px;">{{itemEvaluate.crtDate}}</div>-->\n                  <!--</div>-->\n                  <!--<div style=";padding-left:16px;height: 24px" >-->\n                    <span style="font-size: 12px !important">\u670D\u52A1\u8BC4\u5206</span>\n                    <span class="icon  {{itemEvaluate.serviceScore >= \'1\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"\n                          style="font-size: 12px !important"></span>\n                    <span class="icon  {{itemEvaluate.serviceScore >= \'2\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"\n                          style="font-size: 12px !important"></span>\n                    <span class="icon  {{itemEvaluate.serviceScore >= \'3\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"\n                          style="font-size: 12px !important"></span>\n                    <span class="icon  {{itemEvaluate.serviceScore >= \'4\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"\n                          style="font-size: 12px !important"></span>\n                    <span class="icon  {{itemEvaluate.serviceScore >= \'5\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}"\n                          style="font-size: 12px !important"></span>\n                  </div>\n                  <p class="myordertext17">\n                    {{itemEvaluate.remarks}}\n                  </p>\n                </div>\n                <hr class="myorderhr1" >\n              </div>\n\n              <!--\u8BC4\u4EF7\u7ED3\u675F-->\n              <div class="row noMarginPadding">\n                <div class="myorderyuan1" ></div>\n                <div class="myorderyuan2" ></div>\n                <div class="col col-50 noMarginPadding">\n                  <div >\n                    <div class="myordertext15">\u8BA2\u5355\u7F16\u53F7</div>\n                    <div class="myordertext16">{{detail.salesInvoice.no}}</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div>\n                    <div class="myordertext7">\u9001\u8FBE\u65F6\u95F4</div>\n                    <div class="myordertext8">{{detail.salesInvoice.lastUpdate}}</div>\n                  </div>\n                </div>\n              </div>\n              <div ng-if="detail.salesInvoice.salesInvoiceDetailList.length > 0">\n                <hr class="myorderhr1" >\n                <div class="row noMarginPadding">\n                  <div class="col noMarginPadding">\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext14">\u8BA2\u5355\u5546\u54C1</div>\n                    <div class="myordertext30">\n                      <div ng-repeat="item in detail.salesInvoice.salesInvoiceDetailList">\n                        <i class="cainiaoiconfont icon-xiayiyeqianjinchakangengduo" style="font-size: 12px !important;"></i>{{item.item.descr}}\n                      </div>\n                    </div>\n                    <div class="myorderyuan2" ></div>\n                  </div>\n                </div>\n              </div>\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan1" ></div>\n                  <div class="myordertext23">\n                    <div>\u5546\u54C1\u603B\u989D(<span class="myordertext24">{{detail.salesInvoice.detailCount}}\u79CD\u5546\u54C1</span>)</div>\n                    <div ng-if="detail.salesInvoice.retAmount > 0">\u7F3A\u8D27\u91D1\u989D</div>\n                    <div ng-if="detail.salesInvoice.couponAmount > 0">\u5361\u5238\u62B5\u7528</div>\n                    <div ng-if="detail.salesInvoice.cashBack > 0">\u8FD4\u73B0</div>\n                    <div ng-if="detail.salesInvoice.salesDeliveryFee > 0">\u8FD0\u8D39</div>\n                    <div class="myordertext26">\u5B9E\u4ED8\u6B3E(<span class="myordertext24">{{detail.payType==2?"\u5728\u7EBF\u652F\u4ED8":"\u8D27\u5230\u4ED8\u6B3E"}}</span>)</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan2" ></div>\n                  <div class="myordertext21">\n                    <div><span class="myordertext22">\xA5</span>{{detail.salesInvoice.amount}}</div>\n                    <div ng-if="detail.salesInvoice.retAmount > 0">-\xA5{{detail.salesInvoice.retAmount}}</div>\n                    <div ng-if="detail.salesInvoice.couponAmount > 0" ng-click="goShowSalesInvoiceCoupon(detail.salesInvoice.no)" style="text-decoration: underline;">-\xA5{{detail.salesInvoice.couponAmount}}</div>\n                    <div ng-if="detail.salesInvoice.cashBack > 0">-\xA5{{detail.salesInvoice.cashBack}}</div>\n                    <div ng-if="detail.salesInvoice.salesDeliveryFee > 0">\xA5{{detail.salesInvoice.salesDeliveryFee}}</div>\n                    <div class="myordertext25"><span>\xA5</span>{{parseFloat(detail.salesInvoice.amount+detail.salesInvoice.salesDeliveryFee-detail.salesInvoice.retAmount-detail.salesInvoice.couponAmount-detail.salesInvoice.cashBack)}}</div>\n                  </div>\n                </div>\n              </div>\n            </div>\n\n            <hr class="myorderhr1" >\n            <div class="row noMarginPadding myorderbutton1-div" ng-if="detail.evaluate.length==1">\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1 col" ng-click="onceMoreOrder(detail.salesInvoice.no)">\u518D\u6765\u4E00\u5355</div>\n              <div class="myorderbutton1 col" ng-click="goToEvaluate(detail.salesInvoice.no)" ng-if="!isFromLoginSalesMan">\u8FFD\u52A0\u8BC4\u4EF7</div>\n            </div>\n            <div class="row noMarginPadding myorderbutton1-div" ng-if="detail.evaluate.length==2">\n              <div class="myorderyuan1 myorderyuan-bottom"></div>\n              <div class="myorderyuan2 myorderyuan-bottom"></div>\n              <div class="myorderbutton1 col" ng-click="onceMoreOrder(detail.salesInvoice.no)">\u518D\u6765\u4E00\u5355</div>\n            </div>\n          </div>\n        </div>\n\n        <!--\u6211\u7684\u9000\u8D27\u5355\u4E09\u4E2A\u72B6\u6001-->\n        <div class="myorderitem1" ng-if="(detail.status==3 || detail.status==1 || detail.status==0 || detail.status==2)&&(tabcode==4)">\n          <div style="margin-top: 8px">\n            <div ng-click="goSalesReturnDetailPage(detail.no)">\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="row noMarginPadding">\n                    <div class="col col-80 myordertext2" ng-if="detail.status==2">\u5DF2\u53D6\u6D88\u9000\u8D27</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==1">\u9000\u8D27\u6210\u529F</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==0">\u9000\u8D27\u5546\u54C1\u5DF2\u6536\u8D27</div>\n                    <div class="col col-80 myordertext2" ng-if="detail.status==3">\u9000\u8D27\u5546\u54C1\u5DF2\u63D0\u4EA4</div>\n                  </div>\n                  <hr class="myorderhr1" ng-if="detail.status!=2">\n                  <div ng-if="detail.status!=2">\n                    <div class="myorderyuan1" ></div>\n                    <div class="myordertext2">\u9000\u8D27\u7F16\u53F7</div>\n                    <div class="myordertext16" ng-if="detail.status==1">{{detail.no}}</div>\n                  </div>\n                </div>\n                <div class="col col-50 noMarginPadding" >\n                  <div class="myordertext13" >{{detail.date}}</div>\n                  <hr class="myorderhr1" ng-if="detail.status!=2">\n                  <div ng-if="detail.status!=2">\n                    <div class="myorderyuan2" ></div>\n                    <div class="myordertext13" ng-if="detail.status !=1">{{detail.no}}</div>\n                    <!--<div class="myordertext14" ng-if="detail.status==0">\u9884\u8BA1\u9000\u6B3E\u65F6\u95F4</div>-->\n                    <!--<div class="myordertext14" ng-if="detail.status==3">\u9884\u8BA1\u6536\u8D27\u65F6\u95F4</div>-->\n                    <div class="myordertext7" ng-if="detail.status==1">\u9000\u6B3E\u65F6\u95F4</div>\n\n                    <!--<div class="myordertext8" ng-if="detail.status==0">{{detail.arriveDate}}</div>-->\n                    <!--<div class="myordertext8" ng-if="detail.status==3">{{detail.arriveDate}}</div>-->\n                    <div class="myordertext8" ng-if="detail.status==1">{{detail.confirmDate}}</div>\n                  </div>\n\n                </div>\n              </div>\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding">\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan1" ></div>\n                  <div class="myordertext9">\u9000\u8D27\u603B\u4EF7(<span class="myordertext10">{{detail.detailCount}}\u79CD\u5546\u54C1</span>)</div>\n                </div>\n                <div class="col col-50 noMarginPadding">\n                  <div class="myorderyuan2" ></div>\n                  <div class="myordertext11"><span class="myordertext12">\xA5</span>{{detail.retAmount}}</div>\n                </div>\n              </div>\n            </div>\n\n            <div  ng-if="detail.status==3">\n              <hr class="myorderhr1" >\n              <div class="row noMarginPadding myorderbutton1-div">\n                <div class="myorderyuan1 myorderyuan-bottom"></div>\n                <div class="myorderyuan2 myorderyuan-bottom"></div>\n                <div class="myorderbutton1 col"  ng-click="cancelSalesReturn(detail.no)">\u53D6\u6D88\u9000\u8D27</div>\n              </div>\n            </div>\n          </div>\n        </div>\n\n      </div><!--repeat\u7ED3\u675F\u7684</div>-->\n    </div>\n      <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n\n</ion-view>\n\n');
$templateCache.put('store/my/orderEvaluate.html','<ion-view hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u8BC4\u4EF7\u8BA2\u5355</h1>\n  </ion-header-bar>\n  <ion-content>\n    <!--<div class="row">-->\n      <!--<h4>\u914D\u9001\u8BC4\u5206\uFF1A</h4>-->\n    <!--</div>-->\n    <!--<div style="padding-top:2px">-->\n      <!--<ionic-ratings ratingsobj=\'deliveryRatingsObject\'></ionic-ratings>-->\n    <!--</div>-->\n    <!--<div class="row" ng-if="evaluateParam.deliveryScoreDescr"><h6>{{evaluateParam.deliveryScoreDescr}}</h6></div>-->\n    <div class="row">\n      <h4>\u670D\u52A1\u8BC4\u5206\uFF1A</h4>\n    </div>\n    <div style="padding-top:2px">\n      <ionic-ratings ratingsobj=\'serviceRatingsObject\'></ionic-ratings>\n    </div>\n    <div class="row" ng-if="evaluateParam.serviceScoreDescr"><h6>{{evaluateParam.serviceScoreDescr}}</h6></div>\n\n    <div class="row" style="padding-right: 20px;">\n      <p style="text-align: right;width: 100%;">\u8BC4\u4EF7\u5B8C\u6210\u624D\u4F1A\u4EA7\u751F\u79EF\u5206\u54E6</p>\n    </div>\n    <div style="width: 100%;padding: 0 8px">\n      <textarea style="width: 100%;background-color: #EFF3F6;resize:none;padding: 10px" rows=5 ng-model="evaluateParam.remarks" placeholder="\u5199\u4E0B\u4F60\u7684\u8BC4\u4EF7\uFF0C\u5BF9\u4ED6\u4EBA\u5E2E\u52A9\u5F88\u5927\u54E6"></textarea>\n    </div>\n    <div style="padding: 0 8px">\n      <button class="button button-block button-balanced " style="background-color: #ff6600" ng-click="addEvaluate()"> \u53D1\u8868\u8BC4\u4EF7 </button>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/promotion.html','<ion-view  hide-tabs="true">\n  <ion-content class="no-header">\n    <div class="bar bar-header">\n      <a href="#/tab/my" class="button icon-back02" style="color: white"></a>\n      <h1 class="title" style="color: white">\u4FC3\u9500\u6D3B\u52A8</h1>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/recommend.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1  class="title" style="color: white">\u4E3A\u60A8\u63A8\u8350</h1>\n  </ion-header-bar>\n  <ion-content lazy-scroll overflow-scroll="false" scrollbar-y="false">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records===0">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u63A8\u8350\u5546\u54C1\u54E6\uFF01<br/>\n      <button class="button button-positive" style="margin-top: 40%;" ng-click="goSearchResult()">\u53BB\u901B\u901B</button>\n    </div>\n    <div class="list"  ng-if="vm.data">\n      <div class="item sr-item" ng-repeat="item in vm.data">\n        <div show-brandgrade="{{item.brandCode}}"></div>\n        <div class="row noMarginPadding" >\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splcode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" style="position: relative;">\n              <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <div class="realtime-stock-count">\n                <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n              </div>\n              <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n            </a>\n          </div>\n          <div class="col col-67">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splcode,item.spAreaCode,item.delivType)">\n              <p style="font-size: 14px">{{item.descr}}</p>\n              <div ng-hide="emptyToken" class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n              <p ng-hide="emptyToken" class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n              <p ng-hide="emptyToken"><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span>  <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm != \'0\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n              <p>\n                <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n              </p>\n            </div>\n\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="vm.page==1" distance="10%" on-infinite="getNextPage()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight noMarginPadding" >\n    <div class="row order1" >\n      <div class="col col-67 left order2" >\n        <p class="text-center order3" >\u5171<span class="order4">{{qty}}</span>\u79CD\u5546\u54C1<span class="order5">\xA5{{money|number:2}}</span></p>\n      </div>\n      <div class="col col-33 right {{qty>0?\'order-clolr1\':currentOrder != \'1\'?\'order-clolr2\':\'order-clolr3\'}}">\n        <p class="text-center order6"  ng-click="goToOrder()" ng-if="qty>0"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order6"  ng-if="qty===0 && currentOrder == \'1\'"><span class="order7">\u53BB\u62A5\u8D27\u5355</span></p>\n        <p class="text-center order8"  ng-if="qty===0 && currentOrder != \'1\'"><span class="order9">\xA5{{salesBeginFund}}\u8D77\u9001</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/my/regedit.html','<ion-view  hide-tabs="true" view-title="\u96C6\u914D\u8BA2\u5355\u6CE8\u518C">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u624B\u673A\u5FEB\u901F\u6CE8\u518C</h1>\n  </ion-header-bar>\n  <ion-content>\n    <!--\u6CE8\u518C\u7B2C\u4E00\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="firstStepPage" ng-show="firstStep">\n      <div class="list" style="margin-bottom: 10px">\n        <label class="item item-input">\n          <input type="number" placeholder="\u8BF7\u8F93\u5165\u8981\u6CE8\u518C\u7AD9\u70B9\u7684\u624B\u673A\u53F7\u7801" ng-model="mobile" ng-keyup="mobileBlur(mobile)">\n        </label>\n        <div ng-hide="errorFlag" style="color: red;margin-top: 2px">\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u624B\u673A\u53F7\u7801\uFF01</div>\n      </div>\n      <div class="spl-checked-title">\n        <i class="icon ion-document-text"></i>\n        \u7AD9\u70B9\u4FE1\u606F\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-ios-flag spl-check-icon"></i><span>\u540D\u79F0</span>\n        </div>\n        <div class="col-75"><input  class="spl-check-value" type="text" ng-model="store.descr" placeholder="\u8BF7\u8F93\u5165\u7AD9\u70B9\u540D\u79F0"/></div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-android-contact spl-check-icon"></i><span>\u8054\u7CFB\u4EBA</span>\n        </div>\n        <div class="col-75"><input class="spl-check-value" type="text" ng-model="store.contact" placeholder="\u8BF7\u8F93\u5165\u8054\u7CFB\u4EBA"/></div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-bookmark spl-check-icon"></i><span>\u7701</span>\n        </div>\n        <div class="col-75">\n          <div class="item item-input item-input-wrapper searchlabel">\n            <input type="text" class="searchinput" placeholder="\u8BF7\u9009\u62E9\u6240\u5728\u7701" ng-model="store.provinCodeDescr" readonly>\n            <button class="button button-clear searchbtn" ng-click="goCommonSelect(\'provinCode\',\'singleselect\')">\u9009\u62E9</button>\n          </div>\n        </div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-bookmark spl-check-icon"></i><span>\u5E02</span>\n        </div>\n        <div class="col-75">\n          <div class="item item-input item-input-wrapper searchlabel">\n            <input type="text" class="searchinput" placeholder="\u8BF7\u9009\u62E9\u6240\u5728\u5E02" ng-model="store.cityCodeDescr" readonly>\n            <button class="button button-clear searchbtn" ng-click="goCommonSelect(\'cityCode\',\'singleselect\')">\u9009\u62E9</button>\n          </div>\n        </div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-bookmark spl-check-icon"></i><span>\u533A/\u53BF</span>\n        </div>\n        <div class="col-75">\n          <div class="item item-input item-input-wrapper searchlabel">\n            <input type="text" class="searchinput" placeholder="\u8BF7\u9009\u62E9\u6240\u5728\u533A/\u53BF" ng-model="store.areaCodeDescr" readonly>\n            <button class="button button-clear searchbtn" ng-click="goCommonSelect(\'areaCode\',\'singleselect\')">\u9009\u62E9</button>\n          </div>\n        </div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-bookmark spl-check-icon"></i><span>\u4E61\u9547/\u8857\u9053</span>\n        </div>\n        <div class="col-75">\n          <div class="item item-input item-input-wrapper searchlabel">\n            <input type="text" class="searchinput" placeholder="\u8BF7\u9009\u62E9\u6240\u5728\u4E61\u9547/\u8857\u9053" ng-model="store.streetCodeDescr" readonly>\n            <button class="button button-clear searchbtn" ng-click="goCommonSelect(\'streetCode\',\'singleselect\')">\u9009\u62E9</button>\n          </div>\n        </div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-location spl-check-icon"></i><span>\u914D\u9001\u5730\u5740</span>\n        </div>\n        <div class="col-75" style="position: relative;">\n          <input  class="spl-check-value" type="text" ng-model="store.address" placeholder="\u8BF7\u8F93\u5165\u914D\u9001\u5730\u5740"/>\n          <a style="position: absolute;right:0px;font-size: 20px;top:8px;color: #b2b2b2;"><i class="icon ion-android-locate" ng-click="goChangeAddress()"></i></a>\n        </div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-person-add spl-check-icon"></i><span>\u9080\u8BF7\u7801</span>\n        </div>\n        <div class="col-75" style="position: relative;">\n          <input  class="spl-check-value" type="text" ng-model="invitationId" placeholder="\u8BF7\u8F93\u5165\u9080\u8BF7\u7801\uFF0C\u5982\u65E0\u8BF7\u5FFD\u7565"/>\n        </div>\n      </div>\n\n      <div class="row row-center" style="padding: 0;margin-bottom: 10px;margin-left: 2px">\n        <input type="checkbox" ng-model="checked" ng-click="chkClick()" style="width: 24px;height: 24px">\n        <span style="margin-left: 8px;font-size: 12px">\u6211\u5DF2\u9605\u8BFB\u5E76\u540C\u610F<a ng-click="goAgreement()" style="color: blue;text-decoration:none;">\u300A\u96C6\u914D\u7AD9\u70B9\u6CE8\u518C\u534F\u8BAE\u300B</a></span>\n      </div>\n      <button class="button button-full" ng-click="errorFlag&&mobile&&store.descr&&store.contact&&store.provinCode&&store.cityCode&&store.areaCode&&store.streetCode&&store.address&&checked&&goSecondStepPage(mobile,invitationId)" style="background: {{errorFlag&&mobile&&store.descr&&store.contact&&store.provinCode&&store.cityCode&&store.areaCode&&store.streetCode&&store.address&&checked?\'#F05050\':\'#999999\'}};color: white">\n        \u4E0B\u4E00\u6B65\n      </button>\n      <div class="row" style="margin-top: 2px">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n    <!--\u6CE8\u518C\u7B2C\u4E8C\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="secondStepPage" ng-show="secondStep">\n      <div class="row" style="padding:5px 0">\n        <input type="text" ng-model="checkCode" placeholder="\u8BF7\u8F93\u5165\u9A8C\u8BC1\u7801" style="height: inherit;width:60%;background: #F0F3F5;margin-right: 10px;padding-left: 16px">\n        <a class="button" style="margin-right: 0;margin-left: auto;background: #FC9701;color: white" ng-click="getAuthCode()" ng-disabled="disableFlag">{{getAuthCodeLabel}}</a>\n      </div>\n      <button class="button button-full"  ng-click="checkCode&&goThirdStepPage(checkCode)" style="background: {{checkCode?\'#F05050\':\'#999999\'}};color: white">\n        \u4E0B\u4E00\u6B65\n      </button>\n      <div class="row">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n    <!--\u6CE8\u518C\u7B2C\u4E09\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none"  id="thirdStepPage"  ng-show="thirdStep">\n      <div class="list">\n        <div class="item item-input">\n          <span class="input-label" >\u5BC6\u7801</span>\n          <input type="{{isShowPassword?\'text\':\'password\'}}" ng-model="password" placeholder="\u8BF7\u8F93\u5165\u5BC6\u7801" ng-blur="passwordBlur(password,confirmPassword)">\n          <i class="icon placeholder-icon {{isShowPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showPassword()"></i>\n        </div>\n        <div class="item item-input" style="margin-top: 8px">\n          <span class="input-label" >\u786E\u8BA4\u5BC6\u7801</span>\n          <input type="{{isShowConfirmPassword?\'text\':\'password\'}}" ng-model="confirmPassword" placeholder="\u8BF7\u8F93\u5165\u786E\u8BA4\u5BC6\u7801" ng-blur="funEqualPassword(password,confirmPassword)">\n          <i class="icon placeholder-icon {{isShowConfirmPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showConfirmPassword()"></i>\n        </div>\n        <div ng-hide="errorPasswordFlag" style="color: red;margin-top: 2px;">\u60A8\u7684\u5BC6\u7801\u5B89\u5168\u6027\u592A\u5F31\uFF0C\u8BF7\u91CD\u65B0\u8F93\u5165\uFF01</div>\n        <div ng-show="equalPasswordFlag" style="color: red;margin-top: 2px;">\u4E24\u6B21\u5BC6\u7801\u8F93\u5165\u4E0D\u4E00\u81F4\uFF01</div>\n      </div>\n      <button class="button button-full" ng-click="errorPasswordFlag&&password&&confirmPassword&&finish(password,confirmPassword)" style="background: {{errorPasswordFlag&&password&&confirmPassword?\'#F05050\':\'#999999\'}};color: white">\n        \u5B8C\u6210\n      </button>\n      <div class="row item-text-wrap" ng-hide="true">\n        <span style="font-size: 12px">\u5BC6\u7801\u75316-20\u4F4D\u5B57\u7B26\u7EC4\u6210\uFF0C\u5305\u542B\u81F3\u5C11\u5305\u542B\u6570\u5B57\u3001\u5B57\u6BCD\uFF08\u533A\u5206\u5927\u5C0F\u5199\uFF09\u3001\u7279\u6B8A\u5B57\u7B26\u4E2D\u4E24\u79CD\u3002</span>\n      </div>\n    </div>\n    <!--\u6CE8\u518C\u6210\u529F\u754C\u9762-->\n    <div class="item" style="border:none;" id="successRegeditPage" ng-show="successRegedit">\n      <div style="margin-top: 130px;text-align: center">\n        <img src="img/successRegeditLogo.png" style="width: 150px;height: 86px">\n      </div>\n      <div style="margin-top: 32px;text-align: center;color: #FF9700;font-size: 20px">\n        <i class="ion-checkmark-circled" ></i>\n        \u606D\u559C\u60A8\uFF0C\u6CE8\u518C\u6210\u529F\n      </div>\n      <div style="margin-top: 8px;margin-bottom: 14px;text-align: center">\n        <p style="font-size: 10px;color:#FFB844">CONGRATULATIONS,REGISTRATION SUCCESS</p>\n      </div>\n      <button class="button button-full" style="background: #F05050;color: white" ng-click="goLoginPage()">\n        \u767B\u5F55\n      </button>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/resetpassword.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" style="color:white;"></a>\n    <h1 class="title" style="color:white ">\u627E\u56DE\u5BC6\u7801</h1>\n  </ion-header-bar>\n  <ion-content class="padding">\n    <!--\u627E\u56DE\u5BC6\u7801\u7B2C\u4E00\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="firstStepPage" ng-show="firstStep">\n      <div class="list" style="margin-bottom: 18px">\n        <label class="item item-input" style="background: #F0F3F5;border:none">\n          <input type="number" placeholder="\u8BF7\u8F93\u5165\u60A8\u6CE8\u518C\u65F6\u586B\u5199\u7684\u624B\u673A\u53F7\u5417" ng-model="mobile" ng-keyup="mobileBlur(mobile)">\n        </label>\n        <div ng-hide="errorFlag" style="color: red;margin-top: 2px">\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u624B\u673A\u53F7\u7801\uFF01</div>\n        <div class="row" style="padding:8px 0;height: 47px">\n          <input type="text" ng-model="pageCheckCode" placeholder="\u8BF7\u8F93\u5165\u53F3\u8FB9\u9A8C\u8BC1\u7801" style="height: inherit;width:60%;background: #F0F3F5;padding-left: 16px">\n          <a class="button" style="margin-right: 0;margin-left: auto;width:35%;padding:0" ng-click="pageAuthCodeClick()">\n            <img src="{{pageAuthCodeImgUrl}}" style="width: 100%;height: 45px">\n          </a>\n        </div>\n      </div>\n      <button class="button button-full" ng-click="errorFlag&&mobile&&pageCheckCode&&goSecondStepPage(mobile,pageCheckCode)" style="background: {{errorFlag&&mobile&&pageCheckCode?\'#F05050\':\'#999999\'}};color: white">\n        \u4E0B\u4E00\u6B65\n      </button>\n      <div class="row" style="margin-top: 3px">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n    <!--\u627E\u56DE\u5BC6\u7801\u7B2C\u4E8C\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="secondStepPage" ng-show="secondStep">\n      <div class="row" style="padding:5px 0">\n        <input type="text" ng-model="checkCode" placeholder="\u8BF7\u8F93\u5165\u77ED\u4FE1\u9A8C\u8BC1\u7801" style="height: inherit;width:60%;background: #F0F3F5;margin-right: 10px;padding-left: 16px">\n        <a class="button" style="margin-right: 0;margin-left: auto;background: #FC9701;color: white" ng-click="getAuthCode()" ng-disabled="disableFlag">{{getAuthCodeLabel}}</a>\n      </div>\n      <button class="button button-full"  ng-click="checkCode&&goThirdStepPage(checkCode)" style="background: {{checkCode?\'#F05050\':\'#999999\'}};color: white">\n        \u4E0B\u4E00\u6B65\n      </button>\n      <div class="row">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n    <!--\u627E\u56DE\u5BC6\u7801\u7B2C\u4E09\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none"  id="thirdStepPage" ng-show="thirdStep" >\n      <div class="list">\n        <div class="item item-input">\n          <input type="{{isShowPassword?\'text\':\'password\'}}" ng-model="password" placeholder="\u8BF7\u8F93\u5165\u65B0\u7684\u5BC6\u7801" ng-blur="passwordBlur(password,confirmPassword)">\n          <i class="icon placeholder-icon {{isShowPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showPassword()"></i>\n        </div>\n        <div class="item item-input" style="margin-top: 8px">\n          <input type="{{isShowConfirmPassword?\'text\':\'password\'}}" ng-model="confirmPassword" placeholder="\u8BF7\u518D\u8F93\u5165\u4E00\u6B21" ng-blur="funEqualPassword(password,confirmPassword)">\n          <i class="icon placeholder-icon {{isShowConfirmPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showConfirmPassword()"></i>\n        </div>\n        <div ng-hide="errorPasswordFlag" style="color: red;margin-top: 2px">\u60A8\u7684\u5BC6\u7801\u5B89\u5168\u6027\u592A\u5F31\uFF0C\u8BF7\u91CD\u65B0\u8F93\u5165\uFF01</div>\n        <div ng-show="equalPasswordFlag" style="color: red;margin-top: 2px">\u4E24\u6B21\u5BC6\u7801\u8F93\u5165\u4E0D\u4E00\u81F4\uFF01</div>\n      </div>\n      <button class="button button-full" ng-click="errorPasswordFlag&&password&&confirmPassword&&finish(password,confirmPassword)" style="background: {{errorPasswordFlag&&password&&confirmPassword?\'#F05050\':\'#999999\'}};color: white">\n        \u5B8C\u6210\n      </button>\n      <div class="row item-text-wrap" ng-hide="true">\n        <span style="font-size: 12px">\u5BC6\u7801\u75316-20\u4F4D\u5B57\u7B26\u7EC4\u6210\uFF0C\u5305\u542B\u81F3\u5C11\u5305\u542B\u6570\u5B57\u3001\u5B57\u6BCD\uFF08\u533A\u5206\u5927\u5C0F\u5199\uFF09\u3001\u7279\u6B8A\u5B57\u7B26\u4E2D\u4E24\u79CD\u3002</span>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/my/rule.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u4FBF\u5229\u5B9D\u4EA4\u6613\u6761\u6B3E</h1>\n  </ion-header-bar>\n  <ion-content id="ruleContent" style="color: #333333;"  overflow-scroll="true" scrollbar-y="false" scroll="true">\n    <div style="padding: 16px 16px;">\n      <p class="ruleTitle" style="text-indent:0">\u5C0A\u656C\u7684\u4FBF\u5229\u5B9D\u7528\u6237\uFF1A</p>\n      <p class="rule-p1">\u60A8\u5728\u63A5\u53D7\u5546\u54C1\u8BA2\u8D2D\u4E0E\u9001\u8D27\u7684\u540C\u65F6\uFF0C\u6709\u4E49\u52A1\u9075\u5B88\u4EE5\u4E0B\u4EA4\u6613\u6761\u6B3E\u3002\u60A8\u5728\u4FBF\u5229\u5B9D\u4E0B\u8BA2\u5355\u4E4B\u524D\u6216\u63A5\u53D7\u4FBF\u5229\u5B9D\u9001\u8D27\u4E4B\u524D\uFF0C\u8BF7\u60A8\u4ED4\u7EC6\u9605\u8BFB\u4EE5\u4E0B\u6761\u6B3E\uFF1A</p>\n      <p class="rule-p1">1.\u8BA2\u8D2D\u7684\u5546\u54C1\u4EF7\u683C\u4EE5\u60A8\u4E0B\u8BA2\u5355\u65F6\u4FBF\u5229\u5B9D\u5E73\u53F0\u4EF7\u683C\u4E3A\u51C6\u3002\u4FBF\u5229\u5B9D\u5E73\u53F0\u663E\u793A\u7684\u5546\u54C1\u4EF7\u683C\u5747\u662F\u5E73\u53F0\u6839\u636E\u540C\u5546\u54C1\u591A\u4E2A\u4F9B\u5E94\u5546\u63D0\u4F9B\u7684\u4EF7\u683C\u8FDB\u884C\u62E9\u4F18\u7B5B\u9009\u7684\u81EA\u52A8\u51FA\u4EF7\uFF0C\n        \u4FBF\u5229\u5B9D\u516C\u53F8\u6216\u5E73\u53F0\u5E76\u6CA1\u6709\u5B9A\u4EF7\u6743\uFF0C\u60A8\u9009\u62E9\u5546\u54C1\u5373\u8868\u793A\u5DF2\u63A5\u53D7\u4EF7\u683C\uFF0C\u5E76\u80FD\u4FDD\u8BC1\u4EA4\u6613\u7684\u5C65\u7EA6\u3002\n      </p>\n      <p class="rule-p1">\n        2.\u8BF7\u6E05\u695A\u51C6\u786E\u5730\u586B\u5199\u60A8\u7684\u771F\u5B9E\u59D3\u540D\u3001\u9001\u8D27\u5730\u5740\u53CA\u8054\u7CFB\u65B9\u5F0F\u3002\u56E0\u5982\u4E0B\u60C5\u51B5\u9020\u6210\u8BA2\u5355\u5EF6\u8FDF\u6216\u65E0\u6CD5\u914D\u9001\u7B49\uFF0C\u4FBF\u5229\u5B9D\u5C06\u4E0D\u627F\u62C5\u8D23\u4EFB\uFF1A\n      </p>\n      <p class="rule-p1">A.\u5BA2\u6237\u63D0\u4F9B\u9519\u8BEF\u4FE1\u606F\u548C\u4E0D\u8BE6\u7EC6\u7684\u5730\u5740\uFF1B</p>\n      <p class="rule-p1">B.\u8D27\u7269\u9001\u8FBE\u65E0\u4EBA\u7B7E\u6536\uFF0C\u7531\u6B64\u9020\u6210\u7684\u91CD\u590D\u914D\u9001\u6240\u4EA7\u751F\u7684\u8D39\u7528\u53CA\u76F8\u5173\u7684\u540E\u679C\uFF1B</p>\n      <p class="rule-p1">C.\u4E0D\u53EF\u6297\u529B\uFF0C\u4F8B\u5982\uFF1A\u81EA\u7136\u707E\u5BB3\u3001\u4EA4\u901A\u6212\u4E25\u3001\u7A81\u53D1\u6218\u4E89\u7B49\u3002</p>\n      <p class="rule-p1">\n        3.\u9690\u79C1\u6743\uFF1A\u4FBF\u5229\u5B9D\u5C0A\u91CD\u60A8\u7684\u9690\u79C1\u6743\u53CA\u4EA4\u6613\u4FE1\u606F\u7684\u5B89\u5168\uFF0C\u5728\u4EFB\u4F55\u60C5\u51B5\u4E0B\uFF0C\u6211\u4EEC\u90FD\u4E0D\u4F1A\u5C06\u60A8\u7684\u4E2A\u4EBA\u548C\u8BA2\u5355\u4FE1\u606F\u51FA\u552E\u6216\u6CC4\u9732\u7ED9\u4EFB\u4F55\u7B2C\u4E09\u65B9\uFF08\u56FD\u5BB6\u53F8\u6CD5\u673A\u5173\u8C03\u53D6\u9664\u5916\uFF09\u3002\n        \u6211\u4EEC\u4ECE\u7F51\u7AD9\u4E0A\u6216\u7535\u8BDD\u4E2D\u5F97\u5230\u7684\u6240\u6709\u5BA2\u6237\u4FE1\u606F\uFF0C\u4EC5\u7531\u4FBF\u5229\u5B9D\u6388\u6743\u7684\u5458\u5DE5\u7528\u6765\u5904\u7406\u60A8\u7684\u8BA2\u5355\u3002\n      </p>\n      <p class="rule-p1">\n        4.\u514D\u8D23\uFF1A\u5982\u56E0\u4E0D\u53EF\u6297\u529B\u6216\u5176\u5B83\u4FBF\u5229\u5B9D\u65E0\u6CD5\u63A7\u5236\u7684\u539F\u56E0\u4F7F\u4FBF\u5229\u5B9D\u9500\u552E\u7CFB\u7EDF\u5D29\u6E83\u6216\u65E0\u6CD5\u6B63\u5E38\u4F7F\u7528\u5BFC\u81F4\u7F51\u4E0A\u4EA4\u6613\u65E0\u6CD5\u5B8C\u6210\u6216\u4E22\u5931\u6709\u5173\u7684\u4FE1\u606F\u3001\u8BB0\u5F55\u7B49\uFF0C\n        \u4FBF\u5229\u5B9D\u4F1A\u5C3D\u53EF\u80FD\u5408\u7406\u5730\u534F\u52A9\u5904\u7406\u5584\u540E\u4E8B\u5B9C\uFF0C\u5E76\u52AA\u529B\u4F7F\u5BA2\u6237\u514D\u53D7\u7ECF\u6D4E\u635F\u5931\u3002\n      </p>\n      <p class="rule-p1">\n        5.\u5BA2\u6237\u76D1\u7763\uFF1A\u4FBF\u5229\u5B9D\u5E0C\u671B\u901A\u8FC7\u4E0D\u61C8\u52AA\u529B\uFF0C\u4E3A\u5BA2\u6237\u63D0\u4F9B\u6700\u4F73\u670D\u52A1\uFF0C\u4FBF\u5229\u5B9D\u5728\u7ED9\u5BA2\u6237\u63D0\u4F9B\u670D\u52A1\u7684\u5168\u8FC7\u7A0B\u4E2D\u63A5\u53D7\u5BA2\u6237\u7684\u76D1\u7763\u3002\n      </p>\n      <p class="rule-p1">\n        6.\u4E89\u8BAE\u5904\u7406\uFF1A\u5982\u679C\u5BA2\u6237\u4E0E\u4FBF\u5229\u5B9D\u4E4B\u95F4\u53D1\u751F\u4EFB\u4F55\u4E89\u8BAE\uFF0C\u53EF\u4F9D\u636E\u5F53\u65F6\u53CC\u65B9\u6240\u8BA4\u5B9A\u7684\u534F\u8BAE\u53CA\u76F8\u5173\u6CD5\u5F8B\u8FDB\u884C\u89E3\u51B3\u3002\n      </p>\n      <p class="rule-p2"><br>\u798F\u5EFA\u4FBF\u5229\u5B9D\u7535\u5B50\u5546\u52A1\u6709\u9650\u516C\u53F8</p>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/salesInvoiceCoupon.html','<ion-view view-title="\u8BA2\u5355\u5DF2\u7528\u4F18\u60E0\u5238" hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar ">\n    <a class="button icon-back02" ng-click="goBack()"  style="color: white"></a>\n    <h1 class="title">\u8BA2\u5355\u5DF2\u7528\u4F18\u60E0\u5238</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false">\n    <div class="noRecord" ng-if="!couponsList || couponsList.length===0">\n      \u6682\u672A\u627E\u5230\u5DF2\u7528\u5361\u5238\u54E6\uFF01\n    </div>\n    <div class="item" style="padding: 5px" ng-repeat="detail in couponsList">\n      <div style="padding: 0;position: relative;width:100%;">\n        <div class="{{detail.storeHolderState==1?\'stamp0\'+(detail.coupon.type)+\'_left\':\'stamp00_left\'}}"></div>\n        <div class="stamp {{detail.storeHolderState==1?\'stamp0\'+(detail.coupon.type):\'stamp00\'}}">\n          <div class="par"><p>{{detail.coupon.cname}}</p><sub class="sign">\xA5</sub><span>{{detail.coupon.amount}}</span><sub>{{detail.coupon.typeLabel}}</sub><p style="font-size: 12px;">{{detail.coupon.splCodeLabel}}</p><p style="font-size: 10px;color:rgba(255, 255, 255, .8);">{{detail.coupon.conditionDescr}}</p></div>\n          <div class="copy"><img src="img/logo_max.png"><p>{{detail.coupon.issueDate | limitTo:10}}<br>{{detail.coupon.expiryDate | limitTo:10}}</p><a href="#">{{detail.storeHolderState==1?\'\u7ACB\u5373\u4F7F\u7528\':detail.storeHolderStateLabel}}</a></div>\n          <i ng-click="useCoupon($index,detail.coupon.splCode,detail.coupon.itemType1,detail.coupon.itemType2,detail.coupon.itemType3,detail.coupon.brandCode)"></i>\n        </div>\n        <div class="{{detail.storeHolderState==1?\'stamp0\'+(detail.coupon.type)+\'_right\':\'stamp00_right\'}}"></div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/salesInvoiceDetail.html','<ion-view hide-tabs="true" view-title="\u4FBF\u5229\u5B9D\u8BA2\u5355\u4FE1\u606F">\n  <ion-header-bar class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u8BA2\u5355\u8BE6\u60C5</h1>\n  </ion-header-bar>\n  <div class="item first-header" style="background-color: #eeeeee;">\n    <span class="spandiv">\u8BA2\u5355\u53F7\uFF1A{{salesInvoiceModel.no}}</span><span class="item-note">\u65E5\u671F\uFF1A{{salesInvoiceModel.crtDate}}</span>\n  </div>\n  <ion-content overflow-scroll="true"  style="overflow:auto;background-color: #e5e5e5;margin-top: 36px;">\n    <div class="list">\n      <div class="item sr-item"  ng-repeat="item in salesInvoiceModel.salesInvoiceDetailList">\n        <!--<div ng-if="item.rank != \'1\'" class="floatceng">-->\n          <!--<img ng-src="img/notOnSales.png" style="width: 58px;height: 58px;position: absolute;top:0;left: 0;">-->\n        <!--</div>-->\n        <div class="row noMarginPadding" >\n          <div class="col col-25" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem">\n              <img class="icon tabicon" ng-src="{{item.item.imgUrl}}">\n            </a>\n          </div>\n          <div class="col col-75">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p class="sr-descr" >{{item.item.descr}}</p>\n              <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</p>\n              <p class="sr-deal">\u6570\u91CF:<span style="color: red;">{{item.qty}}</span>&nbsp&nbsp<span class="sr-deal" ng-if="item.retQty>0">\u7F3A:<span style="color: red;">{{item.retQty}}</span></span>\n                <span class="canret" ng-click="goRetRemark(item.item.retRemark)">{{item.canRetDescr}}</span>\n              </p>\n              <p><span class="sr-login">\xA5{{item.bcost|number:2}}/{{item.item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                <span class="ordersum1">\xA5{{(item.qty-item.retQty)*(item.bcost-item.cashBack) | number:2}}</span>\n                <span class="ordersum2">\u5C0F\u8BA1</span>\n              </p>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div style="float: right;margin-right: 15px;color: #666;" ng-if="salesInvoiceModel.salesDeliveryFee > 0">\u8FD0\u8D39\uFF1A<span style="font-size:14px;color: #f05050;">\xA5{{salesInvoiceModel.salesDeliveryFee}}</span></div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row" style="padding:0;margin:0; color: #ffffff;" ng-if="salesInvoiceModel.status<=3">\n      <div class="col  left" style="background: #000000;" >\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5171<span style="font-size: 18px;color: #F05050;">{{salesInvoiceModel.salesInvoiceDetailList.length}}</span>\u79CD\u5546\u54C1<span style="font-size: 18px;color: #F05050;">\xA5{{salesInvoiceModel.amount + salesInvoiceModel.salesDeliveryFee - salesInvoiceModel.cashBack - salesInvoiceModel.couponAmount |number:2}}</span><span ng-if="salesInvoiceModel.couponAmount > 0 || salesInvoiceModel.cashBack > 0" ng-click="goShowSalesInvoiceCoupon()" >(\u5DF2\u4F18\u60E0<span style="color: #F05050;text-decoration: underline;">\xA5{{salesInvoiceModel.couponAmount + salesInvoiceModel.cashBack |number}}</span>)</span></p>\n      </div>\n    </div>\n    <div class="row" style="padding:0;margin:0; color: #ffffff;" ng-if="salesInvoiceModel.status>3">\n      <div class="col col-33  left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5E94\u4ED8<span style="font-size: 18px;color: #F05050;">\xA5{{parseFloat(salesInvoiceModel.amount+salesInvoiceModel.salesDeliveryFee-salesInvoiceModel.retAmount)}}</span></p>\n      </div>\n      <div class="col col-33 left" style="background: #000000;" ng-if="salesInvoiceModel.couponAmount > 0 || salesInvoiceModel.cashBack > 0" ng-click="goShowSalesInvoiceCoupon()">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u4F18\u60E0<span style="font-size: 18px;color: #F05050;text-decoration: underline;">\xA5{{parseFloat(salesInvoiceModel.couponAmount + salesInvoiceModel.cashBack)}}</span></p>\n      </div>\n      <div class="col  left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5B9E\u4ED8<span style="font-size: 18px;color: #F05050;">\xA5{{parseFloat(salesInvoiceModel.amount+salesInvoiceModel.salesDeliveryFee-salesInvoiceModel.retAmount-salesInvoiceModel.cashBack - salesInvoiceModel.couponAmount)}}</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/my/salesReturnApply.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u7533\u8BF7\u9000\u8D27</h1>\n  </ion-header-bar>\n  <ion-content style="background-color: #e5e5e5">\n    <div class="list">\n      <div class="item sr-item"  ng-repeat="item in salesInvoiceModel.salesInvoiceDetailList">\n        <div class="row" style="margin: 0;padding: 0">\n          <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n            <a class="tab-item griditem new-tab-item" href="#">\n              <img class="icon bigtabicon" ng-src="{{item.item.imgUrl}}">\n            </a>\n          </div>\n          <div class="col col-67" style="font-size: 12px;line-height: 14px">\n            <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <p class="sr-descr" >{{item.item.descr}}</p>\n              <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splCodeDescr}}</p>\n              <p><span class="sr-login">\xA5{{item.bcost|number:2}}/{{item.item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                <span class="ordersum1">\xA5{{item.qty*(item.bcost-item.cashBack) | number:2}}</span>\n                <span class="ordersum2">\u5C0F\u8BA1</span>\n              </p>\n            </div>\n            <p style="margin-top: 4px">\u53EF\u9000\u6570\u91CF\uFF1A<span style="color: red;">{{item.canRetQty}}{{item.item.uomDescr}}</span></p>\n            <div class="row sr-row">\n              <div class="col col-60 noMarginPadding" >\n                <div class="row noMarginPadding"  >\n                  <div class="sr-div1 noMarginPadding" ng-click="item.qty>0&&changeQty1(\'-\',item)">-</div>\n                  <div class="sr-div" ng-click="item.qty>0&&updateShoppingCarQty($index)">\n                    <input class="sr-item-qtyinput" ng-model="item.qty"  type="number" disabled>\n                  </div>\n                  <div class="sr-div1 noMarginPadding" ng-click="item.qty>0&&changeQty1(\'+\',item)">+</div>\n                </div>\n              </div>\n              <div class="col col-40 sr-col">\n                <div class="{{item.qty==\'0\'?\'sr-add1\':\'sr-add\'}}" ng-click="item.qty>0&&toggleApplyBtn($index)">{{item.applyBtnLabel}}</div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row" style="padding:0;margin:0; color: #ffffff;">\n      <div class="col  left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u7533\u8BF7\u9000\u56DE<span style="font-size: 18px;color: #F05050;">{{retQty}}</span>\u6B3E\u5546\u54C1<span style="font-size: 18px;color: #F05050;">\xA5{{retSumCost| number:2}}</span></p>\n      </div>\n      <div class="col col-33 right" style="background:#F15353" ng-if="retSumCost>0">\n        <p class="text-center" style="margin:5px;" ng-click="commit()"><span style="font-size: 18px">\u63D0\u4EA4</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n');
$templateCache.put('store/my/salesReturnDetail.html','<ion-view hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar" style="border-bottom: 0px;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u9000\u8D27\u8BE6\u60C5</h1>\n  </ion-header-bar>\n  <ion-content style="background-color: #e5e5e5">\n    <div class="list">\n      <div class="item sr-item"  ng-repeat="item in salesReturnModel.salesReturnDetail">\n        <div class="row" style="margin: 0;padding: 0" ng-click="goGoodsDetailPage(item.itcode.trim(),item.splCode,item.delivType)">\n          <div class="col col-25">\n            <a class="tab-item griditem" href="#">\n              <img class="icon bigtabicon" ng-src="{{item.item.imgUrl}}">\n            </a>\n          </div>\n          <div class="col col-75">\n            <p class="sr-descr">{{item.item.descr}}</p>\n            <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splCodeDescr}}</p>\n            <p style="color: red;">\xA5{{item.bcost}}/{{item.item.uomDescr}}</p>\n            <div class="row" style="padding: 0;font-size: small">\n              <div class="col col-50" style="margin: 0;padding: 0">\n                \u7533\u8BF7\u6570\u91CF:<span style="color: #FF5E57">{{item.qty}}</span>\n              </div>\n              <div class="col col-50" style="margin: 0;padding: 0">\n                \u7533\u8BF7\u91D1\u989D:<span style="color: #FF5E57">\xA5{{item.lineAmount|number:2}}</span>\n              </div>\n            </div>\n            <div class="row" style="margin-top:0;padding: 0;font-size: small" ng-hide="salesReturnModel.status!=\'1\'">\n              <div class="col col-50" style="margin: 0;padding: 0">\n                \u5B9E\u9000\u6570\u91CF:<span style="color: #FF5E57">{{item.checkQty}}</span>\n              </div>\n              <div class="col col-50" style="margin: 0;padding: 0">\n                \u5B9E\u9000\u91D1\u989D:<span style="color:#FF5E57;">\xA5{{item.checkLineAmount|number:2}}</span>\n              </div>\n            </div>\n          </div>\n        </div>\n\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row" style="padding:0;margin-left: 0;margin-right: 0; color: #ffffff;background: #000000">\n      <div class="col">\n        <p class="text-center" style="margin:5px;">\u7533\u8BF7<span style="font-size: large;color: #F05050;">\xA5{{salesReturnModel.retAmount|number:2}}</span></p>\n      </div>\n      <div class="col" ng-hide="salesReturnModel.status!=\'1\'">\n        <p class="text-center" style="margin:5px;">\u5B9E\u9000<span style="font-size: large;color: #F05050;">\xA5{{salesReturnModel.checkRetAmount|number:2}}</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/my/salesReturnList.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-content class="has-header" style="background-color: #e5e5e5">\n    <div ng-show="salesReturnListModel.records == 0">\n      <div class="row">\n        <p>\u60A8\u8FD8\u6CA1\u6709\u76F8\u5173\u7684\u9000\u8D27\u5355</p>\n      </div>\n    </div>\n\n    <div class="list">\n      <div class="item " ng-repeat="(index,item) in salesReturnListModel.items" style="background-color: #FFFFFF;padding: 0 0 0 6px;margin-top: {{index==0?\'8px\':\'4px\'}}">\n        <div >\n          <div class="row">\n            <div class="col col-33 ordertitle">\u5F53\u524D\u72B6\u6001 </div>\n            <div class="col col-67 orderstatus">{{item.statusDescr}}</div>\n          </div>\n          <div class="row">\n            <div class="col col-33 ordertitle">\u9000\u8D27\u65F6\u95F4</div>\n            <div class="col col-67 ordertext">{{item.date}}</div>\n          </div>\n          <div class="row">\n            <div class="col col-33 ordertitle">\u8BA2\u5355\u7F16\u53F7</div>\n            <div class="col col-67 ordertext">{{item.no}}</div>\n          </div>\n          <div class="row">\n            <div class="col col-33 ordertitle">\u9000\u8D27\u603B\u4EF7</div>\n            <div class="col col-67 orderjiaqian">\xA5{{item.status=="1"?item.checkRetAmount:item.retAmount}}\u5143</div>\n          </div>\n          <span class="icon-dropright orderjiantou"></span>\n        </div>\n        <hr style="margin:1px 0 1px 0px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" >\n        <div>\n          <div class="row" style="margin: 0;padding: 0">\n            <div class="col col-50 orderbutton" >\n              <div style="width: 100%;height: 100%" ng-show="item.status==\'3\'" ng-click="cancelSalesReturn(item.no)">\u53D6\u6D88\u9000\u8D27</div>\n            </div>\n            <hr style="width: 1px;height: 26px;align-self: center;;color: #D8D8D8" >\n            <div class="col col-50 orderbutton" >\n              <div style="width: 100%;height: 100%;color: #ff6600"  ng-click="goSalesReturnProgressPage(item.date)">\u9000\u8D27\u8FDB\u5EA6</div>\n            </div>\n          </div>\n        </div>\n\n      </div>\n\n    </div>\n\n    <ion-infinite-scroll\n      immediate-check="false"\n      ng-if="vm_salesReturn.hasmoredata"\n      on-infinite="vm_salesReturn.loadMore()"\n      distance="1%">\n    </ion-infinite-scroll>\n\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/salesReturnProgress.html','<ion-view hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a href="#/orderTabTop/salesReturnList" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u9000\u8D27\u8FDB\u5EA6</h1>\n  </ion-header-bar>\n  <ion-content>\n    <div class="item">\n      <div class="row" style="padding: 0">\n        <div class="col col-30">\n          <!--{{date}}-->\n          2016.2.23\n        </div>\n        <div class="col col-10"><i class="ion-ios-circle-filled"></i> </div>\n        <div class="col col-60">\u6211\u4EEC\u5DF2\u6536\u5230\u60A8\u7684\u9000\u8D27\u7533\u8BF7</div>\n      </div>\n      <div class="row" style="padding: 0">\n        <div class="col col-30"></div>\n        <div class="col col-10"><i class="ion-ios-circle-filled"></i> </div>\n        <div class="col col-60"></div>\n      </div>\n      <div class="row" style="padding: 0">\n        <div class="col col-30"></div>\n        <div class="col col-10"><i class="ion-ios-circle-filled"></i> </div>\n        <div class="col col-60"></div>\n      </div>\n      <div class="row" style="padding: 0">\n        <div class="col col-30" ></div>\n        <div class="col col-10"><i class="ion-ios-circle-filled"></i> </div>\n        <div class="col col-60"></div>\n      </div>\n      <div class="row" style="padding: 0">\n        <div class="col col-30">2016.2.23</div>\n        <div class="col col-10"><i class="ion-ios-circle-filled"></i> </div>\n        <div class="col col-60">\u9884\u8BA1\u9000\u8D27\u6210\u529F\u65F6\u95F4</div>\n      </div>\n    </div>\n    <div class="item item-text-wrap" style="margin-top: 10px">\n      <div style="padding:5px">\u9000\u8D27\u6D41\u7A0B\u8BF4\u660E</div>\n      <div class="row row-wrap">\n        <p>1\u3001\u60A8\u505A\u597D\u9000\u8D27\u7533\u8BF7\u540E\uFF0C\u914D\u9001\u4EBA\u5458\u4F1A\u5230\u7AD9\u70B9\u8FDB\u884C\u9000\u8D27\u6536\u53D6\u3002</p>\n        <p>2\u3001\u914D\u9001\u4EBA\u5458\u6536\u53D6\u9000\u8D27\u540E\uFF0C\u4F1A\u5728\u4ED6\u4EEC\u624B\u673A\u4FBF\u5229\u5B9Dapp\u8FDB\u884C\u201C\u9000\u8D27\u63A5\u6536\u201D\uFF0C\u5E76\u5C06\u9000\u540E\u5E26\u56DE\u516C\u53F8\u3002</p>\n        <p>3\u3001\u4ED3\u50A8\u90E8\u6536\u5230\u9000\u8D27\u540E\uFF0C\u9000\u8D27\u4EBA\u5458\u4F1A\u5BF9\u9000\u8D27\u8FDB\u884C\u786E\u8BA4\u3002</p>\n        <p>4\u3001\u9000\u8D27\u4EBA\u5458\u5BF9\u53EF\u9000\u5546\u54C1\u8FDB\u884C\u786E\u8BA4\u540E\uFF0C\u9000\u8D27\u91D1\u989D\u4F1A\u81EA\u52A8\u6253\u5165\u60A8\u7684\u4FBF\u5229\u5B9D\u8D26\u53F7\u3002</p>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/selectSpAreaCode.html','<ion-view view-title="\u5207\u6362\u670D\u52A1\u5546"  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title" style="color: white">\u5207\u6362\u670D\u52A1\u5546</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" style="overflow-y:auto;overflow-x:hidden;background-color: #f2f2f2">\n    <div ng-if="storeAreaConfigs.length < 2">\n      <div style="width: 100%;height:100%;text-align: center;padding-top: 40%;padding-bottom: 20px;">\n        <i class="icon ion-paper-airplane" style="font-size: 33px !important;color: #d6d5d6"></i>\n      </div>\n      <div style="padding:0;text-align: center;" >\n        <p class="col" style="padding: 0;font-size: 13px;color: #999999;font-family: PingFang-SC-Regular;">\n          <span style="font-size: 16px;">\u6CA1\u6709\u53EF\u5207\u6362\u7684\u670D\u52A1\u5546</span>\n        </p>\n      </div>\n    </div>\n    <div class="list" style="background-color: #FFFFFF;padding: 0;border-top: 1px solid #e8e8e8;border-bottom: 1px solid #e8e8e8;" ng-if="storeAreaConfigs.length >= 2">\n      <div ng-repeat="storeAreaConfig in storeAreaConfigs">\n        <div class="row" style="padding: 0 5px 0 5px;" ng-click="changeStoreAreaConfig(storeAreaConfig)">\n          <div class="col col-10 col-center" style="text-align: right" >\n            <i class="icon ion-ios-checkmark {{storeAreaConfig.isChecked ? \'add-checked\':\'add-nochecked\'}}"></i>\n          </div>\n          <div class="col col-90">\n            <div class="row" style="padding-bottom: 8px;">\n              <span style="font-weight:bold;font-size: 16px;">{{storeAreaConfig.spAreaCodeDescr}}</span>\n            </div>\n            <div class="row noMarginPadding">\n              <div class="col col-50 storeareaconfig-div noMarginPadding">\n                <p><span class="labeldiv">\u8D77\u8BA2\u91D1\u989D\uFF1A</span><span class="labelvalue">{{storeAreaConfig.salesBeginFund}}</span></p>\n                <p><span class="labeldiv">\u6EE1x\u5143\u514D\u8FD0\u8D39\uFF1A</span ><span class="labelvalue">{{storeAreaConfig.minSalesDeliveryAmount}}</span></p>\n                <p><span class="labeldiv">\u8FD0\u8D39\uFF1A</span><span class="labelvalue">{{storeAreaConfig.salesDeliveryFee}}</span></p>\n              </div>\n              <div class="col col-50 storeareaconfig-div noMarginPadding">\n                <p><span class="labeldiv">\u914D\u9001\u7EBF\u8DEF\uFF1A</span><span class="labelvalue">{{storeAreaConfig.deliveryLine}}</span></p>\n                <p><span class="labeldiv">\u914D\u9001\u5458\uFF1A</span><span class="labelvalue">{{storeAreaConfig.sendManDescr}}</span></p>\n                <p><span class="labeldiv">\u4E1A\u52A1\u5458\uFF1A</span><span class="labelvalue">{{storeAreaConfig.salesManDescr}}</span></p>\n              </div>\n            </div>\n          </div>\n        </div>\n        <hr class="myhr2">\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/softwareUseAgreement.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar" >\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u96C6\u914D\u8BA2\u5355\u7528\u6237\u6CE8\u518C\u534F\u8BAE</h1>\n  </ion-header-bar>\n  <ion-content id="ruleContent" style="color: #333333;"  overflow-scroll="true" scrollbar-y="false" scroll="true">\n    <div style="padding: 16px 16px;">\n      <p class="rule-p1">\u300A\u96C6\u914D\u8BA2\u5355\u7528\u6237\u6CE8\u518C\u534F\u8BAE\u300B(\u4EE5\u4E0B\u7B80\u79F0\u201C\u672C\u534F\u8BAE\u201D)\u662F\u7531\u798F\u5EFA\u4FBF\u5229\u5B9D\u7535\u5B50\u5546\u52A1\u6709\u9650\u516C\u53F8\uFF08\u4EE5\u4E0B\u7B80\u79F0\u201C\u672C\u516C\u53F8\u201D\uFF09\u548C\u60A8\u7B7E\u8BA2\uFF0C\u672C\u534F\u8BAE\u7EA6\u5B9A\u4E86\u672C\u516C\u53F8\u5411\u60A8\u63D0\u4F9B\u5E73\u53F0\u670D\u52A1\u7684\u524D\u63D0\u3001\u53CC\u65B9\u7684\u6743\u5229\u4E49\u52A1\u53CA\u5176\u4ED6\u4E8B\u9879\u3002\u60A8\u5728\u672C\u516C\u53F8\u63D0\u4F9B\u7684\u7F51\u7EDC\u9875\u9762\u6216\u624B\u673A\u5BA2\u6237\u7AEF\u4E0A\u70B9\u51FB\u4EE5\u5408\u7406\u7684\u7406\u89E3\u8868\u660E\u60A8\u5E0C\u671B\u4E0E\u672C\u516C\u53F8\u7B7E\u8BA2\u672C\u534F\u8BAE\u7684\u52FE\u9009\u6846\uFF0C\u5373\u8868\u660E\u672C\u534F\u8BAE\u5728\u60A8\u4E0E\u672C\u516C\u53F8\u4E4B\u95F4\u6210\u7ACB\u5E76\u751F\u6548\u3002</p>\n      <h5>\u4E00\u3001\u58F0\u660E\u4E0E\u627F\u8BFA</h5>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u8BF7\u60A8\u786E\u8BA4\uFF0C\u5728\u60A8\u6CE8\u518C\u6210\u4E3A\u4FBF\u5229\u5B9D\u7528\u6237\u4EE5\u63A5\u53D7\u672C\u670D\u52A1\uFF0C\u6216\u60A8\u4EE5\u672C\u516C\u53F8\u5141\u8BB8\u7684\u5176\u4ED6\u65B9\u5F0F\u5B9E\u9645\u4F7F\u7528\u672C\u670D\u52A1\u524D\uFF0C\u60A8\u5DF2\u5145\u5206\u9605\u8BFB\u3001\u7406\u89E3\u5E76\u63A5\u53D7\u672C\u534F\u8BAE\u7684\u5168\u90E8\u5185\u5BB9\uFF0C\u60A8\u4F7F\u7528\u672C\u670D\u52A1\uFF0C\u5373\u8868\u793A\u60A8\u540C\u610F\u9075\u5FAA\u672C\u534F\u8BAE\u4E4B\u6240\u6709\u7EA6\u5B9A\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u60A8\u540C\u610F\uFF0C\u672C\u516C\u53F8\u6709\u6743\u5BF9\u672C\u534F\u8BAE\u5185\u5BB9\u8FDB\u884C\u53D8\u66F4\uFF0C\u5E76\u4EE5\u5728\u672C\u7F51\u7AD9\u6216\u5176\u4ED6\u9002\u5F53\u7684\u5730\u65B9\u516C\u544A\u7684\u65B9\u5F0F\u4E88\u4EE5\u516C\u5E03\uFF0C\u65E0\u9700\u53E6\u884C\u5355\u72EC\u901A\u77E5\u60A8\uFF1B\u60A8\u5728\u672C\u534F\u8BAE\u5185\u5BB9\u516C\u544A\u53D8\u66F4\u540E\u7EE7\u7EED\u4F7F\u7528\u672C\u670D\u52A1\uFF0C\u8868\u793A\u60A8\u5DF2\u5145\u5206\u9605\u8BFB\u3001\u7406\u89E3\u5E76\u63A5\u53D7\u53D8\u66F4\u540E\u7684\u534F\u8BAE\u5185\u5BB9\uFF0C\u5E76\u9075\u5FAA\u53D8\u66F4\u540E\u7684\u534F\u8BAE\u5185\u5BB9\u800C\u4F7F\u7528\u672C\u670D\u52A1\uFF1B\u82E5\u60A8\u4E0D\u540C\u610F\u4FEE\u6539\u540E\u7684\u534F\u8BAE\u5185\u5BB9\uFF0C\u60A8\u5E94\u505C\u6B62\u4F7F\u7528\u672C\u670D\u52A1\u3002</p>\n      <p class="rule-p1">\uFF08\u4E09\uFF09\u60A8\u4FDD\u8BC1\uFF0C\u4F5C\u4E3A\u81EA\u7136\u4EBA\uFF0C\u5728\u60A8\u540C\u610F\u63A5\u53D7\u672C\u534F\u8BAE\u5E76\u6CE8\u518C\u6210\u529F\u65F6\uFF0C\u60A8\u5DF2\u7ECF\u5E74\u6EE116\u5468\u5C81\uFF1B\u4F5C\u4E3A\u4F01\u4E1A\u3001\u4E8B\u4E1A\u5355\u4F4D\u7B49\u7EC4\u7EC7\uFF0C\u60A8\u5728\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\uFF08\u201C\u4E2D\u56FD\u201D\uFF09\u5927\u9646\u5730\u533A\uFF08\u4E0D\u542B\u9999\u6E2F\u3001\u53F0\u6E7E\u3001\u6FB3\u95E8\u5730\u533A\uFF09\u5408\u6CD5\u5F00\u5C55\u7ECF\u8425\u6D3B\u52A8\u6216\u5176\u4ED6\u4E1A\u52A1\uFF0C\u6216\u4F9D\u7167\u4E2D\u56FD\u5927\u9646\u5730\u533A\uFF08\u4E0D\u542B\u9999\u6E2F\u3001\u53F0\u6E7E\u3001\u6FB3\u95E8\u5730\u533A\uFF09\u6CD5\u5F8B\u767B\u8BB0\u6CE8\u518C\u6210\u7ACB\uFF1B\u672C\u534F\u8BAE\u5185\u5BB9\u4E0D\u53D7\u60A8\u6240\u5C5E\u56FD\u5BB6\u6216\u5730\u533A\u6CD5\u5F8B\u7684\u7EA6\u675F\u3002\u4E0D\u5177\u5907\u524D\u8FF0\u6761\u4EF6\u7684\uFF0C\u60A8\u5E94\u7ACB\u5373\u7EC8\u6B62\u6CE8\u518C\u6216\u505C\u6B62\u4F7F\u7528\u672C\u670D\u52A1\u3002</p>\n      <h5>\u4E8C\u3001\u5B9A\u4E49\u53CA\u89E3\u91CA</h5>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u4FBF\u5229\u5B9D\u5546\u57CE\uFF1A\u662F\u672C\u516C\u53F8\u6253\u9020\u7684\u670D\u52A1\u8D85\u5E02\u7528\u6237\u7684\u533A\u57DF\u6027\u4E00\u7AD9\u5F0F\u91C7\u8D2D\u5E73\u53F0\u3002\u6CE8\u518C\u7528\u6237\u5728\u5B8C\u5584\u8D85\u5E02\u4FE1\u606F\uFF0C\u7ECF\u5BA1\u6838\u901A\u8FC7\u540E\uFF0C\u5373\u53EF\u5728\u6CE8\u518C\u533A\u57DF\u7684\u5546\u57CE\u5185\u8FDB\u884C\u64CD\u4F5C\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u4FBF\u5229\u5B9D\u4F9B\u5E94\u5546\uFF1A\u662F\u672C\u516C\u53F8\u7684\u5408\u4F5C\u4F19\u4F34\u3002\u6CE8\u518C\u7528\u6237\u5728\u5B8C\u5584\u4F9B\u5E94\u5546\u4FE1\u606F\uFF0C\u7ECF\u5BA1\u6838\u901A\u8FC7\u540E\uFF0C\u5373\u53EF\u5728\u4E13\u5C5E\u540E\u53F0\u4E0A\u4F20\u5546\u54C1\uFF0C\u8FDB\u884C\u5546\u54C1\u7684\u9500\u552E\uFF0C\u5546\u54C1\u9500\u552E\u7684\u8303\u56F4\u4EC5\u4E3A\u6CE8\u518C\u533A\u57DF\u7684\u4FBF\u5229\u5B9D\u5546\u57CE\u3002</p>\n      <p class="rule-p1">\uFF08\u4E09\uFF09\u6CE8\u518C\u7528\u6237\uFF1A\u5982\u65E0\u7279\u522B\u8BF4\u660E\uFF0C\u6307\u7B26\u5408\u672C\u534F\u8BAE\u8981\u6C42\uFF0C\u4F7F\u7528\u672C\u670D\u52A1\u7684\u81EA\u7136\u4EBA\uFF08\u201C\u4E2A\u4EBA\u7528\u6237\u3001\u4E2A\u4F53\u7ECF\u8425\u6237\u201D\u7EDF\u79F0\u4E3A\u201C\u4E2A\u4EBA\u7528\u6237\u201D\uFF09\u548C\u4F01\u4E1A\u3001\u4E8B\u4E1A\u5355\u4F4D\u7B49\u7EC4\u7EC7\uFF08\u201C\u4F01\u4E1A\u7528\u6237\u201D\uFF09\u3002\u5982\u65E0\u7279\u522B\u89C4\u5B9A\uFF0C\u672C\u534F\u8BAE\u5185\u5199\u660E\u201C\u60A8\u201D\u548C\u201C\u6CE8\u518C\u7528\u6237\u201D\u7684\u5730\u65B9\u5E94\u5F53\u5305\u62EC\u4E2A\u4EBA\u7528\u6237\u4E0E\u4F01\u4E1A\u7528\u6237\uFF0C\u672C\u534F\u8BAE\u9879\u4E0B\u7EDF\u79F0\u4E3A\u201C\u7528\u6237\u201D\u3002</p>\n      <h5>\u4E09\u3001\u8D26\u6237\u6CE8\u518C\u4E0E\u7BA1\u7406</h5>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u6CE8\u518C\u8D44\u683C\uFF1A\u60A8\u5E94\u5F53\u5177\u5907\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u6CD5\u5F8B\u89C4\u5B9A\u7684\u4E0E\u60A8\u884C\u4E3A\u76F8\u9002\u5E94\u7684\u6C11\u4E8B\u884C\u4E3A\u80FD\u529B\u3002\u82E5\u60A8\u4E0D\u5177\u5907\u524D\u8FF0\u4E0E\u60A8\u884C\u4E3A\u76F8\u9002\u5E94\u7684\u6C11\u4E8B\u884C\u4E3A\u80FD\u529B\uFF0C\u5219\u60A8\u53CA\u60A8\u7684\u76D1\u62A4\u4EBA\u5E94\u4F9D\u7167\u6CD5\u5F8B\u89C4\u5B9A\u627F\u62C5\u56E0\u6B64\u800C\u5BFC\u81F4\u7684\u4E00\u5207\u540E\u679C\u3002\u6B64\u5916\uFF0C\u60A8\u8FD8\u9700\u786E\u4FDD\u60A8\u4E0D\u662F\u4EFB\u4F55\u56FD\u5BB6\u3001\u56FD\u9645\u7EC4\u7EC7\u6216\u8005\u5730\u57DF\u5B9E\u65BD\u7684\u8D38\u6613\u9650\u5236\u3001\u5236\u88C1\u6216\u5176\u4ED6\u6CD5\u5F8B\u3001\u89C4\u5219\u9650\u5236\u7684\u5BF9\u8C61\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u6CE8\u518C\u8BF4\u660E\uFF1A\u6CE8\u518C\u4FBF\u5229\u5B9D\u7528\u6237\u9700\u8981\u4F7F\u7528\u60A8\u7684\u624B\u673A\u53F7\uFF0C\u4E14\u4E00\u4E2A\u624B\u673A\u53F7\u53EA\u80FD\u6CE8\u518C\u4E00\u4E2A\u8D26\u53F7\u3002\u5B8C\u6210\u8D26\u53F7\u6CE8\u518C\u540E\uFF0C\u6839\u636E\u60A8\u7684\u4E1A\u52A1\u9700\u6C42\uFF0C\u5165\u9A7B\u4FBF\u5229\u5B9D\u5546\u57CE\uFF0C\u6210\u4E3A\u8D85\u5E02\u7528\u6237\uFF1B\u5165\u9A7B\u4FBF\u5229\u5B9D\u4F9B\u5E94\u5546\uFF0C\u6210\u4E3A\u4FBF\u5229\u5B9D\u5408\u4F5C\u4F19\u4F34\u3002\u60A8\u6CE8\u518C\u6210\u529F\u540E\uFF0C\u5C06\u4EA7\u751F\u7528\u6237\u540D\u548C\u5BC6\u7801\u7B49\u8D26\u6237\u4FE1\u606F\uFF0C\u60A8\u53EF\u4EE5\u6839\u636E\u672C\u7AD9\u89C4\u5B9A\u66F4\u6539\u60A8\u7684\u5BC6\u7801\u3002\u60A8\u5E94\u8C28\u614E\u5408\u7406\u7684\u4FDD\u5B58\u3001\u4F7F\u7528\u5176\u7528\u6237\u540D\u548C\u5BC6\u7801\u3002\u60A8\u82E5\u53D1\u73B0\u4EFB\u4F55\u975E\u6CD5\u4F7F\u7528\u60A8\u8D26\u53F7\u6216\u5B58\u5728\u5B89\u5168\u6F0F\u6D1E\u7684\u60C5\u51B5\uFF0C\u8BF7\u7ACB\u5373\u8054\u7CFB\u672C\u516C\u53F8\uFF0C\u5982\u56E0\u4E2A\u4EBA\u539F\u56E0\u5F15\u8D77\u8D26\u53F7\u5185\u7684\u8D22\u52A1\u635F\u5931\uFF0C\u672C\u516C\u53F8\u6982\u4E0D\u8D1F\u8D23\u3002</p>\n      <p class="rule-p1">\uFF08\u4E09\uFF09\u672C\u516C\u53F8\u7684\u5404\u9879\u7535\u5B50\u670D\u52A1\u7684\u8FD0\u4F5C\u6743\u5F52\u672C\u516C\u53F8\u6240\u6709\u3002\u60A8\u540C\u610F\u6240\u6709\u6CE8\u518C\u534F\u8BAE\u6761\u6B3E\u5E76\u5B8C\u6210\u6CE8\u518C\u3001\u901A\u8FC7\u5BA1\u6838\u624D\u53EF\u6210\u4E3A\u4FBF\u5229\u5B9D\u7684\u6B63\u5F0F\u7528\u6237\u3002\u60A8\u786E\u8BA4\uFF1A\u672C\u534F\u8BAE\u6761\u6B3E\u662F\u5904\u7406\u53CC\u65B9\u6743\u5229\u4E49\u52A1\u7684\u5951\u7EA6\uFF0C\u59CB\u7EC8\u6709\u6548\uFF0C\u6CD5\u5F8B\u53E6\u6709\u5F3A\u5236\u6027\u89C4\u5B9A\u6216\u53CC\u65B9\u53E6\u6709\u7279\u522B\u7EA6\u5B9A\u7684\uFF0C\u4F9D\u5176\u89C4\u5B9A\u3002</p>\n      <p class="rule-p1">\uFF08\u56DB\uFF09\u60A8\u70B9\u51FB\u540C\u610F\u672C\u534F\u8BAE\uFF0C\u5373\u89C6\u4E3A\u60A8\u786E\u8BA4\u81EA\u5DF1\u5177\u6709\u4EAB\u53D7\u672C\u7AD9\u670D\u52A1\u3001\u552E\u5356\u5546\u54C1\u3001\u4E0B\u5355\u8D2D\u7269\u7B49\u76F8\u5E94\u7684\u6743\u5229\u80FD\u529B\u548C\u884C\u4E3A\u80FD\u529B\uFF0C\u80FD\u591F\u72EC\u7ACB\u627F\u62C5\u6CD5\u5F8B\u8D23\u4EFB\u3002</p>\n      <p class="rule-p1">\uFF08\u4E94\uFF09\u60A8\u5E94\u81EA\u884C\u8BDA\u4FE1\u5411\u672C\u7AD9\u63D0\u4F9B\u6CE8\u518C\u8D44\u6599\uFF0C\u60A8\u540C\u610F\u5176\u63D0\u4F9B\u7684\u6CE8\u518C\u8D44\u6599\u771F\u5B9E\u3001\u51C6\u786E\u3001\u5B8C\u6574\u3001\u5408\u6CD5\u6709\u6548\uFF0C\u60A8\u6CE8\u518C\u8D44\u6599\u5982\u6709\u53D8\u52A8\uFF0C\u5E94\u53CA\u65F6\u66F4\u65B0\u5176\u6CE8\u518C\u8D44\u6599\u3002\u5982\u679C\u60A8\u63D0\u4F9B\u7684\u6CE8\u518C\u8D44\u6599\u4E0D\u5408\u6CD5\u3001\u4E0D\u771F\u5B9E\u3001\u4E0D\u51C6\u786E\u3001\u4E0D\u8BE6\u5C3D\u7684\uFF0C\u60A8\u9700\u627F\u62C5\u56E0\u6B64\u5F15\u8D77\u7684\u76F8\u5E94\u8D23\u4EFB\u53CA\u540E\u679C\uFF0C\u5E76\u4E14\u672C\u516C\u53F8\u4FDD\u7559\u7EC8\u6B62\u60A8\u4F7F\u7528\u672C\u7AD9\u5404\u9879\u670D\u52A1\u7684\u6743\u5229\u3002</p>\n      <p class="rule-p1">\uFF08\u516D\uFF09\u60A8\u5728\u672C\u7AD9\u8FDB\u884C\u6D4F\u89C8\u3001\u552E\u5356\u5546\u54C1\u3001\u4E0B\u5355\u8D2D\u7269\u7B49\u6D3B\u52A8\u65F6\uFF0C\u6D89\u53CA\u60A8\u771F\u5B9E\u59D3\u540D/\u540D\u79F0\u3001\u901A\u4FE1\u5730\u5740\u3001\u8054\u7CFB\u7535\u8BDD\u3001\u7535\u5B50\u90AE\u7BB1\u7B49\u9690\u79C1\u4FE1\u606F\u7684\uFF0C\u672C\u7AD9\u5C06\u4E88\u4EE5\u4E25\u683C\u4FDD\u5BC6\uFF0C\u9664\u975E\u5F97\u5230\u60A8\u7684\u6388\u6743\u6216\u6CD5\u5F8B\u53E6\u6709\u89C4\u5B9A\uFF0C\u672C\u7AD9\u4E0D\u4F1A\u5411\u5916\u754C\u62AB\u9732\u60A8\u7684\u9690\u79C1\u4FE1\u606F\u3002</p>\n      <p class="rule-p1">\uFF08\u4E03\uFF09\u60A8\u540C\u610F\uFF0C\u672C\u516C\u53F8\u62E5\u6709\u901A\u8FC7\u90AE\u4EF6\u3001\u77ED\u4FE1\u3001\u7535\u8BDD\u7B49\u5F62\u5F0F\uFF0C\u7ED9\u60A8\u53D1\u9001\u8BA2\u5355\u4FE1\u606F\u3001\u4FC3\u9500\u6D3B\u52A8\u7B49\u544A\u77E5\u4FE1\u606F\u7684\u6743\u5229\u3002</p>\n      <p class="rule-p1">\uFF08\u516B\uFF09\u60A8\u4E0D\u5F97\u5C06\u5728\u672C\u7AD9\u6CE8\u518C\u83B7\u5F97\u7684\u8D26\u6237\u501F\u7ED9\u4ED6\u4EBA\u4F7F\u7528\uFF0C\u5426\u5219\u60A8\u5E94\u627F\u62C5\u7531\u6B64\u4EA7\u751F\u7684\u5168\u90E8\u8D23\u4EFB\uFF0C\u5E76\u4E0E\u5B9E\u9645\u4F7F\u7528\u4EBA\u627F\u62C5\u8FDE\u5E26\u8D23\u4EFB\u3002</p>\n      <p class="rule-p1">\uFF08\u4E5D\uFF09\u60A8\u540C\u610F\uFF0C\u672C\u516C\u53F8\u6709\u6743\u4F7F\u7528\u60A8\u7684\u6CE8\u518C\u4FE1\u606F\u3001\u7528\u6237\u540D\u3001\u5BC6\u7801\u7B49\u4FE1\u606F\uFF0C\u767B\u5F55\u8FDB\u5165\u60A8\u7684\u6CE8\u518C\u8D26\u6237\uFF0C\u8FDB\u884C\u8BC1\u636E\u4FDD\u5168\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u516C\u8BC1\u3001\u89C1\u8BC1\u7B49\u3002</p>\n      <h5>\u56DB\u3001\u7528\u6237\u89C4\u5219</h5>\n      <p>\u672C\u534F\u8BAE\u4F9D\u636E\u56FD\u5BB6\u76F8\u5173\u6CD5\u5F8B\u6CD5\u89C4\u89C4\u7AE0\u5236\u5B9A\uFF0C\u60A8\u540C\u610F\u4E25\u683C\u9075\u5B88\u4EE5\u4E0B\u4E49\u52A1\uFF1A</p>\n      <p class="rule-p1">\uFF081\uFF09\u4E0D\u5F97\u4F20\u8F93\u6216\u53D1\u8868\uFF1A\u717D\u52A8\u6297\u62D2\u3001\u7834\u574F\u5BAA\u6CD5\u548C\u6CD5\u5F8B\u3001\u884C\u653F\u6CD5\u89C4\u5B9E\u65BD\u7684\u8A00\u8BBA\uFF0C\u717D\u52A8\u98A0\u8986\u56FD\u5BB6\u653F\u6743\uFF0C\u63A8\u7FFB\u793E\u4F1A\u4E3B\u4E49\u5236\u5EA6\u7684\u8A00\u8BBA\uFF0C\u717D\u52A8\u5206\u88C2\u56FD\u5BB6\u3001\u7834\u574F\u56FD\u5BB6\u7EDF\u4E00\u7684\u7684\u8A00\u8BBA\uFF0C\u717D\u52A8\u6C11\u65CF\u4EC7\u6068\u3001\u6C11\u65CF\u6B67\u89C6\u3001\u7834\u574F\u6C11\u65CF\u56E2\u7ED3\u7684\u8A00\u8BBA\uFF1B</p>\n      <p class="rule-p1">\uFF082\uFF09\u4ECE\u4E2D\u56FD\u5927\u9646\u5411\u5883\u5916\u4F20\u8F93\u8D44\u6599\u4FE1\u606F\u65F6\u5FC5\u987B\u7B26\u5408\u4E2D\u56FD\u6709\u5173\u6CD5\u89C4\uFF1B</p>\n      <p class="rule-p1">\uFF083\uFF09\u4E0D\u5F97\u5229\u7528\u672C\u7AD9\u4ECE\u4E8B\u6D17\u94B1\u3001\u7A83\u53D6\u5546\u4E1A\u79D8\u5BC6\u3001\u7A83\u53D6\u4E2A\u4EBA\u4FE1\u606F\u7B49\u8FDD\u6CD5\u72AF\u7F6A\u6D3B\u52A8\uFF1B</p>\n      <p class="rule-p1">\uFF084\uFF09\u4E0D\u5F97\u5E72\u6270\u672C\u7AD9\u7684\u6B63\u5E38\u8FD0\u8F6C\uFF0C\u4E0D\u5F97\u4FB5\u5165\u672C\u7AD9\u53CA\u56FD\u5BB6\u8BA1\u7B97\u673A\u4FE1\u606F\u7CFB\u7EDF\uFF1B</p>\n      <p class="rule-p1">\uFF085\uFF09\u4E0D\u5F97\u4F20\u8F93\u6216\u53D1\u8868\u4EFB\u4F55\u8FDD\u6CD5\u72AF\u7F6A\u7684\u3001\u9A9A\u6270\u6027\u7684\u3001\u4E2D\u4F24\u4ED6\u4EBA\u7684\u3001\u8FB1\u9A82\u6027\u7684\u3001\u6050\u5413\u6027\u7684\u3001\u4F24\u5BB3\u6027\u7684\u3001\u5EB8\u4FD7\u7684\uFF0C\u6DEB\u79FD\u7684\u3001\u4E0D\u6587\u660E\u7684\u7B49\u4FE1\u606F\u8D44\u6599\uFF1B</p>\n      <p class="rule-p1">\uFF086\uFF09\u4E0D\u5F97\u4F20\u8F93\u6216\u53D1\u8868\u635F\u5BB3\u56FD\u5BB6\u793E\u4F1A\u516C\u5171\u5229\u76CA\u548C\u6D89\u53CA\u56FD\u5BB6\u5B89\u5168\u7684\u4FE1\u606F\u8D44\u6599\u6216\u8A00\u8BBA\uFF1B</p>\n      <p class="rule-p1">\uFF087\uFF09\u4E0D\u5F97\u6559\u5506\u4ED6\u4EBA\u4ECE\u4E8B\u672C\u6761\u6240\u7981\u6B62\u7684\u884C\u4E3A\uFF1B</p>\n      <p class="rule-p1">\uFF088\uFF09\u4E0D\u5F97\u5229\u7528\u5728\u672C\u7AD9\u6CE8\u518C\u7684\u8D26\u6237\u8FDB\u884C\u725F\u5229\u6027\u7ECF\u8425\u6D3B\u52A8\uFF1B</p>\n      <p class="rule-p1">\uFF089\uFF09\u4E0D\u5F97\u53D1\u5E03\u4EFB\u4F55\u4FB5\u72AF\u4ED6\u4EBA\u8457\u4F5C\u6743\u3001\u5546\u6807\u6743\u7B49\u77E5\u8BC6\u4EA7\u6743\u6216\u5408\u6CD5\u6743\u5229\u7684\u5185\u5BB9\uFF1B</p>\n      <p class="rule-p1">\u60A8\u5E94\u4E0D\u65F6\u5173\u6CE8\u5E76\u9075\u5B88\u672C\u7AD9\u4E0D\u65F6\u516C\u5E03\u6216\u4FEE\u6539\u7684\u5404\u7C7B\u5408\u6CD5\u89C4\u5219\u89C4\u5B9A\u3002\u672C\u7AD9\u4FDD\u6709\u5220\u9664\u7AD9\u5185\u5404\u7C7B\u4E0D\u7B26\u5408\u6CD5\u5F8B\u653F\u7B56\u6216\u4E0D\u771F\u5B9E\u7684\u4FE1\u606F\u5185\u5BB9\u800C\u65E0\u987B\u901A\u77E5\u60A8\u7684\u6743\u5229\u3002\u82E5\u60A8\u672A\u9075\u5B88\u4EE5\u4E0A\u89C4\u5B9A\u7684\uFF0C\u672C\u7AD9\u6709\u6743\u4F5C\u51FA\u72EC\u7ACB\u5224\u65AD\u5E76\u91C7\u53D6\u6682\u505C\u6216\u5173\u95ED\u60A8\u5E10\u53F7\u7B49\u63AA\u65BD\u3002\u60A8\u987B\u5BF9\u81EA\u5DF1\u5728\u7F51\u4E0A\u7684\u8A00\u8BBA\u548C\u884C\u4E3A\u627F\u62C5\u6CD5\u5F8B\u8D23\u4EFB\u3002</p>\n      <h5>\u4E94\u3001\u7CFB\u7EDF\u4E2D\u65AD\u6216\u6545\u969C</h5>\n      <p class="rule-p1">\u672C\u516C\u53F8\u7CFB\u7EDF\u56E0\u4E0B\u5217\u72B6\u51B5\u65E0\u6CD5\u6B63\u5E38\u8FD0\u4F5C\uFF0C\u4F7F\u60A8\u65E0\u6CD5\u4F7F\u7528\u5404\u9879\u670D\u52A1\u65F6\uFF0C\u672C\u516C\u53F8\u4E0D\u627F\u62C5\u635F\u5BB3\u8D54\u507F\u8D23\u4EFB\uFF0C\u8BE5\u72B6\u51B5\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\uFF1A</p>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u672C\u516C\u53F8\u5728\u672C\u7F51\u7AD9\u516C\u544A\u4E4B\u7CFB\u7EDF\u505C\u673A\u7EF4\u62A4\u671F\u95F4\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u7535\u4FE1\u8BBE\u5907\u51FA\u73B0\u6545\u969C\u4E0D\u80FD\u8FDB\u884C\u6570\u636E\u4F20\u8F93\u7684\u3002</p>\n      <p class="rule-p1">\uFF08\u4E09\uFF09\u56E0\u53F0\u98CE\u3001\u5730\u9707\u3001\u6D77\u5578\u3001\u6D2A\u6C34\u3001\u505C\u7535\u3001\u6218\u4E89\u3001\u6050\u6016\u88AD\u51FB\u7B49\u4E0D\u53EF\u6297\u529B\u4E4B\u56E0\u7D20\uFF0C\u9020\u6210\u672C\u516C\u53F8\u7CFB\u7EDF\u969C\u788D\u4E0D\u80FD\u6267\u884C\u4E1A\u52A1\u7684\u3002</p>\n      <p class="rule-p1">\uFF08\u56DB\uFF09\u7531\u4E8E\u9ED1\u5BA2\u653B\u51FB\u3001\u7535\u4FE1\u90E8\u95E8\u6280\u672F\u8C03\u6574\u6216\u6545\u969C\u3001\u7F51\u7AD9\u5347\u7EA7\u3001\u7B2C\u4E09\u65B9\u65B9\u9762\u7684\u95EE\u9898\u7B49\u539F\u56E0\u800C\u9020\u6210\u7684\u670D\u52A1\u4E2D\u65AD\u6216\u8005\u5EF6\u8FDF\u3002</p>\n      <h5>\u516D\u3001\u5546\u6807\u3001\u77E5\u8BC6\u4EA7\u6743\u3001\u4E13\u5229\u7684\u4FDD\u62A4</h5>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u672C\u516C\u53F8\u53CA\u5173\u8054\u516C\u53F8\u6240\u6709\u7CFB\u7EDF\u53CA\u672C\u7F51\u7AD9\u4E0A\u6240\u6709\u5185\u5BB9\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u8457\u4F5C\u3001\u56FE\u7247\u3001\u6863\u6848\u3001\u8D44\u8BAF\u3001\u8D44\u6599\u3001\u7F51\u7AD9\u67B6\u6784\u3001\u7F51\u7AD9\u753B\u9762\u7684\u5B89\u6392\u3001\u7F51\u9875\u8BBE\u8BA1\uFF0C\u5747\u7531\u672C\u516C\u53F8\u6216\u672C\u516C\u53F8\u5173\u8054\u516C\u53F8\u4F9D\u6CD5\u62E5\u6709\u5176\u77E5\u8BC6\u4EA7\u6743\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u5546\u6807\u6743\u3001\u4E13\u5229\u6743\u3001\u8457\u4F5C\u6743\u3001\u5546\u4E1A\u79D8\u5BC6\u6743\u5229\u7B49\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u975E\u7ECF\u672C\u516C\u53F8\u6216\u672C\u516C\u53F8\u5173\u8054\u4F01\u4E1A\u4E66\u9762\u540C\u610F\uFF0C\u4EFB\u4F55\u4EBA\u4E0D\u5F97\u64C5\u81EA\u4F7F\u7528\u3001\u4FEE\u6539\u3001\u590D\u5236\u3001\u516C\u5F00\u4F20\u64AD\u3001\u6539\u53D8\u3001\u6563\u5E03\u3001\u53D1\u884C\u6216\u516C\u5F00\u53D1\u8868\u672C\u7F51\u7AD9\u7A0B\u5E8F\u6216\u5185\u5BB9\u3002</p>\n      <p class="rule-p1">\uFF08\u4E09\uFF09\u5C0A\u91CD\u77E5\u8BC6\u4EA7\u6743\u662F\u60A8\u5E94\u5C3D\u7684\u4E49\u52A1\uFF0C\u5982\u6709\u8FDD\u53CD\uFF0C \u60A8\u5E94\u627F\u62C5\u635F\u5BB3\u8D54\u507F\u8D23\u4EFB\u3002</p>\n      <h5>\u4E03\u3001\u5546\u4E1A\u79D8\u5BC6\u4FDD\u62A4</h5>\n      <p class="rule-p1">\u672C\u5408\u540C\u6240\u79F0\u5546\u4E1A\u79D8\u5BC6\u662F\u6307\u672C\u7AD9\u6240\u6709\u7684\u5C1A\u4E0D\u4E3A\u516C\u4F17\u6240\u6089\uFF0C\u4F7F\u672C\u516C\u53F8\u76F8\u5BF9\u4E8E\u4ED6\u4EBA\u800C\u5177\u6709\u73B0\u5B9E\u6216\u6F5C\u5728\u7684\u7ADE\u4E89\u4F18\u52BF\u3001\u80FD\u591F\u4E3A\u672C\u516C\u53F8\u5E26\u6765\u7ECF\u6D4E\u5229\u76CA\uFF0C\u5177\u6709\u5B9E\u7528\u6027\uFF0C\u5E76\u7ECF\u672C\u7AD9\u91C7\u53D6\u4FDD\u5BC6\u63AA\u65BD\u7684\u6280\u672F\u4FE1\u606F\u548C\u7ECF\u8425\u4FE1\u606F\u7B49\u975E\u516C\u5F00\u4FE1\u606F\u3002\u60A8\u5E94\u4FDD\u5B88\u672C\u516C\u53F8\u5546\u4E1A\u79D8\u5BC6\uFF0C\u4E0D\u5F97\u5229\u7528\u4E3A\u672C\u516C\u53F8\u63D0\u4F9B\u52B3\u52A1\u4E4B\u4FBF\u4EE5\u7A83\u53D6\u3001\u62AB\u9732\u7B49\u624B\u6BB5\u4FB5\u5BB3\u672C\u516C\u53F8\u7684\u5546\u4E1A\u79D8\u5BC6\u3002</p>\n      <h5>\u516B\u3001\u8FDD\u7EA6\u8D23\u4EFB</h5>\n      <p class="rule-p1">\uFF08\u4E00\uFF09\u60A8\u5982\u8FDD\u53CD\u672C\u5408\u540C\u53CA\u76F8\u5173\u6CD5\u5F8B\u89C4\u5B9A\u7684\u4E49\u52A1\u7684\uFF0C\u60A8\u5E94\u5F53\u5411\u672C\u516C\u53F8\u627F\u62C5\u8FDD\u7EA6\u8D23\u4EFB\u6216\u8D54\u507F\u8D23\u4EFB\u3002</p>\n      <p class="rule-p1">\uFF08\u4E8C\uFF09\u60A8\u4FDD\u8BC1\u7B7E\u7F72\u548C\u5C65\u884C\u672C\u5408\u540C\uFF0C\u4E0D\u8FDD\u53CD\u60A8\u4E0E\u5176\u4ED6\u4E3B\u4F53\u4E4B\u95F4\u7684\u5951\u7EA6\u6216\u60A8\u8D1F\u6709\u7684\u5176\u4ED6\u4E49\u52A1\uFF0C\u4E0D\u4FB5\u72AF\u4EFB\u4F55\u7B2C\u4E09\u4EBA\u7684\u5408\u6CD5\u6743\u76CA\uFF0C\u5426\u5219\u7531\u6B64\u9020\u6210\u672C\u516C\u53F8\u53CA\u5176\u5173\u8054\u516C\u53F8\u635F\u5931\u7684\uFF0C\u7531\u60A8\u5411\u672C\u516C\u53F8\u8D54\u507F\u3002</p>\n      <h5>\u4E5D\u3001\u6CD5\u5F8B\u9002\u7528\u4E0E\u7BA1\u8F96</h5>\n      <p class="rule-p1">\u672C\u534F\u8BAE\u4E4B\u6548\u529B\u3001\u89E3\u91CA\u3001\u53D8\u66F4\u3001\u6267\u884C\u4E0E\u4E89\u8BAE\u89E3\u51B3\u5747\u9002\u7528\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u6CD5\u5F8B\uFF0C\u6CA1\u6709\u76F8\u5173\u6CD5\u5F8B\u89C4\u5B9A\u7684\uFF0C\u53C2\u7167\u901A\u7528\u5546\u4E1A\u60EF\u4F8B\u548C\uFF08\u6216\uFF09\u884C\u4E1A\u60EF\u4F8B\u3002\u56E0\u672C\u534F\u8BAE\u4EA7\u751F\u4E4B\u4E89\u8BAE\uFF0C\u5747\u5E94\u4F9D\u7167\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u6CD5\u5F8B\u4E88\u4EE5\u5904\u7406\uFF0C\u5E76\u7531\u672C\u516C\u53F8\u4F4F\u6240\u5730\u4EBA\u6C11\u6CD5\u9662\u7BA1\u8F96\u3002</p>\n      <p class="rule-p1">\u4E00\u65E6\u60A8\u70B9\u51FB\u201C\u540C\u610F\u201D\u672C\u5408\u540C\uFF0C\u5373\u8868\u793A\u60A8\u5DF2\u63A5\u53D7\u4E86\u4EE5\u4E0A\u6240\u8FF0\u7684\u6761\u6B3E\u548C\u6761\u4EF6\uFF0C\u540C\u610F\u53D7\u672C\u5408\u540C\u7EA6\u675F\u3002\u5C4A\u65F6\u60A8\u65E0\u6743\u4EE5\u672A\u9605\u8BFB\u672C\u5408\u540C\u7684\u5185\u5BB9\u6216\u8005\u672A\u83B7\u5F97\u672C\u516C\u53F8\u5BF9\u60A8\u95EE\u8BE2\u7684\u89E3\u7B54\u7B49\u7406\u7531\uFF0C\u4E3B\u5F20\u672C\u5408\u540C\u65E0\u6548\uFF0C\u6216\u8981\u6C42\u64A4\u9500\u672C\u5408\u540C\u3002</p>\n      <p class="rule-p2">\n        <br>\u798F\u5EFA\u4FBF\u5229\u5B9D\u7535\u5B50\u5546\u52A1\u6709\u9650\u516C\u53F8</p>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/my/tab-my.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar  class="item-input-inset headerBar">\n    <a class="icon-xiaoxi button " style="background: transparent;color:#333333 !important;" href="#" ng-click="goLetter()">\n      <label class="badgeqty4" style="width: 16px;" ng-show="myModal.cashier.totalUnReadLetter">{{myModal.cashier.totalUnReadLetter}}</label>\n    </a>\n    <!--<h1 class="title icon-logo" style="font-size:48px !important;color: #ff6600 !important;"></h1>-->\n    <h1 class="title" style="padding: 6px;"><img src="img/logo_max2.png" style="width: 30px; height: 28px;"></h1>\n    <a class="button icon-shezhi"  style="margin-right:-2px;width: 48px;height: 48px;background: transparent;color: #333333 !important;" ng-click="goSystemSetPage()">\n    </a>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" style="background-color: #e5e5e5">\n    <div  style="height: 156px;margin: 0;padding: 0;background-image:url(img/my-banner.png);background-size: 100% 100%;" >\n      <div class="row" style="height: 106px;margin: 0;padding: 0;">\n        <div class="col" style="margin: 36px 0 0 32px;padding: 0;" ng-click="goLoginPage()">\n          <span style="font-size: 12px;color: white;font-family: PingFang-SC-Regular">\u7528\u6237\u8D26\u53F7</span><br/>\n          <span style="font-size: 12px;height:30px;line-height:30px;;color: white;font-family: PingFang-SC-Regular;vertical-align: top;">{{myModal.cashier.cashId?myModal.cashier.cashId:"\u8BF7\u767B\u5F55"}}</span>\n          <img ng-src="{{myModal.goldImgUrl}}" ng-show="myModal.cashier.cashId" style="width: 66px;height: 28px;margin-left: 5px;">\n        </div>\n      </div>\n      <div class="row" style="height: 50px;margin: 0;padding: 0">\n        <div class="col col-25" style="margin:0 2px 0 0;padding: 3px 0 0 0;height: 100%;background-color: rgba(0, 0, 0, 0.3)">\n          <a class="tab-item" href="#" style="opacity:1" ng-click="goFavorite()">\n            <span style="font-size: 12px;margin-top: 9px;font-family: PingFang-SC-Regular;color:#ffffff">{{myModal.cashier.totalFavDeal?myModal.cashier.totalFavDeal:0}}</span><br>\n            <span style="font-size: 12px;font-family: PingFang-SC-Regular;color: rgba(255, 255, 255, 1) ">\u5E38\u7528\u6536\u85CF</span>\n          </a>\n        </div>\n        <div class="col col-25" style="margin:0 2px 0 0;padding: 3px 0 0 0;height: 100%;background-color: rgba(0, 0, 0, 0.3)">\n          <a class="tab-item" href="#" style="opacity:1" ng-click="goRecommend()">\n            <span style="font-size: 12px;margin-top: 9px;font-family: PingFang-SC-Regular;color:#ffffff">12</span><br>\n            <span style="font-size: 12px;font-family: PingFang-SC-Regular;color:#ffffff">\u4E3A\u60A8\u63A8\u8350</span>\n          </a>\n        </div>\n        <div class="col col-25" style="margin:0 2px 0 0;padding: 3px 0 0 0;height: 100%;background-color: rgba(0, 0, 0, 0.3)">\n          <a class="tab-item" href="#" style="opacity:1" ng-click="goHistoryBuyItem()">\n            <span style="font-size: 12px;margin-top: 9px;font-family: PingFang-SC-Regular;color:#ffffff">{{myModal.cashier.totalBuyHistory?myModal.cashier.totalBuyHistory:0}}</span><br>\n            <span style="font-size: 12px;font-family: PingFang-SC-Regular;color:#ffffff">\u5E38\u8D2D\u6E05\u5355</span>\n          </a>\n        </div>\n        <div class="col" style="margin:0;padding: 3px 0 0 0;height: 100%;background-color: rgba(0, 0, 0, 0.3)">\n          <a class="tab-item" href="#" style="opacity:1" ng-click="goCustcon()">\n            <span style="font-size: 12px;margin-top: 9px;font-family: PingFang-SC-Regular;color:#ffffff">{{myModal.cashier.totalUnDoneCustCon?myModal.cashier.totalUnDoneCustCon:0}}</span><br>\n            <span style="font-size: 12px;font-family: PingFang-SC-Regular;color:#ffffff">\u95EE\u9898\u53CD\u9988</span>\n          </a>\n        </div>\n      </div>\n    </div>\n    <div style="background:#FFFFFF">\n      <div class="item mykuai1"  ng-click="goOrder(\'0\')" >\n        <span class="cainiaoiconfont icon-danju mylefticon"></span>\n        <span class="mytitle">\u6211\u7684\u8BA2\u5355</span>\n        <span class="icon-dropright myrighticon"></span>\n      </div>\n      <hr class="myhr1"  >\n      <div class="row mykuai2" >\n        <div class="col col-25" style="margin: 0;padding: 5px 0 0 0;height: 72px">\n          <a class="tab-item has-badge" href="#" ng-click="goOrder(\'1\')">\n            <div class="icon-peisong " style="padding-top: 3px"><label class="badgeqty2" ng-show="myModal.cashier.totalForGoods">{{myModal.cashier.totalForGoods}}</label></div>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px">\u5F85\u6536\u8D27</p>\n          </a>\n        </div>\n        <div class="col col-25" style="margin: 0;padding: 5px 0 0 0">\n          <a class="tab-item" href="#" ng-click="goOrder(\'2\')">\n            <div class="icon-daipingjia" style="padding-top: 3px" ><label class="badgeqty2" ng-show="myModal.cashier.totalNotEva">{{myModal.cashier.totalNotEva}}</label></div>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px">\u5F85\u8BC4\u4EF7</p>\n          </a>\n        </div>\n        <div class="col col-25" style="margin: 0;padding: 5px 0 0 0">\n          <a class="tab-item" href="#" ng-click="goOrder(\'3\')">\n            <div class="icon-yipingjia" style="padding-top: 3px"></div>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px">\u5DF2\u8BC4\u4EF7</p>\n          </a>\n        </div>\n        <div class="col col-25" style="margin: 0;padding: 5px 0 0 0">\n          <a class="tab-item " href="#" ng-click="goOrder(\'4\')">\n            <div class="icon-tuihuodan" style="padding-top: 3px"><label class="badgeqty2" ng-show="myModal.cashier.totalReturn">{{myModal.cashier.totalReturn}}</label></div>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px">\u9000\u8D27\u5355</p>\n          </a>\n        </div>\n      </div>\n    </div>\n    <div style="background:#FFFFFF">\n      <hr class="myhr1">\n      <a class="item mykuai"  href="#" ng-click="goUserWxOrder()">\n        <span class="cainiaoiconfont icon-weixin mylefticon"></span>\n        <span class="mytitle">\u5FAE\u4FE1\u8BA2\u5355</span>\n        <div style="position: absolute;right: 30px;line-height: 48px;"><label class="badgeqty" style="top:15px;" ng-if="myModal.cashier.unConfirmWeChatOrder > 0">{{myModal.cashier.unConfirmWeChatOrder}}</label></div>\n        <span class="icon-dropright myrighticon"></span>\n      </a>\n    </div>\n    <!--<div style="background:#FFFFFF">-->\n      <!--<hr class="myhr1">-->\n      <!--<a class="item mykuai"  href="#" ng-click="goExpress()">-->\n        <!--<span class="cainiaoiconfont icon-chaibaoguoqujian mylefticon"></span>-->\n        <!--<span class="mytitle">\u4E91\u4ED3\u5FEB\u9012</span>-->\n        <!--<span class="icon-dropright myrighticon"></span>-->\n      <!--</a>-->\n    <!--</div>-->\n    <div style="background:#FFFFFF" ng-if="!isFromLoginSalesMan">\n      <div class="item mykuai1">\n        <span class="cainiaoiconfont icon-zhangdan mylefticon"></span>\n        <span class="mytitle">\u6211\u7684\u8D26\u6237</span>\n        <span class="pingfang-sc-regular" style="font-size: 13px;line-height: 22px;text-align: center;width: 76px;top: 14px;\n          height: 22px;background-color: #ff6600;color: white;position: absolute;right: 90px;border-radius:4px" ng-click="goUnionPayMicropay()">\u4E91\u95EA\u4ED8\u626B\u7801</span>\n        <span class="pingfang-sc-regular" style="font-size: 13px;line-height: 22px;text-align: center;width: 64px;top: 14px;\n          height: 22px;background-color: #ff6600;color: white;position: absolute;right: 16px;border-radius:4px" ng-click="goRecharge()">\u5FAE\u4FE1\u5145\u503C</span>\n      </div>\n      <hr class="myhr1">\n      <div class="row mykuai2" style="padding:14px 0 0 0;">\n        <div class="col col-25" style="height: 72px;margin: 0;padding: 0">\n          <a class="tab-item" href="#" ng-click="goAccountMoney()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{myModal.cashier.totalFund?myModal.cashier.totalFund:0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px;line-height:12px">\u8D26\u6237\u4F59\u989D</p>\n          </a>\n        </div>\n        <div class="col col-25" style="height: 72px;margin: 0;padding: 0">\n          <a class="tab-item" ng-click="goTransaction()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{myModal.cashier.totalDeal?myModal.cashier.totalDeal:0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px;line-height:12px">\u8BA2\u5355\u4EA4\u6613</p>\n          </a>\n        </div>\n        <div class="col col-25" style="height: 72px;margin: 0;padding: 0">\n          <a class="tab-item" href="#" ng-click="goIntegral()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{myModal.cashier.totalCashIntegralTran?myModal.cashier.totalCashIntegralTran:0}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px;line-height:12px">\u6211\u7684\u79EF\u5206</p>\n          </a>\n        </div>\n        <div class="col col-25" style="height: 72px;margin: 0;padding: 0">\n          <a class="tab-item" href="#" ng-click="goGrowthValue()">\n            <p style="font-family: PingFang-SC-Regular;font-size: 14px;line-height: 14px;color: #FF9700">{{myModal.cashGrade.gradeName}}</p>\n            <p style="font-family: PingFang-SC-Regular;font-size: 12px;line-height:12px">\u4F1A\u5458\u7B49\u7EA7</p>\n          </a>\n        </div>\n      </div>\n    </div>\n    <div style="background:#FFFFFF">\n      <hr class="myhr1">\n      <a class="item mykuai"  href="#" ng-click="goMyCoupons()">\n        <span class="cainiaoiconfont icon-youhuijuan mylefticon"></span>\n        <span class="mytitle">\u6211\u7684\u5361\u5238</span>\n        <div style="position: absolute;right: 30px;line-height: 48px;" ng-if="myModal.cashier.totalCouponDeal"><span style="color: #FF9700;">{{myModal.cashier.totalCouponDeal}}</span> \u5F20</div>\n        <span class="icon-dropright myrighticon"></span>\n      </a>\n    </div>\n    <div style="background:#FFFFFF">\n      <div class="item mykuai1" ng-show="myModal.cashier.cashId && myModal.store && myModal.store.salesManDescr">\n        <span class="cainiaoiconfont icon--kefu mylefticon"  ></span>\n        <span class="mytitle">\u4E1A\u52A1\u7ECF\u7406\uFF1A<span style="color: #FF9700">{{myModal.store.salesManDescr}}</span></span>\n        <a class="myrighticon1" href="tel:{{myModal.store.salesManMobile}}"><i class="icon ion-ios-telephone-outline" style="font-size: 18px;"></i>\uFF1A<span style="color: #FF9700">{{myModal.store.salesManMobile}}</span></a>\n      </div>\n      <hr class="myhr2" ng-show="myModal.cashier.cashId && myModal.store && myModal.store.spAreaDescr">\n      <div class="item mykuai" ng-show="myModal.cashier.cashId && myModal.store && myModal.store.spAreaDescr" ng-click="goSelectSpAreaCode()">\n        <span class="cainiaoiconfont icon-yunshuzhongwuliu mylefticon"></span>\n        <span class="mytitle">\u670D\u52A1\u5546\uFF1A<span class="cainiaoiconfont icon-bianjishuru" style="font-size: 20px !important;margin-right: 5px;color: #ccc;"></span><span style="color: #FF9700;">{{myModal.store.spAreaDescr}}</span></span>\n      </div>\n      <hr class="myhr2">\n      <a class="item mykuai"  href="#" ng-click="goMyInvitation()">\n        <span class="cainiaoiconfont icon-diamond mylefticon"></span>\n        <span class="mytitle">\u5206\u4EAB\u63A8\u8350</span>\n        <span class="icon-dropright myrighticon"></span>\n      </a>\n      <hr class="myhr2">\n      <a class="item mykuai" href="#" ng-click="goRule()" style="margin-top:{{myModal.cashier.cashId?\'0px\':\'8px\'}};">\n        <span class="cainiaoiconfont icon-zhengquewancheng-yuankuang mylefticon"></span>\n        <span class="mytitle">\u4FBF\u5229\u5B9D\u4EA4\u6613\u6761\u6B3E</span>\n        <span class="icon-dropright myrighticon"></span>\n      </a>\n      <hr class="myhr2">\n      <a class="item mykuai"  href="#" ng-click="goAbout()">\n        <span class="cainiaoiconfont icon-xinxi-yuankuang mylefticon"></span>\n        <span class="mytitle">\u5173\u4E8E\u6211\u4EEC</span>\n        <span class="icon-dropright myrighticon"></span>\n      </a>\n    </div>\n  </ion-content>\n</ion-view>\n\n<!-- \u8F93\u5165\u6536\u6B3E\u91D1\u989D -->\n<script id="inputUnionPayMicropay-view.html" type="text/ng-template">\n  <div class="row" style="padding: 0px;">\n    <div class="col text-center">\n      <input type="number" onkeypress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" ng-model="unionPayMicropay.amount" style="text-align: center;height: 36px;width:100%;border-style:solid;border-width:1px;" autofocus="true">\n    </div>\n  </div>\n</script>\n');
$templateCache.put('store/my/transaction.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar ">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title" style="color: white">\u8BA2\u5355\u4EA4\u6613</h1>\n  </ion-header-bar>\n  <div class="bar-subheader">\n    <div style="margin: 0 0 16px 0 ;padding: 0;height: 68px">\n      <div class="row" style="margin: 0 ;padding-top: 0;height: 48px">\n        <div  class="col col-60" style="margin: 14px 0 17px 8px ;padding: 0;text-align:left">\n          <span class="nowNumtitle">\u8D26\u6237\u4F59\u989D  </span><br>\n          <span class="account-money">  {{vm.totalFund}}</span>\n        </div>\n        <div class="col col-30"  style="margin: 14px 11px 17px 16px ;padding: 0;text-align:right" ng-click="goRecharge()"  ng-if="false">\n          <span style="font-family: PingFang-SC-Regular;font-size: 16px;color: #ff6600" >\u8D26\u6237\u5145\u503C</span>\n        </div>\n      </div>\n      <div class="row" style="padding: 8px 30px;height: 48px" ng-if="false">\n        <div class="col col-33 account-ButtonDown" ng-click="setFilter(1)"  ng-style="vm.button1Style"\n             style="border: solid 1px #ff6600;text-align: center">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u6700\u8FD1\u4E09\u4E2A\u6708</span>\n        </div>\n        <div class="col col-33 account-ButtonUp" ng-click="setFilter(2)"  ng-style="vm.button2Style"\n             style="border: solid 1px #ff6600;border-left: transparent;text-align: center">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u6700\u8FD1\u534A\u5E74</span>\n        </div>\n        <div class="col col-33 account-ButtonUp" ng-click="setFilter(3)"  ng-style="vm.button3Style"\n             style="border: solid 1px #ff6600;border-left: transparent;text-align: center">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px;">\u5168\u90E8</span>\n        </div>\n      </div>\n    </div>\n    <div style="background-color: #e5e5e5;height: 23px">\n      <span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;margin-left: 12px;line-height: 23px">\u6700\u8FD13\u4E2A\u6708\u8D44\u91D1\u6D41\u6C34</span>\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false"  class="has-subheader"  style="margin-top: 62px;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="doRefresh()" spinner="ios"></ion-refresher>\n    <ion-list >\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px">\n          <li class="icon icon-money {{(detail.trsFund<=0?\'contenticon-\':\'contenticon\')}}" ></li>\n          <span class="contenttitle">{{detail.bussiSubjectDescr}}</span>\n          <!--<span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;float: right">{{(detail.date| limitTo : 11 : 0)}}</span>-->\n          <span class="{{detail.trsFund<=0?\'contentvalue-\':\'contentvalue\'}}">{{detail.trsFund>0?\'+\'+detail.trsFund :detail.trsFund}}</span>\n          <p class="contentdetail">\n            \u4F59\u989D:{{detail.fund}} <span class="contentdetailright">{{detail.date}}</span>\n          </p>\n        </ion-item>\n      </div>\n    </ion-list>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/order/itemRecommendPackage.html','<ion-view  hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" ></a>\n    <h1 class="title">\u63A8\u8350\u7EC4\u5408\u5305</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="vm.doRefresh()"  spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="!vm.hasdata">\u6682\u672A\u627E\u5230\u76F8\u5173\u63A8\u8350\u7EC4\u5408\u5305\u54E6\uFF01</div>\n    <div class="list">\n      <div ng-repeat="(index,detail) in vm.data">\n        <div class="item blb-list-item" ng-click="goItemRecommendPackageDetail(detail.pk)">\n          <div class="row">\n            <div class="col blb-list-item-title">{{(index+1)+\'.\'+detail.name}}</div>\n            <div class="item-note">{{detail.crtDate | limitTo: 10}}</div>\n          </div>\n          <hr style="padding: 0;border: none;border-top: 1px dashed #E5E5E5;">\n          <p ng-if="!detail.isShowAll" style="font-size: 12px;line-height: 20px;color: #080808 !important;text-align: right;">\n            {{detail.salesmanItemRecommendPackageDetailList[0].itcodeDescr}}\n            <span style="font-size: 14px;color: #B12704;float:right;margin-left: 10px;">\xD7{{detail.salesmanItemRecommendPackageDetailList[0].qty}}</span>\n          </p>\n          <p ng-if="detail.isShowAll" ng-repeat="item in detail.salesmanItemRecommendPackageDetailList" style="font-size: 12px;line-height: 20px;color: #080808 !important;text-align: right;">\n            {{item.itcodeDescr}}\n            <span style="font-size: 14px;color: #B12704;float:right;margin-left: 10px;">\xD7{{item.qty}}</span>\n          </p>\n          <p ng-if="detail.salesmanItemRecommendPackageDetailList.length>1 && !detail.isShowAll" ng-click="toggleShow(detail)" style="text-align: right;font-size: 12px;color:#2d85e0 !important ">\u67E5\u770B\u6240\u6709{{detail.salesmanItemRecommendPackageDetailList.length}}\u79CD\u5546\u54C1</p>\n          <p ng-if="detail.salesmanItemRecommendPackageDetailList.length>1 && detail.isShowAll" ng-click="toggleShow(detail)" style="text-align: right;font-size: 12px;color:#c3c3c3 !important ">\u6536\u7F29\u6240\u6709{{detail.salesmanItemRecommendPackageDetailList.length}}\u79CD\u5546\u54C1</p>\n          <hr class="blb-list-item-hr">\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="vm.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/order/itemRecommendPackageDetail.html','<ion-view hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white;">\u63A8\u8350\u7EC4\u5408\u5305</h1>\n  </ion-header-bar>\n\n  <ion-content style="background-color: #EEEEEE;">\n    <div>\n      <div class="spl-unchecked-title">\n        <i class="icon ion-document-text"></i>\n        \u57FA\u672C\u4FE1\u606F\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-ios-flag spl-check-icon"></i><span>\u5305\u540D\u79F0</span>\n        </div>\n        <div class="col-75"><input  class="spl-check-value" type="text" ng-model="itemRecommendPackage.name" disabled placeholder="\u8BF7\u586B\u5199\u5305\u540D\u79F0"/></div>\n      </div>\n      <hr class="spl-check-hr">\n      <div class="row spl-check-item">\n        <div class="col spl-check-name">\n          <i class="icon ion-ios-navigate spl-check-icon"></i><span>\u4F9B\u8D27\u70B9</span>\n        </div>\n        <div class="col-75 col-center"><p class="spl-info-enedit"> {{spAreaCodeDescr}}</p></div>\n      </div>\n    </div>\n\n    <div ng-if="itemRecommendPackage.salesmanItemRecommendPackageDetailList.length > 0">\n      <div class="spl-unchecked-title">\n        <i class="icon ion-ios-world"></i>\n        \u5546\u54C1\u4FE1\u606F\n      </div>\n      <div class="list" ng-repeat="item in itemRecommendPackage.salesmanItemRecommendPackageDetailList" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n        <div class="row" style="padding: 0 5px 0 5px;" >\n          <div class="col col-80">\n            <p class="sr-order-submit noMarginPadding">{{item.itcodeDescr}}</p>\n            <p class="sr-order-submit noMarginPadding sr-spldescr">{{item.barcode}}</p>\n            <p class="sr-order-submit noMarginPadding sr-spldescr">{{item.splCodeDescr}}</p>\n          </div>\n          <div class="col col-20">\n            <div class="noMarginPadding" style="position: relative;height: 24px;">\n              <div class="sr-div1-base sr-div1-out noMarginPadding" ng-click="subtractQty($index,item)">-</div>\n              <div class="sr-div-base sr-div-out">\n                <input class="sr-qty-input" style="background-color: #FFFFFF;" type="number" disabled="false" ng-model="item.qty">\n              </div>\n              <div class="sr-div2 noMarginPadding" ng-click="addQty($index,item)">+</div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="row noMarginPadding">\n      <div class="col text-center noMarginPadding">\n        <button class="button button-full" ng-click="addShoppingCart()"><i class="icon ion-ios-plus-outline"></i> \u52A0\u5165\u62A5\u8D27\u5355</button>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/order/orderConfirm.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset" style="background: #FFFFFF !important;">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title titlestyle" style="font-family: PingFang-SC-Regular;font-size: 20px !important;color: #333333 !important;">{{editFlag?\'\u4FEE\u6539\u8BA2\u5355\':\'\u8BA2\u5355\u8BE6\u60C5\'}}</h1>\n  </ion-header-bar>\n\n  <ion-content class="has-header" overflow-scroll="true" style="overflow:auto;">\n    <div class="row" style="padding:8px 0 8px 0;">\n      <div class="col col-10">\n        <img src="img/gps.png" style="width: 32px;height: 32px;margin-left: 16px;margin-top: 28px;">\n      </div>\n      <div class="col col-90" style="padding-left: 32px;">\n        <div class="row" style="padding:4px 0 4px 0;">\n          <span style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #333333 !important;">{{store.contact}}</span>\n        </div>\n        <div class="row" style="padding:4px 0 4px 0;">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px !important;color: #666666 !important; ">{{store.descr}}</span>\n        </div>\n        <div class="row" style="padding:4px 0 4px 0;">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px !important;color: #666666 !important;">\u8054\u7CFB\u7535\u8BDD\uFF1A{{store.mobile}}</span>\n        </div>\n        <div class="row" style="padding:4px 0 4px 0;">\n          <span style="font-family: PingFang-SC-Regular;font-size: 14px !important;color: #666666 !important; ">\u8D26\u6237\u4F59\u989D\uFF1A</span>\n          <span style="font-size: 16px;color: #B12704">\xA5{{totalFund}}</span>\n          <div ng-click="gettotalFund()" class="ion-loop {{startSpinner?\'myspinner\':\'\'}}" style="line-height: normal;min-height: auto;color: #999999;font-size: 24px;margin: -4px 0px 0px 10px;float: right;"></div>\n        </div>\n      </div>\n    </div>\n\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n      <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;border-top: 1px solid #E5E5E5;">\n        <div class="col col-50">\u9884\u8BA1\u9001\u8FBE\u65F6\u95F4</div>\n        <div class="col col-50 text-right">{{expectArriveDate}}</div>\n      </div>\n      <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">\n        <div class="col col-50">\u652F\u4ED8\u65B9\u5F0F</div>\n        <div class="col col-50 item-input item-select" ng-if="!noChangePayType">\n          <select ng-options="pt.code as pt.descr for pt in payTypeList" ng-model="payType" ng-change="selectOnlinePayType(payType)" style="max-width: 100%;padding:0px 30px 0px 16px;"></select>\n        </div>\n        <div class="col col-50 text-right" ng-if="noChangePayType">{{shoppingCartModel.payTypeDescr}}</div>\n      </div>\n      <div class="online-payType_0" style="right:{{noChangePayType?\'20px\':\'40px\'}}" ng-if="onlinePayType == 1" ng-click="selectOnlinePayType(payType)">\u4F59\u989D\u652F\u4ED8</div>\n      <div class="online-payType_1" style="right:{{noChangePayType?\'20px\':\'40px\'}}" ng-if="onlinePayType == 2" ng-click="selectOnlinePayType(payType)">\u5FAE\u4FE1\u652F\u4ED8</div>\n      <div ng-if="lastPayAmount > 0 && onlinePayType == 2" style="position: absolute;margin-top:-22px;right:20px;color: red;font-size: 12px;">\u8FD8\u5DEE\xA5{{lastPayAmount}}</div>\n      <div ng-if="editFlag" style="position: absolute;margin-top:-22px;left:20px;color: red;font-size: 12px;"><i class="icon ion-information-circled"></i>&nbsp;\u4FEE\u6539\u8BA2\u5355\u4E0D\u652F\u6301\u9009\u62E9\u652F\u4ED8\u65B9\u5F0F\uFF01</div>\n      <div class="row " style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">\n        <div class="col col-50">\u8BA2\u5355\u603B\u4EF7</div>\n        <div class="col col-50 text-right" style="color:#B12704;">\xA5{{shoppingCartModel.sumCost | number:2}}</div>\n      </div>\n      <div class="row " style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;" ng-if="shoppingCartModel.salesDeliveryFee">\n        <div class="col col-50">\u8FD0\u8D39</div>\n        <div class="col col-50 text-right" style="color:#B12704;">\xA5{{shoppingCartModel.salesDeliveryFee | number:2}}</div>\n      </div>\n    </div>\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;" ng-click="useCoupons()">\n      <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">\n        <div class="col col-50" style="font-weight: bold;">\u53EF\u7528\u5361\u5238({{canUsedCouponsCount}})</div>\n        <div class="col col-50 text-right">\n          <span ng-if="usedCouponsCount > 0">\u5DF2\u9009\u4E2D<span style="color:red;">{{usedCouponsCount}}</span>\u5F20 ></span>\n          <span ng-if="usedCouponsCount === 0">\u9009\u62E9\u5361\u5238 ></span>\n        </div>\n      </div>\n    </div>\n    <div class="item" style="border: none; margin: 0;">\n      <textarea style="width: 100%;background-color: #EFF3F6;resize:none;padding: 10px" rows=3 ng-model="shoppingCartModel.remarks" maxlength="200" placeholder="\u5199\u4E0B\u60A8\u7684\u5907\u6CE8\u7559\u8A00\u4FE1\u606F\uFF0C\u4FBF\u5229\u5B9D\u5C06\u7AED\u8BDA\u4E3A\u60A8\u670D\u52A1\u3002"></textarea>\n    </div>\n    <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;" ng-if="isShowPayTypeRemark">\n      <div class="row" style="padding:8px 0 8px 0;color: red;font-size: 12px;">\n        <div class="col">\n          \u6CE8\uFF1A\u60A8\u63D0\u4EA4\u7684\u8BA2\u5355\u4E2D\u6709\u5546\u5BB6\u914D\u9001\u5546\u54C1\uFF0C\u53EA\u652F\u6301\u5728\u7EBF\u652F\u4ED8\uFF01\n        </div>\n      </div>\n    </div>\n\n    <!--<div class="list" style="margin-top: 10px" ng-if="shoppingCartModel">\n      <div class="item" ng-repeat="item in shoppingCartModel.shoppingCarts">\n        <div class="row" style="margin: 0;padding: 0">\n          <div class="col col-33" style="margin: 0;padding: 0">\n            <a class="tab-item" href="#">\n              <img class="icon tabicon" src="{{item.imgUrl}}">\n            </a>\n          </div>\n          <div class="col" style="margin: 0;padding: 0px">\n            <div class="row">\n              <p>{{item.descr}}</p>\n            </div>\n          </div>\n        </div>\n        <div class="row" style="margin-top:10px;padding: 0">\n          <div class="col col-33"\n               style="margin: 0;padding-top: 0;padding-bottom: 0;padding-left: 15px;padding-right: 15px">\n            <div style="border: 1px solid silver;text-align: center;padding: 10px">\u6570\u91CF\uFF1A{{item.qty}}</div>\n          </div>\n          <div class="col" style="margin: 0;padding: 0;font-size: small">\n            <div class="row" style="margin: 0;padding: 0">\n              <div class="col" style="margin: 0;padding: 0"><span\n                style="background: red">{{item.isProm == "0"?"":"\u4FC3\u9500"}}</span><span\n                style="background: silver;margin-left: 15px">{{item.canRet == "0"?"\u4E0D\u53EF\u9000":"\u53EF\u9000"}}</span></div>\n              &lt;!&ndash;<div class="col col-25" style="margin: 0;padding: 0">{{item.isProm == "0"?"":"\u4FC3\u9500"}}</div>&ndash;&gt;\n              &lt;!&ndash;<div class="col col-25" style="margin: 0;padding: 0">{{item.canRet == "0"?"\u4E0D\u53EF\u9000":"\u53EF\u9000"}}</div>&ndash;&gt;\n              <div class="col" style="color: red;margin: 0;padding: 0">\xA5{{item.cost}}\u5143/{{item.uomDescr}}</div>\n            </div>\n            <div class="row" style="margin: 0;padding: 0">\n              <div class="col" style="margin: 0;padding: 0">\u6210\u4EA4\u91CF:{{item.saleNum}}{{item.uomDescr}}</div>\n              <div class="col" style="margin: 0;padding: 0">\u5546\u54C1\u5C0F\u8BA1&nbsp<span\n                style="color: red">\xA5{{item.cost*item.qty}}</span></div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>-->\n    <iframe hidden ng-src="{{h5PayUrl}}" ng-if="h5PayUrl"></iframe>\n  </ion-content>\n\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row order1">\n      <div class="col col-67 left order2">\n        <p class="text-center" style="margin: 8px 2px;" ><span style="color:#bab7b6;font-size: 12px;">\u603B\u989D\uFF1A</span><span style="color:red;;font-size: 16px;">\xA5{{shoppingCartModel.sumCost+shoppingCartModel.salesDeliveryFee | number:2}}</span> <span ng-if="usedCouponsAmount > 0"><span style="color:#bab7b6;font-size: 12px;"> | \u4F18\u60E0\uFF1A</span><span style="color:red;font-size: 16px;">\xA5{{parseNumber(usedCouponsAmount)}}</span></span></p>\n      </div>\n      <div class="col col-33 right order-clolr1" ng-click="orderCommit()">\n        <p class="text-center order6"><span class="order7">\u63D0\u4EA4\u8BA2\u5355</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n');
$templateCache.put('store/order/success-order.html','<ion-view  hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset" style="background: #FFFFFF !important;">\n    <h1 class="title titlestyle" style="font-family: PingFang-SC-Regular;font-size: 20px !important;color: #333333 !important;">\u63D0\u4EA4\u8BA2\u5355\u6210\u529F</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" style="overflow:auto;background-color: #e5e5e5;">\n    <div ng-repeat="detail in salesInvoiceModel" ng-if="salesInvoiceModel.length > 0" style="margin-bottom: 20px;">\n      <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n        <div class="row">\n          <div class="col text-center" style="font-weight: bold;">\u8BA2\u5355{{($index+1)+\'(\'+detail.typeDescr+\')\'}}</div>\n        </div>\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;border-top: 1px solid #E5E5E5;">\n          <div class="col col-33">\u4E0B\u5355\u65F6\u95F4</div>\n          <div class="col">{{detail.crtDate}}</div>\n        </div>\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">\n          <div class="col col-33">\u8BA2\u5355\u7F16\u53F7</div>\n          <div class="col">{{detail.no}}</div>\n        </div>\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">\n          <div class="col col-33">\u8BA2\u5355\u603B\u4EF7</div>\n          <div class="col" style="color:#B12704;">{{"\xA5" + (detail.amount-detail.cashBack | number:2)}}</div>\n        </div>\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;" ng-if="detail.salesDeliveryFee > 0">\n          <div class="col col-33">\u8FD0\u8D39</div>\n          <div class="col" style="color:#B12704;">{{"\xA5" + (detail.salesDeliveryFee)}}</div>\n        </div>\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;" ng-if="detail.couponAmount > 0">\n          <div class="col col-33">\u5361\u5238\u4F18\u60E0</div>\n          <div class="col" style="color:#B12704;">{{"\xA5" + (detail.couponAmount)}}</div>\n        </div>\n        <!--<div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">-->\n          <!--<div class="col col-33">\u652F\u4ED8\u72B6\u6001</div>-->\n          <!--<div class="col">-->\n            <!--{{detail.payTypeDescr}}<span style="color:#B12704;">({{detail.payStatusDescr}})</span>-->\n            <!--<div class="myorderbutton1" style="line-height: 20px;height: 22px;" ng-if="detail.payType == 2 && detail.payStatus == 1">\u53BB\u652F\u4ED8</div>-->\n          <!--</div>-->\n        <!--</div>-->\n      </div>\n      <div class="list" style="margin-top: -2px;">\n        <div class="item sr-item"  ng-repeat="item in detail.salesInvoiceDetailList">\n          <div class="row noMarginPadding" >\n            <div class="col col-25" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.spAreaCode,item.delivType)">\n              <a class="tab-item griditem">\n                <img class="icon tabicon" src="{{item.item.imgUrl}}">\n              </a>\n            </div>\n            <div class="col col-75">\n              <div >\n                <p class="sr-descr" >{{item.item.descr}}</p>\n                <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splCodeDescr}}</p>\n                <p class="sr-deal">\u6570\u91CF:<span style="color: red;">{{item.qty}}</span>&nbsp&nbsp\n                  <span class="canret" ng-click="goRetRemark(item.item.retRemark)">\u9000\u6362\u8BF4\u660E</span>\n                </p>\n                <p><span class="sr-login">\xA5{{item.bcost|number:2}}/{{item.item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                  <span class="ordersum1">\xA5{{item.qty*(item.bcost-item.cashBack) | number:2}}</span>\n                  <span class="ordersum2">\u5C0F\u8BA1</span>\n                </p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n  <ion-footer-bar class="bar bar-footer swiper-container-autoheight" style="padding: 0; margin: 0;">\n    <div class="row" style="padding:0;margin-left: 0;margin-right: 0; height:48px;background: #ff6600;" ng-click="goToHome()">\n      <p class="text-center" style="height:16px;margin-top:16px; width: 100%;"><span style="font-family: PingFang-SC-Regular;font-size:16px; line-height:16px;;color: #FFFFFF">\u8FD4\u56DE\u9996\u9875</span></p>\n    </div>\n  </ion-footer-bar>\n</ion-view>\n\n');
$templateCache.put('store/order/tab-order.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title">\u62A5\u8D27\u5355</h1>\n    <!--<a class="button" ng-click="selectAllCar(!(vm.selectAll&&wqblbUserBatchOrder.checked))" ng-bind="(vm.selectAll&&wqblbUserBatchOrder.checked)?\'\u4E0D\u9009\':\'\u5168\u9009\'" ng-hide="emptyShoppingCart"></a>-->\n  </ion-header-bar>\n  <div ng-if="emptyShoppingCart">\n    <div ng-show="emptyToken" style="width: 100%;height:100%;text-align: center;padding-top: 40%;">\n      <img src="img/emptyCar.png" style="width: 160px;height: 160px;">\n    </div>\n    <div class="row" style="padding:0;text-align: center;" >\n      <div class="col" style="padding: 0;font-size: 13px;color: #999999;">\n        <i class="icon-shopnormal"></i><span style="font-size: 20px;">\u62A5\u8D27\u5355\u662F\u7A7A\u7684......</span>\n      </div>\n    </div>\n    <div class="row" style="margin:0;line-height: 48px;padding:0;text-align: center" ng-if="nearStoreGoods" ng-hide="emptyToken">\n      <div class="col" style="padding: 0;font-size: 16px;color: #999999;font-family: PingFang-SC-Regular;">\n        \u770B\u770B\u9644\u8FD1\u7684\u4EBA\u8FDB\u4E86\u4EC0\u4E48\n      </div>\n    </div>\n  </div>\n  <ion-content lazy-scroll overflow-scroll="true" style="overflow-y:auto;overflow-x:hidden;{{emptyShoppingCart?\'top: 140px;\':\'\'}}margin-bottom:{{emptyShoppingCart?\'0px\':\'40px\'}};background: {{emptyToken?\'#eeeeee\':\'\'}}" ng-hide="emptyToken">\n    <!-- \u96C6\u914D\u5546\u54C1 -->\n    <div ng-show="shoppingCartModel">\n      <ion-list ng-if="shoppingCartModel" ng-repeat="group in shoppingCartModel.shoppingCarts">\n        <ion-item class="item-divider item-checkbox" style="padding: 6px 12px;background-color: #fff;">\n          <div class="row noMarginPadding" >\n            <label class="checkbox" style="right: 0;left:0;width: 36px;">\n              <input type="checkbox" ng-model="group.checked" ng-change="selectGroup(group)" class="newCheckbox">\n            </label>\n            <div class="col-80" style="margin-left: 28px;" ng-click="goSupplierItem(group.splCode)">\n              <i class="icon ion-home" style="margin-right: 2px;"></i>{{group.splName}}\n            </div>\n            <span class="icon {{group.isHide?\'ion-ios-arrow-up\':\'ion-ios-arrow-down\'}}" style="position:absolute;right: 16px;font-size: 22px;width: 30px;text-align: right;" ng-click="hideDetail(group)"></span>\n          </div>\n        </ion-item>\n        <ion-item  ng-repeat="item in group.shoppingCarts track by $index" class="sr-item item-checkbox" ng-show="!group.isHide">\n          <div class="row noMarginPadding" >\n            <label class="checkbox" style="right: 0;left:0;width: 36px;">\n              <input type="checkbox" ng-model="item.checked" ng-change="selectItem(group,item)" class="newCheckbox">\n            </label>\n            <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n              <a class="tab-item griditem new-tab-item" style="position: relative;">\n                <img class="icon bigtabicon" ng-src="{{item.imgUrl}}">\n                <div class="realtime-stock-count">\n                  <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                  <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize || item.realtimeStockCount < item.qty)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                </div>\n              </a>\n            </div>\n            <div class="col col-67">\n              <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n                <p style="font-size: 14px">{{item.descr}}</p>\n                <p class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splAbbDescr?item.splAbbDescr:item.splName}}</p>\n                <p><span style="color: red;">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                  <span class="ordersum1">\xA5{{item.qty*(item.cost-item.cashBack) | number:2}}</span>\n                  <span class="ordersum2">\u5C0F\u8BA1</span>\n                </p>\n                <p>\n                  <!--\n                  <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                  <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                  <span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp\n                  -->\n                  <span ng-if="item.realtimeStockCount<item.qty" style="color: red;font-size: 14px;">\u5E93\u5B58\u4E0D\u8DB3</span>\n                  <span ng-if="item.realtimeStockCount>=item.qty&&item.qty%item.itemSize !== 0" style="color: red;font-size: 14px;">\u8BA2\u8D2D\u91CF\u4E0D\u662F\u8D77\u8BA2\u91CF\u6574\u6570\u500D</span>\n                  <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n                </p>\n              </div>\n              <div class="row sr-row">\n                <div class="col col-60 noMarginPadding" >\n                  <div class="row noMarginPadding"  >\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty(\'-\',item)">-</div>\n                    <div class="sr-div" ng-click="updateShoppingCarQty0(item)">\n                      <input class="sr-item-qtyinput" ng-model="item.qty"  type="number" disabled="disabled">\n                    </div>\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty(\'+\',item)">+</div>\n                  </div>\n                </div>\n                <div class="col col-40 sr-col">\n                  <div class="sr-add" ng-click="deleteItem(item.pk)">\u79FB\u51FA\u62A5\u8D27\u5355</div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </ion-item>\n        <!-- \u4FBF\u5229\u5B9D\u53EB\u8D27-\u6279\u91CF\u8BA2\u5355 -->\n        <div ng-if="group.splCode==\'\' && wqblbUserBatchOrder.data.length > 0">\n          <ion-list>\n            <ion-item class="item-divider item-checkbox" style="padding: 6px 12px;background-color: #fff;">\n              <div class="row noMarginPadding" >\n                <label class="checkbox" style="right: 0;left:0;width: 36px;">\n                  <input type="checkbox" ng-model="wqblbUserBatchOrder.checked" ng-change="wqblbUserBatchOrder.selectUserWxOrder()" class="newCheckbox">\n                </label>\n                <div class="col-80" style="margin-left: 28px;"><i class="icon ion-home" style="margin-right: 2px;"></i>\u4FBF\u5229\u5B9D\u53EB\u8D27-\u6279\u91CF\u8BA2\u5355</div>\n                <span class="icon {{wqblbUserBatchOrder.isHide?\'ion-ios-arrow-up\':\'ion-ios-arrow-down\'}}" style="position:absolute;right: 16px;font-size: 22px;width: 30px;text-align: right;" ng-click="wqblbUserBatchOrder.hideWqblbUserBatchOrder()"></span>\n              </div>\n            </ion-item>\n            <ion-item  style="padding: 0px 12px;background-color: #eeeeee;border-bottom: 0px solid #fff;">\n              <div class="row noMarginPadding">\n                <div class="col" style="padding: 0;">\n                  <p class="text-center" style="margin:0px;font-size: 12px;">\n                    \u5171<span style="font-size: 16px;color: #F05050;">{{wqblbUserBatchOrder.count}}</span>\u4E2A\u8BA2\u5355<span style="font-size: 16px;color: #F05050;">\xA5{{wqblbUserBatchOrder.amount | number:2}}</span>\n                    &nbsp;\u5229\u6DA6<span style="font-size: 16px;color: #F05050;">\xA5{{wqblbUserBatchOrder.profits+wqblbUserBatchOrder.deliveryFee | number:2}}</span>\n                  </p>\n                </div>\n              </div>\n            </ion-item>\n            <ion-item class="sr-item item-checkbox" ng-repeat="userWxOrder in wqblbUserBatchOrder.data" ng-show="!wqblbUserBatchOrder.isHide">\n              <div class="row noMarginPadding">\n                <label class="checkbox" style="right: 0;left:0;width: 36px;">\n                  <input type="checkbox" ng-model="userWxOrder.checked" class="newCheckbox" ng-change="wqblbUserBatchOrder.selectUserWxOrder(userWxOrder)">\n                </label>\n                <div class="col col-90 wxOrderItem" ng-click="wqblbUserBatchOrder.goWqblbUserBatchOrderPage(userWxOrder.no,userWxOrder.unSalesItcodes)">\n                  <!--<span class="icon icon-yiguoqi operflag" ng-if="userWxOrder.isUnSales"></span>-->\n                  <img class="operflag" style="width: 40px;height: 40px;" src="img/rankImg.jpg" ng-if="userWxOrder.isUnSales">\n                  <div><span>\u5355\u53F7\uFF1A{{userWxOrder.no}}</span><span class="colvaluenormal" style="margin-left: 10px;">{{userWxOrder.crtDate}}</span></div>\n                  <div>\n                    <div style="display: inline-block;width: 26%;">\u5546\u54C1\uFF1A<span class="colvalue">{{userWxOrder.detailCount}}\u79CD</span></div><div style="display: inline-block;width: 37%;">\u91D1\u989D\uFF1A<span class="colvalue">\xA5{{userWxOrder.platformAmount | number:2}}</span></div><div style="display: inline-block;width: 37%;">\u5229\u6DA6\uFF1A<span class="colvalue">\xA5{{userWxOrder.storeProfit+userWxOrder.deliveryFee | number:2}}</span></div>\n                    <div><div style="display: inline-block;width: 40%;">\u5BA2\u6237\uFF1A{{userWxOrder.name}}</div><div style="display: inline-block;width: 60%;"><a style="color: #ff6600;" href="tel:{{userWxOrder.phone}}" ng-click="eventStopPropagation()"><i class="icon ion-ios-telephone-outline" style="margin-right: 4px;font-size: 16px;"></i>{{userWxOrder.phone}}</a></div></div>\n                    <div class="colvaluenormal colvaluenormaltext">{{userWxOrder.positionName+\' \'+userWxOrder.address}}</div>\n                    <div class="colvaluenormal colvaluenormaltext" style="color: red;" ng-if="userWxOrder.isUnSales"><i class="icon ion-minus-circled"></i>\u8BF4\u660E\uFF1A\u5B58\u5728\u5DF2\u4E0B\u67B6\u672A\u5728\u552E\u5546\u54C1</div>\n                  </div>\n                  <div class="icon ion-ios-arrow-right godetail"></div>\n                  <div class="operbutton" ng-click="wqblbUserBatchOrder.cancelUserWxOrder(userWxOrder.no)">\u53D6\u6D88</div>\n                </div>\n              </div>\n            </ion-item>\n          </ion-list>\n        </div>\n        <div class="row" style="padding:0;margin:0; color: #ffffff;">\n          <div class="col col-67 left" style="background: #000000;padding:2px;">\n            <p class="text-center" style="margin:5px;font-size: 12px">\n              <span ng-if="group.splCode != \'\'">\n                \u5171<span style="font-size: 16px;color: #F05050;">{{group.qty}}</span>\u79CD<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.money)}}</span>\n                <span ng-if="group.minOrderAmount>group.money1">\n                  <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.salesDeliveryFee)}}</span>-->\n                  \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.minOrderAmount-group.money1)}}</span>\u8D77\u9001\n                </span>\n                <span ng-if="group.minOrderAmount <= group.money1 && group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != \'1\'">\n                  <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.salesDeliveryFee)}}</span>-->\n                  \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.minSalesNoDeliveryAmount-group.money1)}}</span>\u514D\u8FD0\u8D39\n                </span>\n              </span>\n              <span ng-if="group.splCode == \'\'">\n                \u5171<span style="font-size: 16px;color: #F05050;">{{group.qty+wqblbUserBatchOrder.qty}}</span>\u79CD<span style=" font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.money+wqblbUserBatchOrder.amount)}}</span>\n                <span ng-if="group.minOrderAmount>(group.money1+wqblbUserBatchOrder.amount) && group.currentOrder != \'1\'">\n                  <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.salesDeliveryFee)}}</span>-->\n                  \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.minOrderAmount-group.money1-wqblbUserBatchOrder.amount)}}</span>\u8D77\u9001\n                </span>\n                <span ng-if="group.minOrderAmount <= (group.money1+wqblbUserBatchOrder.amount) && (group.money1+wqblbUserBatchOrder.amount) < group.minSalesNoDeliveryAmount  && group.currentOrder != \'1\'">\n                  <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.salesDeliveryFee)}}</span>-->\n                  \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(group.minSalesNoDeliveryAmount-group.money1-wqblbUserBatchOrder.amount)}}</span>\u514D\u8FD0\u8D39\n                </span>\n              </span>\n            </p>\n          </div>\n          <div class="col col-33 right" ng-click="group.minOrderAmount>group.money1?goSupplierItem(group.splCode):goToOrderConfirm(group.splCode,group.money,group.realSalesDeliveryFee,parseFloat(group.minSalesNoDeliveryAmount-group.money1))" style="background:{{group.minOrderAmount<=group.money?\'#F15353\':\'silver\'}};padding:2px;" ng-if="group.splCode != \'\'">\n            <p class="text-center" style="margin:5px;" ng-if="group.minOrderAmount>group.money1"><span style="font-size: 16px">\u53BB\u51D1\u5355</span></p>\n            <p class="text-center" style="margin:5px;" ng-if="group.minOrderAmount<=group.money1"><span style="font-size: 16px">\u53BB\u7ED3\u7B97</span></p>\n          </div>\n          <div class="col col-33 right" ng-click="(parseFloat(group.money1+wqblbUserBatchOrder.amount)==0) || (group.minOrderAmount>(group.money1+wqblbUserBatchOrder.amount) && group.currentOrder != \'1\')?goSupplierItem(group.splCode):goToOrderConfirm(group.splCode,group.money,group.realSalesDeliveryFee,parseFloat(group.minSalesNoDeliveryAmount-group.money1-wqblbUserBatchOrder.amount))"  style="background:{{(parseFloat(group.money+wqblbUserBatchOrder.amount)>0) && (group.minOrderAmount<=(group.money+wqblbUserBatchOrder.amount) || group.currentOrder == \'1\')?\'#F15353\':\'silver\'}};padding:2px;" ng-if="group.splCode == \'\'">\n            <p class="text-center" style="margin:5px;" ng-if="(parseFloat(group.money1+wqblbUserBatchOrder.amount)==0) || (group.minOrderAmount>(group.money1+wqblbUserBatchOrder.amount) && group.currentOrder != \'1\')"><span style="font-size: 16px">\u53BB\u51D1\u5355</span></p>\n            <p class="text-center" style="margin:5px;" ng-if="(parseFloat(group.money1+wqblbUserBatchOrder.amount)>0) && (group.minOrderAmount<=(group.money1+wqblbUserBatchOrder.amount) || group.currentOrder == \'1\')"><span style="font-size: 16px">\u53BB\u7ED3\u7B97</span></p>\n          </div>\n        </div>\n      </ion-list>\n    </div>\n\n    <!-- \u4FBF\u5229\u5B9D\u53EB\u8D27-\u6279\u91CF\u8BA2\u5355 -->\n    <div ng-if="!vm.hasPlatformOrder && wqblbUserBatchOrder.data.length > 0">\n      <ion-list>\n        <ion-item class="item-divider item-checkbox" style="padding: 6px 12px;background-color: #fff;">\n          <div class="row noMarginPadding" >\n            <label class="checkbox" style="right: 0;left:0;width: 36px;">\n              <input type="checkbox" ng-model="wqblbUserBatchOrder.checked" ng-change="wqblbUserBatchOrder.selectUserWxOrder()" class="newCheckbox">\n            </label>\n            <div class="col-80" style="margin-left: 28px;"><i class="icon ion-home" style="margin-right: 2px;"></i>\u4FBF\u5229\u5B9D\u53EB\u8D27-\u6279\u91CF\u8BA2\u5355</div>\n            <span class="icon {{wqblbUserBatchOrder.isHide?\'ion-ios-arrow-up\':\'ion-ios-arrow-down\'}}" style="position:absolute;right: 16px;font-size: 22px;width: 30px;text-align: right;" ng-click="wqblbUserBatchOrder.hideWqblbUserBatchOrder()"></span>\n          </div>\n        </ion-item>\n        <ion-item  style="padding: 0px 12px;background-color: #eeeeee;border-bottom: 0px solid #fff;">\n          <div class="row noMarginPadding">\n            <div class="col" style="padding: 0;">\n              <p class="text-center" style="margin:0px;font-size: 12px;">\n                \u5171<span style="font-size: 16px;color: #F05050;">{{wqblbUserBatchOrder.count}}</span>\u4E2A\u8BA2\u5355<span style="font-size: 16px;color: #F05050;">\xA5{{wqblbUserBatchOrder.amount | number:2}}</span>\n                &nbsp;\u5229\u6DA6<span style="font-size: 16px;color: #F05050;">\xA5{{wqblbUserBatchOrder.profits+wqblbUserBatchOrder.deliveryFee | number:2}}</span>\n              </p>\n            </div>\n          </div>\n        </ion-item>\n        <ion-item class="sr-item item-checkbox" ng-repeat="userWxOrder in wqblbUserBatchOrder.data" ng-show="!wqblbUserBatchOrder.isHide">\n          <div class="row noMarginPadding">\n            <label class="checkbox" style="right: 0;left:0;width: 36px;">\n              <input type="checkbox" ng-model="userWxOrder.checked" class="newCheckbox" ng-change="wqblbUserBatchOrder.selectUserWxOrder(userWxOrder)">\n            </label>\n            <div class="col col-90 wxOrderItem" ng-click="wqblbUserBatchOrder.goWqblbUserBatchOrderPage(userWxOrder.no,userWxOrder.unSalesItcodes)">\n              <!--<span class="icon icon-yiguoqi operflag" ng-if="userWxOrder.isUnSales"></span>-->\n              <img class="operflag" style="width: 40px;height: 40px;" src="img/rankImg.jpg" ng-if="userWxOrder.isUnSales">\n              <div><span>\u5355\u53F7\uFF1A{{userWxOrder.no}}</span><span class="colvaluenormal" style="margin-left: 10px;">{{userWxOrder.crtDate}}</span></div>\n              <div>\n                <div style="display: inline-block;width: 26%;">\u5546\u54C1\uFF1A<span class="colvalue">{{userWxOrder.detailCount}}\u79CD</span></div><div style="display: inline-block;width: 37%;">\u91D1\u989D\uFF1A<span class="colvalue">\xA5{{userWxOrder.platformAmount | number:2}}</span></div><div style="display: inline-block;width: 37%;">\u5229\u6DA6\uFF1A<span class="colvalue">\xA5{{userWxOrder.storeProfit+userWxOrder.deliveryFee | number:2}}</span></div>\n                <div><div style="display: inline-block;width: 40%;">\u5BA2\u6237\uFF1A{{userWxOrder.name}}</div><div style="display: inline-block;width: 60%;"><a style="color: #ff6600;" href="tel:{{userWxOrder.phone}}" ng-click="eventStopPropagation()"><i class="icon ion-ios-telephone-outline" style="margin-right: 4px;font-size: 16px;"></i>{{userWxOrder.phone}}</a></div></div>\n                <div class="colvaluenormal colvaluenormaltext">{{userWxOrder.positionName+\' \'+userWxOrder.address}}</div>\n                <div class="colvaluenormal colvaluenormaltext" style="color: red;" ng-if="userWxOrder.isUnSales"><i class="icon ion-minus-circled"></i>\u8BF4\u660E\uFF1A\u5B58\u5728\u5DF2\u4E0B\u67B6\u672A\u5728\u552E\u5546\u54C1</div>\n              </div>\n              <div class="icon ion-ios-arrow-right godetail"></div>\n              <div class="operbutton" ng-click="wqblbUserBatchOrder.cancelUserWxOrder(userWxOrder.no)">\u53D6\u6D88</div>\n            </div>\n          </div>\n        </ion-item>\n        <div class="row" style="padding:0;margin:0; color: #ffffff;">\n          <div class="col col-67 left" style="background: #000000;padding:2px;">\n            <p class="text-center" style="margin:5px;font-size: 12px">\n              \u5171<span style="font-size: 16px;color: #F05050;">{{wqblbUserBatchOrder.qty}}</span>\u79CD<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(wqblbUserBatchOrder.amount)}}</span>\n              <span ng-if="wqblbUserBatchOrder.lessMoney > 0 && shoppingCartModel.currentOrder != \'1\'">\n                <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(shoppingCartModel.salesDeliveryFee)}}</span>-->\n                \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(wqblbUserBatchOrder.lessMoney)}}</span>\u8D77\u9001\n              </span>\n              <span ng-if="shoppingCartModel.minOrderAmount <= wqblbUserBatchOrder.amount && wqblbUserBatchOrder.amount < shoppingCartModel.minSalesNoDeliveryAmount  && group.currentOrder != \'1\'">\n                <!--\uFF0C\u8FD0\u8D39<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(shoppingCartModel.salesDeliveryFee)}}</span>-->\n                \uFF0C\u8FD8\u5DEE<span style="font-size: 16px;color: #F05050;">\xA5{{parseFloat(shoppingCartModel.minSalesNoDeliveryAmount-wqblbUserBatchOrder.amount)}}</span>\u514D\u8FD0\u8D39\n              </span>\n            </p>\n          </div>\n          <div class="col col-33 right" ng-click="wqblbUserBatchOrder.lessMoney > 0 && shoppingCartModel.currentOrder != \'1\'?goSupplierItem(\'\'):goToOrderConfirm(\'\',0,wqblbUserBatchOrder.amount < shoppingCartModel.minSalesNoDeliveryAmount  && group.currentOrder != \'1\'?shoppingCartModel.salesDeliveryFee:0,parseFloat(shoppingCartModel.minSalesNoDeliveryAmount-wqblbUserBatchOrder.amount))"  style="background:{{shoppingCartModel.minOrderAmount<=wqblbUserBatchOrder.amount || shoppingCartModel.currentOrder == \'1\'?\'#F15353\':\'silver\'}};padding:2px;">\n            <p class="text-center" style="margin:5px;" ng-if="shoppingCartModel.minOrderAmount>wqblbUserBatchOrder.amount && shoppingCartModel.currentOrder != \'1\'"><span style="font-size: 16px">\u53BB\u51D1\u5355</span></p>\n            <p class="text-center" style="margin:5px;" ng-if="shoppingCartModel.minOrderAmount<=wqblbUserBatchOrder.amount || shoppingCartModel.currentOrder == \'1\'"><span style="font-size: 16px">\u53BB\u7ED3\u7B97</span></p>\n          </div>\n        </div>\n      </ion-list>\n    </div>\n\n    <!-- \u9644\u8FD1\u5728\u5356\u5546\u54C1-->\n    <div ng-show="emptyShoppingCart">\n      <div class="list"  ng-if="nearStoreGoods">\n        <div class="item sr-item" ng-repeat="item in nearStoreGoods track by $index">\n          <div class="row noMarginPadding" >\n            <div class="col col-33"  ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n              <a class="tab-item griditem new-tab-item" style="position: relative;">\n                <label class="badgeqty" ng-show="item.qty>0">{{item.qty}}</label>\n                <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n                <div class="realtime-stock-count">\n                  <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                  <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                </div>\n                <img ng-src="{{\'img/sale\'+item.libType+\'.png\'}}" ng-if="item.libType != \'1\'" style="position: absolute;bottom: {{item.realtimeStockCount<$root.stockWarn*item.itemSize?\'20px\':\'0px\'}};right:0;width: 25px;height: auto;">\n              </a>\n            </div>\n            <div class="col col-67">\n              <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n                <p style="font-size: 14px">{{item.descr}}</p>\n                <div class="sr-spldescr-div" ng-click="changeItemSupplier(item)" ng-if="item.delivType==\'1\'"></div>\n                <p class="sr-spldescr"><img src="img/rank.png" ng-if="item.delivType==\'1\'"><span class="spl-rank{{item.rank<5?item.rank:\'\'}}" ng-if="item.delivType==\'1\'">{{item.rank}}</span><span class="spl-span">{{item.splAbbDescr?item.splAbbDescr:item.splCodeDescr}}</span></p>\n                <p ><span class="sr-login">\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack && item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span> <span class="nocanret" style="background-color: #5ec152;line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.licence&&item.licence!=\'0\'">\u7279\u8BB8</span><span class="sr-cuxiao" style="line-height: 14px;height: 14px;margin-top: 5px;" ng-if="item.isProm == \'1\' || item.libType != \'1\'">\u4FC3\u9500</span></p>\n                <p>\n                  <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                  <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                  <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                  <span class="canret" ng-click="goRetRemark(item.retRemark)">{{item.canRetDescr}}</span>\n                </p>\n              </div>\n\n              <div class="row sr-row">\n                <div class="col col-60 noMarginPadding" >\n                  <div class="row noMarginPadding"  >\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'-\',item)">-</div>\n                    <div class="sr-div" ng-click="updateShoppingCarQty(item)">\n                      <input class="sr-item-qtyinput" ng-model="item.qty1"  type="number" disabled="disabled">\n                    </div>\n                    <div class="sr-div1 noMarginPadding" ng-click="changeQty1(\'+\',item)">+</div>\n                  </div>\n                </div>\n                <div class="col col-40 sr-col"  >\n                  <div class="sr-add" ng-click="addShoppingCart(item)" ng-if="item.realtimeStockCount>=item.itemSize">\u52A0\u5165\u62A5\u8D27\u5355</div>\n                  <div class="sr-notice" ng-click="addArrivalNotice(item)" ng-if="item.realtimeStockCount<item.itemSize">\u5230\u8D27\u901A\u77E5</div>\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n  <ion-subfooter-bar class="bar bar-subfooter swiper-container-autoheight" style="padding: 0; margin: 0 0 4px 0;" ng-hide="emptyShoppingCart" ng-if="!isFromLoginSalesManBySupplier">\n    <div class="row" style="padding:0;margin:0; color: #ffffff;">\n      <label class="checkbox" style="position: absolute;width: 60px;font-size: 12px;" ng-hide="emptyShoppingCart">\n        <input type="checkbox" class="newCheckbox" ng-checked="vm.selectAll&&wqblbUserBatchOrder.checked" ng-click="selectAllCar(!(vm.selectAll&&wqblbUserBatchOrder.checked))">\n        <span style="float: right;margin-top: -18px;color: #9c9c9c;">\u5168\u9009</span>\n      </label>\n      <div class="col col-67 left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5171<span style="font-size: 18px;color: #F05050;">{{vm.qty+wqblbUserBatchOrder.qty}}</span>\u79CD<span style="font-size: 18px;color: #F05050;">\xA5{{parseFloat(vm.money+wqblbUserBatchOrder.amount)}}</span></p>\n      </div>\n      <div class="col col-33 right" style="background:{{vm.newCanSubmit?\'#F15353\':\'silver\'}}" ng-click="vm.newCanSubmit?goToOrderConfirm():void(0)">\n        <p class="text-center" style="margin:5px;"><span style="font-size: 18px">\u5408\u5E76\u7ED3\u7B97</span></p>\n      </div>\n    </div>\n  </ion-subfooter-bar>\n  <ion-footer-bar class="bar bar-footer" style="padding: 0; margin: 0;" ng-hide="emptyShoppingCart" ng-if="isFromLoginSalesManBySupplier">\n    <div class="row order1" style="padding:0;margin:0; color: #ffffff;">\n      <label class="checkbox" style="position: absolute;width: 60px;font-size: 12px;" ng-hide="emptyShoppingCart">\n        <input type="checkbox" class="newCheckbox" ng-checked="vm.selectAll&&wqblbUserBatchOrder.checked" ng-click="selectAllCar(!(vm.selectAll&&wqblbUserBatchOrder.checked))">\n        <span style="float: right;margin-top: -18px;color: #9c9c9c;">\u5168\u9009</span>\n      </label>\n      <div class="col col-67 left" style="background: #000000;">\n        <p class="text-center" style="margin:5px;font-size: 14px">\u5171<span style="font-size: 18px;color: #F05050;">{{vm.qty+wqblbUserBatchOrder.qty}}</span>\u79CD<span style="font-size: 18px;color: #F05050;">\xA5{{parseFloat(vm.money+wqblbUserBatchOrder.amount)}}</span></p>\n      </div>\n      <div class="col col-33 right" style="background:{{vm.newCanSubmit?\'#F15353\':\'silver\'}}" ng-click="vm.newCanSubmit?goToOrderConfirm():void(0)">\n        <p class="text-center" style="margin:5px;"><span style="font-size: 18px">\u5408\u5E76\u7ED3\u7B97</span></p>\n      </div>\n    </div>\n  </ion-footer-bar>\n\n  <!-- \u663E\u793A\u62A5\u8D27\u5355\u4E2D\u7F3A\u8D27\u7684\u5546\u54C1\u5217\u8868-->\n  <div class="left-filter-layer-bg {{vm.lessQtyItemInfo.isShow&&!vm.lessQtyItemInfo.isClose?\'show\':\'\'}}" ng-click="vm.lessQtyItemInfo.toggleFilter()"></div>\n  <div class="left-filter-layer {{vm.lessQtyItemInfo.isShow&&!vm.lessQtyItemInfo.isClose?\'show\':\'\'}}">\n    <div class="filter-layer-content" style="top: 0px;bottom:25px;">\n      <div class="type-list">\n        <div class="nav">\n          <span class="span">\u4EE5\u4E0B\u5546\u54C1\u5B58\u5728\u95EE\u9898\uFF0C\u8BF7\u505A\u4FEE\u6539</span>\n          <div style="float: right;margin-right:2px;"><button class="blb-button blb-button-positive" ng-click="vm.lessQtyItemInfo.closeFilter()">\u5173\u95ED</button></div>\n        </div>\n        <ion-content overflow-scroll="false" scrollbar-y="false" style="bottom: 20px;">\n          <ion-item  ng-repeat="item in vm.lessQtyItemInfo.data" class="sr-item">\n            <div class="row noMarginPadding" >\n              <div class="col col-33" ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n                <a class="tab-item griditem new-tab-item" style="position: relative;">\n                  <img class="icon bigtabicon" ng-src="{{item.imgUrl}}">\n                  <div class="realtime-stock-count">\n                    <span ng-if="item.realtimeStockCount<item.itemSize">\u5DF2\u552E\u7F44</span>\n                    <span ng-if="(item.realtimeStockCount>=item.itemSize)&&(item.realtimeStockCount<$root.stockWarn*item.itemSize || item.realtimeStockCount < item.qty)">\u4EC5\u5269{{item.realtimeStockCount+item.uomDescr}}</span>\n                  </div>\n                </a>\n              </div>\n              <div class="col col-67">\n                <div ng-click="goGoodsDetailPage(item.itcode,item.splCode,item.delivType)">\n                  <p style="font-size: 14px">{{item.descr}}</p>\n                  <p ng-hide="emptyToken" class="sr-spldescr"><i class="cainiaoiconfont icon--fuwu"></i>{{item.splName}}</p>\n                  <p ng-hide="emptyToken"><span>\xA5{{item.cost|number:2}}/{{item.uomDescr}}</span><span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span>\n                    <span class="ordersum1">\xA5{{item.qty*(item.cost-item.cashBack) | number:2}}</span>\n                    <span class="ordersum2">\u5C0F\u8BA1</span>\n                  </p>\n                  <p ng-show="emptyToken"><a class="sr-nologin" ng-click="goLoginPage()">\u767B\u5F55</a><span class="sr-fontsize"> \u67E5\u770B\u4E13\u5C5E\u4EF7</span></p>\n                  <p>\n                    <!--\n                    <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                    <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                    <span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp\n                    -->\n                    <span ng-if="item.realtimeStockCount<item.qty" style="color: red;font-size: 14px;">\u5E93\u5B58\u4E0D\u8DB3</span>\n                    <span ng-if="item.realtimeStockCount>=item.qty&&item.qty%item.itemSize !== 0" style="color: red;font-size: 14px;">\u8BA2\u8D2D\u91CF\u4E0D\u662F\u8D77\u8BA2\u91CF\u6574\u6570\u500D</span>\n                    <span class="canret" ng-click="goRetRemark(item.retRemark)">\u9000\u6362\u8BF4\u660E</span>\n                  </p>\n                </div>\n                <div class="row sr-row">\n                  <div class="col col-60 noMarginPadding" >\n                    <div class="row noMarginPadding"  >\n                      <div class="sr-div1 noMarginPadding" ng-click="changeQty(\'-\',item)">-</div>\n                      <div class="sr-div" ng-click="updateShoppingCarQty0(item)">\n                        <input class="sr-item-qtyinput" ng-model="item.qty"  type="number" disabled="disabled">\n                      </div>\n                      <div class="sr-div1 noMarginPadding" ng-click="changeQty(\'+\',item)">+</div>\n                    </div>\n                  </div>\n                  <div class="col col-40 sr-col">\n                    <div class="sr-add" ng-click="deleteItem(item.pk)">\u79FB\u51FA\u62A5\u8D27\u5355</div>\n                  </div>\n                </div>\n              </div>\n            </div>\n          </ion-item>\n        </ion-content>\n      </div>\n    </div>\n  </div>\n  <div class="salesmanItemRecommendPackage" ng-click="goItemRecommendPackage()" ng-if="isFromLoginSalesMan"><p>\u63A8\u8350\u5305</p></div>\n</ion-view>\n\n');
$templateCache.put('store/order/useCoupons.html','<ion-view view-title="\u6211\u7684\u4F18\u60E0\u5238" hide-tabs="true">\n  <ion-header-bar class="item-input-inset headerBar ">\n    <a class="button icon-back02" ng-click="goBack()" style="color: white;font-size: 13px!important;">\u786E\u5B9A\u4F7F\u7528</a>\n    <h1 class="title">\u6211\u7684\u5361\u5238</h1>\n    <a class="button" ng-click="selectAll?unSelectAllCoupons():selectAllCoupons()" ng-bind="selectAll?\'\u4E0D\u9009\':\'\u5168\u9009\'"></a>\n  </ion-header-bar>\n  <ion-content overflow-scroll="false" style="background-color: #f8f8f8">\n    <div class="noRecord" ng-if="!useCouponsList || useCouponsList.length===0">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u5361\u5238\u54E6\uFF01\n    </div>\n    <div ng-if="useCouponsList && useCouponsList.length > 0">\n      <div style="padding: 5px;text-align: left;color: #FE1211;font-size: 12px;">\n        *\u6CE8\u610F\u4E8B\u9879\uFF1A\u5E73\u53F0\u5361\u5238\u4E00\u7ECF\u4F7F\u7528\u5373\u523B\u5931\u6548\u3001\u4E0D\u8BBE\u627E\u96F6\uFF1B\u65E0\u6545\u9000\u8D27\u6216\u9650\u5B9A\u5546\u54C1\u9000\u8D27\u4E0D\u80FD\u4F7F\u7528\u5361\u5238\uFF0C\u5361\u5238\u4F1A\u81EA\u52A8\u9000\u56DE\u8D26\u6237\u3002\n      </div>\n      <div class="item" style="padding: 5px" ng-repeat="detail in useCouponsList" ng-click="selectCoupons($index)">\n        <div style="padding: 0;position: relative;width:100%;">\n          <div class="{{(detail.coupon.color?detail.coupon.color:\'stamp01\')+\'_left\'}}"></div>\n          <div class="stamp {{(detail.coupon.color?detail.coupon.color:\'stamp01\')}}">\n            <div class="par"><p>{{detail.coupon.cname}}</p><sub class="sign">\xA5</sub><span>{{detail.coupon.amount}}</span><sub>{{detail.coupon.typeLabel}}</sub><p style="font-size: 12px;">{{detail.coupon.splCodeLabel}}</p><p style="font-size: 10px;color:rgba(255, 255, 255, .8);line-height: 12px;">{{detail.coupon.conditionDescr}}</p></div>\n            <div class="copy"><img ng-src="{{!detail.coupon.logoUrl || detail.coupon.logoUrl==\'null\'?\'img/logo_max.png\': detail.coupon.logoUrl}}"><p style="font-size: 10px;line-height: 12px;margin: -10px 0px 5px 0px;">\u5E8F\u53F7\uFF1A{{detail.pk}}</p><p>{{detail.coupon.issueDate | limitTo:10}}<br>{{detail.coupon.consumeEndDate | limitTo:10}}</p><div class="icon ion-ios-checkmark {{detail.checked ? \'add-checked\':\'add-nochecked\'}}" style="font-size: 32px !important;margin-top: -10px;"></div></div>\n            <i></i>\n          </div>\n          <div class="{{(detail.coupon.color?detail.coupon.color:\'stamp01\')+\'_right\'}}"></div>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/order/userWxOrder.html','<ion-view view-title="\u5FAE\u4FE1\u8BA2\u5355">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title">\u5FAE\u4FE1\u8BA2\u5355</h1>\n  </ion-header-bar>\n  <div class="myordertab bar-subheader" >\n    <div class="col  {{currentTab == \'0\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="changeTab(\'0\')">\u5168\u90E8</div>\n    <div class="col  {{currentTab == \'1\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="changeTab(\'1\')">\u672A\u5B8C\u6210</div>\n    <div class="col  {{currentTab == \'4\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="changeTab(\'4\')">\u5DF2\u5B8C\u6210</div>\n    <div class="col  {{currentTab == \'5\'?\'myordertabon\':\'myordertaboff\'}}" ng-click="changeTab(\'5\')">\u53D6\u6D88</div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false" class="has-subheader" style="background-color: #e5e5e5;">\n    <ion-refresher pulling-text="\u5237\u65B0\u4E00\u4E0B" on-refresh="orders.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="orders.data.length===0">\n      \u6682\u672A\u627E\u5230\u76F8\u5173\u53EB\u8D27\u8BA2\u5355\u54E6\uFF01\n    </div>\n    <div class="list" ng-if="orders.data.length > 0">\n      <div class="item sr-item" style="font-size: 12px;margin-top: 5px;" ng-repeat="order in orders.data">\n          <div class="row noMarginPadding" ng-click="goToOrderDetail(order.no)">\n            <div class="col wxOrderItem" style="margin-left: 4px;">\n              <div>\n                <span>\u5355\u53F7\uFF1A{{order.no}}</span><span class="colvaluenormal" style="margin-left: 10px;">{{order.crtDate}}</span>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #4CAF50" ng-if="order.status == \'1\'">\u5DF2\u9884\u8BA2</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #ff9e44" ng-if="order.status == \'2\'">\u5DF2\u786E\u8BA4</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #ff9e44" ng-if="order.status == \'3\'">\u5DF2\u914D\u9001</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #d7d8d6" ng-if="order.status == \'4\'">\u5DF2\u7ED3\u675F</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #d7d8d6" ng-if="order.status == \'5\'">\u5DF2\u53D6\u6D88</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #ff9e44" ng-if="order.status == \'6\'">\u5DF2\u63D0\u4EA4</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #ff9e44" ng-if="order.status == \'7\'">\u5DF2\u5206\u62E3</div>\n                <div style="position:absolute;right: 4px;display: inline-block;color: #ff9e44" ng-if="order.status == \'8\'">\u5DF2\u5230\u5E97</div>\n              </div>\n              <div>\n                <div style="display: inline-block;width: 40%;">\u5BA2\u6237\uFF1A{{order.name}}</div>\n                <div style="display: inline-block;width: 40%;"><a style="color: #ff6600;" href="tel:{{order.phone}}" ng-click="eventStopPropagation()"><i class="icon ion-ios-telephone-outline" style="margin-right: 4px;font-size: 16px;"></i>{{order.phone}}</a></div>\n                <div style="position:absolute;right: 4px;display: inline-block;width: 20%;"><span ng-class="{\'order-type1\':order.type==\'1\',\'order-type2\':order.type==\'2\',\'order-type3\':order.type==\'3\'}" >{{order.type==\'3\'?\'\u997F\u4E86\u4E48\':(order.type==\'1\'?\'\u5373\u523B\u8FBE\':\'\u6279\u91CF\u8BA2\')}}</span></div>\n              </div>\n              <div class="colvaluenormal" style="position: relative;">\n                <div class="colvaluenormaltext" style="margin-right: 0px;width: 80%;">{{order.address}}</div>\n                <div style="position:absolute;bottom: -2px;right:0px;text-align: right;color: #d7d8d6;" ng-if="order.payType==\'1\'">\u8D27\u5230\u4ED8\u6B3E</div>\n                <div style="position:absolute;bottom: -2px;right:0px;text-align: right;color: #d7d8d6;" ng-if="(order.payType==\'2\'||order.payType==\'4\')&&order.payStatus==\'0\'">\u672A\u4ED8\u6B3E</div>\n                <div style="position:absolute;bottom: -2px;right:0px;text-align: right;color: #d7d8d6;" ng-if="(order.payType==\'2\'||order.payType==\'4\')&&order.payStatus==\'1\'">\u5DF2\u4ED8\u6B3E</div>\n              </div>\n            </div>\n          </div>\n          <div class="row noMarginPadding" ng-click="goToOrderDetail(order.no)">\n            <div class="col text-right">\n              <div>\n                \u5171<span style="font-size: 16px;font-weight: bold;">{{order.detailCount}}</span>\u79CD\u5546\u54C1\uFF0C\u5E94\u4ED8<span style="font-size: 16px;font-weight: bold;">\xA5{{order.amount+order.deliveryFee-order.couponAmount |number:2}}</span>\n                <span ng-if="order.storeProfit > 0">\uFF0C\u5229\u6DA6<span style="font-size: 16px;font-weight: bold;">\xA5{{order.storeProfit}}</span></span>\n              </div>\n            </div>\n          </div>\n          <div class="row noMarginPadding" style="display: block;">\n            <div class="myorderbutton1" ng-if="order.status == \'1\' || order.status == \'2\' || order.status == \'3\' || order.status == \'8\'" ng-click="cancelOrder(order.no)">\u53D6\u6D88\u8BA2\u5355</div>\n            <div class="myorderbutton1" ng-if="order.status == \'3\' || order.status == \'8\'" ng-click="completeOrder(order.no)">\u7ED3\u675F\u8BA2\u5355</div>\n            <div class="myorderbutton1" ng-if="order.status == \'1\'" ng-click="confirmOrder(order.no)">\u63A5\u6536\u8BA2\u5355</div>\n          </div>\n        </div>\n    </div>\n    <ion-infinite-scroll ng-if="!orders.moredata" on-infinite="orders.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/order/userWxOrderDetail.html','<ion-view hide-tabs="false">\n  <ion-header-bar class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: #9c9c9c"></a>\n    <h1 class="title" style="color: #333333">\u5FAE\u4FE1\u8BA2\u5355\u8BE6\u60C5</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="fasle" class="has-header" style="background:#f8f8f8;border: none;">\n    <div style="padding:10px 10px 0 10px;background-color: #FFFFFF;border-top: 1px solid #eaeaea;border-bottom: 1px solid #eaeaea">\n      <div class="row">\n        <div class="col col-15 noMarginPadding" style="text-align: center">\n          <i class="icon icon-dingdanyitijiao order-icon-size {{order.status >= \'1\'?\'order-status1\':\'order-status2\'}}"></i>\n          <p class="order-descr-size {{order.status >= \'1\'?\'order-status1\':\'order-status2\'}}">\u5DF2\u9884\u8BA2</p>\n        </div>\n        <div class="col col-10 col-center noMarginPadding" style="text-align: center">\n          <i class="icon ion-ios-minus-empty order-icon-size {{order.status >= \'1\'?\'order-status1\':\'order-status2\'}}"></i>\n        </div>\n        <div class="col col-15 noMarginPadding" style="text-align: center">\n          <i class="icon icon-shangjiaqueren order-icon-size {{order.status >= \'2\'?\'order-status1\':\'order-status2\'}}"></i>\n          <p class="order-descr-size {{order.status >= \'2\'?\'order-status1\':\'order-status2\'}}">\u5DF2\u786E\u8BA4</p>\n        </div>\n        <div class="col col-10 col-center noMarginPadding" style="text-align: center">\n          <i class="icon ion-ios-minus-empty order-icon-size {{order.status >= \'2\'?\'order-status1\':\'order-status2\'}}"></i>\n        </div>\n        <div class="col col-15 noMarginPadding" style="text-align: center" ng-if="order.type == \'1\'">\n          <i class="icon icon-ordersteps3 order-icon-size {{order.status >= \'3\'?\'order-status1\':\'order-status2\'}}"></i>\n          <p class="order-descr-size {{order.status >= \'3\'?\'order-status1\':\'order-status2\'}}">\u5728\u9014\u4E2D</p>\n        </div>\n        <div class="col col-15 noMarginPadding" style="text-align: center" ng-if="order.type == \'2\'">\n          <i class="icon icon-ordersteps3 order-icon-size {{order.status >= \'4\'?\'order-status1\':\'order-status2\'}}"></i>\n          <p class="order-descr-size order-status2" ng-if="order.status < \'4\'">\u5F85\u63D0\u4EA4</p>\n          <p class="order-descr-size order-status1" ng-if="order.status == \'6\'">\u5DF2\u63D0\u4EA4</p>\n          <p class="order-descr-size order-status1" ng-if="order.status == \'7\'">\u5DF2\u5206\u62E3</p>\n          <p class="order-descr-size order-status1" ng-if="order.status == \'8\' || order.status == \'4\' || order.status == \'5\'">\u5DF2\u5230\u5E97</p>\n        </div>\n        <div class="col col-10 col-center noMarginPadding" style="text-align: center">\n          <i class="icon ion-ios-minus-empty order-icon-size {{order.status >= \'4\'?\'order-status1\':\'order-status2\'}}"></i>\n        </div>\n        <div class="col col-15 noMarginPadding" style="text-align: center">\n          <i class="icon icon-dingdanquhuowancheng order-icon-size {{order.status == \'4\' || order.status == \'5\'?\'order-status1\':\'order-status2\'}}"></i>\n          <p class="order-descr-size order-status2" ng-if="order.status != \'4\' && order.status != \'5\'">\u7ED3\u675F</p>\n          <p class="order-descr-size order-status1" ng-if="order.status == \'4\'">\u7ED3\u675F</p>\n          <p class="order-descr-size order-status1" ng-if="order.status == \'5\'">\u53D6\u6D88</p>\n        </div>\n      </div>\n    </div>\n    <div class="item mykuai1">\n      <span class="mytitle-noIcon">\u8BA2\u5355\u4FE1\u606F</span>\n      <span class="myrighticon noMarginPadding" style="font-size: 12px;color: #A9A9A9;right: 20px;">\n        <span style="float: none;margin-right: 4px;" ng-class="{\'order-type1\':order.type==\'1\',\'order-type2\':order.type==\'2\',\'order-type3\':order.type==\'3\'}" >{{order.type==\'3\'?\'\u997F\u4E86\u4E48\':(order.type==\'1\'?\'\u5373\u523B\u8FBE\':\'\u6279\u91CF\u8BA2\')}}</span>\u5355\u53F7:{{order.no}}\n      </span>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-top: 1px solid #eaeaea;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u8054\u7CFB\u4EBA:{{order.name}}</p>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u8054\u7CFB\u7535\u8BDD:{{order.phone}}</p>\n        </div>\n      </div>\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-center">\n          <p style="color:#8c8b8a;margin: 5px 0;">\u9001\u8D27\u5730\u5740:{{order.positionName}} {{order.address}}</p>\n        </div>\n      </div>\n    </div>\n    <div class="item mykuai" style="border-top: 1px solid #eaeaea;">\n      <span class="mytitle-noIcon">\u5408\u8BA1<span style="font-size: 12px;color: red;" ng-if="isUnSales">(<i class="icon ion-minus-circled"></i>\u8BF4\u660E\uFF1A\u5B58\u5728\u5DF2\u4E0B\u67B6\u672A\u5728\u552E\u5546\u54C1)</span></span>\n    </div>\n    <hr class="myhr2">\n    <div class="list" ng-repeat="item in order.wechatSalesInvoiceDetails" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <!-- \u4E2A\u4EBA\u53EB\u8D27 -->\n      <div class="row" style="padding: 0 5px 0 5px;" ng-if="!isShowMask" >\n        <div class="col col-60">\n          <p class="sr-order-submit">{{item.itDescr}}</p>\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-submit">\xD7{{item.qty}}</p>\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-submit text-center">\xA5{{item.lineAmount}}</p>\n        </div>\n      </div>\n      <!-- \u6279\u91CF\u8BA2\u8D27 -->\n      <div class="row" style="padding: 0 5px 0 5px;" ng-if="isShowMask" >\n        <div class="col col-60">\n          <p class="sr-order-submit">{{item.itDescr}}&nbsp;<span class="icon icon-yiguoqi" style="color: red;" ng-if="item.isUnSales"></span></p>\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-submit">\xD7{{item.qty}}</p>\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-submit" style="margin-bottom: 0px;">\n            <span>\u552E:\xA5{{item.lineAmount}}</span>\n            <span style="color: #c5c5c5;" ng-if="isShowMask"><br/>\u8FDB:\xA5{{parseFloat(item.cost*item.qty)}}</span>\n          </p>\n        </div>\n        <!--<div class="right-button" ng-if="item.isUnSales" ng-click="removeItem(item.itcode)">\u79FB\u9664</div>-->\n      </div>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-60">\n          <p class="sr-order-submit">\u914D\u9001\u8D39</p>\n        </div>\n        <div class="col col-20">\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-submit" style="text-align: center">\xA5{{order.deliveryFee}}</p>\n        </div>\n      </div>\n    </div>\n    <div class="list" ng-if="order.couponAmount > 0" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-60">\n          <p class="sr-order-detail2">\u4F7F\u7528\u4F18\u60E0\u5238</p>\n        </div>\n        <div class="col col-20">\n        </div>\n        <div class="col col-20">\n          <p class="sr-order-detail2" style="text-align: center">\xA5-{{order.couponAmount}}</p>\n        </div>\n      </div>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-40">\n          <p class="sr-order-sum">{{order.payType==\'1\'?\'\u8D27\u5230\u4ED8\u6B3E\':\'\u5728\u7EBF\u652F\u4ED8\'}}</p>\n        </div>\n        <div class="col">\n        </div>\n        <div class="col col-33">\n          <p class="sr-order-sum" style="text-align: center">\n            \u5E94\u6536\xA5{{parseFloat(order.amount+order.deliveryFee-order.couponAmount-order.unSalesAmount)}}\n            <br/><span ng-if="order.payType==\'2\'||order.payType==\'4\'" style="color: #d7d8d6;">{{order.payStatus==\'0\'?\'\u672A\u652F\u4ED8\':\'\u5DF2\u652F\u4ED8\'}}</span>\n          </p>\n        </div>\n      </div>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea" ng-if="isShowMask">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-40">\n          <p class="sr-order-sum">\u8FDB\u8D27\u91D1\u989D</p>\n        </div>\n        <div class="col">\n        </div>\n        <div class="col col-33">\n          <p class="sr-order-sum" style="text-align: center">\u8D27\u6B3E\xA5{{order.platformAmount}}</p>\n        </div>\n      </div>\n    </div>\n    <div class="list" style="margin-bottom: 0;background-color: #FFFFFF;border-bottom: 1px solid #eaeaea" ng-if="isShowMask || order.storeProfit > 0">\n      <div class="row" style="padding: 0 5px 0 5px;" >\n        <div class="col col-40">\n          <p class="sr-order-sum">\u8BA2\u5355\u5229\u6DA6</p>\n        </div>\n        <div class="col">\n        </div>\n        <div class="col col-33">\n          <p class="sr-order-sum" style="text-align: center">\u6536\u76CA\xA5{{parseFloat(order.storeProfit+order.deliveryFee)}}</p>\n        </div>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/appRoute.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">{{appTitle}}</h1>\n  </ion-header-bar>\n  <ion-content scroll="true" overflow-scroll="true" id="appiframe">\n      <iframe ng-src="{{appUrl}}" style="height: 100%;width:100%;"></iframe>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/credits.html','<ion-view view-title="\u79EF\u5206\u5151\u6362">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u79EF\u5206\u5151\u6362</h1>\n  </ion-header-bar>\n  <ion-content class="has-header">\n    <div style="background:#FE344C;border-radius:5px;height:40px;margin: 0px 2px;color: #ffffff;" ng-if="isLogin">\n      <div class="row">\n        <div class="col">\n          <span class="spantext">\u4F1A\u5458\u7EA7\u522B</span> <span class="labeltext">{{vm.cashGrade.gradeName}}</span>\n        </div>\n        <div class="col col-40 text-center">\n          <span class="spantext">\u5269\u4F59\u79EF\u5206</span> <span class="labeltext">{{vm.integral}}</span>\n        </div>\n        <div class="col">\n          <span class="spantext">\u79EF\u5206\u500D\u7387</span> <span class="labeltext">{{(vm.cashGrade.gradeRule | filter:{grade:vm.data.grade})[0].cashGradeRate }}</span>\n        </div>\n      </div>\n      <div class="row" ng-if="false">\n        <div class="col">\n          <div class="item-input-wrapper" style="background: #F6F6F6;height:24px !important;">\n            <input type="number" ng-model="vm.convertCredits" placeholder="\u8BF7\u8F93\u5165\u60A8\u8981\u5151\u6362\u7684\u79EF\u5206" style="height: 24px;width: 100%;">\n          </div>\n        </div>\n        <div class="col col-25 text-right">\n          <button class="button button-positive" style="height: 24px;min-height: 24px;line-height: 24px;font-size: 14px; padding: 0 6px;background: #6E1213;" ng-click="convert()">\u7ACB\u5373\u5151\u6362</button>\n        </div>\n      </div>\n      <div class="row" ng-if="false">\n        <div class="col">\n          <span class="labelsmalltext">\u6CE8\uFF1A\u6BCF1000\u79EF\u5206\u53EF\u76F4\u63A5\u5151\u63621\u5143\u4EBA\u6C11\u5E01</span>\n          <span class="labelsmalltext">\u6BCF\u6B21\u6700\u5C1110000\u79EF\u5206\u8D77\u6362</span>\n        </div>\n      </div>\n    </div>\n    <div style="position: relative;">\n      <div style="position:absolute;top:5%;left:82%;font-size: 10px;">\n        <a href="#" ng-click="goIntergralRule()" style="text-decoration-line: none;">\u53BB\u770B\u770B>></a>\n      </div>\n      <img ng-src="{{creditsImgUrl || \'img/credits.jpg\'}}" style="width: 100%;height: auto;">\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/information.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar" style="border-bottom: none;">\n    <a class="button icon-back02" style="color: white" ng-click="goBack()"></a>\n    <h1 class="title" style="color: white">\u516C\u544A</h1>\n  </ion-header-bar>\n  <ion-content class="no-padding">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <ion-list>\n      <ion-item ng-repeat="information in vm.data" ng-if="vm.data" ng-click="goInformationDetail(information.number)">\n        {{information.infoTitle}}<span class="item-note">{{information.sendDate | limitTo : 10}}</span>\n      </ion-item>\n    </ion-list>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="vm.loadMore()" distance="1%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/informationDetail.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u516C\u544A\u8BE6\u60C5</h1>\n  </ion-header-bar>\n  <ion-content scroll="true" overflow-scroll="true">\n      <div class="detailInformationImg" ng-bind-html="informationHtml"></div>\n      <!--<iframe ng-src="{{informationDetailUrl}}" style="min-height: 100%;min-width:100%;"></iframe>-->\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/myFans.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar" style="border-bottom: none;">\n    <a class="button icon-back02" style="color: white" ng-click="goBack()"></a>\n    <h1 class="title" style="color: white">\u6211\u7684\u7C89\u4E1D</h1>\n  </ion-header-bar>\n  <ion-content class="no-padding">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div ng-if="vm.records===0" style="width: 100%;height:100%;text-align: center;padding-top: 40%">\n      <img src="img/empty.png" style="width: 160px;height: 160px">\n      <div class="row" style="padding:0;text-align: center;">\n        <div class="col" style="padding: 0;font-size: 13px;color: #999999;">\n          <span style="font-size: 20px;">\u6CA1\u6709\u7C89\u4E1D......</span>\n        </div>\n      </div>\n    </div>\n    <div class="list" ng-if="vm.data.length > 0">\n      <div class="item sr-item" style="font-size: 12px;" ng-repeat="wechatUser in vm.data">\n        <div class="row noMarginPadding">\n          <div class="col col-25">\n            <a class="tab-item griditem">\n              <img class="icon tabicon" src="img/photo2.png">\n            </a>\n          </div>\n          <div class="col col-75 wxOrderItem" style="margin-left: 4px;">\n            <div><span>ID\uFF1A{{wechatUser.userId}}</span><span class="colvaluenormal" style="margin-left: 10px;">{{wechatUser.crtDate}}</span></div>\n            <div>\n              <div style="display: inline-block;width: 48%;">\u59D3\u540D\uFF1A{{wechatUser.userName}}</div>\n              <div style="display: inline-block;width: 48%;"><a style="color: #ff6600;" href="tel:{{wechatUser.mobile}}" ng-click="eventStopPropagation()"><i class="icon ion-ios-telephone-outline" style="margin-right: 4px;font-size: 16px;"></i>{{wechatUser.mobile}}</a></div>\n            </div>\n            <div class="colvaluenormal" style="position: relative;">\n              <div class="colvaluenormaltext" style="margin-right: 0px;width: 96%;white-space: normal;">\u5730\u5740\uFF1A{{wechatUser.address}}</div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="vm.loadMore()" distance="1%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/storeBrandGrade.html','<ion-view  hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar" style="border-bottom: none;">\n    <a class="button icon-back02" style="color: white" ng-click="goBack()"></a>\n    <h1 class="title" style="color: white">\u6211\u7684\u54C1\u724C\u7B49\u7EA7</h1>\n  </ion-header-bar>\n  <ion-content class="no-padding">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div ng-if="vm.records===0" style="width: 100%;height:100%;text-align: center;padding-top: 40%">\n      <img src="img/empty.png" style="width: 160px;height: 160px">\n      <div class="row" style="padding:0;text-align: center;">\n        <div class="col" style="padding: 0;font-size: 13px;color: #999999;">\n          <span style="font-size: 20px;">\u6CA1\u6709\u54C1\u724C\u7B49\u7EA7......</span>\n        </div>\n      </div>\n    </div>\n    <div class="list"  ng-if="vm.data">\n      <div class="item sr-item" ng-repeat="todayFund in vm.data" ng-click="goSearchBrandItem(todayFund.brandCode)">\n        <div class="row noMarginPadding">\n          <div class="col col-33">\n            <a class="tab-item griditem">\n              <img class="icon tabicon" ng-src="{{todayFund.logoUrl}}" style="height:56px !important;">\n              <p style="font-size: 12px;">{{todayFund.brandName}}</p>\n            </a>\n          </div>\n          <div class="col col-67">\n            <p style="color: #ff6600;font-size: 16px;line-height: 30px;font-weight: bold;">\u54C1\u724C\u7EA7\u522B\uFF1A\n                <img ng-src="img/icon/crown{{todayFund.gradeSplit.split(\',\')[0]}}.png" ng-if="todayFund.gradeSplit.split(\',\')[0]>0">\n                <img ng-src="img/icon/masonry{{todayFund.gradeSplit.split(\',\')[1]}}.png" ng-if="todayFund.gradeSplit.split(\',\')[1]>0">\n                <img ng-src="img/icon/gold{{todayFund.gradeSplit.split(\',\')[2]}}.png" ng-if="todayFund.gradeSplit.split(\',\')[2]>0">\n                <span ng-if="todayFund.gradeSplit.split(\',\')[3]>0">+{{todayFund.gradeSplit.split(\',\')[3]}}</span>\n            </p>\n            <p>\u8BA2\u5355\u6570\u91CF\uFF1A<span class="sr-login">{{todayFund.orderNum}}</span><a href="#" style="float:right;text-decoration: none;color: #aaa;position: relative;"><img src="img/first/gift.png" style="width: auto;height: 16px;position: absolute;left: -18px;">\u54C1\u724C\u6D3B\u52A8>></a></p>\n            <p>\u8BA2\u5355\u91D1\u989D\uFF1A<span class="sr-login">\xA5{{todayFund.orderAmount|number:2}}</span></p>\n          </div>\n        </div>\n      </div>\n    </div>\n    <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="vm.loadMore()" distance="1%" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/tab-first.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset " style="border-bottom: 0px;  background: #FF6600;padding:0px 5px 0px 5px;" ng-controller="HeaderCtrl">\n    <img class="button button-icon logoicon1" src="img/logo_max1.png">\n    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">\n      <i class="icon ion-search placeholder-icon"></i>\n      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()">\n      <a class="icon placeholder-icon ion-qr-scanner" ng-click="scanBarcode()" style="font-size: 20px;"></a>\n    </div>\n    <a class="icon-xiaoxi button" style="background: transparent;color:white;width: 40px;margin-left:4px;" href="#" ng-if="isLogin" ng-click="!isLogin?goLoginPage():goNotice()" >\n      <label class="badgeqty4" style="width:16px;" ng-show="myModal.cashier.totalUnReadLetter" >{{myModal.cashier.totalUnReadLetter}}</label>\n    </a>\n    <button class="button button-clear button-positive"  ng-if="!isLogin" ng-click="!isLogin?goLoginPage():goNotice()" style="color:white;width: 40px;margin-left: 4px;font-size: 16px;">\n      <span ng-show="!isLogin">\u767B\u5F55</span>\n    </button>\n  </ion-header-bar>\n  <ion-content  class="has-header" lazy-scroll>\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="doRefreshPage()" spinner="ios"></ion-refresher>\n    <div style="display: block;height: 160px;width:100%;">\n      <ion-slide-box auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" ng-if="banners.length > 0">\n        <ion-slide ng-repeat="banner in banners" ng-show="initCompleteShow">\n          <div class="box" ng-click="openBannerUrl(banner.appHref)"><img ng-src="{{banner.appImgUrl}}"></div>\n        </ion-slide>\n      </ion-slide-box>\n    </div>\n    <div class="item" style="padding:0;margin: -2px;">\n      <div class="portal-bbs-div" style="margin: 2px 5px 0px 5px;">\n        <div style="height:34px;line-height: 34px;padding: 0;margin: 0 50px 0 77px;">\n          <div  style="height: 100%;text-overflow: ellipsis;overflow: hidden;white-space: nowrap;">\n            <div style="margin-top: -34px;">\n              <p ng-repeat="info in information" class="animated slideInUp"  ng-click="goInformationDetail(info.number)" style="color: #666666;width: 100%;margin-bottom: 0px;font-size: 14px;">{{info.infoTitle}}</p>\n            </div>\n          </div>\n        </div>\n        <div class="" style="margin-top:-34px;float: left;width:74px;line-height: 34px;padding: 0 0 0 10px;color: #ff6600;">\n          <i class="icon icon-xitonggonggao" style="font-size: 28px !important;margin: -3px 0 0 -2px;float: left;"></i>\n          <div style="font-size: 14px;height:34px">\n            <span class="portal-bbs">\u516C\u544A</span>\n          </div>\n        </div>\n        <hr style="height: 20px;width: 5px;padding:0;margin: -27px 38px 0 0 ;z-index: 20; border: none;border-left: 1px solid #BDBABA;float: right;">\n        <div class="portal-bbs-more" ng-click="goInformation()">\u66F4\u591A</div>\n      </div>\n    </div>\n\n    <!-- \u4FBF\u5229\u5B9D\u5546\u57CE begin-->\n    <div class="item first-header" style="border-top: 1px solid #eaeaea;">\n      <span class="spandiv">\u8FDB\u8D27\u4FE1\u606F</span><span class="item-note" ng-click="goPortal()">\u8FDB\u5165\u5546\u57CE>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-25 first-icon" ng-click="goCuXiao()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.promItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/chuxiao.png">\n          <p>\u4FC3\u9500\u54C1\u9879</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goFanXian()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.cashBackItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/fanxian.png">\n          <p>\u8FD4\u73B0\u5546\u54C1</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goJiangJia()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.todayCutNum}}</label>\n          <img class="icon appicon" ng-src="img/first/jiangjia.png">\n          <p>\u4ECA\u65E5\u964D\u4EF7</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goXinPin()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.newItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/shangjia.png">\n          <p>\u65B0\u54C1\u4E0A\u7EBF</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goFavorite()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myFavoriteNum}}</label>\n          <img class="icon appicon" ng-src="img/first/shoucang1.png">\n          <p>\u6211\u7684\u6536\u85CF</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goStoreBrandGrade()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myBrandGradeNum}}</label>\n          <img class="icon appicon" ng-src="img/first/dengji.png">\n          <p>\u54C1\u724C\u7EA7\u522B</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goMyCoupons()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myCouponNum}}</label>\n          <img class="icon appicon" ng-src="img/first/youhuiquan1.png">\n          <p>\u4F18\u60E0\u5238</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goCredits()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">6</label>\n          <img class="icon appicon" ng-src="img/first/jifen.png">\n          <p>\u79EF\u5206\u5151\u6362</p>\n        </div>\n      </div>\n    </div>\n    <!-- \u4FBF\u5229\u5B9D\u5546\u57CE end-->\n\n    <!-- \u6211\u7684\u62A5\u8D27\u5355 begin-->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u62A5\u8D27</span><span class="item-note" ng-click="goOrder()">\u8FDB\u5165\u62A5\u8D27\u5355>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goOrder()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jinribaohuo.png"></div>\u4ECA\u65E5\u62A5\u8D27\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.todayOrderAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672C\u6708\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myOrderNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672C\u6708\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myOrderAmount:\'***\'}}</div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goReturnOrder()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_benzhoutuihuo.png"></div>\u672C\u5468\u9000\u8D27\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.thisWeekReturnAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u5F85\u5904\u7406\u9000\u8D27\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.undoReturnAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u9000\u8D27\u62A5\u5907\u7535\u8BDD\uFF1A</div><div class="labelvalue"><a href="tel:{{homePageData.returnTelphone}}" ng-if="isLogin" ng-click="$event.stopPropagation();">{{homePageData.returnTelphone}}</a><div ng-if="!isLogin">***</div></div>\n          </p>\n        </div>\n      </div>\n    </div>\n    <!-- \u6211\u7684\u62A5\u8D27\u5355 end-->\n\n    <!-- \u6211\u7684\u8D26\u6237 begin -->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u5E97\u94FA</span><span class="item-note" ng-click="goAccountMoney()">\u8FDB\u5165\u6211\u7684\u5E10\u6237>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goAccountMoney()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodezhanghu.png"></div>\u8D26\u6237\u4F59\u989D\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.myStoreFund:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u4F1A\u5458\u7B49\u7EA7\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myGrade:\'***\'}}</div></p>\n          <p><div ng-click="goGrowthValue()"><div class="labeldiv">\u6211\u7684\u79EF\u5206\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myIntegral:\'***\'}}</div></div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goTodayFund()" style="position: relative;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenCliCash==\'0\'">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jinrishouyin.png"></div>\u4ECA\u65E5\u6536\u94F6\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.todayFund:\'***\'}}</div></p>\n          <p><div ng-click="goCashTodayFund()"><div class="labeldiv">\u73B0\u91D1\u6536\u6B3E\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.cashFund:\'***\'}}</div></div></p>\n          <p><div ng-click="goLineTodayFund()"><div class="labeldiv">\u7EBF\u4E0A\u6536\u6B3E\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.lineFund:\'***\'}}</div></div></p>\n        </div>\n      </div>\n    </div>\n    <!-- \u6211\u7684\u8D26\u6237 end -->\n\n    <!-- \u5FAE\u4FE1\u53EB\u8D27 begin-->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u5FAE\u5E97</span><span class="item-note" ng-click="goUserWxOrder()">\u8FDB\u5165\u5FAE\u4FE1\u8BA2\u5355>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goUserWxOrder(2)" style="position: relative;padding-bottom: 0px;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenTheDoorForBatch==\'0\'">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_piliangding.png"></div>\u6279\u91CF\u8BA2</div>\n          <p><div class="labeldiv">\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.batchNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.batchTotalAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672A\u5904\u7406\u8BA2\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.batchUndoNum:\'***\'}}</div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goUserWxOrder(1)" style="position: relative;padding-bottom: 0px;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenTheDoor==\'0\'">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jikeda.png"></div>\u5373\u523B\u8FBE</div>\n          <p><div class="labeldiv">\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.callNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.callTotalAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672A\u5904\u7406\u8BA2\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.callUndoNum:\'***\'}}</div></p>\n        </div>\n      </div>\n      <!--\n      <div class="col col-50 first-icon" ng-click="goMyFans()">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodefensi.png"></div>\u6211\u7684\u7C89\u4E1D</div>\n          <p><div class="labeldiv">\u7C89\u4E1D\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myFansNum:\'***\'}}</div></p>\n          <p><div ng-click="goMyFansMonth()"><div class="labeldiv">\u672C\u6708\u65B0\u589E\u7C89\u4E1D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.thisMonthFansNum:\'***\'}}</div></div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goMyInvitation()" ng-if="false">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_woyaotuiguang.png"></div>\u6211\u8981\u63A8\u5E7F</div>\n          <p><div class="text-center"><img ng-src="{{qrcodeUrl}}" style="width: 44px;height: 44px;" ng-click="showQrcode()"></div></p>\n        </div>\n      </div>\n      -->\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea;">\n      <div class="col first-icon" style="padding-bottom: 0px;">\n        <div class="tab-item griditem" style="padding-bottom: 0px;">\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_woyaotuiguang.png"></div>\u6211\u8981\u63A8\u5E7F</div>\n          <div class="row noMarginPadding">\n            <div class="col col-34 noMarginPadding" style="margin-left: 15px;  ">\n              <div class="text-center"><img ng-src="{{qrcodeUrl}}" style="width: 74px;height: 74px;  " ng-click="showQrcode()"></div>\n            </div>\n            <div class="col col-66" style="display: block;padding: 15px 0px;  ">\n              <div ng-click="goMyFans()"><div class="labeldiv">\u7C89\u4E1D\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myFansNum:\'***\'}}</div></div>\n              <div ng-click="goMyFansMonth()" style="margin-top: 5px;  "><div class="labeldiv">\u672C\u6708\u65B0\u589E\u7C89\u4E1D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.thisMonthFansNum:\'***\'}}</div></div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea;">\n      <div class="col first-icon" style="padding-bottom: 0px;">\n        <div class="tab-item griditem" style="padding-bottom: 0px;">\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodefensi.png"></div>\u6211\u7684\u670D\u52A1\u4E13\u5458</div>\n          <div class="row noMarginPadding">\n            <div class="col col-34 noMarginPadding" style="margin-left: 15px;">\n              <p><div class="text-center"><img ng-src="{{isLogin&&homePageData.salesManInfo.imgUrl?homePageData.salesManInfo.imgUrl:\'img/first/salesman.jpg\'}}" style="width: 74px;height: 74px;"></div></p>\n            </div>\n            <div class="col col-66 noMarginPadding" style="display: block;">\n              <div style="padding-top: 4px;">\n                <p><div class="labeldiv">\u4E1A\u52A1\u4E13\u5458\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.salesManInfo.salesManDescr||\'\u65E0\':\'***\'}}</div></p>\n                <p>\n                <div class="labeldiv">\u8054\u7CFB\u7535\u8BDD\uFF1A</div><div class="labelvalue" ng-if="!isLogin">***</div><div class="labelvalue" ng-if="isLogin">\n                <a href="tel:{{homePageData.salesManInfo.salesManMobile}}">{{homePageData.salesManInfo.salesManMobile||\'\u65E0\'}}</a>\n              </div>\n                </p>\n                <p>\n                <div class="labeldiv">\u670D\u52A1\u8BC4\u4EF7\uFF1A</div><div class="labelvalue" ng-if="!isLogin">***</div><div class="labelvalue" ng-if="isLogin">\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'1\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'2\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'3\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'4\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'5\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n              </div>\n                </p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <!-- \u5FAE\u4FE1\u53EB\u8D27 end-->\n  </ion-content>\n  <!-- \u901A\u8FC7\u4E8C\u7EF4\u7801\u5206\u4EAB\u9080\u8BF7 -->\n  <div ng-show="isShowQrcode" style="position:absolute;top:0;left: 0;width: 100%;height: 100%;z-index: 99999;background: rgba(0,0,0,.7)" ng-click="hideQrcode()">\n    <div style="text-align: center;position: absolute;width: 100%;bottom: 35%;">\n      <img style="width: 50%;height: auto; " ng-src="{{qrcodeUrl}}">\n      <div style="text-align: center;margin-top: 20px;color: #fff">\u626B\u4E00\u626B\u4E8C\u7EF4\u7801\uFF0C\u63A5\u53D7\u5206\u4EAB\u9080\u8BF7</div>\n    </div>\n  </div>\n</ion-view>\n');
$templateCache.put('store/portal/tab-main.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset " style="border-bottom: 0px;  background: #FF6600;padding:0px 5px 0px 5px;" ng-controller="HeaderCtrl">\n    <img class="button button-icon logoicon1" src="img/logo_max1.png">\n    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">\n      <i class="icon ion-search placeholder-icon"></i>\n      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()">\n      <a class="icon placeholder-icon ion-qr-scanner" ng-click="scanBarcode()" style="font-size: 20px;"></a>\n    </div>\n    <a class="icon-xiaoxi button" style="background: transparent;color:white;width: 40px;margin-left:4px;" href="#" ng-if="isLogin" ng-click="!isLogin?goLoginPage():goNotice()" >\n      <label class="badgeqty4" style="width:16px;" ng-show="myModal.cashier.totalUnReadLetter" >{{myModal.cashier.totalUnReadLetter}}</label>\n    </a>\n    <button class="button button-clear button-positive"  ng-if="!isLogin" ng-click="!isLogin?goLoginPage():goNotice()" style="color:white;width: 40px;margin-left: 4px;font-size: 16px;">\n      <span ng-show="!isLogin">\u767B\u5F55</span>\n    </button>\n  </ion-header-bar>\n  <ion-content  class="has-header" lazy-scroll>\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="doRefreshPage()" spinner="ios"></ion-refresher>\n    <div style="display: block;height: 160px;width:100%;">\n      <ion-slide-box auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" ng-if="banners.length > 0">\n        <ion-slide ng-repeat="banner in banners" ng-show="initCompleteShow">\n          <div class="box" ng-click="openBannerUrl(banner.appHref)"><img ng-src="{{banner.appImgUrl}}"></div>\n        </ion-slide>\n      </ion-slide-box>\n    </div>\n    <div class="item" style="padding:0;margin: -2px;">\n      <div class="portal-bbs-div" style="margin: 2px 5px 0px 5px;">\n        <div style="height:34px;line-height: 34px;padding: 0;margin: 0 50px 0 77px;">\n          <div  style="height: 100%;text-overflow: ellipsis;overflow: hidden;white-space: nowrap;">\n            <div style="margin-top: -34px;">\n              <p ng-repeat="info in information" class="animated slideInUp"  ng-click="goInformationDetail(info.number)" style="color: #666666;width: 100%;margin-bottom: 0px;font-size: 14px;">{{info.infoTitle}}</p>\n            </div>\n          </div>\n        </div>\n        <div class="" style="margin-top:-34px;float: left;width:74px;line-height: 34px;padding: 0 0 0 10px;color: #ff6600;">\n          <i class="icon icon-xitonggonggao" style="font-size: 28px !important;margin: -3px 0 0 -2px;float: left;"></i>\n          <div style="font-size: 14px;height:34px">\n            <span class="portal-bbs">\u516C\u544A</span>\n          </div>\n        </div>\n        <hr style="height: 20px;width: 5px;padding:0;margin: -27px 38px 0 0 ;z-index: 20; border: none;border-left: 1px solid #BDBABA;float: right;">\n        <div class="portal-bbs-more" ng-click="goInformation()">\u66F4\u591A</div>\n      </div>\n    </div>\n\n    <!-- \u4FBF\u5229\u5B9D\u5546\u57CE begin-->\n    <div class="item first-header" style="border-top: 1px solid #eaeaea;">\n      <span class="spandiv">\u8FDB\u8D27\u4FE1\u606F</span><span class="item-note" ng-click="goPortal()">\u8FDB\u5165\u5546\u57CE>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-25 first-icon" ng-click="goCuXiao()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.promItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/chuxiao.png">\n          <p>\u4FC3\u9500\u54C1\u9879</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goFanXian()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.cashBackItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/fanxian.png">\n          <p>\u8FD4\u73B0\u5546\u54C1</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goJiangJia()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.todayCutNum}}</label>\n          <img class="icon appicon" ng-src="img/first/jiangjia.png">\n          <p>\u4ECA\u65E5\u964D\u4EF7</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goXinPin()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.newItemNum}}</label>\n          <img class="icon appicon" ng-src="img/first/shangjia.png">\n          <p>\u65B0\u54C1\u4E0A\u7EBF</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goFavorite()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myFavoriteNum}}</label>\n          <img class="icon appicon" ng-src="img/first/shoucang1.png">\n          <p>\u6211\u7684\u6536\u85CF</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goStoreBrandGrade()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myBrandGradeNum}}</label>\n          <img class="icon appicon" ng-src="img/first/dengji.png">\n          <p>\u54C1\u724C\u7EA7\u522B</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goMyCoupons()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">{{homePageData.myCouponNum}}</label>\n          <img class="icon appicon" ng-src="img/first/youhuiquan1.png">\n          <p>\u4F18\u60E0\u5238</p>\n        </div>\n      </div>\n      <div class="col col-25 first-icon" ng-click="goCredits()">\n        <div class="tab-item griditem app-item" href="#">\n          <label class="app-badge" ng-show="isLogin">6</label>\n          <img class="icon appicon" ng-src="img/first/jifen.png">\n          <p>\u79EF\u5206\u5151\u6362</p>\n        </div>\n      </div>\n    </div>\n    <!-- \u4FBF\u5229\u5B9D\u5546\u57CE end-->\n\n    <!-- \u6211\u7684\u62A5\u8D27\u5355 begin-->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u62A5\u8D27</span><span class="item-note" ng-click="goOrder()">\u8FDB\u5165\u62A5\u8D27\u5355>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goOrder()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jinribaohuo.png"></div>\u4ECA\u65E5\u62A5\u8D27\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.todayOrderAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672C\u6708\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myOrderNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672C\u6708\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myOrderAmount:\'***\'}}</div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goReturnOrder()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_benzhoutuihuo.png"></div>\u672C\u5468\u9000\u8D27\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.thisWeekReturnAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u5F85\u5904\u7406\u9000\u8D27\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.undoReturnAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u9000\u8D27\u62A5\u5907\u7535\u8BDD\uFF1A</div><div class="labelvalue"><a href="tel:{{homePageData.returnTelphone}}" ng-if="isLogin" ng-click="$event.stopPropagation();">{{homePageData.returnTelphone}}</a><div ng-if="!isLogin">***</div></div>\n          </p>\n        </div>\n      </div>\n    </div>\n    <!-- \u6211\u7684\u62A5\u8D27\u5355 end-->\n\n    <!-- \u6211\u7684\u8D26\u6237 begin -->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u5E97\u94FA</span><span class="item-note" ng-click="goAccountMoney()">\u8FDB\u5165\u6211\u7684\u5E10\u6237>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goAccountMoney()">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodezhanghu.png"></div>\u8D26\u6237\u4F59\u989D\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.myStoreFund:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u4F1A\u5458\u7B49\u7EA7\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myGrade:\'***\'}}</div></p>\n          <p><div ng-click="goGrowthValue()"><div class="labeldiv">\u6211\u7684\u79EF\u5206\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myIntegral:\'***\'}}</div></div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goTodayFund()" style="position: relative;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenCliCash==\'0\'">\n        <div class="tab-item griditem" >\n          <p><div class="labeldiv special"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jinrishouyin.png"></div>\u4ECA\u65E5\u6536\u94F6\uFF1A</div><div class="labelvalue special">{{isLogin?homePageData.todayFund:\'***\'}}</div></p>\n          <p><div ng-click="goCashTodayFund()"><div class="labeldiv">\u73B0\u91D1\u6536\u6B3E\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.cashFund:\'***\'}}</div></div></p>\n          <p><div ng-click="goLineTodayFund()"><div class="labeldiv">\u7EBF\u4E0A\u6536\u6B3E\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.lineFund:\'***\'}}</div></div></p>\n        </div>\n      </div>\n    </div>\n    <!-- \u6211\u7684\u8D26\u6237 end -->\n\n    <!-- \u5FAE\u4FE1\u53EB\u8D27 begin-->\n    <div class="item first-header">\n      <span class="spandiv">\u6211\u7684\u5FAE\u5E97</span><span class="item-note" ng-click="goUserWxOrder()">\u8FDB\u5165\u5FAE\u4FE1\u8BA2\u5355>></span>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea">\n      <div class="col col-50 first-icon" ng-click="goUserWxOrder(2)" style="position: relative;padding-bottom: 0px;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenTheDoorForBatch==\'0\'">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_piliangding.png"></div>\u6279\u91CF\u8BA2</div>\n          <p><div class="labeldiv">\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.batchNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.batchTotalAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672A\u5904\u7406\u8BA2\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.batchUndoNum:\'***\'}}</div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goUserWxOrder(1)" style="position: relative;padding-bottom: 0px;">\n        <img src="img/unAuthorization.png" style="width: 58px;height: 58px;position: absolute;top:0;right: 0;" ng-if="homePageData.isOpenTheDoor==\'0\'">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_jikeda.png"></div>\u5373\u523B\u8FBE</div>\n          <p><div class="labeldiv">\u8BA2\u5355\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.callNum:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u8BA2\u5355\u91D1\u989D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.callTotalAmount:\'***\'}}</div></p>\n          <p><div class="labeldiv">\u672A\u5904\u7406\u8BA2\u5355\uFF1A</div><div class="labelvalue nodeal">{{isLogin?homePageData.callUndoNum:\'***\'}}</div></p>\n        </div>\n      </div>\n      <!--\n      <div class="col col-50 first-icon" ng-click="goMyFans()">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodefensi.png"></div>\u6211\u7684\u7C89\u4E1D</div>\n          <p><div class="labeldiv">\u7C89\u4E1D\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myFansNum:\'***\'}}</div></p>\n          <p><div ng-click="goMyFansMonth()"><div class="labeldiv">\u672C\u6708\u65B0\u589E\u7C89\u4E1D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.thisMonthFansNum:\'***\'}}</div></div></p>\n        </div>\n      </div>\n      <div class="col col-50 first-icon" ng-click="goMyInvitation()" ng-if="false">\n        <div class="tab-item griditem" >\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_woyaotuiguang.png"></div>\u6211\u8981\u63A8\u5E7F</div>\n          <p><div class="text-center"><img ng-src="{{qrcodeUrl}}" style="width: 44px;height: 44px;" ng-click="showQrcode()"></div></p>\n        </div>\n      </div>\n      -->\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea;">\n      <div class="col first-icon" style="padding-bottom: 0px;">\n        <div class="tab-item griditem" style="padding-bottom: 0px;">\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_woyaotuiguang.png"></div>\u6211\u8981\u63A8\u5E7F</div>\n          <div class="row noMarginPadding">\n            <div class="col col-34 noMarginPadding" style="margin-left: 15px;  ">\n              <div class="text-center"><img ng-src="{{qrcodeUrl}}" style="width: 74px;height: 74px;  " ng-click="showQrcode()"></div>\n            </div>\n            <div class="col col-66" style="display: block;padding: 15px 0px;  ">\n              <div ng-click="goMyFans()"><div class="labeldiv">\u7C89\u4E1D\u6570\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.myFansNum:\'***\'}}</div></div>\n              <div ng-click="goMyFansMonth()" style="margin-top: 5px;  "><div class="labeldiv">\u672C\u6708\u65B0\u589E\u7C89\u4E1D\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.thisMonthFansNum:\'***\'}}</div></div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class="row row-wrap row-wrap-old noMarginPadding" style="background-color: #FFFFFF;border-bottom: 1px solid #eaeaea;">\n      <div class="col first-icon" style="padding-bottom: 0px;">\n        <div class="tab-item griditem" style="padding-bottom: 0px;">\n          <div class="subheader"><div class="subheaderdiv"><img class="subheader-icon" src="img/first/firsticon_wodefensi.png"></div>\u6211\u7684\u670D\u52A1\u4E13\u5458</div>\n          <div class="row noMarginPadding">\n            <div class="col col-34 noMarginPadding" style="margin-left: 15px;">\n              <p><div class="text-center"><img ng-src="{{isLogin&&homePageData.salesManInfo.imgUrl?homePageData.salesManInfo.imgUrl:\'img/first/salesman.jpg\'}}" style="width: 74px;height: 74px;"></div></p>\n            </div>\n            <div class="col col-66 noMarginPadding" style="display: block;">\n              <div style="padding-top: 4px;">\n                <p><div class="labeldiv">\u4E1A\u52A1\u4E13\u5458\uFF1A</div><div class="labelvalue">{{isLogin?homePageData.salesManInfo.salesManDescr||\'\u65E0\':\'***\'}}</div></p>\n                <p>\n                <div class="labeldiv">\u8054\u7CFB\u7535\u8BDD\uFF1A</div><div class="labelvalue" ng-if="!isLogin">***</div><div class="labelvalue" ng-if="isLogin">\n                <a href="tel:{{homePageData.salesManInfo.salesManMobile}}">{{homePageData.salesManInfo.salesManMobile||\'\u65E0\'}}</a>\n              </div>\n                </p>\n                <p>\n                <div class="labeldiv">\u670D\u52A1\u8BC4\u4EF7\uFF1A</div><div class="labelvalue" ng-if="!isLogin">***</div><div class="labelvalue" ng-if="isLogin">\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'1\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'2\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'3\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'4\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n                <span class="icon  {{homePageData.salesManInfo.serviceScore >= \'5\'?\'icon-xingxingselecetd staron\':\'icon-xingxingnormal\'}}" style="font-size: 12px !important;position: relative;display: inline-block;margin: 0px;"></span>\n              </div>\n                </p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <!-- \u5FAE\u4FE1\u53EB\u8D27 end-->\n  </ion-content>\n  <!-- \u901A\u8FC7\u4E8C\u7EF4\u7801\u5206\u4EAB\u9080\u8BF7 -->\n  <div ng-show="isShowQrcode" style="position:absolute;top:0;left: 0;width: 100%;height: 100%;z-index: 99999;background: rgba(0,0,0,.7)" ng-click="hideQrcode()">\n    <div style="text-align: center;position: absolute;width: 100%;bottom: 35%;">\n      <img style="width: 50%;height: auto; " ng-src="{{qrcodeUrl}}">\n      <div style="text-align: center;margin-top: 20px;color: #fff">\u626B\u4E00\u626B\u4E8C\u7EF4\u7801\uFF0C\u63A5\u53D7\u5206\u4EAB\u9080\u8BF7</div>\n    </div>\n  </div>\n</ion-view>\n');
$templateCache.put('store/portal/tab-portal.html','<ion-view view-title="\u96C6\u914D\u5546\u57CE">\n  <ion-header-bar align-title="center" class="item-input-inset" style="border-bottom: 0px;  background: #FF6600;padding:0px 5px 0px 5px;" ng-controller="HeaderCtrl">\n    <img class="button button-icon logoicon1" src="img/logo_max1.png">\n    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">\n      <i class="icon ion-search placeholder-icon"></i>\n      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()">\n      <a class="icon placeholder-icon ion-qr-scanner" ng-click="scanBarcode()" style="font-size: 20px;"></a>\n    </div>\n    <a class="icon-xiaoxi button" style="background: transparent;color:white;width: 40px;margin-left:4px;" href="#" ng-if="isLogin" ng-click="!isLogin?goLoginPage():goNotice()" >\n      <label class="badgeqty4" style="width:16px;" ng-show="myModal.cashier.totalUnReadLetter" >{{myModal.cashier.totalUnReadLetter}}</label>\n    </a>\n    <button class="button button-clear button-positive"  ng-if="!isLogin" ng-click="!isLogin?goLoginPage():goNotice()" style="color:white;width: 40px;margin-left: 4px;font-size: 16px;">\n      <span ng-show="!isLogin">\u767B\u5F55</span>\n    </button>\n  </ion-header-bar>\n<!--  <ion-header-bar align-title="center" class="item-input-inset" style="border-bottom: 0px;  background: #FF6600;padding:0px 5px 0px 5px;" ng-controller="HeaderCtrl" ng-if="!isFromLoginSalesMan">-->\n<!--    <a ng-click="goBack()" class="button icon-back02" style="color: white;background-color: #ff6600;"></a>-->\n<!--    <div class="item-input-wrapper" style="background: #F6F6F6;height:36px !important;">-->\n<!--      <i class="icon ion-search placeholder-icon"></i>-->\n<!--      <input type="search" placeholder="\u54C1\u7C7B/\u5546\u54C1/\u6761\u7801/\u4F9B\u5E94\u5546" readonly ng-click="goSearch()">-->\n<!--      <a class="icon placeholder-icon ion-qr-scanner" ng-click="scanBarcode()" style="font-size: 20px;"></a>-->\n<!--    </div>-->\n<!--  </ion-header-bar>-->\n  <ion-content  class="has-header" lazy-scroll>\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0" on-refresh="doRefreshPage()" spinner="ios"></ion-refresher>\n    <div style="display: block;height: 160px;width:100%;">\n      <ion-slide-box auto-play="true" does-continue="true" slide-interval="2000" show-pager="true" ng-if="banners.length > 0">\n        <ion-slide ng-repeat="banner in banners" ng-show="initCompleteShow">\n          <div class="box" ng-click="openBannerUrl(banner.appHref)"><img ng-src="{{banner.appImgUrl}}"></div>\n        </ion-slide>\n      </ion-slide-box>\n    </div>\n\n    <div class="item" style="padding:2px 0px 4px 0px;background-color: #F6F6F6;">\n      <div class="row row-wrap row-wrap-old" style="padding:0;" ng-if="apps">\n        <div class="col col-25" ng-repeat="app in apps">\n          <a class="tab-item griditem" href="#" ng-click="goApp(app)">\n            <img class="icon appicon" ng-src="{{app.ico}}">\n            <p>{{app.name}}</p>\n          </a>\n        </div>\n      </div>\n      <div class="portal-bbs-div">\n        <div style="height:34px;line-height: 34px;padding: 0;margin: 0 50px 0 77px;">\n          <div  style="height: 100%;text-overflow: ellipsis;overflow: hidden;white-space: nowrap;">\n            <div style="margin-top: -34px;">\n              <p ng-repeat="info in information" class="animated slideInUp"  ng-click="goInformationDetail(info.number)" style="color: #666666;width: 100%;margin-bottom: 0px;font-size: 14px;">{{info.infoTitle}}</p>\n            </div>\n          </div>\n        </div>\n        <div class="" style="margin-top:-34px;float: left;width:74px;line-height: 34px;padding: 0 0 0 10px;color: #ff6600;">\n          <i class="icon icon-xitonggonggao" style="font-size: 28px !important;margin: -3px 0 0 -2px;float: left;"></i>\n          <div style="font-size: 14px;height:34px">\n            <span class="portal-bbs">\u516C\u544A</span>\n          </div>\n        </div>\n        <hr style="height: 20px;width: 5px;padding:0;margin: -27px 38px 0 0 ;z-index: 20; border: none;border-left: 1px solid #BDBABA;float: right;">\n        <div class="portal-bbs-more" ng-click="goInformation()">\u66F4\u591A</div>\n      </div>\n    </div>\n    <div ng-repeat="iga in itemGroupAdj" ng-if="itemGroupAdj" style="background-color: #FFFFFF;">\n      <div class="item" style="font-family: NotoSansHans-Regular; color: #666666;padding: 10px;font-size: 16px;border-width: 0px;">\n        {{iga.itemGroup.title}}\n        <span class="item-note" ng-click="searchItem(iga.itemGroup.itemGroupCode)" style="font-size: 12px;font-family: NotoSansHans-Regular;color: #666666; ">\u66F4\u591A>> </span>\n      </div>\n      <div class="row row-wrap row-wrap-old row-portal" ng-if="iga.itemGroup.items">\n          <div class="col col-50" ng-repeat="item in iga.itemGroup.items">\n            <a class="tab-item griditem" href="#">\n              <div style="position: relative;" show-brandgrade="{{item.brandCode}}"></div>\n              <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}"  ng-click="itemDetail(item)" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n              <p class="imgtitle">\n                <label class="imglabel">{{item.descr}}</label>\n                <br/>\n                <span class="imglabel">\n                    <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                    <i ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</i>\n                    <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n                </span>\n                <br/><span class="imglabel" ng-show="isLogin"><span style="color: red;">\xA5{{item.cost |number:2}}</span>/{{item.uomDescr}}<span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span></span><span class="imglabel" ng-show="!isLogin"><span style="color: #007bc7;font-weight: bold;" ng-click="goLoginPage()">\u767B\u5F55</span><span>\u67E5\u770B\u4E13\u5C5E\u4EF7</span></span>\n              </p>\n            </a>\n          </div>\n      </div>\n      <div class="item banneritem" ng-click="openBannerUrl(iga.adBanner.appHref)"><img image-lazy-src="{{iga.adBanner.appImgUrl}}" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300"></div>\n    </div>\n    <!--\u4E3A\u4F60\u63A8\u8350\u5F00\u59CB-->\n    <div  ng-if="recommend.length!=0" style="background-color: #FFFFFF;">\n      <div class="item" style="font-family: NotoSansHans-Regular; color: #666666;padding: 10px;font-size: 16px;border-width: 0px;">\n        \u4E3A\u60A8\u63A8\u8350\n        <span class="item-note" ng-click="goRecommend()" style="font-size: 12px;font-family: NotoSansHans-Regular;color: #666666; ">\u66F4\u591A>> </span>\n      </div>\n      <div class="row row-wrap row-wrap-old row-portal" ng-if="recommend.length!=0">\n        <div class="col col-50" ng-repeat="(index,item) in recommend" ng-if="index<6">\n          <a class="tab-item griditem" href="#">\n            <div style="position: relative;" show-brandgrade="{{item.brandCode}}"></div>\n            <img class="icon bigtabicon" image-lazy-src="{{item.imgUrl}}"  ng-click="itemDetail(item)" image-lazy-loader="ios" image-lazy-distance-from-bottom-to-load="300">\n            <p class="imgtitle">\n              <label class="imglabel">{{item.descr}}</label>\n              <br/>\n              <span class="imglabel">\n                  <span ng-if="item.delivType==\'2\'" class="ion-sendtype" style="width:46px;">\u5546\u5BB6\u914D\u9001</span>\n                  <span ng-if="item.delivType==\'1\'" class="ion-sendtype">\u96C6\u914D</span>\n                  <!--<span ng-if="item.delivType==\'1\'">\u6210\u4EA4{{item.dealCount+item.uomDescr}}</span>&nbsp&nbsp-->\n              </span>\n              <br/><span class="imglabel" ng-show="isLogin"><span style="color: red;">\xA5{{item.cost | number:2}}</span>/{{item.uomDescr}}<span class="sr-fanxian" ng-if="item.cashBack&&item.cashBack>0">\u8FD4\xA5{{item.cashBack}}</span></span><span class="imglabel" ng-show="!isLogin"><span style="color: #007bc7;font-weight: bold;" ng-click="goLoginPage()">\u767B\u5F55</span><span>\u67E5\u770B\u4E13\u5C5E\u4EF7</span></span>\n            </p>\n          </a>\n        </div>\n      </div>\n    </div>\n    <!--\u4E3A\u4F60\u63A8\u8350\u7ED3\u675F-->\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/portal/todayFund.html','<ion-view  hide-tabs="true">\n  <ion-header-bar  class="item-input-inset headerBar ">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u4ECA\u65E5\u6536\u94F6</h1>\n  </ion-header-bar>\n  <div class="bar-subheader">\n    <div style="margin: 0 0 16px 0 ;padding: 0;height: 68px">\n      <div class="row" style="margin: 0 ;padding-top: 0;height: 48px">\n        <div  class="col col-60" style="margin: 14px 0 17px 8px ;padding: 0;text-align:left">\n          <span class="nowNumtitle">\n            \u4ECA\u65E5\u6536\u6B3E\n            <span style="color: #5AA008;" ng-if="vm.type == \'0\'">(\u7EBF\u4E0A\u6536\u6B3E)</span>\n            <span style="color: #ff6600;" ng-if="vm.type == \'1\'">(\u73B0\u91D1\u6536\u6B3E)</span>\n          </span><br>\n          <span class="account-money">  {{vm.totalFund}}</span>\n        </div>\n      </div>\n    </div>\n    <div style="background-color: #e5e5e5;height: 23px">\n      <span style="font-family: PingFang-SC-Regular;font-size: 12px;color: #999999;margin-left: 12px;line-height: 23px">\n        \u4ECA\u65E5\u6536\u94F6\n        <span style="color: #5AA008;" ng-if="vm.type == \'0\'">(\u7EBF\u4E0A\u6536\u6B3E)</span>\n        <span style="color: #ff6600;" ng-if="vm.type == \'1\'">(\u73B0\u91D1\u6536\u6B3E)</span>\n        \u6D41\u6C34\n      </span>\n    </div>\n  </div>\n  <ion-content overflow-scroll="false" scrollbar-y="false" class="has-subheader"  style="margin-top: 62px;">\n    <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n    <div class="noRecord" ng-if="vm.records===0">\n      \u6682\u672A\u627E\u5230\u4ECA\u65E5\u6536\u94F6\u6D41\u6C34\u8BB0\u5F55\u54E6\uFF01\n    </div>\n    <ion-list >\n      <div ng-repeat="(index,detail) in vm.data" style="margin: 0;padding: 0">\n        <hr style="margin:1px 16px 1px 12px;;height: 1px;align-self: center;;color: blue;border:none;border-top: 1px solid #E5E5E5" ng-if="index!=0">\n        <ion-item class="item  item-icon-left"  style="border-width: 0;padding:10px 16px 6px 56px">\n          <li class="icon icon-money {{(vm.type==\'1\'?\'contenticon-\':\'contenticon\')}}" ></li>\n          <span class="contenttitle">{{detail.payTypeDecsr}}</span>\n          <span class="{{vm.type==\'1\'?\'contentvalue-\':\'contentvalue\'}}">{{\'+\'+detail.relAmount}}</span>\n          <p class="contentdetail">\n            \u6536\u94F6\u72B6\u6001: {{detail.statusDecsr}} <span class="contentdetailright">{{detail.cashDate}}</span>\n          </p>\n          <p class="contentdetail">\n            \u5355\u53F7:{{detail.sino}}\n          </p>\n        </ion-item>\n      </div>\n    </ion-list>\n    <ion-infinite-scroll ng-if="!vm.moredata" distance="10%" on-infinite="vm.loadMore()" spinner="ios"></ion-infinite-scroll>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/changeLocation.html','<ion-view title="\u5730\u5740\u9009\u62E9" hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02"></a>\n    <h1 class="title">\u5207\u6362\u4F4D\u7F6E</h1>\n    <a class="button" ng-click="goBack()" ng-bind="\'\u786E\u5B9A\'"></a>\n  </ion-header-bar>\n  <ion-content scroll="false" overflow-scroll="false">\n    <iframe id="mapPage" width="100%" height="100%" frameborder="0"></iframe>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/commonSelect.html','<ion-view view-title="\u8BF7\u9009\u62E9">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a class="button" ng-click="goBack()" style="color: white">\u53D6\u6D88</a>\n    <h1 class="title">\u8BF7\u9009\u62E9</h1>\n    <a class="button" ng-click="goConfirm()">\u786E\u5B9A</a>\n  </ion-header-bar>\n  <ion-content>\n    <div class="list" ng-if="spAreaCodeList && selectType==\'singleselect\'">\n      <ion-radio ng-repeat="spAreaCode in spAreaCodeList" ng-value="spAreaCode.code.trim()" ng-model="commonSingleselectObj.value">\n        {{ spAreaCode.descr.trim() }}\n      </ion-radio>\n    </div>\n    <div class="list" ng-if="addressList && selectType==\'singleselect\'">\n      <ion-radio ng-repeat="address in addressList" ng-value="address.id.trim()" ng-model="commonSingleselectObj.value" ng-click="onSingleselect(dictType,address)">\n        {{ address.name.trim()}}\n      </ion-radio>\n    </div>\n    <div class="list" ng-if="employeeList && selectType==\'singleselect\'">\n      <ion-refresher pulling-text="\u4E0B\u62C9\u5237\u65B0..." on-refresh="vm.doRefresh()" spinner="ios"></ion-refresher>\n      <div class="noRecord" ng-if="!vm.hasdata">\u65E0\u67E5\u8BE2\u6570\u636E\uFF01</div>\n      <ion-radio ng-repeat="employee in employeeList" ng-value="employee.number.trim()" ng-model="commonSingleselectObj.value">\n        {{ employee.number.trim() + \'|\' + employee.nameChi.trim()}} <span class="floatright">{{employee.orgName}}</span>\n      </ion-radio>\n      <ion-infinite-scroll ng-if="!vm.moredata" on-infinite="vm.loadMore()" distance="10%" spinner="ios"></ion-infinite-scroll>\n    </div>\n    <div class="list" ng-if="dictList">\n      <div ng-if="selectType==\'singleselect\'">\n        <ion-radio ng-repeat="dict in dictList" ng-value="dict.value.trim()" ng-model="commonSingleselectObj.value">\n          {{ dict.labelCn.trim() }}\n        </ion-radio>\n      </div>\n      <div ng-if="selectType==\'multiselect\'">\n        <ion-checkbox ng-repeat="dict in dictList" ng-model="dict.checked" ng-checked="dict.checked">{{dict.labelCn.trim()}}</ion-checkbox>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\ns\n');
$templateCache.put('store/system/errorPage.html','<ion-view hide-tabs="true" title="\u7F51\u7EDC\u8FDE\u63A5">\n  <ion-header-bar class="item-input-inset headerBar">\n    <h1 class="title">\u7F51\u7EDC\u8FDE\u63A5</h1>\n  </ion-header-bar>\n  <ion-content class="padding">\n    <p class="ion-sad-outline" style="color: red;font-size: 200px;height: 200px;line-height: 200px;text-align: center" ></p>\n    <p class="modalresult2" style="font-size: 20px;">\u7F51\u7EDC\u8FDE\u63A5\u5931\u8D25\uFF0C\u8BF7\u68C0\u67E5\uFF01</p>\n    <div class="row">\n      <div class="col text-center">\n        <button class="button button-full button-balanced footerbutton" ng-click="refreshPage()">\u91CD\u65B0\u8FDE\u63A5</button>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/onlinePay.html','<ion-view  hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset" style="background: #FFFFFF !important;">\n    <h1 class="title titlestyle" style="font-family: PingFang-SC-Regular;font-size: 20px !important;color: #333333 !important;">\u96C6\u914D\u8BA2\u5355\u652F\u4ED8</h1>\n  </ion-header-bar>\n  <ion-content overflow-scroll="true" style="overflow:auto;background-color: #e5e5e5;">\n    <div style="margin-bottom: 20px;">\n      <div class="item" style="border: none; padding: 0 16px 0 16px;margin: 0;">\n        <!--<div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">-->\n          <!--<div class="col col-33">\u8BA2\u5355\u7F16\u53F7</div>-->\n          <!--<div class="col">14654654</div>-->\n        <!--</div>-->\n        <div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;" ng-if="amount != 0">\n          <div class="col col-33">\u4ED8\u6B3E\u91D1\u989D</div>\n          <div class="col" style="color:#B12704;">{{amount | currency: \'\uFFE5\'}}</div>\n        </div>\n        <!--<div class="row" style="font-family: PingFang-SC-Regular;font-size: 16px !important;color: #999999 !important;padding: 16px 0 16px 0;border-bottom: 1px solid #E5E5E5;">-->\n          <!--<div class="col col-33">\u652F\u4ED8\u72B6\u6001</div>-->\n          <!--<div class="col">-->\n            <!--{{detail.payTypeDescr}}<span style="color:#B12704;">({{detail.payStatusDescr}})</span>-->\n            <!--<div class="myorderbutton1" style="line-height: 20px;height: 22px;" ng-if="detail.payType == 2 && detail.payStatus == 1">\u53BB\u652F\u4ED8</div>-->\n          <!--</div>-->\n        <!--</div>-->\n      </div>\n    </div>\n    <button class="button button-block" ng-click="pay()" style="background-color: #F05050;color: #FFFFFF;">\u786E\u8BA4\u4ED8\u6B3E</button>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/system/storeLogin.html','<ion-view hide-tabs="true" title="\u96C6\u914D\u8BA2\u5355\u8FDB\u8D27">\n  <ion-header-bar class="item-input-inset headerBar">\n    <h1 class="title">\u7AD9\u70B9\u767B\u5F55</h1>\n  </ion-header-bar>\n  <ion-content class="padding" overflow-scroll="false">\n    <div class="row responsive-sm padding">\n      <div class="col">\n        <div class="row text-center">\n          <div class="col"><img class="icon" src="img/login.png"  style="width: 70px;height:70px;"></div>\n        </div>\n        <div class="list list-inset">\n          <div class="item item-input" style="border-left:none;border-right:none;border-top:none;border-bottom: 1px solid #ff6600 !important;margin-bottom: 1px;">\n            <span class="input-label">\u8D26\u53F7\uFF1A</span>\n            <input type="text" ng-model="user.userName" placeholder="\u7AD9\u70B9\u8D26\u53F7">\n          </div>\n          <div class="item item-input" style="border-left:none;border-right:none;border-top:none;border-bottom: 1px solid #ff6600 !important;">\n            <span class="input-label">\u5BC6\u7801\uFF1A</span>\n            <input type="{{isShowPassword?\'text\':\'password\'}}" ng-model="user.password" placeholder="\u5BC6\u7801">\n            <i class="icon placeholder-icon {{isShowPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showPassword()"></i>\n          </div>\n        </div>\n        <button class="button button-block" ng-click="bindUser()" style="background-color: #F05050;color: #FFFFFF;">\u767B\u5F55</button>\n        <div class="row">\n          <div class="col text-left"> <a ng-click="goRegeditPage()" style="color: #555555;">\u624B\u673A\u5FEB\u901F\u6CE8\u518C</a></div>\n          <div class="col text-right"><a ng-click="gorResetPasswordPage()" style="color: #555555;">\u627E\u56DE\u5BC6\u7801</a></div>\n        </div>\n      </div>\n    </div>\n    <div class="row responsive-sm padding">\n      <p style="margin-bottom: 4px;margin-left: 10px;">\u6E29\u99A8\u63D0\u793A\uFF1A</p>\n      <p style="font-size: 12px;margin-left: 10px;color: #444;">\u767B\u5F55\u5373\u81EA\u52A8\u5F00\u901A\u8D26\u6237\u8D44\u91D1\u53D8\u52A8\u5FAE\u4FE1\u901A\u77E5\u670D\u52A1\u3002</p>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/storeQrcode.html','<ion-view title="\u96C6\u914D\u5546\u57CE" hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u5FAE\u4FE1\u53EB\u8D27</h1>\n  </ion-header-bar>\n  <ion-content class="padding">\n    <div class="row">\n      <img ng-src="{{storeQrcode}}"/>\n    </div>\n    <div class="row">\n      <div class="col text-center"  style="font-size: 12px;color:#666666;">\n        \u5FAE\u4FE1\u626B\u4E00\u626B\uFF0C\u5173\u6CE8\u4FBF\u5229\u5B9D\u53EB\u8D27\uFF01\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/systemSet.html','<ion-view title="\u96C6\u914D\u5546\u57CE" hide-tabs="true">\n  <ion-header-bar align-title="center" class="item-input-inset headerBar" style="border-bottom: none;">\n    <a ng-click="goBack()" class="button icon-back02" style="color: white"></a>\n    <h1 class="title" style="color: white">\u7CFB\u7EDF\u8BBE\u7F6E</h1>\n  </ion-header-bar>\n  <ion-content style="background-color: #e5e5e5" overflow-scroll="false">\n    <div class="list" style="margin-bottom: 0px;">\n      <div class="item" style="padding-top: 0;padding-bottom: 0">\n        <div class="row" style="padding:10px 0;">\n          <div class="col col-25" style="padding:0;color: #666666">\u7528\u6237\u540D\u79F0</div>\n          <div class="col col-75" style="text-align: right;padding:0;color:#333333">{{user.Store.contact}}</div>\n        </div>\n        <div class="row" style="padding:10px 0">\n          <div class="col col-25" style="padding:0;color:#666666">\u6211\u7684\u624B\u673A</div>\n          <div class="col col-75" style="text-align: right;padding:0;color: #333333"><a style="margin-right: 10px;font-size: 12px;color: #ccc;" ng-click="goUpdateMobile()"><i class="icon ion-ios-compose-outline" style="font-size: 14px;margin-right: 2px;"></i>\u4FEE\u6539</a>{{user.Store.mobile}}</div>\n        </div>\n        <div class="row" style="padding:10px 0">\n          <div class="col col-25" style="padding:0;color:#666666">\u6211\u7684\u8D26\u53F7</div>\n          <div class="col col-75" style="text-align: right;padding:0;color:#333333">{{user.cashierId}}</div>\n        </div>\n        <div class="row" style="padding:10px 0">\n          <div class="col col-25" style="padding:0;color:#666666">\u7AD9\u70B9\u7F16\u7801</div>\n          <div class="col col-75" style="text-align: right;padding:0;color:#333333">{{user.Store.code}}</div>\n        </div>\n      </div>\n      <div class="item row" style="padding:5px 16px;margin: 0;border-style:none;" ng-click="goWqblbUserApp()">\n        <div class="col col-25" style="padding:0;color:#666666">\u5FAE\u4FE1\u53EB\u8D27</div>\n        <div class="col col-75" style="text-align: right;padding:0;color:#333333;font-size: 20px;"><img src="img/qrcode.png" style="width: 24px;height: 24px;"></div>\n      </div>\n    </div>\n    <div class="item" style="margin-top: 8px;padding:0;">\n      <img ng-src="{{user.Store.isverify==\'1\'?\'img/Group3x.png\':\'img/unGroup3x.png\'}}" style="width: 58px;height: 58px;position: absolute;top:0;left: 0;z-index: -1;">\n      <div style="width: 100%;text-align: center;margin-top: 10px;margin-bottom: 10px;color: #333333">\n        {{user.Store.descr}}\n      </div>\n      <div class="row" style="padding:10px 16px;font-size: 14px;line-height: 14px">\n        <div class="col col-20" style="padding:0;color:#666666">\u914D\u9001\u533A\u57DF</div>\n        <div class="col col-80" style="text-align: right;padding:0;color: #333333">{{user.Store.spAreaDescr}}</div>\n      </div>\n      <div class="row" style="padding:10px 16px;font-size: 14px;line-height: 14px">\n        <div class="col col-20" style="padding:0;color:#666666">\u8BE6\u7EC6\u5730\u5740</div>\n        <div class="col col-80" style="text-align: right;padding:0;text-overflow: ellipsis;overflow: hidden;white-space: nowrap;color:#333333">{{user.Store.address}}</div>\n      </div>\n    </div>\n    <div class="list" style="margin-top: 10px;margin-bottom: 4px;">\n      <a class="item item-icon-right" ng-click="goUpdatePasswordPage()">\n        <span style="font-size: 16px;;color:#666666">\u4FEE\u6539\u5BC6\u7801</span>\n        <i class="icon icon-dropright" style="color: #333333"></i>\n      </a>\n      <a href="#" class="item" ng-click="checkUpdate()" ng-if="isAndroid">\n        <div class="row" style="padding:0">\n          <div class="col col-25" style="padding:0;color:#666666">\u68C0\u67E5\u66F4\u65B0</div>\n          <div class="col col-75" style="padding:0;text-align: right;color:#333333">\u5F53\u524D\u7248\u672C\uFF1A{{version}}</div>\n        </div>\n      </a>\n      <div class="item" ng-if="isIOS">\n        <div class="row" style="padding:0">\n          <div class="col col-25" style="padding:0;color:#666666">\u5F53\u524D\u7248\u672C</div>\n          <div class="col col-75" style="padding:0;text-align: right;color:#333333">{{version}}</div>\n        </div>\n      </div>\n    </div>\n    <p class="text-center noMarginPadding" style="color: #aaa;">\u6E29\u99A8\u63D0\u9192\uFF1A\u66F4\u591A\u8BBE\u7F6E\u8BF7\u4F7F\u7528\u7F51\u9875\u7AEF\u767B\u5F55</p>\n\n    <button class="button button-full button-balanced footerbutton searchlabel" ng-click="logout()" style="background-color: #F05050;color: #FFFFFF;">\u9000\u51FA\u767B\u5F55</button>\n  </ion-content>\n</ion-view>\n');
$templateCache.put('store/system/updatePassword.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" style="color:white;"></a>\n    <h1 class="title" style="color:white ">\u4FEE\u6539\u5BC6\u7801</h1>\n  </ion-header-bar>\n  <ion-content class="padding">\n    <!--\u4FEE\u6539\u5BC6\u7801\u7B2C\u4E00\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="firstStepPage" ng-show="firstStep">\n      <div class="list" style="margin-bottom: 18px">\n        <div class="item item-input" style="background: #F0F3F5;border:none">\n          <input type="{{isShowPassword?\'text\':\'password\'}}" placeholder="\u8BF7\u8F93\u5165\u60A8\u73B0\u5728\u7684\u5BC6\u7801" ng-model="oldPassword">\n          <i class="icon placeholder-icon {{isShowPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showPassword()"></i>\n        </div>\n        <div class="row" style="padding:8px 0;height: 47px">\n          <input type="text" ng-model="pageCheckCode" placeholder="\u8BF7\u8F93\u5165\u53F3\u8FB9\u9A8C\u8BC1\u7801" style="height: inherit;width:60%;background: #F0F3F5;padding-left: 16px">\n          <a class="button" style="margin-right: 0;margin-left: auto;width:35%;padding:0" ng-click="pageAuthCodeClick()">\n            <img src="{{pageAuthCodeImgUrl}}" style="width: 100%;height: 45px">\n          </a>\n        </div>\n      </div>\n      <button class="button button-full" ng-click="oldPassword&&pageCheckCode&&goSecondStepPage(oldPassword,pageCheckCode)" style="background: {{oldPassword&&pageCheckCode?\'#F05050\':\'#999999\'}};color: white">\n        \u4E0B\u4E00\u6B65\n      </button>\n      <div class="row" style="margin-top: 3px">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n    <!--\u4FEE\u6539\u5BC6\u7801\u7B2C\u4E8C\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none"  id="secondStepPage" ng-show="secondStep" >\n      <div class="list">\n        <div class="item item-input" style="background: #F0F3F5;border:none">\n          <input type="{{isShowNewPassword?\'text\':\'password\'}}" ng-model="newPassword" placeholder="\u8BF7\u8F93\u5165\u65B0\u7684\u5BC6\u7801" ng-blur="passwordBlur(newPassword,confirmNewsPassword)">\n          <i class="icon placeholder-icon {{isShowNewPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showNewPassword()"></i>\n        </div>\n        <div class="item item-input" style="margin-top: 8px;background: #F0F3F5;border:none">\n          <input type="{{isShowConfirmNewPassword?\'text\':\'password\'}}" ng-model="confirmNewPassword" placeholder="\u8BF7\u518D\u8F93\u5165\u4E00\u6B21" ng-blur="funEqualPassword(newPassword,confirmNewPassword)">\n          <i class="icon placeholder-icon {{isShowConfirmNewPassword?\'ion-ios-eye\':\'ion-ios-eye-outline\'}}" style="margin-left: -40px;width: 60px;font-size: 28px;" ng-click="showConfirmNewPassword()"></i>\n        </div>\n        <div ng-hide="errorPasswordFlag" style="color: red;margin-top: 2px">\u60A8\u7684\u5BC6\u7801\u5B89\u5168\u6027\u592A\u5F31\uFF0C\u8BF7\u91CD\u65B0\u8F93\u5165\uFF01</div>\n        <div ng-show="equalPasswordFlag" style="color: red;margin-top: 2px">\u4E24\u6B21\u5BC6\u7801\u8F93\u5165\u4E0D\u4E00\u81F4\uFF01</div>\n      </div>\n      <button class="button button-full" ng-click="errorPasswordFlag&&newPassword&&confirmNewPassword&&finish(newPassword,confirmNewPassword)" style="background: {{errorPasswordFlag&&newPassword&&confirmNewPassword?\'#F05050\':\'#999999\'}};color: white">\n        \u5B8C\u6210\n      </button>\n      <div class="row item-text-wrap" ng-hide="true">\n        <span style="font-size: 12px">\u5BC6\u7801\u75316-20\u4F4D\u5B57\u7B26\u7EC4\u6210\uFF0C\u5305\u542B\u81F3\u5C11\u5305\u542B\u6570\u5B57\u3001\u5B57\u6BCD\uFF08\u533A\u5206\u5927\u5C0F\u5199\uFF09\u3001\u7279\u6B8A\u5B57\u7B26\u4E2D\u4E24\u79CD\u3002</span>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n');
$templateCache.put('store/system/updatePhone.html','<ion-view hide-tabs="true" cache-view="false">\n  <ion-header-bar class="headerBar item-input-inset">\n    <a ng-click="goBack()" class="button icon-back02" style="color:white;"></a>\n    <h1 class="title" style="color:white ">\u6362\u7ED1\u624B\u673A</h1>\n  </ion-header-bar>\n  <ion-content class="padding">\n    <!--\u4FEE\u6539\u624B\u673A\u53F7\u7B2C\u4E00\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="firstStepPage" ng-if="step == \'1\'">\n      <div class="list" style="margin-bottom: 18px">\n        <div class="item item-input" style="background: #F0F3F5;border:none">\n          <div>{{user.mobile | HideNumber}}</div>\n          <a class="button" style="margin-right: 0;margin-left: auto;background: #FC9701;color: white" ng-click="getAuthCode(user.mobile)" ng-disabled="disableFlag">{{getAuthCodeLabel}}</a>\n        </div>\n        <div class="row" style="padding:8px 0;height: 47px">\n          <input type="text" ng-model="user.code" placeholder="\u8BF7\u8F93\u5165\u9A8C\u8BC1\u7801" style="height: inherit;width:100%;background: #F0F3F5;padding-left: 16px">\n        </div>\n      </div>\n      <a class="button button-full" style="margin-right: 0;margin-left: auto;background: #36f099;color: white" ng-click="validateAuthCode()" ng-disabled="user.code ==\'\'">\n        \u9A8C\u8BC1\u540E\u7ED1\u5B9A\u65B0\u624B\u673A\n      </a>\n      <div class="row" style="margin-top: 3px">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n\n    <!--\u4FEE\u6539\u624B\u673A\u53F7\u7B2C\u4E8C\u4E2A\u9875\u9762-->\n    <div class="item" style="border:none" id="secondStepPage" ng-if="step == \'2\'">\n      <div class="list" style="margin-bottom: 18px">\n        <div class="item item-input" style="background: #F0F3F5;border:none">\n          <input type="text" ng-model="user.newMobile" placeholder="\u624B\u673A\u53F7" style="height: inherit;width:60%;background: #F0F3F5;">\n          <a class="button" style="min-width: 100px;margin-right: 0;margin-left: auto;background: #FC9701;color: white" ng-click="getAuthCodeForNewMobile(user.newMobile)" ng-disabled="disableFlag">{{getAuthCodeLabel}}</a>\n        </div>\n        <div class="row" style="padding:8px 0;height: 47px">\n          <input type="text" ng-model="user.newCode" placeholder="\u8BF7\u8F93\u5165\u9A8C\u8BC1\u7801" style="height: inherit;width:100%;background: #F0F3F5;padding-left: 16px">\n        </div>\n      </div>\n      <a class="button button-full" style="margin-right: 0;margin-left: auto;background: #36f099;color: white" ng-click="updatePhone()" ng-disabled="user.newCode ==\'\'">\n        \u786E\u8BA4\u7ED1\u5B9A\n      </a>\n      <div class="row" style="margin-top: 3px">\n        <span style="font-size: small">\u9047\u5230\u95EE\u9898\uFF1F\u8BF7\u81F4\u7535<a ng-href="tel:4006181800" style="color: #ff6600">400-618-1800</a></span>\n      </div>\n    </div>\n  </ion-content>\n</ion-view>\n\n\n<!-- \u8F93\u5165\u56FE\u7247\u9A8C\u8BC1\u7801 -->\n<script id="picAuthCode.html" type="text/ng-template">\n  <div class="row" style="padding: 0px;height: 45px">\n    <input id="auth" type="text" ng-model="model.pageCheckCode" autofocus="true" style="height: inherit;width:60%;background: #ffffff;padding-left: 16px;border: 1px solid #d5d5d5">\n    <a class="button" style="margin-right: 0;margin-left: auto;width:35%;padding:0" ng-click="pageAuthCodeClick()">\n      <img src="{{pageAuthCodeImgUrl}}" style="width: 100%;height: 45px">\n    </a>\n  </div>\n  <div class="row" style="font-size: small;color: red;margin-top: 5px" ng-show="errorFlag">\n    {{errorTip}}\n  </div>\n</script>\n');}]);
/**
 * Created by lxb on 2016/8/31.
 * <!-- 微信端需要引入微信的JS SDK -->
 * <script src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
 */
var wxUtil = {
  //注入权限验证配置
  config:function(options){
    var opts = {
      debug: false,
      appId: '',
      timestamp: 0,
      nonceStr: '',
      signature: '',
      jsApiList: [
        'checkJsApi',
        'onMenuShareTimeline',
        'onMenuShareAppMessage',
        'onMenuShareQQ',
        'onMenuShareWeibo',
        'onMenuShareQZone',
        'hideMenuItems',
        'showMenuItems',
        'hideAllNonBaseMenuItem',
        'showAllNonBaseMenuItem',
        'translateVoice',
        'startRecord',
        'stopRecord',
        'onRecordEnd',
        'playVoice',
        'pauseVoice',
        'stopVoice',
        'uploadVoice',
        'downloadVoice',
        'chooseImage',
        'previewImage',
        'uploadImage',
        'downloadImage',
        'getNetworkType',
        'openLocation',
        'getLocation',
        'hideOptionMenu',
        'showOptionMenu',
        'closeWindow',
        'scanQRCode',
        'chooseWXPay',
        'openProductSpecificView',
        'addCard',
        'chooseCard',
        'openCard',
        'updateAppMessageShareData',
        'updateTimelineShareData'
      ]
    };
    angular.extend(opts,options || {});
    wx.config(opts);
  },
  //判断当前版本是否支持指定 JS 接口，支持批量判断
  checkJsApi:function(fn){
    wx.ready(function () {
      wx.checkJsApi({
        jsApiList: [
          'getLocation',
          'scanQRCode',
          'onMenuShareAppMessage',
          'onMenuShareQQ',
          'onMenuShareWeibo',
          'onMenuShareQZone',
          'updateAppMessageShareData',
          'updateTimelineShareData'
        ],
        success: function (res) {
          if(fn){
            fn(res);
          }
        }
      });
    });
  },
  //获取“分享到朋友圈”按钮点击状态及自定义分享内容接口
  onMenuShareTimeline:function(options){
    var opts = {
      title: '', // 分享标题
      link: '', // 分享链接
      imgUrl: '' // 分享图标
    };
    wx.ready(function () {
      if(wx.onMenuShareTimeline){
        opts = {
          title: '', // 分享标题
          link: '', // 分享链接
          imgUrl: '', // 分享图标
          success: function () {
            // 用户确认分享后执行的回调函数
          },
          cancel: function () {
            // 用户取消分享后执行的回调函数
          }
        };
        angular.extend(opts,options);
        wx.onMenuShareTimeline(opts);
      }else {
        opts.title = options.title;
        opts.link = options.link;
        opts.imgUrl = options.imgUrl;
        var callback = options.success || function (res) {};
        wx.updateTimelineShareData(opts, callback);
      }
    });
  },
  //获取“分享给朋友”按钮点击状态及自定义分享内容接口
  onMenuShareAppMessage:function(options){
    var opts = {
      title: '', // 分享标题
      desc: '', // 分享描述
      link: '', // 分享链接
      imgUrl: '' // 分享图标
    };
    wx.ready(function () {
      if(wx.onMenuShareAppMessage){
        opts = {
          title: '', // 分享标题
          desc: '', // 分享描述
          link: '', // 分享链接
          imgUrl: '',//, // 分享图标
          type: '', // 分享类型,music、video或link，不填默认为link
          dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
          success: function () {
            // 用户确认分享后执行的回调函数
          },
          cancel: function () {
            // 用户取消分享后执行的回调函数
          }
        };
        angular.extend(opts,options);
        wx.onMenuShareAppMessage(opts);
      }else{
        opts.title = options.title;
        opts.desc = options.desc;
        opts.link = options.link;
        opts.imgUrl = options.imgUrl;
        var callback = options.success || function (res) {};
        wx.updateAppMessageShareData(opts,callback);
      }
    });
  },
  //获取“分享到QQ”按钮点击状态及自定义分享内容接口
  onMenuShareQQ:function(options){
    var opts = {
      title: '', // 分享标题
      desc: '', // 分享描述
      link: '', // 分享链接
      imgUrl: '' // 分享图标
    };
    wx.ready(function () {
      if(wx.onMenuShareQQ){
        opts = {
          title: '', // 分享标题
          desc: '', // 分享描述
          link: '', // 分享链接
          imgUrl: '', // 分享图标
          success: function () {
            // 用户确认分享后执行的回调函数
          },
          cancel: function () {
            // 用户取消分享后执行的回调函数
          }
        };
        angular.extend(opts,options);
        wx.onMenuShareQQ(opts);
      }else{
        opts.title = options.title;
        opts.desc = options.desc;
        opts.link = options.link;
        opts.imgUrl = options.imgUrl;
        var callback = options.success || function (res) {};
        wx.updateAppMessageShareData(opts,callback);
      }
    });
  },
  //获取“分享到腾讯微博”按钮点击状态及自定义分享内容接口
  onMenuShareWeibo:function(options){
    var opts = {
      title: '', // 分享标题
      desc: '', // 分享描述
      link: '', // 分享链接
      imgUrl: '', // 分享图标
      success: function () {
        // 用户确认分享后执行的回调函数
      },
      cancel: function () {
        // 用户取消分享后执行的回调函数
      }
    };
    angular.extend(opts,options);
    wx.ready(function () {
      wx.onMenuShareWeibo(opts);
    });
  },
  //获取“分享到QQ空间”按钮点击状态及自定义分享内容接口
  onMenuShareQZone:function(options){
    var opts = {
      title: '', // 分享标题
      desc: '', // 分享描述
      link: '', // 分享链接
      imgUrl: '' // 分享图标
    };
    wx.ready(function () {
      if(wx.onMenuShareQZone){
        opts = {
          title: '', // 分享标题
          desc: '', // 分享描述
          link: '', // 分享链接
          imgUrl: '', // 分享图标
          success: function () {
            // 用户确认分享后执行的回调函数
          },
          cancel: function () {
            // 用户取消分享后执行的回调函数
          }
        };
        angular.extend(opts,options);
        wx.onMenuShareQZone(opts);
      }else{
        opts.title = options.title;
        opts.desc = options.desc;
        opts.link = options.link;
        opts.imgUrl = options.imgUrl;
        var callback = options.success || function (res) {};
        wx.updateTimelineShareData(opts,callback);
      }
    });
  },
  //拍照或从手机相册中选图接口
  chooseImage:function(options){
    var opts = {
      count: 1, // 默认9
      sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        var localIds = res.localIds; // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
      }
    };
    angular.extend(opts,options);
    wx.ready(function () {
      wx.chooseImage(opts);
    });
  },
  //预览图片接口
  previewImage:function(options){
    var opts = {
      current: '', // 当前显示图片的http链接
      urls: [] // 需要预览的图片http链接列表
    };
    angular.extend(opts,options);
    wx.previewImage(opts);
  },
  //上传图片接口
  uploadImage:function(options){
    var opts = {
      localId: '', // 需要上传的图片的本地ID，由chooseImage接口获得
      isShowProgressTips: 1, // 默认为1，显示进度提示
      success: function (res) {
        var serverId = res.serverId; // 返回图片的服务器端ID
      }
    };
    angular.extend(opts,options);
    wx.uploadImage(opts);
  },
  //下载图片接口
  downloadImage:function(options){
    var opts = {
      serverId: '', // 需要下载的图片的服务器端ID，由uploadImage接口获得
      isShowProgressTips: 1, // 默认为1，显示进度提示
      success: function (res) {
        var localId = res.localId; // 返回图片下载后的本地ID
      }
    };
    angular.extend(opts,options);
    wx.ready(function () {
      wx.downloadImage(opts);
    });
  },
  //开始录音接口
  startRecord:function(){
    wx.ready(function () {
      wx.startRecord();
    });
  },
  //停止录音接口
  stopRecord:function(fn){
    wx.ready(function () {
      wx.stopRecord({
        success: function (res) {
          var localId = res.localId;
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //监听录音自动停止接口
  onVoiceRecordEnd:function(fn){
    wx.ready(function () {
      wx.onVoiceRecordEnd({
        // 录音时间超过一分钟没有停止的时候会执行 complete 回调
        complete: function (res) {
          var localId = res.localId;
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //播放语音接口
  playVoice:function(localId){
    wx.ready(function () {
      wx.playVoice({
        localId: localId || '' // 需要播放的音频的本地ID，由stopRecord接口获得
      });
    });
  },
  //暂停播放接口
  pauseVoice:function(localId){
    wx.ready(function () {
      wx.pauseVoice({
        localId: localId || '' // 需要暂停的音频的本地ID，由stopRecord接口获得
      });
    });
  },
  //停止播放接口
  stopVoice:function(localId){
    wx.ready(function () {
      wx.stopVoice({
        localId: localId || '' // 需要停止的音频的本地ID，由stopRecord接口获得
      });
    });
  },
  //监听语音播放完毕接口
  onVoicePlayEnd:function(fn){
    wx.ready(function () {
      wx.onVoicePlayEnd({
        success: function (res) {
          var localId = res.localId; // 返回音频的本地ID
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //上传语音接口
  uploadVoice:function(localId,fn){
    wx.ready(function () {
      wx.uploadVoice({
        localId: localId || '', // 需要上传的音频的本地ID，由stopRecord接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
          var serverId = res.serverId; // 返回音频的服务器端ID
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //下载语音接口
  downloadVoice:function(localId,fn){
    wx.ready(function () {
      wx.downloadVoice({
        serverId: localId || '', // 需要下载的音频的服务器端ID，由uploadVoice接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
          var localId = res.localId; // 返回音频的本地ID
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //识别音频并返回识别结果接口
  translateVoice:function(localId,fn){
    wx.ready(function () {
      wx.translateVoice({
        localId: localId || '', // 需要识别的音频的本地Id，由录音相关接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
          //alert(res.translateResult); // 语音识别的结果
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //获取网络状态接口
  getNetworkType:function(fn){
    wx.ready(function () {
      wx.getNetworkType({
        success: function (res) {
          var networkType = res.networkType; // 返回网络类型2g，3g，4g，wifi
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //使用微信内置地图查看位置接口
  openLocation:function(options){
    var opts = {
      latitude: 0, // 纬度，浮点数，范围为90 ~ -90
      longitude: 0, // 经度，浮点数，范围为180 ~ -180。
      name: '', // 位置名
      address: '', // 地址详情说明
      scale: 1, // 地图缩放级别,整形值,范围从1~28。默认为最大
      infoUrl: '' // 在查看位置界面底部显示的超链接,可点击跳转
    };
    angular.extend(opts,options);
    wx.ready(function () {
      wx.openLocation(opts);
    });
  },
  //获取地理位置接口
  getLocation:function(successFn,failFn){
    wx.ready(function () {
      wx.getLocation({
        type: 'wgs84', // 默认为wgs84的gps坐标，如果要返回直接给openLocation用的火星坐标，可传入'gcj02'
        success: function (res) {
          var latitude = res.latitude; // 纬度，浮点数，范围为90 ~ -90
          var longitude = res.longitude; // 经度，浮点数，范围为180 ~ -180。
          var speed = res.speed; // 速度，以米/每秒计
          var accuracy = res.accuracy; // 位置精度
          if (successFn) {
            successFn(res);
          }
        },
        fail: function (res) {
          if(failFn){
            failFn(res);
          }
        }
      });
    });
  },
  //开启查找周边ibeacon设备接口
  startSearchBeacons:function(fn){
    wx.ready(function () {
      wx.startSearchBeacons({
        ticket: "",  //摇周边的业务ticket, 系统自动添加在摇出来的页面链接后面
        complete: function (argv) {
          //开启查找完成后的回调函数
          if (fn) {
            fn(argv);
          }
        }
      });
    });
  },
  //关闭查找周边ibeacon设备接口
  stopSearchBeacons:function(fn){
    wx.ready(function () {
      wx.stopSearchBeacons({
        complete: function (res) {
          //关闭查找完成后的回调函数
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //监听周边ibeacon设备接口
  onSearchBeacons:function(fn){
    wx.ready(function () {
      wx.onSearchBeacons({
        complete: function (argv) {
          //回调函数，可以数组形式取得该商家注册的在周边的相关设备列表
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //隐藏右上角菜单接口
  hideOptionMenu:function(){
    wx.ready(function () {
      wx.hideOptionMenu();
    });
  },
  //显示右上角菜单接口
  showOptionMenu:function(){
    wx.ready(function () {
      wx.showOptionMenu();
    });
  },
  //关闭当前网页窗口接口
  closeWindow:function(){
    wx.ready(function () {
      wx.closeWindow();
    });
  },
  //批量隐藏功能按钮接口
  hideMenuItems:function(menuList){
    wx.ready(function () {
      wx.hideMenuItems({
        menuList: menuList || [] // 要隐藏的菜单项，只能隐藏“传播类”和“保护类”按钮，所有menu项见附录3
      });
    });
  },
  //批量显示功能按钮接口
  showMenuItems:function(menuList){
    wx.ready(function () {
      wx.showMenuItems({
        menuList: menuList || [] // 要显示的菜单项，所有menu项见附录3
      });
    });
  },
  //隐藏所有非基础按钮接口
  hideAllNonBaseMenuItem:function(){
    wx.ready(function () {
      wx.hideAllNonBaseMenuItem();
    });
  },
  //显示所有功能按钮接口
  showAllNonBaseMenuItem:function(){
    wx.ready(function () {
      wx.showAllNonBaseMenuItem();
    });
  },
  //调起微信扫一扫接口
  scanQRCode:function(fn){
    wx.ready(function () {
      wx.scanQRCode({
        needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
        scanType: ["qrCode", "barCode"], // 可以指定扫二维码还是一维码，默认二者都有
        success: function (res) {
          var result = res.resultStr; // 当needResult 为 1 时，扫码返回的结果
          if (fn) {
            fn(res);
          }
        }
      });
    });
  },
  //微信公众号支付
  chooseWXPay:function(options,successFn,failFn){
    var opts = {
      timestamp:'',// 支付签名时间戳，注意微信jssdk中的所有使用timestamp字段均为小写。但最新版的支付后台生成签名使用的timeStamp字段名需大写其中的S字符
      nonceStr:'', // 支付签名随机串，不长于 32 位
      package:'',// 统一支付接口返回的prepay_id参数值，提交格式如：prepay_id=***）
      signType:'MD5',// 签名方式，默认为'SHA1'，使用新版支付需传入'MD5'
      paySign:'',// 支付签名
      success: function(res) {
        if(successFn){
          successFn(res);
        }
      },
      fail:function(err){
        if(failFn){
          failFn(err);
        }
      }
    };
    angular.extend(opts,options);
    wx.ready(function(){
      wx.chooseWXPay(opts);
    });
  },
  chooseWXPayNew:function(options,successFn,failFn){
    var opts = {
      appId: '',
      timeStamp:'',// 支付签名时间戳，注意微信jssdk中的所有使用timestamp字段均为小写。但最新版的支付后台生成签名使用的timeStamp字段名需大写其中的S字符
      nonceStr:'', // 支付签名随机串，不长于 32 位
      package:'',// 统一支付接口返回的prepay_id参数值，提交格式如：prepay_id=***）
      signType:'RSA',// 签名方式，默认为'SHA1'，使用新版支付需传入'MD5'
      paySign:'',// 支付签名
      success: function(res) {
        if(successFn){
          successFn(res);
        }
      },
      fail:function(err){
        if(failFn){
          failFn(err);
        }
      }
    };
    angular.extend(opts,options);
    wx.ready(function(){
      wx.chooseWXPay(opts);
    });
  }
};

AppControllers
  .controller('ExpressMainCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', 'Global', 'ExpressServ', function ($scope, $state, $ionicHistory, $stateParams, $ionicViewSwitcher, Global, ExpressServ) {
    Global.User.Store.code = '1635_Demo_005';
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    // 今日入库
    $scope.goTodayPreWarehouse = function () {
      $state.go('expressList', {type: 'inWarehouse'});
    };
    // 在途
    $scope.goTodayInWay = function () {
      $state.go('expressList', {type: 'inWay'});
    };
    // 在库
    $scope.goTodayInWarehouse = function () {
      $state.go('expressList', {type: 'inWarehouse'});
    };
    // 已签收
    $scope.goTodaySigned = function () {
      $state.go('expressSignedList', {type: 'signedList'});
    };
    // 快递收件
    $scope.goWaitWarehouse = function () {
      $state.go('expressList', {type: 'waitWarehouse'});
    };
    // 用户签收
    $scope.goNoSignedList = function () {
      $state.go('expressSignedList', {type: 'noSignedList'});
    };
    // 极速入库
    $scope.goQuickWarehouse = function () {
      cloudSky.zBar.scan({
        text_title: '极速入库',
        text_instructions: '扫快递单的条码/二维码',
        camera: 'back',
        flash: 'auto',
        drawSight: true
      }, function (res) {
        if (res) {
          Global.popup.confirm('快递单号为：【' + res + '】是否入库？', function () {
            ExpressServ.storageOrder(res).success(function (ret) {
              if (ret.code === 0) {
                Global.popup.showToast('扫码入库完成！');
                $scope.reloadData();
              } else {
                Global.popup.showToast('扫码入库失败，原因：' + e);
              }
            });
          });
        }
      }, function (err) {
        if (err && err !== 'cancelled') {
          Global.popup.showToast(err);
        }
      });
    };
    // 加载数据
    $scope.reloadData = function (isRefresh) {
      // 实时数据
      ExpressServ.getCurrentStatis().success(function (res) {
        if (res.code === 0) {
          $scope.currentData = res.data;
          if (isRefresh) {
            $scope.$broadcast('scroll.refreshComplete');
          }
        }
      });
      // 历史数据
      ExpressServ.getHistoryStatis().success(function (res) {
        if (res.code === 0) {
          $scope.historyData = res.data && res.data.length > 0 ? res.data[0] : {};
          if (isRefresh) {
            $scope.$broadcast('scroll.refreshComplete');
          }
        }
      });
    };
    // 进入页面加载数据
    $scope.$on("$ionicView.enter", function (scopes, states) {
      $scope.reloadData();
    });
  }])
  .controller('ExpressListCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', '$ionicScrollDelegate', '$timeout', 'Global', 'ExpressServ', function ($scope, $state, $ionicHistory, $stateParams, $ionicViewSwitcher, $ionicScrollDelegate, $timeout, Global, ExpressServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    // 菜单
    $scope.tabs = [
      {tabName: 'waitWarehouse', tabTitle: '待入库', searchPlaceholder: '配送单号'},
      {tabName: 'inWarehouse', tabTitle: '已入库', searchPlaceholder: '配送单号'},
      {tabName: 'inWay', tabTitle: '在途', searchPlaceholder: '配送单号'},
      {tabName: 'retentionDelivery', tabTitle: '滞留件', searchPlaceholder: '快递单号/手机号'},
      {tabName: 'historySearch', tabTitle: '历史查询', searchPlaceholder: '快递单号/手机号'}
    ];

    // 查询
    $scope.doSearch = function () {
      $scope.orders.clearParams();
      if ($scope.tab == 'waitWarehouse'|| $scope.tab == 'inWay' || $scope.tab == 'inWarehouse') {
        $scope.orders.params.deliveryNo = $scope.orders.searchKey;
      } else {
        if (/^[1][3,4,5,7,8][0-9]{9}$/.test($scope.orders.searchKey)) { // 手机号
          $scope.orders.params.receiverMobile = $scope.orders.searchKey;
        } else { // 订单号
          $scope.orders.params.orderNo = $scope.orders.searchKey;
        }
      }
      $scope.orders.doRefresh();
    };
    // 输入搜索
    $scope.doKeySearch = function (key) {
      if (event.keyCode == 13) {
        $scope.orders.searchKey = key;
        $scope.doSearch();
      }
    };
    // 扫码搜索
    $scope.scanBarcode = function () {
      cloudSky.zBar.scan({
        text_title: '扫码',
        text_instructions: '请把条码置于扫码框内对准扫码',
        camera: 'back',
        flash: 'auto',
        drawSight: true
      }, function (res) {
        if (res) {
          $scope.orders.searchKey = res;
          $scope.doSearch();
        }
      }, function (err) {
        if (err && err !== 'cancelled') {
          Global.popup.showToast(err);
        }
      });
    };
    // 切换tab
    $scope.tab = $stateParams.type || 'waitWarehouse';
    $scope.searchPlaceholder = '配送单号';
    $scope.curTabIndex = 0;
    $scope.subTab = 'historyAll';
    $scope.selectTab = function (tab) {
      var idx = 0;
      angular.forEach($scope.tabs, function (tmpTab, i) {
        if (tmpTab.tabName == tab) {
          idx = i;
          return;
        }
      });
      $ionicScrollDelegate.$getByHandle('expressListScroll').scrollTop();
      $scope.tab = $scope.tabs[idx].tabName;
      $scope.searchPlaceholder = $scope.tabs[idx].searchPlaceholder;
      if ($scope.curTabIndex >= 1) {
        var left = $ionicScrollDelegate.$getByHandle('expressTabsScroll').getScrollPosition().left;
        $ionicScrollDelegate.$getByHandle('expressTabsScroll').scrollTo(left + 0.35 * document.body.clientWidth * (idx - $scope.curTabIndex), 0);
      }
      $scope.curTabIndex = idx;
      $scope.orders.init();
    };
    // 切换二级tab
    $scope.selectSubTab = function (tab) {
      $scope.subTab = tab;
      if ($scope.subTab == 'historyAll') {
        $scope.orders.params.orderStatus = '';
      } else if ($scope.subTab == 'historyInWarehouse') {
        $scope.orders.params.orderStatus = '1';
      } else if ($scope.subTab == 'historySigned') {
        $scope.orders.params.orderStatus = '2';
      }
      $scope.orders.init();
    };

    // 快递单列表
    $scope.orders = {
      params: {
        pageIndex: 1,
        pageSize: 50,
        deliveryNo: '',
        orderNo: '',
        orderStatus: '',
        receiverMobile: ''
      },
      searchKey: '',
      moredata: false,
      hasdata: true,
      data: [],
      clearParams: function () {
        $scope.orders.params.pageIndex = 1;
        $scope.orders.params.deliveryNo = '';
        $scope.orders.params.orderNo = '';
        $scope.orders.params.orderStatus = '';
        $scope.orders.params.receiverMobile = '';
      },
      init: function () {
        $scope.orders.params.pageIndex = 1;
        $scope.orders.moredata = false;
        $scope.orders.data = [];
        $ionicScrollDelegate.$getByHandle('expressListScroll').scrollTop();
      },
      loadData: function (type) {
        ExpressServ.getShopDeliveryList($scope.tab, $scope.orders.params).success(function (ret) {
          if (ret.code == '0') {
            if ($scope.tab == 'waitWarehouse') {
              angular.forEach(ret.data, function (detail) {
                detail.checked = false;
              });
            }
            if (type == 'doRefresh') {
              $scope.orders.data = ret.data;
            } else {
              $scope.orders.data = $scope.orders.data.concat(ret.data);
            }
            if (ret.total === 0 || ret.total <= $scope.orders.params.pageIndex || $scope.tab == 'retentionDelivery') {
              $scope.orders.moredata = true;
            } else {
              $scope.orders.moredata = false;
            }
            if ($scope.orders.data.length > 0) {
              $scope.orders.hasdata = true;
            } else {
              $scope.orders.hasdata = false;
            }
            $scope.orders.params.pageIndex += 1;
          }
          if (type == "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function (ret) {
          $scope.orders.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
      },
      doRefresh: function () {
        $timeout(function () {
          $scope.orders.params.pageIndex = 1;
          $scope.orders.loadData("doRefresh");
        }, 300);
      },
      loadMore: function () {
        $timeout(function () {
          $scope.orders.loadData("loadMore");
        }, 300);
      }
    }
    ;
    // 查看包裹
    $scope.goExpressDetail = function (deliveryOrder) {
      ExpressServ.deliveryOrderInfo = deliveryOrder;
      $state.go('expressDetail', {deliveryNo: deliveryOrder.deliveryNo, fromTab: $scope.tab})
    };

    $scope.selectDeliveryNos = [];
    $scope.setDeliveryNos = function(deliveryNo, operation) {
      var idx = $scope.selectDeliveryNos.indexOf(deliveryNo);
      if (operation && idx == -1) {
        $scope.selectDeliveryNos.push(deliveryNo);
      } else  if (!operation && idx > -1) {
        $scope.selectDeliveryNos.splice(idx, 1);
      }
    };
    // 选中订单
    $scope.selectOrder = function (order) {
      $scope.setDeliveryNos(order.deliveryNo, order.checked);
    };
    // 整单入库
    $scope.orderSumbit = function () {
      if ($scope.selectDeliveryNos.length === 0) {
        Global.popup.showToast('请选择配送单！');
        return;
      }
      Global.popup.confirm('确认对选中的配送单进行【批量入库】操作？', function () {
        ExpressServ.storageShopDeliveryList($scope.selectDeliveryNos).success(function (res) {
          if (res.code === 0) {
            $scope.selectDeliveryNos = [];
            $scope.orders.doRefresh();
          } else {
            Global.popup.showToast('批量入库失败，原因：' + res.message);
          }
        });
      });
    };

    // 进入页面加载数据
    var isInit = false;
    $scope.$on("$ionicView.enter", function (scopes, states) {
      if (!isInit) {
        angular.forEach($scope.tabs, function (tmpTab, i) {
          if (tmpTab.tabName == $scope.tab) {
            $scope.searchPlaceholder = tmpTab.searchPlaceholder;
            $scope.curTabIndex = i;
            if ($scope.curTabIndex >= 1) {
              $ionicScrollDelegate.$getByHandle('expressTabsScroll').scrollTo(0.25 * document.body.clientWidth * $scope.curTabIndex, 0);
            }
            return;
          }
        });
        isInit = true;
      }
      if (ExpressServ.isNeedRefreshOrderList) {
        ExpressServ.isNeedRefreshOrderList = false;
        $scope.orders.doRefresh();
      }
    });
  }])
  .controller('ExpressDetailCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', 'Global', 'ExpressServ', function ($scope, $state, $ionicHistory, $stateParams, $ionicViewSwitcher, Global, ExpressServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    $scope.fromTab = $stateParams.fromTab || '';
    // 初始化配送单
    $scope.initDeliveryDetail = function (isRefresh) {
      $scope.deliveryInfo = ExpressServ.deliveryOrderInfo;
      ExpressServ.getShopDeliveryOrder($scope.deliveryInfo.deliveryNo).success(function (res) {
        if (res.code === 0) {
          $scope.deliveryInfo.orderList = res.data;
          if (isRefresh) {
            $scope.$broadcast('scroll.refreshComplete');
          }
        }
      });
    };

    // 快递单收件
    $scope.storageDelivery = function (order) {
      Global.popup.confirm('确认收件入库？', function () {
        order.storageStatus = 1;
        order.storageStatusDescr = '已入库';
      });
    };

    // 强制收货
    $scope.forceReceive = function () {
      Global.popup.confirm('【强制收货】后，<br/>未收件的快递将变成未入库状态！<br/>已收件的快递将变成已入库状态！', function () {
        var storageInfo = {
          deliveryNo: $scope.deliveryInfo.deliveryNo,
          storageCount: 0,
          orderList: []
        };
        angular.forEach($scope.deliveryInfo.orderList, function (detail) {
          if (detail.storageStatus == 1) {
            storageInfo.storageCount += 1;
          }
          storageInfo.orderList.push({expressCompany: detail.expressCompany, orderNo: detail.orderNo, storageStatus: detail.storageStatus == 1? 1:2});
        });
        ExpressServ.storageShopDelivery(storageInfo).success(function (res) {
          if (res.code === 0) {
            ExpressServ.isNeedRefreshOrderList = true;
            $scope.goBack();
          } else {
            Global.popup.showToast('强制收货失败，原因：' + res.message);
          }
        });
      });
    };

    // 全部完成
    $scope.completeReceive = function () {
      Global.popup.confirm('【全部完成】后，<br/>未入库的快递将变成已入库状态！', function () {
        var storageInfo = {
          deliveryNo: $scope.deliveryInfo.deliveryNo,
          storageCount: 0,
          orderList: []
        };
        angular.forEach($scope.deliveryInfo.orderList, function (detail) {
          if (detail.storageStatus == 1) {
            storageInfo.storageCount += 1;
          }
          storageInfo.orderList.push({expressCompany: detail.expressCompany, orderNo: detail.orderNo, storageStatus: 1});
        });
        ExpressServ.storageShopDelivery(storageInfo).success(function (res) {
          if (res.code === 0) {
            ExpressServ.isNeedRefreshOrderList = true;
            $scope.goBack();
          } else {
            Global.popup.showToast('全部完成失败，原因：' + res.message);
          }
        });
      });
    };

    // 进入页面加载数据
    $scope.$on("$ionicView.enter", function (scopes, states) {
      $scope.initDeliveryDetail();
    });
  }])
  .controller('ExpressSignedCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', 'Global', 'ExpressServ', function ($scope, $state, $ionicHistory, $stateParams, $ionicViewSwitcher, Global, ExpressServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    // 初始化快递单明细
    $scope.initExpressDetail = function (isRefresh) {
      $scope.receiveOrderInfo = ExpressServ.receiveOrderInfo;
      if (isRefresh) {
        $scope.$broadcast('scroll.refreshComplete');
      }
    };
    // 快递单签收
    $scope.expressSigned = function () {
      var orderInfo = {
        shopCode: Global.User.Store.code.trim(),
        expressCompany: $scope.receiveOrderInfo.expressCompany,
        orderNo: $scope.receiveOrderInfo.orderNo
      };
      ExpressServ.receiveOrder(orderInfo).success(function (res) {
        if (res.code === 0) {
          Global.popup.showToast('签收成功！');
          $scope.goBack();
          ExpressServ.isNeedRefreshSignedList = true;
        }
      }).error(function (err) {
        Global.popup.showToast('签收失败，原因：' + res.message);
      });
    };
    // 进入页面加载数据
    $scope.$on("$ionicView.enter", function (scopes, states) {
      $scope.initExpressDetail();
    });
  }])
  .controller('ExpressSignedListCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', '$timeout', '$ionicScrollDelegate', 'Global', 'ExpressServ', function ($scope, $state, $ionicHistory, $stateParams, $ionicViewSwitcher, $timeout,$ionicScrollDelegate, Global, ExpressServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    // 查询
    $scope.doSearch = function () {
      $scope.orders.clearParams();
      if ($scope.tab == 'noSignedList' && $scope.orders.searchKey.length == 6) { // 取件码
        $scope.orders.params.fetchCode = $scope.orders.searchKey;
      } else if (/^[1][3,4,5,7,8][0-9]{9}$/.test($scope.orders.searchKey)) { // 手机号
        $scope.orders.params.receiverMobile = $scope.orders.searchKey;
      } else { // 订单号
        $scope.orders.params.orderNo = $scope.orders.searchKey;
      }
      $scope.orders.doRefresh();
    };
    // 输入搜索
    $scope.doKeySearch = function (key) {
      if (event.keyCode == 13) {
        $scope.orders.searchKey = key;
        $scope.doSearch();
      }
    };
    // 扫码搜索
    $scope.scanBarcode = function () {
      cloudSky.zBar.scan({
        text_title: '扫码',
        text_instructions: '请把条码置于扫码框内对准扫码',
        camera: 'back',
        flash: 'auto',
        drawSight: true
      }, function (res) {
        if (res) {
          $scope.orders.searchKey = res;
          $scope.doSearch();
        }
      }, function (err) {
        if (err && err !== 'cancelled') {
          Global.popup.showToast(err);
        }
      });
    };

    $scope.tab = $stateParams.type || 'noSignedList';
    $scope.searchText = $scope.tab == 'noSignedList' ? '取件号/快递单号/手机号' : '快递单号/手机号';
    $scope.selectTab = function (val) {
      $scope.tab = val;
      $scope.searchText = $scope.tab == 'noSignedList' ? '取件号/快递单号/手机号' : '快递单号/手机号';
      $scope.orders.init();
    };
    // 快递单签收列表
    $scope.orders = {
      params: {
        pageIndex: 1,
        pageSize: 50,
        fetchCode: '',
        orderNo: '',
        receiverMobile: ''
      },
      searchKey: '',
      moredata: false,
      hasdata: true,
      data: [],
      clearParams: function () {
        $scope.orders.params.pageIndex = 1;
        $scope.orders.params.fetchCode = '';
        $scope.orders.params.orderNo = '';
        $scope.orders.params.receiverMobile = '';
      },
      init: function () {
        $scope.orders.params.pageIndex = 1;
        $scope.orders.moredata = false;
        $scope.orders.data = [];
        $ionicScrollDelegate.$getByHandle('signedTabsScroll').scrollTop();
      },
      loadData: function (type) {
        ExpressServ.getReceiveOrder($scope.tab, $scope.orders.params).success(function (ret) {
          if (ret.code == '0') {
            if (type == 'doRefresh') {
              $scope.orders.data = ret.data;
            } else {
              $scope.orders.data = $scope.orders.data.concat(ret.data);
            }
            if (ret.total === 0 || ret.total <= $scope.orders.params.pageIndex || $scope.tab == 'noSignedList') {
              $scope.orders.moredata = true;
            } else {
              $scope.orders.moredata = false;
            }
            if ($scope.orders.data.length > 0) {
              $scope.orders.hasdata = true;
            } else {
              $scope.orders.hasdata = false;
            }
            $scope.orders.params.pageIndex += 1;
          }
          if (type == "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function (ret) {
          $scope.orders.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
      },
      doRefresh: function () {
        $timeout(function () {
          $scope.orders.params.pageIndex = 1;
          $scope.orders.loadData("doRefresh");
        }, 300);
      },
      loadMore: function () {
        $timeout(function () {
          $scope.orders.loadData("loadMore");
        }, 300);
      }
    };

    // 签收
    $scope.storageDelivery = function (order) {
      var orderInfo = {
        shopCode: Global.User.Store.code.trim(),
        expressCompany: order.expressCompany,
        orderNo: order.orderNo
      };
      ExpressServ.receiveOrder(orderInfo).success(function (res) {
        if (res.code === 0) {
          Global.popup.showToast('签收成功！');
          $scope.orders.doRefresh();
        } else {
          Global.popup.showToast('签收失败，原因：' + res.message);
        }
      });
    };
    // 详情
    $scope.deliveryDetail = function (order) {
      ExpressServ.receiveOrderInfo = order;
      $state.go('expressSigned', {deliveryNo: order.orderNo});
    };
    // 刷新列表
    $scope.$on("$ionicView.enter", function (scopes, states) {
      if (ExpressServ.isNeedRefreshSignedList) {
        ExpressServ.isNeedRefreshSignedList = false;
        $scope.orders.doRefresh();
      }
    });
  }]);

AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
    $stateProvider
      .state('expressMain', {
        url: '/expressMain',
        templateUrl: 'store/express/expressMain.html',
        controller: 'ExpressMainCtrl'
      })
      .state('expressList', {
        url: '/expressList/:type',
        templateUrl: 'store/express/expressList.html',
        controller: 'ExpressListCtrl'
      })
      .state('expressDetail', {
        url: '/expressDetail/:deliveryNo/:fromTab',
        templateUrl: 'store/express/expressDetail.html',
        controller: 'ExpressDetailCtrl'
      })
      .state('expressSigned', {
        url: '/expressSigned/:deliveryNo',
        templateUrl: 'store/express/expressSigned.html',
        controller: 'ExpressSignedCtrl'
      })
      .state('expressSignedList', {
        url: '/expressSignedList/:type',
        templateUrl: 'store/express/expressSignedList.html',
        controller: 'ExpressSignedListCtrl'
      });
  }]);

AppServices
  .factory('ExpressServ', ['$q', '$http', 'Global', '$state', function ($q, $http, Global, $state) {
    var deliveryOrderInfo = {}, receiveOrderInfo = {}, isNeedRefreshSignedList = false, isNeedRefreshOrderList = false;
    return {
      // 门店实时单量统计
      getCurrentStatis: function () {
        return Global.https.authPost("/eshop/store/getCurrentStatis", {shopCode: Global.User.Store.code.trim()}, undefined, undefined, false);
      },
      // 门店历史单量统计
      getHistoryStatis: function (condition) {
        if (!condition) {
          condition = {}
        }
        angular.extend(condition, {shopCodes: [Global.User.Store.code.trim()]});
        return Global.https.authPost("/eshop/store/statisHistory", condition, undefined, undefined, false);
      },
      // 用户签收
      sysnReceiverInfo: function (receiverInfo) {
        return Global.https.authPost("/eshop/store/sysnReceiverInfo", receiverInfo);
      },
      // 统一查询快递单列表
      getShopDeliveryList: function (type, condition) {
        if (!condition) {
          condition = {};
        }
        condition = angular.extend(condition, {shopCode: Global.User.Store.code.trim()});
        if (type == 'waitWarehouse' || type == 'inWay' || type == 'inWarehouse') { // 待入库、在库、已入库
          switch (type) {
            case 'waitWarehouse':
              angular.extend(condition, {storageStatus: '1'});
              break;
            case 'inWarehouse':
              angular.extend(condition, {storageStatus: '2'});
              break;
            case 'inWay':
              angular.extend(condition, {storageStatus: '0'});
              break;
          }
          return this.getShopDeliveryPaging(condition);
        } else if (type == 'historySearch') { // 历史查询
          return this.getHistoryOrder(condition);
        } else if (type == 'retentionDelivery') { // 滞留件
          return this.getRetentionOrder();
        }
      },
      // 获取配送单列表（分页）
      getShopDeliveryPaging: function (condition) {
        return Global.https.authPost("/eshop/store/getShopDeliveryPaging", condition, undefined, undefined, false);
      },
      // 获取配送单明细
      getShopDeliveryOrder: function (deliveryNo) {
        return Global.https.authPost("/eshop/store/getShopDeliveryOrder", {deliveryNo: deliveryNo}, undefined, undefined, false);
      },
      // 配送单门店入库
      storageShopDelivery: function (storageInfo) {
        return Global.https.authPost("/eshop/store/storageShopDelivery", storageInfo);
      },
      // 配送单批量(整单)入库
      storageShopDeliveryList: function (deliveryNoList) {
        return Global.https.authPost("/eshop/store/storageShopDeliveryList", {deliveryNoList: deliveryNoList});
      },
      // 订单扫码入库
      storageOrder: function (orderNo) {
        var params = {orderNo: orderNo};
        angular.extend(params, {shopCode: Global.User.Store.code.trim()});
        return Global.https.authPost("/eshop/store/storageOrder", params);
      },
      // 查询签收订单
      getReceiveOrder: function (type, condition) {
        if (!condition) {
          condition = {};
        }
        angular.extend(condition, {shopCode: Global.User.Store.code.trim()});
        if (type == 'noSignedList') {
          return this.getUnReceiveOrder(condition);
        } else if (type == 'signedList') {
          angular.extend(condition, {orderStatus: 2});
          return this.getHistoryOrder(condition);
        }
      },
      // 查询待签收订单
      getUnReceiveOrder: function (condition) {
        return Global.https.authPost("/eshop/store/getUnReceiveOrder", condition, undefined, undefined, false);
      },
      // 查询历史订单
      getHistoryOrder: function (condition) {
        return Global.https.authPost("/eshop/store/getHistoryOrder", condition, undefined, undefined, false);
      },
      // 用户订单签收（按订单签收）
      receiveOrder: function (orderInfo) {
        return Global.https.authPost("/eshop/store/receiveOrder", orderInfo);
      },
      // 查询滞留件
      getRetentionOrder: function () {
        return Global.https.authPost("/eshop/store/getRetentionOrder", {shopCode: Global.User.Store.code.trim()}, undefined, undefined, false);
      },
      // 配送单信息
      deliveryOrderInfo: deliveryOrderInfo,
      // 快递单信息
      receiveOrderInfo: receiveOrderInfo,
      // 刷新签收列表
      isNeedRefreshSignedList: isNeedRefreshSignedList,
      // 刷新包裹列表
      isNeedRefreshOrderList: isNeedRefreshOrderList
    };
  }]);

AppControllers
  .controller('OrderCtrl', ['$scope', '$state', 'OrderServ', 'Global', '$ionicPopover', '$ionicHistory', '$ionicViewSwitcher', '$ionicPopup', '$rootScope', 'GoodsDetailServ', 'salesInvoiceServ', function ($scope, $state, OrderServ, Global, $ionicPopover, $ionicHistory, $ionicViewSwitcher, $ionicPopup, $rootScope, GoodsDetailServ, salesInvoiceServ) {
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;
    $scope.isFromLoginSalesManBySupplier = Global.User.fromType && Global.User.fromType == '2' && Global.User.fromLoginSalesManBySupplier && Global.User.fromLoginSalesManBySupplier == '2' ? true : false;
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    $scope.vm = {
      selectAll: false,
      canSubmit: true,
      hasPlatformOrder: false,
      newCanSubmit: true,
      money: 0,
      money1: 0,
      qty: 0,
      salesDeliveryFee: 0,
      lessQtyItemInfo: {
        isClose: false,
        isShow: false,
        data: [],
        toggleFilter: function () {
          $scope.vm.lessQtyItemInfo.isShow = !$scope.vm.lessQtyItemInfo.isShow;
        },
        closeFilter: function () {
          $scope.vm.lessQtyItemInfo.isClose = true;
        }
      }
    };
    //全选报货单商品
    $scope.selectAllCar = function (status) {
      $scope.vm.selectAll = status;
      var itcodes = [], isSel = $scope.vm.selectAll ? '1' : '0';
      var money = 0, money1 = 0, qty = 0, salesDeliveryFee = 0;
      angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
        group.checked = $scope.vm.selectAll;
        group.money = $scope.vm.selectAll ? group.allmoney : 0;
        group.money1 = $scope.vm.selectAll ? group.allmoney1 : 0;
        group.qty = $scope.vm.selectAll ? group.allqty : 0;
        group.canSubmit = (group.money1 === 0 || group.money1 >= group.minOrderAmount || group.currentOrder == '1');
        if (group.money1 >= group.minOrderAmount && group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
          group.realSalesDeliveryFee = group.salesDeliveryFee;
        } else {
          group.realSalesDeliveryFee = 0;
        }
        money += group.money;
        money1 += group.money1;
        qty += group.qty;
        salesDeliveryFee += group.realSalesDeliveryFee;
        angular.forEach(group.shoppingCarts, function (item) {
          item.checked = $scope.vm.selectAll;
          itcodes.push(item.itcode.trim());
        });
      });
      OrderServ.selectShoppingCart({itcodes: itcodes, isSel: isSel});
      $scope.vm.money = money;
      $scope.vm.money1 = money1;
      $scope.vm.qty = qty;
      $scope.vm.salesDeliveryFee = salesDeliveryFee;
      setCanSubmit();
      //批量叫货订单
      $scope.wqblbUserBatchOrder.checked = status;
      $scope.wqblbUserBatchOrder.selectUserWxOrder();
    };
    //修改选中状态
    $scope.selectGroup = function (group) {
      var itcodes = [], isSel = group.checked ? '1' : '0';
      angular.forEach(group.shoppingCarts, function (item) {
        item.checked = group.checked;
        itcodes.push(item.itcode.trim());
      });
      if (!group.checked) {
        $scope.vm.selectAll = false;
        $scope.vm.qty -= group.qty;
        $scope.vm.money -= group.money;
        $scope.vm.money1 -= group.money1;
        group.qty = 0;
        group.money = 0;
        group.money1 = 0;
      } else {
        setCheckedAll();
        $scope.vm.qty += group.allqty - group.qty;
        $scope.vm.money += group.allmoney - group.money;
        $scope.vm.money1 += group.allmoney1 - group.money1;
        group.qty = group.allqty;
        group.money = group.allmoney;
        group.money1 = group.allmoney1;
      }
      var newRealSalesDeliveryFee = 0;
      if (group.money1 >= group.minOrderAmount && group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
        newRealSalesDeliveryFee = group.salesDeliveryFee;
      }
      $scope.vm.salesDeliveryFee += newRealSalesDeliveryFee - group.realSalesDeliveryFee;
      group.realSalesDeliveryFee = newRealSalesDeliveryFee;

      OrderServ.selectShoppingCart({itcodes: itcodes, isSel: isSel});
      group.canSubmit = (group.money1 === 0 || group.money1 >= group.minOrderAmount || group.currentOrder == '1');
      setCanSubmit();
    };
    $scope.selectItem = function (group, item) {
      if (!item.checked) {
        group.checked = false;
        $scope.vm.selectAll = false;
        group.qty -= 1;
        $scope.vm.qty -= 1;
        group.money -= (item.cost - item.cashBack) * item.qty;
        group.money1 -= item.cost * item.qty;
        $scope.vm.money -= (item.cost - item.cashBack) * item.qty;
        $scope.vm.money1 -= item.cost * item.qty;
      } else {
        setCheckedGroup(group);
        if (!group.checked) {
          $scope.vm.selectAll = false;
        } else {
          setCheckedAll();
        }
        group.qty += 1;
        $scope.vm.qty += 1;
        group.money += (item.cost - item.cashBack) * item.qty;
        group.money1 += item.cost * item.qty;
        $scope.vm.money += (item.cost - item.cashBack) * item.qty;
        $scope.vm.money1 += item.cost * item.qty;
      }
      var newRealSalesDeliveryFee = 0;
      if (group.money1 >= group.minOrderAmount && group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
        newRealSalesDeliveryFee = group.salesDeliveryFee;
      }
      $scope.vm.salesDeliveryFee += newRealSalesDeliveryFee - group.realSalesDeliveryFee;
      group.realSalesDeliveryFee = newRealSalesDeliveryFee;

      var itcodes = [], isSel = item.checked ? '1' : '0';
      itcodes.push(item.itcode.trim());
      OrderServ.selectShoppingCart({itcodes: itcodes, isSel: isSel});
      group.canSubmit = (group.money1 === 0 || group.money1 >= group.minOrderAmount || group.currentOrder == '1');
      setCanSubmit();
    };

    //验证单分组选中
    var setCheckedGroup = function (group) {
      var status = true;
      angular.forEach(group.shoppingCarts, function (item) {
        if (!item.checked) {
          status = false;
          return;
        }
      });
      group.checked = status;
    };
    var setCheckedAll = function () {
      var status = true;
      angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
        if (!group.checked) {
          status = false;
          return;
        }
      });
      $scope.vm.selectAll = status;
    };
    //判断是否允许提交去结算
    var setCanSubmit = function () {
      if ($scope.vm.money1 + $scope.wqblbUserBatchOrder.amount === 0) {
        $scope.vm.canSubmit = false;
        $scope.vm.newCanSubmit = false;
        return;
      }
      var canSubmit = true, hasItems = false, newCanSubmit = true;
      angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
        if (group.splCode === '') {//集配订单(添加批量订单进行判断)
          canSubmit = canSubmit && ($scope.parseFloat(group.money1 + $scope.wqblbUserBatchOrder.amount) === 0 || (group.money1 + $scope.wqblbUserBatchOrder.amount) >= group.minOrderAmount || group.currentOrder == '1');
          newCanSubmit = newCanSubmit || ($scope.parseFloat(group.money1 + $scope.wqblbUserBatchOrder.amount) === 0 || (group.money1 + $scope.wqblbUserBatchOrder.amount) >= group.minOrderAmount || group.currentOrder == '1');
          hasItems = true;
          var realSalesDeliveryFee = 0;
          if ((group.money1 + $scope.wqblbUserBatchOrder.amount) >= group.minOrderAmount && (group.money1 + $scope.wqblbUserBatchOrder.amount) < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
            realSalesDeliveryFee = group.salesDeliveryFee;
          }
          $scope.vm.salesDeliveryFee += realSalesDeliveryFee - group.realSalesDeliveryFee;
          group.realSalesDeliveryFee = realSalesDeliveryFee;
        } else {//自配订单
          canSubmit = canSubmit && group.canSubmit;
          newCanSubmit = newCanSubmit || group.canSubmit;
        }
      });
      if (!hasItems && $scope.wqblbUserBatchOrder.data && $scope.wqblbUserBatchOrder.data.length > 0) {//如果没有集配商品并且存在批量订商品
        canSubmit = canSubmit && ($scope.wqblbUserBatchOrder.amount === 0 || $scope.wqblbUserBatchOrder.amount >= $scope.shoppingCartModel.minOrderAmount || $scope.shoppingCartModel.currentOrder == '1');
        newCanSubmit = newCanSubmit || ($scope.wqblbUserBatchOrder.amount === 0 || $scope.wqblbUserBatchOrder.amount >= $scope.shoppingCartModel.minOrderAmount || $scope.shoppingCartModel.currentOrder == '1');
        if ($scope.wqblbUserBatchOrder.amount >= group.minOrderAmount && $scope.wqblbUserBatchOrder.amount < $scope.shoppingCartModel.minSalesNoDeliveryAmount && $scope.shoppingCartModel.currentOrder != '1') {
          $scope.vm.salesDeliveryFee += $scope.shoppingCartModel.salesDeliveryFee;
        }
      }
      $scope.vm.canSubmit = canSubmit;
      $scope.vm.newCanSubmit = newCanSubmit;
    };
    //隐藏明细列表
    $scope.hideDetail = function (group) {
      group.isHide = !group.isHide;
    };

    //结算时先判断报货单中的商品是否存在库存不足的情况
    $scope.getLessQtyItemInfo = function (splCode) {
      $scope.vm.lessQtyItemInfo.data = [];
      if (splCode !== undefined) {
        angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
          if (group.splCode == splCode) {
            angular.forEach(group.shoppingCarts, function (item) {
              if (item.checked && (item.realtimeStockCount < item.qty || item.qty % item.itemSize !== 0)) {
                $scope.vm.lessQtyItemInfo.data.push(item);
              }
            });
            return;
          }
        });
      } else {
        angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
          angular.forEach(group.shoppingCarts, function (item) {
            if (item.checked && (item.realtimeStockCount < item.qty || item.qty % item.itemSize !== 0)) {
              $scope.vm.lessQtyItemInfo.data.push(item);
            }
          });
        });
      }
      if ($scope.vm.lessQtyItemInfo.data.length > 0) {
        $scope.vm.lessQtyItemInfo.isShow = true;
        $scope.vm.lessQtyItemInfo.isClose = false;
        return false;
      } else {
        return true;
      }
    };

    //去结算
    $scope.goToOrderConfirm = function (splCode, sumCost, salesDeliveryFee, lessSalesNoDeliveryAmount) {
      //判断是否存在库存不足的商品
      if (!$scope.getLessQtyItemInfo(splCode)) {
        return false;
      }
      //提交操作
      OrderServ.selectSplCodes = [];
      if (splCode !== undefined) {//分组结算
        if (salesDeliveryFee > 0 && lessSalesNoDeliveryAmount > 0) {
          $ionicPopup.confirm({
            title: '温馨提醒',
            template: '您当前订单需付运费<span style="color:red;">¥' + salesDeliveryFee + '</span>，还差<span style="color:red;">¥' + lessSalesNoDeliveryAmount + '</span>，即可享受免运费。',
            okText: "我已知晓",
            cancelText: "去凑单"
          }).then(function (res) {
            if (res) {
              if (splCode !== '') {//自配单(只能选择在线支付)
                OrderServ.selectSplCodes.push(splCode);
                OrderServ.selectCouponIds.selected = 'fromOrder';
                $state.go('orderConfirm', {sumCost: sumCost, payType: 2, salesDeliveryFee: salesDeliveryFee});
              } else {//集配单
                OrderServ.selectSplCodes.push('blb_platform');
                OrderServ.selectCouponIds.selected = 'fromOrder';
                $state.go('orderConfirm', {
                  sumCost: sumCost + $scope.wqblbUserBatchOrder.amount,
                  sino: $scope.shoppingCartModel.currentOrderNo || '',
                  payType: $scope.shoppingCartModel.currentOrderPayType || '',
                  salesDeliveryFee: salesDeliveryFee
                });
              }
            } else {
              $scope.goSupplierItem(splCode);
            }
          });
        } else {
          if (splCode !== '') {//自配单(只能选择在线支付)
            OrderServ.selectSplCodes.push(splCode);
            OrderServ.selectCouponIds.selected = 'fromOrder';
            $state.go('orderConfirm', {sumCost: sumCost, payType: 2, salesDeliveryFee: salesDeliveryFee});
          } else {//集配单
            OrderServ.selectSplCodes.push('blb_platform');
            OrderServ.selectCouponIds.selected = 'fromOrder';
            $state.go('orderConfirm', {
              sumCost: sumCost + $scope.wqblbUserBatchOrder.amount,
              sino: $scope.shoppingCartModel.currentOrderNo || '',
              payType: $scope.shoppingCartModel.currentOrderPayType || '',
              salesDeliveryFee: salesDeliveryFee
            });
          }
        }
      } else {//合并结算
        var orderCount = 0, newSumCost = 0, newPayType = $scope.shoppingCartModel.currentOrderPayType || '',
          newSalesDeliveryFee = 0;
        angular.forEach($scope.shoppingCartModel.shoppingCarts, function (group) {
          orderCount++;
          if (group.splCode === '' && (parseFloat(group.money1 + $scope.wqblbUserBatchOrder.amount) > 0) && (group.minOrderAmount <= (group.money1 + $scope.wqblbUserBatchOrder.amount) || group.currentOrder == '1')) {
            OrderServ.selectSplCodes.push('blb_platform');
            newSumCost += group.money + $scope.wqblbUserBatchOrder.amount;
            if ((group.money1 + $scope.wqblbUserBatchOrder.amount) < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
              newSalesDeliveryFee += group.salesDeliveryFee;
            }
          } else if (group.minOrderAmount <= group.money1) {
            OrderServ.selectSplCodes.push(group.splCode);
            newSumCost += group.money;
            newPayType = '2';//自配供应商,只能选择在线支付
            if (group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
              newSalesDeliveryFee += group.salesDeliveryFee;
            }
          }
        });
        //没有平台商品，只有批量订商品
        if (!$scope.vm.hasPlatformOrder && $scope.wqblbUserBatchOrder.amount > 0 && ($scope.shoppingCartModel.minOrderAmount <= $scope.wqblbUserBatchOrder.amount || $scope.shoppingCartModel.currentOrder == '1')) {
          OrderServ.selectSplCodes.push('blb_platform');
          orderCount++;
          if ($scope.wqblbUserBatchOrder.amount < $scope.shoppingCartModel.minSalesNoDeliveryAmount && $scope.shoppingCartModel.currentOrder != '1') {
            newSalesDeliveryFee += $scope.shoppingCartModel.salesDeliveryFee;
          }
        }
        //如果同时存在自配、追加的货到付款的集配订单
        if (OrderServ.selectSplCodes.length >= 2 && OrderServ.selectSplCodes.indexOf('blb_platform') > -1 && $scope.shoppingCartModel.currentOrder == '1' && $scope.shoppingCartModel.currentOrderPayType == '1') {
          Global.popup.alert('商家配送订单须<span style="color:red;">在线支付</span>，请单独提交！');
          return false;
        }
        if (OrderServ.selectSplCodes.length === 0) {//全部不满足结算条件
          Global.popup.alert('<div>您提交的订单信息：</div><div style="margin-left: 28px;">订单总数：<span style="color:red;">' + orderCount + '</span>个</div><div style="margin-left: 28px;">未达起配金额：<span style="color:red;">' + (orderCount - OrderServ.selectSplCodes.length) + '</span>个</div>无法继续结算！');
        } else if (OrderServ.selectSplCodes.length == orderCount) {//全部满足结算条件
          if (newSalesDeliveryFee > 0) {
            $ionicPopup.confirm({
              title: '温馨提醒',
              template: '您当前<span style="color:red;">' + orderCount + '</span>个订单中有部分未达免运费条件，需付运费<span style="color:red;">¥' + newSalesDeliveryFee + '</span>。',
              okText: "我已知晓",
              cancelText: "去凑单"
            }).then(function (res) {
              if (res) {
                OrderServ.selectCouponIds.selected = 'fromOrder';
                $state.go('orderConfirm', {
                  sumCost: newSumCost,
                  sino: $scope.shoppingCartModel.currentOrderNo || '',
                  payType: newPayType,
                  salesDeliveryFee: newSalesDeliveryFee
                });
              } else {
                $state.go('tab-search-results', {searchKey: ''});
              }
            });
          } else {
            OrderServ.selectCouponIds.selected = 'fromOrder';
            $state.go('orderConfirm', {
              sumCost: newSumCost,
              sino: $scope.shoppingCartModel.currentOrderNo || '',
              payType: newPayType,
              salesDeliveryFee: newSalesDeliveryFee
            });
          }
        } else {//部分满足结算条件
          var message = '<div>您提交的订单信息：</div><div style="margin-left: 28px;">订单总数：<span style="color:red;">' + orderCount + '</span>个</div><div style="margin-left: 28px;">可结算：<span style="color:red;">' + OrderServ.selectSplCodes.length + '</span>个</div><div style="margin-left: 28px;">未达起配金额：<span style="color:red;">' + (orderCount - OrderServ.selectSplCodes.length) + '</span>个</div><div style="margin-left: 28px;">需付运费：<span style="color:red;">' + (newSalesDeliveryFee > 0 ? '¥' + newSalesDeliveryFee : '免运费') + '</span></div>确认继续结算？';
          Global.popup.confirm(message, function () {
            OrderServ.selectCouponIds.selected = 'fromOrder';
            $state.go('orderConfirm', {
              sumCost: newSumCost,
              sino: $scope.shoppingCartModel.currentOrderNo || '',
              payType: newPayType,
              salesDeliveryFee: newSalesDeliveryFee
            });
          }, function () {
            //todo
          });
        }
      }
    };
    //跳转至登录页面
    $scope.goLoginPage = function () {
      $state.go('login');
    };
    $scope.store = {};
    $scope.store = Global.User.Store;
    $scope.emptyToken = true;
    //获取报货单信息
    $scope.searchShoppingCart = function (callBack) {
      OrderServ.getShoppingCart().success(function (ret) {
        $scope.vm.hasPlatformOrder = false;
        $scope.vm.lessQtyItemInfo.data = [];
        if (ret.code === 0) {
          $scope.shoppingCartModel = {
            shoppingCarts: ret.data,
            records: ret.records,
            currentOrder: ret.currentOrder,
            currentOrderNo: ret.currentOrderNo || '',
            currentOrderPayType: ret.currentOrderPayType,
            minOrderAmount: ret.minOrderAmount || Global.User.Store.salesBeginFund,
            salesDeliveryFee: ret.salesDeliveryFee || Global.User.Store.salesDeliveryFee,
            minSalesNoDeliveryAmount: ret.minSalesNoDeliveryAmount,
            sumCost: 0
          };
          Global.User.Store.payType = ret.payType || Global.User.Store.payType;
          var money = 0, money1 = 0, qty = 0, salesDeliveryFee = 0, selectAll = true, canSubmit = true;
          angular.forEach(ret.data, function (group) {
            if (group.splCode === '') {//是否存在集配订单
              $scope.vm.hasPlatformOrder = true;
            }
            var status = true, groupMoney = 0, groupMoney1 = 0, groupQty = 0, allGroupMoney = 0, allGroupMoney1 = 0,
              allGroupQty = 0;
            angular.forEach(group.shoppingCarts, function (item) {
              item.checked = item.isSel == '1' ? true : false;
              status = status && item.checked;
              if (item.checked) {
                money += (item.cost - item.cashBack) * item.qty;
                money1 += item.cost * item.qty;
                qty += 1;
                groupMoney += (item.cost - item.cashBack) * item.qty;
                groupMoney1 += item.cost * item.qty;
                groupQty += 1;
              }
              allGroupMoney += (item.cost - item.cashBack) * item.qty;
              allGroupMoney1 += item.cost * item.qty;
              allGroupQty += 1;
              //记录报货单中库存不足的商品列表
              if (item.realtimeStockCount < item.qty || item.qty % item.itemSize !== 0) {
                $scope.vm.lessQtyItemInfo.data.push(item);
              }
            });
            group.checked = status;
            group.money = groupMoney;
            group.money1 = groupMoney1;
            group.qty = groupQty;
            group.allmoney = allGroupMoney;
            group.allmoney1 = allGroupMoney1;
            group.allqty = allGroupQty;
            group.canSubmit = (group.money1 === 0 || group.money1 >= group.minOrderAmount || group.currentOrder == '1');
            if (group.money1 >= group.minOrderAmount && group.money1 < group.minSalesNoDeliveryAmount && group.currentOrder != '1') {
              group.realSalesDeliveryFee = group.salesDeliveryFee;
            } else {
              group.realSalesDeliveryFee = 0;
            }
            selectAll = selectAll && group.checked;
            canSubmit = canSubmit && group.canSubmit;
            salesDeliveryFee += group.realSalesDeliveryFee;
          });
          $scope.vm.selectAll = selectAll;//设置全选中
          $scope.vm.qty = qty;
          $scope.vm.money = money;
          $scope.vm.money1 = money1;
          $scope.vm.salesDeliveryFee = salesDeliveryFee;

          //初始化批量订单业务
          $scope.wqblbUserBatchOrder.getWqblbUserBatchOrderData();

          //显示库存不足的商品列表
          if ($scope.vm.lessQtyItemInfo.data.length === 0) {
            $scope.vm.lessQtyItemInfo.isShow = false;
          }
          if (callBack) {
            callBack($scope.vm.lessQtyItemInfo.data);
          }
        }
      }).error(function (data) {
        Global.popup.alert("获取不到报货单列表！");
      });
    };

    //初始化附近在卖商品
    $scope.initNearStoreGoods = function () {
      $scope.nearStoreGoodsParam = {};
      if (Global.User.Store.provinCode !== undefined && Global.User.Store.provinCode !== "") {
        $scope.nearStoreGoodsParam.provinCode = Global.User.Store.provinCode;
      }
      if (Global.User.Store.cityCode !== undefined && Global.User.Store.cityCode !== "") {
        $scope.nearStoreGoodsParam.cityCode = Global.User.Store.cityCode;
      }
      if (Global.User.Store.areaCode !== undefined && Global.User.Store.areaCode !== "") {
        $scope.nearStoreGoodsParam.areaCode = Global.User.Store.areaCode;
      }
      //获取附近的人进了什么商品
      OrderServ.getNearStoreGoods($scope.nearStoreGoodsParam).success(function (ret) {
        if (ret.code == '0') {
          $scope.nearStoreGoods = ret.data;
          angular.forEach($scope.nearStoreGoods, function (item) {
            item.qty = 0;
            item.qty1 = item.itemSize;
          });
        } else {
          Global.popup.showToast("获取商品列表失败！" + ret.message);
        }
      }).error(function (data) {
        Global.popup.showToast("获取商品列表失败！" + data.message);
      });
    };

    $scope.$on("$ionicView.enter", function (scopes, states) {
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.searchShoppingCart(function (data) {
          if (data.length > 0) {
            $scope.vm.lessQtyItemInfo.isShow = true;
          }
        });
        $scope.emptyToken = false;
      } else {
        $scope.emptyToken = true;
        $scope.emptyShoppingCart = true;
      }
    });

    $scope.$on("$ionicView.beforeEnter", function (scopes, states) {
      if ($scope.isFromLoginSalesManBySupplier) {
        $rootScope.hideTabs = true;
      }
    });

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, delivType) {
      $state.go('tab-goods-detail', {
        itCode: itCode,
        splCode: splCode,
        spAreaCode: Global.User.Store.spAreaCode,
        delivType: delivType
      });
      $ionicViewSwitcher.nextDirection("forward");
    };

    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      GoodsDetailServ.changeQty1(opt, item);
    };
    //加一或减一(报货单专用)
    $scope.changeQty = function (opt, item) {
      //由于changeQty1方法改的是qty1，所以暂时把qty的值放到qty1里面去进行比较
      item.qty1 = item.qty;
      if (GoodsDetailServ.changeQty1(opt, item)) {
        item.qty1 = opt == '-' ? -1 * (item.itemSize) : 1 * (item.itemSize);
        GoodsDetailServ.addShoppingCart(item, $scope, $scope.searchShoppingCart);
        item.checked = true;
        //loadShoppingCart(item);
      }
    };
    //加入报货单
    $scope.addShoppingCart = function (item) {
      if (item.qty + item.qty1 > item.realtimeStockCount) {//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      GoodsDetailServ.addShoppingCart(item, $scope);
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel, $scope);
    }

    $scope.currentDelPk = '';
    //删除报货单
    $scope.deleteItem = function (id) {
      $scope.currentDelPk = id;
      Global.popup.confirm("确定要移出报货单吗？", function () {
        OrderServ.deleteItem(id).success(function (data) {
          if (data.code === 0) {
            Global.popup.showToast("移出报货单成功！");
            $scope.searchShoppingCart();

          } else {
            Global.popup.showToast("移出报货单失败！" + data.message);
          }
        }).error(function (data) {
          Global.popup.showToast("移出报货单失败！");
        });
      }, function () {
        $scope.currentDelPk = '';
      });
    };
    //放入收藏夹部分
    $scope.addFavoritesParam = {
      itCode: ""
    };
    $scope.addFavorites = function (itcode) {
      $scope.addFavoritesParam.itCode = itcode;
      OrderServ.addFavorites($scope.addFavoritesParam).success(function (data) {
        if (data.code === 0) {
          Global.popup.showToast("放入收藏夹成功！");
          //$state.go('tab.order');
        } else {
          Global.popup.showToast("放入收藏夹失败！" + data.message);
        }
      }).error(function (data) {
        Global.popup.showToast("放入收藏夹失败！");
      });
    };

    //修改报货单数量
    $scope.shoppingCartQtyModel = {
      shoppingCarQty: 0,
      index: 0
    };
    //初始化页脚的数据
    GoodsDetailServ.initFootBar($scope);
    $scope.updateShoppingCarQty0 = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty', $scope, $scope.searchShoppingCart);
    };
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty1', $scope);
    };

    //跳转至供应商商品页面
    $scope.goSupplierItem = function (splCode) {
      var params = {};
      if (splCode === '') {
        params = JSON.stringify({delivType: '1'});
      } else {
        params = JSON.stringify({splCode: splCode, delivType: '2'});
      }
      $state.go('tab-search-results', {params: params});
    };
    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //便利宝叫货-批量订单
    $scope.wqblbUserBatchOrder = {
      currentWqblbOrder: {},
      data: [],
      count: 0,
      qty: 0,
      allQty: 0,
      amount: 0,
      allAmount: 0,
      profits: 0,
      allProfits: 0,
      deliveryFee: 0,
      allDeliveryFee: 0,
      lessMoney: 0,
      checked: true,
      isHide: false,
      hideWqblbUserBatchOrder: function () {
        $scope.wqblbUserBatchOrder.isHide = !$scope.wqblbUserBatchOrder.isHide;
      },
      getWqblbUserBatchOrderData: function () {
        salesInvoiceServ.getUserWxOrderList({type: '2', status: '2', isRealTime: '1'}).success(function (ret) {
          if (ret.code === 0) {
            $scope.wqblbUserBatchOrder.data = ret.data;
            var qty = 0, amount = 0, profits = 0, deliveryFee = 0, count = 0, status = true;
            $scope.wqblbUserBatchOrder.allQty = 0;
            $scope.wqblbUserBatchOrder.allAmount = 0;
            $scope.wqblbUserBatchOrder.allProfits = 0;
            $scope.wqblbUserBatchOrder.allDeliveryFee = 0;
            angular.forEach($scope.wqblbUserBatchOrder.data, function (detail) {
              if (detail.unSalesItcodes && detail.unSalesItcodes !== '') {
                if (detail.isSel == '1') {//如果存在已经下架的商品则取消选中
                  detail.isSel = '0';
                  salesInvoiceServ.selectUserWxOrder(detail.no, '0');
                }
                detail.isUnSales = true;
                detail.detailCount = detail.detailCount - detail.unSalesItcodes.split(',').length;
              }
              detail.checked = detail.isSel == '1' ? true : false;
              status = status && detail.checked;
              if (detail.checked) {
                count++;
                qty += detail.detailCount;
                amount += detail.platformAmount;
                profits += detail.storeProfit;
                deliveryFee += detail.deliveryFee;
              }
              $scope.wqblbUserBatchOrder.allQty += detail.detailCount;
              $scope.wqblbUserBatchOrder.allAmount += detail.platformAmount;
              $scope.wqblbUserBatchOrder.allProfits += detail.storeProfit;
              $scope.wqblbUserBatchOrder.allDeliveryFee += detail.deliveryFee;
            });
            $scope.wqblbUserBatchOrder.checked = status;
            $scope.wqblbUserBatchOrder.count = count;
            $scope.wqblbUserBatchOrder.qty = qty;
            $scope.wqblbUserBatchOrder.amount = amount;
            $scope.wqblbUserBatchOrder.profits = profits;
            $scope.wqblbUserBatchOrder.deliveryFee = deliveryFee;
            $scope.wqblbUserBatchOrder.lessMoney = $scope.shoppingCartModel.minOrderAmount - $scope.wqblbUserBatchOrder.amount;
            setCanSubmit();
            if (ret.records === 0 && $scope.shoppingCartModel.records === 0) {
              $scope.emptyShoppingCart = true;
              $scope.initNearStoreGoods();
            } else {
              $scope.emptyShoppingCart = false;
            }
          }
        });
      },
      goWqblbUserBatchOrderPage: function (wsino, unSalesItcodes) {
        $state.go('userWxOrderDetail', {wsino: wsino, unSalesItcodes: unSalesItcodes, from: '1'});
        $ionicViewSwitcher.nextDirection("forward");
      },
      cancelUserWxOrder: function (wsino) {
        $scope.eventStopPropagation();
        Global.popup.confirm("确定要取消该条批量订单(单号:" + wsino + ")吗？", function () {
          salesInvoiceServ.cancelUserWxOrder(wsino).success(function (ret) {
            if (ret.code === 0) {
              $scope.wqblbUserBatchOrder.getWqblbUserBatchOrderData();
            }
          });
        }, function () {
          // todo
        });
      },
      selectUserWxOrder: function (detail) {
        if (!detail) {//全选
          var money = 0, profits = 0, deliveryFee = 0, wsinos = [];
          angular.forEach($scope.wqblbUserBatchOrder.data, function (item) {
            item.checked = $scope.wqblbUserBatchOrder.checked;
            wsinos.push(item.no);
          });
          salesInvoiceServ.selectUserWxOrder(wsinos.join(','), $scope.wqblbUserBatchOrder.checked ? '1' : '0');
          if (!$scope.wqblbUserBatchOrder.checked) {
            $scope.wqblbUserBatchOrder.count = 0;
            $scope.wqblbUserBatchOrder.qty = 0;
            $scope.wqblbUserBatchOrder.amount = 0;
            $scope.wqblbUserBatchOrder.profits = 0;
            $scope.wqblbUserBatchOrder.deliveryFee = 0;
            $scope.wqblbUserBatchOrder.lessMoney = $scope.shoppingCartModel.minOrderAmount - $scope.wqblbUserBatchOrder.amount;
          } else {
            $scope.wqblbUserBatchOrder.count = $scope.wqblbUserBatchOrder.data.length;
            $scope.wqblbUserBatchOrder.qty = $scope.wqblbUserBatchOrder.allQty;
            $scope.wqblbUserBatchOrder.amount = $scope.wqblbUserBatchOrder.allAmount;
            $scope.wqblbUserBatchOrder.profits = $scope.wqblbUserBatchOrder.allProfits;
            $scope.wqblbUserBatchOrder.deliveryFee = $scope.wqblbUserBatchOrder.allDeliveryFee;
            $scope.wqblbUserBatchOrder.lessMoney = $scope.shoppingCartModel.minOrderAmount - $scope.wqblbUserBatchOrder.amount;
          }
        } else {
          salesInvoiceServ.selectUserWxOrder(detail.no, detail.checked ? '1' : '0');
          if (!detail.checked) {
            $scope.wqblbUserBatchOrder.checked = false;
            $scope.wqblbUserBatchOrder.count -= 1;
            $scope.wqblbUserBatchOrder.qty -= detail.detailCount;
            $scope.wqblbUserBatchOrder.amount -= detail.platformAmount;
            $scope.wqblbUserBatchOrder.profits -= detail.storeProfit;
            $scope.wqblbUserBatchOrder.deliveryFee -= detail.deliveryFee;
            $scope.wqblbUserBatchOrder.lessMoney = $scope.shoppingCartModel.minOrderAmount - $scope.wqblbUserBatchOrder.amount;
          } else {
            var status = true;
            angular.forEach($scope.wqblbUserBatchOrder.data, function (item) {
              if (!item.checked) {
                status = false;
                return;
              }
            });
            $scope.wqblbUserBatchOrder.checked = status;
            $scope.wqblbUserBatchOrder.count += 1;
            $scope.wqblbUserBatchOrder.qty += detail.detailCount;
            $scope.wqblbUserBatchOrder.amount += detail.platformAmount;
            $scope.wqblbUserBatchOrder.profits += detail.storeProfit;
            $scope.wqblbUserBatchOrder.deliveryFee += detail.deliveryFee;
            $scope.wqblbUserBatchOrder.lessMoney = $scope.shoppingCartModel.minOrderAmount - $scope.wqblbUserBatchOrder.amount;
          }
        }
        //判断是否可提交
        setCanSubmit();
      }
    };
    //事件不冒泡触发
    $scope.eventStopPropagation = function () {
      event.stopPropagation();
    };

    //到货通知
    $scope.addArrivalNotice = function (item) {
      GoodsDetailServ.addArrivalNotice(item, $scope);
    };

    //四舍五入转换
    $scope.parseFloat = function (number) {
      return parseFloat(Number(number).toFixed(2));
    };

    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if (item.delivType != '1') {
        return;
      }
      GoodsDetailServ.changeItemSupplier(item, $scope);
    };

    //选择推荐包
    $scope.goItemRecommendPackage = function () {
      $state.go('itemRecommendPackage');
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  .controller('salesInvoiceCtrl', ['$scope', '$state', '$stateParams', '$ionicViewSwitcher', 'salesInvoiceServ', 'OrderServ', 'Global', function ($scope, $state, $stateParams, $ionicViewSwitcher, salesInvoiceServ, OrderServ, Global) {
    $scope.isFromLoginSalesManBySupplier = Global.User.fromType && Global.User.fromType == '2' && Global.User.fromLoginSalesManBySupplier && Global.User.fromLoginSalesManBySupplier == '2' ? true : false;
    $scope.goToHome = function () {
      if ($scope.isFromLoginSalesManBySupplier) {
        $state.go('tab-supplier-info', {splCode: Global.User.fromSplCode});
      } else {
        $state.go('tab.first');
      }
    };
    $scope.currentNo = []; //当前的销售订单号
    $scope.salesInvoiceModel = []; //当前订单详情
    if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {//来自订单修改
      $scope.currentNo = $stateParams.siNo;
      salesInvoiceServ.getSalesInvoiceDetailList($scope.currentNo).success(function (ret) {
        if (ret.code === 0) {
          $scope.salesInvoiceModel.push(ret.data);
        }
      }).error(function (err) {
        Global.popup.alert("获取不到订单详情！");
      });
    } else {//来自订单提交
      $scope.salesInvoiceModel = OrderServ.shoppingCartSumbitDetail;
    }

    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  .controller('OrderConfirmCtrl', ['$ionicPopup', '$scope', '$state', '$stateParams', '$ionicHistory', '$ionicActionSheet', '$timeout', '$ionicLoading', 'OrderServ', 'Global', 'myOrderServ', 'MyServ', '$sce', '$interval', function ($ionicPopup, $scope, $state, $stateParams, $ionicHistory, $ionicActionSheet, $timeout, $ionicLoading, OrderServ, Global, myOrderServ, MyServ, $sce, $interval) {
    //支付方式选择
    $scope.payTypeList = [];
    if (Global.User.Store.payType) {
      angular.forEach(Global.User.Store.payType.split(','), function (v) {
        if (v == '1') {
          $scope.payTypeList.push({code: 1, descr: '货到付款'});
        } else if (v == '2') {
          $scope.payTypeList.push({code: 2, descr: '在线支付'});
        }
      });
    }
    if ($scope.payTypeList.length === 0) {
      $scope.payTypeList = $scope.payTypeList.concat([{code: 1, descr: '货到付款'}, {code: 2, descr: '在线支付'}]);
    }

    $scope.editFlag = $stateParams.from == '1' ? true : false;//判断操作来源 1:来自于订单修改
    $scope.goBack = function () {
      Global.utils.goBack();
      OrderServ.selectCouponIds.selected = false;
      OrderServ.selectCouponIds.couponIds = [];
    };
    $scope.shoppingCartModel = {
      sumCost: 0,
      salesDeliveryFee: 0,
      remarks: '' // 买家留言信息
    };
    // 买家留言信息
    if ($scope.editFlag) {
      $scope.shoppingCartModel.remarks = myOrderServ.changeOrdersReq.changeOrdersParam.remarks;
    }
    //订单总价
    if ($stateParams.sumCost !== undefined && $stateParams.sumCost !== "") {
      $scope.shoppingCartModel.sumCost = parseFloat($stateParams.sumCost);
    }
    //订单编号
    if ($stateParams.sino !== undefined && $stateParams.sino !== "") {
      $scope.shoppingCartModel.sino = $stateParams.sino;
    }
    //付款方式
    if ($stateParams.payType !== undefined && $stateParams.payType !== "") {
      $scope.shoppingCartModel.payType = $stateParams.payType;
      $scope.payType = parseInt($stateParams.payType);
      if ($scope.shoppingCartModel.payType == '1') {
        $scope.shoppingCartModel.payTypeDescr = '货到付款';
      } else if ($scope.shoppingCartModel.payType == '2') {
        $scope.shoppingCartModel.payTypeDescr = '在线支付';
      }
    }
    //付款金额
    if ($stateParams.payAmount !== undefined && $stateParams.payAmount !== "") {
      $scope.shoppingCartModel.payAmount = parseFloat($stateParams.payAmount);
    }
    //如果存在商家配送的订单则提示支付方式信息
    if ((OrderServ.selectSplCodes.length >= 2 || OrderServ.selectSplCodes.indexOf('blb_platform') < 0) && !$scope.editFlag) {
      $scope.isShowPayTypeRemark = true;
    }

    //配送费
    if ($stateParams.salesDeliveryFee !== undefined && $stateParams.salesDeliveryFee !== "") {
      $scope.shoppingCartModel.salesDeliveryFee = parseFloat($stateParams.salesDeliveryFee);
    }

    //判断是否能够选择付款类型
    if ($scope.shoppingCartModel.payType) {
      $scope.noChangePayType = true;
    } else {
      //默认支付方式
      if (OrderServ.selectPay.payType && Global.User.Store.payType.indexOf(OrderServ.selectPay.payType) > -1) {
        $scope.payType = OrderServ.selectPay.payType;
      } else {
        $scope.payType = $scope.payTypeList[0].code;
        OrderServ.selectPay.payType = $scope.payTypeList[0].code;
      }
    }

    $scope.onlinePayType = OrderServ.selectPay.onlinePayType || '';
    $scope.selectOnlinePayType = function (payType, canSubmit) {
      $scope.payType = payType;
      OrderServ.selectPay.payType = $scope.payType;
      if (payType != 2) {
        $scope.onlinePayType = '';
        OrderServ.selectPay.onlinePayType = '';
        return;
      }
      var hideSheet = $ionicActionSheet.show({
        buttons: [
          {text: '<i class="ionicActionSheet-icon ionicActionSheet-icon-money"></i>余额支付'},
          {text: '<i class="ionicActionSheet-icon ionicActionSheet-icon-weixin"></i>微信支付'}
        ],
        titleText: '选择付款方式',
        buttonClicked: function (index) {
          $scope.onlinePayType = index + 1;
          OrderServ.selectPay.onlinePayType = $scope.onlinePayType;
          if (canSubmit) {
            $scope.doOrderCommit();
          }
          return true;
        }
      });
    };

    $scope.store = {};
    $scope.store = Global.User.Store;
    $scope.expectArriveDate = "";
    //获取结算页预计时间
    OrderServ.getExpectArriveDate().success(function (ret) {
      if (ret.code == '0') {
        $scope.expectArriveDate = ret.data.expectDate;
      } else {
        Global.popup.showToast("获取不到预计送达时间！");
      }
    }).error(function (data) {
      Global.popup.showToast("获取不到预计送达时间！");
    });

    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;

    //提交订单操作
    $scope.isPaying = false; // 是否支付中
    $scope.doOrderCommit = function () {
      if ($scope.editFlag) {//修改提交
        $scope.lastPayAmount = (($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount) - ($scope.totalFund + $scope.shoppingCartModel.payAmount)).toFixed(2);
        if ($scope.payType == 2 && $scope.lastPayAmount > 0) {//在线支付并且余额不足需要先充值再提交订单
          //如果是业务员下单，使用在线支付 如果是微信支付、余额支付并且金额不足则提示无法下单
          if ($scope.isFromLoginSalesMan) {
            Global.popup.showToast('业务员无法完成下单操作，站点账户资金余额不足！');
            return;
          }
          Global.popup.confirm('当前账户余额不足，还差<span style="color: red;">¥' + $scope.lastPayAmount + '</span>,是否先微信充值？', function () {
            $scope.onlinePay($scope.lastPayAmount);
          }, function () {
          });
        } else {
          var pks = [];
          angular.forEach(OrderServ.selectCouponIds.couponIds, function (detail) {
            pks.push(detail.pk);
          });
          var params = myOrderServ.changeOrdersReq.changeOrdersParam;
          params.couponIds = pks;
          params.remarks = $scope.shoppingCartModel.remarks;
          myOrderServ.changeSalesInvoice(myOrderServ.changeOrdersReq.sino, params).success(function (ret) {
            if (ret.code == '0') {
              $state.go('tab-success-order', {siNo: myOrderServ.changeOrdersReq.sino});
              OrderServ.selectCouponIds.selected = false;
              OrderServ.selectCouponIds.couponIds = [];//清空卡券集
              OrderServ.selectPay.payType = '';
              OrderServ.selectPay.onlinePayType = '';
              myOrderServ.changeOrdersReq.sino = '';
              myOrderServ.changeOrdersReq.changeOrdersParam = {};
            } else {
              Global.popup.alert("修改订单失败！" + ret.message);
            }
          }).error(function (data) {
            Global.popup.alert("修改订单失败！");
          });
        }
      } else {//新增提交
        if (Global.User.Store.isverify == '1') {
          //如果是在线支付必须选择支付类型
          if ($scope.payType == 2 && !$scope.onlinePayType) {
            $scope.selectOnlinePayType($scope.payType, true);
            return;
          }
          if ($scope.payType == 2 && $scope.onlinePayType == 2) {//在线支付并且微信支付
            //如果是业务员下单，使用在线支付 如果是微信支付、余额支付并且金额不足则提示无法下单
            if ($scope.isFromLoginSalesMan) {
              Global.popup.showToast('业务员无法完成下单操作，不能替站点进行微信支付操作！');
              return;
            }
            $scope.onlinePay(($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount).toFixed(2));
          } else if ($scope.payType == 2 && $scope.onlinePayType == 1) {//在线支付并且余额支付
            if ($scope.totalFund < ($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount).toFixed(2)) {
              //如果是业务员下单，使用在线支付 如果是微信支付、余额支付并且金额不足则提示无法下单
              if ($scope.isFromLoginSalesMan) {
                Global.popup.showToast('业务员无法完成下单操作，站点账户资金余额不足！');
                return;
              }
              Global.popup.confirm('当前账户余额不足，还差<span style="color: red;">¥' + ($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount - $scope.totalFund).toFixed(2) + '</span>,是否先微信充值？', function () {
                $scope.onlinePay(($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount - $scope.totalFund).toFixed(2));
              }, function () {
              });
            } else {
              $scope.shoppingCartSubmit();
            }
          } else {
            $scope.shoppingCartSubmit();
          }
        } else {
          Global.popup.alert("您的账户未认证，请联系客服进行认证后下单！");
        }
      }
    };

    //在线支付
    $scope.onlinePay = function (money) {
      if (!window.cordova) {
        if (navigator.userAgent.toLowerCase().match(/MicroMessenger/i) == "micromessenger") { //调用微信公众号充值接口
          MyServ.rechargeByPayWx(money).success(function (ret) {
            if (ret.code === 0) {
              // 定时轮询状态
              $scope.interval = $interval(function () {
                if (!$scope.isRechargeSuccess) {
                  MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
                    if (ret.data && ret.data.status == '00') {
                      $scope.isRechargeSuccess = true;
                      $interval.cancel($scope.interval);
                      $scope.shoppingCartSubmit();
                    }
                  });
                }
              }, 3000, 100);
              // 调起微信支付
              wxUtil.chooseWXPay({
                timestamp: ret.prePayResult.timeStamp,
                nonceStr: ret.prePayResult.nonceStr,
                package: 'prepay_id=' + ret.prePayResult.prepayId,
                signType: ret.prePayResult.signType,
                paySign: ret.prePayResult.paySign
              }, function (res) {
                if ($scope.interval) {
                  $interval.cancel($scope.interval);
                }
                $ionicLoading.show({template: "订单提交处理中...", duration: 5000});
                $timeout(function () {
                  if (!$scope.isRechargeSuccess) {
                    MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
                      $ionicLoading.hide();
                      if (ret.data && ret.data.status == '00') {
                        $scope.isRechargeSuccess = true;
                        $scope.shoppingCartSubmit();
                      } else if (ret.data && ret.data.status == '02') {
                        Global.popup.alert('微信支付暂未到账，请稍侯再去提交订单！（说明：如果金额还未到账可能是网络延时，可稍后刷新查看账户余额。）');
                      } else {
                        Global.popup.alert('微信支付失败，请重新提交支付！');
                      }
                    }).error(function (err) {
                      Global.popup.alert('订单暂时无法提交，请稍侯再提交订单！');
                    });
                  }
                }, 2000);
              }, function (err) {
                Global.popup.alert('订单暂时无法提交，请稍侯再提交订单！');
              });
            } else {
              Global.popup.showToast('请求微信充值接口参数失败，请稍侯再去充值！');
            }
          }).error(function (err) {
            Global.popup.showToast(err);
          });
        } else { //调用H5支付
          MyServ.rechargeByPayH5(money).success(function (ret) {
            if (ret.code === 0) {
              if (ret.prePayResult.mwebUrl) {
                $scope.h5PayUrl = $sce.trustAsResourceUrl(ret.prePayResult.mwebUrl);
                $scope.interval = $interval(function () {
                  MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
                    if (ret.data && ret.data.status == '00') {
                      $interval.cancel($scope.interval);
                      $scope.shoppingCartSubmit();
                    }
                  });
                }, 2000, 90);
              }
            } else {
              Global.popup.showToast('请求H5支付接口参数失败，请稍侯再去支付！');
            }
          }).error(function (err) {
            Global.popup.showToast(err);
          });
        }
      } else {//调用微信App充值接口
        MyServ.rechargeByPayApp(money).success(function (ret) {
          if (ret.code === 0) {
            Wechat.isInstalled(function (installed) {
              if (!installed) {//判断是否安装微信
                Global.popup.showToast('请安装微信应用程序！');
              } else {
                // 定时轮询状态
                $scope.interval = $interval(function () {
                  if (!$scope.isRechargeSuccess) {
                    MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
                      if (ret.data && ret.data.status == '00') {
                        $scope.isRechargeSuccess = true;
                        $interval.cancel($scope.interval);
                        $scope.shoppingCartSubmit();
                      }
                    });
                  }
                }, 3000, 100);
                // 调起微信支付
                Wechat.sendPaymentRequest({
                  partnerid: ret.prePayResult.mchId, // merchant id
                  prepayid: ret.prePayResult.prepayId, // prepay id
                  noncestr: ret.prePayResult.nonceStr, // nonce
                  timestamp: ret.prePayResult.timeStamp, // timestamp
                  sign: ret.prePayResult.paySign // signed string
                }, function () {
                  if ($scope.interval) {
                    $interval.cancel($scope.interval);
                  }
                  $ionicLoading.show({template: "订单提交处理中...", duration: 5000});
                  $timeout(function () {
                    if (!$scope.isRechargeSuccess) {
                      MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
                        $ionicLoading.hide();
                        if (ret.data && ret.data.status == '00') {
                          $scope.isRechargeSuccess = true;
                          $scope.shoppingCartSubmit();
                        } else if (ret.data && ret.data.status == '02') {
                          Global.popup.alert('微信支付暂未到账，请稍侯再去提交订单！（说明：如果金额还未到账可能是网络延时，可稍后刷新查看账户余额。）');
                        } else {
                          Global.popup.alert('微信支付失败，请重新提交支付！');
                        }
                      }).error(function (err) {
                        Global.popup.alert('订单暂时无法提交，请稍侯再提交订单！');
                      });
                    }
                  }, 2000);
                }, function (reason) {
                  Global.popup.showToast('微信支付失败，请稍侯再去支付！原因：' + reason);
                });
              }
            });
          } else {
            Global.popup.showToast('请求App微信支付接口参数失败，请稍侯再去支付！');
          }
        }).error(function (err) {
          Global.popup.showToast(err);
        });
      }
    };
    //提交购物车
    $scope.shoppingCartSubmit = function () {
      var pks = [];
      angular.forEach(OrderServ.selectCouponIds.couponIds, function (detail) {
        pks.push(detail.pk);
      });
      OrderServ.shoppingCartSubmit(pks, OrderServ.selectSplCodes, $scope.payType, $scope.shoppingCartModel.remarks).success(function (ret) {
        if (ret.code === 0) {
          $state.go('tab-success-order', {siNo: ''});
          OrderServ.shoppingCartSumbitDetail = ret.data;
          OrderServ.selectCouponIds.selected = false;
          OrderServ.selectCouponIds.couponIds = [];//清空卡券集
          OrderServ.selectSplCodes = [];//清空结算供应商
          OrderServ.selectPay.payType = '';
          OrderServ.selectPay.onlinePayType = '';
        } else {
          $ionicPopup.alert({
            title: '提示信息',
            template: "提交报货单失败！" + ret.message,
            okText: "去修改"
          }).then(function (res) {
            $state.go('tab.order');
          });
        }
      }).error(function (err) {
        Global.popup.alert("提交报货单失败！");
      });
    };
    //提交订单
    $scope.orderCommit = function () {
      if ($scope.usedCouponsAmount > ($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee)) {
        Global.popup.alert('您选中使用的卡券总金额大于订单总金额，请重新选取卡券！');
        return;
      }
      if ($scope.canUsedCouponsCount > 0 && $scope.usedCouponsCount === 0) {
        Global.popup.confirm('您有<span style="color: red;">' + $scope.canUsedCouponsCount + '</span>张可用卡券，是否去使用？', function () {
          $scope.useCoupons();
        }, function () {
          $scope.doOrderCommit();
        });
      } else {
        $scope.doOrderCommit();
      }
    };
    //选择使用卡券
    $scope.useCoupons = function () {
      $state.go('useCoupons', {
        spAreaCode: $scope.store.spAreaCode.trim(),
        storeCode: $scope.store.code.trim(),
        sino: $scope.shoppingCartModel.sino || myOrderServ.changeOrdersReq.sino || '',
        editFlag: $scope.editFlag
      });
    };

    $scope.canUsedCouponsCount = 0;
    $scope.usedCouponsCount = 0;
    $scope.usedCouponsAmount = 0;
    OrderServ.getStoreAvailableCoupon($scope.store.spAreaCode.trim(), $scope.store.code.trim(), $scope.shoppingCartModel.sino || myOrderServ.changeOrdersReq.sino || '', ($scope.editFlag ? 'true' : 'false'), myOrderServ.changeOrdersReq.changeOrdersParam, OrderServ.selectSplCodes).success(function (ret) {
      if (ret.code === 0 && ret.data) {
        if (OrderServ.selectCouponIds.selected == 'fromCoupon') { // 来自于卡券选择
          $scope.usedCouponsCount = OrderServ.selectCouponIds.couponIds.length;
          angular.forEach(OrderServ.selectCouponIds.couponIds, function (detail) {
            $scope.usedCouponsAmount += detail.coupon.amount;
          });
          $scope.canUsedCouponsCount = ret.data.length - $scope.usedCouponsCount;
        } else if (OrderServ.selectCouponIds.selected == 'fromOrder') { // 来自于订单提交
          OrderServ.selectCouponIds.couponIds = ret.data;
          $scope.usedCouponsCount = OrderServ.selectCouponIds.couponIds.length;
          angular.forEach(OrderServ.selectCouponIds.couponIds, function (detail) {
            $scope.usedCouponsAmount += detail.coupon.amount;
          });
        }
      }
    });

    //加载账户余额
    $scope.gettotalFund = function () {
      $scope.startSpinner = true;
      MyServ.getAccountFund().success(function (ret) {
        if (ret.code == '0') {
          $scope.totalFund = ret.data;
          if ($scope.editFlag) {
            $scope.lastPayAmount = (($scope.shoppingCartModel.sumCost + $scope.shoppingCartModel.salesDeliveryFee - $scope.usedCouponsAmount) - ($scope.totalFund + $scope.shoppingCartModel.payAmount)).toFixed(2);
          }
        } else {
          Global.popup.alert('加载当前余额失败！');
        }
        $timeout(function () {
          $scope.startSpinner = false;
        }, 2000);
      }).error(function () {
        $scope.startSpinner = false;
      });
    };
    $scope.gettotalFund();

    //四舍五入转换
    $scope.parseNumber = function (number) {
      return parseFloat(Number(number).toFixed(2));
    };
    $scope.$on('$ionicView.leave', function () {
      if ($scope.interval) {
        $interval.cancel($scope.interval);
      }
    });
  }])
  //选择使用卡券
  .controller('UseCouponsCtrl', ['$scope', '$state', '$stateParams', 'OrderServ', 'Global', '$ionicHistory', 'myOrderServ', function ($scope, $state, $stateParams, OrderServ, Global, $ionicHistory, myOrderServ) {
    //订单来源  editFlag：true 来自于修改，false来自于新增
    $scope.editFlag = $stateParams.editFlag;

    $scope.goBack = function () {
      OrderServ.selectCouponIds.selected = 'fromCoupon';
      OrderServ.selectCouponIds.couponIds = [];
      angular.forEach($scope.useCouponsList, function (detail, index, array) {
        if (detail.checked) {
          OrderServ.selectCouponIds.couponIds.push(detail);
        }
      });
      Global.utils.goBack();
    };

    //进入重新获取卡券列表
    $scope.$on('$ionicView.beforeEnter', function (scopes, states) {
      $scope.getUseCoupons();
    });

    //查询可用的卡券列表
    $scope.getUseCoupons = function () {
      OrderServ.getStoreAvailableCoupon($stateParams.spAreaCode, $stateParams.storeCode, $stateParams.sino, $scope.editFlag, myOrderServ.changeOrdersReq.changeOrdersParam, OrderServ.selectSplCodes).success(function (ret) {
        if (ret.code === 0) {
          $scope.useCouponsList = ret.data;
          angular.forEach(OrderServ.selectCouponIds.couponIds, function (couponId) {
            angular.forEach($scope.useCouponsList, function (detail) {
              if (couponId.pk == detail.pk) {
                detail.checked = true;
                return;
              }
            });
          });
        }
      });
    };

    //选择卡券
    $scope.selectCoupons = function (index) {
      $scope.useCouponsList[index].checked = !$scope.useCouponsList[index].checked;
    };

    $scope.selectAll = false;
    //选择所有的卡券
    $scope.selectAllCoupons = function () {
      angular.forEach($scope.useCouponsList, function (detail, index, array) {
        detail.checked = true;
      });
      $scope.selectAll = true;
    };
    //取消选中所有的卡券
    $scope.unSelectAllCoupons = function () {
      angular.forEach($scope.useCouponsList, function (detail, index, array) {
        detail.checked = false;
      });
      $scope.selectAll = false;
    };
  }])
  //便利宝叫货订单
  .controller('UserWxOrderCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', '$ionicScrollDelegate', '$ionicViewSwitcher', '$timeout', 'Global', 'salesInvoiceServ', function ($scope, $state, $stateParams, $ionicHistory, $ionicScrollDelegate, $ionicViewSwitcher, $timeout, Global, salesInvoiceServ) {
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection('back');
      } else {
        $state.go('tab.my');
      }
      $scope.orders.mustRefresh = true;
    };
    $scope.currentTab = '0';
    $scope.changeTab = function (selectTab) {
      $scope.currentTab = selectTab;
      if (selectTab == '0') {
        $scope.orders.params.status = '1,2,3,4,5,6,7,8';
      } else if (selectTab == '1') {
        $scope.orders.params.status = '1,2,3,6,7,8';
      } else {
        $scope.orders.params.status = selectTab;
      }
      $scope.orders.init();
    };
    $scope.orders = {
      params: {
        page: 1,
        rows: 6,
        status: '1,2,3,4,5,6,7,8',
        type: $stateParams.type || ''
      },
      moredata: false,
      hasdata: true,
      data: [],
      mustRefresh: false,
      init: function () {
        $scope.orders.params.page = 1;
        $scope.orders.moredata = false;
        $scope.orders.data = [];
        $ionicScrollDelegate.scrollTop();
      },
      loadData: function (type) {
        salesInvoiceServ.getUserWxOrderList($scope.orders.params).success(function (ret) {
          if (ret.code == '0') {
            if (type == 'doRefresh') {
              $scope.orders.data = ret.data;
            } else {
              $scope.orders.data = $scope.orders.data.concat(ret.data);
            }
            if (ret.total === 0 || ret.total <= $scope.orders.params.page) {
              $scope.orders.moredata = true;
              $scope.orders.hasdata = false;
            } else {
              $scope.orders.moredata = false;
              $scope.orders.hasdata = true;
            }
            $scope.orders.params.page += 1;
          }
          if (type == "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function (ret) {
          $scope.orders.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
      },
      doRefresh: function () {
        $timeout(function () {
          $scope.orders.params.page = 1;
          $scope.orders.loadData("doRefresh");
        }, 300);
      },
      loadMore: function () {
        $timeout(function () {
          $scope.orders.loadData("loadMore");
        }, 300);
      }
    };
    //确认订单
    $scope.confirmOrder = function (wsino) {
      Global.popup.confirm('确定要接收该订单吗?', function () {
        salesInvoiceServ.confirmUserWxOrder(wsino).success(function (ret) {
          if (ret.code === 0) {
            $scope.orders.init();
          }
        }).error(function (ret) {
          Global.popup.alert("出错了" + ret.message);
        });
      }, function () {
        //todo
      });
    };
    //结束订单
    $scope.completeOrder = function (wsino) {
      Global.popup.confirm('确定要结束该订单吗?', function () {
        salesInvoiceServ.completeUserWxOrder(wsino).success(function (ret) {
          if (ret.code === 0) {
            $scope.orders.init();
          }
        }).error(function (ret) {
          Global.popup.alert("出错了" + ret.message);
        });
      }, function () {
        //todo
      });
    };
    //取消订单
    $scope.cancelOrder = function (wsino) {
      Global.popup.confirm('确定要取消该订单吗?', function () {
        salesInvoiceServ.cancelUserWxOrder(wsino).success(function (ret) {
          if (ret.code === 0) {
            $scope.orders.init();
          }
        }).error(function (ret) {
          Global.popup.alert("出错了" + ret.message);
        });
      }, function () {
        //todo
      });
    };
    //查看订单明细
    $scope.goToOrderDetail = function (wsino) {
      $scope.orders.mustRefresh = false;
      $state.go("userWxOrderDetail", {wsino: wsino});
      $ionicViewSwitcher.nextDirection('forward');
    };
    //事件不冒泡触发
    $scope.eventStopPropagation = function () {
      event.stopPropagation();
    };
    $scope.$on('$ionicView.enter', function () {
      if ($scope.orders.mustRefresh) {
        $scope.orders.init();
        $scope.orders.mustRefresh = false;
      }
    });
  }])
  //便利宝叫货订单详情
  .controller('UserWxOrderDetailCtrl', ['$scope', '$state', '$ionicHistory', '$ionicViewSwitcher', '$stateParams', '$interval', 'Global', 'salesInvoiceServ', function ($scope, $state, $ionicHistory, $ionicViewSwitcher, $stateParams, $interval, Global, salesInvoiceServ) {
    $scope.isShowMask = ($stateParams.from && $stateParams.from == '1') ? true : false;
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection('back');
    };
    //获取订单详情
    $scope.order = {};
    $scope.isUnSales = ($stateParams.unSalesItcodes && $stateParams.unSalesItcodes !== '');
    $scope.getOrderDetail = function () {
      salesInvoiceServ.getUserWxOrderDetail($stateParams.wsino, $stateParams.from).success(function (ret) {
        if (ret.code === 0) {
          $scope.order = ret.data;
          $scope.order.unSalesAmount = 0;
          angular.forEach($scope.order.wechatSalesInvoiceDetails, function (detail) {
            if ($stateParams.unSalesItcodes && $stateParams.unSalesItcodes !== '') {
              if ((',' + $stateParams.unSalesItcodes).indexOf(',' + detail.itcode.trim()) > -1) {
                detail.isUnSales = true;
                $scope.order.unSalesAmount += detail.lineAmount;
              }
            }
          });
        }
      }).error(function (ret) {
        Global.popup.showToast('获取订单信息出错了');
      });
    };
    $scope.$on('$ionicView.enter', function () {
      $scope.getOrderDetail();
    });
    //移除已下架未在销售商品
    $scope.removeItem = function (itcode) {
      Global.popup.confirm('确定要移除该商品吗?', function () {
        salesInvoiceServ.removeUserWxOrderItem(itcode).success(function (ret) {
          if (ret.code === 0) {
            $scope.getOrderDetail();
          }
        }).error(function (ret) {
          Global.popup.alert("出错了" + ret.message);
        });
      }, function () {
        //todo
      });
    };
    //四舍五入转换
    $scope.parseFloat = function (number) {
      return parseFloat(Number(number).toFixed(2));
    };
  }])
  //我的推荐组合包
  .controller('ItemRecommendPackageCtrl', ['$scope', '$state', '$ionicHistory', '$ionicScrollDelegate', '$timeout', 'Global', 'OrderServ', '$ionicViewSwitcher', function ($scope, $state, $ionicHistory, $ionicScrollDelegate, $timeout, Global, OrderServ, $ionicViewSwitcher) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    //推荐组合包列表
    $scope.vm = {
      rows: 15,
      page: 1,
      records: -1,
      total: 0,
      data: [],
      moredata: false,
      hasdata: true,
      loadData: function (type) {
        OrderServ.getItemRecommendPackage({rows: $scope.vm.rows, page: $scope.vm.page}).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.data = type === "doRefresh" ? ret.data : $scope.vm.data.concat(ret.data);
            $scope.vm.records = ret.records;
            $scope.vm.total = ret.total;
            if (ret.total === 0 || ret.total === $scope.vm.page) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
          }
          if ($scope.vm.data.length > 0) {
            $scope.vm.hasdata = true;
          } else {
            $scope.vm.hasdata = false;
          }
          if (type === "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function () {
          if (type === "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        });
      },
      doRefresh: function () {
        $timeout(function () {
          $scope.vm.page = 1;
          $scope.vm.loadData("doRefresh");
        }, 300);
      },
      loadMore: function () {
        $timeout(function () {
          $scope.vm.loadData("loadMore");
        }, 300);
      }
    };
    //推荐组合包明细
    $scope.goItemRecommendPackageDetail = function (pk) {
      $state.go('itemRecommendPackageDetail', {pk: pk});
    };
    //是否显示所有商品
    $scope.toggleShow = function (detail) {
      event.stopPropagation();
      detail.isShowAll = !detail.isShowAll;
    };
  }])
  //我的推荐组合包明细
  .controller('ItemRecommendPackageDetailCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', 'Global', 'OrderServ', function ($scope, $state, $ionicHistory, $stateParams, Global, OrderServ) {
    $scope.goBack = function (count) {
      Global.utils.goBack(count);
    };
    //推荐组合包结构
    $scope.itemRecommendPackage = {
      name: '',
      spAreaCode: '',
      salesmanItemRecommendPackageDetailList: []
    };
    $scope.$on("$ionicView.enter", function () {
      $scope.initPage();
    });
    //初始化详情
    $scope.initPage = function () {
      OrderServ.getItemRecommendPackageByPk($stateParams.pk).success(function (ret) {
        if (ret.code == '0') {
          $scope.itemRecommendPackage.id = ret.data.pk;
          $scope.itemRecommendPackage.pk = ret.data.pk;
          $scope.itemRecommendPackage.name = ret.data.name;
          $scope.itemRecommendPackage.spAreaCode = ret.data.spAreaCode;
          $scope.itemRecommendPackage.salesmanItemRecommendPackageDetailList = ret.data.salesmanItemRecommendPackageDetailList;
          $scope.spAreaCodeDescr = ret.data.spAreaCode + '|' + ret.data.spAreaCodeDescr;
        }
      });
    };

    //添加数量
    $scope.addQty = function (idx, item) {
      item.qty += item.itemSize;
    };
    //减少数量
    $scope.subtractQty = function (idx, item) {
      item.qty -= item.itemSize;
      if (item.qty === 0) {
        $scope.itemRecommendPackage.salesmanItemRecommendPackageDetailList.splice(idx, 1);
      }
    };
    //加入报货单
    $scope.addShoppingCart = function () {
      Global.popup.confirm('确定把该推荐组合包内的所有商品加入报货单？', function () {
        OrderServ.addBySalesmanItemRecommendPackage($scope.itemRecommendPackage).success(function (ret) {
          if (ret.code === 0) {
            Global.popup.showToast('加入报货单成功.' + ret.data);
            $scope.goBack(-2);
          } else {
            Global.popup.showToast(ret.message);
          }
        });
      }, function () {
        // todo
      });
    };
  }]);


AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
    $stateProvider
      .state('orderConfirm', {
        url: '/orderConfirm/:sumCost,:from,:sino,:payType,:payAmount,:salesDeliveryFee',
        templateUrl: 'store/order/orderConfirm.html',
        controller: 'OrderConfirmCtrl'
      })

      //提交订单成功界面
      .state('tab-success-order', {
        url: '/success-order/:siNo',
        templateUrl: 'store/order/success-order.html',
        controller:'salesInvoiceCtrl'
      })
      //选择卡券列表
      .state('useCoupons', {
        url: '/useCoupons/:spAreaCode,:storeCode,:sino,:editFlag',
        templateUrl: 'store/order/useCoupons.html',
        controller: 'UseCouponsCtrl'
      })
      //便利宝叫货订单列表
      .state('userWxOrder', {
        url: '/userWxOrder/:type',
        templateUrl: 'store/order/userWxOrder.html',
        controller: 'UserWxOrderCtrl'
      })
      //便利宝叫货订单详情
      .state('userWxOrderDetail', {
        url: '/userWxOrderDetail/:wsino,:unSalesItcodes,:from',
        templateUrl: 'store/order/userWxOrderDetail.html',
        controller: 'UserWxOrderDetailCtrl'
      })
      //推荐组合包列表
      .state('itemRecommendPackage', {
        url: '/itemRecommendPackage/:spAreaCode',
        templateUrl: 'store/order/itemRecommendPackage.html',
        controller:"ItemRecommendPackageCtrl"
      })
      //推荐组合包明细
      .state('itemRecommendPackageDetail', {
        url: '/itemRecommendPackageDetail/:pk',
        templateUrl: 'store/order/itemRecommendPackageDetail.html',
        controller:"ItemRecommendPackageDetailCtrl"
      });

  }]);

AppServices
  .factory('salesInvoiceServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //获取订单详情
      getSalesInvoiceDetailList: function (siNo) {
        return Global.https.authGet("/mySalesInvoice/" + siNo,{},undefined,undefined,false);
      },
      //获取便利宝叫货订单
      getUserWxOrderList:function(condition){
        condition = condition || {};
        return Global.https.authGet('/myWechatSalesInvoice',condition,undefined,undefined,false);
      },
      //获取便利宝叫货订单明细
      getUserWxOrderDetail:function(wsino,isRealTime){
        if(!isRealTime){
          isRealTime = '0';
        }
        return Global.https.authGet('/myWechatSalesInvoice/'+wsino,{isRealTime:isRealTime},undefined,undefined,false);
      },
      //取消便利宝叫货订单
      cancelUserWxOrder:function(wsino){
        return Global.https.authPost('/myWechatSalesInvoice/cancel/'+wsino);
      },
      //接收便利宝叫货订单
      confirmUserWxOrder:function(wsino){
        return Global.https.authPost('/myWechatSalesInvoice/confirm/'+wsino);
      },
      //结束便利宝叫货订单
      completeUserWxOrder:function(wsino){
        return Global.https.authPost('/myWechatSalesInvoice/end/'+wsino);
      },
      //选中便利宝叫货订单
      selectUserWxOrder:function(wsinos,isSel){
        return Global.https.authPost('/myShoppingCart/selectWeChatOrder',{wsinos:wsinos,isSel:isSel},undefined,undefined,false);
      },
      //移除已下架未在线销售的商品
      removeUserWxOrderItem:function(itcode){

      }
    };
  }])
  .factory('OrderServ', ['$q', '$http', 'Global', '$rootScope', function ($q, $http, Global,$rootScope) {
    var selectCouponIds = {selected:false,couponIds:[]},shoppingCartSumbitDetail = [],selectSplCodes = [],selectPay = {payType:'',onlinePayType:''};
    return {
      //统计报货单商品数量
      getShoppingCartCount:function(){
        return Global.https.authGet("/myShoppingCart/count",undefined,undefined,undefined,false);
      },
      //获取报货单
      getShoppingCart: function () {
        return Global.https.authGet("/myShoppingCart",undefined,undefined,undefined,false);
      },
      //选中报货单商品
      selectShoppingCart:function(params){
        return Global.https.authPut('/myShoppingCart/select',params,undefined,undefined,false);
      },
      deleteItem: function (id) {
        return Global.https.delete("/myShoppingCart/" + id,{},function(){
          $rootScope.$broadcast('updateShoppingCount');
        },undefined,false);
      },
      addFavorites: function (addFavoritesParam) {
        return Global.https.authPost("/myFavorites", addFavoritesParam, function (ret) {
        });
      },
      myShoppingCart: function (changeShoppingCartParam) {
        return Global.https.authPost("/myShoppingCart", changeShoppingCartParam, function(ret){
          $rootScope.$broadcast('updateShoppingCount');
        }, undefined, false);
      },
      updateShoppingCart: function (shoppingCartParam) {
        return Global.https.authPost("/myShoppingCart/update", shoppingCartParam, function(ret){
          $rootScope.$broadcast('updateShoppingCount');
        }, undefined, false);
      },
      shoppingCartSubmit : function(couponIds,splCodes,payType,remarks) {
        var commitFrom = '5';//微信端
        if(!window.cordova && navigator.userAgent.toLowerCase().match(/MicroMessenger/i)=="micromessenger"){//是否来自于微信公众号登录
          commitFrom = '5';
        }else{
          if(ionic.Platform.isIOS()){
            commitFrom = '4';//IOS端
          }else if(ionic.Platform.isAndroid()){
            commitFrom = "3";//Android端
          }
        }
        return Global.https.authPost("/myShoppingCart/shoppingCartSubmit/"+commitFrom, {couponIds:couponIds,splCodes:splCodes,payType:payType,remarks:remarks}, function(ret){
          if(ret.code == '0'){
            $rootScope.$broadcast('updateShoppingCount');
          }
        }, undefined, true);
      },
      getNearStoreGoods : function(param) {
        return Global.https.authGet("/itemAreas/getNearStoreGoods",param,undefined,undefined,false);
      },
      getExpectArriveDate : function(){
        return Global.https.authGet("/myShoppingCart/expectArrive",{},undefined,undefined,false);
      },
      //查询站点可用的卡券列表
      getStoreAvailableCoupon:function(spAreaCode,storeCode,sino,editFlag,changeOrdersParam,splCodes){
        var params = {};
        if(editFlag=='true'){//来自于订单修改，必须包含之前订单已经锁定的卡券
          var detailObj = {};
          detailObj.amount = changeOrdersParam.amount;
          detailObj.spAreaCode = spAreaCode;
          detailObj.storeCode = storeCode;
          detailObj.couponItems = [];
          angular.forEach(changeOrdersParam.salesInvoiceDetailList,function(salesInvoiceDetail){
            detailObj.couponItems.push({amount:(salesInvoiceDetail.qty*salesInvoiceDetail.bcost).toFixed(2),itemCode:salesInvoiceDetail.itcode,qty:salesInvoiceDetail.qty,splCode:salesInvoiceDetail.splCode,delivType:salesInvoiceDetail.delivType});
          });
          return Global.https.authPost('/myProfile/coupon/check?sino='+sino,detailObj,undefined,undefined,false);
        }else{
          params = {storeCode:storeCode,shoppingCart:'1',splCode:splCodes.join(','),sino:sino};
          return Global.https.authGet('/myProfile/coupon/check',params,undefined,undefined,false);
        }
      },
      //选择使用的卡券集
      selectCouponIds:selectCouponIds,
      //存储提交的报货单商品详情
      shoppingCartSumbitDetail:shoppingCartSumbitDetail,
      //选择去结算的供应商
      selectSplCodes:selectSplCodes,
      //选中的付款类型
      selectPay:selectPay,
      //获取商品实时库存提醒阀值
      getItemStockWarnValue:function(){
        return Global.https.get('/item/getItemStockWarnValue',{},undefined,undefined,false);
      },
      //添加到货通知
      saveArrivalNotice:function(arrivalNotice){
        return Global.https.authPost('/myArrivalNotice',arrivalNotice);
      },
      //判断是否已经添加过到货通知
      hasArrivalNotice:function(arrivalNotice){
        return Global.https.authGet('/myArrivalNotice/hasArrivalNotice',arrivalNotice,undefined,undefined,false);
      },
      //获取我的推荐包列表
      getItemRecommendPackage:function (condition) {
        angular.extend(condition,{spAreaCode: Global.User.Store.spAreaCode});
        return Global.https.authGet('/salesman/salesmanItemRecommendPackage',condition,undefined,undefined,false);
      },
      //查询推荐包明细
      getItemRecommendPackageByPk:function (pk) {
        return Global.https.authGet('/salesman/salesmanItemRecommendPackage/'+pk,{},undefined,undefined,false);
      },
      addBySalesmanItemRecommendPackage:function (itemRecommendPackage) {
        return Global.https.authPost('/myShoppingCart/addBySalesmanItemRecommendPackage',itemRecommendPackage);
      }
    };
  }]);

AppControllers
  .controller('TypeItemCtrl', ['$scope', '$cordovaBarcodeScanner', '$timeout', '$state', '$filter', '$ionicScrollDelegate', '$ionicViewSwitcher', '$stateParams', '$ionicHistory', 'Global', 'ItemServ', 'SearchServ', 'GoodsDetailServ', function ($scope,$cordovaBarcodeScanner,$timeout,$state,$filter,$ionicScrollDelegate,$ionicViewSwitcher,$stateParams,$ionicHistory,Global,ItemServ,SearchServ,GoodsDetailServ) {
    //获取所有商品分类
    $scope.getItemTypeList = function(){
      ItemServ.getItemTypeList().success(function (ret) {
        if (ret.code == '0') {
          $scope.itemTypeModel = {
            itemTypeList: ret.data
          };
          $scope.typeItem1Click(ret.data[0]);
        }
      }).error(function (data) {
        Global.popup.showToast("获取不到商品类型！");
      });
    };
    $scope.getItemTypeList();

    var isNeedFromLogin = false, isBackFromRetRemark = false;
    $scope.$on('$ionicView.beforeEnter', function( scopes, states ){
      $scope.emptyToken = true;
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.emptyToken = false;
      }else{
        isNeedFromLogin = true;
      }
      if(isBackFromRetRemark){
        isBackFromRetRemark = false;
      }else if(isNeedFromLogin && !$scope.emptyToken){ //如果来自于登录则重新初始化数据
        $scope.vm.doRefresh();
        isNeedFromLogin = false;
      }else{
        if(!$scope.emptyToken && $scope.vm.data.length > 0){
          GoodsDetailServ.loadShoppingCart($scope.vm.data,$scope);
        }
      }
    });
    //点击分类1
    $scope.currentItemType1 = {};
    $scope.typeItem1Click = function (itemType1,idx) {
      itemType1.isDown = !itemType1.isDown;
      if($scope.currentItemType1.code != itemType1.code){
        $scope.currentItemType2 = {};
        $scope.currentItemType3 = {};
        $scope.currentBrand = {};
        $scope.currentItemType1.isDown = false;
        $scope.currentItemType1 = itemType1;
        $ionicScrollDelegate.$getByHandle('typeItemScroll').scrollTo(0,56*idx);
        $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
        $scope.vm.condition.itemType2 = '';
        $scope.vm.condition.itemType3 = '';
        $scope.vm.condition.brandCode = '';
        $scope.vm.condition.splCode = '';
        $scope.vm.condition.itemType1 = $scope.currentItemType1.code.trim();
        $scope.vm.doRefresh();
      }
    };
    //点击分类2
    $scope.currentItemType2 = {};
    $scope.typeItem2Click = function (itemType2) {
      if($scope.currentItemType2.code != itemType2.code) {
        $scope.currentItemType3 = {code:''};
        $scope.currentBrand = {};
        $scope.currentItemType2 = itemType2;
        $ionicScrollDelegate.$getByHandle('typeItem3Scroll').scrollTo(0,0);
        $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
        $scope.vm.condition.itemType3 = '';
        $scope.vm.condition.brandCode = '';
        $scope.vm.condition.splCode = '';
        $scope.vm.condition.itemType2 = $scope.currentItemType2.code.trim();
        $scope.vm.doRefresh();
      }
    };
    //点击分类3
    $scope.currentItemType3 = {};
    $scope.typeItem3Click = function (itemType3) {
      if(!itemType3){
        itemType3 = {code:''};
      }
      if($scope.currentItemType3.code != itemType3.code) {
        $scope.currentBrand = {id:''};
        $scope.currentItemType3 = itemType3;
        $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
        $scope.vm.condition.brandCode = '';
        $scope.vm.condition.splCode = '';
        $scope.vm.condition.itemType3 = $scope.currentItemType3.code.trim();
        $scope.vm.doRefresh();
      }
    };
    //点击品牌
    $scope.currentBrand = {};
    $scope.typeItemBrandClick = function (idx,brand) {
      if(!brand){
        brand = {id:''};
      }
      if($scope.currentBrand.id != brand.id){
        $scope.currentBrand = brand;
        $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
        $scope.vm.condition.brandCode = $scope.currentBrand.id;
        $scope.vm.doRefresh();
        if($scope.vm.showMainBrandCount > 4 && brand.id){
          var tmpBrand = brand;
          $scope.vm.brandFacet.splice(idx,1);
          $scope.vm.brandFacet.unshift(tmpBrand);
          $scope.vm.showMainBrandCount = 4;
        }
      }
    };
    //点击品牌更多
    $scope.showAllBrand = function(showDownOrUp){
      if(showDownOrUp == 'down'){
        $scope.vm.showMainBrandCount = $scope.vm.brandFacet.length;
      }else if(showDownOrUp == 'up'){
        $scope.vm.showMainBrandCount = 4;
      }
    };

    //商品搜索
    $scope.vm = {
      condition:{
        page: 0,
        rows: 30,
        spAreaCode: Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '',
        itemType1:'',
        itemType2:'',
        itemType3:'',
        brandCode:'',
        splCode:'',
        delivType:'',
        isFullTextSearch:'1'
      },
      data: [],
      records: -1,
      facetFields:{},
      brandFacet:[],
      supplierFacet:[],
      showMainBrandCount:4,
      showBrandCount:10,
      showSplCount:10,
      hasmoredata: true,
      run:false,
      isShowFilter:false,
      init:function () {
        $scope.vm.condition.page = 1;
        $scope.vm.data = [];
        $scope.vm.records = -1;
        $scope.vm.hasmoredata = true;
        $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
      },
      loadMore: function () {
        if($scope.vm.run){
          return false;
        }
        $scope.vm.run = true;
        $timeout(function () {
          $scope.vm.condition.page += 1;
          SearchServ.getItemList($scope.vm.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              $scope.vm.facetFields = ret.facet_fields || {};
              if(!$scope.vm.condition.brandCode) {
                $scope.vm.brandFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.brandFacet || {}, 100);
              }
              if(!$scope.vm.condition.splCode){
                $scope.vm.supplierFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.supplierFacet || {}, 100);
              }
              if ($scope.vm.condition.page>=ret.total || ret.data.length === 0) {
                $scope.vm.hasmoredata = false;
              }
              GoodsDetailServ.loadShoppingCart(ret.data,$scope);
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.vm.run = false;
          }).error(function (data) {
            $scope.vm.run = false;
            Global.popup.showToast("获取不到商品列表！");
          });
        }, 300);
      },
      doRefresh: function () {
        $scope.vm.condition.page = 1;
        SearchServ.getItemList($scope.vm.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = ret.data;
              $scope.vm.records = ret.records;
              $scope.vm.facetFields = ret.facet_fields || {};
              if(!$scope.vm.condition.brandCode) {
                $scope.vm.brandFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.brandFacet || {}, 100);
                $scope.vm.showMainBrandCount = 4;
                $scope.vm.showBrandCount = 10;
              }
              if(!$scope.vm.condition.splCode){
                $scope.vm.supplierFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.supplierFacet || {}, 100);
                $scope.vm.showSplCount = 10;
              }
              if($scope.vm.condition.page>=ret.total || ret.data.length === 0){
                $scope.vm.hasmoredata = false;
              }else{
                $scope.vm.hasmoredata = true;
              }
              GoodsDetailServ.loadShoppingCart(ret.data,$scope);
            }
            $scope.$broadcast('scroll.refreshComplete');
          }
        ).error(function (data) {
          Global.popup.showToast("获取不到商品列表！");
        });
      },
      toggleFilter:function(){
        $scope.vm.isShowFilter = !$scope.vm.isShowFilter;
      },
      clearFilter:function(){
        $scope.vm.condition.delivType = '';
        $scope.vm.condition.itemType3 = '';
        $scope.currentItemType3 = {code:''};
        $scope.vm.condition.brandCode = '';
        $scope.currentBrand = {};
        $scope.vm.condition.splCode = '';
      },
      confirmSelected:function(){
        $scope.vm.doRefresh();
        $scope.vm.toggleFilter();
      },
      selectedDelivType:function(delivType){
        if($scope.vm.condition.delivType == delivType){
          $scope.vm.condition.delivType = '';
        }else{
          $scope.vm.condition.delivType = delivType;
        }
      },
      selectedItemType3:function (itemType3) {
        if($scope.vm.condition.itemType3 == itemType3.code.trim()) {
          $scope.currentItemType3 = {};
          $scope.vm.condition.itemType3 = '';
        }else{
          $scope.currentItemType3 = itemType3;
          $scope.vm.condition.itemType3 = $scope.currentItemType3.code.trim();
          $ionicScrollDelegate.$getByHandle('typeItemSearchScroll').scrollTop();
          $scope.currentBrand = {id:''};
          $scope.vm.condition.brandCode = '';
          $scope.vm.condition.splCode = '';
          $scope.vm.doRefresh();
        }
      },
      selectedBrandCode:function(brandFacet){
        if($scope.vm.condition.brandCode == brandFacet.id){
          $scope.currentBrand = {};
          $scope.vm.condition.brandCode = '';
        }else{
          $scope.currentBrand = brandFacet;
          $scope.vm.condition.brandCode = brandFacet.id;
        }
      },
      selectedSplCode:function(supplier){
        if($scope.vm.condition.splCode == supplier.id){
          $scope.vm.condition.splCode = '';
        }else{
          $scope.vm.condition.splCode = supplier.id;
        }
      },
      isNotEmpty:function(maps){
        var  hasProp = false;
        for (var prop in maps){
          hasProp = true;
          break;
        }
        return hasProp;
      },
      showAllBrand:function(){
        if($scope.vm.showBrandCount == 10){
          $scope.vm.showBrandCount = $scope.vm.brandFacet.length;
        }else{
          $scope.vm.showBrandCount = 10;
        }
      },
      showAllSupplier:function(){
        if($scope.vm.showSplCount == 10){
          $scope.vm.showSplCount = $scope.vm.supplierFacet.length;
        }else{
          $scope.vm.showSplCount = 10;
        }
      }
    };

    //跳转至登录页面
    $scope.goLoginPage = function () {
      event.stopPropagation();
      var stateParams = $scope.condition;
      if($stateParams.params !== undefined && $stateParams.params !== ""){
        angular.extend(stateParams,{params:$stateParams.params});
      }
      $state.go('login', {url: "tab.item", stateParams: JSON.stringify(stateParams)});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode,delivType) {
      $state.go('tab-goods-detail', {itCode: itCode, splCode: splCode, spAreaCode: spAreaCode,delivType:delivType});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if(item.delivType !='1'){
        return;
      }
      GoodsDetailServ.changeItemSupplier(item,$scope);
    };
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item,'qty1',$scope);
    };
    //添加至报货单
    $scope.addShoppingCart = function (item) {
      if(item.qty+item.qty1 > item.realtimeStockCount){//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if(item.licence&&item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)){
        if ($scope.emptyToken) {
          $scope.goLoginPage();
        }else{
          $state.go('applyLicence',{licence:item.licence,splCode:item.splCode});
        }
      }else{
        GoodsDetailServ.addShoppingCart(item,$scope);
      }
    };
    //点击图片放大
    $scope.showBigImage = function (imageUrl) {
      $scope.curImageUrl = imageUrl;
      $scope.isBigImage = true;
    };
    //点击图片缩小
    $scope.hideBigImage = function () {
      $scope.isBigImage = false;
    };
    //退换说明
    $scope.goRetRemark = function(retRemark){
      isBackFromRetRemark = true;
      event.stopPropagation();
      $state.go('retRemark',{retRemark:retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  .controller('ItemCtrl', ['$scope', '$cordovaBarcodeScanner', 'Global', '$state', '$ionicScrollDelegate', '$ionicViewSwitcher', 'ItemServ', function ($scope, $cordovaBarcodeScanner, Global, $state, $ionicScrollDelegate,$ionicViewSwitcher, ItemServ) {
    //获取所有商品分类
    $scope.getItemTypeList = function(){
      ItemServ.getItemTypeList().success(function (ret) {
        if (ret.code == '0') {
          $scope.itemTypeModel = {
            itemTypeList: ret.data
          };
          $scope.currentItemType1 = ret.data[0].code.trim();
        }
      }).error(function (data) {
        Global.popup.alert("获取不到商品类型！");
      });
    };

    //进入页面，如果没有分类而请求分类数据
    $scope.$on('$ionicView.beforeEnter', function( scopes, states ){
      if(!$scope.itemTypeModel || !$scope.itemTypeModel.itemTypeList){
        $scope.getItemTypeList();
      }
    });

    //点击商品类型1
    $scope.itemType1Click = function (pCode) {
      $ionicScrollDelegate.$getByHandle('itemTypeScroll').scrollTop();
      $scope.currentItemType1 = pCode.trim();
    };
    //点击商品类型1
    $scope.searchfromItemType1 = function (type1code) {
      $state.go('tab-search-results', {itemType1: type1code.trim()});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //点击商品类型2
    $scope.searchfromItemType2 = function (type1code, type2code) {
      $state.go('tab-search-results', {itemType1: type1code.trim(), itemType2: type2code.trim()});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //点击商品类型3
    $scope.searchfromtype = function (type1code, type2code, type3code) {
      $state.go('tab-search-results', {itemType1: type1code, itemType2: type2code, itemType3: type3code});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  .controller('searchCtrl', ['$scope', 'Global', '$ionicHistory', '$state', 'SearchServ', function ($scope, Global, $ionicHistory, $state,SearchServ) {
    $scope.$on( "$ionicView.enter", function(){
      $scope.getSearchKeys();
    });

    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };

    //清空历史记录
    $scope.deleteSearchKey=function(){
      Global.popup.confirm("确认删除全部历史记录吗？", function () {
        localStorage.searchKey='';
        $scope.searchKey=[];
      },function () {
      });

    };

    //获取搜索历史记录
    $scope.getSearchKeys=function(){
      if(localStorage.searchKey && localStorage.searchKey !==''){
        $scope.searchKey=localStorage.searchKey.split(',');
      }else{
        localStorage.searchKey='';
        $scope.searchKey=[];
      }

    };
    //保存搜索历史记录
    $scope.saveSearchKey=function(key){
      //如果key为空则不记录
      if(key==='' || !key){
        return false;
      }
      //搜索的三种情况1.已存在该记录且不在最后一位 2.已存在该记录且在最后一位 3.长度小于10 且不存在该记录 4.长度==10 且不存在该记录
      var searckKeyArr = [];
      if(localStorage.searchKey !== ''){
        searckKeyArr = localStorage.searchKey.split(',');
      }
      angular.forEach(searckKeyArr,function(obj,index){
        if(obj == key){
          searckKeyArr.splice(index,1);
          return false;
        }
      });
      searckKeyArr.unshift(key);
      if(searckKeyArr.length > 10){
        searckKeyArr.pop();
      }
      $scope.searchKey=searckKeyArr;
      localStorage.searchKey=$scope.searchKey.join(',');
    };

    //获取热搜关键字
    $scope.searchHotSearchKeys = function () {
      SearchServ.getHotSearchKeys().success(function (ret) {
        if (ret.code == '0') {
          $scope.hotSearchKeysModel = {
            hotSearchKeys: ret.data
          };
        }
      }).error(function (data) {
        Global.popup.alert("获取不到热搜关键字！");
      });
    };
    //热搜关键字点击事件
    $scope.hotSearchKeyClick = function (key) {
      $scope.returntosearch(key);
    };
    $scope.searchHotSearchKeys();
    $scope.returntosearch = function (key) {
      if(!key || key.trim() === ''){
        Global.popup.showToast('请输入品类/商品/条码/供应商条件查询');
        return false;
      }
      $scope.saveSearchKey(key);
      $state.go('tab-search-results', {searchKey: key});
    };
  }])
  //商品搜索结果页
  .controller('searchTypeItemResultsCtrl', ['$filter', '$scope', '$ionicPopover', 'Global', 'SearchServ', '$ionicHistory', '$state', '$stateParams', 'GoodsDetailServ', 'OrderServ', '$timeout', '$ionicViewSwitcher', '$ionicModal', 'ItemServ', '$ionicScrollDelegate', 'SupplierDetailServ', function ($filter,$scope, $ionicPopover, Global, SearchServ, $ionicHistory, $state, $stateParams, GoodsDetailServ, OrderServ, $timeout,$ionicViewSwitcher,$ionicModal,ItemServ,$ionicScrollDelegate,SupplierDetailServ) {
    $scope.isIOS = ionic.Platform.isIOS();
    //销量：DealCount 价格：CostAsc,CostDesc 上架时间：OnSaleDate
    $scope.orderByType = function (type) {
      if($scope.condition.orderByType != type){
        $scope.condition.orderByType = type;
        $scope.search();
      }
    };
    $scope.itemModel = {
      items: [],
      records: 0,
      facetFields:{}
    };
    $scope.condition = {
      page: 0,
      rows: 30
    };
    //初始化参数
    $scope.setParams = function(){
      //重新初始化
      $scope.condition = {page: 0,rows: 30};
      //默认走全文搜索
      $scope.condition.isFullTextSearch = '1';
      $scope.itemModel.facetFields = {};
      //初始化供货区域
      $scope.condition.spAreaCode = Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '';

      if ($stateParams.searchKey !== undefined && $stateParams.searchKey !== "") {
        $scope.condition.searchKey = $stateParams.searchKey;
      }
      if ($stateParams.itemType1 !== undefined && $stateParams.itemType1 !== "") {
        $scope.condition.itemType1 = $stateParams.itemType1;
      }
      if ($stateParams.itemType2 !== undefined && $stateParams.itemType2 !== "") {
        $scope.condition.itemType2 = $stateParams.itemType2;
      }
      if ($stateParams.itemType3 !== undefined && $stateParams.itemType3 !== "") {
        $scope.condition.itemType3 = $stateParams.itemType3;
      }
      if ($stateParams.itemGroup !== undefined && $stateParams.itemGroup !== "") {
        $scope.condition.itemGroup = $stateParams.itemGroup;
        $scope.condition.isFullTextSearch = '0';
      }
      if($stateParams.params !== undefined && $stateParams.params !== ""){
        angular.extend($scope.condition,JSON.parse($stateParams.params));
        if($scope.condition.itemType1 || $scope.condition.itemType2 || $scope.condition.itemType3 || $scope.condition.splCode || $scope.condition.searchKey){
          $scope.condition.isFullTextSearch = '1';
        }else{
          $scope.condition.isFullTextSearch = '0';
        }
      }
      if($stateParams.isFullTextSearch !== undefined && $stateParams.isFullTextSearch !== ''){
        $scope.condition.isFullTextSearch = $stateParams.isFullTextSearch;
      }
    };
    $scope.setParams();

    var firstInitCost = true;
    $scope.$on("$ionicView.beforeEnter", function (scopes, states) {
      $scope.emptyToken = true;
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.emptyToken = false;
      }
      if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'retRemark'){
        //从退换说明进入该页面不刷新
      }else if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'tab-goods-detail'){
        //来自于商品详情的返回不刷新当前页面
        if(!$scope.emptyToken && $scope.itemModel && $scope.itemModel.items.length > 0){
          loadShoppingCart($scope.itemModel.items);
        }
      }else{
        if($scope.itemModel && $scope.itemModel.items.length > 0){
          var mustReflesh = false;
          if($scope.condition.itemType3 && $scope.condition.itemType3 != $stateParams.itemType3){
            mustReflesh = true;
            $scope.condition.itemType3 = $stateParams.itemType3;
            $scope.tabItem.itemTypeModel.currentItemType3 = $stateParams.itemType3;
            $scope.setParams();
          }
          if(firstInitCost || mustReflesh){
            //获取商品列表
            $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
            $scope.search();
            firstInitCost = firstInitCost && !firstInitCost;
          }else{
            if(!$scope.emptyToken) {
              loadShoppingCart($scope.itemModel.items);
            }
          }
        }
      }
    });
    //跳转至登录页面
    $scope.goLoginPage = function () {
      event.stopPropagation();
      var stateParams = $scope.condition;
      if($stateParams.params !== undefined && $stateParams.params !== ""){
        angular.extend(stateParams,{params:$stateParams.params});
      }
      $state.go('login', {url: "tab-search-results", stateParams: JSON.stringify(stateParams)});
      $ionicViewSwitcher.nextDirection("forward");
      firstInitCost = true;
    };

    //后退
    $scope.goBack = function () {
      if($ionicHistory.backView()){
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      }else{
        $state.go('tab.item');
      }
    };
    //跳到搜索页
    $scope.goSearchPage = function () {
      $state.go('tab-search');
    };
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode,delivType) {
      $state.go('tab-goods-detail', {itCode: itCode, splCode: splCode, spAreaCode: spAreaCode,delivType:delivType});
    };
    //跳转至供应商首页
    $scope.goSupplierInfoPage = function () {
      $state.go('tab-supplier-info',{splCode:$scope.supplierDetail.code});
    };
    // 判断是否查询供应商
    $scope.isSearchSupplier = function () {
      if (!$scope.isSearchSpl && $scope.condition.searchKey && $scope.itemModel.supplier) {
        $scope.isSearchSpl = true;
        $scope.supplierDetail = $scope.itemModel.supplier;
        //获取供应商的banner、logo
        SupplierDetailServ.getSupplierBannerLogo($scope.supplierDetail.code).success(function (ret) {
          if(ret.code === 0){
            $scope.supplierBannerLogo = ret.data;
          }
        });
      }
    };
    $scope.search = function () {
      $scope.condition.page = 1;
      //获取商品列表
      SearchServ.getItemList($scope.condition).success(function (ret) {
        if (ret.code == '0') {
          $ionicScrollDelegate.$getByHandle('searchTypeItemResultsScroll').scrollTop();
          $scope.itemModel = {
            items: ret.data,
            records: ret.records,
            facetFields: ret.facet_fields || {},
            supplier: ret.supplier
          };
          if(!$scope.condition.itemType3) {
            $scope.filterItem.itemType3Facet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.itemType3Facet || {}, 100);
          }
          if(!$scope.condition.brandCode) {
            $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {}, 100);
          }
          if(!$scope.condition.splCode){
            $scope.filterItem.supplierFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.supplierFacet || {}, 100);
          }
          $scope.isSearchSupplier();
          if ($scope.condition.page>=ret.total || ret.data.length === 0) {
            $scope.vm.hasmoredata = false;
          }else{
            $scope.vm.hasmoredata = true;
          }
          loadShoppingCart($scope.itemModel.items);
        }
      }).error(function (data) {
        Global.popup.alert("获取不到商品列表！");
      });
    };

    //上拉加载更多
    $scope.vm = {
      hasmoredata: true,
      run:false,
      loadMore: function () {
        if($scope.vm.run){
          return false;
        }
        $scope.vm.run = true;
        $timeout(function () {
          $scope.condition.page += 1;
          SearchServ.getItemList($scope.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.itemModel.items = $scope.itemModel.items.concat(ret.data);
              $scope.itemModel.records = ret.records;
              $scope.itemModel.facetFields = ret.facet_fields || {};
              $scope.itemModel.supplier = ret.supplier;
              if(!$scope.condition.itemType3) {
                $scope.filterItem.itemType3Facet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.itemType3Facet || {}, 100);
              }
              if(!$scope.condition.brandCode) {
                $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {}, 100);
              }
              if(!$scope.condition.splCode){
                $scope.filterItem.supplierFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.supplierFacet || {}, 100);
              }
              $scope.isSearchSupplier();
              if ($scope.condition.page>=ret.total || ret.data.length === 0) {
                $scope.vm.hasmoredata = false;
              }
              loadShoppingCart(ret.data);
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.vm.run = false;
          }).error(function (data) {
            $scope.vm.run = false;
            Global.popup.alert("获取不到商品列表！");
          });
        }, 300);
      },
      doRefresh: function () {
        $scope.condition.page = 1;
        SearchServ.getItemList($scope.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.itemModel.items = ret.data;
              $scope.itemModel.records = ret.records;
              $scope.itemModel.facetFields = ret.facet_fields || {};
              $scope.itemModel.supplier = ret.supplier;
              if(!$scope.condition.itemType3) {
                $scope.filterItem.itemType3Facet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.itemType3Facet || {}, 100);
              }
              if(!$scope.condition.brandCode) {
                $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {}, 100);
              }
              if(!$scope.condition.splCode){
                $scope.filterItem.supplierFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.supplierFacet || {}, 100);
              }
              $scope.isSearchSupplier();
              loadShoppingCart($scope.itemModel.items);
            }
            $scope.$broadcast('scroll.refreshComplete');
            $scope.vm.hasmoredata = true;
          }
        ).error(function (data) {
          Global.popup.alert("获取不到商品列表！");
        });
      }
    };

    //加一或减一
    $scope.changeQty1=function(opt,item){
      GoodsDetailServ.changeQty1(opt,item);
    };
    //加入报货单
    GoodsDetailServ.initFootBar($scope);
    $scope.addShoppingCart = function (item) {
      if(item.qty+item.qty1 > item.realtimeStockCount){//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if(item.licence&&item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)){
        if ($scope.emptyToken) {
          $scope.goLoginPage();
        }else{
          $state.go('applyLicence',{licence:item.licence,splCode:item.splCode});
        }
      }else{
        GoodsDetailServ.addShoppingCart(item,$scope);
      }
    };

    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item,'qty1',$scope);
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
        GoodsDetailServ.loadShoppingCart(itemModel,$scope);
    }

    //退换说明
    $scope.goRetRemark = function(retRemark){
      event.stopPropagation();
      $state.go('retRemark',{retRemark:retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //筛选层数据结构
    $scope.filterItem = {
      isShowFilter:false,
      params:{
        rows: 15,
        page: 1,
        descr:'',
        spAreaCode:Global.User.Store.spAreaCode || Global.User.Address.supplyArea || ''
      },
      selectParams:{
        delivTypeDescr:'',
        itemType3Descr:'',
        brandCodeDescr:'',
        splCodeDescr:''
      },
      itemType3Facet:[],
      brandFacet:[],
      supplierFacet:[],
      showItemType3Count:10,
      showMainBrandCount:3,
      showBrandCount:10,
      showSplCount:10,
      toggleFilter:function(){
        $scope.filterItem.isShowFilter = !$scope.filterItem.isShowFilter;
      },
      clearFilter:function(){
        $scope.condition.delivType = null;
        $scope.filterItem.selectParams.delivTypeDescr = null;
        if($scope.filterItem.itemType3Facet.length > 0){
          $scope.condition.itemType3 = null;
          $scope.filterItem.selectParams.itemType3Descr = null;
        }
        if($scope.filterItem.supplierFacet.length > 0){
          $scope.condition.splCode = null;
          $scope.filterItem.selectParams.splCodeDescr = null;
        }
        if($scope.filterItem.brandFacet.length > 0) {
          $scope.condition.brandCode = null;
          $scope.filterItem.selectParams.brandCodeDescr = null;
        }
      },
      confirmSelected:function(){
        $scope.search();
        $scope.filterItem.toggleFilter();
      },
      selectedDelivType:function(delivType){
        if($scope.condition.delivType == delivType){
          $scope.condition.delivType = '';
          $scope.filterItem.selectParams.delivTypeDescr = '';
        }else{
          $scope.condition.delivType = delivType;
          $scope.filterItem.selectParams.delivTypeDescr = (delivType=='1'?'便利宝配送':'商家配送');
        }
      },
      selectedItemType3:function(itemType3){
        if($scope.condition.itemType3 == itemType3.id){
          $scope.condition.itemType3 = '';
          $scope.filterItem.selectParams.itemType3Descr = '';
        }else{
          $scope.condition.itemType3 = itemType3.id;
          $scope.filterItem.selectParams.itemType3Descr = itemType3.name;
          if($scope.filterItem.supplierFacet.length > 0){
            $scope.condition.splCode = null;
          }
          if($scope.filterItem.brandFacet.length > 0) {
            $scope.condition.brandCode = null;
          }
          $scope.search();
        }
      },
      selectedMainBrandCode:function(idx,brandFacet){
        if($scope.condition.brandCode == brandFacet.id){
          $scope.condition.brandCode = "";
          $scope.filterItem.selectParams.brandCodeDescr = "";
        }else{
          $scope.condition.brandCode = brandFacet.id;
          $scope.filterItem.selectParams.brandCodeDescr = brandFacet.name;
          if($scope.filterItem.showMainBrandCount > 3){
            var tmpBrandFacet = brandFacet;
            $scope.filterItem.brandFacet.splice(idx,1);
            $scope.filterItem.brandFacet.unshift(tmpBrandFacet);
            $scope.filterItem.showMainBrandCount = 3;
          }
        }
        $scope.search();

      },
      selectedBrandCode:function(brandFacet){
        if($scope.condition.brandCode == brandFacet.id){
          $scope.condition.brandCode = '';
          $scope.filterItem.selectParams.brandCodeDescr = '';
        }else{
          $scope.condition.brandCode = brandFacet.id;
          $scope.filterItem.selectParams.brandCodeDescr = brandFacet.name;
        }
      },
      selectedSplCode:function(supplier){
        if($scope.condition.splCode == supplier.id){
          $scope.condition.splCode = '';
          $scope.filterItem.selectParams.splCodeDescr = '';
        }else{
          $scope.condition.splCode = supplier.id;
          $scope.filterItem.selectParams.splCodeDescr = supplier.name;
        }
      },
      isNotEmpty:function(maps){
        var  hasProp = false;
        for (var prop in maps){
          hasProp = true;
          break;
        }
        return hasProp;
      },
      showAllItemType3:function(){
        if($scope.filterItem.showItemType3Count == 10){
          $scope.filterItem.showItemType3Count = $scope.filterItem.itemType3Facet.length;
        }else{
          $scope.filterItem.showItemType3Count = 10;
        }
      },
      showMainAllBrand:function(){
        if($scope.filterItem.showMainBrandCount == 3){
          $scope.filterItem.showMainBrandCount = $scope.filterItem.brandFacet.length;
        }else{
          $scope.filterItem.showMainBrandCount = 3;
        }
      },
      showAllBrand:function(){
        if($scope.filterItem.showBrandCount == 10){
          $scope.filterItem.showBrandCount = $scope.filterItem.brandFacet.length;
        }else{
          $scope.filterItem.showBrandCount = 10;
        }
      },
      showAllSupplier:function(){
        if($scope.filterItem.showSplCount == 10){
          $scope.filterItem.showSplCount = $scope.filterItem.supplierFacet.length;
        }else{
          $scope.filterItem.showSplCount = 10;
        }
      }
    };

    //到货通知
    $scope.addArrivalNotice = function(item){
      if ($scope.emptyToken) {
        $scope.goLoginPage();
      }else{
        GoodsDetailServ.addArrivalNotice(item,$scope);
      }
    };
    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if(item.delivType !='1'){
        return;
      }
      GoodsDetailServ.changeItemSupplier(item,$scope);
    };
  }])
  .controller('searchResultsCtrl', ['$filter', '$scope', '$ionicPopover', 'Global', 'SearchServ', '$ionicHistory', '$state', '$stateParams', 'GoodsDetailServ', 'OrderServ', '$timeout', '$ionicViewSwitcher', '$ionicModal', 'ItemServ', '$ionicScrollDelegate', function ($filter,$scope, $ionicPopover, Global, SearchServ, $ionicHistory, $state, $stateParams, GoodsDetailServ, OrderServ, $timeout,$ionicViewSwitcher,$ionicModal,ItemServ,$ionicScrollDelegate) {
    $scope.itemModel = {
      items: [],
      records: 0,
      facetFields:{}
    };
    $scope.condition = {
      page: 0,
      rows: 15
    };
    //初始化参数
    $scope.setParams = function(){
      //重新初始化
      $scope.condition = {page: 0,rows: 15};
      //默认走全文搜索
      $scope.condition.isFullTextSearch = '1';
      $scope.itemModel.facetFields = {};
      //初始化供货区域
      $scope.condition.spAreaCode = Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '';

      if ($stateParams.searchKey !== undefined && $stateParams.searchKey !== "") {
        $scope.condition.searchKey = $stateParams.searchKey;
      }
      if ($stateParams.itemType1 !== undefined && $stateParams.itemType1 !== "") {
        $scope.condition.itemType1 = $stateParams.itemType1;
      }
      if ($stateParams.itemType2 !== undefined && $stateParams.itemType2 !== "") {
        $scope.condition.itemType2 = $stateParams.itemType2;
      }
      if ($stateParams.itemType3 !== undefined && $stateParams.itemType3 !== "") {
        $scope.condition.itemType3 = $stateParams.itemType3;
      }
      if ($stateParams.itemGroup !== undefined && $stateParams.itemGroup !== "") {
        $scope.condition.itemGroup = $stateParams.itemGroup;
        $scope.condition.isFullTextSearch = '0';
      }
      if($stateParams.params !== undefined && $stateParams.params !== ""){
        angular.extend($scope.condition,JSON.parse($stateParams.params));
        if($scope.condition.itemType1 || $scope.condition.itemType2 || $scope.condition.itemType3){
          $scope.condition.isFullTextSearch = '1';
        }else{
          $scope.condition.isFullTextSearch = '0';
        }
      }
      if($stateParams.isFullTextSearch !== undefined && $stateParams.isFullTextSearch !== ''){
        $scope.condition.isFullTextSearch = $stateParams.isFullTextSearch;
      }
    };
    $scope.setParams();

    var firstInitCost = true;
    $scope.$on("$ionicView.beforeEnter", function (scopes, states) {
      $scope.emptyToken = true;
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.emptyToken = false;
      }
      if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'retRemark'){
        //从退换说明进入该页面不刷新
      }else if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'tab-goods-detail'){
        //来自于商品详情的返回不刷新当前页面
        if(!$scope.emptyToken && $scope.itemModel && $scope.itemModel.items.length > 0){
          loadShoppingCart($scope.itemModel.items);
        }
      }else{
        if($scope.itemModel && $scope.itemModel.items.length > 0){
          var mustReflesh = false;
          if($scope.condition.itemType3 && $scope.condition.itemType3 != $stateParams.itemType3){
            mustReflesh = true;
            $scope.condition.itemType3 = $stateParams.itemType3;
            $scope.tabItem.itemTypeModel.currentItemType3 = $stateParams.itemType3;
            $scope.setParams();
          }
          if(firstInitCost || mustReflesh){
            //获取商品列表
            $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
            $scope.search();
            firstInitCost = firstInitCost && !firstInitCost;
          }else{
            if(!$scope.emptyToken) {
              loadShoppingCart($scope.itemModel.items);
            }
          }
        }
      }
    });
    //跳转至登录页面
    $scope.goLoginPage = function () {
      event.stopPropagation();
      var stateParams = $scope.condition;
      if($stateParams.params !== undefined && $stateParams.params !== ""){
        angular.extend(stateParams,{params:$stateParams.params});
      }
      $state.go('login', {url: "tab-search-results", stateParams: JSON.stringify(stateParams)});
      $ionicViewSwitcher.nextDirection("forward");
      firstInitCost = true;
    };

    //后退
    $scope.goBack = function () {
      if($ionicHistory.backView()){
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      }else{
        $state.go('tab.item');
      }
    };
    //跳到搜索页
    $scope.goSearchPage = function () {
      $state.go('tab-search');
    };
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode,delivType) {
      $state.go('tab-goods-detail', {itCode: itCode, splCode: splCode, spAreaCode: spAreaCode,delivType:delivType});
    };

    $scope.search = function () {
      $scope.condition.page = 1;
      //获取商品列表
      SearchServ.getItemList($scope.condition).success(function (ret) {
        if (ret.code == '0') {
          $scope.itemModel = {
            items: ret.data,
            records: ret.records,
            facetFields: ret.facet_fields || {}
          };
          if(!$scope.condition.brandCode){
            $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {},100);
          }
          if ($scope.condition.page>=ret.total || ret.data.length === 0) {
            $scope.vm.hasmoredata = false;
          }else{
            $scope.vm.hasmoredata = true;
          }
          loadShoppingCart($scope.itemModel.items);
        }
      }).error(function (data) {
        Global.popup.alert("获取不到商品列表！");
      });
    };

    $scope.orderByType = function (type) {
      $scope.condition.orderByType = type;
      $scope.search();
      $scope.closePopover();
    };

    //价格排序
    $scope.CostDesc = false;
    $scope.toggleCostSort = function () {
      if (!$scope.CostDesc) {
        $scope.orderByType("CostAsc");
      } else {
        $scope.orderByType("CostDesc");
      }
      $scope.CostDesc = !$scope.CostDesc;
    };

    //上拉加载更多
    $scope.vm = {
      hasmoredata: true,
      run:false,
      loadMore: function () {
        if($scope.vm.run){
          return false;
        }
        $scope.vm.run = true;
        $timeout(function () {
          $scope.condition.page += 1;
          SearchServ.getItemList($scope.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.itemModel.items = $scope.itemModel.items.concat(ret.data);
              $scope.itemModel.records = ret.records;
              if(!$scope.condition.brandCode) {
                $scope.itemModel.facetFields = ret.facet_fields || {};
                $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {}, 100);
              }
              if ($scope.condition.page>=ret.total || ret.data.length === 0) {
                $scope.vm.hasmoredata = false;
              }
              loadShoppingCart(ret.data);
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.vm.run = false;
          }).error(function (data) {
            $scope.vm.run = false;
            Global.popup.alert("获取不到商品列表！");
          });
        }, 300);
      },
      doRefresh: function () {
        $scope.condition.page = 1;
        SearchServ.getItemList($scope.condition).success(function (ret) {
            if (ret.code == '0') {
              $scope.itemModel.items = ret.data;
              $scope.itemModel.records = ret.records;
              if(!$scope.condition.brandCode) {
                $scope.itemModel.facetFields = ret.facet_fields || {};
                $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.itemModel.facetFields.brandFacet || {}, 100);
              }
              loadShoppingCart($scope.itemModel.items);
            }
            $scope.$broadcast('scroll.refreshComplete');
            $scope.vm.hasmoredata = true;
          }
        ).error(function (data) {
          Global.popup.alert("获取不到商品列表！");
        });
      }
    };
    $scope.popover = $ionicPopover.fromTemplateUrl('filter-view.html', {
      scope: $scope
    });
    // .fromTemplateUrl() 方法
    $ionicPopover.fromTemplateUrl('filter-view.html', {
      scope: $scope
    }).then(function (popover) {
      $scope.popover = popover;
    });

    $scope.openPopover = function ($event) {
      $scope.popover.show($event);
    };
    $scope.closePopover = function () {
      $scope.popover.hide();
    };
    // 清除浮动框
    $scope.$on('$destroy', function () {
      $scope.popover.remove();
    });
    // 在隐藏浮动框后执行
    $scope.$on('popover.hidden', function () {
      // 执行代码
    });
    // 移除浮动框后执行
    $scope.$on('popover.removed', function () {
      // 执行代码
    });
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    //加一或减一
    $scope.changeQty1=function(opt,item){
      GoodsDetailServ.changeQty1(opt,item);
    };
    //加入报货单
    GoodsDetailServ.initFootBar($scope);
    $scope.addShoppingCart = function (item) {
      if(item.qty+item.qty1 > item.realtimeStockCount){//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if(item.licence&&item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)){
        if ($scope.emptyToken) {
          $scope.goLoginPage();
        }else{
          $state.go('applyLicence',{licence:item.licence,splCode:item.splCode});
        }
      }else{
        GoodsDetailServ.addShoppingCart(item,$scope);
      }
    };

    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item,'qty1',$scope);
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel,$scope);
    }

    //退换说明
    $scope.goRetRemark = function(retRemark){
      event.stopPropagation();
      $state.go('retRemark',{retRemark:retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //商品分类
    $scope.tabItem = {
      isShowFilter:false,
      toggleFilter:function(){
        $scope.tabItem.isShowFilter = !$scope.tabItem.isShowFilter;
      },
      itemTypeModel:{
        itemTypeList:[],
        currentItemType1:'',
        currentItemType3:'',
        itemType1Click:function (pCode) {
          $ionicScrollDelegate.$getByHandle('tabItemScroll').scrollTop();
          $scope.tabItem.itemTypeModel.currentItemType1 = pCode.trim();
        },
        searchfromItemType1:function (type1code) {
          $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
          $scope.condition = {
            page: 0,
            rows: 15,
            itemType1:type1code,
            spAreaCode:Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '',
            delivType:$scope.condition.delivType,
            splCode:$scope.condition.splCode,
            isFullTextSearch:'1'
          };
          $scope.search();
          $scope.tabItem.toggleFilter();
        },
        //点击商品类型2
        searchfromItemType2:function (type1code, type2code) {
          $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
          $scope.condition = {
            page: 0,
            rows: 15,
            itemType2:type2code,
            spAreaCode:Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '',
            delivType:$scope.condition.delivType,
            splCode:$scope.condition.splCode,
            isFullTextSearch:'1'
          };
          $scope.search();
          $scope.tabItem.toggleFilter();
        },
        searchfromtype:function (type1code, type2code, type3code) {
          $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
          $scope.tabItem.itemTypeModel.currentItemType3 = type3code.trim();
          $scope.condition = {
            page: 0,
            rows: 15,
            itemType3:type3code,
            spAreaCode:Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '',
            delivType:$scope.condition.delivType,
            splCode:$scope.condition.splCode,
            isFullTextSearch:'1'
          };
          $scope.search();
          $scope.tabItem.toggleFilter();
        }
      },
      init:function(){
        ItemServ.getItemTypeList().success(function (ret) {
          if (ret.code == '0') {
            $scope.tabItem.itemTypeModel.itemTypeList = ret.data;
            $scope.tabItem.itemTypeModel.currentItemType1 = ret.data[0].code.trim();
          }
        });
      }
    };
    $scope.tabItem.init();

    //筛选层数据结构
    $scope.filterItem = {
      isShowFilter:false,
      params:{
        rows: 15,
        page: 1,
        descr:'',
        spAreaCode:Global.User.Store.spAreaCode || Global.User.Address.supplyArea || ''
      },
      selectParams:{
        delivTypeDescr:'',
        brandCodeDescr:'',
        splCodeDescr:''
      },
      data:[],
      brandFacet:[],
      showBrandCount:10,
      moredata: false,
      init : function(){
        $scope.filterItem.params.page=1;
        $scope.filterItem.moredata=false;
        $scope.filterItem.data=[];
        $ionicScrollDelegate.$getByHandle('filterItemScroll').scrollTop();
      },
      searchData:function(){
        $scope.filterItem.init();
      },
      loadData:function(type){
        ItemServ.getSupplierList($scope.filterItem.params).success(function(ret){
          if (ret.code == '0') {
            if(type == 'doRefresh'){
              $scope.filterItem.data = ret.data;
            }else{
              $scope.filterItem.data = $scope.filterItem.data.concat(ret.data);
            }
            if (ret.total===0||ret.total <=$scope.filterItem.params.page ) {
              $scope.filterItem.moredata = true;
            }else{
              $scope.filterItem.moredata = false;
            }
            $scope.filterItem.params.page += 1;
          }
          if(type=="doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          }else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function (ret) {
          $scope.filterItem.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
      },
      doRefresh:function(){
        $timeout(function () {
          $scope.filterItem.params.page = 1;
          $scope.filterItem.loadData("doRefresh");
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          $scope.filterItem.loadData("loadMore");
        },300);
      },
      toggleFilter:function(){
        if ($scope.emptyToken) {
          $scope.goLoginPage();
        }else {
          if ($scope.filterItem.data.length === 0) {
            $scope.filterItem.init();
          }
          $scope.filterItem.isShowFilter = !$scope.filterItem.isShowFilter;
        }
      },
      clearFilter:function(){
        $scope.condition.delivType = null;
        $scope.condition.splCode = null;
        $scope.condition.brandCode = null;
        $scope.filterItem.selectParams.delivTypeDescr = null;
        $scope.filterItem.selectParams.splCodeDescr = null;
        $scope.filterItem.selectParams.brandCodeDescr = null;
      },
      confirmSelected:function(){
        $ionicScrollDelegate.$getByHandle('searchResultsScroll').scrollTop();
        $scope.search();
        $scope.filterItem.toggleFilter();
      },
      selectedDelivType:function(delivType){
        $scope.condition.delivType = delivType;
        $scope.filterItem.selectParams.delivTypeDescr = (delivType=='1'?'便利宝配送':'商家配送');
      },
      selectedBrandCode:function(brandFacet){
        $scope.condition.brandCode = brandFacet.id;
        $scope.filterItem.selectParams.brandCodeDescr = brandFacet.name;
      },
      selectedSplCode:function(supplier){
        $scope.condition.splCode = supplier.code;
        $scope.filterItem.selectParams.splCodeDescr = supplier.descr;
        $scope.condition.isFullTextSearch = '1';
      },
      isNotEmpty:function(maps){
        var  hasProp = false;
        for (var prop in maps){
          hasProp = true;
          break;
        }
        return hasProp;
      },
      showAllBrand:function(){
        if($scope.filterItem.showBrandCount == 10){
          $scope.filterItem.showBrandCount = $scope.filterItem.brandFacet.length;
        }else{
          $scope.filterItem.showBrandCount = 10;
        }
      }
    };
    if(!$scope.emptyToken){
      $scope.filterItem.init();
    }

    //到货通知
    $scope.addArrivalNotice = function(item){
      if ($scope.emptyToken) {
        $scope.goLoginPage();
      }else{
        GoodsDetailServ.addArrivalNotice(item,$scope);
      }
    };
    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if(item.delivType !='1'){
        return;
      }
      GoodsDetailServ.changeItemSupplier(item,$scope);
    };
  }])
  .controller('GoodsDetailCtrl', ['$scope', 'Global', '$ionicPopover', '$state', '$ionicHistory', '$stateParams', '$location', '$window', '$ionicViewSwitcher', 'GoodsDetailServ', 'FavoritesServ', function ($scope, Global, $ionicPopover, $state, $ionicHistory, $stateParams, $location, $window,$ionicViewSwitcher, GoodsDetailServ, FavoritesServ) {
    $scope.isFromLoginSalesManBySupplier = Global.User.fromType && Global.User.fromType=='2' && Global.User.fromLoginSalesManBySupplier && Global.User.fromLoginSalesManBySupplier=='2'?true:false;

    $scope.$on("$ionicView.enter", function (scopes, states) {
      $scope.emptyToken = true;
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.emptyToken = false;
      }
      $scope.search();
    });

    $scope.goLoginPage = function () {
      $state.go('login', {url: "tab-goods-detail", stateParams: JSON.stringify($stateParams)});
    };

    //初始化页脚的报货单栏目
    GoodsDetailServ.initFootBar($scope);
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item,'qty1',$scope);
    };

    //加一或减一
    $scope.changeQty1=function(opt,item){
      GoodsDetailServ.changeQty1(opt,item);
    };
    //立即加入报货单
    $scope.addShoppingCart = function (item) {
      if(item.qty+item.qty1 > item.realtimeStockCount){//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if(item.licence && item.licence != '0'&& ((item.licence & Global.User.Store.licence) != item.licence)){
        if($scope.emptyToken){
          $scope.goLoginPage();
        }else{
          $state.go('applyLicence',{licence:item.licence,splCode:item.splCode});
        }
      }else{
        GoodsDetailServ.addShoppingCart(item,$scope);
      }
    };
    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      //GoodsDetailServ.loadShoppingCart([itemModel],$scope);
      itemModel.qty1 = itemModel.itemSize;
      itemModel.qty = 0;
      if(!$scope.emptyToken){
        GoodsDetailServ.getByCashIdAndItcodeAndDelivType(itemModel.itcode.trim(),itemModel.splCode.trim(),itemModel.delivType).success(function(ret){
          if(ret.code === 0 && ret.data){
            itemModel.qty = ret.data.qty;
          }
        });
      }
    }

    $scope.condition = {};
    if ($stateParams.id !== undefined && $stateParams.id !== "") {
      $scope.condition.id = $stateParams.id;
    }
    if ($stateParams.itCode !== undefined && $stateParams.itCode !== "") {
      $scope.condition.itCode = $stateParams.itCode;
    }
    if ($stateParams.splCode !== undefined && $stateParams.splCode !== "") {
      $scope.condition.splCode = $stateParams.splCode;
    }
    if ($stateParams.spAreaCode !== undefined && $stateParams.spAreaCode !== "") {
      $scope.condition.spAreaCode = $stateParams.spAreaCode;
    }
    if ($stateParams.delivType !== undefined && $stateParams.delivType !== "") {
      $scope.condition.delivType = $stateParams.delivType;
    }
    //获取商品详情
    $scope.search = function () {
      //获取商品列表
      GoodsDetailServ.getItemDetail($scope.condition).success(function (ret) {
        if (ret.code == '0') {
          if(ret.data.isFavorite){
            $scope.isInFavorites.isAdd = 1;
          }
          else{
            $scope.isInFavorites.isAdd = 0;
          }
          $scope.itemModel = {
            items: ret.data,
            activeIndex: 0,
            pageClick: function (index) {
              $scope.itemModel.activeIndex = index;
            },
            slideHasChanged: function ($index) {
              //alert($index);
            }
          };
          loadShoppingCart($scope.itemModel.items);
          //设置订购数量
          if ($scope.itemModel.items.isProm == "0") {
            $scope.isPromDescr = "";
          }
          if ($scope.itemModel.items.isProm == "1") {
            $scope.isPromDescr = "促销";
          }
          if ($scope.itemModel.items.canRet == "0") {
            $scope.canRetDescr = "不可退";
          }
          if ($scope.itemModel.items.canRet == "1") {
            $scope.canRetDescr = "可退";
          }
          FavoritesServ.isFavoriteSpl($scope.itemModel.items.splCode).success(function (ret1) {
            if(ret1.code === 0){
              $scope.isSupplierFavorite = ret1.data;
            }
          });
        }
      }).error(function (data) {
        Global.popup.alert("获取不到商品信息！");
      });
    };

    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //商品详情页面底部tab收藏功能
    //是否已收藏
    $scope.isInFavorites = {
      isAdd: 0
    };
    $scope.addFavoritesParam = {
      itCode: ""
    };

    $scope.itemFavorite = function (item) {
      if (Global.User.token === undefined || Global.User.token === "") {
        $scope.goLoginPage();
      }

      if ($scope.isInFavorites.isAdd === 0) {  //如果是未收藏的话，则点击事件为收藏该商品
        $scope.addFavoritesParam.itcode = item.itcode.trim();
        $scope.addFavoritesParam.splCode = item.splCode.trim();
        $scope.addFavoritesParam.delivType = item.delivType;
        FavoritesServ.addFavorites($scope.addFavoritesParam).success(function (data) {
          if (data.code === 0) {
            $scope.isInFavorites.isAdd = 1;
          } else {
            Global.popup.showToast("放入收藏夹失败！" + data.message);
          }
        }).error(function (data) {
          Global.popup.showToast("放入收藏夹失败！");
        });
      }
      else { //如果是已收藏的话，则点击事件为取消收藏该商品
        FavoritesServ.deleteByItCode(item.itcode.trim(),item.splCode.trim(),item.delivType).success(function (data) {
          if (data.code === 0) {
            $scope.isInFavorites.isAdd = 0;
          } else {
            Global.popup.showToast("取消收藏失败！" + data.message);
          }
        }).error(function (data) {
          Global.popup.showToast("取消收藏失败！");
        });
      }
    };

    //点击图片放大
    $scope.showBigImage = function () {
      $scope.isBigImage = true;
    };
    //点击图片缩小
    $scope.hideBigImage = function () {
      $scope.isBigImage = false;
    };

    //查看供应商信息
    $scope.showSupplierInfo = function(splCode){
      //$state.go('tab-supplier-detail',{splCode:splCode});
      $state.go('tab-supplier-info',{splCode:splCode});
    };

    //退换说明
    $scope.goRetRemark = function(retRemark){
      event.stopPropagation();
      $state.go('retRemark',{retRemark:retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //到货通知
    $scope.addArrivalNotice = function(item){
      if ($scope.emptyToken) {
        $scope.goLoginPage();
      }else{
        GoodsDetailServ.addArrivalNotice(item,$scope);
      }
    };

    //价格举报
    $scope.itemCostTipOff = {
      tipOffCost:"",
      tipOffFrom:""
    };
    $scope.goItemCostTipOff = function(){
      var dialog = Global.popup.show({
        title: '商品价格举报',
        templateUrl: 'itemCostTipOff-view.html',
        subTitle: $scope.itemModel.items.descr,
        scope: $scope
      }, function (e) {
        e.preventDefault();
        if(!$scope.itemCostTipOff.tipOffCost){
          Global.popup.showToast('商品的市场价格！');
          return false;
        }
        if(!$scope.itemCostTipOff.tipOffFrom){
          Global.popup.showToast('销售商品的平台或商家名称！');
          return false;
        }
        var itemCostTipOff = {
          itemAreaPk:$scope.itemModel.items.pk,
          itcode:$scope.itemModel.items.itcode.trim(),
          splCode:$scope.itemModel.items.splCode.trim(),
          spAreaCode:$scope.itemModel.items.spAreaCode.trim(),
          cost:$scope.itemModel.items.cost,
          tipOffCost:$scope.itemCostTipOff.tipOffCost,
          tipOffFrom:$scope.itemCostTipOff.tipOffFrom
        };
        GoodsDetailServ.saveItemCostTipOff(itemCostTipOff).success(function(ret){
          if(ret.code === 0){
            Global.popup.showToast('感谢您的举报，我们将尽快核实并解决价格问题！');
          }else{
            Global.popup.showToast(ret.message);
          }
          dialog.close();
        });
      }, function () {

      });
    };

    //收藏供应商
    $scope.supplierFavorite = function (val) {
      if(val){ //收藏供应商
        FavoritesServ.addFavoritesSpl({cashId:Global.User.cashierId,splCode:$scope.itemModel.items.splCode}).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('供应商收藏成功！');
            $scope.isSupplierFavorite = true;
          }
        });
      }else{ //取消供应商收藏
        FavoritesServ.cancelFavoritesSpl($scope.itemModel.items.splCode).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('取消供应商收藏成功！');
            $scope.isSupplierFavorite = false;
          }
        });
      }
    };

    // 商品平台价格走势图
    $scope.goCostChart = function () {
      $state.go('costChart', {itCode:$scope.itemModel.items.itcode,splCode:$scope.itemModel.items.splCode,spAreaCode:$scope.itemModel.items.spAreaCode.trim(),delivType:$scope.itemModel.items.delivType});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  //查看供应商详情
  .controller('SupplierInfoCtrl', ['$scope', 'Global', '$state', '$ionicHistory', '$stateParams', '$timeout', '$ionicViewSwitcher', '$filter', '$ionicScrollDelegate', 'SupplierDetailServ', 'FavoritesServ', 'GoodsDetailServ', 'SearchServ', function ($scope, Global, $state, $ionicHistory, $stateParams,$timeout,$ionicViewSwitcher,$filter,$ionicScrollDelegate,SupplierDetailServ,FavoritesServ,GoodsDetailServ,SearchServ) {
    $scope.isFromLoginSalesManBySupplier = Global.User.fromType && Global.User.fromType=='2' && Global.User.fromLoginSalesManBySupplier && Global.User.fromLoginSalesManBySupplier=='2'?true:false;
    if($scope.isFromLoginSalesManBySupplier){
      Global.User.fromSplCode = $stateParams.splCode;
    }
    //后退
    $scope.goBack = function () {
      if($ionicHistory.backView()){
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      }else{
        $state.go('tab.item');
      }
    };
    //获取供应商详情
    SupplierDetailServ.getSupplierDetail($stateParams.splCode).success(function(ret){
      if(ret.code === 0){
        $scope.supplierDetail = ret.data;
        FavoritesServ.isFavoriteSpl($stateParams.splCode).success(function (ret1) {
          if(ret1.code === 0){
            $scope.supplierDetail.isFavorite = ret1.data;
          }
        });
      }
    });
    //获取供应商的banner、logo
    SupplierDetailServ.getSupplierBannerLogo($stateParams.splCode).success(function (ret) {
      if(ret.code === 0){
        $scope.supplierBannerLogo = ret.data;
      }
    });
    //跳转至供应商详情
    $scope.goSupplierPage = function () {
      if(!$scope.emptyToken) {
        $state.go('tab-supplier-detail', {splCode: $stateParams.splCode});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //收藏供应商
    $scope.supplierFavorite = function (val) {
      event.stopPropagation();
      if(val){ //收藏供应商
        FavoritesServ.addFavoritesSpl({cashId:Global.User.cashierId,splCode:$stateParams.splCode}).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('供应商收藏成功！');
            $scope.supplierDetail.isFavorite = true;
          }
        });
      }else{ //取消供应商收藏
        FavoritesServ.cancelFavoritesSpl($stateParams.splCode).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('取消供应商收藏成功！');
            $scope.supplierDetail.isFavorite = false;
          }
        });
      }
    };

    //供应商商品列表
    $scope.vm = {
      page: 1,
      rows: 30,
      spAreaCode: Global.User.Store.spAreaCode || Global.User.Address.supplyArea || '',
      isFullTextSearch: "1",
      itemAreaTypeCode:'',
      itemType3: '',
      brandCode: '',
      delivType: '',
      searchKey: '',
      moredata: false,
      condition: '',
      data:[],
      facetFields:[],
      records:-1
    };
    $scope.doRefresh=function(){
      $timeout(function () {
        $scope.vm.page=1;
        $scope.reSearch();
        $scope.$broadcast('scroll.refreshComplete');
      },300);
    };
    $scope.reSearch = function () {
      SearchServ.getItemList({page:$scope.vm.page,rows:$scope.vm.rows,spAreaCode:$scope.vm.spAreaCode,splCode:$stateParams.splCode,itemAreaTypeCode:$scope.vm.itemAreaTypeCode,itemType3:$scope.vm.itemType3,brandCode:$scope.vm.brandCode,delivType:$scope.vm.delivType,isFullTextSearch:$scope.vm.isFullTextSearch,searchKey:$scope.vm.searchKey}).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.records = ret.records;
          loadShoppingCart(ret.data);
          if($scope.vm.page==1){
            $scope.vm.data =ret.data;
          }else{
            $scope.vm.data = $scope.vm.data.concat(ret.data);
          }
          $scope.vm.facetFields = ret.facet_fields || {};
          if(!$scope.vm.itemType3) {
            $scope.filterItem.itemType3Facet = $filter("searchMapLimitTo")($scope.vm.facetFields.itemType3Facet || {}, 100);
          }
          if(!$scope.vm.brandCode) {
            $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.brandFacet || {}, 100);
          }
          if (ret.total <= $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          }else{
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.moredata = true;
          Global.popup.alert("获取曾购商品失败，请刷新");
        }
      }).error(function () {
        $scope.vm.moredata = true;
      });
    };

    $scope.getNextPage = function () {
      $timeout(function () {
        SearchServ.getItemList({page:$scope.vm.page,rows:$scope.vm.rows,spAreaCode:$scope.vm.spAreaCode,splCode:$stateParams.splCode,itemAreaTypeCode:$scope.vm.itemAreaTypeCode,itemType3:$scope.vm.itemType3,brandCode:$scope.vm.brandCode,delivType:$scope.vm.delivType,isFullTextSearch:$scope.vm.isFullTextSearch,searchKey:$scope.vm.searchKey}).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.records = ret.records;
            loadShoppingCart(ret.data);
            if($scope.vm.page==1){
              $scope.vm.data =ret.data;
            }else{
              $scope.vm.data = $scope.vm.data.concat(ret.data);
            }
            $scope.vm.facetFields = ret.facet_fields || {};
            if(!$scope.vm.itemType3) {
              $scope.filterItem.itemType3Facet = $filter("searchMapLimitTo")($scope.vm.facetFields.itemType3Facet || {}, 100);
            }
            if(!$scope.vm.brandCode) {
              $scope.filterItem.brandFacet = $filter("searchMapLimitTo")($scope.vm.facetFields.brandFacet || {}, 100);
            }
            if (ret.total <= $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            $scope.vm.moredata = true;
            Global.popup.alert("获取为您推荐失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
          }
        }).error(function () {
          $scope.vm.moredata = true;
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);
    };

    //商品分类
    $scope.tabItem = {
      isShowFilter:false,
      toggleFilter:function(){
        $scope.tabItem.isShowFilter = !$scope.tabItem.isShowFilter;
        if($scope.tabItem.itemAreaTypeModel.itemAreaTypeList.length === 0){
          $scope.tabItem.init();
        }
      },
      itemAreaTypeModel:{
        itemAreaTypeList:[],
        currentItemAreaTypeCode:'',
        itemAreaTypeClick:function (itemAreaTypeCode) {
          $ionicScrollDelegate.$getByHandle('supplierInfoScroll').scrollTop();
          if($scope.tabItem.itemAreaTypeModel.currentItemAreaTypeCode == itemAreaTypeCode){
            $scope.tabItem.itemAreaTypeModel.currentItemAreaTypeCode = '';
            $scope.vm.itemAreaTypeCode = '';
          }else{
            $scope.tabItem.itemAreaTypeModel.currentItemAreaTypeCode = itemAreaTypeCode;
            $scope.vm.itemAreaTypeCode = itemAreaTypeCode;
          }
          $scope.doRefresh();
          $scope.tabItem.toggleFilter();
        }
      },
      init:function(){
        SearchServ.getSupplierItemType({splCode:$stateParams.splCode,spAreaCode:$scope.vm.spAreaCode}).success(function (ret) {
          if (ret.code == '0') {
            $scope.tabItem.itemAreaTypeModel.itemAreaTypeList = ret.data;
          }
        });
      }
    };

    //筛选层数据结构
    $scope.filterItem = {
      isShowFilter:false,
      itemType3Facet:[],
      brandFacet:[],
      showItemType3Count:10,
      showBrandCount:10,
      toggleFilter:function(){
        $scope.filterItem.isShowFilter = !$scope.filterItem.isShowFilter;
      },
      clearFilter:function(){
        if($scope.filterItem.itemType3Facet.length > 0){
          $scope.vm.itemType3 = null;
        }
        if($scope.filterItem.brandFacet.length > 0) {
          $scope.vm.brandCode = null;
        }
      },
      confirmSelected:function(){
        $ionicScrollDelegate.$getByHandle('supplierInfoScroll').scrollTop();
        $scope.doRefresh();
        $scope.filterItem.toggleFilter();
      },
      selectedDelivType:function(delivType){
        if($scope.vm.delivType == delivType){
          $scope.vm.delivType = '';
        }else{
          $scope.vm.delivType = delivType;
        }
      },
      selectedItemType3:function(itemType3){
        if($scope.vm.itemType3 == itemType3.id){
          $scope.vm.itemType3 = '';
        }else{
          $scope.vm.itemType3 = itemType3.id;
          if($scope.filterItem.brandFacet.length > 0) {
            $scope.vm.brandCode = null;
          }
          $scope.doRefresh();
        }
      },
      selectedBrandCode:function(brandFacet){
        if($scope.vm.brandCode == brandFacet.id){
          $scope.vm.brandCode = '';
        }else{
          $scope.vm.brandCode = brandFacet.id;
        }
      },
      isNotEmpty:function(maps){
        var  hasProp = false;
        for (var prop in maps){
          hasProp = true;
          break;
        }
        return hasProp;
      },
      showAllItemType3:function(){
        if($scope.filterItem.showItemType3Count == 10){
          $scope.filterItem.showItemType3Count = $scope.filterItem.itemType3Facet.length;
        }else{
          $scope.filterItem.showItemType3Count = 10;
        }
      },
      showAllBrand:function(){
        if($scope.filterItem.showBrandCount == 10){
          $scope.filterItem.showBrandCount = $scope.filterItem.brandFacet.length;
        }else{
          $scope.filterItem.showBrandCount = 10;
        }
      }
    };

    //初始化页脚的报货单栏目
    GoodsDetailServ.initFootBar($scope);
    $scope.goToShoppingCart = function () {
      $scope.needRefresh = true;
      $state.go('tab.order');
    };
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item,'qty1',$scope);
    };
    //加一或减一
    $scope.changeQty1=function(opt,item){
      GoodsDetailServ.changeQty1(opt,item);
    };
    //立即加入报货单
    $scope.addShoppingCart = function (item) {
      if(item.qty+item.qty1 > item.realtimeStockCount){//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if(item.licence && item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)){
        $state.go('applyLicence',{licence:item.licence,splCode:item.splCode});
      }else{
        GoodsDetailServ.addShoppingCart(item,$scope);
      }
    };
    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel,$scope);
    }
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode,splCode,spAreaCode,delivType) {
      if(!$scope.emptyToken){
        $state.go('tab-goods-detail', {itCode: itCode.trim(),splCode:splCode.trim(),spAreaCode:Global.User.Store.spAreaCode.trim(),delivType:delivType});
      }
    };

    $scope.goLoginPage = function () {
      event.stopPropagation();
      $state.go('login', {url: "tab-supplier-info", stateParams: JSON.stringify({splCode:$stateParams.splCode})});
      $ionicViewSwitcher.nextDirection("forward");
      $scope.needRefresh = true;
    };

    //退换说明
    $scope.goRetRemark = function(retRemark){
      event.stopPropagation();
      $state.go('retRemark',{retRemark:retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //到货通知
    $scope.addArrivalNotice = function(item){
      GoodsDetailServ.addArrivalNotice(item,$scope);
    };

    //去逛逛
    $scope.goSearchResult = function(){
      $state.go('tab-search-results',{searchKey:''});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if(item.delivType !='1'){
        return;
      }
      GoodsDetailServ.changeItemSupplier(item,$scope);
    };

    $scope.stopProp = function () {
      event.stopPropagation();
    };

    $scope.$on("$ionicView.enter", function (scopes, states) {
      if (Global.User.token !== undefined && Global.User.token !== "") {
        $scope.emptyToken = false;
      }else{
        $scope.emptyToken = true;
      }
      if($scope.needRefresh && !$scope.emptyToken){
        $scope.needRefresh = false;
        $scope.doRefresh();
      }else if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'retRemark'){
        //从退换说明进入该页面不刷新
      }else if($ionicHistory.forwardView() && $ionicHistory.forwardView().stateName == 'tab-goods-detail'){
        //来自于商品详情的返回不刷新当前页面
        if (Global.User.token !== undefined && Global.User.token !== "" && $scope.vm.data){
          loadShoppingCart($scope.vm.data);
        }
      }
    });
  }])
  //查看供应商详情
  .controller('SupplierDetailCtrl', ['$scope', 'Global', '$state', '$ionicHistory', '$stateParams', 'SupplierDetailServ', 'FavoritesServ', function ($scope, Global, $state, $ionicHistory, $stateParams,SupplierDetailServ,FavoritesServ) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //获取供应商详情
    SupplierDetailServ.getSupplierDetail($stateParams.splCode).success(function(ret){
      if(ret.code === 0){
        $scope.supplierDetail = ret.data;
        FavoritesServ.isFavoriteSpl($stateParams.splCode).success(function (ret1) {
          if(ret1.code === 0){
            $scope.supplierDetail.isFavorite = ret1.data;
          }
        });
      }
    });
    //点击图片放大
    $scope.showBigImage = function () {
      $scope.isBigImage = true;
    };
    //点击图片缩小
    $scope.hideBigImage = function () {
      $scope.isBigImage = false;
    };

    //查看供应商商品
    $scope.goSupplierItem = function(){
      $state.go('tab-search-results',{params:JSON.stringify({splCode:$stateParams.splCode})});
    };

    //收藏供应商
    $scope.supplierFavorite = function (val) {
      if(val){ //收藏供应商
        FavoritesServ.addFavoritesSpl({cashId:Global.User.cashierId,splCode:$stateParams.splCode}).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('供应商收藏成功！');
            $scope.supplierDetail.isFavorite = true;
          }
        });
      }else{ //取消供应商收藏
        FavoritesServ.cancelFavoritesSpl($stateParams.splCode).success(function (ret) {
          if(ret.code === 0){
            Global.popup.showToast('取消供应商收藏成功！');
            $scope.supplierDetail.isFavorite = false;
          }
        });
      }
    };

    // 统计供应商在售商品品项数
    SupplierDetailServ.getSupplierItemQtys({splcode:$stateParams.splCode}).success(function (ret) {
      if(ret.code === 0){
        $scope.supplierItemQtys = ret.data;
      }
    });
    // 统计供应商被多少家站点收藏
    SupplierDetailServ.getSupplierBeFavoritedQtys({splcode:$stateParams.splCode}).success(function (ret) {
      if(ret.code === 0){
        $scope.supplierBeFavoritedQtys = ret.data;
      }
    });

    // 跳转至在供商品品项数
    $scope.goItemSalesPage = function () {
      $state.go('tab-supplier-info',{splCode:$stateParams.splCode});
    };
    // 跳转至被举报商品价格记录
    $scope.goItemCostTipOffPage = function () {
      $state.go('tab-supplier-itemCostTipOff',{splCode:$stateParams.splCode});
    };
    // 跳转至商品断货记录
    $scope.goItemCutSalesPage = function () {
      $state.go('tab-supplier-arrivalNotice',{splCode:$stateParams.splCode});
    };
  }])
  //申请资质
  .controller('ApplyLicenceCtrl',['$scope', '$stateParams', '$ionicHistory', 'Global', '$cordovaCamera', '$cordovaImagePicker', '$ionicLoading', '$timeout', '$interval', 'ApplyLicenceServ', function($scope,$stateParams,$ionicHistory,Global,$cordovaCamera,$cordovaImagePicker,$ionicLoading,$timeout,$interval,ApplyLicenceServ){
    $scope.imgCount = 0;
    $scope.uploadCount = 0;
    //后退
    $scope.goBack = function () {
      if($scope.isNew && $scope.imgCount > 0){
        Global.popup.confirm('您有图片上传尚未保存，是否退出？',function(){
          Global.utils.goBack();
          $cordovaCamera.cleanup();
        },function(){
          //todo
        });
      }else{
        Global.utils.goBack();
      }
    };

    //初始化数据，上传的图片列表
    $scope.uploadImgUrl = [];
    $scope.initStoreUncheckPic = function(){
      ApplyLicenceServ.getStoreUncheckPic($stateParams.licence.trim()).success(function(ret){
        if(ret.code === 0 && ret.data.data && ret.data.data.length > 0){
          $scope.isNew = false;
        }else{
          $scope.isNew = true;
        }
        $scope.uploadImgUrl = [];
        if(ret.data.licence && ret.data.licence.length > 0){
          angular.forEach(ret.data.licence,function(licence){
            var json = {};
            for(var temp in licence){
              json ={licence:temp,licenceName:licence[temp],pics:[],uploadCount:0};
            }
            angular.forEach(ret.data.data,function(detail,index){
              if(json.licence == detail.licence){
                var pics = [];
                angular.forEach(detail.pics,function(pic,k){
                  var imageName = pic.substr(pic.lastIndexOf('/') + 1);
                  pics.push({imageName:imageName,imageUrl:pic,fileId:'',url:pic});
                });
                json.pics = pics;
                json.status = detail.status;
                json.statusName = detail.statusName;
                return;
              }
            });
            $scope.uploadImgUrl.push(json);
          });
        }
      });
    };

    $scope.$on( "$ionicView.enter", function(){
      //判断是否来自于微信端的操作
      var ua = navigator.userAgent.toLowerCase();
      if(!window.cordova && ua.match(/MicroMessenger/i)=="micromessenger") {//是否来自于微信公众号登录
        $scope.isFromWx = true;
      }
      $scope.initStoreUncheckPic();
    });

    //来自于微信的拍照或相片上传
    $scope.wxUploadImgCameraAndLocal = function(detail){
      wxUtil.chooseImage({
        count: 5, // 默认9，这里每次只处理一张照片
        sizeType: ['compressed'],   // 可以指定是原图还是压缩图，默认二者都有
        sourceType: ['album', 'camera'],        // 可以指定来源是相册还是相机，默认二者都有
        success: function (res) {
          angular.forEach(res.localIds,function(localId,index){
            var imageURI = localId;      // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
            var imageName = imageURI.substr(imageURI.lastIndexOf('/') + 1);
            detail.pics.push({imageName:imageName,imageUrl:imageURI});
            $scope.imgCount ++;
          });
        }
      });
    };

    //微信往服务器上传图片文件
    $scope.wxUploadImg = function(licence,pic){
      wxUtil.uploadImage({
        localId: pic.imageUrl,
        success: function(res) {
          //res.serverId 就是 media_id，根据它去微信服务器读取图片数据：
          ApplyLicenceServ.getWxImg(res.serverId, pic.imageName).success(function (ret) {
            if(ret.code === 0){
              pic.fileId = ret.data.fileId;
              pic.url = ret.data.url;
              $scope.uploadCount ++;
              licence.uploadCount ++;
            }
          });
        }
      });
    };

    //往服务器上传图片文件
    $scope.uploadImg = function(licence,pic){
      //此处执行文件上传的操作，上传成功后执行下面代码
      var imageURI = pic.imageUrl;
      var options = new FileUploadOptions(); //文件参数选项
      options.fileKey = "file";//向服务端传递的file参数的parameter name
      options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);//文件名
      options.mimeType = "image/jpeg";//文件格式，默认为image/jpeg
      var ft = new FileTransfer();//文件上传类
      ft.onprogress = function (progressEvt) {//显示上传进度条
        if (progressEvt.lengthComputable) {
          //进度，这里使用文字显示下载百分比
          $timeout(function () {
            var downloadProgress = Math.round((progressEvt.loaded / progressEvt.total ) * 100);
            $ionicLoading.show({template: "已经上载：" + Math.floor(downloadProgress) + "%"});
            if (downloadProgress > 99) {
              $ionicLoading.hide();
            }
          });
        }
      };
      //$ionicLoading.show({template: "已经上传：0%"});
      ft.upload(imageURI, encodeURI(Global.Server.url + '/fileUploader'), function (result) {
        var ret = JSON.parse(result.response);
        if(ret.code === 0){
          $ionicLoading.hide();
          pic.fileId = ret.data.fileId;
          pic.url = ret.data.url;
          //Global.popup.showToast("文件上传成功！");
          $scope.uploadCount ++;
          licence.uploadCount ++;
        }else{
          //Global.popup.showToast("文件上传失败！错误："+ret.message);
        }
      }, function(error){
        $ionicLoading.hide();
        //Global.popup.showToast("文件上传失败！错误："+error.code);
      }, options);
    };
    //本地上传
    $scope.uploadImgLocal = function(detail){
      $cordovaImagePicker.getPictures({
        maximumImagesCount: 5,
        quality: 50,
        width: 600,
        height: 800
      }).then(function (imageURIs) {
        for (var i = 0; i < imageURIs.length; i++) {
          var imageName = imageURIs[i].substr(imageURIs[i].lastIndexOf('/') + 1);
          detail.pics.push({imageName:imageName,imageUrl:imageURIs[i]});
          $scope.imgCount ++;
        }
      },function(error) {
        Global.popup.alert("本地上传失败，原因：" + error.code);
      });
    };
    //拍照上传
    $scope.uploadImgCamera = function(detail){
      $cordovaCamera.getPicture({
        quality:50,
        destinationType: Camera.DestinationType.FILE_URI,
        sourceType:  Camera.PictureSourceType.CAMERA,
        encodingType: Camera.EncodingType.JPEG,
        mediaType: Camera.MediaType.PICTURE,
        allowEdit: false,
        correctOrientation: true,
        targetWidth:600,
        targetHeight:800
      }).then(function(imageURI){
        var imageName = imageURI.substr(imageURI.lastIndexOf('/') + 1);
        detail.pics.push({imageName:imageName,imageUrl:imageURI});
        $scope.imgCount ++;
      }, function(message){
        if(message != 'Camera cancelled.'){
          Global.popup.alert("本地上传失败，原因：" + message);
        }
      });
    };
    //点击图片放大
    $scope.showBigImage = function (imageUrl) {
      $scope.curImageUrl = imageUrl;
      $scope.isBigImage = true;
    };
    //点击图片缩小
    $scope.hideBigImage = function () {
      $scope.isBigImage = false;
    };
    //长按删除照片
    $scope.deleteImg = function(pics,index){
      Global.popup.confirm('确定删除该张图片？',function (){
        var imageURI =  pics[index];
        if(!imageURI.url){
          $scope.imgCount --;
        }
        pics.splice(index,1);
      });
    };
    //完成图片上传操作
    $scope.goComplete = function(licence){
      var remoteCount = 0,allUploadImgCount = 0,result = true,timer = null;
      $scope.isCanUpload =  true;
      if(licence){//单个资质提交
        if(!licence.pics || licence.pics.length === 0 || licence.pics.length > 5){
          Global.popup.showToast('请上传'+licence.licenceName+'的资质材料，最多只能上传5张！');
          return;
        }
        angular.forEach(licence.pics,function(pic,k){
          allUploadImgCount ++;
          if(!pic.url){
            if($scope.isFromWx){//微信上传
              $scope.wxUploadImg(licence,pic);
            }else{//app上传
              $scope.uploadImg(licence,pic);
            }
          }else{
            remoteCount ++;
          }
        });
        timer = $interval(function(){
          if(licence.uploadCount+remoteCount == allUploadImgCount && $scope.isCanUpload){
            $scope.isCanUpload = false;
            var param = {},data = [];
            data.push(licence);
            param.storeCode = Global.User.Store.code.trim();
            param.data = data;
            param.splCode = $stateParams.splCode.trim();
            ApplyLicenceServ.saveStoreUncheckPic(param).success(function(ret){
              if(ret.code === 0){
                Global.popup.showToast('上传拍照成功！');
                $scope.initStoreUncheckPic();
                if($cordovaCamera){
                  $cordovaCamera.cleanup();
                }
              }else{
                $scope.isCanUpload = true;
                Global.popup.showToast('上传拍照失败，请重新上传！message:'+ret.message);
              }
              $interval.cancel(timer);
            }).error(function(error){
              $scope.isCanUpload = true;
              Global.popup.showToast('上传拍照失败，请重新上传！message:'+error);
              $interval.cancel(timer);
            });
          }
        },300);
      }else{//全部资质提交
        angular.forEach($scope.uploadImgUrl,function(detail,index){
          if(!detail.pics || detail.pics.length === 0 || detail.pics.length > 5){
            result = false;
            return;
          }
          angular.forEach(detail.pics,function(pic,k){
            allUploadImgCount ++;
            if(!pic.url){
              if($scope.isFromWx){//微信上传
                $scope.wxUploadImg(detail,pic);
              }else{//app上传
                $scope.uploadImg(detail,pic);
              }
            }else{
              remoteCount ++;
            }
          });
        });
        if(!result){
          Global.popup.showToast('请上传所有许可的资质材料，一种许可的资质材料最多只能上传5张！');
          return false;
        }
        timer = $interval(function(){
          if($scope.uploadCount+remoteCount == allUploadImgCount && $scope.isCanUpload){
            $scope.isCanUpload = false;
            var param = {};
            param.storeCode = Global.User.Store.code.trim();
            param.data = $scope.uploadImgUrl;
            param.splCode = $stateParams.splCode.trim();
            ApplyLicenceServ.saveStoreUncheckPic(param).success(function(ret){
              if(ret.code === 0){
                Global.popup.showToast('上传拍照成功！');
                Global.utils.goBack();
                if($cordovaCamera){
                  $cordovaCamera.cleanup();
                }
                $scope.imgCount = 0;
              }else{
                $scope.isCanUpload = true;
                Global.popup.showToast('上传拍照失败，请重新上传！message:'+ret.message);
              }
              $interval.cancel(timer);
            }).error(function(error){
              $scope.isCanUpload = true;
              Global.popup.showToast('上传拍照失败，请重新上传！message:'+error);
              $interval.cancel(timer);
            });
          }
        },300);
      }
    };
  }])
  //退换说明
  .controller('RetRemarkCtrl', ['$scope', 'Global', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', function ($scope, Global, $ionicHistory,$stateParams,$ionicViewSwitcher) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    //退换说明
    $scope.retRemarkContent = $stateParams.retRemark.replace('\n','<br>');
  }])
  //扫描下单
  .controller('QrCodeCtrl', ['$scope', '$state', 'Global', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', '$cordovaBarcodeScanner', 'MyCouponsServ', function ($scope,$state, Global, $ionicHistory,$stateParams,$ionicViewSwitcher,$cordovaBarcodeScanner,MyCouponsServ) {
    $scope.goBack = function () {
      $state.go('tab.first');
    };
    //扫商品条码
    $scope.scanBarcode = function () {
      if(!window.cordova){//是否来自于APP端
        wxUtil.scanQRCode(function(res){
          if(res && res.resultStr.length > 0){
            $state.go('tab-search-results',{searchKey:res.resultStr.substring(res.resultStr.indexOf(',')+1)});
            $ionicViewSwitcher.nextDirection("forward");
          }
        });
      }else{
        $cordovaBarcodeScanner.scan().then(function(imageData) {
          if(imageData && imageData.text && imageData.text.length > 0){
            $state.go('tab-search-results',{searchKey:imageData.text});
            $ionicViewSwitcher.nextDirection("forward");
          }
        }, function(error) {
          Global.popup.showToast(error);
        });
      }
    };
    //扫卡券条码
    $scope.scanCoupon = function () {
      if(Global.User.token && Global.User.token !== ''){
        if(!window.cordova){//是否来自于APP端
          wxUtil.scanQRCode(function(res){
            if(res && res.resultStr.length > 0) {
              MyCouponsServ.getCouponInfo(res.resultStr.substring(res.resultStr.indexOf(',') + 1)).success(function (ret) {
                if (ret.code === 0) {
                  Global.popup.showToast('卡券录入成功！');
                  $state.go('myCoupons',{storeCode:Global.User.Store.code.trim()});
                } else {
                  Global.popup.showToast(ret.message);
                }
              }).error(function (err) {
                Global.popup.showToast('卡券录入失败！');
              });
            }
          });
        }else{
          $cordovaBarcodeScanner.scan().then(function (imageData) {
            if(imageData && imageData.text && imageData.text.length > 0) {
              MyCouponsServ.getCouponInfo(imageData.text).success(function (ret) {
                if (ret.code === 0) {
                  Global.popup.showToast('卡券录入成功！');
                  $state.go('myCoupons',{storeCode:Global.User.Store.code.trim()});
                } else {
                  Global.popup.showToast(ret.message);
                }
              }, function (err) {
                Global.popup.showToast('卡券录入失败！');
              });
            }
          });
        }
      }else{
        $state.go('login',{url:$state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //扫供应商条码
    $scope.scanSupplier = function () {
      if(!window.cordova){//是否来自于APP端
        wxUtil.scanQRCode(function(res){
          if(res && res.resultStr.length > 0) {
            $state.go('tab-search-results', {params: JSON.stringify({"splCode": res.resultStr.substring(res.resultStr.indexOf(',') + 1)})});
            $ionicViewSwitcher.nextDirection("forward");
          }
        });
      }else{
        $cordovaBarcodeScanner.scan().then(function(imageData) {
          if(imageData && imageData.text && imageData.text.length > 0) {
            $state.go('tab-search-results', {params: JSON.stringify({"splCode": imageData.text})});
            $ionicViewSwitcher.nextDirection("forward");
          }
        }, function(error) {
          Global.popup.showToast(error);
        });
      }
    };
    //扫订单条码
    $scope.scanSalesInvoice = function () {
      if(Global.User.token && Global.User.token !== '') {
        if (!window.cordova) {//是否来自于APP端
          wxUtil.scanQRCode(function (res) {
            if (res && res.resultStr.length > 0) {
              $state.go('salesInvoiceDetail', {siNo: res.resultStr.substring(res.resultStr.indexOf(',') + 1)});
              $ionicViewSwitcher.nextDirection("forward");
            }
          });
        } else {
          $cordovaBarcodeScanner.scan().then(function (imageData) {
            if (imageData && imageData.text && imageData.text.length > 0) {
              $state.go('salesInvoiceDetail', {siNo: imageData.text});
              $ionicViewSwitcher.nextDirection("forward");
            }
          }, function (error) {
            Global.popup.showToast(error);
          });
        }
      }else{
        $state.go('login',{url:$state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
  }])
  // 供应商被举报商品价格记录
  .controller('SupplierItemCostTipOffCtrl', ['$scope', 'Global', '$state', '$ionicHistory', '$timeout', '$stateParams', 'SupplierDetailServ', function ($scope, Global, $state, $ionicHistory,$timeout,$stateParams,SupplierDetailServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      records: '',
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取供应商被举报商品价格记录
        SupplierDetailServ.getItemCostTipOffBySplcode({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,splcode:$stateParams.splCode}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            $scope.vm.records = ret.records;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到供应商被举报商品价格记录！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          SupplierDetailServ.getItemCostTipOffBySplcode({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,splcode:$stateParams.splCode}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };
  }])
  // 供应商商品断货记录
  .controller('SupplierArrivalNoticeCtrl', ['$scope', 'Global', '$state', '$ionicHistory', '$timeout', '$stateParams', 'SupplierDetailServ', function ($scope, Global, $state, $ionicHistory,$timeout,$stateParams,SupplierDetailServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      records: '',
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取供应商商品断货记录
        SupplierDetailServ.getSupplierArrivalNotice({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,splcode:$stateParams.splCode}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            $scope.vm.records = ret.records;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到获取供应商商品断货记录！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          SupplierDetailServ.getSupplierArrivalNotice({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,splcode:$stateParams.splCode}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };
  }])
  //商品平台价格走势图
  .controller('costChartCtrl', ['$scope', 'Global', '$ionicHistory', '$stateParams', '$ionicViewSwitcher', 'GoodsDetailServ', '$timeout', function ($scope, Global, $ionicHistory,$stateParams,$ionicViewSwitcher,GoodsDetailServ,$timeout) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    $scope.condition = {};
    if ($stateParams.itCode !== undefined && $stateParams.itCode !== "") {
      $scope.condition.itCode = $stateParams.itCode;
    }
    if ($stateParams.splCode !== undefined && $stateParams.splCode !== "") {
      $scope.condition.splCode = $stateParams.splCode;
    }
    if ($stateParams.spAreaCode !== undefined && $stateParams.spAreaCode !== "") {
      $scope.condition.spAreaCode = $stateParams.spAreaCode;
    }
    if ($stateParams.delivType !== undefined && $stateParams.delivType !== "") {
      $scope.condition.delivType = $stateParams.delivType;
    }

    GoodsDetailServ.getItemDetail($scope.condition).success(function (ret) {
      if(ret.code === 0){
        $scope.itemModel = {
          items: ret.data,
          activeIndex: 0,
          pageClick: function (index) {
            $scope.itemModel.activeIndex = index;
          },
          slideHasChanged: function ($index) {
            //alert($index);
          }
        };
      }
    }).error(function (err) {
      Global.popup.showToast("查询不到商品信息！");
    });

    GoodsDetailServ.getCostChart($stateParams.itCode).success(function (ret) {
      if (ret.code === 0){
        var labels = [], data = [], dataset = [];
        angular.forEach(ret.data,function (detail) {
          labels.push(detail.name);
          data.push(detail.value);
        });
        //图表属性
        $scope.chart = {
          labels: labels,
          data: [data],
          dataset: [{fill: false}]
        };
      }
    });

  }]);

AppFilters.filter('currentItemType1List', function () {  //参考文献：http://www.jb51.net/article/77076.htm
  return function (input,pCode) {
    var out = [];
    angular.forEach(input, function (itemList) {
      if (itemList.code.trim() === pCode) {
        out.push(itemList);
      }
    });
    return out;
  };
}).filter('searchMapLimitTo', function () {  //专给全文搜索引擎使用，遍历map取自定义个数map集合
  return function (input,idx) {
    var out = [],count = 0;
    for(var map in input){
      var key = map.split('|');
      out.push({id:key[0],name:key[1],count:input[map]});
      count ++;
      if(count == idx){
        break;
      }
    }
    return out;
  };
});

AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
    $stateProvider
    //搜索结果
      .state('tab-search-results', {
        url: '/search-results/:searchKey,:itemType1,:itemType2,:itemType3,:itemGroup,:params',
        //templateUrl: 'store/item/search-results.html',
        //controller:'searchResultsCtrl'
        templateUrl: 'store/item/search-typeItem-results.html',
        controller:'searchTypeItemResultsCtrl'
      })
      //商品详情页
      .state('tab-goods-detail', {
        cache:false,
        url: '/goods-detail/:id,:itCode,:splCode,:spAreaCode,:delivType',
        templateUrl: 'store/item/goods-detail.html',
        controller:'GoodsDetailCtrl'
      })
      //搜索页
      .state('tab-search', {
        url: '/search',
        templateUrl: 'store/item/search.html',
        controller:'searchCtrl'
      })
      //供应商信息
      .state('tab-supplier-info', {
        url: '/supplier-info/:splCode',
        templateUrl: 'store/item/supplier-info.html',
        controller:'SupplierInfoCtrl'
      })
      //供应商详情
      .state('tab-supplier-detail', {
        cache:false,
        url: '/supplier-detail/:splCode',
        templateUrl: 'store/item/supplier-detail.html',
        controller:'SupplierDetailCtrl'
      })
      //申请资质
      .state('applyLicence', {
        url: '/applyLicence/:licence,:splCode',
        templateUrl: 'store/item/apply-licence.html',
        controller:"ApplyLicenceCtrl"
      })
      //退换说明
      .state('retRemark', {
        url: '/retRemark/:retRemark',
        templateUrl: 'store/item/retRemark.html',
        controller:"RetRemarkCtrl"
      })
      // 供应商被举报商品价格记录
      .state('tab-supplier-itemCostTipOff', {
        url: '/supplier-itemCostTipOff/:splCode',
        templateUrl: 'store/item/supplier-itemCostTipOff.html',
        controller:'SupplierItemCostTipOffCtrl'
      })
      // 供应商商品断货记录
      .state('tab-supplier-arrivalNotice', {
        url: '/supplier-arrivalNotice/:splCode',
        templateUrl: 'store/item/supplier-arrivalNotice.html',
        controller:'SupplierArrivalNoticeCtrl'
      })
      //商品平台价格走势图
      .state('costChart', {
        url: '/costChart/:itCode,:splCode,:spAreaCode,:delivType',
        templateUrl: 'store/item/costChart.html',
        controller:"costChartCtrl"
      });
  }]);

AppServices
  .factory('ItemServ', ['$q', '$http', 'Global', function($q, $http,Global) {
    return {
      //获取所有商品分类
      getItemTypeList:function(){
        return Global.https.get("/home/itemTypes",{},undefined,undefined,false);
      },
      //获取商品分类1
      getItemType1List:function(){
        return Global.https.get("/itemTypes?level=1",{},undefined,undefined,false);
      },
      //获取商品分类2
      getItemType2List:function(){
        return Global.https.get("/itemTypes?level=2",{},undefined,undefined,false);
      },
      //获取商品分类3
      getItemType3List:function(){
        return Global.https.get("/itemTypes?level=3",{},undefined,undefined,false);
      },
      //获取供应商列表
      getSupplierList:function(condition){
        return Global.https.authGet('/supplier',condition,undefined,undefined,false);
      },
      //获取同一种商品的多个供应商列表
      getAllOnSalesSplItem:function (condition) {
        return Global.https.authGet('/itemAreas/allOnSalesSplItem',condition,undefined,undefined,false);
      }
    };
  }])
  .factory('SearchServ', ['$q', '$http', 'Global', function($q, $http,Global) {
    return {
      //获取供应商商品类别
      getSupplierItemType:function (condition) {
        return Global.https.get('/itemTypes/supplier',condition,undefined,undefined,false);
      },
      //获取搜索结果商品列表
      getItemList:function(condition){
        if(Global.User.token===undefined || Global.User.token===""){
          return Global.https.get('/itemAreas',condition,undefined,undefined,false);
        }else {
          return Global.https.authGet('/itemAreas',condition,undefined,undefined,false);
        }
      },
      //获取热搜关键字
      getHotSearchKeys:function(){
        return Global.https.get("/hotSearchKeys",{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
      }
    };
  }])
  .factory('GoodsDetailServ', ['$q', '$http', 'Global', 'OrderServ', '$rootScope', '$state', '$ionicModal', function($q, $http,Global,OrderServ,$rootScope,$state,$ionicModal) {
    var  addShoppingCart = function (item,$scope,callBack) {//由于另一个地方有用到，所以写成变量
      event.stopPropagation();
      if (!Global.User.token) {
        $scope.goLoginPage();
        return;
      }
      var param = {
        splCode:(item.splCode||item.splcode).trim(),
        itCode: item.itcode.trim(),
        delivType:item.delivType,
        qty: item.qty1,
        isSel:'1'
      };
      item.qty = item.qty+param.qty;
      OrderServ.myShoppingCart(param).success(function (data) {
        if (data.code === 0) {
          Global.popup.showToast(param.qty<0?"移出报货单成功！":"加入报货单成功！");
          loadShoppingCart(item,$scope,callBack);
          item.shopingCartPk = data.data.pk;
          item.checked = true;
        } else {
          item.qty = item.qty-param.qty;
          Global.popup.showToast("加入报货单失败！" + data.message);
        }
      }).error(function (data) {
        item.qty = item.qty-param.qty;
        Global.popup.showToast("加入报货单失败！请检查你的网络。");

      });
    };
    //修改报货单数量
    var updateShoppingCart = function (item,$scope,callBack) {
      event.stopPropagation();
      if (!Global.User.token) {
        $scope.goLoginPage();
        return;
      }
      var param = {
        pk:item.shopingCartPk,
        qty: item.qty1,
        delivType:item.delivType,
        itCode: item.itcode.trim(),
        splCode:(item.splCode||item.splcode).trim()
      };
      OrderServ.updateShoppingCart(param).success(function (data) {
        if (data.code === 0) {
          Global.popup.showToast("修改报货单成功！");
          loadShoppingCart(item,$scope,callBack);
          item.qty = item.qty1;
        } else {
          Global.popup.showToast("修改报货单失败！" + data.message);
        }
      }).error(function (data) {
        Global.popup.showToast("修改报货单失败！请检查你的网络。");
      });
    };
    //如果登录则需要回填已经加入报货单的商品
    var loadShoppingCart =function(itemModel,$scope,callBack){
      if(itemModel.length > 0){
        angular.forEach(itemModel,function(item){
          item.qty1 = item.itemSize;//输入框的数
          item.qty=0;//报货单中已有的数量
        });
      }
      if(callBack === undefined){//默认需要重新计算数值
        OrderServ.getShoppingCart().success(function (shopRet) {
          if (shopRet.code == '0') {
            var money = 0,money1 = 0,qty = 0;
            if (shopRet.records > 0) {//如果报货单中存在商品,则进行数据选中
              angular.forEach(shopRet.data,function(group){
                angular.forEach(group.shoppingCarts, function (shopItem) {
                  if(itemModel.length > 0){
                    angular.forEach(itemModel, function (item) {
                      if (item.itcode.trim() == shopItem.itcode.trim() && item.delivType == shopItem.delivType && item.splCode.trim() == shopItem.splCode.trim()) {
                        item.checked = shopItem.isSel == '1'?true:false;
                        item.qty = shopItem.qty;
                        item.shopingCartPk = shopItem.pk;
                      }
                    });
                  }
                  if(shopItem.isSel == '1'){
                    money += (shopItem.cost-shopItem.cashBack) * shopItem.qty;
                    money1 += shopItem.cost * shopItem.qty;
                    qty += 1;
                  }
                });
              });
            }
            $scope.qty = qty;
            $scope.money = money;
            $scope.money1 = money1;
            $scope.currentOrder=shopRet.currentOrder;
          }
        });
      }else{
        callBack();
      }
    };
    return {
      //获取搜索结果商品列表
      getItemDetail:function(condition){
        if(condition.itCode!== undefined && condition.itCode !== ""){
          if(Global.User.token===undefined || Global.User.token===""){
            return Global.https.get('/itemAreas/detail',condition,undefined,undefined,false);
          }else {
            return Global.https.authGet('/itemAreas/detail',condition,undefined,undefined,false);
          }
        }
      },
      initFootBar : function($scope){
        $scope.salesBeginFund = Global.User.Store.salesBeginFund || 0;
        $scope.qty = 0;
        $scope.money = 0;
        $scope.money1 = 0;
        $scope.currentOrder = 0;
        //去报货单
        $scope.goToOrder = function(){
          $state.go('tab.order');
        };
      },
      changeQty1 : function(opt,item){
        if(opt=='-'){
          if(item.qty1>item.itemSize){
            item.qty1-=item.itemSize;
            return true;
          }else{
            return false;
          }
        }else{
          if(item.isProm=='1' && item.promTopQty!='0' && (item.qty1+item.qty+item.itemSize)>item.promTopQty){
            Global.popup.showToast("订购数量不能大于限订量！");
            return false;
          }
          if(item.qty1+item.itemSize > item.realtimeStockCount){//库存不足
            Global.popup.showToast('商品库存不足，无法加入报货单！');
            return false;
          }
          item.qty1+=item.itemSize;
          return true;
        }

      },
      updateShoppingCarQty : function (item,st,$scope,callBack) {//参数st为'qty'或‘qty1’,qty是报货单用的，qty1是其他地方
        $scope.shoppingCartQtyModel = {
          shoppingCarQty: 0,
          itemSize:item.itemSize,
          isProm : item.isProm,
          promTopQty:item.promTopQty
        };
        $scope.blurQty = function(){
          document.getElementById('shoppingCarQty').focus();
        };
        //添加商品数量
        $scope.addQty = function (item) {
          if($scope.shoppingCartQtyModel.isProm=='1' && $scope.shoppingCartQtyModel.promTopQty!='0' && ($scope.shoppingCartQtyModel.shoppingCarQty+$scope.shoppingCartQtyModel.itemSize)>$scope.shoppingCartQtyModel.promTopQty){
            Global.popup.showToast("订购数量不能大于限订量！");
            return ;
          }
          $scope.shoppingCartQtyModel.shoppingCarQty += $scope.shoppingCartQtyModel.itemSize;
        };
        //减少商品数量
        $scope.lessQty = function (item) {
          if ($scope.shoppingCartQtyModel.shoppingCarQty > $scope.shoppingCartQtyModel.itemSize) {
            $scope.shoppingCartQtyModel.shoppingCarQty -= $scope.shoppingCartQtyModel.itemSize;
          }
        };
        event.stopPropagation();
        $scope.errorFlag=false;
        if(st=='qty'){
          $scope.shoppingCartQtyModel.shoppingCarQty = Number(item.qty);
        }else{
          $scope.shoppingCartQtyModel.shoppingCarQty = Number(item.qty1);
        }
        var dialog = Global.popup.show({
          title: item.descr,
          templateUrl: 'shoppingCar-view.html',
          subTitle: (item.itemSize=='1'?'':'起订量：'+item.itemSize+(item.uomDescr===undefined||item.uomDescr===''?'':item.uomDescr))+(item.isProm=='0'||item.promTopQty=='0'?'':'；限订量：'+item.promTopQty+item.uomDescr),
          scope: $scope
        }, function (e) {
          e.preventDefault();
          if($scope.shoppingCartQtyModel.shoppingCarQty<=0){
            $scope.errorFlag=true;
            $scope.errorTip="提示：订购数量必须是正数!";
            e.preventDefault();
          }
          else if(item.isProm=='1' && item.promTopQty!='0' && $scope.shoppingCartQtyModel.shoppingCarQty>item.promTopQty){
            $scope.errorFlag=true;
            $scope.errorTip="提示：订购数量不能大于限订量!";
            e.preventDefault();
          }
          else if($scope.shoppingCartQtyModel.shoppingCarQty > item.realtimeStockCount){//库存不足
            $scope.errorFlag=true;
            $scope.errorTip="提示：商品库存不足，仅剩"+item.realtimeStockCount+item.uomDescr+"！";
            e.preventDefault();
          }
          else if($scope.shoppingCartQtyModel.shoppingCarQty%item.itemSize=='0') {
            if(st=='qty'){//如果参数是qty（报货单修改数量），则要修改报货单数量
              //item.qty1=$scope.shoppingCartQtyModel.shoppingCarQty-item.qty;
              //addShoppingCart(item,$scope,callBack);
              item.qty1=$scope.shoppingCartQtyModel.shoppingCarQty;
              updateShoppingCart(item,$scope,callBack);
            }else{
              item.qty1 = $scope.shoppingCartQtyModel.shoppingCarQty;
            }
            dialog.close();
          }else{
            $scope.errorFlag=true;
            $scope.errorTip="提示：订购数量必须是起订量的整数倍!";
            e.preventDefault();
          }
        }, function () {
          dialog.close();
        });
      },
      //立即加入报货单
      addShoppingCart : function (item,$scope,callBack) {
        if ($scope.isInModal) {
          addShoppingCart(item,$scope,callBack);
        } else {
          Global.https.authGet('/itemAreas/allOnSalesSplItem',{itcode:item.itcode,spAreaCode:item.spAreaCode},undefined,undefined,false).success(function (ret) {
            if(ret.code === 0){
              if (ret.data && ret.data.length > 1) { // 商品有多个供应商，弹出供应商商品列表选择
                $scope.isInModal = true;
                $scope.selectChangeItem = item;
                $scope.allOnSalesSplItem = ret.data;
                if($scope.allOnSalesSplItem){
                  loadShoppingCart($scope.allOnSalesSplItem,$scope);
                }
                if(!$scope.modal){
                  $ionicModal.fromTemplateUrl('changeItemSupplier-view.html', {
                    scope: $scope
                  }).then(function(modal) {
                    $scope.modal = modal;
                    $scope.modal.show();
                  });
                  $scope.$on('$destroy', function() {
                    $scope.modal.remove();
                    $scope.isInModal = false;
                  });
                  //确认选择
                  $scope.selectConfirm = function () {
                    $scope.modal.hide();
                    $scope.isInModal = false;
                  };
                  //取消选择
                  $scope.selectCancel = function () {
                    $scope.modal.hide();
                    $scope.isInModal = false;
                    angular.forEach($scope.allOnSalesSplItem,function (detail) {
                      if ($scope.selectChangeItem.itcode == detail.itcode && $scope.selectChangeItem.delivType == detail.delivType && $scope.selectChangeItem.splCode == detail.splCode) {
                        $scope.selectChangeItem.qty = detail.qty;
                        return;
                      }
                    });
                  };
                }else{
                  $scope.modal.show();
                }
              } else { // 单个供应商直接加入报货单
                addShoppingCart(item,$scope,callBack);
              }
            }
          });
        }
      },
      //如果登录则需要回填已经加入报货单的商品
      loadShoppingCart :function(itemModel,$scope,callBack){
        loadShoppingCart(itemModel,$scope,callBack);
      },
      //货到通知
      addArrivalNotice:function(item,$scope,callBack){
        $scope.hasWxUserId = Global.User.Store.wxUserId?true:false;
        if($scope.hasWxUserId){
          $scope.arrivalNotice ={type: '2'};//默认为微信通知
        }else{
          $scope.arrivalNotice ={type: '1'};//默认为短信通知
        }
        var dialog = Global.popup.show({
          title: '到货通知您',
          templateUrl: 'arrivalNotice-view.html',
          subTitle: item.descr,
          scope: $scope
        }, function (e) {
          e.preventDefault();
          var arrivalNotice = {
            type:$scope.arrivalNotice.type,
            itcode:item.itcode.trim(),
            splCode:item.splCode.trim(),
            delivType:item.delivType
          };
          OrderServ.hasArrivalNotice(arrivalNotice).success(function(ret){
            if(ret.data === false){
              OrderServ.saveArrivalNotice(arrivalNotice).success(function(ret){
                if(ret.code === 0){
                  dialog.close();
                  Global.popup.showToast('如果该商品到货，会通过'+ ($scope.arrivalNotice.type=='1'?'短信':'微信')+'方式提醒您！');
                  if(callBack){
                    callBack();
                  }
                }
              }).error(function(err){
                Global.popup.showToast('到货通知您设置失败！');
              });
            }else{
              dialog.close();
              Global.popup.showToast('如果该商品到货，会通过'+ ($scope.arrivalNotice.type=='1'?'短信':'微信')+'方式提醒您！');
            }
          });
        }, function () {

        });
      },
      //切换商品供应商
      changeItemSupplier:function (item,$scope,callBack) {
        $scope.isInModal = true;
        $scope.selectChangeItem = item;
        Global.https.authGet('/itemAreas/allOnSalesSplItem',{itcode:item.itcode,spAreaCode:item.spAreaCode},undefined,undefined,false).success(function (ret) {
          if(ret.code === 0){
            $scope.allOnSalesSplItem = ret.data;
            if($scope.allOnSalesSplItem){
              loadShoppingCart($scope.allOnSalesSplItem,$scope);
            }
          }
        });
        if(!$scope.modal){
          $ionicModal.fromTemplateUrl('changeItemSupplier-view.html', {
            scope: $scope
          }).then(function(modal) {
            $scope.modal = modal;
            $scope.modal.show();
          });
          $scope.$on('$destroy', function() {
            $scope.modal.remove();
            $scope.isInModal = false;
          });
          //确认选择
          $scope.selectConfirm = function () {
            $scope.modal.hide();
            $scope.isInModal = false;
          };
          //取消选择
          $scope.selectCancel = function () {
            $scope.modal.hide();
            $scope.isInModal = false;
            angular.forEach($scope.allOnSalesSplItem,function (detail) {
              if ($scope.selectChangeItem.itcode == detail.itcode && $scope.selectChangeItem.delivType == detail.delivType && $scope.selectChangeItem.splCode == detail.splCode) {
                $scope.selectChangeItem.qty = detail.qty;
                return;
              }
            });
          };
        }else{
          $scope.modal.show();
        }
      },
      //获取报货单中某种商品的数量
      getByCashIdAndItcodeAndDelivType:function(itCode,splCode,delivType){
        return Global.https.authGet('/myShoppingCart/getByCashIdAndItcodeAndDelivType',{itCode:itCode,splCode:splCode,delivType:delivType},undefined,undefined,false);
      },
      //商品价格举报
      saveItemCostTipOff:function(itemCostTipOff){
        return Global.https.authPost('/itemCostTipOff/save',itemCostTipOff);
      },
      // 查看商品价格走势图
      getCostChart: function (itcode) {
        return Global.https.authGet('/itemAreas/getItemAreaForEveryDay', {itcode: itcode}, undefined,undefined,false);
      }
    };
  }])
  .factory('SupplierDetailServ', ['$q', '$http', 'Global', function($q, $http,Global) {
    return {
      getSupplierDetail:function(splCode){
        return Global.https.get('/supplier/'+splCode,{},undefined,undefined,false);
      },
      getSupplierBannerLogo:function (splCode) {
        return Global.https.get('/mySupplier/bannerLogo/'+splCode,undefined,undefined,false);
      },
      // 查看供应商被举报商品价格记录
      getItemCostTipOffBySplcode:function (condition) {
        return Global.https.authGet('/itemCostTipOff/fingBySplcode',condition,undefined,undefined,false);
      },
      // 查询供应商在供（在售）商品数量
      getSupplierItemQtys: function (condition) {
        return Global.https.authGet('/itemAreas/getSupplierItemQtys',condition,undefined,undefined,false);
      },
      // 查看供应商商品断货记录
      getSupplierArrivalNotice: function (condition) {
        return Global.https.authGet('/myArrivalNotice/getSupplierArrivalNotice',condition,undefined,undefined,false);
      },
      // 查看供应商被多少家站点收藏
      getSupplierBeFavoritedQtys: function (condition) {
        return Global.https.authGet('/myFavoritesSpl/supplierBeFavoritedQtys',condition,undefined,undefined,false);
      }
    };
  }])
  //申请资质
  .factory('ApplyLicenceServ', ['$q', '$http', 'Global', function($q, $http,Global) {
    return {
      saveStoreUncheckPic:function(params){
        return Global.https.authPost('/fileOperate/saveStoreUncheckPic',params);
      },
      getStoreUncheckPic:function(licence){
        return Global.https.authGet('/fileOperate/getStoreUncheckPic',{licence:licence},undefined,undefined,false);
      },
      getWxImg:function(media_id,fileName){
        return Global.https.authPost('/fileUploader/getWxImg',{media_id:media_id,fileName:fileName});
      }
    };
  }]);

AppControllers
  //登录
  .controller('LoginCtrl',['$scope', 'LoginServ', 'Global', '$state', '$ionicHistory', '$stateParams', 'OrderServ', 'PortalServ', '$rootScope', '$ionicViewSwitcher', function($scope,LoginServ,Global,$state,$ionicHistory,$stateParams,OrderServ,PortalServ,$rootScope,$ionicViewSwitcher){
     $scope.goBack = function(){
       Global.utils.goBack();
       $ionicViewSwitcher.nextDirection("back");
     };
     $scope.user = {userName:'',password:''};
     $scope.loginUser = function(){
       LoginServ.login($scope.user).success(function (data) {
         if(data.code===0){
           $ionicHistory.clearHistory();
           $ionicHistory.clearCache();
           //获取报货单数量
           $rootScope.$broadcast('updateShoppingCount');
           $rootScope.$broadcast('noticeShowInformationImg');
           PortalServ.isNeedRefresh = true;
           $state.go($stateParams.url?$stateParams.url:'tab.first',$stateParams.stateParams&&JSON.parse($stateParams.stateParams)||{});
           PortalServ.getStoreBrandGrades();//获取登录用户的所有品牌等级
         }else{
           Global.popup.alert("登录失败！"+data.message);
         }
       }).error(function(data){
         Global.popup.alert("登录失败！请检查你的网络！");
       });
     };
    $scope.logout = function(){
      LoginServ.logout().success(function(data){
        $ionicHistory.clearHistory();
        $ionicHistory.clearCache();
        $rootScope.hideTabs = false;
        OrderServ.shoppingCount = 0;
        $rootScope.$broadcast('updateShoppingCount');
        $state.go('tab.first');
      });
    };
    $scope.goRegeditPage=function(){
      $state.go('regedit',{firstStep:true});
    };
    $scope.gorResetPasswordPage=function(){
      $state.go('resetpassword',{firstStep:true});
    };

    //点击查看密码
    $scope.isShowPassword = false;
    $scope.showPassword = function(){
      $scope.isShowPassword = !$scope.isShowPassword;
    };
    $scope.$on("$ionicView.enter",function(){
      $scope.user.password = "";
      if(Global.User.token){
        $state.go('tab.first');
      }
    });
  }])
  //注册
  .controller('RegeditCtrl', ['$scope', 'Global', '$state', '$stateParams', '$ionicHistory', '$interval', '$ionicViewSwitcher', 'RegeditServ', 'CommonSelectServ', 'ChangeLocationServ', 'SystemUtils', function($scope,Global,$state,$stateParams,$ionicHistory,$interval,$ionicViewSwitcher,RegeditServ,CommonSelectServ,ChangeLocationServ,SystemUtils) {
    $scope.firstStep=true;
    $scope.secondStep=false;
    $scope.thirdStep=false;
    $scope.successRegedit=false;
    $scope.store = {
      spAreaCode:'',
      provinCode:'',
      provinCodeDescr:'',
      cityCode:'',
      cityCodeDescr:'',
      areaCode:'',
      areaCodeDescr:'',
      streetCode:'',
      streetCodeDescr:'',
      address:''
    };
    if ($stateParams.firstStep !== undefined && $stateParams.firstStep !== "") {
      $scope.firstStep = $stateParams.firstStep;
      $scope.secondStep=false;
      $scope.thirdStep=false;
      $scope.successRegedit=false;
    }
    if ($stateParams.secondStep !== undefined && $stateParams.secondStep !== "") {
      $scope.secondStep = $stateParams.secondStep;
      $scope.firstStep=false;
      $scope.thirdStep=false;
      $scope.successRegedit=false;
    }
    if ($stateParams.thirdStep !== undefined && $stateParams.thirdStep !== "") {
      $scope.thirdStep = $stateParams.thirdStep;
      $scope.firstStep=false;
      $scope.secondStep=false;
      $scope.successRegedit=false;
    }
    if ($stateParams.successRegedit !== undefined && $stateParams.successRegedit !== "") {
      $scope.thirdStep = false;
      $scope.firstStep=false;
      $scope.secondStep=false;
      $scope.successRegedit=$stateParams.successRegedit;
    }
    //点击查看密码
    $scope.isShowPassword = false;
    $scope.showPassword = function(){
      $scope.isShowPassword = !$scope.isShowPassword;
    };
    $scope.isShowConfirmPassword = false;
    $scope.showConfirmPassword = function(){
      $scope.isShowConfirmPassword = !$scope.isShowConfirmPassword;
    };
    $scope.checked=false;
    $scope.chkClick=function(){
      $scope.checked=!$scope.checked;
    };
    $scope.goAgreement=function(){
      $state.go('agreement');
    };
    $scope.errorFlag=true;
    $scope.errorPasswordFlag=true;
    $scope.equalPasswordFlag=false;
    //验证手机号码
    $scope.mobileBlur=function(mobile){
      var patrn=/^(13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9])\d{8}$/;
      if (!patrn.exec(mobile)){
        $scope.errorFlag=false;
      }else{
        $scope.errorFlag=true;
      }
    };
    //验证密码
    $scope.pwdStrength =function(pwd){
      var level = 0, strength = "O";
      if (!pwd) {
        strength = "O";
        //Lcolor = Mcolor = Hcolor = O_color;
      }
      else {
        var mode = 0;
        if (pwd.length < 6)
          mode = 0;
        else {
          for (i = 0; i < pwd.length; i++) {
            var charMode, charCode;
            charCode = pwd.charCodeAt(i);
            // 判断输入密码的类型
            if (charCode >= 48 && charCode <= 57) //数字
              charMode = 1;
            else if (charCode >= 65 && charCode <= 90) //大写
              charMode = 2;
            else if (charCode >= 97 && charCode <= 122) //小写
              charMode = 4;
            else
              charMode = 8;
            mode |= charMode;//mode=mode|charMode按位或
          }
          // 计算密码模式
          level = 0;
          for (i = 0; i < 4; i++) {
            if (mode & 1) //按位与
              level++;
            mode >>>= 1;
          }
        }
        switch (level) {
          case 0:
            strength = "O";
            break;
          case 1:
            strength = "L";
            break;
          case 2:
            strength = "M";
            break;
          default:
            strength = "H";
            break;
        }
      }

      return strength;
    };
    //密码离焦事件
    $scope.passwordBlur=function(password,confirmPassword){
      if(!password){
        return;
      }
      var s = $scope.pwdStrength(password);
      if (s === 'O') {
        $scope.errorPasswordFlag=false;
        return;
      }else{
        $scope.errorPasswordFlag=true;
      }
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };
    //判断两次密码是否相等
    $scope.funEqualPassword=function(password,confirmPassword){
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        //Global.popup.alert("两次密码输入不一致！");
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };

    $scope.goSecondStepPage=function(mobile,invitationId){
      var patrn1=/^(13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9])\d{8}$/;
      if (!patrn1.exec(mobile)){
        $scope.errorFlag=false;
        return;
      }else{
        $scope.errorFlag=true;
      }
      RegeditServ.Regedit.mobile = mobile;
      RegeditServ.Regedit.invitationId = invitationId;
      RegeditServ.validateMobile(mobile).success(function(ret){
        if(ret.code===0){
          if(ret.data){
            Global.popup.alert("该手机已被注册！");
          }else{
            RegeditServ.getSpAreaCode($scope.store.provinCode,$scope.store.cityCode,$scope.store.areaCode).success(function(ret){
              if(ret.code === 0 && ret.data && ret.data.length > 0){
                $scope.store.spAreaCode = ret.data[0].code.trim();
                RegeditServ.Regedit.store = $scope.store;
                $state.go('regedit',{secondStep:true});
              }else{
                Global.popup.alert("获取供货区域失败！");
              }
            }).error(function(err){
              Global.popup.alert("网络出现异常！");
            });
          }

        }else{
          Global.popup.alert("校验手机失败！" + ret.message);
        }
      }).error(function(data){
        Global.popup.alert("校验手机失败！" + data.message);
      });

    };
    $scope.goThirdStepPage=function(checkCode){
      if(checkCode===undefined ||checkCode === ""){
        Global.popup.alert("请输入正确的验证码！");
      }else {
        RegeditServ.validateAuthCode('1',RegeditServ.Regedit.mobile,checkCode).success(function(ret){
          if(ret.code===0){
            RegeditServ.Regedit.checkCode=checkCode;
            $state.go('regedit',{thirdStep:true});
          }else{
            Global.popup.alert("校验手机验证码失败！" + ret.message);
          }
        }).error(function(data){
          Global.popup.alert("校验手机验证码失败！" + data.message);
        });
      }
    };
    $scope.finish=function(password,confirmPassword){
      if(password!=confirmPassword){
        $scope.equalPasswordFlag=true;
        return;
      }else{
        RegeditServ.Regedit.password=password;
        //提交注册信息
        RegeditServ.submitRegedit(RegeditServ.Regedit).success(function(ret){
          if(ret.code===0){
            $state.go('regedit',{successRegedit:true});
          }else{
            Global.popup.alert("注册失败！"+ret.message);
          }
        }).error(function(data){
          Global.popup.alert("注册失败！" + data.message);
        });
      }
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //跳转至登录页面
    $scope.goLoginPage = function(){
      $state.go('login');
    };

    $scope.getAuthCodeLabel="获取验证码";
    $scope.disableFlag=false;
    //获取验证码
    $scope.getAuthCode=function(){
      $scope.disableFlag=true;
      $scope.second=90;
      RegeditServ.getAuthCode(RegeditServ.Regedit.mobile,'1').success(function(ret){
        if(ret.code === 0){
          var timer = $interval(function(){
            if($scope.second<=0){
              $scope.getAuthCodeLabel="重新获取";
              $scope.disableFlag=false;
              $interval.cancel(timer);
            }else{
              $scope.getAuthCodeLabel="重新获取("+$scope.second+")";
              $scope.second--;
              $scope.disableFlag=true;
            }
          },1000,100);
        }else{
          $scope.disableFlag=false;
          Global.popup.alert("获取手机验证码失败！"+ret.message);
        }
      }).error(function(data){
        $scope.disableFlag=false;
        Global.popup.alert("获取手机验证码失败！" + data.message);
      });
    };

    //选择地理位置
    $scope.goChangeAddress = function(){
      $state.go('changeLocation',{coord:$scope.currentGpsCoord});
    };
    //选择操作
    $scope.goCommonSelect = function(dictType,selectType){
      var pCode = null;
      if(dictType == 'cityCode'){
        pCode = $scope.store.provinCode;
        if(!pCode){
          Global.popup.showToast('请选择省.');
          return;
        }
      }
      if(dictType == 'areaCode'){
        pCode = $scope.store.cityCode;
        if(!pCode){
          Global.popup.showToast('请选择市.');
          return;
        }
      }
      if(dictType == 'streetCode'){
        pCode = $scope.store.areaCode;
        if(!pCode){
          Global.popup.showToast('请选择区县.');
          return;
        }
      }
      $state.go('commonSelect',{dictType:dictType,selectType:selectType,pCode:pCode});
      $ionicViewSwitcher.nextDirection("forward");
    };
    $scope.currentGpsCoord = '';
    $scope.$on("$ionicView.enter",function(){
      if(!$scope.currentGpsCoord) {
        if(!window.cordova && navigator.userAgent.toLowerCase().match(/MicroMessenger/i)=="micromessenger"){
          //调用微信的获取地理位置接口
          wxUtil.getLocation(function(res){
            if(res){
              $scope.currentGpsCoord = res.latitude+','+res.longitude;
            }
          },function(err){
            //todo
          });
        }else{
          SystemUtils.getCurrentPosition(function (position) {
            $scope.currentGpsCoord = position.coords.latitude+','+position.coords.longitude;
          }, function (err) {
            //Global.popup.alert('无法获取到您当前位置信息，请在空旷的地方重新定位！');
          });
        }
      }
      if(ChangeLocationServ.changeAddress && ChangeLocationServ.changeAddress.poiname){
        if($scope.store.address){
          Global.popup.confirm('是否要替换配送地址？',function(){
            $scope.store.address =  ChangeLocationServ.changeAddress.poiname=='我的位置'?ChangeLocationServ.changeAddress.poiaddress:ChangeLocationServ.changeAddress.poiname;
            $scope.store.tencentGpsx = ChangeLocationServ.changeAddress.latlng.lat;
            $scope.store.tencentGpsy  = ChangeLocationServ.changeAddress.latlng.lng;
            ChangeLocationServ.changeAddress = {};
          },function(){
            ChangeLocationServ.changeAddress = {};
          });
        }else{
          $scope.store.address =  ChangeLocationServ.changeAddress.poiname=='我的位置'?ChangeLocationServ.changeAddress.poiaddress:ChangeLocationServ.changeAddress.poiname;
          $scope.store.tencentGpsx = ChangeLocationServ.changeAddress.latlng.lat;
          $scope.store.tencentGpsy  = ChangeLocationServ.changeAddress.latlng.lng;
          ChangeLocationServ.changeAddress = {};
        }
      }
      if(CommonSelectServ.commonSelectResult && CommonSelectServ.commonSelectResult.key == 'provinCode'){
        if($scope.store.provinCode != CommonSelectServ.commonSelectResult.value.value){
          $scope.store.provinCode = CommonSelectServ.commonSelectResult.value.value;
          $scope.store.provinCodeDescr = CommonSelectServ.commonSelectResult.value.descr;
          $scope.store.cityCode = '';
          $scope.store.cityCodeDescr = '';
          $scope.store.areaCode = '';
          $scope.store.areaCodeDescr = '';
          $scope.store.streetCode = '';
          $scope.store.streetCodeDescr = '';
        }
      }
      if(CommonSelectServ.commonSelectResult && CommonSelectServ.commonSelectResult.key == 'cityCode'){
        if($scope.store.cityCode != CommonSelectServ.commonSelectResult.value.value){
          $scope.store.cityCode = CommonSelectServ.commonSelectResult.value.value;
          $scope.store.cityCodeDescr = CommonSelectServ.commonSelectResult.value.descr;
          $scope.store.areaCode = '';
          $scope.store.areaCodeDescr = '';
          $scope.store.streetCode = '';
          $scope.store.streetCodeDescr = '';
        }
      }
      if(CommonSelectServ.commonSelectResult && CommonSelectServ.commonSelectResult.key == 'areaCode'){
        if($scope.store.areaCode != CommonSelectServ.commonSelectResult.value.value){
          $scope.store.areaCode = CommonSelectServ.commonSelectResult.value.value;
          $scope.store.areaCodeDescr = CommonSelectServ.commonSelectResult.value.descr;
          $scope.store.streetCode = '';
          $scope.store.streetCodeDescr = '';
        }
      }
      if(CommonSelectServ.commonSelectResult && CommonSelectServ.commonSelectResult.key == 'streetCode'){
        $scope.store.streetCode = CommonSelectServ.commonSelectResult.value.value;
        $scope.store.streetCodeDescr = CommonSelectServ.commonSelectResult.value.descr;
      }
    });
  }])
  //重置密码
  .controller('ResetpasswordCtrl', ['$scope', 'Global', '$state', '$stateParams', '$ionicHistory', 'RegeditServ', '$interval', function($scope,Global,$state,$stateParams,$ionicHistory,RegeditServ,$interval) {
    if ($stateParams.firstStep !== undefined && $stateParams.firstStep !== "") {
      $scope.firstStep = $stateParams.firstStep;
      $scope.secondStep=false;
      $scope.thirdStep=false;
      $scope.uuidAuthCode=Global.UUID.createUUID();
      $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    }
    if ($stateParams.secondStep !== undefined && $stateParams.secondStep !== "") {
      $scope.secondStep = $stateParams.secondStep;
      $scope.firstStep=false;
      $scope.thirdStep=false;
    }
    if ($stateParams.thirdStep !== undefined && $stateParams.thirdStep !== "") {
      $scope.thirdStep = $stateParams.thirdStep;
      $scope.firstStep=false;
      $scope.secondStep=false;
    }

    $scope.pageAuthCodeClick=function(){
      $scope.uuidAuthCode=Global.UUID.createUUID();
      $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    };
    $scope.errorFlag=true;
    $scope.mobileBlur=function(mobile){
      var patrn=/^(13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9])\d{8}$/;
      if (!patrn.exec(mobile)){
        $scope.errorFlag=false;
      }else{
        $scope.errorFlag=true;
      }
    };
    $scope.errorPasswordFlag=true;
    $scope.equalPasswordFlag=false;
    //验证密码
    $scope.pwdStrength =function(pwd){
      var level = 0, strength = "O";
      if (pwd === null || pwd === '') {
        strength = "O";
        //Lcolor = Mcolor = Hcolor = O_color;
      }
      else {
        var mode = 0;
        if (pwd.length < 6)
          mode = 0;
        else {
          for (i = 0; i < pwd.length; i++) {
            var charMode, charCode;
            charCode = pwd.charCodeAt(i);
            // 判断输入密码的类型
            if (charCode >= 48 && charCode <= 57) //数字
              charMode = 1;
            else if (charCode >= 65 && charCode <= 90) //大写
              charMode = 2;
            else if (charCode >= 97 && charCode <= 122) //小写
              charMode = 4;
            else
              charMode = 8;
            mode |= charMode;//mode=mode|charMode按位或
          }
          // 计算密码模式
          level = 0;
          for (i = 0; i < 4; i++) {
            if (mode & 1) //按位与
              level++;
            mode >>>= 1;
          }
        }
        switch (level) {
          case 0:
            strength = "O";
            break;
          case 1:
            strength = "L";
            break;
          case 2:
            strength = "M";
            break;
          default:
            strength = "H";
            break;
        }
      }

      return strength;
    };
    $scope.passwordBlur=function(password,confirmPassword){
      var s = $scope.pwdStrength(password);
      if (s === "O") {
        $scope.errorPasswordFlag=false;
        return;
      }else{
        $scope.errorPasswordFlag=true;
      }
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };
    //判断两次密码是否相等
    $scope.funEqualPassword=function(password,confirmPassword){
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        //Global.popup.alert("两次密码输入不一致！");
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };


    //点击查看密码
    $scope.isShowPassword = false;
    $scope.showPassword = function(){
      $scope.isShowPassword = !$scope.isShowPassword;
    };
    $scope.isShowConfirmPassword = false;
    $scope.showConfirmPassword = function(){
      $scope.isShowConfirmPassword = !$scope.isShowConfirmPassword;
    };
    $scope.goSecondStepPage=function(mobile,pageCheckCode){
      var patrn=/^(13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9])\d{8}$/;
      if (!patrn.exec(mobile)){
        $scope.errorFlag=false;
        return;
      }else{
        $scope.errorFlag=true;
      }
      if(mobile===undefined || mobile===""){
        Global.popup.alert("请输入手机号码！");
        return;
      }
      if(pageCheckCode===undefined || pageCheckCode===""){
        Global.popup.alert("请输入验证码！");
        return;
      }
      RegeditServ.validatePageAuthCode(pageCheckCode,$scope.uuidAuthCode).success(function(ret){
        if(ret.code===0){
          RegeditServ.Regedit.mobile=mobile;
          $state.go('resetpassword',{secondStep:true});
        }else{
          Global.popup.alert("请输入正确的验证码！" + ret.message);
        }
      }).error(function(data){
        Global.popup.alert("请输入正确的验证码！" + data.message);
      });

    };
    $scope.goThirdStepPage=function(checkCode){
      if(checkCode===undefined ||checkCode === ""){
        Global.popup.alert("请输入正确的验证码！");
      }else {
        RegeditServ.validateAuthCode('2',RegeditServ.Regedit.mobile,checkCode).success(function(ret){
          if(ret.code===0){
            RegeditServ.Regedit.checkCode=checkCode;
            $state.go('resetpassword',{thirdStep:true});
          }else{
            Global.popup.alert("校验手机验证码失败！" + ret.message);
          }
        }).error(function(data){
          Global.popup.alert("校验手机验证码失败！" + data.message);
        });
      }
    };
    $scope.finish=function(password,confirmPassword){
      if(password===undefined || password===""){
        Global.popup.alert("请输入密码！");
        return;
      }
      if(password!=confirmPassword){
        $scope.equalPasswordFlag=true;
        return;
      }else{
        RegeditServ.Regedit.password=password;
        RegeditServ.Regedit.confirmPassword=confirmPassword;
        RegeditServ.resetPassword(RegeditServ.Regedit).success(function(ret){
          if(ret.code===0){
            Global.popup.alert("找回密码成功！");
            $state.go('login');
          }else{
            Global.popup.alert("找回密码失败！"+ret.message);
          }
        }).error(function(data){
          Global.popup.alert("找回密码失败！" + data.message);
        });
      }
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };

    $scope.getAuthCodeLabel="获取验证码";
    $scope.disableFlag=false;
    //获取手机验证码
    $scope.getAuthCode=function(){
      $scope.disableFlag=true;
      $scope.second=90;
      RegeditServ.getAuthCode(RegeditServ.Regedit.mobile,'2').success(function(ret){
        if(ret.code === 0){
          var timer = $interval(function(){
            if($scope.second<=0){
              $scope.getAuthCodeLabel="重新获取";
              $scope.disableFlag=false;
              $interval.cancel(timer);
            }else{
              $scope.getAuthCodeLabel="重新获取("+$scope.second+")";
              $scope.second--;
              $scope.disableFlag=true;
            }
          },1000,100);
        }else{
          $scope.disableFlag=false;
          Global.popup.alert("获取手机验证码失败！"+ret.message);
        }
      }).error(function(data){
        $scope.disableFlag=false;
        Global.popup.alert("获取手机验证码失败！" + data.message);
      });
    };
  }])
  //用户使用软件协议
  .controller('AgreementCtrl', ['$scope', 'Global', '$ionicHistory', 'AgreementServ', function($scope,Global,$ionicHistory,AgreementServ) {
    var temp = document.getElementById("ruleContent");
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    $scope.$on("$ionicView.enter", function () {
      $scope.getAgreement();
    });
    $scope.getAgreement = function () {
      AgreementServ.getAgreement().success(function (ret) {
        if (ret.code === 0) {
          temp.innerHTML = ret.data;
        }
      }).error(function () {

      });
    };
  }]);

AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function($stateProvider, $urlRouterProvider) {
      $stateProvider
      //注册
      .state('regedit', {
        url: '/regedit/:firstStep,:secondStep,:thirdStep,:successRegedit',
        templateUrl: 'store/my/regedit.html',
        controller: 'RegeditCtrl'
      })
      //找回密码
      .state('resetpassword', {
        url: '/resetpassword/:firstStep,:secondStep,:thirdStep',
        templateUrl: 'store/my/resetpassword.html',
        controller: 'ResetpasswordCtrl'
       });
  }]);

AppServices
  .factory('LoginServ', ['$q', '$http', 'Global', '$cordovaDevice', '$ionicHistory', function($q, $http,Global,$cordovaDevice,$ionicHistory) {
      return {
          //登录
          login:function(user){
            Global.User.userName = user.userName;
            Global.User.password = user.password;
            user.systemId="4";//集配商城App
            user.device = '';
            if(window.cordova && window.cordova.plugins){
              user.device = JSON.stringify({
                model:$cordovaDevice.getModel(),
                cordova:$cordovaDevice.getCordova(),
                uuid:$cordovaDevice.getUUID(),
                version:$cordovaDevice.getVersion(),
                platform:$cordovaDevice.getPlatform()
              });
            }
            return Global.https.post("/login",user,function (ret) {
              if(ret.code === 0){
                Global.User.token = ret.data.token.accessToken;
                Global.User.Store = ret.data.store;
                localStorage.wqblbToken = strEnc(ret.data.token.accessToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
                localStorage.wqblbRefreshToken = strEnc(ret.data.token.refreshToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
                localStorage.wqblbSpAreaCode = Global.User.Store.spAreaCode&&Global.User.Store.spAreaCode.trim();
              }else {
                Global.User.token ="";
                localStorage.wqblbToken = "";
                localStorage.wqblbRefreshToken = "";
                localStorage.wqblbOpenId = "";
              }
            });
          },
          //退出
          logout:function(){
            return Global.https.authPost("/logout",{},function(ret){
                if(ret.code === 0) {
                  Global.User.token = "";
                  Global.User.password = "";
                  Global.User.Store = {};
                  localStorage.wqblbToken =  "";
                  localStorage.wqblbRefreshToken = "";
                  $ionicHistory.clearCache();//清除缓存
                  $ionicHistory.clearHistory();//清除历史记录
                }
              });
          },
          //获取当前用户信息
          currentUser:function(){
            return Global.https.authGet('/myProfile/current',{},function(ret){
              if(ret.code === 0){
                Global.User.Store = ret.data.store;
              }
            },undefined,false);
          }
      };
  }])
  .factory('RegeditServ',['$q', '$http', 'Global', function($q, $http,Global){
    var Regedit={
      mobile:"",
      invitationId:"",
      password:"",
      checkCode:"",
      verifyCodeKey:"",
      store:{}
    };
    return{
      Regedit:Regedit,
      //取所有供货区域
      getSupplyArea: function () {
        return Global.https.get('/supplyArea',{},undefined,undefined,false);
      },
      getAuthCode: function(mobile,type){
        return Global.https.post('/sms?type='+type+"&mobile="+mobile,{},undefined,undefined,false);
      },
      validateAuthCode:function(type,mobile,authCode){
        return Global.https.get('/sms/validate',{type:type,mobile:mobile,code:authCode},undefined,undefined,true);
      },
      submitRegedit: function(regedit){
        return Global.https.post('/registers',regedit,undefined,undefined,true);
      },
      //找回密码
      resetPassword: function(regedit){
        return Global.https.put('/cashiers/findPassword',regedit,undefined,undefined,true);
      },
      validatePageAuthCode: function(pageAuthCode,verifyCodeKey){
        return Global.https.get('/verifyCode/verify',{validateCode:pageAuthCode,verifyCodeKey:verifyCodeKey},undefined,undefined,true);
      },
      validateMobile: function(mobile){
        return Global.https.get('/registers/mobileExists',{mobile:mobile},undefined,undefined,false);
      },
      getSpAreaCode:function(provinCode,cityCode,areaCode){
        return Global.https.get('/supplyArea/getSpAreaCodeBypca',{provinCode:provinCode,cityCode:cityCode,areaCode:areaCode},undefined,undefined,false);
      }
    };
  }])
;

AppControllers
//我的
  .controller('MyCtrl', ['$scope', 'Global', 'MyServ', '$state', 'myOrderServ', '$ionicViewSwitcher', '$cordovaBarcodeScanner', '$interval', '$timeout', '$ionicLoading', function ($scope, Global, MyServ, $state, myOrderServ, $ionicViewSwitcher, $cordovaBarcodeScanner, $interval, $timeout, $ionicLoading) {
    $scope.myModal = {
      cashier: {},
      cashGrade: {},
      store: {},
      goldImgUrl: '',
      GradeName: '-'
    };
    $scope.noLogin = true;
    $scope.$on('$ionicView.enter', function () {
      $scope.onShow();
    });
    //已经登录
    $scope.onShow = function () {
      if (Global.User.token !== '') {
        $scope.noLogin = false;
        $scope.myModal.store = Global.User.Store;
        MyServ.getMyProfile().success(function (ret) {
          if (ret.code == '0') {
            $scope.myModal.cashier = ret.data;
            Global.User.cashierId = ret.data.cashId;
          } else {
            $scope.myModal.cashier = {};
          }
        });
        MyServ.getCashGradeProgress().success(function (ret) {
          if (ret.code == '0') {
            $scope.myModal.cashGrade = ret.data;
            $scope.myModal.goldImgUrl = "img/gold_0" + $scope.myModal.cashGrade.grade + ".png";
          } else {
            $scope.myModal.cashGrade = {};
          }
        });
      } else {//未登录
        $scope.noLogin = true;
        $scope.myModal.cashier = {};
        $scope.myModal.cashGrade = {};
      }
    };

    //跳转至登录页面
    $scope.goLoginPage = function () {
      if (!Global.User.token || Global.User.token === "") {
        $state.go('login', {url: $state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      } else {
        $state.go('systemSet');
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //判断是否已登录，如果未登录就跳转到登录
    $scope.isLogin = function (url, param) {
      if (Global.User.token === "") {
        $state.go('login', {url: $state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      } else {
        $state.go(url, param);
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //进入我的收藏
    $scope.goFavorite = function () {
      $scope.isLogin('favorites');
    };
    //进入为你推荐
    $scope.goRecommend = function () {
      $scope.isLogin('recommend');
    };
    //进入订单界面
    $scope.goOrder = function (tabcode) {
      myOrderServ.tabcode = tabcode;
      myOrderServ.needRefreshMyOrders = true;
      $scope.isLogin('myOrders', {});
    };
    //跳转至设置界面
    $scope.goSystemSetPage = function () {
      $scope.isLogin('systemSet');
    };
    //我的消息
    $scope.goLetter = function () {
      $scope.isLogin('letter');
    };
    //账户充值
    $scope.goRecharge = function () {
      $scope.isLogin('tab-accountRecharge');
    };
    //账户余额
    $scope.goAccountMoney = function () {
      $scope.isLogin('accountMoney');
    };
    //交易记录
    $scope.goTransaction = function () {
      $scope.isLogin('tab.transaction');
    };
    //曾购商品
    $scope.goHistoryBuyItem = function () {
      $scope.isLogin('historyBuyItem');
    };
    //我的积分
    $scope.goIntegral = function () {
      $scope.isLogin('tab.integral');
    };
    //我的成长值
    $scope.goGrowthValue = function () {
      $scope.isLogin('growthValue');
    };
    //便利宝交易条款
    $scope.goRule = function () {
      $state.go('tab.rule');
    };
    //关于我们
    $scope.goAbout = function () {
      $state.go('tab.about');
    };
    //我的卡券
    $scope.goMyCoupons = function () {
      var params = {};
      if (Global.User.token && Global.User.token !== '') {
        params = {storeCode: Global.User.Store.code.trim()};
      }
      $scope.isLogin('myCoupons', params);
    };
    //邀请有礼
    $scope.goMyInvitation = function () {
      $scope.isLogin('myInvitation');
    };
    //便利宝叫货
    $scope.goUserWxOrder = function () {
      $scope.isLogin('userWxOrder');
    };
    // 云仓快递
    $scope.goExpress = function () {
      $scope.isLogin('expressMain');
    };
    //切换服务商
    $scope.goSelectSpAreaCode = function () {
      MyServ.getStoreAreaConfig(Global.User.Store.code).success(function (ret) {
        if (ret.code === 0 && ret.data && ret.data.length >= 2) {
          $scope.isLogin('selectSpAreaCode');
        } else {
          Global.popup.showToast('您当前没有可供切换的服务商！');
        }
      }).error(function (err) {
        Global.popup.showToast('暂时无法切换站点的服务商，请稍侯重试，' + err);
      });
    };
    //问题反馈
    $scope.goCustcon = function () {
      $scope.isLogin('custcon');
    };
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;

    // 云闪付扫码
    $scope.unionPayMicropay = {
      amount: "",
      authCode: ""
    };
    $scope.goUnionPayMicropay = function () {
      if (Global.User.token === "") {
        $state.go('login', {url: $state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      } else {
        $scope.unionPayMicropay.amount = '';
        $scope.unionPayMicropay.authCode = '';
        if (!window.cordova) {//是否来自于APP端
          wxUtil.scanQRCode(function (res) {
            if (res && res.resultStr && res.resultStr.length > 0) {
              $scope.unionPayMicropay.authCode = res.resultStr.substring(res.resultStr.indexOf(',') + 1);
              $scope.showUnionPayMicropay();
            }
          });
        } else {
          $cordovaBarcodeScanner.scan({
            preferFrontCamera: false, // iOS and Android
            showFlipCameraButton: true, // iOS and Android
            showTorchButton: true, // iOS and Android
            torchOn: false, // Android, launch with the torch switched on (if available)
            saveHistory: true, // Android, save scan history (default false)
            prompt: "请将条码置于取景框内扫描。", // Android
            resultDisplayDuration: 0, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
            //formats : "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
            orientation: "portrait", // Android only (portrait|landscape), default unset so it rotates with the device
            disableAnimations: true, // iOS
            disableSuccessBeep: false // iOS
          }).then(function (imageData) {
            if (imageData && imageData.text && imageData.text.length > 0) {
              $scope.unionPayMicropay.authCode = imageData.text;
              $scope.showUnionPayMicropay();
            }
          }, function (error) {
            Global.popup.showToast(error);
          });
        }
      }
    };
    $scope.showUnionPayMicropay = function () {
      var dialog = Global.popup.show({
        title: "请输入收款金额（元）",
        templateUrl: 'inputUnionPayMicropay-view.html',
        scope: $scope
      }, function (e) {
        e.preventDefault();
        if ($scope.unionPayMicropay.amount > 0) {
          $ionicLoading.show({template: "等待收款中..."});
          MyServ.saveUnionPayMicropay({
            amount: $scope.unionPayMicropay.amount * 100,
            authCode: $scope.unionPayMicropay.authCode
          }).success(function (res) {
            if (res.code === 0) {
              var timeout = null, interval = null;
              timeout = $timeout(function () {
                $ionicLoading.hide();
                Global.popup.showToast("云闪付收款暂未到账，请稍侯再去查看！", "center", "long");
                $interval.cancel(interval);
                interval = null;
                $timeout.cancel(timeout);
                timeout = null;
                dialog.close();
              }, 120000);
              interval = $interval(function () {
                MyServ.getUnionPayMicropay(res.data.id).success(function (res1) {
                  if (res1.code === 0) {
                    if (res1.data.status == '0') { //成功
                      $ionicLoading.hide();
                      Global.popup.showToast("云闪付收款成功！", "center", "long");
                      $interval.cancel(interval);
                      interval = null;
                      $timeout.cancel(timeout);
                      timeout = null;
                      dialog.close();
                    } else if (res1.data.status == '2') {//失败
                      $ionicLoading.hide();
                      Global.popup.showToast("云闪付收款失败，请稍侯再去收款！", "center", "long");
                      $interval.cancel(interval);
                      interval = null;
                      $timeout.cancel(timeout);
                      timeout = null;
                      dialog.close();
                    }
                  }
                });
              }, 5000, 24);
            } else {
              $ionicLoading.hide();
              Global.popup.showToast(res.message);
              dialog.close();
            }
          });
        }
      }, function () {
        dialog.close();
      });
    };
  }])
  //便利宝交易规则
  .controller('RuleCtrl', ['$scope', '$ionicPopup', 'Global', 'RuleServ', '$ionicHistory', '$ionicLoading', function ($scope, $ionicPopup, Global, RuleServ, $ionicHistory, $ionicLoading) {
    var temp = document.getElementById("ruleContent");
    $scope.ruleModal = {
      rule: ""
    };
    $scope.$on("$ionicView.enter", function () {
      $scope.getPage();
    });
    $scope.getPage = function () {
      $ionicLoading.show({template: '加载中...'});
      RuleServ.getPage().success(function (ret) {
        $ionicLoading.hide();
        if (ret.code === 0) {
          $scope.ruleModal.rule = ret.data.exchangeProvision;
          temp.innerHTML = ret.data.exchangeProvision;
        }
      }).error(function () {
        $ionicLoading.hide();
      });
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
  }])
  //我的账户
  .controller('AccountmoneyCtrl', ['$scope', 'Global', 'AccountmoneyServ', '$ionicHistory', '$ionicLoading', '$state', '$timeout', '$ionicScrollDelegate', '$ionicViewSwitcher', function ($scope, Global, AccountmoneyServ, $ionicHistory, $ionicLoading, $state, $timeout, $ionicScrollDelegate, $ionicViewSwitcher) {
    $scope.vm = {
      page: 1,

      rows: 15,

      filterBy: "showLastThreeMonths",
      totalFund: 0,
      data: [],
      records: '',
      moredata: false,
      button1Style: {},
      button2Style: {},
      button3Style: {},
      itemStyle1: {},
      itemStyle2: {}
    };
    //后退
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
      } else {
        $state.go('tab.my');
      }
      $ionicViewSwitcher.nextDirection("back");
    };
    //账户充值
    $scope.goRecharge = function () {
      $state.go('tab-accountRecharge');
    };
    $scope.$on('$ionicView.enter', function () {
      //$scope.getStoreFundTran();
    });
    $scope.setFilter = function (filterBy) {
      var style1 = {
        "background-color": "#ff6600",
        "color": "white"

      };
      var style2 = {
        "background-color": "white",
        "color": "#ff6600"

      };
      $scope.vm.button1Style = style2;
      $scope.vm.button2Style = style2;
      $scope.vm.button3Style = style2;
      if (filterBy == 3) {
        $scope.vm.button3Style = style1;
        $scope.vm.filterBy = "showAll";
      } else if (filterBy == 2) {
        $scope.vm.button2Style = style1;
        $scope.vm.filterBy = "showLastSixMonths";
      } else {
        $scope.vm.button1Style = style1;
        $scope.vm.filterBy = "showLastThreeMonths";
      }
      $scope.vm.page = 1;
      $scope.vm.moredata = false;
      $scope.vm.data = [];
      $ionicScrollDelegate.scrollBottom();

    };
    $scope.getStoreFundTran = function () {
      $scope.vm.page = 1;
      AccountmoneyServ.getStoreFundTran($scope).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.records = ret.records;
          $scope.vm.data = ret.data;
          $scope.vm.totalFund = ret.totalFund;
          if (ret.total <= $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.moredata = true;
          Global.popup.alert("加载失败，失败原因：" + ret.message + "请尝试下拉刷新！");
        }
      }).error(function () {
        $scope.vm.moredata = true;
        Global.popup.alert("发生未知错误，请尝试下拉刷新！");
      });
    };
    $scope.doRefresh = function () {
      $scope.getStoreFundTran();
      $timeout(function () {
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.loadMore = function () {
      $timeout(function () {
        AccountmoneyServ.getStoreFundTran($scope).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.records = ret.records;
            $scope.vm.data = $scope.vm.data.concat(ret.data);
            $scope.vm.totalFund = ret.totalFund;
            if (ret.total == $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
          } else {
            $scope.vm.moredata = true;
            Global.popup.alert("加载失败，失败原因：" + ret.message + "请尝试下拉刷新！");
          }
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        }).error(function () {
          $scope.vm.moredata = true;
          Global.popup.alert("发生未知错误，请尝试下拉刷新！");
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);

    };
  }])
  //账户充值
  .controller('AccountRechargeCtrl', ['$scope', '$ionicHistory', '$state', '$timeout', 'MyServ', 'Global', function ($scope, $ionicHistory, $state, $timeout, MyServ, Global) {
    $scope.vm = {
      money1: '',
      money2: '',
      totalFund: 0
    };
    $scope.isPaying = false; // 是否支付中
    $scope.$on('$ionicView.beforeEnter', function () {
      $scope.gettotalFund();
    });
    $scope.setMoney = function (money) {
      $scope.vm.money2 = "";
      $scope.vm.money1 = money;
    };
    $scope.keyPress = function () {
      $scope.vm.money1 = "";
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //微信充值
    $scope.recharge = function () {
      if (!$scope.vm.money1 && !$scope.vm.money2) {
        Global.popup.showToast('充值最小金额必须天于0');
        return false;
      }
      if ($scope.isPaying) { // 支付中直接返回
        return;
      }
      $scope.isPaying = true;
      if (!window.cordova && navigator.userAgent.toLowerCase().match(/MicroMessenger/i) == "micromessenger") {//调用微信充值接口
        MyServ.rechargeByPayWx($scope.vm.money1 || $scope.vm.money2).success(function (ret) {
          if (ret.code === 0) {
            wxUtil.chooseWXPay({
              timestamp: ret.prePayResult.timeStamp,
              nonceStr: ret.prePayResult.nonceStr,
              package: 'prepay_id=' + ret.prePayResult.prepayId,
              signType: ret.prePayResult.signType,
              paySign: ret.prePayResult.paySign
            }, function (res) {
              $scope.isPaying = false;
              Global.popup.alert('充值完成！（说明：如果金额还未到账可能是网络延时，可稍后刷新查看金额）');
              $scope.gettotalFund();
            }, function (err) {
              $scope.isPaying = false;
              Global.popup.showToast('充值失败，请稍侯再去充值！');
            });
          } else {
            $scope.isPaying = false;
            Global.popup.showToast(ret.message || '请求微信充值接口参数失败，请稍侯再去充值！');
          }
        }).error(function (err) {
          $scope.isPaying = false;
          Global.popup.showToast(err);
        });
      } else {//调用APP充值接口
        MyServ.rechargeByPayApp($scope.vm.money1 || $scope.vm.money2).success(function (ret) {
          if (ret.code === 0) {
            Wechat.isInstalled(function (installed) {
              if (!installed) {//判断是否安装微信
                $scope.isPaying = false;
                Global.popup.showToast('请安装微信应用程序！');
              } else {
                Wechat.sendPaymentRequest({
                  partnerid: ret.prePayResult.mchId, // merchant id
                  prepayid: ret.prePayResult.prepayId, // prepay id
                  noncestr: ret.prePayResult.nonceStr, // nonce
                  timestamp: ret.prePayResult.timeStamp, // timestamp
                  sign: ret.prePayResult.paySign // signed string
                }, function () {
                  $scope.isPaying = false;
                  Global.popup.alert('充值完成！（说明：如果金额还未到账可能是网络延时，可稍后刷新查看金额）');
                  $scope.gettotalFund();
                }, function (reason) {
                  $scope.isPaying = false;
                  Global.popup.showToast('充值失败，请稍侯再去充值！原因：' + reason);
                });
              }
            });
          } else {
            $scope.isPaying = false;
            Global.popup.showToast(ret.message || '请求App充值接口参数失败，请稍侯再去充值！');
          }
        }).error(function (err) {
          $scope.isPaying = false;
          Global.popup.showToast(err);
        });
      }
    };
    //加载账户余额
    $scope.gettotalFund = function () {
      $scope.startSpinner = true;
      MyServ.getAccountFund().success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.totalFund = ret.data;
        } else {
          Global.popup.alert('加载当前余额失败！');
        }
        $timeout(function () {
          $scope.startSpinner = false;
        }, 2000);
      }).error(function () {
        $scope.startSpinner = false;
      });
    };
  }])
  //我的收藏
  .controller('FavoritesCtrl', ['$scope', '$cordovaBarcodeScanner', 'Global', '$state', 'FavoritesServ', '$ionicHistory', '$timeout', 'OrderServ', '$ionicScrollDelegate', 'GoodsDetailServ', '$ionicViewSwitcher', function ($scope, $cordovaBarcodeScanner, Global, $state, FavoritesServ, $ionicHistory, $timeout, OrderServ, $ionicScrollDelegate, GoodsDetailServ, $ionicViewSwitcher) {
    $scope.tab = 'item';
    $scope.subTab = 'favoriteItem';
    $scope.selectTab = function (val) {
      $scope.tab = val;
    };
    //选中收藏商品、常购商品、收藏供应商、常购供应商
    $scope.selectSubTab = function (tab) {
      $scope.subTab = tab;
      if ($scope.tab == 'item') {
        $ionicScrollDelegate.$getByHandle('itemDelegateHandle').scrollTop();
        $scope.vm.doRefresh();
      } else if ($scope.tab == 'supplier') {
        $ionicScrollDelegate.$getByHandle('splDelegateHandle').scrollTop();
        $scope.splVm.doRefresh();
      }
    };
    $scope.$on('$ionicView.beforeEnter', function () {
      if ($ionicHistory.forwardView() && ($ionicHistory.forwardView().stateName == 'retRemark' || $ionicHistory.forwardView().stateName == 'tab-goods-detail' || $ionicHistory.forwardView().stateName == 'tab-search-results')) {
        //来自于退换说明不更新
      } else {
        //刷新收藏商品列表
        if ($scope.tab == 'item') {
          $scope.vm.page = 0;
          $scope.vm.moredata = false;
          $scope.vm.favorites = [];
          $ionicScrollDelegate.$getByHandle('itemDelegateHandle').scrollTop();
        } else if ($scope.tab == 'supplier') {
          //刷新收藏供应商列表
          $scope.splVm.page = 0;
          $scope.splVm.moredata = false;
          $scope.splVm.favorites = [];
          $ionicScrollDelegate.$getByHandle('splDelegateHandle').scrollTop();
        }
      }
    });

    //商品视图
    $scope.vm = {
      page: 0,
      rows: 15,
      moredata: false,
      condition: '',
      favorites: [],
      records: '',
      doRefresh: function () {
        $timeout(function () {
          $scope.vm.page = 1;
          FavoritesServ.getFavoritesList($scope.subTab, {
            page: $scope.vm.page,
            rows: $scope.vm.rows
          }).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.records = ret.records;
              loadShoppingCart(ret.data);
              if ($scope.vm.page == 1) {
                $scope.vm.favorites = ret.data;
              } else {
                $scope.vm.favorites = $scope.vm.favorites.concat(ret.data);
              }

              if (ret.total <= $scope.vm.page || ret.total === 0) {
                $scope.vm.moredata = true;
              } else {
                $scope.vm.moredata = false;
              }
            } else {
              $scope.vm.moredata = true;
              Global.popup.alert("获取我的收藏失败，请刷新");
            }
            $scope.$broadcast('scroll.refreshComplete');
          }).error(function () {
            $scope.vm.moredata = true;
            Global.popup.alert("获取我的收藏失败，请刷新");
            $scope.$broadcast('scroll.refreshComplete');
          });
        }, 300);
      },
      getNextPage: function () {
        $timeout(function () {
          $scope.vm.page += 1;
          FavoritesServ.getFavoritesList($scope.subTab, {
            page: $scope.vm.page,
            rows: $scope.vm.rows
          }).success(function (ret) {
            if (ret.code === 0) {
              $scope.vm.records = ret.records;
              loadShoppingCart(ret.data);
              if ($scope.vm.page == 1) {
                $scope.vm.favorites = ret.data;
              } else {
                $scope.vm.favorites = $scope.vm.favorites.concat(ret.data);
              }
              if (ret.total <= $scope.vm.page || ret.total === 0) {
                $scope.vm.moredata = true;
              } else {
                $scope.vm.moredata = false;
              }
              $scope.$broadcast('scroll.infiniteScrollComplete');
            } else {
              $scope.vm.moredata = true;
              Global.popup.alert("获取我的收藏失败，请刷新");
              $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
            }
          }).error(function () {
            $scope.vm.moredata = true;
            Global.popup.alert("获取我的收藏失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
          });
        }, 300);
      }
    };

    //供应商视图
    $scope.splVm = {
      page: 0,
      rows: 15,
      moredata: false,
      condition: '',
      favorites: [],
      records: '',
      doRefresh: function () {
        $timeout(function () {
          $scope.splVm.page = 1;
          FavoritesServ.getMyFavoritesSpl($scope.subTab, {
            page: $scope.splVm.page,
            rows: $scope.splVm.rows
          }).success(function (ret) {
            if (ret.code == '0') {
              $scope.splVm.records = ret.records;
              if ($scope.splVm.page == 1) {
                $scope.splVm.favorites = ret.data;
              } else {
                $scope.splVm.favorites = $scope.splVm.favorites.concat(ret.data);
              }

              if (ret.total <= $scope.splVm.page || ret.total === 0) {
                $scope.splVm.moredata = true;
              } else {
                $scope.splVm.moredata = false;
              }
            } else {
              $scope.splVm.moredata = true;
              Global.popup.alert("获取我的供应商收藏失败，请刷新。");
            }
            $scope.$broadcast('scroll.refreshComplete');
          }).error(function () {
            $scope.splVm.moredata = true;
            Global.popup.alert("获取我的供应商收藏失败，请刷新。");
            $scope.$broadcast('scroll.refreshComplete');
          });
        }, 300);
      },
      getNextPage: function () {
        $timeout(function () {
          $scope.splVm.page += 1;
          FavoritesServ.getMyFavoritesSpl($scope.subTab, {
            page: $scope.splVm.page,
            rows: $scope.splVm.rows
          }).success(function (ret) {
            if (ret.code === 0) {
              $scope.splVm.records = ret.records;
              if ($scope.splVm.page == 1) {
                $scope.splVm.favorites = ret.data;
              } else {
                $scope.splVm.favorites = $scope.splVm.favorites.concat(ret.data);
              }
              if (ret.total <= $scope.splVm.page || ret.total === 0) {
                $scope.splVm.moredata = true;
              } else {
                $scope.splVm.moredata = false;
              }
              $scope.$broadcast('scroll.infiniteScrollComplete');
            } else {
              $scope.splVm.moredata = true;
              Global.popup.alert("获取我的供应商收藏失败，请刷新");
              $scope.$broadcast("scroll.infiniteScrollComplete");
            }
          }).error(function () {
            $scope.splVm.moredata = true;
            Global.popup.alert("获取我的供应商收藏失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");
          });
        }, 300);
      }
    };

    //取消供应商收藏
    $scope.cancelFavoritesSplById = function (favorite1) {
      favorite1.isClicked = true;
      event.stopPropagation();
      Global.popup.confirm("取消收藏？",
        function () {
          FavoritesServ.cancelFavoritesSplById(favorite1.pk).success(function (ret) {
            if (ret.code === 0 && ret.data) {
              $scope.splVm.records = $scope.splVm.records - 1;
              $scope.splVm.favorites.splice($scope.splVm.favorites.indexOf(favorite1), 1);
            } else {
              Global.popup.showToast("取消收藏失败！" + ret.message);
            }
          });
        },
        function () {
          favorite1.isClicked = undefined;
        }
      );
    };
    // 查看供应商详情
    $scope.goSupplierDetail = function (splCode) {
      $state.go('tab-supplier-info', {splCode: splCode});
    };

    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty1', $scope);
    };
    //加入报货单
    GoodsDetailServ.initFootBar($scope);
    $scope.addShoppingCart = function (item) {
      if (item.qty + item.qty1 > item.realtimeStockCount) {//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if (item.licence && item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)) {
        $state.go('applyLicence', {licence: item.licence, splCode: item.splCode});
      } else {
        GoodsDetailServ.addShoppingCart(item, $scope);
      }
    };

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, delivType) {
      $state.go('tab-goods-detail', {
        itCode: itCode,
        splCode: splCode,
        spAreaCode: Global.User.Store.spAreaCode,
        delivType: delivType
      });
    };
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    //清空收藏夹商品
    $scope.deleteAll = function () {
      Global.popup.confirm("确认清空收藏夹所有商品吗？",
        function () {
          FavoritesServ.deleteAll().success(function (ret) {
            if (ret.data) {
              $scope.vm.favorites = null;
            } else {
            }
          });
        },
        function () {

        });
    };
    //取消收藏
    $scope.deleteOne = function (favorite1) {
      favorite1.isClicked = true;
      event.stopPropagation();
      Global.popup.confirm("取消收藏？",
        function () {
          FavoritesServ.deleteByItCode(favorite1.itcode, '', favorite1.delivType).success(function (ret) {
            if (ret.code === 0 && ret.data) {
              $scope.vm.records = $scope.vm.records - 1;
              $scope.vm.favorites.splice($scope.vm.favorites.indexOf(favorite1), 1);
            } else {
              Global.popup.showToast("取消收藏失败！" + ret.message);
            }
          });
        },
        function () {
          favorite1.isClicked = undefined;
        }
      );
    };
    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      GoodsDetailServ.changeQty1(opt, item);
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel, $scope);
    }

    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //到货通知
    $scope.addArrivalNotice = function (item) {
      GoodsDetailServ.addArrivalNotice(item, $scope);
    };

    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if (item.delivType != '1') {
        return;
      }
      GoodsDetailServ.changeItemSupplier(item, $scope);
    };
  }])
  //我的积分
  .controller('IntegralCtrl', ['$scope', 'Global', 'IntegralServ', '$state', '$ionicHistory', '$timeout', '$ionicScrollDelegate', function ($scope, Global, IntegralServ, $state, $ionicHistory, $timeout, $ionicScrollDelegate) {
    $scope.vm = {
      page: 1,
      rows: 15,
      totalCashIntegralTran: 0,
      data: [],
      moredata: false
    };
    $scope.$on('$ionicView.beforeEnter', function () {
      if ($scope.vm.data.length !== 0) {
        $scope.vm.page = 1;
        $scope.vm.moredata = false;
        $scope.vm.data = [];
        $ionicScrollDelegate.scrollBottom();
      }
    });
    $scope.goIntegralConvert = function () {
      $state.go('tab-integralConvert ');
    };
    //后退
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
      } else {
        $state.go('tab.my');
      }
    };
    //下啦刷新
    $scope.doRefresh = function () {
      $scope.vm.page = 1;
      $scope.getIntegralList();
      $timeout(function () {
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    //上啦加载
    $scope.loadMore = function () {
      $timeout(function () {
        IntegralServ.getIntegralList($scope).success(function (ret) {
          if (ret.code == '0') {
            if ($scope.vm.page == 1) {
              $scope.vm.data = ret.data;
            } else $scope.vm.data = $scope.vm.data.concat(ret.data);
            $scope.vm.totalCashIntegralTran = ret.totalCashIntegralTran;
            if (ret.total <= $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
          } else {
            $scope.vm.moredata = true;
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }).error(function () {
          $scope.vm.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });
      }, 300);
    };
    $scope.getIntegralList = function () {
      $scope.vm.page = 1;
      IntegralServ.getIntegralList($scope).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.data = ret.data;
          $scope.vm.totalCashIntegralTran = ret.totalCashIntegralTran;
          if (ret.total <= $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.moredata = true;
        }
      }).error(function () {
        $scope.vm.moredata = true;
      });
    };
    $scope.goIntegralRule = function () {
      $state.go("tab-integralRule");
    };

  }])
  //积分兑换
  .controller('integralConvertCtrl', ['$scope', 'Global', 'IntegralServ', 'MyServ', '$ionicHistory', '$ionicModal', '$timeout', function ($scope, Global, IntegralServ, MyServ, $ionicHistory, $ionicModal, $timeout) {

    // .fromTemplateUrl() 方法
    $ionicModal.fromTemplateUrl('my-modal.html', {
      scope: $scope
    }).then(function (popover) {
      $scope.dialog = popover;
    });
    $scope.goCancel2 = function () {
      $scope.dialog.hide();
    };
    $scope.goCancel1 = function () {
      $scope.dialog.hide();
      Global.utils.goBack();
    };

    $scope.setMoney = function (money) {
      $scope.vm.money2 = '';
      $scope.vm.money1 = money;
    };
    $scope.keyPress = function () {
      $scope.vm.money1 = '';
    };
    $scope.$on('$ionicView.enter', function () {
      $scope.vm = {
        money1: '',
        money2: '',
        integral: '0',
        remark: '',
        isShowRemark: false,
        isOnConvert: false,
        convertText: '兑换'
      };
      $scope.getIntegral();
    });
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };

    function isConvert() {
      if ($scope.vm.isOnConvert) {
        $scope.vm.isOnConvert = false;
        $scope.vm.convertText = '兑换';
      } else {
        $scope.vm.isOnConvert = true;
        $scope.vm.convertText = '兑换中...';
      }
    }

    $scope.convert = function ($event) {
      var money = 0;
      if ($scope.vm.money1 !== '') {
        money = $scope.vm.money1;
      }
      if ($scope.vm.money2 !== '') {
        money = $scope.vm.money2;
      }
      if (!money) {//判断是否可以兑换
        return;
      }
      if ((money % 10) !== 0) {
        Global.popup.alert('请输入10的倍数！');
        return;
      }
      if (money * 1000 > $scope.vm.integral) {
        Global.popup.alert('积分不足！');
        return;
      }
      if ($scope.vm.isOnConvert) {
        return;
      } else {
        isConvert();
      }
      $timeout(function () {
        IntegralServ.convert(money).success(function (ret) {
          if (ret.code === 0) {
            // $scope.vm.money=0;
            $scope.vm.integral = ret.totalCashIntegralTran;
            $scope.vm.time = getMowFormatDate();
            $scope.dialog.show($event);
          } else {
            $scope.vm.isShowRemark = false;
            Global.popup.alert(ret.message, undefined);

          }
          isConvert();
        }).error(function () {
          isConvert();
        });
      }, 300);

    };
    $scope.getIntegral = function () {
      MyServ.getMyProfile().success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.integral = ret.data.totalCashIntegralTran;
        } else {
          Global.popup.alert('加载当前积分失败！', undefined);
        }
      }).error(function () {
      });
    };

    function getMowFormatDate() {//获取当前时间
      var date = new Date();
      var seperator1 = "-";
      var seperator2 = ":";
      var month = date.getMonth() + 1;
      var strDate = date.getDate();
      var strHours = date.getHours();
      var strMin = date.getMinutes();
      var strSec = date.getSeconds();
      if (month >= 1 && month <= 9) {
        month = "0" + month;
      }
      if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
      }
      if (strHours >= 0 && strHours <= 9) {
        strHours = "0" + strHours;
      }
      if (strMin >= 0 && strMin <= 9) {
        strMin = "0" + strMin;
      }
      if (strSec >= 0 && strSec <= 9) {
        strSec = "0" + strSec;
      }
      var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate + " " + strHours + seperator2 + strMin + seperator2 + strSec;
      return currentdate;
    }
  }])
  //积分规则
  .controller('IntegralRuleCtrl', ['$scope', '$ionicPopup', 'Global', '$ionicHistory', '$ionicLoading', 'IntegralRuleServ', function ($scope, $ionicPopup, Global, $ionicHistory, $ionicLoading, IntegralRuleServ) {
    var temp = document.getElementById("integralRuleContent");
    $scope.$on("$ionicView.enter", function () {
      $scope.getPage();
    });
    $scope.getPage = function () {
      IntegralRuleServ.getPage().success(function (ret) {
        if (ret.code === 0) {
          temp.innerHTML = ret.data.growthValueRemark;
        }

      }).error(function () {
      });
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
  }])
  //我的成长值
  .controller('growthValueCtrl', ['$scope', 'Global', '$ionicHistory', 'MyServ', 'GrowthValueServ', '$state', '$timeout', '$ionicViewSwitcher', function ($scope, Global, $ionicHistory, MyServ, GrowthValueServ, $state, $timeout, $ionicViewSwitcher) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    $scope.vm = {
      growthValue: '0',
      realOrdNum: 0,
      realOrdAmount: 0,
      grade: 0,
      gradeName: '-',
      data: [],
      moredata: false,
      rows: 15,
      page: 1
    };
    $scope.vmStyle = {
      circle: 28,
      row: 0,
      bar: 0,
      pct: 0
    };
    $scope.$on("$ionicView.beforeEnter", function () {
      // $scope.getGrowthValueList();11
      var element = document.getElementById("growthValueRow");
      var style = element.currentStyle || document.defaultView.getComputedStyle(element, '');
      var row = style.width.replace(/px/, "");
      $scope.vmStyle.row = row - 76;
      $scope.vmStyle.bar = ($scope.vmStyle.row - 5 * $scope.vmStyle.circle) / 4;
    });
    $scope.$on("$ionicView.loaded", function () {

    });
    $scope.getWidth = function () {
      var realOrdNum = $scope.vm.data.ordNum - $scope.vm.data.srOrdNum;
      var realOrdAmount = $scope.vm.data.ordAmount - $scope.vm.data.sdAmount - $scope.vm.data.srAmount;
      $scope.vm.realOrdNum = realOrdNum;
      $scope.vm.realOrdAmount = realOrdAmount;
      if (realOrdNum < 4 && realOrdAmount < 5000) {
        $scope.vm.grade = 1;
        $scope.vm.gradeName = '普通会员';
        $scope.vmStyle.pct = Math.max(realOrdNum / 4 * 100, realOrdAmount / 5000 * 100);
      } else if (realOrdNum < 6 && realOrdAmount < 10000) {
        $scope.vm.grade = 2;
        $scope.vm.gradeName = '铜牌会员';
        $scope.vmStyle.pct = Math.max((realOrdNum - 4) / 2 * 100, (realOrdAmount - 5000) / 5000 * 100);
      } else if (realOrdNum < 10 && realOrdAmount < 15000) {
        $scope.vm.grade = 3;
        $scope.vm.gradeName = '银牌会员';
        $scope.vmStyle.pct = Math.max((realOrdNum - 6) / 4 * 100, (realOrdAmount - 10000) / 5000 * 100);
      } else if (realOrdNum < 18 && realOrdAmount < 20000) {
        $scope.vm.grade = 4;
        $scope.vm.gradeName = '金牌会员';
        $scope.vmStyle.pct = Math.max((realOrdNum - 10) / 8 * 100, (realOrdAmount - 15000) / 5000 * 100);
      } else {
        $scope.vm.grade = 5;
        $scope.vm.gradeName = '钻石会员';
      }
    };
    $scope.getGrowthValueList = function () {
      //$scope.vm.page = 1;
      MyServ.getCashGradeProgress().success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.data = ret.data;
          /*$scope.getWidth();
          $scope.vm.growthValue = ret.totalCashGrade;
          if (ret.total==$scope.vm.page || ret.total===0) {
            $scope.vm.moredata = true;
          }else{
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;*/
        } else {
          //$scope.vm.moredata = true;
        }
      }).error(function () {
        //$scope.vm.moredata = true;
      });
    };
    //下啦刷新
    $scope.doRefresh = function () {
      $scope.getGrowthValueList();
      $timeout(function () {
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.getGrowthValueList();
    $scope.loadMore = function () {
      $timeout(function () {
        GrowthValueServ.getMyCashGrade($scope).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.data = $scope.vm.data.concat(ret.data);

            $scope.vm.growthValue = ret.totalCashGrade;
            $scope.getWidth();
            if (ret.total == $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            $scope.vm.moredata = true;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function () {
          $scope.vm.moredata = true;
          $scope.$broadcast('scroll.infiniteScrollComplete');
        });

      }, 300);
    };
    $scope.goGrowthRule = function () {
      $state.go("tab-integralRule");
    };
  }])
  //便利宝成长值规则
  .controller('GrowthRuleCtrl', ['$scope', '$ionicPopup', 'Global', '$ionicHistory', 'GrowthRuleServ', function ($scope, $ionicPopup, Global, $ionicHistory, GrowthRuleServ) {
    var temp = document.getElementById("growthRuleContent");
    $scope.$on("$ionicView.enter", function () {
      $scope.getPage();
    });
    $scope.getPage = function () {
      GrowthRuleServ.getPage().success(function (ret) {
        if (ret.code === 0) {
          temp.innerHTML = ret.data.growthValueRemark;
        }

      }).error(function () {
      });
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
  }])
  //私信消息
  .controller('LetterCtrl', ['$scope', 'Global', '$ionicHistory', 'LetterServ', '$timeout', '$state', '$ionicScrollDelegate', '$ionicViewSwitcher', function ($scope, Global, $ionicHistory, LetterServ, $timeout, $state, $ionicScrollDelegate, $ionicViewSwitcher) {
    $scope.vm = {
      rows: 15,
      page: 1,
      data: [],
      moredata: false
    };
    $scope.hasdata = true;
    //$scope.$on("$ionicView.beforeEnter", function () {
    //  $scope.vm.page= 1;
    //  $scope.vm.moredata = false;
    //  $scope.vm.data=[];
    //  $ionicScrollDelegate.scrollTop();
    //});
    //下啦刷新
    $scope.doRefresh = function () {
      $scope.vm.page = 1;
      $scope.getLetters();
      $scope.$broadcast('scroll.refreshComplete');
    };
    //上啦加载
    $scope.loadMore = function () {
      $timeout(function () {
        LetterServ.getLetterList($scope).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.data = $scope.vm.data.concat(ret.data);
            if (ret.total == $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            }
            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
            $scope.vm.moredata = true;
            Global.popup.alert("获取消息列表时发生错误！" + ret.message);

          }
          //判断是否有数据
          if ($scope.vm.data.length > 0) {
            $scope.hasdata = true;
          } else {
            $scope.hasdata = false;
          }
        }).error(function (ret) {
          $scope.vm.moredata = true;
          Global.popup.alert("获取消息列表时发生未知错误！");
          $scope.$broadcast('scroll.infiniteScrollComplete');

        });
      }, 300);
    };
    $scope.getLetters = function () {
      LetterServ.getLetterList($scope).success(function (ret) {
        if (ret.code === 0) {
          $scope.vm.data = ret.data;
          if (ret.total == $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        }
        //判断是否有数据
        if ($scope.vm.data.length > 0) {
          $scope.hasdata = true;
        } else {
          $scope.hasdata = false;
        }
      });
    };
    $scope.markLetter = function (number) {
      LetterServ.markLetter(number).success(function (ret) {
        if (ret.code === 0) {

        }
      });
    };
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      } else {
        $state.go('tab.first');
      }
    };
    $scope.goDetail = function (detail) {
      LetterServ.detail = detail;
      if (detail.readStatus == '0') {
        detail.readStatus = 1;
        $scope.markLetter(detail.number);
      }
      $state.go("letterDetail");
    };
  }])
  //私信消息
  .controller('LetterDetailCtrl', ['$scope', 'Global', '$ionicHistory', '$stateParams', 'LetterServ', function ($scope, Global, $ionicHistory, $stateParams, LetterServ) {
    $scope.detail = {};
    $scope.$on("$ionicView.enter", function () {
      $scope.detail = LetterServ.detail;
      if ($stateParams.id) {
        LetterServ.getMyOneLetter($stateParams.id).success(function (ret) {
          if (ret.code === 0) {
            $scope.detail = ret.data;
          }
        });
      }
    });
    $scope.goBack = function () {
      Global.utils.goBack();
    };
  }])
  //关于
  .controller('AboutCtrl', ['$scope', 'Global', '$ionicHistory', 'AboutServ', function ($scope, Global, $ionicHistory, AboutServ) {
    var temp = document.getElementById("aboutMe");
    $scope.ruleModal = {
      rule: ""
    };
    $scope.$on("$ionicView.enter", function () {
      $scope.getPage();
    });
    $scope.getPage = function () {
      AboutServ.getPage().success(function (ret) {
        if (ret.code == '0') {
          $scope.ruleModal.rule = ret.data.aboutWqblb;
          temp.innerHTML = ret.data.aboutWqblb;
        }
      }).error(function () {
      });
    };
    $scope.goBack = function () {
      Global.utils.goBack();
    };
  }])
  //订单评价
  .controller('orderEvaluateCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ) {
    //双向绑定时值最好用对象类型中的属性，不要用单值类型，会有继承问题，导致绑定不成功。
    $scope.evaluateParam = {
      serviceScore: 0,
      serviceScoreDescr: '',
      deliveryScore: 0,
      deliveryScoreDescr: '',
      remarks: '',
      no: ''
    };
    if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {
      $scope.evaluateParam.no = $stateParams.siNo;
    }
    $scope.addEvaluate = function () {
      // if ($scope.evaluateParam.deliveryScore === 0) {
      //   Global.popup.alert("请对配送进行打分!");
      //   return;
      // }
      if ($scope.evaluateParam.serviceScore === 0) {
        Global.popup.alert("请对服务进行打分!");
        return;
      }
      myOrderServ.addEvaluate($scope.evaluateParam).success(function (ret) {
        if (ret.code === 0) {
          $scope.goBack();
          myOrderServ.needRefreshMyOrders = true;
        } else {
          Global.popup.alert(ret.message);
        }
      });
    };

    $scope.goBack = function () {
      Global.utils.goBack();
    };

    //获取配送评分描述
    myOrderServ.getDeliveryScore().success(function (ret) {
      if (ret.code === 0) {
        $scope.deliveryScoreList = ret.data;
      }
    });
    //初始化配送评分
    $scope.deliveryRatingsObject = {
      iconOn: 'ion-ios-star', //Optional
      iconOff: 'ion-ios-star-outline',  //Optional
      iconOnColor: 'rgb(200, 200, 100)',  //Optional
      iconOffColor: 'rgb(200, 100, 100)', //Optional
      rating: 0,  //Optional
      minRating: 0, //Optional
      readOnly: false, //Optional
      callback: function (rating) {  //Mandatory
        $scope.evaluateParam.deliveryScore = rating;
        $scope.evaluateParam.deliveryScoreDescr = rating > 0 ? $scope.deliveryScoreList[rating - 1].description : "";
      }
    };
    //获取服务评分描述
    myOrderServ.getServiceScore().success(function (ret) {
      if (ret.code === 0) {
        $scope.serviceScoreList = ret.data;
      }
    });
    //初始化服务评分
    $scope.serviceRatingsObject = {
      iconOn: 'ion-ios-star', //Optional
      iconOff: 'ion-ios-star-outline',  //Optional
      iconOnColor: 'rgb(200, 200, 100)',  //Optional
      iconOffColor: 'rgb(200, 100, 100)', //Optional
      rating: 0,  //Optional
      minRating: 0, //Optional
      readOnly: false, //Optional
      callback: function (rating) {  //Mandatory
        $scope.evaluateParam.serviceScore = rating;
        $scope.evaluateParam.serviceScoreDescr = rating > 0 ? $scope.serviceScoreList[rating - 1].description : "";
      }
    };
  }])
  //退货申请
  .controller('salesReturnApplyCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', '$ionicPopover', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ, $ionicPopover) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    $scope.$on("$ionicView.beforeEnter", function () {
      $scope.editFlag = !$scope.editFlag;
      angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
        item.editNum = true;
      });
    });
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode, delivType) {
      $state.go('tab-goods-detail', {itCode: itCode, splCode: splCode, spAreaCode: spAreaCode, delivType: delivType});
    };
    $scope.currentNo = []; //当前的销售订单号
    $scope.salesInvoiceModel = []; //当前订单详情
    if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {
      $scope.currentNo = $stateParams.siNo;
    }
    $scope.salesReturnDetailParam = {
      salesReturnDetail: []
    };
    $scope.rightBtnLabel = "编辑";
    $scope.editFlag = false;
    $scope.commit = function () {
      //提交退货单
      angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
        if (item.apply) {
          $scope.salesReturnDetailParam.salesReturnDetail.push(item);
        }
      });
      //console.log($scope.salesReturnDetailParam);
      //判断是否有申请退货的商品
      if ($scope.salesReturnDetailParam.salesReturnDetail.length > 0) {
        myOrderServ.applySalesReturn($scope.salesReturnDetailParam).success(function (ret) {
          if (ret.code == '0') {
            myOrderServ.tabcode = '4';
            Global.utils.goBack();
          } else {
            Global.popup.alert("申请退货失败！" + ret.message);
          }
        }).error(function (data) {
          Global.popup.alert("申请退货失败！" + data.message);
        });
      } else {
        Global.popup.alert("请先选择商品！");
      }

    };
    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      if (opt == '-') {
        if (item.qty > 1) {
          item.qty -= 1;
          if (item.apply) {
            $scope.retSumCost -= (item.bcost - item.cashBack);
          }
        }
      } else {
        if (item.qty < item.canRetQty) {
          item.qty += 1;
          if (item.apply) {
            $scope.retSumCost += (item.bcost - item.cashBack);
          }
        }
      }
    };
    $scope.retQty = 0;
    $scope.retSumCost = 0;
    //申请退货按钮
    $scope.toggleApplyBtn = function (index) {
      if (!$scope.salesInvoiceModel.salesInvoiceDetailList[index].apply) {
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].applyBtnLabel = "取消申请";
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].apply = true;
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].editNum = false;
        $scope.retQty++;
        $scope.retSumCost += ($scope.salesInvoiceModel.salesInvoiceDetailList[index].bcost - $scope.salesInvoiceModel.salesInvoiceDetailList[index].cashBack) * $scope.salesInvoiceModel.salesInvoiceDetailList[index].qty;
      } else {
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].applyBtnLabel = "申请退货";
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].apply = false;
        $scope.salesInvoiceModel.salesInvoiceDetailList[index].editNum = true;
        $scope.retQty--;
        $scope.retSumCost -= ($scope.salesInvoiceModel.salesInvoiceDetailList[index].bcost - $scope.salesInvoiceModel.salesInvoiceDetailList[index].cashBack) * $scope.salesInvoiceModel.salesInvoiceDetailList[index].qty;
      }
    };
    //获取列表信息
    myOrderServ.getSalesInvoiceDetailList($scope.currentNo).success(function (ret) {
      if (ret.code == '0') {
        $scope.salesInvoiceModel = ret.data;
        //增加字段
        angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
          item.applyBtnLabel = "申请退货";
          item.apply = false;//标记是否是申请退货商品
          item.editNum = true;//控制数量显示
          item.canRetQty = item.qty - item.retQty - item.returnQty;//该商品的可退数量
          if (item.canRetQty === 0) {
            item.qty = 0;
          } else {
            item.qty = 1;
          }
        });
      }
      else {
        Global.popup.alert("获取不到订单详情！" + ret.message);
      }
    }).error(function (data) {
      Global.popup.alert("获取不到订单详情！" + data.message);
    });
    //修改报货单数量
    $scope.qtyModel = {
      qty: 0,
      index: 0
    };
    $scope.updateShoppingCarQty = function ($index) {
      $scope.errorFlag = false;
      var item = $scope.salesInvoiceModel.salesInvoiceDetailList[$index];
      $scope.qtyModel.qty = item.qty;
      $scope.qtyModel.index = $index;
      var dialog = Global.popup.show({
        title: item.item.descr,
        templateUrl: 'shoppingCar-view.html',
        subTitle: "可退数量：" + item.canRetQty,
        scope: $scope
      }, function (e) {
        e.preventDefault();
        if ($scope.qtyModel.qty <= 0) {
          $scope.errorFlag = true;
          $scope.errorTip = "提示:退货数量必须是正数!";
          e.preventDefault();
        } else if ($scope.qtyModel.qty > item.canRetQty) {
          $scope.errorFlag = true;
          $scope.errorTip = "提示:退货数量必须是小于可退数量!";
          e.preventDefault();
        } else {
          if (item.apply && $scope.qtyModel.qty - item.qty !== 0) {
            $scope.retSumCost += ($scope.qtyModel.qty - item.qty) * (item.bcost - item.cashBack);
          }
          item.qty = $scope.qtyModel.qty;
          dialog.close();
        }
      }, function () {
        dialog.close();
      });
    };
    //添加商品数量
    $scope.addQty = function ($index) {
      if ($scope.qtyModel.qty < $scope.salesInvoiceModel.salesInvoiceDetailList[$index].canRetQty) {
        $scope.qtyModel.qty += 1;
      }
    };
    //减少商品数量
    $scope.lessQty = function ($index) {
      if ($scope.qtyModel.qty > 1) {
        $scope.qtyModel.qty -= 1;
      }
    };
  }])
  //订单明细
  .controller('salesInvoiceDetailCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', '$ionicViewSwitcher', 'Global', 'myOrderServ', function ($scope, $state, $stateParams, $ionicHistory, $ionicViewSwitcher, Global, myOrderServ) {
    //后退
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
      } else {
        $state.go('tab.my');
      }
    };
    $scope.currentNo = ""; //当前的销售订单号
    $scope.salesInvoiceModel = []; //当前订单详情
    if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {
      $scope.currentNo = $stateParams.siNo;
    }
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, delivType) {
      //$state.go('tab-goods-detail', {itCode: itCode,splCode:splCode,spAreaCode:Global.User.Store.spAreaCode});
    };
    myOrderServ.getSalesInvoiceDetailList($scope.currentNo).success(function (ret) {
      if (ret.code == '0') {
        $scope.salesInvoiceModel = ret.data;
      }
      else {
        Global.popup.alert("获取不到订单详情！" + ret.message);
      }
    }).error(function (data) {
      Global.popup.alert("获取不到订单详情！" + data.message);
    });

    //点击查看订单使用的卡券列表
    $scope.goShowSalesInvoiceCoupon = function () {
      event.stopPropagation();
      $state.go('salesInvoiceCoupon', {sino: $scope.currentNo.trim()});
    };

    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //四舍五入转换
    $scope.parseFloat = function (number) {
      return parseFloat(Number(number).toFixed(2));
    };
  }])
  //退货明细
  .controller('salesReturnDetailCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, delivType) {
      //$state.go('tab-goods-detail', {itCode: itCode,splCode:splCode,spAreaCode:Global.User.Store.spAreaCode});
    };
    $scope.currentNo = []; //当前的销售订单号
    $scope.salesReturnModel = []; //当前订单详情
    if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {
      $scope.currentNo = $stateParams.siNo;
    }
    myOrderServ.getSalesReturnDetailList($scope.currentNo).success(function (ret) {
      if (ret.code == '0') {
        $scope.salesReturnModel = ret.data;
      } else {
        Global.popup.alert("获取不到退货单详情！" + ret.message);
      }
    }).error(function (data) {
      Global.popup.alert("获取不到退货单详情！" + data.message);
    });
  }])
  //修改订单
  .controller('changeOrdersCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ) {
    $scope.changeOrdersParam = {
      amount: "",
      remarks: '',
      salesInvoiceDetailList: []
    };
    $scope.currentNo = []; //当前的销售订单号
    $scope.salesInvoiceModel = []; //当前订单详情
    $scope.sumCost = 0;
    $scope.realSalesDeliveryFee = 0;
    $scope.$on("$ionicView.beforeEnter", function () {
      if ($stateParams.siNo !== undefined && $stateParams.siNo !== "") {
        $scope.currentNo = $stateParams.siNo;
      }
      $scope.editFlag = $stateParams.editFlag;
      $scope.getSalesInvoiceDetailList();
    });
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode, delivType) {
      $state.go('tab-goods-detail', {itCode: itCode, splCode: splCode, spAreaCode: spAreaCode, delivType: delivType});
    };
    $scope.getSalesInvoiceDetailList = function () {
      //获取修改订单明细
      myOrderServ.getChangeOrders($scope.currentNo).success(function (ret) {
        if (ret.code == '0') {
          $scope.salesInvoiceModel = ret.data;
          $scope.sumCost = 0;
          angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
            item.item.allRealtimeStockCount = item.item.realtimeStockCount + item.qty;
            $scope.sumCost += (item.bcost - item.cashBack) * item.qty;
          });
          $scope.minOrderAmount = ret.sales.minOrderAmount || 0;
          $scope.minSalesNoDeliveryAmount = ret.sales.minSalesNoDeliveryAmount || 0;
          $scope.salesDeliveryFee = ret.sales.salesDeliveryFee || 0;
        }
        else {
          Global.popup.alert("获取不到订单详情！" + ret.message);
        }
      }).error(function (data) {
        Global.popup.alert("获取不到订单详情！" + data.message);
      });
    };

    //删除按钮事件
    $scope.deleteItem = function (index) {
      Global.popup.confirm("确定要删除该商品吗？", function () {
        $scope.salesInvoiceModel.salesInvoiceDetailList.splice(index, 1);
        $scope.sumCost = 0;
        angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
          $scope.sumCost += (item.bcost - item.cashBack) * item.qty;
        });
      }, function () {
      });
    };

    //提交修改订单
    $scope.commit = function () {
      $scope.changeOrdersParam.amount = $scope.sumCost;
      $scope.changeOrdersParam.remarks = $scope.salesInvoiceModel.remarks;
      angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
        $scope.changeOrdersParam.salesInvoiceDetailList.push(item);
      });
      myOrderServ.changeOrdersReq.sino = $scope.currentNo;
      myOrderServ.changeOrdersReq.changeOrdersParam = $scope.changeOrdersParam;
      /*  跳转至订单确认页面
      myOrderServ.changeSalesInvoice($scope.currentNo,$scope.changeOrdersParam).success(function (ret) {
        if(ret.code == '0'){
          Global.utils.goBack();
        }else {
          Global.popup.alert("修改订单失败！"+ret.message);
        }
      }).error(function(data){
        Global.popup.alert("修改订单失败！");
      });
      */
      //配送费
      if ($scope.sumCost >= $scope.minOrderAmount && $scope.sumCost < $scope.minSalesNoDeliveryAmount) {
        $scope.realSalesDeliveryFee = $scope.salesDeliveryFee;
      } else {
        $scope.realSalesDeliveryFee = 0;
      }
      $state.go('orderConfirm', {
        sumCost: $scope.sumCost,
        from: '1',
        payType: $scope.salesInvoiceModel.payType,
        payAmount: $scope.salesInvoiceModel.payAmount,
        salesDeliveryFee: $scope.realSalesDeliveryFee
      });
    };
    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      if (opt == '-') {
        if (item.qty > item.item.itemSize) {
          item.qty -= item.item.itemSize;
        }
      } else {
        if (item.item.isProm == '1' && item.item.promTopQty !== '0' && (item.qty + item.item.itemSize) > item.item.promTopQty) {
          Global.popup.showToast("订购数量不能大于限订量！");
          return false;
        }
        if (item.qty + item.item.itemSize > item.item.allRealtimeStockCount) {//库存不足
          Global.popup.showToast('商品库存不足，无法加入报货单！');
          return false;
        }
        item.qty += item.item.itemSize;
      }
      $scope.sumCost = 0;
      angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
        $scope.sumCost += (item.bcost - item.cashBack) * item.qty;
      });
    };
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      $scope.errorFlag = false;
      $scope.shoppingCartQtyModel = {
        shoppingCarQty: 0,
        itemSize: item.item.itemSize,
        isProm: item.item.isProm,
        promTopQty: item.item.promTopQty
      };
      $scope.shoppingCartQtyModel.shoppingCarQty = item.qty;

      $scope.blurQty = function () {
        document.getElementById('shoppingCarQty').focus();
      };
      //添加商品数量
      $scope.addQty = function () {
        if ($scope.shoppingCartQtyModel.isProm == '1' && $scope.shoppingCartQtyModel.promTopQty != '0' && ($scope.shoppingCartQtyModel.shoppingCarQty + $scope.shoppingCartQtyModel.itemSize) > $scope.shoppingCartQtyModel.promTopQty) {
          Global.popup.showToast("订购数量不能大于限订量！");
          return;
        }
        $scope.shoppingCartQtyModel.shoppingCarQty += $scope.shoppingCartQtyModel.itemSize;
      };
      //减少商品数量
      $scope.lessQty = function () {
        if ($scope.shoppingCartQtyModel.shoppingCarQty > $scope.shoppingCartQtyModel.itemSize) {
          $scope.shoppingCartQtyModel.shoppingCarQty -= $scope.shoppingCartQtyModel.itemSize;
        }
      };

      var dialog = Global.popup.show({
        title: item.item.descr,
        templateUrl: 'shoppingCar-view.html',
        subTitle: (item.item.itemSize == '1' ? '' : '起订量：' + item.item.itemSize + item.item.uomDescr) + (item.item.isProm == '0' || item.item.promTopQty == '0' ? '' : '；限订量：' + item.item.promTopQty + item.item.uomDescr),
        scope: $scope
      }, function (e) {
        e.preventDefault();
        if ($scope.shoppingCartQtyModel.shoppingCarQty <= 0) {
          $scope.errorFlag = true;
          $scope.errorTip = "提示:订购数量必须是正数!";
          e.preventDefault();
        }
        else if (item.item.isProm == '1' && item.item.promTopQty != '0' && $scope.shoppingCartQtyModel.shoppingCarQty > item.item.promTopQty) {
          $scope.errorFlag = true;
          $scope.errorTip = "提示:订购数量不能大于限订量!";
          e.preventDefault();
        }
        else if ($scope.shoppingCartQtyModel.shoppingCarQty > item.item.allRealtimeStockCount) {//库存不足
          Global.popup.showToast('商品库存不足，无法加入报货单！');
          e.preventDefault();
        }
        else if ($scope.shoppingCartQtyModel.shoppingCarQty % item.item.itemSize === 0) {
          item.qty = $scope.shoppingCartQtyModel.shoppingCarQty;
          $scope.sumCost = 0;
          angular.forEach($scope.salesInvoiceModel.salesInvoiceDetailList, function (item) {
            $scope.sumCost += (item.bcost - item.cashBack) * item.qty;
          });
          dialog.close();
        } else {
          $scope.errorFlag = true;
          $scope.errorTip = "提示:订购数量必须是起订量的整数倍!";
          e.preventDefault();
        }
      }, function () {
        dialog.close();
      });
    };
  }])
  //我的订单
  .controller('MyOrdersCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', '$timeout', '$ionicScrollDelegate', '$rootScope', '$ionicViewSwitcher', '$cordovaBarcodeScanner', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ, $timeout, $ionicScrollDelegate, $rootScope, $ionicViewSwitcher, $cordovaBarcodeScanner) {
    var element = document.getElementById("aaa");
    var style = element.currentStyle || document.defaultView.getComputedStyle(element, '');
    var width = style.width.replace(/px/, "");
    $scope.vm = {
      condition: {
        filterBy: "showAll",
        page: 1,
        rows: 5,
        itBarcode: '',
        itemDescr: ''
      },
      moredata: false,
      data: [],
      width: width,
      totalCount: -1
    };
    $scope.tabs = [
      {selected: true},
      {selected: false},
      {selected: false},
      {selected: false},
      {selected: false}
    ];
    $scope.tabcode = 0;
    $scope.selectTab = function (num) {
      myOrderServ.tabcode = num;
      $scope.vm.totalCount = -1;
      $scope.tabcode = num;
      angular.forEach($scope.tabs, function (tab, index) {
        if (index == num) {
          tab.selected = true;
          if (num == '0') {
            $scope.vm.condition.filterBy = "showAll";
          } else if (num == '1') {
            $scope.vm.condition.filterBy = "ordering";
          } else if (num == '2') {
            $scope.vm.condition.filterBy = "unEvaluated";
          } else if (num == '3') {
            $scope.vm.condition.filterBy = "isEvaluated";
          } else {
            $scope.vm.condition.filterBy = "";
            $scope.salesInvoiceSearch.cancelSalesInvoiceSearch();
            $scope.isReportReturn = false;
            myOrderServ.isReportReturn().success(function (s) {
              if (s.code === 0 && s.data === true) {
                $scope.isReportReturn = true;
              }
            });
          }
        } else {
          tab.selected = false;
        }
      });

      $scope.vm.condition.page = 1;
      $scope.vm.moredata = false;
      $scope.vm.data = [];
      $ionicScrollDelegate.scrollTop();
    };
    $scope.$on("$ionicView.beforeEnter", function () {
      if (myOrderServ.needRefreshMyOrders) {
        myOrderServ.needRefreshMyOrders = false;
        $scope.selectTab(myOrderServ.tabcode);
      }
    });
    // 日期函数加减
    $scope.addDate = function (date, days) {
      var d = new Date(date);
      d.setDate(d.getDate() + days);
      var m = d.getMonth() + 1;
      return d.getFullYear() + '-' + m + '-' + d.getDate();
    };

    $scope.getarrivedate = function (ret) {
      angular.forEach(ret.data, function (item, index) {
        var a;
        if ($scope.tabcode === 0 || $scope.tabcode == 1) {
          a = new Date(item.crtDate);
          if (a.getHours() < 9) {
            item.arriveDate = $scope.addDate(item.crtDate, 1);
          } else {
            item.arriveDate = $scope.addDate(item.crtDate, 2);
          }
        } else if ($scope.tabcode == 4) {
          a = new Date(item.date);
          if (a.getHours() < 9) {
            item.arriveDate = $scope.addDate(item.date, 1);
          } else {
            item.arriveDate = $scope.addDate(item.date, 2);
          }
        }
      });
    };
    $scope.getSalesInvoiceList = function () {
      if ($scope.tabcode === undefined) {
        $scope.selectTab(0);
      }
      myOrderServ.getSalesInvoiceList($scope.vm.condition, $scope.tabcode).success(function (ret) {
        if (ret.code == '0') {
          $scope.getarrivedate(ret);
          $scope.vm.data = ret.data;
          $scope.vm.totalCount = ret.total;
          if (ret.total <= $scope.vm.condition.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.condition.page += 1;
        }
        else {
          $scope.vm.moredata = true;
        }
      })
        .error(function (ret) {
          $scope.vm.moredata = true;
        });
    };
    //上啦加载
    $scope.loadMore = function () {
      $timeout(function () {
        if ($scope.tabcode === undefined) {
          $scope.selectTab(0);
        }
        myOrderServ.getSalesInvoiceList($scope.vm.condition, $scope.tabcode).success(function (ret) {
          if (ret.code == '0') {
            $scope.getarrivedate(ret);
            $scope.vm.data = $scope.vm.data.concat(ret.data);
            $scope.vm.totalCount = ret.total;
            if (ret.total <= $scope.vm.condition.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.condition.page += 1;
          }
          else {
            $scope.vm.moredata = true;
          }
          $scope.$broadcast('scroll.infiniteScrollComplete');
        })
          .error(function (ret) {
            $scope.vm.moredata = true;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
      }, 300);
    };
    //下啦刷新
    $scope.doRefresh = function () {
      $timeout(function () {
        $ionicScrollDelegate.scrollTop();
        $scope.vm.condition.page = 1;
        $scope.getSalesInvoiceList();
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.goToSalesInvoiceDetail = function (No) {
      $state.go('salesInvoiceDetail', {siNo: No});
    };
    $scope.applySalesReturn = function (No) {
      $state.go('salesReturnApply', {siNo: No});
    };
    $scope.changeOrders = function (No) {
      $state.go('changeOrders', {siNo: No, editFlag: true});
    };
    $scope.goToEvaluate = function (No) {
      $state.go('orderEvaluate', {siNo: No});
    };
    $scope.goSalesReturnDetailPage = function (No) {
      $state.go('salesReturnDetail', {siNo: No});
    };
    $scope.cancelSalesInvoice = function (No, payType) {
      var message = "确定要取消订单吗?";
      if (payType == 2) {
        message += "<br/><span style='color:red;'>提示：订单金额自动退回至账户余额。</span>";
      }
      Global.popup.confirm(message, function () {
        myOrderServ.cancelSalesInvoice(No).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.condition.page = 1;
            $scope.getSalesInvoiceList();
          }
          else {
            Global.popup.alert("取消订单失败！" + ret.message);
          }
        })
          .error(function (ret) {
            Global.popup.alert("取消订单失败！");
          });
      }, function () {

      });
    };
    $scope.cancelSalesReturn = function (No) {
      Global.popup.confirm("确定要取消退货吗？", function () {
        myOrderServ.cancelSalesReturn(No).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.condition.page = 1;
            $scope.getSalesInvoiceList();
          }
          else {
            Global.popup.alert("取消退货失败！" + ret.message);
          }
        })
          .error(function (ret) {
            Global.popup.alert("取消退货失败！");
          });
      }, function () {

      });
    };
    //后退
    $scope.goBack = function () {
      $scope.vm.data = [];
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      } else {
        $state.go('tab.my');
      }
    };

    //再来一单
    $scope.onceMoreOrder = function (sino) {
      myOrderServ.onceMoreOrder(sino).success(function (ret) {
        if (ret.code == '0') {
          $rootScope.$broadcast('updateShoppingCount');
          $state.go('tab.order');
        } else {
          Global.popup.alert("再来一单操作失败！" + ret.message);
        }
      }).error(function (err) {
        Global.popup.alert("再来一单操作失败！" + err.message);
      });
    };

    //点击查看订单使用的卡券列表
    $scope.goShowSalesInvoiceCoupon = function (sino) {
      event.stopPropagation();
      $state.go('salesInvoiceCoupon', {sino: sino.trim()});
    };

    //查看供应商详情
    $scope.goSupplier = function (splCode) {
      if (splCode && splCode !== '') {
        $state.go('tab-supplier-detail', {splCode: splCode.trim()});
      } else {
        $state.go('tab.about');
      }
    };
    //四舍五入转换
    $scope.parseFloat = function (number) {
      return parseFloat(Number(number).toFixed(2));
    };

    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;

    //根据商品条码/名称过滤订单列表
    $scope.salesInvoiceSearch = {
      isSalesInvoiceSearch: false,
      salesInvoiceSearchKey: '',
      cancelSalesInvoiceSearch: function () {
        $scope.salesInvoiceSearch.isSalesInvoiceSearch = false;
        $scope.salesInvoiceSearch.salesInvoiceSearchKey = '';
        if ($scope.vm.condition.itBarcode || $scope.vm.condition.itemDescr) {
          $scope.vm.condition.itBarcode = '';
          $scope.vm.condition.itemDescr = '';
          $scope.doRefresh();
        }
      },
      goSalesInvoiceSearch: function () {
        $scope.salesInvoiceSearch.isSalesInvoiceSearch = true;
      },
      searchSalesInvoice: function () {
        $scope.vm.condition.itBarcode = '';
        $scope.vm.condition.itemDescr = '';
        if ($scope.salesInvoiceSearch.salesInvoiceSearchKey) {
          $scope.salesInvoiceSearch.salesInvoiceSearchKey = $scope.salesInvoiceSearch.salesInvoiceSearchKey.trim();
          if (!/.*[\u4e00-\u9fa5]+.*$/.test($scope.salesInvoiceSearch.salesInvoiceSearchKey)) { // 非汉字则按商品条码搜索
            $scope.vm.condition.itBarcode = $scope.salesInvoiceSearch.salesInvoiceSearchKey;
          } else { // 否则按商品名称搜索
            $scope.vm.condition.itemDescr = $scope.salesInvoiceSearch.salesInvoiceSearchKey;
          }
        }
        $scope.doRefresh();
      },
      //扫商品条码
      scanBarcode: function () {
        if (!window.cordova) {//是否来自于APP端
          wxUtil.scanQRCode(function (res) {
            if (res && res.resultStr.length > 0) {
              $scope.salesInvoiceSearch.salesInvoiceSearchKey = res.resultStr.substring(res.resultStr.indexOf(',') + 1);
              $scope.salesInvoiceSearch.searchSalesInvoice();
            }
          });
        } else {
          $cordovaBarcodeScanner.scan().then(function (imageData) {
            if (imageData && imageData.text && imageData.text.length > 0) {
              $scope.salesInvoiceSearch.salesInvoiceSearchKey = imageData.text;
              $scope.salesInvoiceSearch.searchSalesInvoice();
            }
          }, function (error) {
            Global.popup.showToast(error);
          });
        }
      }
    };

    // 报备退货
    $scope.reportReturn = function () {
      if ($scope.isReportReturn) { // 取消报备退货
        Global.popup.confirm("确认要取消报备退货？<br/><span style='color:red;'>平台将不会安排退货人员上门服务！</span>", function () {
          myOrderServ.cancelReportReturn().success(function (s) {
            if (s.code === 0) {
              $scope.isReportReturn = false;
              Global.popup.showToast("报备退货取消成功，退货人员将不再上门收取！", "center", "long");
            } else {
              Global.popup.showToast(s.msg);
            }
          });
        });
      } else {
        Global.popup.confirm("确认报备退货？<br/><span style='color:red;'>平台将尽快安排退货人员上门现场退货，请提前准备好退货商品！</span>", function () {
          myOrderServ.reportReturn().success(function (s) {
            if (s.code === 0) {
              $scope.isReportReturn = true;
              Global.popup.showToast("报备退货成功，请耐心等待退货人员上门收取！", "center", "long");
            } else {
              Global.popup.showToast(s.msg);
            }
          });
        });
      }
    };
  }])
  //为您推荐
  .controller('RecommendCtrl', ['$scope', '$cordovaBarcodeScanner', 'Global', '$state', 'RecommendServ', '$ionicHistory', '$timeout', 'OrderServ', '$ionicScrollDelegate', 'GoodsDetailServ', '$ionicViewSwitcher', function ($scope, $cordovaBarcodeScanner, Global, $state, RecommendServ, $ionicHistory, $timeout, OrderServ, $ionicScrollDelegate, GoodsDetailServ, $ionicViewSwitcher) {
    $scope.vm = {
      page: 1,
      rows: 15,
      condition: '',
      data: [],
      records: ''
    };
    $scope.$on('$ionicView.beforeEnter', function () {
      if ($ionicHistory.forwardView() && ($ionicHistory.forwardView().stateName == 'retRemark' || $ionicHistory.forwardView().stateName == 'tab-goods-detail')) {
        //来自于退换说明不更新
      } else {
        $scope.vm.page = 1;
        $scope.vm.moredata = false;
        $scope.vm.data = [];
        $ionicScrollDelegate.scrollTop();
      }
    });

    $scope.doRefresh = function () {
      $timeout(function () {
        $scope.vm.page = 1;
        $scope.reSearch();
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.reSearch = function () {
      RecommendServ.getRecommend().success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.records = ret.records;
          loadShoppingCart(ret.data);
          if ($scope.vm.page == 1) {
            $scope.vm.data = ret.data;
          } else {
            $scope.vm.data = $scope.vm.data.concat(ret.data);
          }
          $scope.vm.page += 1;
        } else {
          Global.popup.alert("获取为您推荐失败，请刷新");
        }
      }).error(function () {
      });
    };

    $scope.getNextPage = function () {
      $timeout(function () {
        RecommendServ.getRecommend().success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.records = ret.records;
            loadShoppingCart(ret.data);
            if ($scope.vm.page == 1) {
              $scope.vm.data = ret.data;
            } else {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
            }

            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            Global.popup.alert("获取为您推荐失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
          }
        }).error(function () {
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);
    };
    //初始化页脚的报货单栏目
    GoodsDetailServ.initFootBar($scope);
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty1', $scope);
    };

    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      GoodsDetailServ.changeQty1(opt, item);
    };
    //立即加入报货单
    $scope.addShoppingCart = function (item) {
      if (item.qty + item.qty1 > item.realtimeStockCount) {//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if (item.licence && item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)) {
        $state.go('applyLicence', {licence: item.licence, splCode: item.splCode});
      } else {
        GoodsDetailServ.addShoppingCart(item, $scope);
      }
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel, $scope);
    }

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode, delivType) {
      $state.go('tab-goods-detail', {
        itCode: itCode.trim(),
        splCode: splCode.trim(),
        spAreaCode: Global.User.Store.spAreaCode.trim(),
        delivType: delivType
      });
    };
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //到货通知
    $scope.addArrivalNotice = function (item) {
      GoodsDetailServ.addArrivalNotice(item, $scope);
    };
    //去逛逛
    $scope.goSearchResult = function () {
      $state.go('tab-search-results', {searchKey: ''});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if (item.delivType != '1') {
        return;
      }
      GoodsDetailServ.changeItemSupplier(item, $scope);
    };
  }])
  //交易记录
  .controller('TransactionCtrl', ['$scope', 'Global', 'TransactionServ', '$ionicHistory', '$ionicLoading', '$state', '$timeout', '$ionicScrollDelegate', function ($scope, Global, TransactionServ, $ionicHistory, $ionicLoading, $state, $timeout, $ionicScrollDelegate) {
    $scope.vm = {
      page: 1,

      rows: 15,
      bussiSubject: "3,4,5,17",
      filterBy: "showLastThreeMonths",
      totalFund: 0,
      data: [],
      moredata: false,
      button1Style: {},
      button2Style: {},
      button3Style: {},
      itemStyle1: {},
      itemStyle2: {}
    };
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //账户充值
    $scope.goRecharge = function () {
      $state.go('tab-accountRecharge');
    };
    $scope.$on('$ionicView.enter', function () {
      //$scope.getStoreFundTran();
    });
    $scope.setFilter = function (filterBy) {
      var style1 = {
        "background-color": "#ff6600",
        "color": "white"

      };
      var style2 = {
        "background-color": "white",
        "color": "#ff6600"

      };
      $scope.vm.button1Style = style2;
      $scope.vm.button2Style = style2;
      $scope.vm.button3Style = style2;
      if (filterBy == 3) {
        $scope.vm.button3Style = style1;
        $scope.vm.filterBy = "showAll";
      } else if (filterBy == 2) {
        $scope.vm.button2Style = style1;
        $scope.vm.filterBy = "showLastSixMonths";
      } else {
        $scope.vm.button1Style = style1;
        $scope.vm.filterBy = "showLastThreeMonths";
      }
      $scope.vm.page = 1;
      $scope.vm.moredata = false;
      $scope.vm.data = [];
      $ionicScrollDelegate.scrollBottom();

    };
    $scope.getStoreFundTran = function () {
      $scope.vm.page = 1;
      TransactionServ.getStoreFundTran($scope).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.data = ret.data;
          $scope.vm.totalFund = ret.totalFund;
          if (ret.total <= $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.moredata = true;
          Global.popup.alert("加载失败，失败原因：" + ret.message + "请尝试下拉刷新！");
        }
      }).error(function () {
        $scope.vm.moredata = true;
        Global.popup.alert("发生未知错误，请尝试下拉刷新！");
      });
    };
    $scope.doRefresh = function () {
      $scope.getStoreFundTran();
      $timeout(function () {
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.loadMore = function () {
      $timeout(function () {
        TransactionServ.getStoreFundTran($scope).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.data = $scope.vm.data.concat(ret.data);
            $scope.vm.totalFund = ret.totalFund;
            if (ret.total == $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
          } else {
            $scope.vm.moredata = true;
            Global.popup.alert("加载失败，失败原因：" + ret.message + "请尝试下拉刷新！");
          }
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        }).error(function () {
          $scope.vm.moredata = true;
          Global.popup.alert("发生未知错误，请尝试下拉刷新！");
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);
    };
  }])
  //我的卡券
  .controller('MyCouponsCtrl', ['$scope', 'Global', '$ionicHistory', '$cordovaBarcodeScanner', '$state', '$stateParams', 'MyCouponsServ', '$ionicActionSheet', '$ionicModal', '$timeout', '$ionicViewSwitcher', function ($scope, Global, $ionicHistory, $cordovaBarcodeScanner, $state, $stateParams, MyCouponsServ, $ionicActionSheet, $ionicModal, $timeout, $ionicViewSwitcher) {
    $scope.goBack = function () {
      if ($ionicHistory.backView()) {
        Global.utils.goBack();
        $ionicViewSwitcher.nextDirection("back");
      } else {
        $state.go('tab.my');
      }
    };

    //上拉加载更多
    $scope.vm = {
      page: 0,
      rows: 15,
      nearExpired: $stateParams.nearExpired || '',
      hasmoredata: true,
      couponsList: [],
      loadMore: function () {
        $timeout(function () {
          $scope.vm.page += 1;
          MyCouponsServ.getMyCoupons({
            rows: $scope.vm.rows,
            page: $scope.vm.page,
            nearExpired: $scope.vm.nearExpired
          }).success(function (ret) {
            if (ret.code === 0) {
              $scope.vm.couponsList = $scope.vm.couponsList.concat(ret.data);
              if (ret.data.length === 0 || ret.records <= $scope.vm.rows) {
                $scope.vm.hasmoredata = false;
              }

            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (err) {
            $scope.vm.hasmoredata = false;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        }, 300);
      },
      doRefresh: function () {
        $scope.vm.page = 1;
        MyCouponsServ.getMyCoupons({
          rows: $scope.vm.rows,
          page: $scope.vm.page,
          nearExpired: $scope.vm.nearExpired
        }).success(function (ret) {
          if (ret.code === 0) {
            $scope.vm.couponsList = ret.data;
            if (ret.data.length === 0 || ret.records <= $scope.vm.rows) {
              $scope.vm.hasmoredata = false;
            } else {
              $scope.vm.hasmoredata = true;
            }
          }
          $scope.$broadcast('scroll.refreshComplete');
        }).error(function (err) {
          $scope.$broadcast('scroll.refreshComplete');
        });
      }
    };

    //卡券号
    $scope.modelView = {
      cdkey: "",
      data: {}
    };
    //根据兑换码查询卡券信息
    $scope.goCouponInfo = function (cdkey) {
      if (cdkey && cdkey.trim() !== '') {
        MyCouponsServ.getCouponInfo(cdkey).success(function (ret) {
          if (ret.code === 0) {
            $scope.modelView.data = ret.data;
            $scope.couponDialog.show();
          } else {
            Global.popup.showToast(ret.message);
          }
        }).error(function (err) {
          Global.popup.showToast('查询卡券信息错误！');
        });
      }
    };
    //初始化卡券弹出确认框
    $ionicModal.fromTemplateUrl('coupon-modal.html', {
      scope: $scope,
      hardwareBackButtonClose: false
    }).then(function (popover) {
      $scope.couponDialog = popover;
    });
    $scope.$on('$destroy', function () {
      $scope.couponDialog.remove();
    });
    //取消
    $scope.goCancel = function () {
      $scope.couponDialog.hide();
    };
    //确定兑换卡券
    $scope.exchange = function () {
      MyCouponsServ.couponCodeExchange($stateParams.storeCode, $scope.modelView.data.cdkey.trim()).success(function (ret) {
        if (ret.code === 0) {
          Global.popup.showToast('客户卡券收取成功！');
          $scope.vm.doRefresh();
          $scope.goCancel();
        } else {
          Global.popup.showToast(ret.message);
        }
      }).error(function (err) {
        Global.popup.showToast('客户卡券收取失败！');
      });
    };
    //收取卡券
    $scope.receiveCoupon = function () {
      var hideSheet = $ionicActionSheet.show({
        buttons: [
          {text: '扫描二维码'},
          {text: '输入兑换码'}
        ],
        titleText: '选择操作类型',
        cancelText: '取消',
        cancel: function () {
          // add cancel code..
        },
        buttonClicked: function (index) {
          hideSheet();
          if (index === 0) {
            if (!window.cordova) {//是否来自于APP端
              wxUtil.scanQRCode(function (res) {
                $scope.goCouponInfo(res.resultStr);
              });
            } else {
              $cordovaBarcodeScanner.scan().then(function (imageData) {
                $scope.goCouponInfo(imageData.text);
              }, function (error) {
                Global.popup.showToast(error);
              });
            }
          } else if (index === 1) {
            $scope.modelView.cdkey = "";
            var dialog = Global.popup.show({
              title: "请输入兑换码",
              templateUrl: 'inputCoupon-view.html',
              scope: $scope
            }, function (e) {
              e.preventDefault();
              if ($scope.modelView.cdkey && $scope.modelView.cdkey.trim() !== '') {
                $scope.goCouponInfo($scope.modelView.cdkey);
                dialog.close();
              }
            }, function () {
              dialog.close();
            });
          }
        }
      });
    };

    //点击立即使用
    $scope.useCoupon = function (detail) {
      if (detail.storeHolderState == '1' && detail.coupon.state != 8) {
        var params = JSON.stringify({
          splCode: detail.coupon.limitSplCode,
          itemType1: detail.coupon.itemType1,
          itemType2: detail.coupon.itemType2,
          itemType3: detail.coupon.itemType3,
          brandCode: detail.coupon.brandCode,
          itcodes: detail.coupon.itemCode
        });
        $state.go('tab-search-results', {params: params});
      }
    };

    //登录收取卡券
    $scope.$on("$ionicView.enter", function () {
      if ($stateParams.cdKey) {
        $scope.modelView.cdkey = $stateParams.cdKey;
        var dialog = Global.popup.show({
          title: "请输入兑换码",
          templateUrl: 'inputCoupon-view.html',
          scope: $scope
        }, function (e) {
          e.preventDefault();
          if ($scope.modelView.cdkey && $scope.modelView.cdkey.trim() !== '') {
            $scope.goCouponInfo($scope.modelView.cdkey);
            dialog.close();
          }
        }, function () {
          dialog.close();
        });
      }
    });
  }])
  //查看订单使用的卡券列表
  .controller('SalesInvoiceCouponCtrl', ['$scope', '$state', '$ionicHistory', '$stateParams', 'Global', 'myOrderServ', function ($scope, $state, $ionicHistory, $stateParams, Global, myOrderServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //获取订单使用的卡券列表
    myOrderServ.getSalesInvoiceCoupon($stateParams.sino).success(function (ret) {
      if (ret.code === 0) {
        $scope.couponsList = ret.data;
      } else {
        Global.popup.showToast(ret.message);
      }
    }).error(function (err) {
      Global.popup.showToast('获取订单使用的卡券列表失败！');
    });
  }])
  //邀请有礼
  .controller('MyInvitationCtrl', ['$scope', '$state', '$ionicHistory', '$ionicActionSheet', 'Global', 'MyCouponsServ', '$ionicViewSwitcher', function ($scope, $state, $ionicHistory, $ionicActionSheet, Global, MyCouponsServ, $ionicViewSwitcher) {
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //获取分享卡券地址
    $scope.sharedLink = {};
    MyCouponsServ.getSharedLink().success(function (ret) {
      if (ret.code === 0) {
        $scope.sharedLink = ret.data;//来自于应用App
        $scope.qrcodeUrl = Global.Server.url + '/wechat/wechatUser/qr.jpg?link=' + encodeURIComponent(ret.data.sharedLink);
        if (!window.cordova) {//是否来自于APP登录
          var ua = navigator.userAgent.toLowerCase();
          if (ua.match(/MicroMessenger/i) == "micromessenger") {//是否来自于微信公众号登录
            wxUtil.hideMenuItems([
              'menuItem:readMode', 'menuItem:copyUrl', 'menuItem:exposeArticle', 'menuItem:setFont', 'menuItem:dayMode',
              'menuItem:nightMode', 'menuItem:refresh', 'menuItem:profile', 'menuItem:addContact', 'menuItem:favorite',
              'menuItem:openWithQQBrowser', 'menuItem:openWithSafari', 'menuItem:share:email', 'menuItem:share:brand',
              'menuItem:originPage', 'menuItem:delete', 'menuItem:editTag', 'menuItem:jsDebug'
            ]);
            var linkUrl = Global.Server.wxUrl + "?shareLinkUrl=" + encodeURIComponent(ret.data.sharedLink) + '&v=' + Math.random() * 1000000000;
            // 分享到朋友圈
            wxUtil.onMenuShareTimeline({
              title: ret.data.title || '集配订单的分享',
              link: linkUrl,
              imgUrl: ret.data.thumb,
              success: function (res) {
                //Global.popup.showToast('分享到朋友圈成功！');
              },
              cancel: function (res) {
                Global.popup.showToast('已取消分享到朋友圈！');
              },
              fail: function (res) {
                //Global.popup.showToast('分享到朋友圈失败！');
              }
            });
            //分享给朋友
            wxUtil.onMenuShareAppMessage({
              title: ret.data.title || '集配订单的分享',
              desc: ret.data.description || '云仓集配是对快消品现代流通的平台解决方案。',
              link: linkUrl,
              imgUrl: ret.data.thumb,
              success: function (res) {
                //Global.popup.showToast('分享给朋友成功！');
              },
              cancel: function (res) {
                Global.popup.showToast('已取消分享给朋友！');
              },
              fail: function (res) {
                //Global.popup.showToast('分享给朋友失败！');
              }
            });
            //分享到QQ
            wxUtil.onMenuShareQQ({
              title: ret.data.title || '集配订单的分享',
              desc: ret.data.description || '云仓集配是对快消品现代流通的平台解决方案。',
              link: linkUrl,
              imgUrl: ret.data.thumb,
              success: function (res) {
                //Global.popup.showToast('分享到QQ成功！');
              },
              cancel: function (res) {
                Global.popup.showToast('已取消分享到QQ！');
              },
              fail: function (res) {
                //Global.popup.showToast('分享到QQ失败！');
              }
            });
            //分享到微博
            wxUtil.onMenuShareWeibo({
              title: ret.data.title || '集配订单的分享',
              desc: ret.data.description || '云仓集配是对快消品现代流通的平台解决方案。',
              link: ret.data.sharedLink,
              imgUrl: ret.data.thumb,
              success: function (res) {
                //Global.popup.showToast('分享到微博成功！');
              },
              cancel: function (res) {
                Global.popup.showToast('已取消分享到微博！');
              },
              fail: function (res) {
                //Global.popup.showToast('分享到微博失败！');
              }
            });
            //分享到QQ空间
            wxUtil.onMenuShareQZone({
              title: ret.data.title || '集配订单的分享',
              desc: ret.data.description || '云仓集配是对快消品现代流通的平台解决方案。',
              link: linkUrl,
              imgUrl: ret.data.thumb,
              success: function (res) {
                //Global.popup.showToast('分享到QQ空间成功！');
              },
              cancel: function (res) {
                Global.popup.showToast('已取消分享到QQ空间！');
              },
              fail: function (res) {
                //Global.popup.showToast('分享到QQ空间失败！');
              }
            });
          }
        }
      }
    });

    //获取卡券分享次数
    $scope.sharedParams = {
      couponAmont: 10,
      sharedCount: 0,
      sharedMoney: 0
    };
    MyCouponsServ.getSharedCount().success(function (ret) {
      if (ret.code === 0) {
        $scope.sharedParams = ret.data;
      }
    });

    //获取邀请有礼活动
    $scope.isShowFlag = false;
    $scope.$on('$ionicView.beforeEnter', function (scopes, states) {
      $scope.inviteGift = {};
      MyCouponsServ.getInviteGift().success(function (ret) {
        $scope.isShowFlag = true;
        if (ret.code === 0 && ret.data) {
          $scope.inviteGift = ret.data;
        }
      }).error(function (err) {
        $scope.isShowFlag = true;
      });
    });

    $scope.isShowMask = false;
    $scope.goShare = function () {
      if (window.cordova) {
        $ionicActionSheet.show({
          buttons: [
            {text: '分享至微信朋友圈'},
            {text: '分享给微信好友'}
          ],
          titleText: '分享',
          cancelText: '取消',
          buttonClicked: function (index) {
            Wechat.isInstalled(function (installed) {
              if (!installed) {//判断是否安装微信
                Global.popup.showToast('请安装微信应用程序！');
              } else {
                if (index === 0) {//分享给微信朋友圈
                  Wechat.share({
                    message: {
                      title: $scope.sharedLink.title || '集配订单的分享',
                      description: $scope.sharedLink.description || '云仓集配是对快消品现代流通的平台解决方案。',
                      thumb: $scope.sharedLink.thumb,
                      media: {
                        type: Wechat.Type.WEBPAGE,
                        webpageUrl: $scope.sharedLink.sharedLink
                      }
                    }, scene: Wechat.Scene.TIMELINE
                  }, function () {
                    Global.popup.showToast('分享成功！');
                  }, function (res) {
                    Global.popup.showToast('分享失败！');
                  });

                } else if (index === 1) {//分享给微信好友
                  Wechat.share({
                    message: {
                      title: $scope.sharedLink.title || '集配订单的分享',
                      description: $scope.sharedLink.description || '云仓集配是对快消品现代流通的平台解决方案。',
                      thumb: $scope.sharedLink.thumb,
                      media: {
                        type: Wechat.Type.WEBPAGE,
                        webpageUrl: $scope.sharedLink.sharedLink
                      }
                    }, scene: Wechat.Scene.SESSION
                  }, function () {
                    Global.popup.showToast('分享成功！');
                  }, function (res) {
                    Global.popup.showToast('分享失败！' + JSON.stringify(res));
                  });
                }
              }
            }, function (reason) {
              Global.popup.showToast('请安装微信应用程序！');
            });
          }
        });
      } else {
        $scope.isShowMask = true;
      }
    };
    $scope.hideMask = function () {
      $scope.isShowMask = false;
    };
    $scope.goToMyCoupons = function () {
      $state.go('myCoupons');
      $ionicViewSwitcher.nextDirection("forward");
    };
    $scope.goToRulesPage = function () {
      $state.go('tab.awardRules');
    };
    //显示分享二维码
    $scope.isShowQrcode = false;
    $scope.showQrcode = function () {
      $scope.isShowQrcode = true;
    };
    $scope.hideQrcode = function () {
      $scope.isShowQrcode = false;
    };
  }])
  //奖励规则
  .controller('AwardRulesCtrl', ['$scope', '$state', '$ionicHistory', 'Global', 'MyCouponsServ', function ($scope, $state, $ionicHistory, Global, MyCouponsServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    var temp = document.getElementById("awardRulesContent");
    $scope.$on("$ionicView.enter", function () {
      $scope.getAwardRules();
    });
    $scope.getAwardRules = function () {
      MyCouponsServ.getInviteGift().success(function (ret) {
        if (ret.code === 0 && ret.data && ret.data.prizeRemark) {
          temp.innerHTML = ret.data.prizeRemark;
        }
      });
    };
  }])
  //业务员地推商品列表
  .controller('ItemPromotionCtrl', ['$scope', '$state', '$ionicHistory', '$timeout', '$ionicViewSwitcher', '$ionicScrollDelegate', 'Global', 'ItemPromotionServ', 'GoodsDetailServ', function ($scope, $state, $ionicHistory, $timeout, $ionicViewSwitcher, $ionicScrollDelegate, Global, ItemPromotionServ, GoodsDetailServ) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };

    $scope.vm = {
      page: 1,
      rows: 15,
      hasmoredata: true,
      data: [],
      records: ''
    };
    $scope.doRefresh = function () {
      $timeout(function () {
        $scope.vm.hasmoredata = true;
        $scope.vm.page = 1;
        $scope.reSearch();
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.reSearch = function () {
      ItemPromotionServ.getItemPromotionList({page: $scope.vm.page, rows: $scope.vm.rows}).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.records = ret.records;
          loadShoppingCart(ret.data);
          if ($scope.vm.page == 1) {
            $scope.vm.data = ret.data;
          } else {
            $scope.vm.data = $scope.vm.data.concat(ret.data);
          }
          if (ret.data.length === 0 || ret.records <= $scope.vm.rows) {
            $scope.vm.hasmoredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.hasmoredata = false;
          Global.popup.alert("获取地推商品列表失败，请刷新");
        }
      }).error(function () {
        $scope.vm.hasmoredata = false;
      });
    };

    $scope.getNextPage = function () {
      $timeout(function () {
        ItemPromotionServ.getItemPromotionList({page: $scope.vm.page, rows: $scope.vm.rows}).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.records = ret.records;
            loadShoppingCart(ret.data);
            if ($scope.vm.page == 1) {
              $scope.vm.data = ret.data;
            } else {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
            }
            if (ret.data.length === 0 || ret.records <= $scope.vm.rows) {
              $scope.vm.hasmoredata = false;
            }
            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            $scope.vm.hasmoredata = false;
            Global.popup.alert("获取地推商品列表失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
          }
        }).error(function () {
          $scope.vm.hasmoredata = false;
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);
    };
    //初始化页脚的报货单栏目
    GoodsDetailServ.initFootBar($scope);
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty1', $scope);
    };
    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      GoodsDetailServ.changeQty1(opt, item);
    };
    //立即加入报货单
    $scope.addShoppingCart = function (item) {
      if (item.qty + item.qty1 > item.realtimeStockCount) {//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if (item.licence && item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)) {
        $state.go('applyLicence', {licence: item.licence, splCode: item.splCode});
      } else {
        GoodsDetailServ.addShoppingCart(item, $scope);
      }
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel, $scope);
    }

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode, delivType) {
      $state.go('tab-goods-detail', {
        itCode: itCode.trim(),
        splCode: splCode.trim(),
        spAreaCode: Global.User.Store.spAreaCode.trim(),
        delivType: delivType
      });
    };
    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  //曾购商品
  .controller('HistoryBuyItemCtrl', ['$scope', '$cordovaBarcodeScanner', 'Global', '$state', 'MyServ', '$ionicHistory', '$timeout', 'OrderServ', '$ionicScrollDelegate', 'GoodsDetailServ', '$ionicViewSwitcher', function ($scope, $cordovaBarcodeScanner, Global, $state, MyServ, $ionicHistory, $timeout, OrderServ, $ionicScrollDelegate, GoodsDetailServ, $ionicViewSwitcher) {
    $scope.vm = {
      page: 1,
      rows: 15,
      moredata: false,
      condition: '',
      data: [],
      records: -1
    };
    $scope.$on('$ionicView.beforeEnter', function () {
      if ($ionicHistory.forwardView() && ($ionicHistory.forwardView().stateName == 'retRemark' || $ionicHistory.forwardView().stateName == 'tab-goods-detail')) {
        //来自于退换说明不更新
      } else {
        $scope.vm.page = 1;
        $scope.vm.moredata = false;
        $scope.vm.data = [];
        $ionicScrollDelegate.scrollTop();
      }
    });

    $scope.doRefresh = function () {
      $timeout(function () {
        $scope.vm.page = 1;
        $scope.reSearch();
        $scope.$broadcast('scroll.refreshComplete');
      }, 300);
    };
    $scope.reSearch = function () {
      MyServ.getHistoryBuyItem({page: $scope.vm.page, rows: $scope.vm.rows}).success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.records = ret.records;
          loadShoppingCart(ret.data);
          if ($scope.vm.page == 1) {
            $scope.vm.data = ret.data;
          } else {
            $scope.vm.data = $scope.vm.data.concat(ret.data);
          }
          if (ret.total <= $scope.vm.page || ret.total === 0) {
            $scope.vm.moredata = true;
          } else {
            $scope.vm.moredata = false;
          }
          $scope.vm.page += 1;
        } else {
          $scope.vm.moredata = true;
          Global.popup.alert("获取曾购商品失败，请刷新");
        }
      }).error(function () {
        $scope.vm.moredata = true;
      });
    };

    $scope.getNextPage = function () {
      $timeout(function () {
        MyServ.getHistoryBuyItem({page: $scope.vm.page, rows: $scope.vm.rows}).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.records = ret.records;
            loadShoppingCart(ret.data);
            if ($scope.vm.page == 1) {
              $scope.vm.data = ret.data;
            } else {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
            }
            if (ret.total <= $scope.vm.page || ret.total === 0) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
            $scope.$broadcast('scroll.infiniteScrollComplete');
          } else {
            $scope.vm.moredata = true;
            Global.popup.alert("获取为您推荐失败，请刷新");
            $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
          }
        }).error(function () {
          $scope.vm.moredata = true;
          $scope.$broadcast("scroll.infiniteScrollComplete");//广播结束事件
        });
      }, 300);
    };
    //初始化页脚的报货单栏目
    GoodsDetailServ.initFootBar($scope);
    //修改报货单数量
    $scope.updateShoppingCarQty = function (item) {
      GoodsDetailServ.updateShoppingCarQty(item, 'qty1', $scope);
    };

    //加一或减一
    $scope.changeQty1 = function (opt, item) {
      GoodsDetailServ.changeQty1(opt, item);
    };
    //立即加入报货单
    $scope.addShoppingCart = function (item) {
      if (item.qty + item.qty1 > item.realtimeStockCount) {//库存不足
        Global.popup.showToast('商品库存不足，无法加入报货单！');
        return;
      }
      if (item.licence && item.licence != '0' && ((item.licence & Global.User.Store.licence) != item.licence)) {
        $state.go('applyLicence', {licence: item.licence, splCode: item.splCode});
      } else {
        GoodsDetailServ.addShoppingCart(item, $scope);
      }
    };

    //如果登录则需要回填已经加入报货单的商品
    function loadShoppingCart(itemModel) {
      GoodsDetailServ.loadShoppingCart(itemModel, $scope);
    }

    //跳到明细页
    $scope.goGoodsDetailPage = function (itCode, splCode, spAreaCode, delivType) {
      $state.go('tab-goods-detail', {
        itCode: itCode.trim(),
        splCode: splCode.trim(),
        spAreaCode: Global.User.Store.spAreaCode.trim(),
        delivType: delivType
      });
    };
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //退换说明
    $scope.goRetRemark = function (retRemark) {
      event.stopPropagation();
      $state.go('retRemark', {retRemark: retRemark});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //到货通知
    $scope.addArrivalNotice = function (item) {
      GoodsDetailServ.addArrivalNotice(item, $scope);
    };

    //去逛逛
    $scope.goSearchResult = function () {
      $state.go('tab-search-results', {searchKey: ''});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //切换商品供应商
    $scope.changeItemSupplier = function (item) {
      event.stopPropagation();
      if (item.delivType != '1') {
        return;
      }
      GoodsDetailServ.changeItemSupplier(item, $scope);
    };
  }])
  //切换服务商
  .controller('SelectSpAreaCodeCtrl', ['$scope', '$ionicHistory', '$ionicViewSwitcher', 'Global', 'MyServ', function ($scope, $ionicHistory, $ionicViewSwitcher, Global, MyServ) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    //获取站点的服务商信息列表
    MyServ.getStoreAreaConfig(Global.User.Store.code).success(function (ret) {
      if (ret.code === 0) {
        $scope.storeAreaConfigs = ret.data;
        angular.forEach($scope.storeAreaConfigs, function (storeAreaConfig) {
          if (storeAreaConfig.spAreaCode.trim() == Global.User.Store.spAreaCode.trim()) {
            storeAreaConfig.isChecked = true;
          }
        });
      }
    }).error(function (err) {
      Global.popup.alert('获取站点的服务商信息列表出错，' + err);
    });
    //切换站点的服务商
    $scope.changeStoreAreaConfig = function (storeAreaConfig) {
      if (storeAreaConfig.spAreaCode.trim() == Global.User.Store.spAreaCode.trim()) {
        return false;
      }
      MyServ.getStoreSalesInvoice(storeAreaConfig.storeCode).success(function (ret) {
        if (ret.code === 0) {
          if (ret.data.salesInvoice || (ret.data.wxSalesInvoice && ret.data.wxSalesInvoice.length > 0)) {
            var msg = '<div>您在<span style="color:red;">' + Global.User.Store.spAreaDescr + '</span>';
            if (ret.data.salesInvoice) {
              msg += '拥有<span style="color:red;">1个</span>进货订单，';
            }
            if (ret.data.wxSalesInvoice && ret.data.wxSalesInvoice.length > 0) {
              msg += '<span style="color:red;">' + ret.data.wxSalesInvoice.length + '个</span>个人叫货批量订单，';
            }
            msg += '切换至<span style="color:red;">' + storeAreaConfig.spAreaCodeDescr + '</span>后这些订单会自动被取消，是否继续操作？';
            Global.popup.confirm(msg, function () {
              $scope.saveStoreAreaConfig(storeAreaConfig);
            }, function () {
              // nothing todo
            });
          } else {
            $scope.saveStoreAreaConfig(storeAreaConfig);
          }
        } else {
          Global.popup.showToast(ret.message);
        }
      });
    };
    // 切换操作
    $scope.saveStoreAreaConfig = function (storeAreaConfig) {
      angular.forEach($scope.storeAreaConfigs, function (detail) {
        detail.isChecked = false;
      });
      storeAreaConfig.isChecked = true;
      MyServ.changeStoreAreaConfig(storeAreaConfig.pk).success(function (ret) {
        if (ret.code === 0 && ret.data === true) {
          Global.User.Store.spAreaCode = storeAreaConfig.spAreaCode;
          Global.User.Store.spAreaDescr = storeAreaConfig.spAreaCodeDescr;
          Global.User.Store.salesBeginFund = storeAreaConfig.salesBeginFund;
          Global.User.Store.minSalesNoDeliveryAmount = storeAreaConfig.minSalesDeliveryAmount;
          Global.User.Store.salesDeliveryFee = storeAreaConfig.salesDeliveryFee;
          Global.User.Store.salesManId = storeAreaConfig.salesManId;
          Global.User.Store.salesManDescr = storeAreaConfig.salesManDescr;
          Global.User.Store.salesManMobile = storeAreaConfig.salesManPhone;
          Global.User.Store.deliveryLine = storeAreaConfig.deliveryLine;
          Global.User.Store.sendMan = storeAreaConfig.sendMan;
          Global.User.Store.sendManDescr = storeAreaConfig.sendManDescr;
          Global.User.Store.sendManPhone = storeAreaConfig.sendManPhone;
        } else {
          Global.popup.showToast(ret.message, 'center', 'long');
        }
      });
    };
  }])
  //客户反馈
  .controller('CustconCtrl', ['$scope', '$state', '$ionicHistory', '$ionicScrollDelegate', '$timeout', '$ionicActionSheet', '$rootScope', 'Global', 'MyServ', function ($scope, $state, $ionicHistory, $ionicScrollDelegate, $timeout, $ionicActionSheet, $rootScope, Global, MyServ) {
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;

    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //未处理反馈
    $scope.vm = {
      rows: 15,
      page: 1,
      records: 0,
      total: 0,
      data: [],
      moredata: false,
      hasdata: true,
      loadData: function (type) {
        MyServ.getCustcon({page: $scope.vm.page, rows: $scope.vm.rows}).success(function (ret) {
          if (ret.code == '0') {
            $scope.vm.data = type === "doRefresh" ? ret.data : $scope.vm.data.concat(ret.data);
            $scope.vm.records = ret.records;
            $scope.vm.total = ret.total;
            if (ret.total === 0 || ret.total <= $scope.vm.page) {
              $scope.vm.moredata = true;
            } else {
              $scope.vm.moredata = false;
            }
            $scope.vm.page += 1;
          }
          if ($scope.vm.data.length > 0) {
            $scope.vm.hasdata = true;
          } else {
            $scope.vm.hasdata = false;
          }
          if (type === "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        }).error(function () {
          if (type === "doRefresh") {
            $scope.$broadcast('scroll.refreshComplete');
          } else {
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }
        });
      },
      doRefresh: function () {
        $timeout(function () {
          $scope.vm.page = 1;
          $scope.vm.loadData("doRefresh");
        }, 300);
      },
      loadMore: function () {
        $timeout(function () {
          $scope.vm.loadData("loadMore");
        }, 300);
      }
    };
    // 评价问题反馈结果
    $scope.goCustconEvaluate = function (pk) {
      $state.go('custconEvaluate', {custconId: pk});
    };
    //投诉
    $scope.goCustconComplaint = function () {
      $state.go('custconComplaint');
    };
    // 如果是来自于评价页面，则刷新列表数据
    $scope.$on('$ionicView.beforeEnter', function () {
      if ($ionicHistory.forwardView() && ($ionicHistory.forwardView().stateName == 'custconEvaluate' || $ionicHistory.forwardView().stateName == 'custconComplaint')) {
        $scope.vm.page = 1;
        $scope.vm.moredata = false;
        $scope.vm.data = [];
        $ionicScrollDelegate.scrollTop();
      }
    });
  }])
  //问题反馈服务满意度评价
  .controller('CustconEvaluateCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'myOrderServ', 'MyServ', function ($scope, $state, $stateParams, $ionicHistory, Global, myOrderServ, MyServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //双向绑定时值最好用对象类型中的属性，不要用单值类型，会有继承问题，导致绑定不成功。
    $scope.evaluateParam = {
      serviceScore: 0,
      serviceScoreDescr: '',
      evaluateRemarks: '',
      pk: ''
    };
    if ($stateParams.custconId !== undefined && $stateParams.custconId !== "") {
      $scope.evaluateParam.pk = $stateParams.custconId;
    }
    $scope.addEvaluate = function () {
      if ($scope.evaluateParam.serviceScore === 0) {
        Global.popup.alert("请对问题反馈服务满意度进行打分!");
        return;
      }
      MyServ.evaluateCustcon($scope.evaluateParam.pk, $scope.evaluateParam.serviceScore, $scope.evaluateParam.evaluateRemarks).success(function (ret) {
        if (ret.code === 0) {
          $scope.goBack();
        } else {
          Global.popup.alert(ret.message);
        }
      });
    };
    //获取服务评分描述
    myOrderServ.getServiceScore().success(function (ret) {
      if (ret.code === 0) {
        $scope.serviceScoreList = ret.data;
      }
    });
    //初始化服务评分
    $scope.serviceRatingsObject = {
      iconOn: 'ion-ios-star', //Optional
      iconOff: 'ion-ios-star-outline',  //Optional
      iconOnColor: 'rgb(200, 200, 100)',  //Optional
      iconOffColor: 'rgb(200, 100, 100)', //Optional
      rating: 0,  //Optional
      minRating: 0, //Optional
      readOnly: false, //Optional
      callback: function (rating) {  //Mandatory
        $scope.evaluateParam.serviceScore = rating;
        $scope.evaluateParam.serviceScoreDescr = rating > 0 ? $scope.serviceScoreList[rating - 1].description : "";
      }
    };
  }])
  //问题反馈服务满意度评价
  .controller('CustconComplaintCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'MyServ', function ($scope, $state, $stateParams, $ionicHistory, Global, MyServ) {
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== '' ? true : false;
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    $scope.complaintParam = {
      complaintRemarks: ''
    };
    $scope.addComplaint = function () {
      if ($scope.complaintParam.complaintRemarks.trim() === '') {
        Global.popup.alert("请写下你的投诉意见/建议!");
        return;
      }
      MyServ.complaintCustcon($scope.complaintParam.complaintRemarks).success(function (ret) {
        if (ret.code === 0) {
          $scope.goBack();
        } else {
          Global.popup.alert(ret.message);
        }
      });
    };
  }]);


/**
 * 创建一个指令
 * 评价星星选择控件
 */
AppDirectives.directive("ionicRatings", function () {
  return {
    restrict: 'AE',
    replace: true,
    template: '<div class="text-center ionic_ratings">' +
    '<span class="icon {{iconOff}} ionic_rating_icon_off" ng-style="iconOffColor" ng-click="ratingsClicked(1)" ng-show="rating < 1" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOn}} ionic_rating_icon_on" ng-style="iconOnColor" ng-click="ratingsUnClicked(1)" ng-show="rating > 0" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOff}} ionic_rating_icon_off" ng-style="iconOffColor" ng-click="ratingsClicked(2)" ng-show="rating < 2" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOn}} ionic_rating_icon_on" ng-style="iconOnColor" ng-click="ratingsUnClicked(2)" ng-show="rating > 1" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOff}} ionic_rating_icon_off" ng-style="iconOffColor" ng-click="ratingsClicked(3)" ng-show="rating < 3" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOn}} ionic_rating_icon_on" ng-style="iconOnColor" ng-click="ratingsUnClicked(3)" ng-show="rating > 2" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOff}} ionic_rating_icon_off" ng-style="iconOffColor" ng-click="ratingsClicked(4)" ng-show="rating < 4" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOn}} ionic_rating_icon_on" ng-style="iconOnColor" ng-click="ratingsUnClicked(4)" ng-show="rating > 3" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOff}} ionic_rating_icon_off" ng-style="iconOffColor" ng-click="ratingsClicked(5)" ng-show="rating < 5" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '<span class="icon {{iconOn}} ionic_rating_icon_on" ng-style="iconOnColor" ng-click="ratingsUnClicked(5)" ng-show="rating > 4" ng-class="{\'read_only\':(readOnly)}"></span>' +
    '</div>',
    scope: {
      ratingsObj: '=ratingsobj'
    },
    link: function(scope, element, attrs) {

      //Setting the default values, if they are not passed
      scope.iconOn = scope.ratingsObj.iconOn || 'ion-ios-star';
      scope.iconOff = scope.ratingsObj.iconOff || 'ion-ios-star-outline';
      scope.iconOnColor = scope.ratingsObj.iconOnColor || 'rgb(200, 200, 100)';
      scope.iconOffColor = scope.ratingsObj.iconOffColor || 'rgb(200, 100, 100)';
      scope.rating = scope.ratingsObj.rating || 0;
      scope.minRating = scope.ratingsObj.minRating || 0;
      scope.readOnly = scope.ratingsObj.readOnly || false;

      //Setting the color for the icon, when it is active
      scope.iconOnColor = {
        color: scope.iconOnColor
      };

      //Setting the color for the icon, when it is not active
      scope.iconOffColor = {
        color: scope.iconOffColor
      };

      //Setting the rating
      scope.rating = (scope.rating > scope.minRating) ? scope.rating : scope.minRating;

      //Setting the previously selected rating
      scope.prevRating = 0;

      //Called when he user clicks on the rating
      scope.ratingsClicked = function(val) {
        if (scope.minRating !== 0 && val < scope.minRating) {
          scope.rating = scope.minRating;
        } else {
          scope.rating = val;
        }
        scope.prevRating = val;
        scope.ratingsObj.callback(scope.rating);
      };

      //Called when he user un clicks on the rating
      scope.ratingsUnClicked = function(val) {
        if (scope.minRating !== 0 && val < scope.minRating) {
          scope.rating = scope.minRating;
        } else {
          scope.rating = val;
        }
        if (scope.prevRating == val) {
          if (scope.minRating !== 0) {
            scope.rating = scope.minRating;
          } else {
            scope.rating = 0;
          }
        }
        scope.prevRating = val;
        scope.ratingsObj.callback(scope.rating);
      };
    }
  };
});

AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
    $stateProvider
    //登录
      .state('login', {
        url: '/login/:url,:stateParams',
        templateUrl: 'store/my/login.html',
        controller: 'LoginCtrl'
      })
      //账户管理、收货地址
      .state('tab.accountUpdate ', {
        url: '/accountUpdate',
        views: {
          'tab-my': {
            templateUrl: 'store/my/accountUpdate.html'
          }
        }
      })
      //关注的商品
      .state('favorites', {
        url: '/favorites',
        templateUrl: 'store/my/favorites.html',
        controller: 'FavoritesCtrl'
      })
      //为您推荐
      .state('recommend', {
        url: '/recommend',
            templateUrl: 'store/my/recommend.html',
            controller: 'RecommendCtrl'
      })
      //促销活动
      .state('tab.promotion ', {
        url: '/promotion',
        views: {
          'tab-my': {
            templateUrl: 'store/my/promotion.html'
          }
        }
      })
      //浏览记录
      .state('tab.browse ', {
        url: '/browse',
        views: {
          'tab-my': {
            templateUrl: 'store/my/browse.html'
          }
        }
      })
      //账户余额
      .state('accountMoney', {
        url: '/accountMoney',
        templateUrl: 'store/my/accountMoney.html',
        controller: 'AccountmoneyCtrl'
      })
      //账户充值
      .state('tab-accountRecharge', {
        url: '/accountRecharge',
        templateUrl: 'store/my/accountRecharge.html',
        controller: 'AccountRechargeCtrl'
      })
      //交易记录
      .state('tab.transaction', {
        url: '/transaction',
        views: {
          'tab-my': {
            templateUrl: 'store/my/transaction.html',
            controller: 'TransactionCtrl'
          }
        }
      })
      //我的积分
      .state('tab.integral', {
        url: '/integral',
        views: {
          'tab-my': {
            templateUrl: 'store/my/integral.html',
            controller: 'IntegralCtrl'
          }
        }
      })
      //积分规则
      .state('tab-integralRule', {
        url: '/integralRule',
        templateUrl: 'store/my/integralRule.html',
        controller: 'IntegralRuleCtrl'
      })
      //积分兑换
      .state('tab-integralConvert ', {
        url: '/integralConvert',
        templateUrl: 'store/my/integralConvert.html',
        controller: 'integralConvertCtrl'
      })
      //我的成长值
      .state('growthValue', {
        url: '/growthValue',
        templateUrl: 'store/my/growthValue.html',
        controller:'growthValueCtrl'
      })
    //消息
      .state('letter',{
        url:'/letter',
        templateUrl: 'store/my/letter.html',
        controller: 'LetterCtrl',
        cache :false
      })
      //消息详情
      .state('letterDetail',{
        url:'/letterDetail/:id',
        templateUrl: 'store/my/letterDetail.html',
        controller: 'LetterDetailCtrl'
      })
      //便利宝交易条款
      .state('tab.rule', {
        url: '/rule',
        views: {
          'tab-my': {
            templateUrl: 'store/my/rule.html',
            controller: 'RuleCtrl'
          }
        }
      })
      //关于便利宝
      .state('tab.about', {
        url: '/about',
        views: {
          'tab-my': {
            templateUrl: 'store/my/about.html',
            controller: 'AboutCtrl'
          }
        }
      })
      //成长值规则
      .state('tab-growthRule', {
        url: '/growthRule',
        templateUrl: 'store/my/growthRule.html',
        controller: 'GrowthRuleCtrl'
      })
      //申请退货单
      .state('salesReturnApply', {
        url: '/salesReturnApply/:siNo',
        cache: false,
        templateUrl: 'store/my/salesReturnApply.html',
        controller:'salesReturnApplyCtrl'
      })
      //退货单详情
      .state('salesReturnDetail', {
        url: '/salesReturnDetail/:siNo',
        cache: false,
        templateUrl: 'store/my/salesReturnDetail.html',
        controller:'salesReturnDetailCtrl'
      })
      //退货单详情
      .state('salesReturnProgress', {
        url: '/salesReturnProgress/:date',
        templateUrl: 'store/my/salesReturnProgress.html',
        controller:'salesReturnProgressCtrl'
      })
      //订单评价
      .state('orderEvaluate', {
        url: '/orderEvaluate/:siNo',
        templateUrl: 'store/my/orderEvaluate.html',
        controller:"orderEvaluateCtrl"
      })
      //修改订单
      .state('changeOrders', {
        url: '/changeOrders/:siNo,:editFlag',
        cache: false,
        templateUrl: 'store/my/changeOrders.html',
        controller:'changeOrdersCtrl'
      })
      //我的订单
      .state('myOrders', {
        url: '/myOrders',
        templateUrl: 'store/my/myOrders.html',
        controller: 'MyOrdersCtrl'
      })
      //便利宝软件使用协议
      .state('agreement', {
        url: '/agreement',
        templateUrl: 'store/my/softwareUseAgreement.html',
        controller: 'AgreementCtrl'
      })
      //订单详情
      .state('salesInvoiceDetail', {
        url: '/salesInvoiceDetail/:siNo',
        templateUrl: 'store/my/salesInvoiceDetail.html',
        controller:"salesInvoiceDetailCtrl"
      })
      //我的卡券
      .state('myCoupons', {
        url: '/myCoupons/:storeCode,:nearExpired,:cdKey',
        templateUrl: 'store/my/myCoupons.html',
        controller: 'MyCouponsCtrl'
      })
      //订单使用的卡券列表
      .state('salesInvoiceCoupon', {
        url: '/salesInvoiceCoupon/:sino',
        templateUrl: 'store/my/salesInvoiceCoupon.html',
        controller:"SalesInvoiceCouponCtrl"
      })
      //邀请有礼
      .state('myInvitation',{
        url:'/myInvitation',
        templateUrl:'store/my/myInvitation.html',
        controller:"MyInvitationCtrl"
      })
      //奖励规则
      .state('tab.awardRules',{
        url:'/awardRules',
        views:{
          'tab-my':{
            templateUrl:'store/my/awardRules.html',
            controller:"AwardRulesCtrl"
          }
        }
      })
      //业务员地推商品
      .state('tab.itemPromotion', {
        url: '/itemPromotion',
        views: {
          'tab-itemPromotion': {
            templateUrl: 'store/my/itemPromotion.html',
            controller: 'ItemPromotionCtrl'
          }
        }
      })
      //曾购商品
      .state('historyBuyItem',{
        url:'/historyBuyItem',
        templateUrl:'store/my/historyBuyItem.html',
        controller:"HistoryBuyItemCtrl"
      })
      //切换服务商
      .state('selectSpAreaCode',{
        url:'/selectSpAreaCode',
        templateUrl:'store/my/selectSpAreaCode.html',
        controller:"SelectSpAreaCodeCtrl"
      })
     // 问题反馈
      .state('custcon', {
        url: '/custcon',
        templateUrl: 'store/my/custcon.html',
        controller:"CustconCtrl"
      })
      //问题反馈满意度评价
      .state('custconEvaluate', {
        url: '/custconEvaluate/:custconId',
        cache: false,
        templateUrl: 'store/my/custconEvaluate.html',
        controller:"CustconEvaluateCtrl"
      })
      .state('custconComplaint', {
        url: '/custconComplaint',
        cache: false,
        templateUrl: 'store/my/custconComplaint.html',
        controller:"CustconComplaintCtrl"
      });
  }]);

AppServices
  .factory('MyServ', ['$q', '$http', 'Global', '$state', function ($q, $http, Global,$state) {
    return {
      //获取我的信息
      getMyProfile: function () {
        return Global.https.authGet("/myProfile", {}, undefined, undefined, false);
      },
      getMyCashGradeOrder: function () {
        return Global.https.authGet("/myProfile/cashGradeOrder", {}, undefined, undefined, false);
      },
      getCashGradeProgress: function () {
        return Global.https.authGet("/myProfile/cashGradeProgress", {}, undefined, undefined, false);
      },
      getCashGrade: function () {
        return Global.https.authGet("/myProfile/cashGrade", {}, undefined, undefined, false);
      },
      //获取H5充值参数
      rechargeByPayH5: function (orderAmount) {
        return Global.https.authPost("/myProfile/recharge",{orderAmount:orderAmount,payType:"16",clientType:"5"},undefined,undefined,false);
      },
      //获取微信公众号充值参数
      rechargeByPayWx:function(orderAmount){
          return Global.https.authPost("/myProfile/recharge",{orderAmount:orderAmount,payType:"6",clientType:"5"},undefined,undefined,false);
      },
      //获取微信公众号在线支付参数
      getMpOnlinePay:function(params){
        return Global.https.post(Global.Server.wxPayUrl + "/weixin/mp/getMpOnlinePay",params,undefined,undefined,false);
      },
      //获取App充值参数
      rechargeByPayApp:function(orderAmount){
        var params = {orderAmount:orderAmount,payType:"7",clientType:"7"};
        if(ionic.Platform.isIOS()){
          params.clientType = "6";
        }
        return Global.https.authPost("/myProfile/recharge",params,undefined,undefined,false);
      },
      //查询曾购商品列表
      getHistoryBuyItem:function(condition){
        return Global.https.authGet('/myProfile/buyHistory',condition,undefined,undefined,false);
      },
      //查询账户余额
      getAccountFund:function(){
        return Global.https.authGet('/myProfile/accountFund',{},undefined,undefined,false);
      },
      //查询微信充值是否已到账
      isRechargeByPayAppSuccess:function(rechargeId){
        return Global.https.authGet('/myOnlineRecharge/'+rechargeId,{},undefined,undefined,false);
      },
      //获取站点的服务商信息列表
      getStoreAreaConfig:function (storeCode) {
        return Global.https.authGet('/storeAreaConfig/getByStoreCode/'+storeCode,{},undefined,undefined,false);
      },
      //切换站点的服务商
      changeStoreAreaConfig:function (storeAreaConfigId) {
        return Global.https.authPost('/storeAreaConfig/changeStoreAreaConfig',{storeAreaConfigId:storeAreaConfigId},undefined,undefined,false);
      },
      //获取该服务商的站点订单
      getStoreSalesInvoice:function (storeCode) {
        return Global.https.authGet('/storeAreaConfig/storeSalesInvoice/'+storeCode,{},undefined,undefined,false);
      },
      //获取问题反馈列表
      getCustcon:function (condition) {
        return Global.https.authGet('/myCustCon',condition,undefined,undefined,false);
      },
      //评价问题反馈结果
      evaluateCustcon:function (pk,serviceScore,evaluateRemarks) {
        return Global.https.authPost('/myCustCon/evaluate',{serviceScore:serviceScore,evaluateRemarks:evaluateRemarks,pk:pk},undefined,undefined,false);
      },
      //投诉
      complaintCustcon:function (remark) {
        return Global.https.authPost('/myCustCon/complain',{remark:remark},undefined,undefined,false);
      },
      // 云闪付支付
      saveUnionPayMicropay:function (unionPayMicropay) {
        return Global.https.authPost('/myProfile/unionPayMicropay',unionPayMicropay,undefined,undefined,false);
      },
      // 云闪付支付状态
      getUnionPayMicropay:function (id) {
        return Global.https.authGet('/myProfile/storePayment/'+id,{},undefined,undefined,false);
      }
    };
  }])
  .factory('FavoritesServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //获取收藏的商品列表
      getFavoritesList: function (type,condition) {
        if(!condition){
          condition = {};
        }
        if(type == 'favoriteItem'){ //收藏商品
          angular.extend(condition,{spAreaCode: Global.User.Store.spAreaCode});
          return Global.https.authGet("/myFavorites", condition,undefined,undefined,false);
        }else if(type == 'historyBuyItem'){ // 常购商品
          return Global.https.authGet('/myProfile/buyHistory',condition,undefined,undefined,false);
        }
      },
      //清空收藏的商品
      deleteAll: function () {
        return Global.https.delete("/myFavorites", {itCode: ''}, undefined, undefined, false);
      },
      deleteOne: function (pk) {
        return Global.https.delete("/myFavorites/"+pk, {}, undefined, undefined, false);
      },
      deleteByItCode:function(itcode,splCode,delivType){
        return Global.https.delete("/myFavorites", {itcode:itcode,splCode:splCode,delivType:delivType}, undefined, undefined, false);
      },
      addFavorites: function (addFavoritesParam) {
        return Global.https.authPost("/myFavorites", addFavoritesParam, function (ret) {
        },undefined,false);
      },
      //获取收藏供应商列表
      getMyFavoritesSpl:function (type,condition) {
        if(type == 'favoriteSpl'){
          return Global.https.authGet('/myFavoritesSpl',condition,undefined,undefined,false);
        }else if(type == 'historyBuySpl'){
          return Global.https.authGet('/myFavoritesSpl/orderHistory',condition,undefined,undefined,false);
        }
      },
      //添加供应商收藏
      addFavoritesSpl:function (params) {
        return Global.https.authPost('/myFavoritesSpl/addFavoritesSpl',params,undefined,undefined,false);
      },
      // 取消供应商收藏 根据splCodes
      cancelFavoritesSpl:function (splCodes) {
        return Global.https.delete('/myFavoritesSpl?splCode='+splCodes,{},undefined,undefined,false);
      },
      // 取消供应商收藏 根据ID
      cancelFavoritesSplById:function (id) {
        return Global.https.delete('/myFavoritesSpl/'+id,{},undefined,undefined,false);
      },
      //判断站点是否收藏该供应商
      isFavoriteSpl:function (splCode) {
        return Global.https.authGet('/myFavoritesSpl/isFavoriteSpl',{splCode:splCode},undefined,undefined,false);
      }
    };
  }])
  .factory('RecommendServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //获取为您推荐的商品列表
      getRecommend: function () {
        return Global.https.authGet("/itemAreas/getRecommends", {
          spAreaCode: Global.User.Store.spAreaCode
        },undefined,undefined,false);
      }
    };
  }])
  .factory('AccountmoneyServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //获取我的账号交易流水信息
      getStoreFundTran: function ($scope) {

        return Global.https.authGet("/myProfile/getStoreFundTran", {
          page: $scope.vm.page,
          rows: $scope.vm.rows,
          filterBy: $scope.vm.filterBy
        }, undefined, undefined, false);
      }
    };
  }])
  //我的积分
  .factory('IntegralServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getIntegralList: function ($scope) {
        return Global.https.authGet("/myProfile/getMyCashIntegralTran", {
          page: $scope.vm.page,
          rows: $scope.vm.rows
        },undefined,undefined,false);
      },
      convert: function (money) {
        return Global.https.authPut("/myProfile", {money: money}, undefined, undefined, false);
      }
    };
  }])
  //我的积分规则
  .factory('IntegralRuleServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getPage: function () {
        return Global.https.get("/staticContents/getIntegralValueRemark", {}, undefined, undefined, false);
      }
    };
  }])
  .factory('myOrderServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    var tabcode= 0,changeOrdersReq = {sino:'',changeOrdersParam:{}},needRefreshMyOrders = false;//临时存储修改的订单数据
    return {
      getSalesInvoiceList: function (condition,tabcode) {
        if(tabcode=='0' || tabcode==1 ){
          return Global.https.authGet("/mySalesInvoice", condition, undefined, undefined, false);
        }
        if(tabcode==2 || tabcode==3){
          if(tabcode==2){
            condition.isEvaluate=0;
          }else {
            condition.isEvaluate=1;
          }
          //return Global.https.authGet("/mySalesInvoice", condition, undefined, undefined, false);
          return Global.https.authGet("/myEvaluates", condition, undefined, undefined, false);
        }
        if(tabcode==4){{
          return Global.https.authGet("/mySalesReturn", condition, undefined, undefined, false);
        }}
      },
      //获取订单详情
      getSalesInvoiceDetailList: function (siNo) {
        return Global.https.authGet("/mySalesInvoice/" + siNo, undefined, undefined, undefined, false);
      },
      //修改订单明细
      getChangeOrders:function(siNo){
        return Global.https.authGet("/mySalesInvoice/getChangeOrders/" + siNo, undefined, undefined, undefined, false);
      },
      //获取退货单详情
      getSalesReturnDetailList: function (siNo) {
        return Global.https.authGet("/mySalesReturn/" + siNo, undefined, undefined, undefined, false);
      },
      //取消订单
      cancelSalesInvoice: function (no) {
        return Global.https.authPut("/mySalesInvoice/cancel/" + no, undefined, undefined, undefined, true);
      },
      //获取已评价订单的信息
      getEvaluatedOrderList: function (condition) {
        return Global.https.authGet("/myEvaluates", condition, undefined, undefined, false);
      },
      //评价订单
      addEvaluate: function (evaluateParam) {
        return Global.https.authPut("/myEvaluates/", evaluateParam, undefined, undefined, true);
      },
      //修改订单
      changeSalesInvoice: function (no, changeOrdersParam) {
        return Global.https.authPut("/mySalesInvoice/" + no, changeOrdersParam, undefined, undefined, true);
      },
      //申请退货
      applySalesReturn: function (salesReturnDetailParam) {
        return Global.https.authPut("/mySalesReturn", salesReturnDetailParam, undefined, undefined, true);
      },
      //取消退货
      cancelSalesReturn: function (no) {
        return Global.https.authPut("/mySalesReturn/" + no, undefined, undefined, undefined, true);
      },
      //再下一单
      onceMoreOrder:function(sino){
        return Global.https.authPost('/mySalesInvoice/onceMoreOrder/'+sino,{});
      },
      //获取配送评分
      getDeliveryScore:function(){
        return Global.https.authGet('/dict/getDictValue?dictName=deliveryScore',{},undefined,undefined,false);
      },
      //获取服务评分
      getServiceScore:function(){
        return Global.https.authGet('/dict/getDictValue?dictName=serviceScore',{},undefined,undefined,false);
      },
      //临时存放修改订单的明细
      changeOrdersReq:changeOrdersReq,
      tabcode:tabcode,
      needRefreshMyOrders:needRefreshMyOrders,
      //获取使用的卡券列表
      getSalesInvoiceCoupon:function(sino){
        return Global.https.authGet('/myProfile/coupon',{salesInvoice:'1',sino:sino},undefined,undefined,false);
      },
      // 报备退货
      reportReturn: function () {
        return Global.https.authPost('/mySalesReturn/reportSalesReturn');
      },
      // 取消报备退货
      cancelReportReturn: function () {
        return Global.https.authPost('/mySalesReturn/cancelReturnCustCon');
      },
      // 查询报备退货
      isReportReturn: function () {
        return Global.https.authGet('/mySalesReturn/isSubmitReturnCustCon', {}, undefined, undefined, false);
      }
    };
  }])
  //成长值
  .factory('GrowthValueServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getMyCashGrade: function ($scope) {
        return Global.https.authGet("/myProfile/getMyCashGrowthValue", {rows: $scope.vm.rows, page: $scope.vm.page},undefined,undefined,false);
      }
    };
  }])
  //成长值规则
  .factory('GrowthRuleServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getPage: function () {
        return Global.https.get("/staticContents/getGrowthValueRemark", {}, undefined, undefined, false);
      }
    };
  }])
  //便利宝交易条款
  .factory('RuleServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getPage: function () {
        return Global.https.get("/staticContents", {}, undefined, undefined, false);
      }
    };
  }])
  //关于我们
  .factory('AboutServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getPage: function () {
        return Global.https.get("/staticContents/findAboutWqContent", {}, undefined, undefined, false);
      }
    };
  }])
  //私信消息
  .factory('LetterServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      detail: {},
      getLetterList: function ($scope) {
        return Global.https.authGet("/myProfile/letters", {
          page: $scope.vm.page,
          rows: $scope.vm.rows
        }, undefined, undefined, false);
      },
      getMyOneLetter:function (number) {
        return Global.https.authGet("/myProfile/"+number);
      },
      markLetter: function(number){
        return Global.https.authPost("/myProfile/markReadLetter?number="+number);
      }
    };
  }])
  //私信消息
  .factory('AgreementServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getAgreement: function () {
        return Global.https.get("/staticContents/agreement", {}, undefined, undefined, false);
      }
    };
  }])
  //订单交易
  .factory('TransactionServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      getStoreFundTran: function ($scope) {
        return Global.https.authGet("/myProfile/getStoreFundTran", {
          page: $scope.vm.page,
          rows: $scope.vm.rows,
          filterBy: $scope.vm.filterBy,
          bussiSubject: $scope.vm.bussiSubject
        }, undefined, undefined, false);
      }
    };
  }])
    //客户卡券收取
  .factory('MyCouponsServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //站点兑换卡券
      couponCodeExchange:function(storeCode,cdkey){
        return Global.https.authPost('/myProfile/exchangeCoupon',{storeCode:storeCode,cdkey:cdkey});
      },
      //我持有的优惠券
      getMyCoupons:function(condition){
        return Global.https.authGet('/myProfile/coupon',condition,undefined,undefined,false);
      },
      //获取未使用的卡券统计
      getMyCouponSummary:function(){
        return Global.https.authGet('/myProfile/myCouponSummary',{},undefined,undefined,false);
      },
      //根据兑换码查询卡券信息
      getCouponInfo:function(cdkey){
        return Global.https.authGet('/myProfile/coupon/getByCdkey',{cdkey:cdkey},undefined,undefined,false);
      },
      //获取分享卡券的链接地址
      getSharedLink:function(){
        return Global.https.authGet('/wechat/coupon/sharedLink',{},undefined,undefined,false);
      },
      //卡券分享统计
      getSharedCount:function(){
        return Global.https.authGet('/wechat/wechatUser/sharedCount',{},undefined,undefined,false);
      },
      //获取分享规划
      getAwardRules:function(){
        return Global.https.get('/staticContents/getAwardRules',{},undefined,undefined,false);
      },
      //邀请有礼活动
      getInviteGift:function(){
        return Global.https.authGet('/inviteGift/inviting',{},undefined,undefined,false);
      }
    };
  }])
  .factory('ItemPromotionServ', ['$q', '$http', 'Global', function ($q, $http, Global) {
    return {
      //获取业务员地推商品列表
      getItemPromotionList: function (condition) {
        angular.extend(condition,{spAreaCode: Global.User.Store.spAreaCode});
        return Global.https.authGet("/itemAreas/getPromItem",condition,undefined,undefined,false);
      }
    };
  }]);

AppControllers
  //微信端站点登录绑定
  .controller('StoreLoginCtrl',['$scope', '$state', '$ionicHistory', '$stateParams', '$rootScope', 'Global', 'SystemSetServ', function($scope,$state,$ionicHistory,$stateParams,$rootScope,Global,SystemSetServ){

    $scope.user = {userName:'',password:''};
    $scope.bindUser = function(){
      SystemSetServ.storeWxBind($scope.user).success(function(ret){
        if(ret.code === 0){
          $state.go('tab.first');
          $ionicHistory.clearCache();//清除缓存
          $ionicHistory.clearHistory();//清除历史记录
        }else{
          Global.popup.showToast(ret.message);
        }
      }).error(function(err){
        Global.popup.showToast(err.message);
      });
    };

    //点击查看密码
    $scope.isShowPassword = false;
    $scope.showPassword = function(){
      $scope.isShowPassword = !$scope.isShowPassword;
    };
    $scope.$on("$ionicView.beforeEnter",function(){
      $scope.user.password = "";
    });

    $scope.goRegeditPage=function(){
      $state.go('regedit',{firstStep:true});
    };
    $scope.gorResetPasswordPage=function(){
      $state.go('resetpassword',{firstStep:true});
    };
  }])
  //选择供应商
  .controller('SystemSetCtrl',['$scope', 'Global', '$ionicHistory', '$state', '$stateParams', '$timeout', 'LoginServ', 'SystemSetServ', 'OrderServ', '$rootScope', '$ionicViewSwitcher', function($scope,Global,$ionicHistory,$state,$stateParams,$timeout,LoginServ,SystemSetServ,OrderServ,$rootScope,$ionicViewSwitcher){
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    $scope.isAndroid = ionic.Platform.isAndroid();
    $scope.isIOS = ionic.Platform.isIOS();

    $scope.$on("$ionicView.beforeEnter",function(){
      $scope.version = Global.Server.version;
      $scope.user=Global.User;
    });
    //系统版本更新
    $scope.checkUpdate = function(){
      SystemSetServ.versionCheckUpdate(true);
    };
    //退出操作
    $scope.logout = function(){
      LoginServ.logout().success(function(ret){
        if(ret.code=='0'){
          $ionicHistory.clearHistory();
          $ionicHistory.clearCache();
          $rootScope.hideTabs = false;
          OrderServ.shoppingCount = 0;
          $rootScope.$broadcast('updateShoppingCount');
          $state.go('tab.first');
        }
      }).error(function(ret){
        Global.popup.alert('登出系统错误，请稍后再重试！');
      });
    };

    //修改密码
    $scope.goUpdatePasswordPage=function(){
      $state.go('updatePassword',{firstStep:true});
    };

    //微信叫货二维码
    $scope.goWqblbUserApp = function(){
      $state.go('storeQrcode');
    };

    //修改手机号码
    $scope.goUpdateMobile = function () {
      $state.go('updatePhone',{mobile:$scope.user.Store.mobile,code:'',step:1});
    };
  }])
  //换绑手机号码
  .controller('UpdatePhoneCtrl', ['$scope', 'Global', '$interval', '$state', '$stateParams', '$ionicHistory', '$ionicViewSwitcher', 'SystemSetServ', 'RegeditServ', function ($scope,Global,$interval,$state,$stateParams,$ionicHistory,$ionicViewSwitcher,SystemSetServ,RegeditServ) {
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    $scope.step = $stateParams.step;
    $scope.user = {
      mobile:$stateParams.mobile,
      code:$stateParams.code || '',
      newMobile:'',
      newCode:''

    };
    $scope.model = {
      pageCheckCode:''
    };
    $scope.disableFlag=false;
    $scope.getAuthCodeLabel="获取验证码";
    $scope.uuidAuthCode=Global.UUID.createUUID();
    $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    //获取手机验证码
    $scope.getAuthCode=function(mobile){
      var dialog = Global.popup.show({
        title:'请填写图片验证码',
        templateUrl:'picAuthCode.html',
        scope:$scope
      }, function (e) {
        e.preventDefault();
        RegeditServ.validatePageAuthCode($scope.model.pageCheckCode,$scope.uuidAuthCode).success(function(ret){
          if(ret.code===0){
            $scope.disableFlag=true;
            $scope.second=90;
            RegeditServ.getAuthCode(mobile,'9').success(function(ret){
              if(ret.code === 0){
                var timer = $interval(function(){
                  if($scope.second<=0){
                    $scope.getAuthCodeLabel="重新获取";
                    $scope.disableFlag=false;
                    $interval.cancel(timer);
                  }else{
                    $scope.getAuthCodeLabel="重新获取("+$scope.second+")";
                    $scope.second--;
                    $scope.disableFlag=true;
                  }
                },1000,100);
              }else{
                $scope.disableFlag=false;
                Global.popup.showToast("获取手机验证码失败！"+ret.message);
              }
            }).error(function(data){
              $scope.disableFlag=false;
              Global.popup.showToast("获取手机验证码失败！" + data.message);
            });
            dialog.close();
          }else{
            Global.popup.showToast("请输入正确的验证码！" + ret.message);
          }
        }).error(function(data){
          Global.popup.showToast("请输入正确的验证码！" + data.message);
        });
      }, function () {
        dialog.close();
      });
    };
    //换绑新手号获取验证码，先判断是否存在
    $scope.getAuthCodeForNewMobile = function (mobile) {
      if($scope.user.newMobile === ''){
        Global.popup.alert('请输入正确的手机号');
        return;
      }
      RegeditServ.validateMobile(mobile).success(function (ret) {
        if(ret.code === 0){
          if(ret.data){
            Global.popup.showToast("手机号已注册，请重新输入");
          }else {
            $scope.getAuthCode(mobile);
          }
        }
      }).error(function () {

      });
    };
    $scope.pageAuthCodeClick = function () {
      $scope.uuidAuthCode=Global.UUID.createUUID();
      $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    };
    $scope.validateAuthCode = function(){
      if($scope.user.mobile === ''|| $scope.user.code===''){
        Global.popup.alert('请输入正确的手机号或验证码');
        return;
      }
      RegeditServ.validateAuthCode('9',$scope.user.mobile,$scope.user.code).success(function (data) {
        if(data.code===0){
          $state.go('updatePhone',{mobile:$scope.user.mobile,code:$scope.user.code,step:2});
        }else{
          Global.popup.alert("验证失败，请重新验证！"+data.message);
        }
      }).error(function(data){
        Global.popup.alert("验证失败！请检查你的网络！");
      });
    };
    $scope.updatePhone = function () {
      if($scope.user.newMobile === ''|| $scope.user.newCode===''){
        Global.popup.alert('请输入正确的手机号或验证码');
        return;
      }
      SystemSetServ.updatePhone($scope.user.newMobile,$scope.user.mobile,$scope.user.newCode).success(function (data) {
        if(data.code===0){
          Global.User.Store.mobile = $scope.user.newMobile;
          $state.go('systemSet');
          $ionicViewSwitcher.nextDirection('forward');
        }else{
          Global.popup.alert("换绑失败，请重新验证！"+data.message);
        }
      }).error(function(data){
        Global.popup.alert("换绑失败！请检查你的网络！");
      });
    };
  }])
  //重置密码
  .controller('UpdatePasswordCtrl', ['$scope', 'Global', '$state', '$stateParams', '$ionicHistory', 'SystemSetServ', function($scope,Global,$state,$stateParams,$ionicHistory,SystemSetServ) {
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    if ($stateParams.firstStep !== undefined && $stateParams.firstStep !== "") {
      $scope.firstStep = $stateParams.firstStep;
      $scope.secondStep=false;
      $scope.uuidAuthCode=Global.UUID.createUUID();
      $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    }
    if ($stateParams.secondStep !== undefined && $stateParams.secondStep !== "") {
      $scope.secondStep = $stateParams.secondStep;
      $scope.firstStep=false;
    }
    $scope.errorPasswordFlag=true;
    $scope.equalPasswordFlag=false;
    //验证密码
    $scope.pwdStrength =function(pwd){
      var level = 0, strength = "O";
      if (pwd === null || pwd === '') {
        strength = "O";
        //Lcolor = Mcolor = Hcolor = O_color;
      }
      else {
        var mode = 0;
        if (pwd.length < 6)
          mode = 0;
        else {
          for (i = 0; i < pwd.length; i++) {
            var charMode, charCode;
            charCode = pwd.charCodeAt(i);
            // 判断输入密码的类型
            if (charCode >= 48 && charCode <= 57) //数字
              charMode = 1;
            else if (charCode >= 65 && charCode <= 90) //大写
              charMode = 2;
            else if (charCode >= 97 && charCode <= 122) //小写
              charMode = 4;
            else
              charMode = 8;
            mode |= charMode;//mode=mode|charMode按位或
          }
          // 计算密码模式
          level = 0;
          for (i = 0; i < 4; i++) {
            if (mode & 1) //按位与
              level++;
            mode >>>= 1;
          }
        }
        switch (level) {
          case 0:
            strength = "O";
            break;
          case 1:
            strength = "L";
            break;
          case 2:
            strength = "M";
            break;
          default:
            strength = "H";
            break;
        }
      }

      return strength;
    };
    //密码离焦事件
    $scope.passwordBlur=function(password,confirmPassword){
      console.info(password+"||"+confirmPassword);
      var s = $scope.pwdStrength(password);
      if (s == "O") {
        $scope.errorPasswordFlag=false;
        return;
      }else{
        $scope.errorPasswordFlag=true;
      }
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };
    //判断两次密码是否相等
    $scope.funEqualPassword=function(password,confirmPassword){
      if(password!=confirmPassword&&confirmPassword !==''&&confirmPassword !==undefined) {
        $scope.equalPasswordFlag = true;
        return;
      }else{
        $scope.equalPasswordFlag = false;
      }
    };
    //点击查看密码
    $scope.isShowPassword = false;
    $scope.showPassword = function(){
      $scope.isShowPassword = !$scope.isShowPassword;
    };
    $scope.isShowNewPassword = false;
    $scope.showNewPassword = function(){
      $scope.isShowNewPassword = !$scope.isShowNewPassword;
    };
    $scope.isShowConfirmNewPassword = false;
    $scope.showConfirmNewPassword = function(){
      $scope.isShowConfirmNewPassword = !$scope.isShowConfirmNewPassword;
    };
    $scope.pageAuthCodeClick=function(){
      $scope.uuidAuthCode=Global.UUID.createUUID();
      $scope.pageAuthCodeImgUrl = Global.Server.url + '/verifyCode/captcha?verifyCodeKey='+ $scope.uuidAuthCode;
    };
    $scope.goSecondStepPage=function(oldPassword,pageCheckCode){
      if(oldPassword===undefined || oldPassword===""){
        Global.popup.alert("请输入密码！");
        return;
      }
      if(pageCheckCode===undefined || pageCheckCode===""){
        Global.popup.alert("请输入验证码！");
        return;
      }
      $scope.verifyPasswordParam={};
      $scope.verifyPasswordParam.verifyCodeKey=$scope.uuidAuthCode;
      $scope.verifyPasswordParam.validateCode=pageCheckCode;
      $scope.verifyPasswordParam.oldPassword=oldPassword;
      SystemSetServ.verifyPassword($scope.verifyPasswordParam).success(function(ret){
        if(ret.code=='0'){
            SystemSetServ.UpdatePasswordParam.oldPassword=oldPassword;
            $state.go('updatePassword',{secondStep:true});
        }else{
          Global.popup.alert(ret.message);
        }
      }).error(function(data){
        Global.popup.alert(data.message);
      });
    };
    $scope.finish=function(password,confirmPassword){
      if(password!=confirmPassword){
          $scope.equalPasswordFlag=true;
          return;
      }

      //if(password==undefined || password==""){
      //  Global.popup.alert("请输入新密码！");
      //  return;
      //}
      //if(confirmPassword==undefined || confirmPassword==""){
      //  $scope.equalPasswordFlag=true;
      //  return;
      //}
      //$scope.errorFlag=false;
      //var patrn=/^(\w){6,20}$/;
      //if (!patrn.exec(password)){
      //  $scope.errorFlag=true;
      //  return;
      //  //Global.popup.alert("密码格式错误！");
      //}
      SystemSetServ.UpdatePasswordParam.password=password;
      SystemSetServ.UpdatePasswordParam.confirmPassword=confirmPassword;
      SystemSetServ.updatePassword(SystemSetServ.UpdatePasswordParam).success(function(ret){
        if(ret.code=='0'){
          Global.popup.alert("修改密码成功！");
          $state.go('login');
        }else{
          Global.popup.alert("修改密码失败！" + ret.message);
        }
      }).error(function(data){
        Global.popup.alert("修改密码失败！" + data.message);
      });
    };
  }])
  //操作失败提示页面
  .controller('ErrorCtrl',['$scope', '$state', '$ionicHistory', '$stateParams', '$rootScope', 'Global', 'SystemSetServ', function($scope,$state,$ionicHistory,$stateParams,$rootScope,Global,SystemSetServ){
    //刷新重新连接
    $scope.refreshPage = function(){
      //重新发起连接请求
      Global.https.get('/version',{type:'4'},undefined,undefined,false).success(function(ret){
        $state.go('tab.first');
      });
    };
  }])
  //微信叫货二维码
  .controller('StoreQrcodeCtrl',['$scope', '$state', '$ionicHistory', '$stateParams', '$rootScope', 'Global', 'SystemSetServ', function($scope,$state,$ionicHistory,$stateParams,$rootScope,Global,SystemSetServ){
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
    };
    //获取二维码url
    SystemSetServ.getStoreQrcode().success(function(ret){
      if(ret.code === 0){
        $scope.storeQrcode = ret.data;
      }
    });
  }])
  //选择字典、供货区域等字典属性
  .controller('CommonSelectCtrl',['$scope', 'Global', '$ionicHistory', '$state', '$stateParams', '$ionicViewSwitcher', '$ionicScrollDelegate', '$timeout', 'CommonSelectServ', function($scope,Global,$ionicHistory,$state,$stateParams,$ionicViewSwitcher,$ionicScrollDelegate,$timeout,CommonSelectServ){
    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    $scope.commonSingleselectObj = {value:'',descr:''};
    $scope.$on("$ionicView.enter",function(){
      $scope.commonSingleselectObj = {value:'',descr:''};
      CommonSelectServ.commonSelectResult = {};
    });
    $scope.dictType = $stateParams.dictType;
    $scope.selectType = $stateParams.selectType || 'singleselect';//两种类型：singleselect,multiselect
    $scope.pCode = $stateParams.pCode;

    $scope.vm = {
      page: 1,
      rows: 15,
      moredata: true,
      hasdata:true,
      getData:function(){},
      doRefresh: function(){},
      loadMore: function () {}
    };
    if($scope.dictType == 'spAreaCode'){//供货区域选择
      CommonSelectServ.getSupplyArea().success(function(ret){
        if(ret.code === 0){
          $scope.spAreaCodeList = ret.data;
        }
      });
    }else if($scope.dictType=='provinCode' || $scope.dictType=='cityCode'||$scope.dictType=='areaCode'||$scope.dictType=='streetCode') {//省、市、区县、乡镇街道选择
      CommonSelectServ.getRegion($scope.dictType, $scope.pCode || null).success(function (ret) {
        if (ret.code === 0) {
          $scope.addressList = ret.data;
        }
      });
    }else if($scope.dictType=='employee'){//员工选择
      angular.extend($scope.vm,{
        getData:function(fn){
          CommonSelectServ.getEmployee({page:$scope.vm.page,rows:$scope.vm.rows,expired:'F'}).success(function(ret){
            if(ret.code === 0){
              if ($scope.vm.page == 1) {
                $scope.employeeList = ret.data;
              } else {
                $scope.employeeList = $scope.employeeList.concat(ret.data);
              }
              if (ret.total <= ret.page || ret.total === 0) {
                $scope.vm.moredata = true;
              }else{
                $scope.vm.moredata = false;
              }
              $scope.vm.page += 1;
            }else{
              $scope.vm.moredata = true;
            }
            if($scope.employeeList.length > 0){
              $scope.vm.hasdata = true;
            }else{
              $scope.vm.hasdata = false;
            }
            if(fn){
              fn();
            }
          });
        },
        doRefresh:function(){
          $ionicScrollDelegate.scrollTop();
          $scope.vm.getData(function(){$scope.$broadcast('scroll.refreshComplete');});
        },
        loadMore:function(){
          $timeout(function () {
            $scope.vm.getData(function(){$scope.$broadcast('scroll.infiniteScrollComplete');});
          }, 300);
        }
      });
      $scope.vm.getData();
    }else{//字典选择
      CommonSelectServ.getDictValue($scope.dictType).success(function(ret){
        if(ret.code === 0){
          $scope.dictList = ret.data;
        }
      });
    }

    //选中返回
    $scope.goConfirm = function(){
      if($scope.dictType == 'spAreaCode'){//供货区域选择
        angular.forEach($scope.spAreaCodeList,function(detail) {
          if ($scope.commonSingleselectObj.value == detail.code.trim()) {
            CommonSelectServ.commonSelectResult = {key:'spAreaCode',value:{value:detail.code.trim(), descr:detail.descr.trim()}};
            return;
          }
        });
      }else if ($scope.dictType=='provinCode' || $scope.dictType=='cityCode'||$scope.dictType=='areaCode'||$scope.dictType=='streetCode') {//省、市、区县、乡镇街道选择
        angular.forEach($scope.addressList, function (detail) {
          if ($scope.commonSingleselectObj.value == detail.id.trim()) {
            CommonSelectServ.commonSelectResult = {
              key: $scope.dictType,
              value: {value: detail.id.trim(), descr: detail.name.trim()}
            };
            return;
          }
        });
      }else if($scope.dictType=='employee'){
        angular.forEach($scope.employeeList, function (detail) {
          if ($scope.commonSingleselectObj.value == detail.number.trim()) {
            CommonSelectServ.commonSelectResult = {
              key: $scope.dictType,
              value: {value: detail.number.trim(), descr: detail.nameChi.trim()}
            };
            return;
          }
        });
      }else{//字典选择
        if($scope.selectType == 'singleselect'){
          angular.forEach($scope.dictList,function(detail) {
            if ($scope.commonSingleselectObj.value == detail.value.trim()) {
              CommonSelectServ.commonSelectResult = {key:$scope.dictType,value:{value:detail.value.trim(),descr:detail.labelCn.trim()}};
              return;
            }
          });
        }else{
          var commonMultiselectResultValue = [],commonMultiselectResultDescr = [];
          angular.forEach($scope.dictList,function(detail) {
            if (detail.checked) {
              commonMultiselectResultValue.push(detail.value.trim());
              commonMultiselectResultDescr.push(detail.labelCn.trim());
            }
          });
          if(commonMultiselectResultValue.length > 0){
            CommonSelectServ.commonSelectResult = {key:$scope.dictType,value:{value:commonMultiselectResultValue.join(','),descr:commonMultiselectResultDescr.join(',')}};
          }
        }
      }
      $scope.goBack();
    };
    //单击选中选回
    $scope.onSingleselect = function(dictType,obj){
      if(dictType=='provinCode' || dictType=='cityCode'||dictType=='areaCode'||dictType=='streetCode'){
        CommonSelectServ.commonSelectResult = {
          key: dictType,
          value: {value: obj.id.trim(), descr: obj.name.trim()}
        };
        $scope.goBack();
      }
    };
  }])
  //重新定位GPS
  .controller('ChangeLocationCtrl',['$scope', '$state', '$ionicHistory', '$ionicViewSwitcher', '$location', '$stateParams', 'Global', 'ChangeLocationServ', function ($scope,$state,$ionicHistory,$ionicViewSwitcher,$location,$stateParams,Global,ChangeLocationServ) {
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection('back');
    };
    // 接收位置信息，用户选择确认位置点后选点组件会触发该事件，回传用户的位置信息
    function getTencentLocation(event){
      var loc = event.data;
      if (loc && loc.module == 'locationPicker') {//防止其他应用也会向该页面post信息，需判断module是否为'locationPicker'
        ChangeLocationServ.changeAddress = loc;
        if($location.path() == '/changeLocation'){
          //Global.utils.goBack();
        }
      }
    }
    //注册接收事件
    window.removeEventListener('message',getTencentLocation, false);
    window.addEventListener('message',getTencentLocation, false);
    //进入后设置地图定位地址
    $scope.$on( "$ionicView.enter", function(scopes,states) {
      $scope.coord = $stateParams.coord || '';
      document.getElementById('mapPage').src = "http://apis.map.qq.com/tools/locpicker?search=1&type=1&key=UX3BZ-TZ5KJ-L3AFV-FHLD2-ZX5JJ-OOBF4&referer=wqblbApp&coord="+$scope.coord;
    });
  }])
  .controller('OnlinePayCtrl', ['$scope', '$state', '$stateParams', '$ionicHistory', '$ionicActionSheet', '$timeout', '$ionicLoading', 'Global', '$interval', 'MyServ', function ($scope, $state, $stateParams, $ionicHistory, $ionicActionSheet, $timeout, $ionicLoading, Global, $interval, MyServ) {
    $scope.amount = 0;
    $scope.retData = {};
    //在线支付
    $scope.onlinePay = function () {
      if (!window.cordova) {
        MyServ.getMpOnlinePay({ids: $stateParams.ids,code: $stateParams.code}).success(function (ret) {
          if (ret.code === 0) {
            $scope.retData = ret.data;
            $scope.amount = ret.data.amount;
            // 定时轮询状态
            // $scope.interval = $interval(function () {
            //   if (!$scope.isRechargeSuccess) {
            //     MyServ.isRechargeByPayAppSuccess(ret.data.pk).success(function (ret) {
            //       if (ret.data && ret.data.status == '00') {
            //         $scope.isRechargeSuccess = true;
            //         $interval.cancel($scope.interval);
            //         $scope.shoppingCartSubmit();
            //       }
            //     });
            //   }
            // }, 3000, 100);
            // 调起微信支付
            $scope.pay();
          } else {
            Global.popup.showToast('请重新扫码支付！');
          }
        }).error(function (err) {
          Global.popup.showToast(err);
        });
      }
    };
    $scope.onlinePay();

    $scope.pay = function () {
      wxUtil.chooseWXPay({
        timestamp: $scope.retData.payInfo.timeStamp,
        nonceStr: $scope.retData.payInfo.nonceStr,
        package: $scope.retData.payInfo.package,
        signType: $scope.retData.payInfo.signType,
        paySign: $scope.retData.payInfo.paySign
      }, function (res) {
        Global.popup.showToast('支付成功！');
        // $ionicLoading.show({template: "等待支付結果...", duration: 5000});
      }, function (err) {
        // Global.popup.alert('订单暂时无法提交，请稍侯再提交订单！');
        Global.popup.alert(err);
      });
    };
    $scope.$on('$ionicView.leave', function () {
    });
  }]);

AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
    $stateProvider
    //系统设置页面
    .state('systemSet', {
      url: '/systemSet',
      templateUrl: 'store/system/systemSet.html',
      controller: 'SystemSetCtrl'
    })
    .state('updatePassword',{
      url:'/updatePassword/:firstStep,:secondStep',
      templateUrl:'store/system/updatePassword.html',
      controller:'UpdatePasswordCtrl'
    })
    //微信端站点登录绑定
    .state('storeLogin', {
      url: '/storeLogin',
      templateUrl: 'store/system/storeLogin.html',
      controller: 'StoreLoginCtrl'
    })
    //操作失败提示页面
    .state('errorPage', {
      url: '/errorPage',
      templateUrl: 'store/system/errorPage.html',
      controller: 'ErrorCtrl'
    })
    //微信叫货二维码
    .state('storeQrcode', {
      url: '/storeQrcode',
      templateUrl: 'store/system/storeQrcode.html',
      controller: 'StoreQrcodeCtrl'
    })
    //选择字典、供货区域等字典属性
    .state('commonSelect', {
      url: '/commonSelect/:dictType,:selectType,:pCode',
      templateUrl: 'store/system/commonSelect.html',
      controller:"CommonSelectCtrl"
    })
    .state('changeLocation', {
      url: '/changeLocation/:coord',
      templateUrl: 'store/system/changeLocation.html',
      controller:'ChangeLocationCtrl'
    })
    //修改手机号码
    .state('updatePhone',{
      url:'/updatePhone/:mobile,:code,:step',
      templateUrl:'store/system/updatePhone.html',
      controller:'UpdatePhoneCtrl'
    })
    //在线支付
    .state('onlinePay',{
      url:'/onlinePay/:ids,:code',
      templateUrl:'store/system/onlinePay.html',
      controller:'OnlinePayCtrl'
    });
  }]);

AppServices
  .factory('SystemSetServ', ['$q', '$http', 'Global', '$cordovaAppVersion', '$ionicPopup', '$ionicLoading', '$cordovaFileTransfer', '$cordovaFile', '$cordovaFileOpener2', '$timeout', '$rootScope', function($q,$http,Global,$cordovaAppVersion, $ionicPopup, $ionicLoading, $cordovaFileTransfer, $cordovaFile, $cordovaFileOpener2,$timeout,$rootScope) {
    var UpdatePasswordParam={
      "oldPassword":"",
      "password":"",
      "confirmPassword":""
    };
    return {
      //android系统版本更新提示
      versionCheckUpdate:function(showTips){
        //获取当前版本号
        $cordovaAppVersion.getVersionNumber().then(function (version) {
          Global.Server.version = version;
          //获取最新更新版本
          Global.https.get('/version',{type:'4'},undefined,undefined,false).success(function(ret){
            var serverAppVersion = ret.data.newNumber,downloadUrl = ret.data.apkUrl,remark = ret.data.remark; //从服务端获取最新版本
            //如果本地与服务端的APP版本不符合
            if (Global.Server.version < serverAppVersion) {
              if(ret.data.isForceUpdate && ret.data.isForceUpdate == '1'){
                $ionicPopup.alert({
                  title: '发现新版本',
                  template: '当前版本：'+version+'<br/>更新版本：'+serverAppVersion+'<br/>更新内容：<br/>'+remark,
                  okText:"开始升级"
                }).then(function(res){
                  updateApp(version,serverAppVersion,downloadUrl,remark);
                });
              }else{
                showUpdateConfirm(version,serverAppVersion,downloadUrl,remark);
              }
            }else{
              if(showTips){
                Global.popup.alert('已经为最新版本，无需更新！');
              }
            }
          }).error(function(error){
            Global.popup.alert(error.message);
          });
        });

        //更新app
        function updateApp(curVersion,serVersion,downUrl,remark){
          $ionicLoading.show({
            template: "已经下载：0%"
          });
          var targetPath = cordova.file.externalDataDirectory +"/download/wqblbApp.apk"; //APP下载存放的路径，可以使用cordova file插件进行相关配置
          $cordovaFileTransfer.download(downUrl, targetPath, {}, true).then(function (result) {
            // 打开下载下来的APP
            $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive'
            ).then(function () {// 成功
              Global.Server.version = serVersion;
            }, function (err) {// 失败
              Global.popup.alert("错误信息:"+err.toString());
            });
            $ionicLoading.hide();
          }, function (err) {
            $ionicLoading.hide();
            Global.popup.alert("错误信息:"+err);
          }, function (progress) {
            //进度，这里使用文字显示下载百分比
            $timeout(function () {
              var downloadProgress = (progress.loaded / progress.total) * 100;
              $ionicLoading.show({
                template: "已经下载：" + Math.floor(downloadProgress) + "%"
              });
              if (downloadProgress > 99) {
                $ionicLoading.hide();
              }
            });
          });
        }
        // 显示是否更新对话框
        function showUpdateConfirm(curVersion,serVersion,downUrl,remark) {
          var confirmPopup = $ionicPopup.confirm({
            title: '发现新版本',
            template: '当前版本：'+curVersion+'<br/>更新版本：'+serVersion+'<br/>更新内容：<br/>'+remark, //从服务端获取更新的内容
            cancelText: '取消',
            okText: '升级'
          });
          confirmPopup.then(function (res) {
            if (res) {
              updateApp(curVersion,serVersion,downUrl,remark);
            } else {
              // 取消更新
            }
          });
        }
      },
      //ios系统版本更新提示
      versionCheckUpdateIOS:function(){
        //获取当前版本号
        $cordovaAppVersion.getVersionNumber().then(function (version) {
          Global.Server.version = version;
          //获取最新更新版本
          Global.https.get('http://itunes.apple.com/lookup?id=1121528559',{},undefined,undefined,false).success(function(ret){
            if(ret && ret.resultCount > 0){
              var remoteVersion = ret.results[0].version, remoteRemark = ret.results[0].releaseNotes;
              if(remoteVersion > Global.Server.version){ // 有新版本
                var confirmPopup = $ionicPopup.confirm({
                  title: '发现新版本',
                  template: '<div>当前版本：'+Global.Server.version+'<br/>更新版本：'+remoteVersion+'<br/>更新内容：<br/>'+remoteRemark+'</div>',
                  cancelText: '暂不更新',
                  okText: '去更新'
                });
                confirmPopup.then(function (res) {
                  if (res) {
                    window.open('itms-apps://itunes.apple.com/cn/app/id1121528559?mt=8');
                  } else {
                    // 暂不更新
                  }
                });
              }
            }
          });
        });
      },
      //修改密码
      updatePassword: function(updatePasswordParam){
        return Global.https.authPut('/cashiers/updatePassword',updatePasswordParam,undefined,undefined,true);
      },
      //校验旧密码正确性
      verifyPassword: function(verifyPasswordParam){
        return Global.https.authPost('/cashiers/verifyPassword',verifyPasswordParam,undefined,undefined,true);
      },
      //重新绑定手机号
      updatePhone: function (mobile,oldMobile,code) {
        return Global.https.authPost('/myProfile/updateMobile',{mobile:mobile,oldMobile:oldMobile,code:code},undefined,undefined,false);
      },
      UpdatePasswordParam:UpdatePasswordParam,
      //微信端站点登录绑定
      storeWxBind:function(user){
        return Global.https.post('/weixin/mp/bind',{systemId: "4",accountName:user.userName,password:user.password,openId:Global.User.openId},function(ret){
          if(ret.code === 0){
            Global.User.token = ret.data.token.accessToken;
            Global.User.Store = ret.data.store;
            localStorage.wqblbToken = strEnc(ret.data.token.accessToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
            localStorage.wqblbRefreshToken = strEnc(ret.data.token.refreshToken,Global.Server.key.key1,Global.Server.key.key2,Global.Server.key.key3);
          }
        });
      },
      //微信叫货二维码
      getStoreQrcode:function(){
        return Global.https.authGet('/myProfile/qrcode',{},undefined,undefined,false);
      },
      //获取App启动页设置
      getStoreStartPage:function(version,spAreaCode){
        return Global.https.get('/storeStartPage',{version:version,spAreaCode:spAreaCode},undefined,undefined,false);
      }
    };
  }])
  //选择字典、供货区域等字典属性
  .factory('CommonSelectServ', ['$q', '$http', 'Global', function($q,$http,Global) {
    var commonSelectResult = {};
    return {
      //根据字典类型获取字典列表
      getDictValue: function (dictType) {
        return Global.https.get('/dict/getDictValue', {dictName: dictType}, undefined, undefined, false);
      },
      //获取供货区域
      getSupplyArea: function () {
        return Global.https.get('/supplyArea', {}, undefined, undefined, false);
      },
      //获取省、市、区县、乡镇街道
      getRegion:function(dictType,pCode){
        var type;
        switch(dictType){
          case 'provinCode':
            type = 1;
            break;
          case 'cityCode':
            type = 2;
            break;
          case 'areaCode':
            type = 3;
            break;
          case 'streetCode':
            type = 4;
        }
        return Global.https.get('/supplyArea/region/'+type+'/'+pCode,{},undefined,undefined,false);
      },
      //获取所属区域的员工列表
      getEmployee:function(condition){
        return Global.https.get('/salesman/store/getSendManList',condition,undefined,undefined,false);
      },
      commonSelectResult: commonSelectResult
    };
  }])
  .factory('ChangeLocationServ', ['$q', '$http', 'Global', function($q,$http,Global) {
    var changeAddress={};
    return {
      changeAddress: changeAddress
    };
  }]);

AppControllers
    //头部
  .controller('HeaderCtrl',['$scope', '$cordovaBarcodeScanner', '$ionicViewSwitcher', 'Global', '$state', 'MyServ', 'SystemUtils', function($scope,$cordovaBarcodeScanner,$ionicViewSwitcher,Global,$state,MyServ,SystemUtils){
    //是否来自于业务员的帮下单功能
    $scope.isFromLoginSalesMan = Global.User.from && Global.User.from !== ''?true:false;

    $scope.myModal = {
      cashier: {}
    };
    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      $scope.isLogin = Global.User.token===''?false:true;
    });
    $scope.$on('countUnReadLetter',function(){
      countUnReadLetter();
    });
    //计算未读信息数
    function countUnReadLetter(){
      if (Global.User.token !== '') {
        MyServ.getMyProfile().success(function (ret) {
          if (ret.code == '0') {
            Global.User.myProfile=$scope.myModal.cashier;
            $scope.myModal.cashier = ret.data;
          }
        });
      }
    }
    //商品查询页
    $scope.goSearch = function(){
      $state.go('tab-search');
    };

    //转换成App能够识别的跳转地址
    $scope.goQrLoginPage = function (url,params,isLogin) {
      if(isLogin && !Global.User.token){
        $state.go('login', {url: url, stateParams: JSON.stringify(params)});
      }else{
        $state.go(url,params);
      }
    };
    $scope.changeToAppUrl = function (href) {
      if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
        if(href.indexOf('SI') >= 0){ //订单条码
          $scope.scanSalesInvoice(href);
        }else{ // 商品条码
          $scope.scanLineBarcode(href);
        }
      }else{
        SystemUtils.changeWeixinUrl(href).success(function (ret) {
          if(ret.code === 0 && ret.data){
            var parameters = Global.request.getParams(ret.data.url);
            if(parameters.to) { //来自于带to参数的微信页面跳转
              if (parameters.params) {
                $scope.goQrLoginPage(parameters.to, {params: decodeURI(parameters.params)}, parameters.isLogin);
              } else if (parameters.args) {
                $scope.goQrLoginPage(parameters.to, JSON.parse(decodeURI(parameters.args)), parameters.isLogin);
              } else {
                $scope.goQrLoginPage(parameters.to, {}, parameters.isLogin);
              }
            }
          }
        });
      }
    };

    //扫商品条码
    $scope.scanLineBarcode = function (searchKey) {
      $state.go('tab-search-results',{searchKey:searchKey});
      $ionicViewSwitcher.nextDirection("forward");

    };
    //扫卡券条码
    $scope.scanCoupon = function (cdKey) {
      if(Global.User.token && Global.User.token !== ''){
        $state.go('myCoupons',{cdKey:cdKey});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $state.go('login',{url:"myCoupons",stateParams:{cdKey:cdKey}});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };
    //扫供应商条码
    $scope.scanSupplier = function (splCode) {
      $state.go('tab-search-results', {params: JSON.stringify({"splCode": splCode})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //扫订单条码
    $scope.scanSalesInvoice = function (sino) {
      if(Global.User.token && Global.User.token !== '') {
        $state.go('salesInvoiceDetail', {siNo: sino});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $state.go('login',{url:"salesInvoiceDetail",stateParams:{"siNo":sino}});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };

    //二维码扫描功能
    $scope.scanBarcode = function() {
      if(!window.cordova) {//是否来自于APP端
        wxUtil.scanQRCode(function(res){
          if(res && res.resultStr && res.resultStr.length > 0){
            $scope.changeToAppUrl(res.resultStr.substring(res.resultStr.indexOf(',')+1));
          }
        });
      }else{
        $cordovaBarcodeScanner.scan({
          preferFrontCamera : false, // iOS and Android
          showFlipCameraButton : true, // iOS and Android
          showTorchButton : true, // iOS and Android
          torchOn: false, // Android, launch with the torch switched on (if available)
          saveHistory: true, // Android, save scan history (default false)
          prompt : "请将条码置于取景框内扫描。", // Android
          resultDisplayDuration: 0, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
          //formats : "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
          orientation : "portrait", // Android only (portrait|landscape), default unset so it rotates with the device
          disableAnimations : true, // iOS
          disableSuccessBeep: false // iOS
        }).then(function(imageData) {
          if(imageData && imageData.text && imageData.text.length > 0){
            $scope.changeToAppUrl(imageData.text);
          }
        }, function(error) {
          Global.popup.showToast(error);
        });
      }
    };
    //跳转至登录页面
    $scope.goLoginPage = function(){
      $state.go('login',{url:'tab.first'});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //跳转至通知页面//我的消息
    $scope.goNotice = function(){
      $state.go('letter');
      $ionicViewSwitcher.nextDirection("forward");
    };
  }])
  //首页
  .controller('MainCtrl',['$scope', 'Global', '$state', 'PortalServ', 'InformationServ', 'myOrderServ', 'MyCouponsServ', '$window', 'RecommendServ', '$interval', '$ionicScrollDelegate', '$ionicHistory', '$ionicSlideBoxDelegate', '$timeout', '$ionicViewSwitcher', function($scope,Global,$state,PortalServ,InformationServ,myOrderServ,MyCouponsServ,$window,RecommendServ,$interval,$ionicScrollDelegate,$ionicHistory,$ionicSlideBoxDelegate,$timeout,$ionicViewSwitcher) {
    $scope.isLogin = Global.User.token===''?false:true;
    $scope.qrcodeUrl = 'img/wqblb_qrcode.png';
    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      startInterval();
      $scope.isLogin = Global.User.token===''?false:true;
      $scope.$broadcast('countUnReadLetter');
      $scope.getHomePageData();
      if($scope.qrcodeUrl == 'img/wqblb_qrcode.png'){
        $scope.getQrcodeUrl();
      }
    });
    var timer;
    $scope.$on( "$ionicView.leave", function( scopes, states ) {
      $interval.cancel(timer);
      timer = null;
    });

    //获取首页banner图片列表
    $scope.banners = [];
    $scope.initCompleteShow = false;
    $scope.getBanner = function(){
      $scope.initCompleteShow = false;
      PortalServ.getBannerList().success(function (ret) {
        if(ret.code == '0'){
          $scope.banners = ret.data;
          $ionicSlideBoxDelegate.update();
          $timeout(function(){
            $scope.initCompleteShow = true;
          },150);
        }
      }).error(function(data){
        Global.popup.alert("获取不到首页banner图片！");
      });
    };
    $scope.getBanner();

    //获取首页统计数据
    $scope.getHomePageData = function () {
      if($scope.isLogin){
        PortalServ.getHomePageData().success(function (ret) {
          if(ret.code === 0){
            $scope.homePageData = ret.data;
            $scope.homePageData.todayFund = ($scope.homePageData.cashFund+$scope.homePageData.lineFund).toFixed(2);
          }
        });
      }
    };

    //跳转至相应的banner图片界面
    $scope.openBannerUrl = function(href){
      if(href){
        if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
          var arr = href.split("?"),params = Global.request.getParams(href);
          if(JSON.stringify(params) == "{}"){
            if(arr && arr.length == 2){
              params = arr[1];
            }
            if(params){
              $state.go(arr[0],{params:params});
            }else{
              $state.go(arr[0]);
            }
          }else{
            $state.go(arr[0],params);
          }
        }else{
          if(window.cordova){
            cordova.ThemeableBrowser.open(href, '_blank', {
              toolbar: {
                height: 44,
                color: '#ff6600'
              },
              title: {
                color: '#ffffff',
                showPageTitle: true
              },
              closeButton: {
                wwwImage: 'img/del@3x.png',
                wwwImagePressed: 'img/del_02@3x.png',
                wwwImageDensity: 3
              },
              backButtonCanClose: true
            });
          }else{
            window.open(href);
          }
        }
      }
    };

    //公告循环播放
    function startInterval(){
      if(!timer && $scope.information && $scope.information.length > 1){
        timer = $interval(function(){
          var tmp = $scope.information[0];
          $scope.information.splice(0,1);
          $scope.information.push(tmp);
        },3000);
      }
    }
    //获取公告信息
    $scope.getInformation = function(){
      InformationServ.getInformationList({page: 1,rows: 5}).success(function(ret){
        if(ret.code == '0' &&  ret.data &&  ret.data.length > 0){
          $scope.information = ret.data;
        }
        //把最后一条记录调换到第一条
        if($scope.information.length > 1){
          var temp = $scope.information[0];
          $scope.information[0] =  $scope.information[$scope.information.length-1];
          $scope.information[$scope.information.length-1] = temp;
        }
        startInterval();
      });
    };
    $scope.getInformation();

    //查看公告信息详情
    $scope.goInformationDetail = function(id){
      $state.go('informationDetail',{id:id});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //查看便利宝公告
    $scope.goInformation = function(){
      $state.go('information');
      $ionicViewSwitcher.nextDirection("forward");
    };

    //进入商城
    $scope.goPortal = function () {
      $state.go('shopHome');
      $ionicViewSwitcher.nextDirection("forward");
    };

    //下拉重新刷新整个页面
    $scope.doRefreshPage = function(){
      $ionicHistory.clearHistory();
      $ionicHistory.clearCache();
      $scope.isLogin = Global.User.token===''?false:true;
      $scope.getBanner();
      $scope.getInformation();
      $scope.getHomePageData();
      $scope.getQrcodeUrl();
      $scope.$broadcast('scroll.refreshComplete');
    };

    //判断是否已登录，如果未登录就跳转到登录
    $scope.isLoginPage = function(url,param){
      if(Global.User.token === ""){
        $state.go('login',{url:$state.current.name});
      }else{
        $state.go(url,param);
      }
      $ionicViewSwitcher.nextDirection("forward");
    };
    //账户余额
    $scope.goAccountMoney = function () {
      $scope.isLoginPage('accountMoney');
    };
    //我的成长值
    $scope.goGrowthValue = function () {
      event.stopPropagation();
      $scope.isLoginPage('growthValue');
    };
    //今日收银
    $scope.goTodayFund = function (fund,type) {
      if($scope.homePageData.isOpenCliCash == '0'){
        Global.popup.showToast('请向您的业务经理申请便利宝收银机！','center','long');
        return;
      }
      if(fund === undefined){
        fund = $scope.homePageData.todayFund;
      }
      $scope.isLoginPage('todayFund',{fund:fund,type:type || ''});
    };
    //现金收银
    $scope.goCashTodayFund = function () {
      event.stopPropagation();
      $scope.goTodayFund($scope.homePageData.cashFund,'1');
    };
    //线上收银
    $scope.goLineTodayFund = function () {
      event.stopPropagation();
      $scope.goTodayFund($scope.homePageData.lineFund,'0');
    };
    //便利宝叫货
    $scope.goUserWxOrder = function(type){
      if(type === 1 && $scope.homePageData.isOpenTheDoor == '0'){ //便利宝叫货
        Global.popup.showToast('请联系您的业务经理开通个人叫货功能！','center','long');
        return;
      }
      if(type === 2 && $scope.homePageData.isOpenTheDoorForBatch == '0'){ //便利宝批量订
        Global.popup.showToast('请联系您的业务经理开通批量订货功能！','center','long');
        return;
      }
      $scope.isLoginPage('userWxOrder',{type:type});
    };
    //我的报货单
    $scope.goOrder = function () {
      myOrderServ.tabcode = 0;
      myOrderServ.needRefreshMyOrders = true;
      $scope.isLoginPage('myOrders',{});
    };
    //本周退货
    $scope.goReturnOrder = function () {
      myOrderServ.tabcode = 4;
      myOrderServ.needRefreshMyOrders = true;
      $scope.isLoginPage('myOrders',{});
    };
    //优惠券
    $scope.goMyCoupons = function(nearExpired){
      var params = {nearExpired:nearExpired || ''};
      if(Global.User.token && Global.User.token !== ''){
        angular.extend(params,{storeCode:Global.User.Store.code.trim()});
      }
      $scope.isLoginPage('myCoupons',params);
    };
    //即期优惠券
    $scope.goMyCouponsNear = function () {
      event.stopPropagation();
      $scope.goMyCoupons('1');
    };
    //我的粉丝
    $scope.goMyFans = function (crtDate) {
      $scope.isLoginPage('myFans',{crtDate:crtDate || ''});
    };
    //本月新增粉丝
    $scope.goMyFansMonth = function () {
      event.stopPropagation();
      $scope.goMyFans('month');
    };
    //我的收藏
    $scope.goFavorite = function () {
      event.stopPropagation();
      $scope.isLoginPage('favorites');
    };
    //我的品牌级别
    $scope.goStoreBrandGrade = function () {
      event.stopPropagation();
      $scope.isLoginPage('storeBrandGrade');
    };
    //促销专场
    $scope.goCuXiao = function () {
      $state.go('tab-search-results',{params:JSON.stringify({libTypes:"2,3,4"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //返现专场
    $scope.goFanXian = function () {
      $state.go('tab-search-results',{params:JSON.stringify({isCashBack:"1"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //今日降价
    $scope.goJiangJia = function () {
      $state.go('tab-search-results',{params:JSON.stringify({todaycut:"今日降价"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //新品上线
    $scope.goXinPin = function () {
      $state.go('tab-search-results',{params:JSON.stringify({isTodayOnSale:"1"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //为您推荐
    $scope.goRecommend = function () {
      $scope.isLoginPage('recommend');
    };
    //积分礼品
    $scope.goCredits = function () {
      $state.go('credits');
      $ionicViewSwitcher.nextDirection("forward");
    };
    //邀请有礼
    $scope.goMyInvitation = function(){
      $scope.isLoginPage('myInvitation');
    };

    //获取邀请二维码
    $scope.getQrcodeUrl = function () {
      if($scope.isLogin){
        MyCouponsServ.getSharedLink().success(function (ret) {
          if (ret.code === 0) {
            $scope.qrcodeUrl = Global.Server.url + '/wechat/wechatUser/qr.jpg?link='+ encodeURIComponent(ret.data.sharedLink);
          }
        });
      }
    };

    //显示分享二维码
    $scope.isShowQrcode = false;
    $scope.showQrcode = function(){
      event.stopPropagation();
      if(Global.User.token === ""){
        $state.go('login',{url:$state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $scope.isShowQrcode = true;
      }
    };
    $scope.hideQrcode = function(){
      $scope.isShowQrcode = false;
    };

  }])
  //首页
  .controller('FirstCtrl',['$scope', 'Global', '$state', 'PortalServ', 'InformationServ', 'myOrderServ', 'MyCouponsServ', '$window', 'RecommendServ', '$interval', '$ionicScrollDelegate', '$ionicHistory', '$ionicSlideBoxDelegate', '$timeout', '$ionicViewSwitcher', function($scope,Global,$state,PortalServ,InformationServ,myOrderServ,MyCouponsServ,$window,RecommendServ,$interval,$ionicScrollDelegate,$ionicHistory,$ionicSlideBoxDelegate,$timeout,$ionicViewSwitcher) {
    $scope.isLogin = Global.User.token===''?false:true;
    $scope.qrcodeUrl = 'img/wqblb_qrcode.png';
    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      startInterval();
      $scope.isLogin = Global.User.token===''?false:true;
      $scope.$broadcast('countUnReadLetter');
      $scope.getHomePageData();
      if($scope.qrcodeUrl == 'img/wqblb_qrcode.png'){
        $scope.getQrcodeUrl();
      }
    });
    var timer;
    $scope.$on( "$ionicView.leave", function( scopes, states ) {
      $interval.cancel(timer);
      timer = null;
    });

    //获取首页banner图片列表
    $scope.banners = [];
    $scope.initCompleteShow = false;
    $scope.getBanner = function(){
      $scope.initCompleteShow = false;
      PortalServ.getBannerList().success(function (ret) {
        if(ret.code == '0'){
          $scope.banners = ret.data;
          $ionicSlideBoxDelegate.update();
          $timeout(function(){
            $scope.initCompleteShow = true;
          },150);
        }
      }).error(function(data){
        Global.popup.alert("获取不到首页banner图片！");
      });
    };
    $scope.getBanner();

    //获取首页统计数据
    $scope.getHomePageData = function () {
      if($scope.isLogin){
        PortalServ.getHomePageData().success(function (ret) {
          if(ret.code === 0){
            $scope.homePageData = ret.data;
            $scope.homePageData.todayFund = ($scope.homePageData.cashFund+$scope.homePageData.lineFund).toFixed(2);
          }
        });
      }
    };

    //跳转至相应的banner图片界面
    $scope.openBannerUrl = function(href){
      if(href){
        if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
          var arr = href.split("?"),params = Global.request.getParams(href);
          if(JSON.stringify(params) == "{}"){
            if(arr && arr.length == 2){
              params = arr[1];
            }
            if(params){
              $state.go(arr[0],{params:params});
            }else{
              $state.go(arr[0]);
            }
          }else{
            $state.go(arr[0],params);
          }
        }else{
          if(window.cordova){
            cordova.ThemeableBrowser.open(href, '_blank', {
              toolbar: {
                height: 44,
                color: '#ff6600'
              },
              title: {
                color: '#ffffff',
                showPageTitle: true
              },
              closeButton: {
                wwwImage: 'img/del@3x.png',
                wwwImagePressed: 'img/del_02@3x.png',
                wwwImageDensity: 3
              },
              backButtonCanClose: true
            });
          }else{
            window.open(href);
          }
        }
      }
    };

    //公告循环播放
    function startInterval(){
      if(!timer && $scope.information && $scope.information.length > 1){
        timer = $interval(function(){
          var tmp = $scope.information[0];
          $scope.information.splice(0,1);
          $scope.information.push(tmp);
        },3000);
      }
    }
    //获取公告信息
    $scope.getInformation = function(){
      InformationServ.getInformationList({page: 1,rows: 5}).success(function(ret){
        if(ret.code == '0' &&  ret.data &&  ret.data.length > 0){
          $scope.information = ret.data;
        }
        //把最后一条记录调换到第一条
        if($scope.information.length > 1){
          var temp = $scope.information[0];
          $scope.information[0] =  $scope.information[$scope.information.length-1];
          $scope.information[$scope.information.length-1] = temp;
        }
        startInterval();
      });
    };
    $scope.getInformation();

    //查看公告信息详情
    $scope.goInformationDetail = function(id){
      $state.go('informationDetail',{id:id});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //查看便利宝公告
    $scope.goInformation = function(){
      $state.go('information');
      $ionicViewSwitcher.nextDirection("forward");
    };

    //进入商城
    $scope.goPortal = function () {
      $state.go('shopHome');
      $ionicViewSwitcher.nextDirection("forward");
    };

    //下拉重新刷新整个页面
    $scope.doRefreshPage = function(){
      $ionicHistory.clearHistory();
      $ionicHistory.clearCache();
      $scope.isLogin = Global.User.token===''?false:true;
      $scope.getBanner();
      $scope.getInformation();
      $scope.getHomePageData();
      $scope.getQrcodeUrl();
      $scope.$broadcast('scroll.refreshComplete');
    };

    //判断是否已登录，如果未登录就跳转到登录
    $scope.isLoginPage = function(url,param){
      if(Global.User.token === ""){
        $state.go('login',{url:$state.current.name});
      }else{
        $state.go(url,param);
      }
      $ionicViewSwitcher.nextDirection("forward");
    };
    //账户余额
    $scope.goAccountMoney = function () {
      $scope.isLoginPage('accountMoney');
    };
    //我的成长值
    $scope.goGrowthValue = function () {
      event.stopPropagation();
      $scope.isLoginPage('growthValue');
    };
    //今日收银
    $scope.goTodayFund = function (fund,type) {
      if($scope.homePageData.isOpenCliCash == '0'){
        Global.popup.showToast('请向您的业务经理申请便利宝收银机！','center','long');
        return;
      }
      if(fund === undefined){
        fund = $scope.homePageData.todayFund;
      }
      $scope.isLoginPage('todayFund',{fund:fund,type:type || ''});
    };
    //现金收银
    $scope.goCashTodayFund = function () {
      event.stopPropagation();
      $scope.goTodayFund($scope.homePageData.cashFund,'1');
    };
    //线上收银
    $scope.goLineTodayFund = function () {
      event.stopPropagation();
      $scope.goTodayFund($scope.homePageData.lineFund,'0');
    };
    //便利宝叫货
    $scope.goUserWxOrder = function(type){
      if(type === 1 && $scope.homePageData.isOpenTheDoor == '0'){ //便利宝叫货
        Global.popup.showToast('请联系您的业务经理开通个人叫货功能！','center','long');
        return;
      }
      if(type === 2 && $scope.homePageData.isOpenTheDoorForBatch == '0'){ //便利宝批量订
        Global.popup.showToast('请联系您的业务经理开通批量订货功能！','center','long');
        return;
      }
      $scope.isLoginPage('userWxOrder',{type:type});
    };
    //我的报货单
    $scope.goOrder = function () {
      myOrderServ.tabcode = 0;
      myOrderServ.needRefreshMyOrders = true;
      $scope.isLoginPage('myOrders',{});
    };
    //本周退货
    $scope.goReturnOrder = function () {
      myOrderServ.tabcode = 4;
      myOrderServ.needRefreshMyOrders = true;
      $scope.isLoginPage('myOrders',{});
    };
    //优惠券
    $scope.goMyCoupons = function(nearExpired){
      var params = {nearExpired:nearExpired || ''};
      if(Global.User.token && Global.User.token !== ''){
        angular.extend(params,{storeCode:Global.User.Store.code.trim()});
      }
      $scope.isLoginPage('myCoupons',params);
    };
    //即期优惠券
    $scope.goMyCouponsNear = function () {
      event.stopPropagation();
      $scope.goMyCoupons('1');
    };
    //我的粉丝
    $scope.goMyFans = function (crtDate) {
      $scope.isLoginPage('myFans',{crtDate:crtDate || ''});
    };
    //本月新增粉丝
    $scope.goMyFansMonth = function () {
      event.stopPropagation();
      $scope.goMyFans('month');
    };
    //我的收藏
    $scope.goFavorite = function () {
      event.stopPropagation();
      $scope.isLoginPage('favorites');
    };
    //我的品牌级别
    $scope.goStoreBrandGrade = function () {
      event.stopPropagation();
      $scope.isLoginPage('storeBrandGrade');
    };
    //促销专场
    $scope.goCuXiao = function () {
      $state.go('tab-search-results',{params:JSON.stringify({libTypes:"2,3,4"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //返现专场
    $scope.goFanXian = function () {
      $state.go('tab-search-results',{params:JSON.stringify({isCashBack:"1"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //今日降价
    $scope.goJiangJia = function () {
      $state.go('tab-search-results',{params:JSON.stringify({todaycut:"今日降价"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //新品上线
    $scope.goXinPin = function () {
      $state.go('tab-search-results',{params:JSON.stringify({isTodayOnSale:"1"})});
      $ionicViewSwitcher.nextDirection("forward");
    };
    //为您推荐
    $scope.goRecommend = function () {
      $scope.isLoginPage('recommend');
    };
    //积分礼品
    $scope.goCredits = function () {
      $state.go('credits');
      $ionicViewSwitcher.nextDirection("forward");
    };
    //邀请有礼
    $scope.goMyInvitation = function(){
      $scope.isLoginPage('myInvitation');
    };

    //获取邀请二维码
    $scope.getQrcodeUrl = function () {
      if($scope.isLogin){
        MyCouponsServ.getSharedLink().success(function (ret) {
          if (ret.code === 0) {
            $scope.qrcodeUrl = Global.Server.url + '/wechat/wechatUser/qr.jpg?link='+ encodeURIComponent(ret.data.sharedLink);
          }
        });
      }
    };

    //显示分享二维码
    $scope.isShowQrcode = false;
    $scope.showQrcode = function(){
      event.stopPropagation();
      if(Global.User.token === ""){
        $state.go('login',{url:$state.current.name});
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $scope.isShowQrcode = true;
      }
    };
    $scope.hideQrcode = function(){
      $scope.isShowQrcode = false;
    };

  }])
    //商城
  .controller('PortalCtrl',['$scope', 'Global', '$state', 'PortalServ', 'InformationServ', '$window', 'RecommendServ', '$interval', '$ionicScrollDelegate', '$ionicHistory', '$ionicSlideBoxDelegate', '$timeout', '$ionicViewSwitcher', function($scope,Global,$state,PortalServ,InformationServ,$window,RecommendServ,$interval,$ionicScrollDelegate,$ionicHistory,$ionicSlideBoxDelegate,$timeout,$ionicViewSwitcher){
    $scope.isLogin = Global.User.token===''?false:true;
    var timer;
    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      startInterval();
      $scope.isLogin = Global.User.token===''?false:true;
      if($scope.isLogin &&  PortalServ.isNeedRefresh){
        $scope.getBanner();
        $scope.getItemGroup();
        $scope.getRecommend();
        PortalServ.isNeedRefresh = false;
      }
      $scope.$broadcast('countUnReadLetter');
    });
    $scope.$on( "$ionicView.leave", function( scopes, states ) {
      $interval.cancel(timer);
      timer = null;
    });

    //后退
    $scope.goBack = function () {
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //跳转至登录页面
    $scope.goLoginPage = function(){
      $state.go('login',{url:'tab.portal'});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //获取首页banner图片列表
    $scope.banners = [];
    $scope.initCompleteShow = false;
    $scope.getBanner = function(){
      $scope.initCompleteShow = false;
      PortalServ.getBannerList().success(function (ret) {
        if(ret.code == '0'){
          $scope.banners = ret.data;
          $ionicSlideBoxDelegate.update();
          $timeout(function(){
            $scope.initCompleteShow = true;
          },150);
        }
      }).error(function(data){
        Global.popup.alert("获取不到首页banner图片！");
      });
    };
    if(!$scope.isLogin){
      $scope.getBanner();
    }

    //跳转至相应的banner图片界面
    $scope.openBannerUrl = function(href){
      if(href){
        if(href.indexOf("https://") < 0 && href.indexOf("http://") < 0){
          var arr = href.split("?"),params = Global.request.getParams(href);
          if(JSON.stringify(params) == "{}"){
            if(arr && arr.length == 2){
              params = arr[1];
            }
            if(params){
              $state.go(arr[0],{params:params});
            }else{
              $state.go(arr[0]);
            }
          }else{
            $state.go(arr[0],params);
          }
        }else{
          if(window.cordova){
            cordova.ThemeableBrowser.open(href, '_blank', {
              toolbar: {
                height: 44,
                color: '#ff6600'
              },
              title: {
                color: '#ffffff',
                showPageTitle: true
              },
              closeButton: {
                wwwImage: 'img/del@3x.png',
                wwwImagePressed: 'img/del_02@3x.png',
                wwwImageDensity: 3
              },
              backButtonCanClose: true
            });
          }else{
            window.open(href);
          }
        }
      }
    };

    //获取业务类型
    PortalServ.getAppList().success(function(ret){
      if(ret.code == '0'){
        $scope.apps = ret.data;
      }
    }).error(function(data){
      Global.popup.alert("获取不到业务类型！");
    });
    //跳转到相应的业务类型界面
    $scope.goApp = function(app){
      if(app.url.indexOf("https://") < 0 && app.url.indexOf("http://") < 0){
        var params = "";
        if(app.params && app.params !== ''){
          params = app.params;
        }
        if(app.isLogin == "true" && !$scope.isLogin){
          $scope.goLoginPage();
        }else{
          $state.go(app.url,{params:params});
          $ionicViewSwitcher.nextDirection("forward");
        }
      }else{
        $state.go('appRoute',{title:app.name,url:app.url});
        $ionicViewSwitcher.nextDirection("forward");
      }
    };

    //查看商品详情
    $scope.itemDetail = function(item){
      $state.go('tab-goods-detail',{itCode:item.itcode,splCode:item.splCode,spAreaCode:item.spAreaCode.trim(),delivType:item.delivType});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //获取公告信息
    $scope.getInformation = function(){
      InformationServ.getInformationList({page: 1,rows: 5}).success(function(ret){
        if(ret.code == '0' &&  ret.data &&  ret.data.length > 0){
          $scope.information = ret.data;
        }
        //把最后一条记录调换到第一条
        if($scope.information.length > 1){
          var temp = $scope.information[0];
          $scope.information[0] =  $scope.information[$scope.information.length-1];
          $scope.information[$scope.information.length-1] = temp;
        }
        startInterval();
      });
    };
    $scope.getInformation();

    //公告循环播放
    function startInterval(){
      if(!timer && $scope.information && $scope.information.length > 1){
        timer = $interval(function(){
          var tmp = $scope.information[0];
          $scope.information.splice(0,1);
          $scope.information.push(tmp);
        },3000);
      }
    }

    //查看公告信息详情
    $scope.goInformationDetail = function(id){
      $state.go('informationDetail',{id:id});
      $ionicViewSwitcher.nextDirection("forward");
    };

    //获取便利宝公告
    $scope.goInformation = function(){
      $state.go('information');
      $ionicViewSwitcher.nextDirection("forward");
    };

    //获取商品列表及广告条
    $scope.itemGroupAdj = [];
    $scope.getItemGroup = function(){
      var itemGroups = [],adBanners = [];
      PortalServ.getItemGroup().success(function(ret){
        if(ret.code == '0') {
          $scope.itemGroupAdj = [];
          itemGroups = ret.data;
          angular.forEach(itemGroups, function(data,index){
            $scope.itemGroupAdj.push({itemGroup:data,adBanner:{}});
          });
          PortalServ.getAdBannerList().success(function(ret){
            if(ret.code == '0') {
              adBanners = ret.data;
              angular.forEach(adBanners, function(data,index){
                if(index<= $scope.itemGroupAdj.length){
                  $scope.itemGroupAdj[index].adBanner = data;
                }else{
                  $scope.itemGroupAdj.push({itemGroups:{},adBanner:data});
                }
              });
            }
          }).error(function(data){
            Global.popup.alert("获取不到广告条！");
          });
        }
      }).error(function(data){
        Global.popup.alert("获取不到商品列表！");
      });
    };
    if(!$scope.isLogin){//未登录
      $scope.getItemGroup();
    }

    //获取为您推荐
    $scope.recommend = [];
    $scope.getRecommend=function(){
      RecommendServ.getRecommend().success(function(ret){
        if(ret.code== '0'){
          $scope.recommend=ret.data;
        }else {
        }
      }).error(function(){
        Global.popup.alert("获取不到为您推荐的商品列表！");
      });
    };
    //进入为你推荐
    $scope.goRecommend = function () {
      if($scope.isLogin){
        $state.go('recommend');
        $ionicViewSwitcher.nextDirection("forward");
      }else{
        $scope.goLoginPage();
      }
    };

    //搜索商品
    $scope.searchItem = function(itemGroup){
      var paramObj = {};
      if(itemGroup){
        paramObj = {itemGroup:itemGroup};
      }
      $state.go('tab-search-results',paramObj);
      $ionicViewSwitcher.nextDirection("forward");
    };

    //下拉重新刷新整个页面
    $scope.doRefreshPage = function(){
      $ionicHistory.clearHistory();
      $ionicHistory.clearCache();
      $scope.isLogin = Global.User.token===''?false:true;
      $scope.getBanner();
      $scope.getInformation();
      $scope.getItemGroup();
      if($scope.isLogin){
        $scope.getRecommend();
      }
      $scope.$broadcast('scroll.refreshComplete');
    };
  }])
  //统一链接跳转
  .controller('AppRouteCtrl',['$scope', 'Global', '$state', '$stateParams', 'InformationServ', '$sce', '$ionicHistory', '$ionicViewSwitcher', function($scope,Global,$state,$stateParams,InformationServ,$sce,$ionicHistory,$ionicViewSwitcher) {
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    $scope.appTitle = $stateParams.title;
    $scope.appUrl = $sce.trustAsResourceUrl($stateParams.url);
  }])
  //公告列表
  .controller('InformationCtrl',['$scope', 'Global', '$state', 'InformationServ', '$timeout', '$ionicHistory', '$ionicViewSwitcher', function($scope,Global,$state,InformationServ,$timeout,$ionicHistory,$ionicViewSwitcher){
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取公告列表
        InformationServ.getInformationList({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到公告列表！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          InformationServ.getInformationList({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            Global.popup.alert("查询公告列表错误！");
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };
    //查看详情
    $scope.goInformationDetail = function(id){
      $state.go('informationDetail',{id:id});
    };
  }])
  //公告详情
  .controller('InformationDetailCtrl',['$scope', 'Global', '$state', '$stateParams', 'InformationServ', '$sce', '$ionicHistory', '$ionicViewSwitcher', function($scope,Global,$state,$stateParams,InformationServ,$sce,$ionicHistory,$ionicViewSwitcher) {
    $scope.goBack = function(){
      if($ionicHistory.backView()){
        Global.utils.goBack();
      }else{
        $state.go('information');
      }
      $ionicViewSwitcher.nextDirection("back");
    };
    //$scope.informationDetailUrl = $sce.trustAsResourceUrl("http://www.wqblb.com");
    //var temp = document.getElementById("detailInformation");
    InformationServ.getInformationDetail($stateParams.id).success(function (ret) {
      if (ret.code == '0') {
        //temp.innerHTML = ret.data.infoText;
        $scope.informationHtml = ret.data.infoText;
      }
    }).error(function (ret) {
      Global.popup.alert("获取不到公告详细信息！");
    });
  }])
  //积分商城
  .controller('CreditsCtrl',['$scope', '$state', '$stateParams', '$ionicHistory', 'Global', 'IntegralServ', 'MyServ', '$ionicViewSwitcher', 'PortalServ', function($scope,$state,$stateParams,$ionicHistory,Global,IntegralServ,MyServ,$ionicViewSwitcher,PortalServ) {
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };
    PortalServ.getBanner('13').success(function (ret) {
      if(ret.code === 0 && ret.data && ret.data.length > 0){
        $scope.creditsImgUrl = ret.data[0].appImgUrl?ret.data[0].appImgUrl:"http://admin.wqblb.com/static/icon/credits.jpg?v="+Math.random()*10000;
      }
    });
    $scope.vm = {
      integral:'',
      convertCredits:'',
      cashGrade:'',
      cashGradeDescr:'',
      cashGradeRate:''
    };
    //获取积分和会员等级信息
    $scope.getCreditsInfo = function () {
      MyServ.getMyProfile().success(function (ret) {
        if (ret.code == '0') {
          $scope.vm.integral = ret.data.totalCashIntegralTran;
        } else {
          Global.popup.alert('加载当前积分失败！', undefined);
        }
      }).error(function () {
      });
      MyServ.getCashGradeProgress().success(function (ret) {
        if(ret.code == '0'){
          $scope.vm.cashGrade = ret.data;
          if($scope.vm.cashGrade.grade == 5){
            $scope.vm.cashGradeRate = "2.5";
          }else if($scope.vm.cashGrade.grade == 4){
            $scope.vm.cashGradeRate = "2";
          }else if($scope.vm.cashGrade.grade == 3){
            $scope.vm.cashGradeRate = "1.6";
          }else if($scope.vm.cashGrade.grade == 2){
            $scope.vm.cashGradeRate = "1.25";
          }else{
            $scope.vm.cashGradeRate = "1";
          }
        } else {
          $scope.vm.cashGrade = {};
        }
      });
    };
    //立即兑换积分
    $scope.convert = function () {
      if(!$scope.vm.convertCredits){
        return false;
      }
      if($scope.vm.convertCredits%10000!==0){
        Global.popup.alert('请输入10000的倍数！');
        return;
      }
      if($scope.vm.convertCredits>$scope.vm.integral){
        Global.popup.alert('积分不足！');
        return;
      }
      IntegralServ.convert(parseInt($scope.vm.convertCredits/1000)).success(function (ret) {
        if (ret.code === 0) {
          Global.popup.showToast('您已兑换'+parseInt($scope.vm.convertCredits/1000)+'元，请到我的账户进行查看！');
          $scope.vm.integral = ret.totalCashIntegralTran;
        } else {
          Global.popup.alert(ret.message);
        }
      });
    };
    //查看积分规则
    $scope.goIntergralRule = function(){
      $state.go('tab-integralRule');
    };
    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      $scope.isLogin = Global.User.token===''?false:true;
      if($scope.isLogin){
        $scope.getCreditsInfo();
      }
    });
  }])
  //今日收银数据
  .controller('TodayFundCtrl',['$scope', 'Global', '$state', 'PortalServ', '$timeout', '$ionicHistory', '$ionicViewSwitcher', '$stateParams', function($scope,Global,$state,PortalServ,$timeout,$ionicHistory,$ionicViewSwitcher,$stateParams){
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      records:'',
      totalFund: $stateParams.fund || 0,
      type: $stateParams.type || '',
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取今日收银列表
        PortalServ.getTodayFundPage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,type:$scope.vm.type,today:'1'}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            $scope.vm.records = ret.records;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到今日收银列表！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          PortalServ.getTodayFundPage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,type:$scope.vm.type,today:'1'}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            Global.popup.alert("查询今日收银列表错误！");
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };
  }])
  //我的粉丝数据
  .controller('MyFansCtrl',['$scope', 'Global', '$state', 'PortalServ', '$timeout', '$ionicHistory', '$ionicViewSwitcher', '$stateParams', function($scope,Global,$state,PortalServ,$timeout,$ionicHistory,$ionicViewSwitcher,$stateParams){
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      records:'',
      crtDate: $stateParams.crtDate || '',
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取我的粉丝列表
        PortalServ.getMyFansPage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,crtDate:$scope.vm.crtDate}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            $scope.vm.records = ret.records;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到我的粉丝列表！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          PortalServ.getMyFansPage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows,crtDate:$scope.vm.crtDate}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            Global.popup.alert("查询我的粉丝列表错误！");
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };
  }])
  //我的品牌数据
  .controller('StoreBrandGradeCtrl',['$scope', 'Global', '$state', 'PortalServ', '$timeout', '$ionicHistory', '$ionicViewSwitcher', function($scope,Global,$state,PortalServ,$timeout,$ionicHistory,$ionicViewSwitcher){
    $scope.goBack = function(){
      Global.utils.goBack();
      $ionicViewSwitcher.nextDirection("back");
    };

    //视图数据列表
    $scope.vm = {
      moredata: false,
      data:[],
      records:'',
      pagination: {
        rows: 15,
        page: 1
      },
      init:function(){
        $scope.vm.pagination.page = 1;
        //获取我的品牌列表
        PortalServ.getStoreBrandGradePage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows}).success(function(ret){
          if(ret.code == '0'){
            $scope.vm.data = ret.data;
            $scope.vm.records = ret.records;
            if (ret.total===0||ret.total === $scope.vm.pagination.page) {
              $scope.vm.moredata = true;
            }else{
              $scope.vm.moredata = false;
            }
            $scope.vm.pagination.page += 1;
          }
        }).error(function(ret){
          Global.popup.alert("获取不到品牌列表！");
        });
      },
      doRefresh:function(){
        $scope.vm.init();
        $timeout(function () {
          $scope.$broadcast('scroll.refreshComplete');
        },300);
      },
      loadMore:function(){
        $timeout(function() {
          PortalServ.getStoreBrandGradePage({page: $scope.vm.pagination.page,rows: $scope.vm.pagination.rows}).success(function (ret) {
            if (ret.code == '0') {
              $scope.vm.data = $scope.vm.data.concat(ret.data);
              $scope.vm.records = ret.records;
              if (ret.total===0||ret.total === $scope.vm.pagination.page) {
                $scope.vm.moredata = true;
              }
              $scope.vm.pagination.page += 1;
            }
            $scope.$broadcast('scroll.infiniteScrollComplete');
          }).error(function (ret) {
            Global.popup.alert("查询我的品牌列表错误！");
            $scope.$broadcast('scroll.infiniteScrollComplete');
          });
        },300);
      }
    };

    //去下单
    $scope.goSearchBrandItem = function(brandCode){
      $state.go('tab-search-results',{params:JSON.stringify({brandCode:brandCode})});
      $ionicViewSwitcher.nextDirection("forward");
    };
  }]);


AppRoutes
  .config(['$stateProvider', '$urlRouterProvider', function($stateProvider, $urlRouterProvider) {
    $stateProvider
    //统一链接接口跳转
    .state('appRoute', {
      url: '/appRoute/:title,:url',
      templateUrl: 'store/portal/appRoute.html',
      controller: 'AppRouteCtrl'
    })
    //公告信息列表
    .state('information', {
      url: '/information',
      templateUrl: 'store/portal/information.html',
      controller: 'InformationCtrl'
    })
    //公告详情页面
    .state('informationDetail', {
      url: '/informationDetail/:id',
      templateUrl: 'store/portal/informationDetail.html',
      controller: 'InformationDetailCtrl'
    })
    //积分商城入口
    .state('credits', {
      url: '/credits',
      templateUrl: 'store/portal/credits.html',
      controller:'CreditsCtrl'
    })
    //今日收银
    .state('todayFund', {
      url: '/todayFund/:type,:fund',
      templateUrl: 'store/portal/todayFund.html',
      controller: 'TodayFundCtrl'
    })
    //我的粉丝
    .state('myFans', {
      url: '/myFans/:crtDate',
      templateUrl: 'store/portal/myFans.html',
      controller: 'MyFansCtrl'
    })
    //我的品牌
    .state('storeBrandGrade', {
      url: '/storeBrandGrade',
      templateUrl: 'store/portal/storeBrandGrade.html',
      controller: 'StoreBrandGradeCtrl'
    });
  }]);

AppServices
  .factory('PortalServ',['$q', '$http', 'Global', '$rootScope', function($q, $http,Global,$rootScope) {
    var isNeedRefresh = true;
    return {
      //获取banner列表
      getBannerList:function(){
        return Global.https.get("/home/banners",{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
      },
      getBanner:function (code) {
        return Global.https.get('/banners/'+code,{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
      },
      //获取业务类型
      getAppList:function(){
        return Global.https.get("/home/apps",{},undefined,undefined,false);
      },
      //获取广告条列表
      getAdBannerList:function(){
        return Global.https.get('/home/adBanners',{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
      },
      //获取商品列表
      getItemGroup:function(){
        if(Global.User.token === ''){
          return Global.https.get('/home/itemGroups',{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
        }else{
          return Global.https.authGet('/home/itemGroups',{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
        }
      },
      //是否需要重新刷新
      isNeedRefresh:isNeedRefresh,
      //获取品牌等级
      getStoreBrandGrades:function(brandCodes){
        var condition = {};
        if(brandCodes){
          condition = {brandCodes:brandCodes};
        }
        Global.https.authGet('/itemAreas/storeBrandGrades',condition,undefined,undefined,false).success(function(ret){
          if(ret.code === 0){
            $rootScope.storeBrandGrades = ret.data;
          }
        });
      },
      //获取首页统计数据
      getHomePageData:function(){
        return Global.https.authGet('/myHome/homePage',{},undefined,undefined,false);
      },
      //获取今日收银数据
      getTodayFundPage:function(condition){
        return Global.https.authGet('/myTodayFund',condition,undefined,undefined,false);
      },
      //获取我的粉丝数据
      getMyFansPage:function (condition) {
        return Global.https.authGet('/myFans',condition,undefined,undefined,false);
      },
      //获取我的品牌数据
      getStoreBrandGradePage:function (condition) {
        return Global.https.authGet('/myStoreBrandGrade',condition,undefined,undefined,false);
      }
    };
  }])
  .factory('InformationServ',['$q', '$http', 'Global', function($q, $http,Global) {
    return {
      //获取公告列表
      getInformationList:function(conditions){
        if(!conditions){
          conditions = {};
        }
        angular.extend(conditions,{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||'FW001'});
        return Global.https.get('/informations',conditions,undefined,undefined,false);
      },
      //获取公告详细信息
      getInformationDetail:function(infoId){
        return Global.https.get('/informations/'+infoId,{},undefined,undefined,false);
      },
      //查询最新一条的霸屏广告
      getInformationImgUrl:function(){
        return Global.https.get('/informations/fullScreen',{spAreaCode:Global.User.Store.spAreaCode||Global.User.Address.supplyArea||''},undefined,undefined,false);
      }
    };
  }]);
